*
********************************************************************************
*
* hep-ph/0504242
* The third-order QCD corrections to deep-inelastic scattering by photon 
*  exchange
* J. Vermaseren, A. Vogt and S. Moch
*
* This file contains the Mellin-N results for the coefficient functions
* up to three loops as given in eqs.(A.3)--(A.18) and the results for the
* coefficient functions in Bjorken x-space as given in eqs.(B.3)--(B.18). 
* In Bjorken x-space all divergencies for x -> 1 are understood in the sense 
* of +-distributions.
*
* The results for the anomalous dimensions (splitting functions) at three loops
* were given in earlier publications. The reference for the latter quantities 
* to three loops is
* S. Moch, J. Vermaseren, A. Vogt, hep-ph/0403192 (Nucl.Phys.B688:101-134,2004)
* A. Vogt, S. Moch, J. Vermaseren, hep-ph/0404111 (Nucl.Phys.B691:129-181,2004)
*
* The fermionic (n_f) contributions to the non-singlet coefficient functions
* were presented before in 
* S. Moch, J. Vermaseren, A. Vogt, hep-ph/0209100 (Nucl.Phys.B646:181-200,2002)
*
*
* Notation:
* S(R(m1,...,mk),N) denote harmonic sums
* H(R(m1,...,mk),x) denote harmonic polylogarithms
* z2 = Zeta(2), ... , z5=Zeta(5)
* den(x) = 1/x denotes denominators
* fl11, flg11 denote charge factors for flavors (see table 2)
* [dabc^2/n] = [dabc^2/n_c] denotes colour factor with n_c colours
* [dabc^2/n]*cOlNA^-1*cOlNR = [dabc^2/N_A] denotes colour factor with N_A 
* dimension of adjoint representation
*
* The functions g_i(N) of Eqs. (3.18)--(3.20) and g_i(x) in Eqs. (3.23)--(3.25)
* have not been kept separate in the expressions given below. 
*
********************************************************************************
*

L   c2qq0 =
       + theta( - 3 + N)
       + delta( - 2 + N)
      ;


L   c2qq1 =
       - 9*theta( - 3 + N)*cf
       + 4*theta( - 3 + N)*den(1 + N)*cf
       - 2*theta( - 3 + N)*den(1 + N)^2*cf
       + 2*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf
       + 3*theta( - 3 + N)*den(N)*cf
       + 2*theta( - 3 + N)*den(N)^2*cf
       - 2*theta( - 3 + N)*den(N)*S(R(1),N)*cf
       + 3*theta( - 3 + N)*S(R(1),N)*cf
       + 4*theta( - 3 + N)*S(R(1,1),N)*cf
       - 4*theta( - 3 + N)*S(R(2),N)*cf
       + 1/3*delta( - 2 + N)*cf
      ;


L   c2gg1 =
       + 16*theta( - 3 + N)*den(1 + N)*nf
       - 4*theta( - 3 + N)*den(1 + N)^2*nf
       + 4*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*nf
       - 16*theta( - 3 + N)*den(2 + N)*nf
       + 4*theta( - 3 + N)*den(2 + N)^2*nf
       - 4*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*nf
       - 2*theta( - 3 + N)*den(N)*nf
       + 2*theta( - 3 + N)*den(N)^2*nf
       - 2*theta( - 3 + N)*den(N)*S(R(1),N)*nf
       - 1/2*delta( - 2 + N)*nf
      ;


L   c2qq2 =
       + 54*theta( - 3 + N)*cf*ca*z3
       - 5465/72*theta( - 3 + N)*cf*ca
       + 457/36*theta( - 3 + N)*cf*nf
       - 72*theta( - 3 + N)*cf^2*z3
       + 331/8*theta( - 3 + N)*cf^2
       - 8/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca
       + 16/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2
       - 8/5*theta( - 3 + N)*den( - 1 + N)*cf*ca
       + 16/5*theta( - 3 + N)*den( - 1 + N)*cf^2
       - 8/5*theta( - 3 + N)*den( - 1 + N)^2*cf*ca
       + 16/5*theta( - 3 + N)*den( - 1 + N)^2*cf^2
       - 84*theta( - 3 + N)*den(1 + N)*cf*ca*z3
       + 17626/135*theta( - 3 + N)*den(1 + N)*cf*ca
       - 488/27*theta( - 3 + N)*den(1 + N)*cf*nf
       + 144*theta( - 3 + N)*den(1 + N)*cf^2*z3
       - 461/5*theta( - 3 + N)*den(1 + N)*cf^2
       - 1693/15*theta( - 3 + N)*den(1 + N)^2*cf*ca
       + 38/3*theta( - 3 + N)*den(1 + N)^2*cf*nf
       + 502/5*theta( - 3 + N)*den(1 + N)^2*cf^2
       + 115/3*theta( - 3 + N)*den(1 + N)^3*cf*ca
       - 10/3*theta( - 3 + N)*den(1 + N)^3*cf*nf
       - 4*theta( - 3 + N)*den(1 + N)^3*cf^2
       - 12*theta( - 3 + N)*den(1 + N)^4*cf*ca
       - 6*theta( - 3 + N)*den(1 + N)^4*cf^2
       + 8*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca
       + 24*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2
       - 44/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca
       + 8/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf
       - 48*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2
       - 32*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2
       + 28*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2
       - 40*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca
       + 80*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2
       + 20*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca
       - 40*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2
       + 8*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca
       - 16*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2
       + 668/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca
       - 68/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf
       - 68*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2
       + 56*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca
       - 112*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2
       + 22/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca
       - 4/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf
       + 36*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2
       + 24*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2
       + 4*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca
       - 32*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2
       - 22/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca
       + 4/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf
       - 32*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2
       - 4*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca
       - 24*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2
       + 28*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca
       - 28*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2
       - 72/5*theta( - 3 + N)*den(2 + N)*cf*ca
       + 144/5*theta( - 3 + N)*den(2 + N)*cf^2
       + 72/5*theta( - 3 + N)*den(2 + N)^2*cf*ca
       - 144/5*theta( - 3 + N)*den(2 + N)^2*cf^2
       - 72/5*theta( - 3 + N)*den(3 + N)^3*cf*ca
       + 144/5*theta( - 3 + N)*den(3 + N)^3*cf^2
       - 72/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca
       + 144/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2
       + 36*theta( - 3 + N)*den(N)*cf*ca*z3
       - 8357/270*theta( - 3 + N)*den(N)*cf*ca
       + 89/27*theta( - 3 + N)*den(N)*cf*nf
       - 48*theta( - 3 + N)*den(N)*cf^2*z3
       + 7/10*theta( - 3 + N)*den(N)*cf^2
       + 164/5*theta( - 3 + N)*den(N)^2*cf*ca
       - 4*theta( - 3 + N)*den(N)^2*cf*nf
       - 93/5*theta( - 3 + N)*den(N)^2*cf^2
       - 55/3*theta( - 3 + N)*den(N)^3*cf*ca
       + 10/3*theta( - 3 + N)*den(N)^3*cf*nf
       + 18*theta( - 3 + N)*den(N)^3*cf^2
       + 10*theta( - 3 + N)*den(N)^4*cf^2
       - 24*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2
       + 32*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca
       - 64*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2
       + 44/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca
       - 8/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*nf
       - 8*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2
       + 24*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2
       - 20*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2
       + 24*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca
       - 48*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2
       - 36*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca
       + 72*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2
       - 8*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca
       + 16*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2
       - 311/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca
       + 26/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf
       + 43*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2
       - 24*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca
       + 48*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2
       - 22/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca
       + 4/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf
       - 8*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2
       - 24*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2
       - 4*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca
       + 32*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2
       + 22/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca
       - 4/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf
       + 4*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2
       + 4*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca
       + 24*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2
       - 12*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca
       - 4*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2
       + 12*theta( - 3 + N)*S(R(-4),N)*cf*ca
       - 24*theta( - 3 + N)*S(R(-4),N)*cf^2
       - 8*theta( - 3 + N)*S(R(-3,1),N)*cf*ca
       + 16*theta( - 3 + N)*S(R(-3,1),N)*cf^2
       + 8*theta( - 3 + N)*S(R(-2),N)*cf*ca
       - 16*theta( - 3 + N)*S(R(-2),N)*cf^2
       - 24*theta( - 3 + N)*S(R(-2,-2),N)*cf*ca
       + 48*theta( - 3 + N)*S(R(-2,-2),N)*cf^2
       - 48*theta( - 3 + N)*S(R(1),N)*cf*ca*z3
       + 3155/54*theta( - 3 + N)*S(R(1),N)*cf*ca
       - 247/27*theta( - 3 + N)*S(R(1),N)*cf*nf
       + 48*theta( - 3 + N)*S(R(1),N)*cf^2*z3
       - 51/2*theta( - 3 + N)*S(R(1),N)*cf^2
       - 40*theta( - 3 + N)*S(R(1,-3),N)*cf*ca
       + 80*theta( - 3 + N)*S(R(1,-3),N)*cf^2
       + 16*theta( - 3 + N)*S(R(1,-2,1),N)*cf*ca
       - 32*theta( - 3 + N)*S(R(1,-2,1),N)*cf^2
       + 367/9*theta( - 3 + N)*S(R(1,1),N)*cf*ca
       - 58/9*theta( - 3 + N)*S(R(1,1),N)*cf*nf
       - 27*theta( - 3 + N)*S(R(1,1),N)*cf^2
       + 32*theta( - 3 + N)*S(R(1,1,-2),N)*cf*ca
       - 64*theta( - 3 + N)*S(R(1,1,-2),N)*cf^2
       + 44/3*theta( - 3 + N)*S(R(1,1,1),N)*cf*ca
       - 8/3*theta( - 3 + N)*S(R(1,1,1),N)*cf*nf
       + 36*theta( - 3 + N)*S(R(1,1,1),N)*cf^2
       + 48*theta( - 3 + N)*S(R(1,1,1,1),N)*cf^2
       + 8*theta( - 3 + N)*S(R(1,1,2),N)*cf*ca
       - 64*theta( - 3 + N)*S(R(1,1,2),N)*cf^2
       - 44/3*theta( - 3 + N)*S(R(1,2),N)*cf*ca
       + 8/3*theta( - 3 + N)*S(R(1,2),N)*cf*nf
       - 36*theta( - 3 + N)*S(R(1,2),N)*cf^2
       - 8*theta( - 3 + N)*S(R(1,2,1),N)*cf*ca
       - 48*theta( - 3 + N)*S(R(1,2,1),N)*cf^2
       + 16*theta( - 3 + N)*S(R(1,3),N)*cf*ca
       + 24*theta( - 3 + N)*S(R(1,3),N)*cf^2
       - 239/3*theta( - 3 + N)*S(R(2),N)*cf*ca
       + 38/3*theta( - 3 + N)*S(R(2),N)*cf*nf
       + 61*theta( - 3 + N)*S(R(2),N)*cf^2
       - 24*theta( - 3 + N)*S(R(2,-2),N)*cf*ca
       + 48*theta( - 3 + N)*S(R(2,-2),N)*cf^2
       - 88/3*theta( - 3 + N)*S(R(2,1),N)*cf*ca
       + 16/3*theta( - 3 + N)*S(R(2,1),N)*cf*nf
       - 24*theta( - 3 + N)*S(R(2,1),N)*cf^2
       - 56*theta( - 3 + N)*S(R(2,1,1),N)*cf^2
       + 48*theta( - 3 + N)*S(R(2,2),N)*cf^2
       + 110/3*theta( - 3 + N)*S(R(3),N)*cf*ca
       - 20/3*theta( - 3 + N)*S(R(3),N)*cf*nf
       + 6*theta( - 3 + N)*S(R(3),N)*cf^2
       + 8*theta( - 3 + N)*S(R(3,1),N)*cf*ca
       + 48*theta( - 3 + N)*S(R(3,1),N)*cf^2
       - 12*theta( - 3 + N)*S(R(4),N)*cf*ca
       - 16*theta( - 3 + N)*S(R(4),N)*cf^2
       - 128/5*delta( - 2 + N)*cf*ca*z3
       + 3677/135*delta( - 2 + N)*cf*ca
       - 4*delta( - 2 + N)*cf*nf
       + 96/5*delta( - 2 + N)*cf^2*z3
       - 4189/810*delta( - 2 + N)*cf^2
      ;


L   c2gg2 =
       + 8/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*nf
       + 8/15*theta( - 3 + N)*den( - 1 + N)*cf*nf
       + 344/27*theta( - 3 + N)*den( - 1 + N)*ca*nf
       + 8/15*theta( - 3 + N)*den( - 1 + N)^2*cf*nf
       + 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*ca*nf
       - 104/9*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca*nf
       + 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*ca*nf
       - 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*ca*nf
       + 48*theta( - 3 + N)*den(1 + N)*cf*nf*z3
       + 239/5*theta( - 3 + N)*den(1 + N)*cf*nf
       - 24*theta( - 3 + N)*den(1 + N)*ca*nf*z3
       + 1072/9*theta( - 3 + N)*den(1 + N)*ca*nf
       - 113/5*theta( - 3 + N)*den(1 + N)^2*cf*nf
       - 584/3*theta( - 3 + N)*den(1 + N)^2*ca*nf
       + 44/3*theta( - 3 + N)*den(1 + N)^3*cf*nf
       + 176*theta( - 3 + N)*den(1 + N)^3*ca*nf
       - 20*theta( - 3 + N)*den(1 + N)^4*cf*nf
       - 56*theta( - 3 + N)*den(1 + N)^4*ca*nf
       + 32*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*nf
       + 64*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*ca*nf
       - 56*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf
       - 144*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca*nf
       - 32*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf
       - 48*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*ca*nf
       + 24*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*nf
       + 48*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*ca*nf
       + 32*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*nf
       + 16*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf
       - 16*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*ca*nf
       + 40*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf
       + 454/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*nf
       + 16*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*ca*nf
       + 80*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf
       + 72*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca*nf
       + 40*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*nf
       + 8*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*ca*nf
       - 32*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*nf
       - 24*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*ca*nf
       - 80*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf
       - 80*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca*nf
       - 48*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*nf
       - 8*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*ca*nf
       + 8*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*nf
       + 24*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*ca*nf
       - 36/5*theta( - 3 + N)*den(2 + N)*cf*nf
       - 4493/27*theta( - 3 + N)*den(2 + N)*ca*nf
       + 216/5*theta( - 3 + N)*den(2 + N)^2*cf*nf
       + 2090/9*theta( - 3 + N)*den(2 + N)^2*ca*nf
       - 72*theta( - 3 + N)*den(2 + N)^3*cf*nf
       - 388/3*theta( - 3 + N)*den(2 + N)^3*ca*nf
       + 40*theta( - 3 + N)*den(2 + N)^4*cf*nf
       - 48*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*nf
       - 16*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*nf
       - 16*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*ca*nf
       + 72*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*nf
       + 148*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca*nf
       + 40*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*nf
       + 16*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*nf
       - 16*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*ca*nf
       - 16*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*nf
       - 24*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*ca*nf
       + 80/3*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca*nf
       + 16*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*ca*nf
       - 24*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf
       - 1570/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca*nf
       + 32*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*nf
       - 72*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*nf
       - 244/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca*nf
       - 40*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*nf
       - 8*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*ca*nf
       + 32*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*nf
       + 24*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*ca*nf
       + 72*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*nf
       + 268/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca*nf
       + 48*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*nf
       + 8*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*ca*nf
       - 24*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*nf
       - 16*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*ca*nf
       - 96/5*theta( - 3 + N)*den(3 + N)^3*cf*nf
       - 96/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*nf
       - 24*theta( - 3 + N)*den(N)*cf*nf*z3
       - 647/15*theta( - 3 + N)*den(N)*cf*nf
       + 12*theta( - 3 + N)*den(N)*ca*nf*z3
       + 239/9*theta( - 3 + N)*den(N)*ca*nf
       + 236/15*theta( - 3 + N)*den(N)^2*cf*nf
       - 58*theta( - 3 + N)*den(N)^2*ca*nf
       - 3*theta( - 3 + N)*den(N)^3*cf*nf
       - 2*theta( - 3 + N)*den(N)^3*ca*nf
       + 10*theta( - 3 + N)*den(N)^4*cf*nf
       - 20*theta( - 3 + N)*den(N)^4*ca*nf
       - 16*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*nf
       + 8*theta( - 3 + N)*den(N)^3*S(R(1),N)*ca*nf
       - 32*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*nf
       + 16*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*nf
       + 8*theta( - 3 + N)*den(N)^2*S(R(1),N)*ca*nf
       + 16*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*nf
       - 12*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*nf
       - 16*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*nf
       - 8*theta( - 3 + N)*den(N)*S(R(-3),N)*ca*nf
       + 48*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*nf
       - 24*theta( - 3 + N)*den(N)*S(R(-2),N)*ca*nf
       + 8*theta( - 3 + N)*den(N)*S(R(-2,1),N)*ca*nf
       - 14*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf
       + 62/3*theta( - 3 + N)*den(N)*S(R(1),N)*ca*nf
       + 32*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*nf
       - 8*theta( - 3 + N)*den(N)*S(R(1,-2),N)*ca*nf
       - 26*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf
       - 4*theta( - 3 + N)*den(N)*S(R(1,1),N)*ca*nf
       - 20*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*nf
       - 4*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*ca*nf
       + 16*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*nf
       + 12*theta( - 3 + N)*den(N)*S(R(1,2),N)*ca*nf
       + 26*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf
       + 4*theta( - 3 + N)*den(N)*S(R(2),N)*ca*nf
       + 24*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*nf
       + 4*theta( - 3 + N)*den(N)*S(R(2,1),N)*ca*nf
       - 4*theta( - 3 + N)*den(N)*S(R(3),N)*cf*nf
       - 12*theta( - 3 + N)*den(N)*S(R(3),N)*ca*nf
       + 16/5*delta( - 2 + N)*cf*nf*z3
       - 4799/810*delta( - 2 + N)*cf*nf
       - 2*delta( - 2 + N)*ca*nf*z3
       + 115/324*delta( - 2 + N)*ca*nf
      ;


L   c2qqps2 =
       + 344/27*theta( - 3 + N)*den( - 1 + N)*cf*nf
       + 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*nf
       - 104/9*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*nf
       + 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*nf
       - 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*nf
       - 422/9*theta( - 3 + N)*den(1 + N)*cf*nf
       + 88/3*theta( - 3 + N)*den(1 + N)^2*cf*nf
       + 30*theta( - 3 + N)*den(1 + N)^3*cf*nf
       - 20*theta( - 3 + N)*den(1 + N)^4*cf*nf
       + 16*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*nf
       - 8*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf
       + 8*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*nf
       + 16*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf
       - 80/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf
       - 4*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf
       + 4*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf
       + 448/27*theta( - 3 + N)*den(2 + N)*cf*nf
       + 128/9*theta( - 3 + N)*den(2 + N)^2*cf*nf
       - 64/3*theta( - 3 + N)*den(2 + N)^3*cf*nf
       + 16*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*nf
       - 16/3*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*nf
       + 32/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf
       - 16/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*nf
       + 16/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*nf
       + 158/9*theta( - 3 + N)*den(N)*cf*nf
       - 56*theta( - 3 + N)*den(N)^2*cf*nf
       - 2*theta( - 3 + N)*den(N)^3*cf*nf
       - 20*theta( - 3 + N)*den(N)^4*cf*nf
       + 16*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*nf
       - 8*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*nf
       + 8*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*nf
       - 16*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*nf
       + 104/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf
       + 4*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf
       - 4*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf
       - 133/81*delta( - 2 + N)*cf*nf
      ;


L   c2qq3 =
       + 224/3*theta( - 3 + N)*fl11*[dabc^2/n]*z3
       - 1280/3*theta( - 3 + N)*fl11*[dabc^2/n]*z5
       + 64*theta( - 3 + N)*fl11*[dabc^2/n]
       - 2102/9*theta( - 3 + N)*cf*ca*nf*z3
       + 12*theta( - 3 + N)*cf*ca*nf*z4
       + 142883/486*theta( - 3 + N)*cf*ca*nf
       + 115/3*theta( - 3 + N)*cf*ca^2*N*z5
       - 5/3*theta( - 3 + N)*cf*ca^2*N^2*z5
       + 11686/9*theta( - 3 + N)*cf*ca^2*z3
       - 30*theta( - 3 + N)*cf*ca^2*z4
       - 110/3*theta( - 3 + N)*cf*ca^2*z5
       - 1909753/1944*theta( - 3 + N)*cf*ca^2
       - 8/9*theta( - 3 + N)*cf*nf^2*z3
       - 9517/486*theta( - 3 + N)*cf*nf^2
       - 460/3*theta( - 3 + N)*cf^2*ca*N*z5
       + 20/3*theta( - 3 + N)*cf^2*ca*N^2*z5
       - 5021/3*theta( - 3 + N)*cf^2*ca*z3
       + 90*theta( - 3 + N)*cf^2*ca*z4
       - 3880/3*theta( - 3 + N)*cf^2*ca*z5
       + 9161/12*theta( - 3 + N)*cf^2*ca
       + 1112/3*theta( - 3 + N)*cf^2*nf*z3
       - 12*theta( - 3 + N)*cf^2*nf*z4
       - 341/36*theta( - 3 + N)*cf^2*nf
       + 460/3*theta( - 3 + N)*cf^3*N*z5
       - 20/3*theta( - 3 + N)*cf^3*N^2*z5
       - 1228/3*theta( - 3 + N)*cf^3*z3
       - 60*theta( - 3 + N)*cf^3*z4
       + 6040/3*theta( - 3 + N)*cf^3*z5
       - 7255/24*theta( - 3 + N)*cf^3
       - 32/5*theta( - 3 + N)*den( - 2 + N)*cf*ca*nf*z3
       + 176/5*theta( - 3 + N)*den( - 2 + N)*cf*ca^2*z3
       - 288/5*theta( - 3 + N)*den( - 2 + N)*cf^2*ca*z3
       + 64/5*theta( - 3 + N)*den( - 2 + N)*cf^2*nf*z3
       - 128/5*theta( - 3 + N)*den( - 2 + N)*cf^3*z3
       - 64/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-3), - 2 + N)*cf^2*ca
       + 128/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-3), - 2 + N)*cf^3
       - 64/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*ca*nf
       + 352/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*ca^2
       - 192/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*ca
       + 128/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*nf
       - 256/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^3
       + 64/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2,1), - 2 + N)*cf^2*ca
       - 128/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2,1), - 2 + N)*cf^3
       + 64/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(1,-2), - 2 + N)*cf^2*ca
       - 128/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(1,-2), - 2 + N)*cf^3
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf*ca^2
       - 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf^2*ca
       + 128/3*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf^3
       - 256/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*fl11*[dabc^2/n]
       - 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca*nf
       + 772/45*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca^2
       + 2696/225*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*ca
       + 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*nf
       - 6944/75*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^3
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*fl11*
      [dabc^2/n]
       - 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf*ca^2
       + 96*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf^2*ca
       - 320/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf^3
       + 1664/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*fl11*
      [dabc^2/n]
       + 952/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca*nf
       - 5716/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca^2
       + 5428/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*ca
       - 1904/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*nf
       + 12008/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^3
       + 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf*ca^2
       - 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf^2*ca
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf^3
       + 256/3*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*fl11*
      [dabc^2/n]
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca*nf
       + 284/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca^2
       - 11336/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*ca
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*nf
       + 1888/25*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^3
       - 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1,1), - 2 + N)*cf^2*ca
       + 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1,1), - 2 + N)*cf^3
       + 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,2), - 2 + N)*cf^2*ca
       - 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,2), - 2 + N)*cf^3
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*fl11*[dabc^2/n]
      *z3
       + 32/3*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca*nf*z3
       + 584/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca^2*z3
       - 736/3*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^2*ca*z3
       + 2912/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^3*z3
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*fl11*
      [dabc^2/n]
       - 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf*ca^2
       + 96*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf^2*ca
       - 320/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf^3
       + 256/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*fl11*
      [dabc^2/n]
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca*nf
       + 284/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca^2
       - 11336/225*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*ca
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*nf
       + 1888/25*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^3
       + 1024/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*fl11*
      [dabc^2/n]
       + 128/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf*ca^2
       - 160*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf^2*ca
       + 448/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf^3
       - 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(1,1,-2), - 2 + N)*cf^2*ca
       + 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(1,1,-2), - 2 + N)*cf^3
       + 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*fl11*
      [dabc^2/n]
       - 16/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca*nf
       - 44/5*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca^2
       + 1408/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^2*ca
       - 1232/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^3
       + 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(2,-2), - 2 + N)*cf^2*ca
       - 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(2,-2), - 2 + N)*cf^3
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*fl11*
      [dabc^2/n]
       + 16/3*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca*nf
       + 44/5*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca^2
       - 1408/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^2*ca
       + 1232/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^3
       - 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf*ca^2
       + 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf^2*ca
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf^3
       + 512/15*theta( - 3 + N)*den( - 1 + N)*fl11*[dabc^2/n]*z3
       + 128/5*theta( - 3 + N)*den( - 1 + N)*fl11*[dabc^2/n]
       - 32/3*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z3
       + 1432/225*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf
       - 584/15*theta( - 3 + N)*den( - 1 + N)*cf*ca^2*z3
       - 11456/225*theta( - 3 + N)*den( - 1 + N)*cf*ca^2
       + 736/3*theta( - 3 + N)*den( - 1 + N)*cf^2*ca*z3
       + 8948/75*theta( - 3 + N)*den( - 1 + N)*cf^2*ca
       - 2864/225*theta( - 3 + N)*den( - 1 + N)*cf^2*nf
       - 2912/15*theta( - 3 + N)*den( - 1 + N)*cf^3*z3
       - 7864/225*theta( - 3 + N)*den( - 1 + N)*cf^3
       + 128/5*theta( - 3 + N)*den( - 1 + N)^2*fl11*[dabc^2/n]
       + 472/225*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf
       - 6176/225*theta( - 3 + N)*den( - 1 + N)^2*cf*ca^2
       + 5108/75*theta( - 3 + N)*den( - 1 + N)^2*cf^2*ca
       - 944/225*theta( - 3 + N)*den( - 1 + N)^2*cf^2*nf
       - 5944/225*theta( - 3 + N)*den( - 1 + N)^2*cf^3
       - 256/3*theta( - 3 + N)*den( - 1 + N)^3*fl11*[dabc^2/n]
       - 32/5*theta( - 3 + N)*den( - 1 + N)^3*cf*ca*nf
       + 964/45*theta( - 3 + N)*den( - 1 + N)^3*cf*ca^2
       - 1624/225*theta( - 3 + N)*den( - 1 + N)^3*cf^2*ca
       + 64/5*theta( - 3 + N)*den( - 1 + N)^3*cf^2*nf
       - 5344/75*theta( - 3 + N)*den( - 1 + N)^3*cf^3
       + 64/15*theta( - 3 + N)*den( - 1 + N)^4*cf*ca^2
       - 32*theta( - 3 + N)*den( - 1 + N)^4*cf^2*ca
       + 704/15*theta( - 3 + N)*den( - 1 + N)^4*cf^3
       - 16/3*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca*nf
       - 452/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca^2
       + 2848/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^2*ca
       - 944/5*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^3
       + 64/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf*ca^2
       - 96/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf^2*ca
       + 64/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf^3
       + 256/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*fl11*
      [dabc^2/n]
       - 16/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca*nf
       - 1072/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca^2
       + 28504/225*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*ca
       - 64/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*nf
       - 2192/25*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^3
       - 32/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf^2*ca
       + 64/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf^3
       + 32/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf^2*ca
       - 64/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf^3
       + 512/15*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*fl11*
      [dabc^2/n]
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*ca^2
       - 96*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^2*ca
       + 320/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^3
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*fl11*[dabc^2/n]
       - 32/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca*nf
       - 92/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca^2
       + 9896/225*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*ca
       + 64/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*nf
       - 5984/75*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^3
       - 1024/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*fl11*
      [dabc^2/n]
       - 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca^2
       + 160*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*ca
       - 448/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^3
       + 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*fl11*[dabc^2/n]
       - 16/5*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf
       - 1072/45*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca^2
       + 25624/225*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*ca
       - 64/15*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf
       - 1552/25*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^3
       + 32/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^2*ca
       - 64/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^3
       - 32/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf^2*ca
       + 64/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf^3
       + 32/5*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf^2*ca
       - 64/5*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf^3
       - 512/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*fl11*[dabc^2/n]
       + 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca*nf
       + 44/5*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca^2
       - 1408/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^2*ca
       + 1232/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^3
       - 9792/5*theta( - 3 + N)*den(1 + N)*fl11*[dabc^2/n]*z3
       + 5120*theta( - 3 + N)*den(1 + N)*fl11*[dabc^2/n]*z5
       - 1728/5*theta( - 3 + N)*den(1 + N)*fl11*[dabc^2/n]
       + 11380/27*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z3
       - 8*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z4
       - 15559367/18225*theta( - 3 + N)*den(1 + N)*cf*ca*nf
       - 332032/135*theta( - 3 + N)*den(1 + N)*cf*ca^2*z3
       + 24*theta( - 3 + N)*den(1 + N)*cf*ca^2*z4
       - 800*theta( - 3 + N)*den(1 + N)*cf*ca^2*z5
       + 117537107/36450*theta( - 3 + N)*den(1 + N)*cf*ca^2
       + 16/27*theta( - 3 + N)*den(1 + N)*cf*nf^2*z3
       + 36748/729*theta( - 3 + N)*den(1 + N)*cf*nf^2
       + 12866/3*theta( - 3 + N)*den(1 + N)*cf^2*ca*z3
       - 72*theta( - 3 + N)*den(1 + N)*cf^2*ca*z4
       + 4000*theta( - 3 + N)*den(1 + N)*cf^2*ca*z5
       - 2448601/810*theta( - 3 + N)*den(1 + N)*cf^2*ca
       - 5944/9*theta( - 3 + N)*den(1 + N)*cf^2*nf*z3
       + 8*theta( - 3 + N)*den(1 + N)*cf^2*nf*z4
       + 1183877/4050*theta( - 3 + N)*den(1 + N)*cf^2*nf
       - 4888/5*theta( - 3 + N)*den(1 + N)*cf^3*z3
       + 48*theta( - 3 + N)*den(1 + N)*cf^3*z4
       - 4320*theta( - 3 + N)*den(1 + N)*cf^3*z5
       + 32773/50*theta( - 3 + N)*den(1 + N)*cf^3
       - 2560/3*theta( - 3 + N)*den(1 + N)^2*fl11*[dabc^2/n]*z3
       + 384/5*theta( - 3 + N)*den(1 + N)^2*fl11*[dabc^2/n]
       - 512/3*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z3
       + 640222/675*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf
       + 3304/3*theta( - 3 + N)*den(1 + N)^2*cf*ca^2*z3
       + 24*theta( - 3 + N)*den(1 + N)^2*cf*ca^2*z4
       - 6983873/2025*theta( - 3 + N)*den(1 + N)^2*cf*ca^2
       - 4384/81*theta( - 3 + N)*den(1 + N)^2*cf*nf^2
       - 1456*theta( - 3 + N)*den(1 + N)^2*cf^2*ca*z3
       - 72*theta( - 3 + N)*den(1 + N)^2*cf^2*ca*z4
       + 11139971/2700*theta( - 3 + N)*den(1 + N)^2*cf^2*ca
       + 224*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z3
       - 780913/1350*theta( - 3 + N)*den(1 + N)^2*cf^2*nf
       + 376/3*theta( - 3 + N)*den(1 + N)^2*cf^3*z3
       + 48*theta( - 3 + N)*den(1 + N)^2*cf^3*z4
       - 482609/300*theta( - 3 + N)*den(1 + N)^2*cf^3
       - 5888/15*theta( - 3 + N)*den(1 + N)^3*fl11*[dabc^2/n]
       - 30116/45*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf
       - 144*theta( - 3 + N)*den(1 + N)^3*cf*ca^2*z3
       + 1299656/405*theta( - 3 + N)*den(1 + N)^3*cf*ca^2
       + 2360/81*theta( - 3 + N)*den(1 + N)^3*cf*nf^2
       - 504*theta( - 3 + N)*den(1 + N)^3*cf^2*ca*z3
       - 6780067/2025*theta( - 3 + N)*den(1 + N)^3*cf^2*ca
       + 198278/405*theta( - 3 + N)*den(1 + N)^3*cf^2*nf
       + 3632/3*theta( - 3 + N)*den(1 + N)^3*cf^3*z3
       - 143084/225*theta( - 3 + N)*den(1 + N)^3*cf^3
       - 128/3*theta( - 3 + N)*den(1 + N)^4*fl11*[dabc^2/n]
       + 520/3*theta( - 3 + N)*den(1 + N)^4*cf*ca*nf
       - 30058/135*theta( - 3 + N)*den(1 + N)^4*cf*ca^2
       - 184/27*theta( - 3 + N)*den(1 + N)^4*cf*nf^2
       - 98053/27*theta( - 3 + N)*den(1 + N)^4*cf^2*ca
       + 1510/27*theta( - 3 + N)*den(1 + N)^4*cf^2*nf
       + 71278/15*theta( - 3 + N)*den(1 + N)^4*cf^3
       - 368/9*theta( - 3 + N)*den(1 + N)^5*cf*ca*nf
       + 1040/9*theta( - 3 + N)*den(1 + N)^5*cf*ca^2
       + 10346/9*theta( - 3 + N)*den(1 + N)^5*cf^2*ca
       - 356/9*theta( - 3 + N)*den(1 + N)^5*cf^2*nf
       - 3230/3*theta( - 3 + N)*den(1 + N)^5*cf^3
       + 80*theta( - 3 + N)*den(1 + N)^6*cf*ca^2
       - 568*theta( - 3 + N)*den(1 + N)^6*cf^2*ca
       + 396*theta( - 3 + N)*den(1 + N)^6*cf^3
       - 280/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf*ca^2
       + 2344/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf^2*ca
       - 916/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf^3
       + 40/3*theta( - 3 + N)*den(1 + N)^4*S(R(-2),1 + N)*cf*ca^2
       - 272/3*theta( - 3 + N)*den(1 + N)^4*S(R(-2),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)^4*S(R(-2),1 + N)*cf^3
       - 512*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*fl11*[dabc^2/n]
       + 88/9*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca*nf
       + 8/9*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca^2
       - 14918/9*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*ca
       + 956/9*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*nf
       + 3190/3*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^3
       + 140/3*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf*ca^2
       - 1552/3*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf^2*ca
       - 216*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf^3
       - 28*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf*ca^2
       + 1168/3*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf^2*ca
       + 544/3*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf^3
       + 520/3*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf*ca^2
       - 2144/3*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^2*ca
       + 736*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^3
       - 16/9*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca*nf
       - 704/9*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca^2
       + 3568/9*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*ca
       + 32/9*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*nf
       - 480*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^3
       - 1448/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf*ca^2
       + 4288/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^2*ca
       - 928*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^3
       + 2816/3*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*fl11*[dabc^2/n]
       - 1616/27*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca*nf
       - 99716/135*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca^2
       + 16/3*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*nf^2
       + 910369/135*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*ca
       - 8270/27*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*nf
       - 32478/5*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^3
       + 728/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf*ca^2
       - 1312/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^2*ca
       - 96*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^3
       - 56/9*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*ca*nf
       - 448/9*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*ca^2
       + 10880/9*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*ca
       - 1040/9*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*nf
       + 584/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^3
       + 96*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf^2*ca
       + 688*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf^3
       - 8*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf*ca^2
       - 40*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf^2*ca
       - 2128/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf^3
       + 32/3*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*ca*nf
       + 52/3*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*ca^2
       - 9608/9*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*ca
       + 944/9*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*nf
       - 92*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^3
       + 8*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf*ca^2
       - 584/3*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf^2*ca
       - 576*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf^3
       - 260/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf*ca^2
       + 472*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^2*ca
       + 352/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^3
       + 608/3*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf*ca^2
       - 4408/3*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^2*ca
       + 2128*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^3
       - 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*fl11*[dabc^2/n]
       - 400/9*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca*nf
       + 40/9*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca^2
       + 11368/9*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*ca
       + 800/9*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*nf
       - 2544*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^3
       - 540*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf*ca^2
       + 6728/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^2*ca
       - 6976/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^3
       - 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*fl11*[dabc^2/n]
       + 368/27*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca*nf
       + 43892/135*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca^2
       - 255544/135*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*ca
       - 736/27*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*nf
       + 7456/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^3
       + 560/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*cf*ca^2
       - 1552/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*cf^2*ca
       + 288*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*cf^3
       + 1280/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*fl11*[dabc^2/n]
       - 640/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca*nf
       + 10744/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca^2
       - 41048/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*ca
       + 1280/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*nf
       + 13040/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^3
       + 800/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*cf*ca^2
       - 3008/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*cf^2*ca
       + 2816/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*cf^3
       - 584/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*cf*ca^2
       + 752*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*cf^2*ca
       - 2176/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*cf^3
       + 2048*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*fl11*[dabc^2/n]*z3
       + 9216/5*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*fl11*[dabc^2/n]
       + 41956/135*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf
       - 336*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca^2*z3
       - 264848/135*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca^2
       - 544/27*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf^2
       + 1576*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*ca*z3
       + 3506707/2025*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*ca
       + 24754/405*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf
       - 1408*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^3*z3
       - 44822/75*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^3
       - 524/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf*ca^2
       + 5144/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^2*ca
       - 8192/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^3
       - 256*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*fl11*[dabc^2/n]
       + 1312/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca*nf
       - 10408/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca^2
       + 24056/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*ca
       - 2624/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*nf
       - 720*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^3
       + 456*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf*ca^2
       - 1968*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^2*ca
       + 2112*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^3
       + 232/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*ca*nf
       + 724/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*ca^2
       - 32/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf^2
       - 115576/45*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*ca
       + 2408/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*nf
       + 23714/15*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^3
       - 272/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf*ca^2
       - 544*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^2*ca
       + 4352/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^3
       - 4004/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^2*ca
       + 728/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^2*nf
       - 936*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^3
       - 672*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1,1),1 + N)*cf^3
       - 8/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf*ca^2
       - 248/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf^2*ca
       + 2512/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf^3
       + 56/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*ca*nf
       - 476/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*ca^2
       + 1612/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*ca
       - 296/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*nf
       + 2872/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^3
       + 16*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*cf^2*ca
       + 736*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*cf^3
       - 1024*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*fl11*[dabc^2/n]
       + 316*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf*ca^2
       - 832*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^2*ca
       - 616/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^3
       - 40*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*ca*nf
       + 424/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*ca^2
       + 32/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*nf^2
       + 278828/135*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*ca
       - 6520/27*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*nf
       - 18454/15*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^3
       + 232/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf*ca^2
       + 1120/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^2*ca
       - 1056*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^3
       - 56/9*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*ca*nf
       + 512/9*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*ca^2
       + 3596/9*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*ca
       - 680/9*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*nf
       + 2696/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^3
       + 8/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf*ca^2
       + 200/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf^2*ca
       + 2048/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf^3
       + 52/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf*ca^2
       - 40*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf^2*ca
       - 2080/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf^3
       + 1792/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*fl11*[dabc^2/n]
       + 392/9*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca*nf
       - 116/9*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca^2
       - 9028/9*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*ca
       + 160/9*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*nf
       + 844/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^3
       + 1024*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*fl11*[dabc^2/n]
       - 1028/3*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf*ca^2
       + 1544/3*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^2*ca
       - 1576/3*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^3
       - 440/3*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf*ca^2
       + 2512/3*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^2*ca
       - 584*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^3
       + 944/3*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf*ca^2
       - 4984/3*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf^2*ca
       + 2064*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*fl11*[dabc^2/n]
       - 1264/9*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca*nf
       + 2704/9*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca^2
       + 6532/9*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*ca
       + 2528/9*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*nf
       - 7960/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^3
       + 1024*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*fl11*[dabc^2/n]
       - 784*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf*ca^2
       + 3496*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf^2*ca
       - 3856*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf^3
       - 13696/15*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*fl11*[dabc^2/n]
       + 6080/27*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca*nf
       - 14984/27*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca^2
       - 22916/27*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*ca
       - 12160/27*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*nf
       + 11752/3*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^3
       + 288*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf*ca^2
       - 1520/3*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf^2*ca
       - 416/3*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*fl11*[dabc^2/n]
       + 32/9*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*ca*nf
       + 8224/9*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*ca^2
       - 38960/9*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^2*ca
       - 64/9*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^2*nf
       + 15008/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^3
       + 640/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf*ca^2
       - 3328/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf^2*ca
       + 4096/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf^3
       - 392/3*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf*ca^2
       + 808*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf^2*ca
       - 3280/3*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf^3
       + 2048*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*fl11*[dabc^2/n]*z3
       + 3200/3*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*fl11*[dabc^2/n]
       - 90688/405*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf
       - 640*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca^2*z3
       + 84956/81*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca^2
       + 2304*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*ca*z3
       - 3401962/2025*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*ca
       + 181376/405*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf
       - 2048*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^3*z3
       - 187964/225*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^3
       + 1552/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf*ca^2
       - 3520/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf^2*ca
       + 832/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf^3
       - 256*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*fl11*[dabc^2/n]
       + 224/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca*nf
       - 2768/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca^2
       + 7480/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^2*ca
       - 448/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^2*nf
       - 1296*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^3
       - 3200/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf*ca^2
       + 9424/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf^2*ca
       - 2016*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf^3
       + 20992/15*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*fl11*[dabc^2/n]
       - 512/27*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca*nf
       - 26440/27*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca^2
       + 122252/27*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*ca
       + 1024/27*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*nf
       - 15416/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^3
       + 224*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf*ca^2
       - 3344/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf^2*ca
       + 4000/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf^3
       + 64/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf*ca*nf
       - 1792/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf*ca^2
       + 8912/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^2*ca
       - 128/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^2*nf
       - 1184*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^3
       + 96*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1,1),1 + N)*cf^2*ca
       - 192*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1,1),1 + N)*cf^3
       - 80/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,2),1 + N)*cf*ca^2
       - 112/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,2),1 + N)*cf^2*ca
       + 544/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,2),1 + N)*cf^3
       + 320/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf*ca^2
       - 2000/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf^2*ca
       + 2720/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf^3
       + 80/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2,1),1 + N)*cf*ca^2
       - 592/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2,1),1 + N)*cf^2*ca
       + 288*theta( - 3 + N)*den(1 + N)*S(R(-2,2,1),1 + N)*cf^3
       - 1024*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*fl11*[dabc^2/n]
       + 16/3*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf*ca^2
       + 32*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf^2*ca
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf^3
       + 2560/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*fl11*[dabc^2/n]*z3
       - 768/5*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*fl11*[dabc^2/n]
       + 512/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z3
       - 208814/405*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf
       - 2768/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca^2*z3
       + 786547/405*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca^2
       + 2240/81*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2
       + 1048*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*ca*z3
       - 5746343/2700*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*ca
       - 848/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf*z3
       + 76157/270*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf
       + 2000/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^3*z3
       + 114403/100*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^3
       - 1696/3*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf*ca^2
       + 3544*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf^2*ca
       - 14480/3*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*fl11*[dabc^2/n]
       + 1984/9*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca*nf
       - 2332/9*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca^2
       - 18556/9*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*ca
       - 3968/9*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*nf
       + 5160*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^3
       + 1632*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf*ca^2
       - 20576/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf^2*ca
       + 21568/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf^3
       + 1280/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*fl11*[dabc^2/n]
       - 2240/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca*nf
       + 9592/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca^2
       - 74764/45*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*ca
       + 4480/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*nf
       - 14104/15*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^3
       - 1760/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf*ca^2
       + 1744*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf^2*ca
       - 3424/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf^3
       - 2048/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*fl11*[dabc^2/n]
       - 1472*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf*ca^2
       + 18880/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^2*ca
       - 20096/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^3
       - 1280/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf*ca^2
       + 5536/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf^2*ca
       - 1984*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf^3
       + 896/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf*ca^2
       - 4256/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf^2*ca
       + 4928/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf^3
       - 5548/27*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca^2*z3
       + 26084/27*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca^2
       + 272/27*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf^2
       + 496*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*ca*z3
       - 8812/45*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*ca
       - 484/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf
       - 256*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^3*z3
       + 5318/15*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^3
       + 1184*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf*ca^2
       - 6080*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf^2*ca
       + 7424*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf^3
       - 1280/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca*nf
       + 4328/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca^2
       + 728/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*ca
       + 2560/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*nf
       - 6256/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^3
       - 2240*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf*ca^2
       + 8544*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf^2*ca
       - 8128*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf^3
       - 176/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*ca*nf
       + 484/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*ca^2
       + 16/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*nf^2
       + 1348*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*ca
       - 168*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*nf
       - 642*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^3
       + 864*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*cf^2*ca
       - 1728*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*cf^3
       + 880/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf^2*ca
       - 160/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf^2*nf
       + 672*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf^3
       + 480*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1,1),1 + N)*cf^3
       + 96*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,2),1 + N)*cf^2*ca
       - 672*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,2),1 + N)*cf^3
       - 232/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*ca*nf
       + 1228/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*ca^2
       - 4016/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^2*ca
       + 896/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^2*nf
       - 840*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^3
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2,1),1 + N)*cf*ca^2
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2,1),1 + N)*cf^2*ca
       - 576*theta( - 3 + N)*den(1 + N)*S(R(1,1,2,1),1 + N)*cf^3
       - 1216/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf*ca^2
       + 1984/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf^2*ca
       + 720*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf^3
       + 32/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca*nf
       + 536/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca^2
       - 16/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*nf^2
       - 1660*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*ca
       + 632/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*nf
       + 2390/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^3
       - 32*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf*ca^2
       - 784*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf^2*ca
       + 1696*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf^3
       + 160/9*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*ca*nf
       - 868/9*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*ca^2
       - 572/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^2*ca
       + 80/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^2*nf
       - 2056/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^3
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1,1),1 + N)*cf*ca^2
       - 112/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1,1),1 + N)*cf^2*ca
       - 528*theta( - 3 + N)*den(1 + N)*S(R(1,2,1,1),1 + N)*cf^3
       - 16*theta( - 3 + N)*den(1 + N)*S(R(1,2,2),1 + N)*cf*ca^2
       - 16*theta( - 3 + N)*den(1 + N)*S(R(1,2,2),1 + N)*cf^2*ca
       + 672*theta( - 3 + N)*den(1 + N)*S(R(1,2,2),1 + N)*cf^3
       - 1792/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*fl11*[dabc^2/n]
       + 8/9*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca*nf
       - 2672/9*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca^2
       + 14420/9*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*ca
       - 728/9*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*nf
       - 632*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^3
       + 1072/3*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf*ca^2
       - 928/3*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf^2*ca
       - 64*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf^3
       + 1312/3*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf*ca^2
       - 1768*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf^2*ca
       + 4064/3*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf^3
       + 5284/27*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf
       + 96*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca^2*z3
       - 22634/27*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca^2
       - 272/27*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf^2
       + 112*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*ca*z3
       - 120892/405*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*ca
       + 6464/81*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf
       - 320*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^3*z3
       + 1222/15*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^3
       - 672*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf*ca^2
       + 11392/3*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf^2*ca
       - 14720/3*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf^3
       + 1312/9*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca*nf
       - 5848/9*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca^2
       + 6248/9*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*ca
       - 2624/9*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*nf
       + 3632/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^3
       + 1296*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf*ca^2
       - 5184*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf^2*ca
       + 5184*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf^3
       + 320/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca*nf
       - 1516/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca^2
       - 16/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*nf^2
       - 12616/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*ca
       + 1672/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*nf
       + 754*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^3
       - 16*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf*ca^2
       - 832*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf^2*ca
       + 1728*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf^3
       + 8*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf*ca*nf
       - 40*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf*ca^2
       - 3508/9*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf^2*ca
       + 544/9*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf^2*nf
       - 1904/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf^3
       - 48*theta( - 3 + N)*den(1 + N)*S(R(2,1,1,1),1 + N)*cf^2*ca
       - 528*theta( - 3 + N)*den(1 + N)*S(R(2,1,1,1),1 + N)*cf^3
       - 16/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,2),1 + N)*cf*ca^2
       - 16*theta( - 3 + N)*den(1 + N)*S(R(2,1,2),1 + N)*cf^2*ca
       + 1984/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,2),1 + N)*cf^3
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*ca*nf
       - 328/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*ca^2
       + 5164/9*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^2*ca
       - 976/9*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^2*nf
       + 1952/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^3
       + 16/3*theta( - 3 + N)*den(1 + N)*S(R(2,2,1),1 + N)*cf*ca^2
       + 176/3*theta( - 3 + N)*den(1 + N)*S(R(2,2,1),1 + N)*cf^2*ca
       + 576*theta( - 3 + N)*den(1 + N)*S(R(2,2,1),1 + N)*cf^3
       + 240*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf*ca^2
       - 1664/3*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf^2*ca
       - 1136/3*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf^3
       - 128/5*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*fl11*[dabc^2/n]
       - 1184/9*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca*nf
       + 31532/45*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca^2
       + 16/9*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*nf^2
       - 60284/135*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*ca
       + 280/27*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*nf
       + 8654/15*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^3
       - 544/3*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf*ca^2
       + 1200*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf^2*ca
       - 5024/3*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf^3
       + 1792/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*fl11*[dabc^2/n]
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca*nf
       + 1744/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca^2
       - 7268/9*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*ca
       + 920/9*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*nf
       + 2576/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^3
       + 320/3*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf*ca^2
       + 16*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf^2*ca
       + 1216/3*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf^3
       - 208/3*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf*ca^2
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf^2*ca
       - 1168/3*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*fl11*[dabc^2/n]
       + 848/9*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca*nf
       - 1280/9*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca^2
       - 7252/9*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*ca
       - 1016/9*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*nf
       + 2752/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^3
       + 184*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf*ca^2
       - 4624/3*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf^2*ca
       + 1488*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf^3
       - 944/3*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf*ca^2
       + 4168/3*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf^2*ca
       - 1072*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf^3
       + 7296/5*theta( - 3 + N)*den(2 + N)*fl11*[dabc^2/n]*z3
       + 1152/5*theta( - 3 + N)*den(2 + N)*fl11*[dabc^2/n]
       - 160*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z3
       + 1752/25*theta( - 3 + N)*den(2 + N)*cf*ca*nf
       + 688/5*theta( - 3 + N)*den(2 + N)*cf*ca^2*z3
       - 13216/25*theta( - 3 + N)*den(2 + N)*cf*ca^2
       + 1568*theta( - 3 + N)*den(2 + N)*cf^2*ca*z3
       + 31844/25*theta( - 3 + N)*den(2 + N)*cf^2*ca
       - 64*theta( - 3 + N)*den(2 + N)*cf^2*nf*z3
       - 3504/25*theta( - 3 + N)*den(2 + N)*cf^2*nf
       - 1536/5*theta( - 3 + N)*den(2 + N)*cf^3*z3
       - 10824/25*theta( - 3 + N)*den(2 + N)*cf^3
       - 1536*theta( - 3 + N)*den(2 + N)^2*fl11*[dabc^2/n]*z3
       - 4992/5*theta( - 3 + N)*den(2 + N)^2*fl11*[dabc^2/n]
       + 64*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z3
       + 168/25*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf
       + 752*theta( - 3 + N)*den(2 + N)^2*cf*ca^2*z3
       + 11976/25*theta( - 3 + N)*den(2 + N)^2*cf*ca^2
       - 2688*theta( - 3 + N)*den(2 + N)^2*cf^2*ca*z3
       - 45508/25*theta( - 3 + N)*den(2 + N)^2*cf^2*ca
       + 2464/25*theta( - 3 + N)*den(2 + N)^2*cf^2*nf
       + 1600*theta( - 3 + N)*den(2 + N)^2*cf^3*z3
       + 22872/25*theta( - 3 + N)*den(2 + N)^2*cf^3
       + 768*theta( - 3 + N)*den(2 + N)^3*fl11*[dabc^2/n]
       + 48/5*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf
       - 2128/5*theta( - 3 + N)*den(2 + N)^3*cf*ca^2
       + 34744/25*theta( - 3 + N)*den(2 + N)^3*cf^2*ca
       - 576/5*theta( - 3 + N)*den(2 + N)^3*cf^2*nf
       - 11088/25*theta( - 3 + N)*den(2 + N)^3*cf^3
       + 864/5*theta( - 3 + N)*den(2 + N)^4*cf^2*ca
       - 1728/5*theta( - 3 + N)*den(2 + N)^4*cf^3
       - 768*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca*nf
       + 376*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca^2
       - 1344*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^2*ca
       + 800*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^3
       - 2688/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*fl11*[dabc^2/n]
       + 16*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca*nf
       - 1876/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca^2
       + 9264/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*ca
       - 160*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*nf
       - 6096/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^3
       + 1152*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*fl11*[dabc^2/n]
       - 64*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca*nf
       + 2248/5*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca^2
       - 8192/5*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*nf
       + 7392/5*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^3
       - 768*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*fl11*[dabc^2/n]
       + 384/5*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf
       - 248/5*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca^2
       - 12224/25*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*ca
       - 208/5*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf
       + 9168/25*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^3
       + 288/5*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^2*ca
       - 576/5*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^3
       - 1168/5*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*ca
       + 32*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*nf
       + 576/5*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^3
       + 768*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*fl11*[dabc^2/n]
       - 32*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca*nf
       - 376*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca^2
       + 1344*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^2*ca
       - 800*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^3
       + 1536/5*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*fl11*[dabc^2/n]
       + 192*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*ca^2
       - 864*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^2*ca
       + 960*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^3
       - 768*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*fl11*[dabc^2/n]
       - 96/5*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf
       - 92/5*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca^2
       + 9416/25*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*ca
       + 192/5*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf
       - 16992/25*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^3
       + 2688/5*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*fl11*[dabc^2/n]
       - 64*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca*nf
       + 104*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca^2
       - 256*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*nf
       + 96*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^3
       + 1536*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*fl11*[dabc^2/n]*z3
       + 768*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*fl11*[dabc^2/n]
       - 64*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z3
       - 384/5*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf
       - 752*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca^2*z3
       + 248/5*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca^2
       + 2688*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*ca*z3
       + 13664/25*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*ca
       + 208/5*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf
       - 1600*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^3*z3
       - 12048/25*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^3
       - 1152*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*fl11*[dabc^2/n]
       + 64*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca*nf
       - 488*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca^2
       + 8768/5*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*ca
       - 128*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*nf
       - 7776/5*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^3
       - 288/5*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*ca
       + 576/5*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^3
       + 176*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*ca
       - 32*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*nf
       - 768*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca*nf
       + 376*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca^2
       - 1344*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^2*ca
       + 800*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^3
       - 48*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf
       + 264*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca^2
       - 1912/5*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*ca
       + 80*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf
       - 576/5*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^3
       - 176*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*ca
       + 32*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*nf
       - 1536/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*fl11*[dabc^2/n]
       + 48*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca*nf
       + 396/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca^2
       - 4224/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^2*ca
       + 3696/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^3
       + 768*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*fl11*[dabc^2/n]
       - 32*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca*nf
       - 376*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca^2
       + 1344*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^2*ca
       - 800*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^3
       + 1152/5*theta( - 3 + N)*den(3 + N)*cf*ca*nf*z3
       - 6336/5*theta( - 3 + N)*den(3 + N)*cf*ca^2*z3
       + 10608/5*theta( - 3 + N)*den(3 + N)*cf^2*ca*z3
       - 1824/5*theta( - 3 + N)*den(3 + N)*cf^2*nf*z3
       - 1152/5*theta( - 3 + N)*den(3 + N)*cf^3*z3
       + 1536/5*theta( - 3 + N)*den(3 + N)^2*fl11*[dabc^2/n]*z3
       - 96*theta( - 3 + N)*den(3 + N)^2*cf*ca*nf*z3
       - 1752/5*theta( - 3 + N)*den(3 + N)^2*cf*ca^2*z3
       + 2208*theta( - 3 + N)*den(3 + N)^2*cf^2*ca*z3
       - 8736/5*theta( - 3 + N)*den(3 + N)^2*cf^3*z3
       + 4992/5*theta( - 3 + N)*den(3 + N)^3*fl11*[dabc^2/n]
       + 1272/25*theta( - 3 + N)*den(3 + N)^3*cf*ca*nf
       - 7476/25*theta( - 3 + N)*den(3 + N)^3*cf*ca^2
       + 10908/25*theta( - 3 + N)*den(3 + N)^3*cf^2*ca
       - 2544/25*theta( - 3 + N)*den(3 + N)^3*cf^2*nf
       + 8088/25*theta( - 3 + N)*den(3 + N)^3*cf^3
       - 768*theta( - 3 + N)*den(3 + N)^4*fl11*[dabc^2/n]
       - 288/5*theta( - 3 + N)*den(3 + N)^4*cf*ca*nf
       + 772/5*theta( - 3 + N)*den(3 + N)^4*cf*ca^2
       + 3656/25*theta( - 3 + N)*den(3 + N)^4*cf^2*ca
       + 576/5*theta( - 3 + N)*den(3 + N)^4*cf^2*nf
       - 22752/25*theta( - 3 + N)*den(3 + N)^4*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)^5*cf*ca^2
       - 288*theta( - 3 + N)*den(3 + N)^5*cf^2*ca
       + 2112/5*theta( - 3 + N)*den(3 + N)^5*cf^3
       - 48*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca*nf
       - 1356/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca^2
       + 8544/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^2*ca
       - 8496/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf*ca^2
       - 864/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf^2*ca
       + 192*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf^3
       + 768*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*fl11*[dabc^2/n]
       + 336/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca*nf
       - 1036/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca^2
       - 1296/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*ca
       - 592/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*nf
       + 18912/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^3
       - 288/5*theta( - 3 + N)*den(3 + N)^3*S(R(1,1),3 + N)*cf^2*ca
       + 576/5*theta( - 3 + N)*den(3 + N)^3*S(R(1,1),3 + N)*cf^3
       + 288/5*theta( - 3 + N)*den(3 + N)^3*S(R(2),3 + N)*cf^2*ca
       - 576/5*theta( - 3 + N)*den(3 + N)^3*S(R(2),3 + N)*cf^3
       + 1536/5*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*fl11*[dabc^2/n]
       + 192*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf*ca^2
       - 864*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf^2*ca
       + 960*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf^3
       - 768*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*fl11*[dabc^2/n]
       - 96/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca*nf
       - 284/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca^2
       + 12296/25*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*ca
       + 192/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*nf
       - 18912/25*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^3
       - 3072/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*fl11*[dabc^2/n]
       - 384*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf*ca^2
       + 1440*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf^2*ca
       - 1344*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf^3
       + 288/5*theta( - 3 + N)*den(3 + N)^2*S(R(1,-2),3 + N)*cf^2*ca
       - 576/5*theta( - 3 + N)*den(3 + N)^2*S(R(1,-2),3 + N)*cf^3
       - 48*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*ca*nf
       + 264*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*ca^2
       - 440*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf^2*ca
       + 80*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf^2*nf
       - 1536/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*fl11*[dabc^2/n]
       + 48*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca*nf
       + 396/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca^2
       - 4224/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^2*ca
       + 3696/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^3
       + 96/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf*ca^2
       - 1152/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf^2*ca
       + 384*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf^3
       - 768*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*fl11*[dabc^2/n]
       - 288/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca*nf
       + 772/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca^2
       + 3656/25*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*ca
       + 576/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*nf
       - 22752/25*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^3
       - 1536/5*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*fl11*[dabc^2/n]
       - 192*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf*ca^2
       + 864*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf^2*ca
       - 960*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf^3
       + 4992/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*fl11*[dabc^2/n]
       + 1272/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca*nf
       - 7476/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca^2
       + 10908/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*ca
       - 2544/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*nf
       + 8088/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf*ca^2
       - 576/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf^2*ca
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf^3
       + 768*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*fl11*[dabc^2/n]
       + 96/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca*nf
       + 284/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca^2
       - 12296/25*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*ca
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*nf
       + 18912/25*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^3
       - 288/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1,1),3 + N)*cf^2*ca
       + 576/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1,1),3 + N)*cf^3
       + 288/5*theta( - 3 + N)*den(3 + N)*S(R(-2,2),3 + N)*cf^2*ca
       - 576/5*theta( - 3 + N)*den(3 + N)*S(R(-2,2),3 + N)*cf^3
       - 1536/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*fl11*[dabc^2/n]*z3
       + 96*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca*nf*z3
       + 1752/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca^2*z3
       - 2208*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^2*ca*z3
       + 8736/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^3*z3
       - 1536/5*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*fl11*[dabc^2/n]
       - 192*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf*ca^2
       + 864*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf^2*ca
       - 960*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf^3
       + 768*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*fl11*[dabc^2/n]
       + 96/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca*nf
       + 284/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca^2
       - 12296/25*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*ca
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*nf
       + 18912/25*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^3
       + 3072/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*fl11*[dabc^2/n]
       + 384*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf*ca^2
       - 1440*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf^2*ca
       + 1344*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf^3
       - 288/5*theta( - 3 + N)*den(3 + N)*S(R(1,1,-2),3 + N)*cf^2*ca
       + 576/5*theta( - 3 + N)*den(3 + N)*S(R(1,1,-2),3 + N)*cf^3
       + 48*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*ca*nf
       - 264*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*ca^2
       + 440*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf^2*ca
       - 80*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf^2*nf
       + 1536/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*fl11*[dabc^2/n]
       - 48*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca*nf
       - 396/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca^2
       + 4224/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^2*ca
       - 3696/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^3
       + 288/5*theta( - 3 + N)*den(3 + N)*S(R(2,-2),3 + N)*cf^2*ca
       - 576/5*theta( - 3 + N)*den(3 + N)*S(R(2,-2),3 + N)*cf^3
       - 48*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*ca*nf
       + 264*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*ca^2
       - 440*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf^2*ca
       + 80*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf^2*nf
       - 1536/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*fl11*[dabc^2/n]
       + 48*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca*nf
       + 396/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca^2
       - 4224/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^2*ca
       + 3696/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^3
       - 96/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf*ca^2
       + 288/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf^2*ca
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf^3
       + 6016/15*theta( - 3 + N)*den(N)*fl11*[dabc^2/n]*z3
       - 2560*theta( - 3 + N)*den(N)*fl11*[dabc^2/n]*z5
       - 192/5*theta( - 3 + N)*den(N)*fl11*[dabc^2/n]
       - 6844/27*theta( - 3 + N)*den(N)*cf*ca*nf*z3
       + 8*theta( - 3 + N)*den(N)*cf*ca*nf*z4
       + 5608067/18225*theta( - 3 + N)*den(N)*cf*ca*nf
       + 214852/135*theta( - 3 + N)*den(N)*cf*ca^2*z3
       - 24*theta( - 3 + N)*den(N)*cf*ca^2*z4
       + 160*theta( - 3 + N)*den(N)*cf*ca^2*z5
       - 43792907/36450*theta( - 3 + N)*den(N)*cf*ca^2
       - 16/27*theta( - 3 + N)*den(N)*cf*nf^2*z3
       - 11170/729*theta( - 3 + N)*den(N)*cf*nf^2
       - 8164/3*theta( - 3 + N)*den(N)*cf^2*ca*z3
       + 72*theta( - 3 + N)*den(N)*cf^2*ca*z4
       - 1600*theta( - 3 + N)*den(N)*cf^2*ca*z5
       + 762013/3240*theta( - 3 + N)*den(N)*cf^2*ca
       + 3904/9*theta( - 3 + N)*den(N)*cf^2*nf*z3
       - 8*theta( - 3 + N)*den(N)*cf^2*nf*z4
       - 41929/8100*theta( - 3 + N)*den(N)*cf^2*nf
       - 496/15*theta( - 3 + N)*den(N)*cf^3*z3
       - 48*theta( - 3 + N)*den(N)*cf^3*z4
       + 2080*theta( - 3 + N)*den(N)*cf^3*z5
       + 468737/1800*theta( - 3 + N)*den(N)*cf^3
       + 128/15*theta( - 3 + N)*den(N)^2*fl11*[dabc^2/n]
       + 368/3*theta( - 3 + N)*den(N)^2*cf*ca*nf*z3
       - 178148/675*theta( - 3 + N)*den(N)^2*cf*ca*nf
       - 1864/3*theta( - 3 + N)*den(N)^2*cf*ca^2*z3
       + 24*theta( - 3 + N)*den(N)^2*cf*ca^2*z4
       + 1974182/2025*theta( - 3 + N)*den(N)^2*cf*ca^2
       + 1204/81*theta( - 3 + N)*den(N)^2*cf*nf^2
       + 696*theta( - 3 + N)*den(N)^2*cf^2*ca*z3
       - 72*theta( - 3 + N)*den(N)^2*cf^2*ca*z4
       - 2721721/8100*theta( - 3 + N)*den(N)^2*cf^2*ca
       - 640/3*theta( - 3 + N)*den(N)^2*cf^2*nf*z3
       + 79151/4050*theta( - 3 + N)*den(N)^2*cf^2*nf
       + 648*theta( - 3 + N)*den(N)^2*cf^3*z3
       + 48*theta( - 3 + N)*den(N)^2*cf^3*z4
       - 24413/180*theta( - 3 + N)*den(N)^2*cf^3
       + 128/3*theta( - 3 + N)*den(N)^3*fl11*[dabc^2/n]
       + 72176/405*theta( - 3 + N)*den(N)^3*cf*ca*nf
       - 144*theta( - 3 + N)*den(N)^3*cf*ca^2*z3
       - 240196/405*theta( - 3 + N)*den(N)^3*cf*ca^2
       - 992/81*theta( - 3 + N)*den(N)^3*cf*nf^2
       + 696*theta( - 3 + N)*den(N)^3*cf^2*ca*z3
       + 616223/2025*theta( - 3 + N)*den(N)^3*cf^2*ca
       - 15742/405*theta( - 3 + N)*den(N)^3*cf^2*nf
       - 2096/3*theta( - 3 + N)*den(N)^3*cf^3*z3
       - 6673/75*theta( - 3 + N)*den(N)^3*cf^3
       - 2024/27*theta( - 3 + N)*den(N)^4*cf*ca*nf
       + 5566/27*theta( - 3 + N)*den(N)^4*cf*ca^2
       + 184/27*theta( - 3 + N)*den(N)^4*cf*nf^2
       + 4607/45*theta( - 3 + N)*den(N)^4*cf^2*ca
       - 10/9*theta( - 3 + N)*den(N)^4*cf^2*nf
       - 246/5*theta( - 3 + N)*den(N)^4*cf^3
       - 2002/9*theta( - 3 + N)*den(N)^5*cf^2*ca
       + 364/9*theta( - 3 + N)*den(N)^5*cf^2*nf
       + 134*theta( - 3 + N)*den(N)^5*cf^3
       + 60*theta( - 3 + N)*den(N)^6*cf^3
       - 120*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf*ca^2
       + 384*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf^2*ca
       - 524*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf^3
       - 88/3*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf*ca^2
       + 336*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf^2*ca
       - 1664/3*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf^3
       - 16*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf*ca*nf
       + 168*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf*ca^2
       - 530/9*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf^2*ca
       - 532/9*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf^2*nf
       + 598/3*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf^3
       + 100*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf*ca^2
       - 320*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf^2*ca
       + 2072/3*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf^3
       - 60*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf*ca^2
       + 192*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf^2*ca
       - 1376/3*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf^3
       - 544/3*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf*ca^2
       + 4352/3*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf^2*ca
       - 2176*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf^3
       + 1072/9*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf*ca*nf
       - 4360/9*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf*ca^2
       + 7280/9*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^2*ca
       - 2144/9*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^2*nf
       + 320*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^3
       + 520/3*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf*ca^2
       - 3680/3*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf^2*ca
       + 1760*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf^3
       + 512/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*fl11*[dabc^2/n]
       + 664/9*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca*nf
       - 15008/45*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca^2
       - 16/3*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*nf^2
       - 3043/45*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*ca
       + 482/9*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*nf
       - 1212/5*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^3
       + 200*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf*ca^2
       - 4096/3*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf^2*ca
       + 5792/3*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf^3
       + 40/3*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf*ca*nf
       - 460/3*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf*ca^2
       + 8*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf^2*ca
       + 64*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf^2*nf
       - 1016/3*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf^3
       - 496*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*cf^3
       - 40/3*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf*ca^2
       + 24*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf^2*ca
       + 1360/3*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf^3
       - 8*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf*ca*nf
       + 92*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf*ca^2
       + 1400/9*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf^2*ca
       - 608/9*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf^2*nf
       + 108*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf^3
       + 40/3*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf*ca^2
       - 24*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf^2*ca
       + 480*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf^3
       + 92/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf*ca^2
       - 424/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf^2*ca
       - 544/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf^3
       - 304*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf*ca^2
       + 1816*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf^2*ca
       - 2416*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf^3
       + 1264/9*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf*ca*nf
       - 3400/9*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf*ca^2
       - 4192/9*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^2*ca
       - 2528/9*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^2*nf
       + 7328/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^3
       + 2236/3*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf*ca^2
       - 10328/3*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf^2*ca
       + 3904*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf^3
       + 256*theta( - 3 + N)*den(N)^2*S(R(-2),N)*fl11*[dabc^2/n]
       - 6032/27*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca*nf
       + 168772/135*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca^2
       - 336608/135*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*ca
       + 12064/27*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*nf
       - 208/15*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^3
       - 848/3*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*cf*ca^2
       + 2384/3*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*cf^2*ca
       - 1376/3*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*cf^3
       - 320/9*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf*ca*nf
       - 1168/9*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf*ca^2
       + 12416/9*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^2*ca
       + 640/9*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^2*nf
       - 2240*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^3
       - 160*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*cf*ca^2
       + 2560/3*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*cf^2*ca
       - 3200/3*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*cf^3
       + 344/3*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*cf*ca^2
       - 2000/3*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*cf^2*ca
       + 2624/3*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*cf^3
       + 1024*theta( - 3 + N)*den(N)^2*S(R(1),N)*fl11*[dabc^2/n]*z3
       + 128/15*theta( - 3 + N)*den(N)^2*S(R(1),N)*fl11*[dabc^2/n]
       - 22924/135*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf
       - 176*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca^2*z3
       + 77462/135*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca^2
       + 232/27*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*nf^2
       + 216*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*ca*z3
       + 44762/2025*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*ca
       + 3224/405*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf
       + 96*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^3*z3
       + 16073/75*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^3
       + 1988/3*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf*ca^2
       - 3384*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf^2*ca
       + 12352/3*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf^3
       - 544/9*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf*ca*nf
       - 320/9*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf*ca^2
       + 11056/9*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^2*ca
       + 1088/9*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^2*nf
       - 6944/3*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^3
       - 1112*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf*ca^2
       + 4496*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf^2*ca
       - 4544*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf^3
       - 472/9*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*ca*nf
       + 2648/9*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*ca^2
       + 32/9*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*nf^2
       + 9124/45*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*ca
       - 632/9*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*nf
       + 1034/15*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^3
       - 272/3*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf*ca^2
       + 864*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf^2*ca
       - 4096/3*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf^3
       + 3212/9*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf^2*ca
       - 584/9*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf^2*nf
       + 144*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf^3
       + 480*theta( - 3 + N)*den(N)^2*S(R(1,1,1,1),N)*cf^3
       - 8*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf*ca^2
       + 248/3*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf^2*ca
       - 1808/3*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf^3
       - 80/9*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf*ca*nf
       + 392/9*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf*ca^2
       - 1360/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf^2*ca
       + 248/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf^2*nf
       - 176/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf^3
       + 32/3*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf*ca^2
       - 48*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf^2*ca
       - 1472/3*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf^3
       - 512*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*fl11*[dabc^2/n]
       - 428/3*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf*ca^2
       + 336*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf^2*ca
       + 264*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf^3
       + 424/9*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*ca*nf
       - 1976/9*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*ca^2
       - 32/9*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*nf^2
       - 46232/135*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*ca
       + 1912/27*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*nf
       + 1286/15*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^3
       + 56*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*cf*ca^2
       - 640*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*cf^2*ca
       + 1056*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*cf^3
       + 80/9*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf*ca*nf
       - 392/9*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf*ca^2
       - 2960/9*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf^2*ca
       + 536/9*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf^2*nf
       - 176/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf^3
       - 8/3*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf*ca^2
       - 104/3*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf^2*ca
       - 1472/3*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf^3
       + 4/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf*ca^2
       - 8/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf^2*ca
       + 1408/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf^3
       - 104/9*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf*ca*nf
       + 236/9*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf*ca^2
       + 3268/9*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf^2*ca
       - 400/9*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf^2*nf
       - 316/3*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf^3
       + 512*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*fl11*[dabc^2/n]
       + 68*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf*ca^2
       + 120*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf^2*ca
       + 376/3*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf^3
       + 232*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf*ca^2
       - 880*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf^2*ca
       + 504*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf^3
       - 560/3*theta( - 3 + N)*den(N)*S(R(-5),N)*cf*ca^2
       + 3256/3*theta( - 3 + N)*den(N)*S(R(-5),N)*cf^2*ca
       - 1424*theta( - 3 + N)*den(N)*S(R(-5),N)*cf^3
       + 688/9*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*ca*nf
       - 376/9*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*ca^2
       - 11752/9*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^2*ca
       - 1376/9*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^2*nf
       + 8336/3*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^3
       - 512*theta( - 3 + N)*den(N)*S(R(-4,1),N)*fl11*[dabc^2/n]
       + 464*theta( - 3 + N)*den(N)*S(R(-4,1),N)*cf*ca^2
       - 2152*theta( - 3 + N)*den(N)*S(R(-4,1),N)*cf^2*ca
       + 2448*theta( - 3 + N)*den(N)*S(R(-4,1),N)*cf^3
       + 6016/15*theta( - 3 + N)*den(N)*S(R(-3),N)*fl11*[dabc^2/n]
       - 6272/27*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca*nf
       + 17996/27*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca^2
       + 14624/27*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*ca
       + 12544/27*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*nf
       - 11248/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^3
       - 160*theta( - 3 + N)*den(N)*S(R(-3,-2),N)*cf*ca^2
       + 560/3*theta( - 3 + N)*den(N)*S(R(-3,-2),N)*cf^2*ca
       + 800/3*theta( - 3 + N)*den(N)*S(R(-3,-2),N)*cf^3
       - 32/9*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*ca*nf
       - 8608/9*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*ca^2
       + 40040/9*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^2*ca
       + 64/9*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^2*nf
       - 5072*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^3
       - 640/3*theta( - 3 + N)*den(N)*S(R(-3,1,1),N)*cf*ca^2
       + 3136/3*theta( - 3 + N)*den(N)*S(R(-3,1,1),N)*cf^2*ca
       - 3712/3*theta( - 3 + N)*den(N)*S(R(-3,1,1),N)*cf^3
       + 392/3*theta( - 3 + N)*den(N)*S(R(-3,2),N)*cf*ca^2
       - 744*theta( - 3 + N)*den(N)*S(R(-3,2),N)*cf^2*ca
       + 2896/3*theta( - 3 + N)*den(N)*S(R(-3,2),N)*cf^3
       - 1024*theta( - 3 + N)*den(N)*S(R(-2),N)*fl11*[dabc^2/n]*z3
       - 1280/3*theta( - 3 + N)*den(N)*S(R(-2),N)*fl11*[dabc^2/n]
       + 105808/405*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca^2*z3
       - 118940/81*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca^2
       - 960*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*ca*z3
       + 5637202/2025*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*ca
       - 211616/405*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf
       + 896*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^3*z3
       + 22948/75*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^3
       - 784/3*theta( - 3 + N)*den(N)*S(R(-2,-3),N)*cf*ca^2
       + 1408/3*theta( - 3 + N)*den(N)*S(R(-2,-3),N)*cf^2*ca
       + 320/3*theta( - 3 + N)*den(N)*S(R(-2,-3),N)*cf^3
       - 32*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf*ca*nf
       + 544*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf*ca^2
       - 1616*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf^2*ca
       + 64*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf^2*nf
       + 1056*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf^3
       + 1664/3*theta( - 3 + N)*den(N)*S(R(-2,-2,1),N)*cf*ca^2
       - 4816/3*theta( - 3 + N)*den(N)*S(R(-2,-2,1),N)*cf^2*ca
       + 992*theta( - 3 + N)*den(N)*S(R(-2,-2,1),N)*cf^3
       - 10112/15*theta( - 3 + N)*den(N)*S(R(-2,1),N)*fl11*[dabc^2/n]
       + 1664/27*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca*nf
       + 10120/27*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca^2
       - 71324/27*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*ca
       - 3328/27*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*nf
       + 3784*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^3
       - 224*theta( - 3 + N)*den(N)*S(R(-2,1,-2),N)*cf*ca^2
       + 2960/3*theta( - 3 + N)*den(N)*S(R(-2,1,-2),N)*cf^2*ca
       - 3232/3*theta( - 3 + N)*den(N)*S(R(-2,1,-2),N)*cf^3
       - 64/9*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf*ca*nf
       + 1792/9*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf*ca^2
       - 9488/9*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^2*ca
       + 128/9*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^2*nf
       + 1312*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^3
       - 96*theta( - 3 + N)*den(N)*S(R(-2,1,1,1),N)*cf^2*ca
       + 192*theta( - 3 + N)*den(N)*S(R(-2,1,1,1),N)*cf^3
       + 80/3*theta( - 3 + N)*den(N)*S(R(-2,1,2),N)*cf*ca^2
       + 112/3*theta( - 3 + N)*den(N)*S(R(-2,1,2),N)*cf^2*ca
       - 544/3*theta( - 3 + N)*den(N)*S(R(-2,1,2),N)*cf^3
       - 320/3*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf*ca^2
       + 2192/3*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf^2*ca
       - 3104/3*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf^3
       - 80/3*theta( - 3 + N)*den(N)*S(R(-2,2,1),N)*cf*ca^2
       + 592/3*theta( - 3 + N)*den(N)*S(R(-2,2,1),N)*cf^2*ca
       - 288*theta( - 3 + N)*den(N)*S(R(-2,2,1),N)*cf^3
       + 512*theta( - 3 + N)*den(N)*S(R(-2,3),N)*fl11*[dabc^2/n]
       + 176/3*theta( - 3 + N)*den(N)*S(R(-2,3),N)*cf*ca^2
       - 288*theta( - 3 + N)*den(N)*S(R(-2,3),N)*cf^2*ca
       + 1024/3*theta( - 3 + N)*den(N)*S(R(-2,3),N)*cf^3
       - 2048*theta( - 3 + N)*den(N)*S(R(1),N)*fl11*[dabc^2/n]*z3
       - 10496/15*theta( - 3 + N)*den(N)*S(R(1),N)*fl11*[dabc^2/n]
       - 128/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf*z3
       + 102044/405*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf
       + 2144/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca^2*z3
       - 289012/405*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca^2
       - 644/81*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2
       - 4984/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*ca*z3
       + 41409/100*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*ca
       + 208/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf*z3
       - 15439/90*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf
       + 800*theta( - 3 + N)*den(N)*S(R(1),N)*cf^3*z3
       - 122809/300*theta( - 3 + N)*den(N)*S(R(1),N)*cf^3
       + 1312/3*theta( - 3 + N)*den(N)*S(R(1,-4),N)*cf*ca^2
       - 2520*theta( - 3 + N)*den(N)*S(R(1,-4),N)*cf^2*ca
       + 9872/3*theta( - 3 + N)*den(N)*S(R(1,-4),N)*cf^3
       - 832/9*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*ca*nf
       - 3944/9*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*ca^2
       + 30292/9*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^2*ca
       + 1664/9*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^2*nf
       - 14936/3*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^3
       - 1120*theta( - 3 + N)*den(N)*S(R(1,-3,1),N)*cf*ca^2
       + 13856/3*theta( - 3 + N)*den(N)*S(R(1,-3,1),N)*cf^2*ca
       - 14272/3*theta( - 3 + N)*den(N)*S(R(1,-3,1),N)*cf^3
       - 128*theta( - 3 + N)*den(N)*S(R(1,-2),N)*fl11*[dabc^2/n]
       + 1216/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca*nf
       - 1984/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca^2
       - 37436/45*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*ca
       - 2432/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*nf
       + 12728/5*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^3
       + 992/3*theta( - 3 + N)*den(N)*S(R(1,-2,-2),N)*cf*ca^2
       - 976*theta( - 3 + N)*den(N)*S(R(1,-2,-2),N)*cf^2*ca
       + 1888/3*theta( - 3 + N)*den(N)*S(R(1,-2,-2),N)*cf^3
       + 4672/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf*ca^2
       - 18640/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^2*ca
       + 18592/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^3
       + 1280/3*theta( - 3 + N)*den(N)*S(R(1,-2,1,1),N)*cf*ca^2
       - 5152/3*theta( - 3 + N)*den(N)*S(R(1,-2,1,1),N)*cf^2*ca
       + 1728*theta( - 3 + N)*den(N)*S(R(1,-2,1,1),N)*cf^3
       - 896/3*theta( - 3 + N)*den(N)*S(R(1,-2,2),N)*cf*ca^2
       + 3872/3*theta( - 3 + N)*den(N)*S(R(1,-2,2),N)*cf^2*ca
       - 4160/3*theta( - 3 + N)*den(N)*S(R(1,-2,2),N)*cf^3
       + 2944/27*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca^2*z3
       - 16574/27*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca^2
       - 104/27*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf^2
       - 176*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*ca*z3
       + 6859/15*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*ca
       + 14*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf
       + 128*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^3*z3
       - 8963/15*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^3
       - 672*theta( - 3 + N)*den(N)*S(R(1,1,-3),N)*cf*ca^2
       + 3456*theta( - 3 + N)*den(N)*S(R(1,1,-3),N)*cf^2*ca
       - 4224*theta( - 3 + N)*den(N)*S(R(1,1,-3),N)*cf^3
       + 512/9*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf*ca*nf
       - 1232/9*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf*ca^2
       - 3704/9*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^2*ca
       - 1024/9*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^2*nf
       + 4112/3*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^3
       + 1216*theta( - 3 + N)*den(N)*S(R(1,1,-2,1),N)*cf*ca^2
       - 4704*theta( - 3 + N)*den(N)*S(R(1,1,-2,1),N)*cf^2*ca
       + 4544*theta( - 3 + N)*den(N)*S(R(1,1,-2,1),N)*cf^3
       + 176/9*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*ca*nf
       - 484/9*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*ca^2
       - 16/9*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*nf^2
       - 2308/3*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2*ca
       + 280/3*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2*nf
       + 342*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^3
       - 480*theta( - 3 + N)*den(N)*S(R(1,1,1,-2),N)*cf^2*ca
       + 960*theta( - 3 + N)*den(N)*S(R(1,1,1,-2),N)*cf^3
       - 880/3*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf^2*ca
       + 160/3*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf^2*nf
       - 336*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf^3
       - 480*theta( - 3 + N)*den(N)*S(R(1,1,1,1,1),N)*cf^3
       - 96*theta( - 3 + N)*den(N)*S(R(1,1,1,2),N)*cf^2*ca
       + 672*theta( - 3 + N)*den(N)*S(R(1,1,1,2),N)*cf^3
       + 136/9*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf*ca*nf
       - 700/9*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf*ca^2
       + 3440/9*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf^2*ca
       - 704/9*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf^2*nf
       + 1160/3*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf^3
       - 32/3*theta( - 3 + N)*den(N)*S(R(1,1,2,1),N)*cf*ca^2
       + 32/3*theta( - 3 + N)*den(N)*S(R(1,1,2,1),N)*cf^2*ca
       + 576*theta( - 3 + N)*den(N)*S(R(1,1,2,1),N)*cf^3
       + 640/3*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*cf*ca^2
       - 1024/3*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*cf^2*ca
       - 592*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*cf^3
       - 4/9*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca*nf
       - 160/3*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca^2
       + 16/9*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*nf^2
       + 1008*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*ca
       - 400/3*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*nf
       - 1354/3*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^3
       + 32*theta( - 3 + N)*den(N)*S(R(1,2,-2),N)*cf*ca^2
       + 400*theta( - 3 + N)*den(N)*S(R(1,2,-2),N)*cf^2*ca
       - 928*theta( - 3 + N)*den(N)*S(R(1,2,-2),N)*cf^3
       - 64/9*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf*ca*nf
       + 280/9*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf*ca^2
       + 268*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf^2*ca
       - 48*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf^2*nf
       + 344*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf^3
       + 32/3*theta( - 3 + N)*den(N)*S(R(1,2,1,1),N)*cf*ca^2
       + 112/3*theta( - 3 + N)*den(N)*S(R(1,2,1,1),N)*cf^2*ca
       + 528*theta( - 3 + N)*den(N)*S(R(1,2,1,1),N)*cf^3
       + 16*theta( - 3 + N)*den(N)*S(R(1,2,2),N)*cf*ca^2
       + 16*theta( - 3 + N)*den(N)*S(R(1,2,2),N)*cf^2*ca
       - 672*theta( - 3 + N)*den(N)*S(R(1,2,2),N)*cf^3
       + 1024*theta( - 3 + N)*den(N)*S(R(1,3),N)*fl11*[dabc^2/n]
       - 104/9*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*ca*nf
       + 1472/9*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*ca^2
       - 5756/9*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^2*ca
       + 728/9*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^2*nf
       - 752/3*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^3
       - 496/3*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*cf*ca^2
       + 352/3*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*cf^2*ca
       - 320*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*cf^3
       - 928/3*theta( - 3 + N)*den(N)*S(R(1,4),N)*cf*ca^2
       + 1128*theta( - 3 + N)*den(N)*S(R(1,4),N)*cf^2*ca
       - 1760/3*theta( - 3 + N)*den(N)*S(R(1,4),N)*cf^3
       - 2644/27*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca^2*z3
       + 13340/27*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca^2
       + 104/27*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf^2
       - 176*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*ca*z3
       - 66173/405*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*ca
       - 1154/81*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf
       + 192*theta( - 3 + N)*den(N)*S(R(2),N)*cf^3*z3
       + 1581/5*theta( - 3 + N)*den(N)*S(R(2),N)*cf^3
       + 416*theta( - 3 + N)*den(N)*S(R(2,-3),N)*cf*ca^2
       - 6976/3*theta( - 3 + N)*den(N)*S(R(2,-3),N)*cf^2*ca
       + 8960/3*theta( - 3 + N)*den(N)*S(R(2,-3),N)*cf^3
       - 544/9*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf*ca*nf
       + 2128/9*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf*ca^2
       + 256/9*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^2*ca
       + 1088/9*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^2*nf
       - 3008/3*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^3
       - 784*theta( - 3 + N)*den(N)*S(R(2,-2,1),N)*cf*ca^2
       + 3136*theta( - 3 + N)*den(N)*S(R(2,-2,1),N)*cf^2*ca
       - 3136*theta( - 3 + N)*den(N)*S(R(2,-2,1),N)*cf^3
       - 116/3*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca*nf
       + 1448/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca^2
       + 16/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*nf^2
       + 7252/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*ca
       - 856/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*nf
       - 426*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^3
       + 16*theta( - 3 + N)*den(N)*S(R(2,1,-2),N)*cf*ca^2
       + 448*theta( - 3 + N)*den(N)*S(R(2,1,-2),N)*cf^2*ca
       - 960*theta( - 3 + N)*den(N)*S(R(2,1,-2),N)*cf^3
       - 8*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf*ca*nf
       + 140/3*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf*ca^2
       + 3388/9*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf^2*ca
       - 544/9*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf^2*nf
       + 760/3*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf^3
       + 48*theta( - 3 + N)*den(N)*S(R(2,1,1,1),N)*cf^2*ca
       + 528*theta( - 3 + N)*den(N)*S(R(2,1,1,1),N)*cf^3
       + 16/3*theta( - 3 + N)*den(N)*S(R(2,1,2),N)*cf*ca^2
       + 16*theta( - 3 + N)*den(N)*S(R(2,1,2),N)*cf^2*ca
       - 1984/3*theta( - 3 + N)*den(N)*S(R(2,1,2),N)*cf^3
       - 32/3*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf*ca*nf
       + 136/3*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf*ca^2
       - 4036/9*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf^2*ca
       + 784/9*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf^2*nf
       - 928/3*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf^3
       - 16/3*theta( - 3 + N)*den(N)*S(R(2,2,1),N)*cf*ca^2
       - 176/3*theta( - 3 + N)*den(N)*S(R(2,2,1),N)*cf^2*ca
       - 576*theta( - 3 + N)*den(N)*S(R(2,2,1),N)*cf^3
       - 144*theta( - 3 + N)*den(N)*S(R(2,3),N)*cf*ca^2
       + 1088/3*theta( - 3 + N)*den(N)*S(R(2,3),N)*cf^2*ca
       + 1136/3*theta( - 3 + N)*den(N)*S(R(2,3),N)*cf^3
       + 3584/15*theta( - 3 + N)*den(N)*S(R(3),N)*fl11*[dabc^2/n]
       + 64*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca*nf
       - 18892/45*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca^2
       - 16/9*theta( - 3 + N)*den(N)*S(R(3),N)*cf*nf^2
       + 13334/135*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*ca
       + 1100/27*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*nf
       - 3544/15*theta( - 3 + N)*den(N)*S(R(3),N)*cf^3
       + 160/3*theta( - 3 + N)*den(N)*S(R(3,-2),N)*cf*ca^2
       - 624*theta( - 3 + N)*den(N)*S(R(3,-2),N)*cf^2*ca
       + 3104/3*theta( - 3 + N)*den(N)*S(R(3,-2),N)*cf^3
       - 1024*theta( - 3 + N)*den(N)*S(R(3,1),N)*fl11*[dabc^2/n]
       + 128/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*ca*nf
       - 212*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*ca^2
       - 3220/9*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^2*ca
       + 40/9*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^2*nf
       + 976/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^3
       - 320/3*theta( - 3 + N)*den(N)*S(R(3,1,1),N)*cf*ca^2
       + 48*theta( - 3 + N)*den(N)*S(R(3,1,1),N)*cf^2*ca
       - 1600/3*theta( - 3 + N)*den(N)*S(R(3,1,1),N)*cf^3
       + 208/3*theta( - 3 + N)*den(N)*S(R(3,2),N)*cf*ca^2
       - 64/3*theta( - 3 + N)*den(N)*S(R(3,2),N)*cf^2*ca
       + 1552/3*theta( - 3 + N)*den(N)*S(R(3,2),N)*cf^3
       - 272/9*theta( - 3 + N)*den(N)*S(R(4),N)*cf*ca*nf
       - 1048/9*theta( - 3 + N)*den(N)*S(R(4),N)*cf*ca^2
       + 10744/9*theta( - 3 + N)*den(N)*S(R(4),N)*cf^2*ca
       - 136/9*theta( - 3 + N)*den(N)*S(R(4),N)*cf^2*nf
       - 2816/3*theta( - 3 + N)*den(N)*S(R(4),N)*cf^3
       - 24*theta( - 3 + N)*den(N)*S(R(4,1),N)*cf*ca^2
       + 1936/3*theta( - 3 + N)*den(N)*S(R(4,1),N)*cf^2*ca
       - 336*theta( - 3 + N)*den(N)*S(R(4,1),N)*cf^3
       + 560/3*theta( - 3 + N)*den(N)*S(R(5),N)*cf*ca^2
       - 2440/3*theta( - 3 + N)*den(N)*S(R(5),N)*cf^2*ca
       + 432*theta( - 3 + N)*den(N)*S(R(5),N)*cf^3
       - 64*theta( - 3 + N)*S(R(-6),N)*cf*ca^2
       + 400*theta( - 3 + N)*S(R(-6),N)*cf^2*ca
       - 544*theta( - 3 + N)*S(R(-6),N)*cf^3
       + 368/9*theta( - 3 + N)*S(R(-5),N)*cf*ca*nf
       - 46/3*theta( - 3 + N)*S(R(-5),N)*cf*ca^2*N
       + 2/3*theta( - 3 + N)*S(R(-5),N)*cf*ca^2*N^2
       - 2972/9*theta( - 3 + N)*S(R(-5),N)*cf*ca^2
       + 184/3*theta( - 3 + N)*S(R(-5),N)*cf^2*ca*N
       - 8/3*theta( - 3 + N)*S(R(-5),N)*cf^2*ca*N^2
       + 7732/9*theta( - 3 + N)*S(R(-5),N)*cf^2*ca
       - 736/9*theta( - 3 + N)*S(R(-5),N)*cf^2*nf
       - 184/3*theta( - 3 + N)*S(R(-5),N)*cf^3*N
       + 8/3*theta( - 3 + N)*S(R(-5),N)*cf^3*N^2
       - 1192/3*theta( - 3 + N)*S(R(-5),N)*cf^3
       + 160*theta( - 3 + N)*S(R(-5,1),N)*cf*ca^2
       - 880*theta( - 3 + N)*S(R(-5,1),N)*cf^2*ca
       + 1120*theta( - 3 + N)*S(R(-5,1),N)*cf^3
       + 64*theta( - 3 + N)*S(R(-4),N)*fl11*[dabc^2/n]
       - 664/27*theta( - 3 + N)*S(R(-4),N)*cf*ca*nf
       + 7408/27*theta( - 3 + N)*S(R(-4),N)*cf*ca^2
       - 19118/27*theta( - 3 + N)*S(R(-4),N)*cf^2*ca
       + 1328/27*theta( - 3 + N)*S(R(-4),N)*cf^2*nf
       + 956/3*theta( - 3 + N)*S(R(-4),N)*cf^3
       + 32*theta( - 3 + N)*S(R(-4,-2),N)*cf*ca^2
       - 1472/3*theta( - 3 + N)*S(R(-4,-2),N)*cf^2*ca
       + 2560/3*theta( - 3 + N)*S(R(-4,-2),N)*cf^3
       - 64/9*theta( - 3 + N)*S(R(-4,1),N)*cf*ca*nf
       + 1648/9*theta( - 3 + N)*S(R(-4,1),N)*cf*ca^2
       - 3764/9*theta( - 3 + N)*S(R(-4,1),N)*cf^2*ca
       + 128/9*theta( - 3 + N)*S(R(-4,1),N)*cf^2*nf
       + 104*theta( - 3 + N)*S(R(-4,1),N)*cf^3
       - 320/3*theta( - 3 + N)*S(R(-4,1,1),N)*cf*ca^2
       + 1936/3*theta( - 3 + N)*S(R(-4,1,1),N)*cf^2*ca
       - 864*theta( - 3 + N)*S(R(-4,1,1),N)*cf^3
       + 64*theta( - 3 + N)*S(R(-4,2),N)*cf*ca^2
       - 1360/3*theta( - 3 + N)*S(R(-4,2),N)*cf^2*ca
       + 1952/3*theta( - 3 + N)*S(R(-4,2),N)*cf^3
       + 256*theta( - 3 + N)*S(R(-3),N)*fl11*[dabc^2/n]
       + 3056/81*theta( - 3 + N)*S(R(-3),N)*cf*ca*nf
       + 352*theta( - 3 + N)*S(R(-3),N)*cf*ca^2*z3
       - 24554/81*theta( - 3 + N)*S(R(-3),N)*cf*ca^2
       - 1312*theta( - 3 + N)*S(R(-3),N)*cf^2*ca*z3
       + 55048/81*theta( - 3 + N)*S(R(-3),N)*cf^2*ca
       - 6112/81*theta( - 3 + N)*S(R(-3),N)*cf^2*nf
       + 1216*theta( - 3 + N)*S(R(-3),N)*cf^3*z3
       - 440/3*theta( - 3 + N)*S(R(-3),N)*cf^3
       + 64*theta( - 3 + N)*S(R(-3,-3),N)*cf*ca^2
       - 1088*theta( - 3 + N)*S(R(-3,-3),N)*cf^2*ca
       + 1920*theta( - 3 + N)*S(R(-3,-3),N)*cf^3
       - 256/3*theta( - 3 + N)*S(R(-3,-2),N)*cf*ca*nf
       + 856/3*theta( - 3 + N)*S(R(-3,-2),N)*cf*ca^2
       - 1280/3*theta( - 3 + N)*S(R(-3,-2),N)*cf^2*ca
       + 512/3*theta( - 3 + N)*S(R(-3,-2),N)*cf^2*nf
       - 288*theta( - 3 + N)*S(R(-3,-2),N)*cf^3
       + 896/3*theta( - 3 + N)*S(R(-3,-2,1),N)*cf*ca^2
       - 256*theta( - 3 + N)*S(R(-3,-2,1),N)*cf^2*ca
       - 2048/3*theta( - 3 + N)*S(R(-3,-2,1),N)*cf^3
       + 320/27*theta( - 3 + N)*S(R(-3,1),N)*cf*ca*nf
       - 272/27*theta( - 3 + N)*S(R(-3,1),N)*cf*ca^2
       - 3848/27*theta( - 3 + N)*S(R(-3,1),N)*cf^2*ca
       - 640/27*theta( - 3 + N)*S(R(-3,1),N)*cf^2*nf
       + 976/3*theta( - 3 + N)*S(R(-3,1),N)*cf^3
       - 512*theta( - 3 + N)*S(R(-3,1,-2),N)*cf*ca^2
       + 2176*theta( - 3 + N)*S(R(-3,1,-2),N)*cf^2*ca
       - 2304*theta( - 3 + N)*S(R(-3,1,-2),N)*cf^3
       - 64/9*theta( - 3 + N)*S(R(-3,1,1),N)*cf*ca*nf
       + 352/9*theta( - 3 + N)*S(R(-3,1,1),N)*cf*ca^2
       - 1856/9*theta( - 3 + N)*S(R(-3,1,1),N)*cf^2*ca
       + 128/9*theta( - 3 + N)*S(R(-3,1,1),N)*cf^2*nf
       + 256*theta( - 3 + N)*S(R(-3,1,1),N)*cf^3
       - 96*theta( - 3 + N)*S(R(-3,1,1,1),N)*cf^2*ca
       + 192*theta( - 3 + N)*S(R(-3,1,1,1),N)*cf^3
       + 64/3*theta( - 3 + N)*S(R(-3,1,2),N)*cf*ca^2
       + 160/3*theta( - 3 + N)*S(R(-3,1,2),N)*cf^2*ca
       - 192*theta( - 3 + N)*S(R(-3,1,2),N)*cf^3
       + 84*theta( - 3 + N)*S(R(-3,2),N)*cf^2*ca
       - 168*theta( - 3 + N)*S(R(-3,2),N)*cf^3
       - 64/3*theta( - 3 + N)*S(R(-3,2,1),N)*cf*ca^2
       + 544/3*theta( - 3 + N)*S(R(-3,2,1),N)*cf^2*ca
       - 832/3*theta( - 3 + N)*S(R(-3,2,1),N)*cf^3
       + 160/3*theta( - 3 + N)*S(R(-3,3),N)*cf*ca^2
       - 832/3*theta( - 3 + N)*S(R(-3,3),N)*cf^2*ca
       + 1024/3*theta( - 3 + N)*S(R(-3,3),N)*cf^3
       - 320*theta( - 3 + N)*S(R(-2),N)*fl11*[dabc^2/n]
       - 224/3*theta( - 3 + N)*S(R(-2),N)*cf*ca*nf*z3
       - 232/9*theta( - 3 + N)*S(R(-2),N)*cf*ca*nf
       + 92/3*theta( - 3 + N)*S(R(-2),N)*cf*ca^2*N*z3
       - 4/3*theta( - 3 + N)*S(R(-2),N)*cf*ca^2*N^2*z3
       + 856/3*theta( - 3 + N)*S(R(-2),N)*cf*ca^2*z3
       - 48*theta( - 3 + N)*S(R(-2),N)*cf*ca^2*z4
       + 2362/9*theta( - 3 + N)*S(R(-2),N)*cf*ca^2
       - 368/3*theta( - 3 + N)*S(R(-2),N)*cf^2*ca*N*z3
       + 16/3*theta( - 3 + N)*S(R(-2),N)*cf^2*ca*N^2*z3
       - 608*theta( - 3 + N)*S(R(-2),N)*cf^2*ca*z3
       + 144*theta( - 3 + N)*S(R(-2),N)*cf^2*ca*z4
       - 6170/9*theta( - 3 + N)*S(R(-2),N)*cf^2*ca
       + 448/3*theta( - 3 + N)*S(R(-2),N)*cf^2*nf*z3
       + 464/9*theta( - 3 + N)*S(R(-2),N)*cf^2*nf
       + 368/3*theta( - 3 + N)*S(R(-2),N)*cf^3*N*z3
       - 16/3*theta( - 3 + N)*S(R(-2),N)*cf^3*N^2*z3
       + 224/3*theta( - 3 + N)*S(R(-2),N)*cf^3*z3
       - 96*theta( - 3 + N)*S(R(-2),N)*cf^3*z4
       + 964/3*theta( - 3 + N)*S(R(-2),N)*cf^3
       + 320/3*theta( - 3 + N)*S(R(-2,-4),N)*cf*ca^2
       - 2272/3*theta( - 3 + N)*S(R(-2,-4),N)*cf^2*ca
       + 1088*theta( - 3 + N)*S(R(-2,-4),N)*cf^3
       - 256/3*theta( - 3 + N)*S(R(-2,-3),N)*cf*ca*nf
       - 92/3*theta( - 3 + N)*S(R(-2,-3),N)*cf*ca^2*N
       + 4/3*theta( - 3 + N)*S(R(-2,-3),N)*cf*ca^2*N^2
       + 416/3*theta( - 3 + N)*S(R(-2,-3),N)*cf*ca^2
       + 368/3*theta( - 3 + N)*S(R(-2,-3),N)*cf^2*ca*N
       - 16/3*theta( - 3 + N)*S(R(-2,-3),N)*cf^2*ca*N^2
       - 8*theta( - 3 + N)*S(R(-2,-3),N)*cf^2*ca
       + 512/3*theta( - 3 + N)*S(R(-2,-3),N)*cf^2*nf
       - 368/3*theta( - 3 + N)*S(R(-2,-3),N)*cf^3*N
       + 16/3*theta( - 3 + N)*S(R(-2,-3),N)*cf^3*N^2
       - 1616/3*theta( - 3 + N)*S(R(-2,-3),N)*cf^3
       - 96*theta( - 3 + N)*S(R(-2,-3,1),N)*cf*ca^2
       + 2912/3*theta( - 3 + N)*S(R(-2,-3,1),N)*cf^2*ca
       - 4672/3*theta( - 3 + N)*S(R(-2,-3,1),N)*cf^3
       + 128*theta( - 3 + N)*S(R(-2,-2),N)*fl11*[dabc^2/n]
       + 208/3*theta( - 3 + N)*S(R(-2,-2),N)*cf*ca*nf
       - 784/3*theta( - 3 + N)*S(R(-2,-2),N)*cf*ca^2
       + 572*theta( - 3 + N)*S(R(-2,-2),N)*cf^2*ca
       - 416/3*theta( - 3 + N)*S(R(-2,-2),N)*cf^2*nf
       - 296/3*theta( - 3 + N)*S(R(-2,-2),N)*cf^3
       + 64/3*theta( - 3 + N)*S(R(-2,-2,-2),N)*cf*ca^2
       - 64*theta( - 3 + N)*S(R(-2,-2,-2),N)*cf^2*ca
       + 128/3*theta( - 3 + N)*S(R(-2,-2,-2),N)*cf^3
       + 128/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf*ca*nf
       + 184/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf*ca^2*N
       - 8/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf*ca^2*N^2
       + 128/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf*ca^2
       - 736/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^2*ca*N
       + 32/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^2*ca*N^2
       - 376*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^2*ca
       - 256/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^2*nf
       + 736/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^3*N
       - 32/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^3*N^2
       + 1744/3*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^3
       - 320/3*theta( - 3 + N)*S(R(-2,-2,1,1),N)*cf*ca^2
       + 352/3*theta( - 3 + N)*S(R(-2,-2,1,1),N)*cf^2*ca
       + 192*theta( - 3 + N)*S(R(-2,-2,1,1),N)*cf^3
       + 256/3*theta( - 3 + N)*S(R(-2,-2,2),N)*cf*ca^2
       - 224/3*theta( - 3 + N)*S(R(-2,-2,2),N)*cf^2*ca
       - 192*theta( - 3 + N)*S(R(-2,-2,2),N)*cf^3
       - 512*theta( - 3 + N)*S(R(-2,1),N)*fl11*[dabc^2/n]
       - 128*theta( - 3 + N)*S(R(-2,1),N)*cf*ca^2*z3
       + 340/3*theta( - 3 + N)*S(R(-2,1),N)*cf*ca^2
       + 608*theta( - 3 + N)*S(R(-2,1),N)*cf^2*ca*z3
       - 784/3*theta( - 3 + N)*S(R(-2,1),N)*cf^2*ca
       - 704*theta( - 3 + N)*S(R(-2,1),N)*cf^3*z3
       + 208/3*theta( - 3 + N)*S(R(-2,1),N)*cf^3
       - 1312/3*theta( - 3 + N)*S(R(-2,1,-3),N)*cf*ca^2
       + 5984/3*theta( - 3 + N)*S(R(-2,1,-3),N)*cf^2*ca
       - 2240*theta( - 3 + N)*S(R(-2,1,-3),N)*cf^3
       + 288*theta( - 3 + N)*S(R(-2,1,-2),N)*cf*ca^2
       - 1080*theta( - 3 + N)*S(R(-2,1,-2),N)*cf^2*ca
       + 1008*theta( - 3 + N)*S(R(-2,1,-2),N)*cf^3
       + 1280/3*theta( - 3 + N)*S(R(-2,1,-2,1),N)*cf*ca^2
       - 5792/3*theta( - 3 + N)*S(R(-2,1,-2,1),N)*cf^2*ca
       + 6464/3*theta( - 3 + N)*S(R(-2,1,-2,1),N)*cf^3
       + 32*theta( - 3 + N)*S(R(-2,1,1),N)*cf^2*ca
       - 64*theta( - 3 + N)*S(R(-2,1,1),N)*cf^3
       + 704/3*theta( - 3 + N)*S(R(-2,1,1,-2),N)*cf*ca^2
       - 2720/3*theta( - 3 + N)*S(R(-2,1,1,-2),N)*cf^2*ca
       + 2624/3*theta( - 3 + N)*S(R(-2,1,1,-2),N)*cf^3
       + 32/3*theta( - 3 + N)*S(R(-2,1,1,2),N)*cf*ca^2
       - 32*theta( - 3 + N)*S(R(-2,1,1,2),N)*cf^2*ca
       + 64/3*theta( - 3 + N)*S(R(-2,1,1,2),N)*cf^3
       + 8*theta( - 3 + N)*S(R(-2,1,2),N)*cf^2*ca
       - 16*theta( - 3 + N)*S(R(-2,1,2),N)*cf^3
       - 32/3*theta( - 3 + N)*S(R(-2,1,2,1),N)*cf*ca^2
       + 32*theta( - 3 + N)*S(R(-2,1,2,1),N)*cf^2*ca
       - 64/3*theta( - 3 + N)*S(R(-2,1,2,1),N)*cf^3
       + 128/3*theta( - 3 + N)*S(R(-2,1,3),N)*cf*ca^2
       - 448/3*theta( - 3 + N)*S(R(-2,1,3),N)*cf^2*ca
       + 128*theta( - 3 + N)*S(R(-2,1,3),N)*cf^3
       - 32*theta( - 3 + N)*S(R(-2,2),N)*cf^2*ca
       + 64*theta( - 3 + N)*S(R(-2,2),N)*cf^3
       - 512/3*theta( - 3 + N)*S(R(-2,2,-2),N)*cf*ca^2
       + 2080/3*theta( - 3 + N)*S(R(-2,2,-2),N)*cf^2*ca
       - 704*theta( - 3 + N)*S(R(-2,2,-2),N)*cf^3
       - 8*theta( - 3 + N)*S(R(-2,2,1),N)*cf^2*ca
       + 16*theta( - 3 + N)*S(R(-2,2,1),N)*cf^3
       - 64/3*theta( - 3 + N)*S(R(-2,2,2),N)*cf*ca^2
       + 64*theta( - 3 + N)*S(R(-2,2,2),N)*cf^2*ca
       - 128/3*theta( - 3 + N)*S(R(-2,2,2),N)*cf^3
       + 16*theta( - 3 + N)*S(R(-2,3),N)*cf*ca^2
       - 32*theta( - 3 + N)*S(R(-2,3),N)*cf^2*ca
       + 224/3*theta( - 3 + N)*S(R(-2,3,1),N)*cf*ca^2
       - 736/3*theta( - 3 + N)*S(R(-2,3,1),N)*cf^2*ca
       + 192*theta( - 3 + N)*S(R(-2,3,1),N)*cf^3
       - 128/3*theta( - 3 + N)*S(R(-2,4),N)*cf*ca^2
       + 448/3*theta( - 3 + N)*S(R(-2,4),N)*cf^2*ca
       - 128*theta( - 3 + N)*S(R(-2,4),N)*cf^3
       + 2888/27*theta( - 3 + N)*S(R(1),N)*cf*ca*nf*z3
       - 16*theta( - 3 + N)*S(R(1),N)*cf*ca*nf*z4
       - 160906/729*theta( - 3 + N)*S(R(1),N)*cf*ca*nf
       - 24784/27*theta( - 3 + N)*S(R(1),N)*cf*ca^2*z3
       + 240*theta( - 3 + N)*S(R(1),N)*cf*ca^2*z5
       + 599375/729*theta( - 3 + N)*S(R(1),N)*cf*ca^2
       + 32/27*theta( - 3 + N)*S(R(1),N)*cf*nf^2*z3
       + 8714/729*theta( - 3 + N)*S(R(1),N)*cf*nf^2
       + 3746/3*theta( - 3 + N)*S(R(1),N)*cf^2*ca*z3
       + 560*theta( - 3 + N)*S(R(1),N)*cf^2*ca*z5
       - 16981/24*theta( - 3 + N)*S(R(1),N)*cf^2*ca
       - 584/9*theta( - 3 + N)*S(R(1),N)*cf^2*nf*z3
       + 16*theta( - 3 + N)*S(R(1),N)*cf^2*nf*z4
       + 2003/108*theta( - 3 + N)*S(R(1),N)*cf^2*nf
       - 632*theta( - 3 + N)*S(R(1),N)*cf^3*z3
       - 1120*theta( - 3 + N)*S(R(1),N)*cf^3*z5
       + 1001/8*theta( - 3 + N)*S(R(1),N)*cf^3
       + 928/3*theta( - 3 + N)*S(R(1,-5),N)*cf*ca^2
       - 5648/3*theta( - 3 + N)*S(R(1,-5),N)*cf^2*ca
       + 2528*theta( - 3 + N)*S(R(1,-5),N)*cf^3
       - 1088/9*theta( - 3 + N)*S(R(1,-4),N)*cf*ca*nf
       + 5912/9*theta( - 3 + N)*S(R(1,-4),N)*cf*ca^2
       - 12148/9*theta( - 3 + N)*S(R(1,-4),N)*cf^2*ca
       + 2176/9*theta( - 3 + N)*S(R(1,-4),N)*cf^2*nf
       + 72*theta( - 3 + N)*S(R(1,-4),N)*cf^3
       - 768*theta( - 3 + N)*S(R(1,-4,1),N)*cf*ca^2
       + 3632*theta( - 3 + N)*S(R(1,-4,1),N)*cf^2*ca
       - 4192*theta( - 3 + N)*S(R(1,-4,1),N)*cf^3
       + 2560/27*theta( - 3 + N)*S(R(1,-3),N)*cf*ca*nf
       - 15568/27*theta( - 3 + N)*S(R(1,-3),N)*cf*ca^2
       + 36824/27*theta( - 3 + N)*S(R(1,-3),N)*cf^2*ca
       - 5120/27*theta( - 3 + N)*S(R(1,-3),N)*cf^2*nf
       - 1264/3*theta( - 3 + N)*S(R(1,-3),N)*cf^3
       + 256*theta( - 3 + N)*S(R(1,-3,-2),N)*cf*ca^2
       - 640/3*theta( - 3 + N)*S(R(1,-3,-2),N)*cf^2*ca
       - 1792/3*theta( - 3 + N)*S(R(1,-3,-2),N)*cf^3
       + 64/9*theta( - 3 + N)*S(R(1,-3,1),N)*cf*ca*nf
       - 352/9*theta( - 3 + N)*S(R(1,-3,1),N)*cf*ca^2
       - 2896/9*theta( - 3 + N)*S(R(1,-3,1),N)*cf^2*ca
       - 128/9*theta( - 3 + N)*S(R(1,-3,1),N)*cf^2*nf
       + 800*theta( - 3 + N)*S(R(1,-3,1),N)*cf^3
       + 1280/3*theta( - 3 + N)*S(R(1,-3,1,1),N)*cf*ca^2
       - 6176/3*theta( - 3 + N)*S(R(1,-3,1,1),N)*cf^2*ca
       + 7232/3*theta( - 3 + N)*S(R(1,-3,1,1),N)*cf^3
       - 784/3*theta( - 3 + N)*S(R(1,-3,2),N)*cf*ca^2
       + 1456*theta( - 3 + N)*S(R(1,-3,2),N)*cf^2*ca
       - 5600/3*theta( - 3 + N)*S(R(1,-3,2),N)*cf^3
       - 2656/81*theta( - 3 + N)*S(R(1,-2),N)*cf*ca*nf
       - 320*theta( - 3 + N)*S(R(1,-2),N)*cf*ca^2*z3
       + 17032/81*theta( - 3 + N)*S(R(1,-2),N)*cf*ca^2
       + 1248*theta( - 3 + N)*S(R(1,-2),N)*cf^2*ca*z3
       - 31472/81*theta( - 3 + N)*S(R(1,-2),N)*cf^2*ca
       + 5312/81*theta( - 3 + N)*S(R(1,-2),N)*cf^2*nf
       - 1216*theta( - 3 + N)*S(R(1,-2),N)*cf^3*z3
       - 64*theta( - 3 + N)*S(R(1,-2),N)*cf^3
       + 1184/3*theta( - 3 + N)*S(R(1,-2,-3),N)*cf*ca^2
       - 1760/3*theta( - 3 + N)*S(R(1,-2,-3),N)*cf^2*ca
       - 1216/3*theta( - 3 + N)*S(R(1,-2,-3),N)*cf^3
       + 128/3*theta( - 3 + N)*S(R(1,-2,-2),N)*cf*ca*nf
       - 752/3*theta( - 3 + N)*S(R(1,-2,-2),N)*cf*ca^2
       + 1288/3*theta( - 3 + N)*S(R(1,-2,-2),N)*cf^2*ca
       - 256/3*theta( - 3 + N)*S(R(1,-2,-2),N)*cf^2*nf
       + 144*theta( - 3 + N)*S(R(1,-2,-2),N)*cf^3
       - 2560/3*theta( - 3 + N)*S(R(1,-2,-2,1),N)*cf*ca^2
       + 7328/3*theta( - 3 + N)*S(R(1,-2,-2,1),N)*cf^2*ca
       - 1472*theta( - 3 + N)*S(R(1,-2,-2,1),N)*cf^3
       - 640/27*theta( - 3 + N)*S(R(1,-2,1),N)*cf*ca*nf
       + 544/27*theta( - 3 + N)*S(R(1,-2,1),N)*cf*ca^2
       + 3376/27*theta( - 3 + N)*S(R(1,-2,1),N)*cf^2*ca
       + 1280/27*theta( - 3 + N)*S(R(1,-2,1),N)*cf^2*nf
       - 992/3*theta( - 3 + N)*S(R(1,-2,1),N)*cf^3
       + 448*theta( - 3 + N)*S(R(1,-2,1,-2),N)*cf*ca^2
       - 5728/3*theta( - 3 + N)*S(R(1,-2,1,-2),N)*cf^2*ca
       + 6080/3*theta( - 3 + N)*S(R(1,-2,1,-2),N)*cf^3
       + 128/9*theta( - 3 + N)*S(R(1,-2,1,1),N)*cf*ca*nf
       - 704/9*theta( - 3 + N)*S(R(1,-2,1,1),N)*cf*ca^2
       + 3712/9*theta( - 3 + N)*S(R(1,-2,1,1),N)*cf^2*ca
       - 256/9*theta( - 3 + N)*S(R(1,-2,1,1),N)*cf^2*nf
       - 512*theta( - 3 + N)*S(R(1,-2,1,1),N)*cf^3
       + 192*theta( - 3 + N)*S(R(1,-2,1,1,1),N)*cf^2*ca
       - 384*theta( - 3 + N)*S(R(1,-2,1,1,1),N)*cf^3
       - 160/3*theta( - 3 + N)*S(R(1,-2,1,2),N)*cf*ca^2
       - 224/3*theta( - 3 + N)*S(R(1,-2,1,2),N)*cf^2*ca
       + 1088/3*theta( - 3 + N)*S(R(1,-2,1,2),N)*cf^3
       - 192*theta( - 3 + N)*S(R(1,-2,2),N)*cf^2*ca
       + 384*theta( - 3 + N)*S(R(1,-2,2),N)*cf^3
       + 160/3*theta( - 3 + N)*S(R(1,-2,2,1),N)*cf*ca^2
       - 1184/3*theta( - 3 + N)*S(R(1,-2,2,1),N)*cf^2*ca
       + 576*theta( - 3 + N)*S(R(1,-2,2,1),N)*cf^3
       - 448/3*theta( - 3 + N)*S(R(1,-2,3),N)*cf*ca^2
       + 704*theta( - 3 + N)*S(R(1,-2,3),N)*cf^2*ca
       - 2432/3*theta( - 3 + N)*S(R(1,-2,3),N)*cf^3
       + 32*theta( - 3 + N)*S(R(1,1),N)*cf*ca*nf*z3
       - 15062/81*theta( - 3 + N)*S(R(1,1),N)*cf*ca*nf
       - 352*theta( - 3 + N)*S(R(1,1),N)*cf*ca^2*z3
       + 50689/81*theta( - 3 + N)*S(R(1,1),N)*cf*ca^2
       + 940/81*theta( - 3 + N)*S(R(1,1),N)*cf*nf^2
       + 280*theta( - 3 + N)*S(R(1,1),N)*cf^2*ca*z3
       - 5563/18*theta( - 3 + N)*S(R(1,1),N)*cf^2*ca
       - 32*theta( - 3 + N)*S(R(1,1),N)*cf^2*nf*z3
       + 83/9*theta( - 3 + N)*S(R(1,1),N)*cf^2*nf
       + 187/2*theta( - 3 + N)*S(R(1,1),N)*cf^3
       - 2432/3*theta( - 3 + N)*S(R(1,1,-4),N)*cf*ca^2
       + 4528*theta( - 3 + N)*S(R(1,1,-4),N)*cf^2*ca
       - 17440/3*theta( - 3 + N)*S(R(1,1,-4),N)*cf^3
       + 1088/9*theta( - 3 + N)*S(R(1,1,-3),N)*cf*ca*nf
       - 5984/9*theta( - 3 + N)*S(R(1,1,-3),N)*cf*ca^2
       + 9808/9*theta( - 3 + N)*S(R(1,1,-3),N)*cf^2*ca
       - 2176/9*theta( - 3 + N)*S(R(1,1,-3),N)*cf^2*nf
       + 480*theta( - 3 + N)*S(R(1,1,-3),N)*cf^3
       + 1984*theta( - 3 + N)*S(R(1,1,-3,1),N)*cf*ca^2
       - 24352/3*theta( - 3 + N)*S(R(1,1,-3,1),N)*cf^2*ca
       + 24896/3*theta( - 3 + N)*S(R(1,1,-3,1),N)*cf^3
       - 640/9*theta( - 3 + N)*S(R(1,1,-2),N)*cf*ca*nf
       + 4288/9*theta( - 3 + N)*S(R(1,1,-2),N)*cf*ca^2
       - 10880/9*theta( - 3 + N)*S(R(1,1,-2),N)*cf^2*ca
       + 1280/9*theta( - 3 + N)*S(R(1,1,-2),N)*cf^2*nf
       + 512*theta( - 3 + N)*S(R(1,1,-2),N)*cf^3
       - 1600/3*theta( - 3 + N)*S(R(1,1,-2,-2),N)*cf*ca^2
       + 1568*theta( - 3 + N)*S(R(1,1,-2,-2),N)*cf^2*ca
       - 3008/3*theta( - 3 + N)*S(R(1,1,-2,-2),N)*cf^3
       + 384*theta( - 3 + N)*S(R(1,1,-2,1),N)*cf^2*ca
       - 768*theta( - 3 + N)*S(R(1,1,-2,1),N)*cf^3
       - 2560/3*theta( - 3 + N)*S(R(1,1,-2,1,1),N)*cf*ca^2
       + 10112/3*theta( - 3 + N)*S(R(1,1,-2,1,1),N)*cf^2*ca
       - 3328*theta( - 3 + N)*S(R(1,1,-2,1,1),N)*cf^3
       + 1792/3*theta( - 3 + N)*S(R(1,1,-2,2),N)*cf*ca^2
       - 7552/3*theta( - 3 + N)*S(R(1,1,-2,2),N)*cf^2*ca
       + 7936/3*theta( - 3 + N)*S(R(1,1,-2,2),N)*cf^3
       - 3104/27*theta( - 3 + N)*S(R(1,1,1),N)*cf*ca*nf
       + 9298/27*theta( - 3 + N)*S(R(1,1,1),N)*cf*ca^2
       + 232/27*theta( - 3 + N)*S(R(1,1,1),N)*cf*nf^2
       - 576*theta( - 3 + N)*S(R(1,1,1),N)*cf^2*ca*z3
       + 8425/9*theta( - 3 + N)*S(R(1,1,1),N)*cf^2*ca
       - 1366/9*theta( - 3 + N)*S(R(1,1,1),N)*cf^2*nf
       + 576*theta( - 3 + N)*S(R(1,1,1),N)*cf^3*z3
       - 279*theta( - 3 + N)*S(R(1,1,1),N)*cf^3
       + 1088*theta( - 3 + N)*S(R(1,1,1,-3),N)*cf*ca^2
       - 5600*theta( - 3 + N)*S(R(1,1,1,-3),N)*cf^2*ca
       + 6848*theta( - 3 + N)*S(R(1,1,1,-3),N)*cf^3
       - 640/9*theta( - 3 + N)*S(R(1,1,1,-2),N)*cf*ca*nf
       + 3520/9*theta( - 3 + N)*S(R(1,1,1,-2),N)*cf*ca^2
       - 4448/9*theta( - 3 + N)*S(R(1,1,1,-2),N)*cf^2*ca
       + 1280/9*theta( - 3 + N)*S(R(1,1,1,-2),N)*cf^2*nf
       - 576*theta( - 3 + N)*S(R(1,1,1,-2),N)*cf^3
       - 1920*theta( - 3 + N)*S(R(1,1,1,-2,1),N)*cf*ca^2
       + 7488*theta( - 3 + N)*S(R(1,1,1,-2,1),N)*cf^2*ca
       - 7296*theta( - 3 + N)*S(R(1,1,1,-2,1),N)*cf^3
       - 352/9*theta( - 3 + N)*S(R(1,1,1,1),N)*cf*ca*nf
       + 968/9*theta( - 3 + N)*S(R(1,1,1,1),N)*cf*ca^2
       + 32/9*theta( - 3 + N)*S(R(1,1,1,1),N)*cf*nf^2
       + 3464/3*theta( - 3 + N)*S(R(1,1,1,1),N)*cf^2*ca
       - 560/3*theta( - 3 + N)*S(R(1,1,1,1),N)*cf^2*nf
       - 216*theta( - 3 + N)*S(R(1,1,1,1),N)*cf^3
       + 768*theta( - 3 + N)*S(R(1,1,1,1,-2),N)*cf^2*ca
       - 1536*theta( - 3 + N)*S(R(1,1,1,1,-2),N)*cf^3
       + 1760/3*theta( - 3 + N)*S(R(1,1,1,1,1),N)*cf^2*ca
       - 320/3*theta( - 3 + N)*S(R(1,1,1,1,1),N)*cf^2*nf
       + 720*theta( - 3 + N)*S(R(1,1,1,1,1),N)*cf^3
       + 960*theta( - 3 + N)*S(R(1,1,1,1,1,1),N)*cf^3
       + 192*theta( - 3 + N)*S(R(1,1,1,1,2),N)*cf^2*ca
       - 1344*theta( - 3 + N)*S(R(1,1,1,1,2),N)*cf^3
       - 224/9*theta( - 3 + N)*S(R(1,1,1,2),N)*cf*ca*nf
       + 1232/9*theta( - 3 + N)*S(R(1,1,1,2),N)*cf*ca^2
       - 6568/9*theta( - 3 + N)*S(R(1,1,1,2),N)*cf^2*ca
       + 1312/9*theta( - 3 + N)*S(R(1,1,1,2),N)*cf^2*nf
       - 864*theta( - 3 + N)*S(R(1,1,1,2),N)*cf^3
       + 64/3*theta( - 3 + N)*S(R(1,1,1,2,1),N)*cf*ca^2
       - 64/3*theta( - 3 + N)*S(R(1,1,1,2,1),N)*cf^2*ca
       - 1152*theta( - 3 + N)*S(R(1,1,1,2,1),N)*cf^3
       - 1280/3*theta( - 3 + N)*S(R(1,1,1,3),N)*cf*ca^2
       + 2720/3*theta( - 3 + N)*S(R(1,1,1,3),N)*cf^2*ca
       + 736*theta( - 3 + N)*S(R(1,1,1,3),N)*cf^3
       + 64/3*theta( - 3 + N)*S(R(1,1,2),N)*cf*ca*nf
       + 104/9*theta( - 3 + N)*S(R(1,1,2),N)*cf*ca^2
       - 32/9*theta( - 3 + N)*S(R(1,1,2),N)*cf*nf^2
       - 14188/9*theta( - 3 + N)*S(R(1,1,2),N)*cf^2*ca
       + 2152/9*theta( - 3 + N)*S(R(1,1,2),N)*cf^2*nf
       + 496*theta( - 3 + N)*S(R(1,1,2),N)*cf^3
       - 64*theta( - 3 + N)*S(R(1,1,2,-2),N)*cf*ca^2
       - 608*theta( - 3 + N)*S(R(1,1,2,-2),N)*cf^2*ca
       + 1472*theta( - 3 + N)*S(R(1,1,2,-2),N)*cf^3
       + 80/9*theta( - 3 + N)*S(R(1,1,2,1),N)*cf*ca*nf
       - 440/9*theta( - 3 + N)*S(R(1,1,2,1),N)*cf*ca^2
       - 1880/3*theta( - 3 + N)*S(R(1,1,2,1),N)*cf^2*ca
       + 320/3*theta( - 3 + N)*S(R(1,1,2,1),N)*cf^2*nf
       - 720*theta( - 3 + N)*S(R(1,1,2,1),N)*cf^3
       - 64/3*theta( - 3 + N)*S(R(1,1,2,1,1),N)*cf*ca^2
       - 224/3*theta( - 3 + N)*S(R(1,1,2,1,1),N)*cf^2*ca
       - 1056*theta( - 3 + N)*S(R(1,1,2,1,1),N)*cf^3
       - 32*theta( - 3 + N)*S(R(1,1,2,2),N)*cf*ca^2
       - 32*theta( - 3 + N)*S(R(1,1,2,2),N)*cf^2*ca
       + 1344*theta( - 3 + N)*S(R(1,1,2,2),N)*cf^3
       + 208/9*theta( - 3 + N)*S(R(1,1,3),N)*cf*ca*nf
       - 1144/9*theta( - 3 + N)*S(R(1,1,3),N)*cf*ca^2
       + 10672/9*theta( - 3 + N)*S(R(1,1,3),N)*cf^2*ca
       - 1456/9*theta( - 3 + N)*S(R(1,1,3),N)*cf^2*nf
       + 24*theta( - 3 + N)*S(R(1,1,3),N)*cf^3
       + 992/3*theta( - 3 + N)*S(R(1,1,3,1),N)*cf*ca^2
       - 1568/3*theta( - 3 + N)*S(R(1,1,3,1),N)*cf^2*ca
       + 1216*theta( - 3 + N)*S(R(1,1,3,1),N)*cf^3
       + 1664/3*theta( - 3 + N)*S(R(1,1,4),N)*cf*ca^2
       - 1936*theta( - 3 + N)*S(R(1,1,4),N)*cf^2*ca
       + 2368/3*theta( - 3 + N)*S(R(1,1,4),N)*cf^3
       + 2864/27*theta( - 3 + N)*S(R(1,2),N)*cf*ca*nf
       - 64*theta( - 3 + N)*S(R(1,2),N)*cf*ca^2*z3
       - 7870/27*theta( - 3 + N)*S(R(1,2),N)*cf*ca^2
       - 232/27*theta( - 3 + N)*S(R(1,2),N)*cf*nf^2
       + 768*theta( - 3 + N)*S(R(1,2),N)*cf^2*ca*z3
       - 96391/81*theta( - 3 + N)*S(R(1,2),N)*cf^2*ca
       + 15334/81*theta( - 3 + N)*S(R(1,2),N)*cf^2*nf
       - 704*theta( - 3 + N)*S(R(1,2),N)*cf^3*z3
       + 397*theta( - 3 + N)*S(R(1,2),N)*cf^3
       - 704*theta( - 3 + N)*S(R(1,2,-3),N)*cf*ca^2
       + 11744/3*theta( - 3 + N)*S(R(1,2,-3),N)*cf^2*ca
       - 15040/3*theta( - 3 + N)*S(R(1,2,-3),N)*cf^3
       + 704/9*theta( - 3 + N)*S(R(1,2,-2),N)*cf*ca*nf
       - 3872/9*theta( - 3 + N)*S(R(1,2,-2),N)*cf*ca^2
       + 6664/9*theta( - 3 + N)*S(R(1,2,-2),N)*cf^2*ca
       - 1408/9*theta( - 3 + N)*S(R(1,2,-2),N)*cf^2*nf
       + 240*theta( - 3 + N)*S(R(1,2,-2),N)*cf^3
       + 1312*theta( - 3 + N)*S(R(1,2,-2,1),N)*cf*ca^2
       - 5248*theta( - 3 + N)*S(R(1,2,-2,1),N)*cf^2*ca
       + 5248*theta( - 3 + N)*S(R(1,2,-2,1),N)*cf^3
       + 512/9*theta( - 3 + N)*S(R(1,2,1),N)*cf*ca*nf
       - 680/3*theta( - 3 + N)*S(R(1,2,1),N)*cf*ca^2
       - 32/9*theta( - 3 + N)*S(R(1,2,1),N)*cf*nf^2
       - 11888/9*theta( - 3 + N)*S(R(1,2,1),N)*cf^2*ca
       + 2048/9*theta( - 3 + N)*S(R(1,2,1),N)*cf^2*nf
       + 1148/3*theta( - 3 + N)*S(R(1,2,1),N)*cf^3
       - 32*theta( - 3 + N)*S(R(1,2,1,-2),N)*cf*ca^2
       - 704*theta( - 3 + N)*S(R(1,2,1,-2),N)*cf^2*ca
       + 1536*theta( - 3 + N)*S(R(1,2,1,-2),N)*cf^3
       + 16*theta( - 3 + N)*S(R(1,2,1,1),N)*cf*ca*nf
       - 88*theta( - 3 + N)*S(R(1,2,1,1),N)*cf*ca^2
       - 6272/9*theta( - 3 + N)*S(R(1,2,1,1),N)*cf^2*ca
       + 1088/9*theta( - 3 + N)*S(R(1,2,1,1),N)*cf^2*nf
       - 648*theta( - 3 + N)*S(R(1,2,1,1),N)*cf^3
       - 96*theta( - 3 + N)*S(R(1,2,1,1,1),N)*cf^2*ca
       - 1056*theta( - 3 + N)*S(R(1,2,1,1,1),N)*cf^3
       - 32/3*theta( - 3 + N)*S(R(1,2,1,2),N)*cf*ca^2
       - 32*theta( - 3 + N)*S(R(1,2,1,2),N)*cf^2*ca
       + 3968/3*theta( - 3 + N)*S(R(1,2,1,2),N)*cf^3
       + 16*theta( - 3 + N)*S(R(1,2,2),N)*cf*ca*nf
       - 80*theta( - 3 + N)*S(R(1,2,2),N)*cf*ca^2
       + 8096/9*theta( - 3 + N)*S(R(1,2,2),N)*cf^2*ca
       - 1472/9*theta( - 3 + N)*S(R(1,2,2),N)*cf^2*nf
       + 640*theta( - 3 + N)*S(R(1,2,2),N)*cf^3
       + 32/3*theta( - 3 + N)*S(R(1,2,2,1),N)*cf*ca^2
       + 352/3*theta( - 3 + N)*S(R(1,2,2,1),N)*cf^2*ca
       + 1152*theta( - 3 + N)*S(R(1,2,2,1),N)*cf^3
       + 288*theta( - 3 + N)*S(R(1,2,3),N)*cf*ca^2
       - 2464/3*theta( - 3 + N)*S(R(1,2,3),N)*cf^2*ca
       - 1696/3*theta( - 3 + N)*S(R(1,2,3),N)*cf^3
       - 592/9*theta( - 3 + N)*S(R(1,3),N)*cf*ca*nf
       + 2192/9*theta( - 3 + N)*S(R(1,3),N)*cf*ca^2
       + 32/9*theta( - 3 + N)*S(R(1,3),N)*cf*nf^2
       + 30610/27*theta( - 3 + N)*S(R(1,3),N)*cf^2*ca
       - 5020/27*theta( - 3 + N)*S(R(1,3),N)*cf^2*nf
       - 370*theta( - 3 + N)*S(R(1,3),N)*cf^3
       - 128/3*theta( - 3 + N)*S(R(1,3,-2),N)*cf*ca^2
       + 960*theta( - 3 + N)*S(R(1,3,-2),N)*cf^2*ca
       - 5248/3*theta( - 3 + N)*S(R(1,3,-2),N)*cf^3
       - 176/3*theta( - 3 + N)*S(R(1,3,1),N)*cf*ca*nf
       + 944/3*theta( - 3 + N)*S(R(1,3,1),N)*cf*ca^2
       + 2792/9*theta( - 3 + N)*S(R(1,3,1),N)*cf^2*ca
       - 560/9*theta( - 3 + N)*S(R(1,3,1),N)*cf^2*nf
       + 752*theta( - 3 + N)*S(R(1,3,1),N)*cf^3
       + 640/3*theta( - 3 + N)*S(R(1,3,1,1),N)*cf*ca^2
       - 128*theta( - 3 + N)*S(R(1,3,1,1),N)*cf^2*ca
       + 3392/3*theta( - 3 + N)*S(R(1,3,1,1),N)*cf^3
       - 416/3*theta( - 3 + N)*S(R(1,3,2),N)*cf*ca^2
       + 224/3*theta( - 3 + N)*S(R(1,3,2),N)*cf^2*ca
       - 3296/3*theta( - 3 + N)*S(R(1,3,2),N)*cf^3
       + 256/9*theta( - 3 + N)*S(R(1,4),N)*cf*ca*nf
       - 1336/9*theta( - 3 + N)*S(R(1,4),N)*cf*ca^2
       - 5996/9*theta( - 3 + N)*S(R(1,4),N)*cf^2*ca
       + 848/9*theta( - 3 + N)*S(R(1,4),N)*cf^2*nf
       - 144*theta( - 3 + N)*S(R(1,4),N)*cf^3
       - 80*theta( - 3 + N)*S(R(1,4,1),N)*cf*ca^2
       - 1952/3*theta( - 3 + N)*S(R(1,4,1),N)*cf^2*ca
       - 96*theta( - 3 + N)*S(R(1,4,1),N)*cf^3
       - 928/3*theta( - 3 + N)*S(R(1,5),N)*cf*ca^2
       + 4016/3*theta( - 3 + N)*S(R(1,5),N)*cf^2*ca
       - 544*theta( - 3 + N)*S(R(1,5),N)*cf^3
       - 224/3*theta( - 3 + N)*S(R(2),N)*cf*ca*nf*z3
       + 39818/81*theta( - 3 + N)*S(R(2),N)*cf*ca*nf
       + 752*theta( - 3 + N)*S(R(2),N)*cf*ca^2*z3
       - 132599/81*theta( - 3 + N)*S(R(2),N)*cf*ca^2
       - 860/27*theta( - 3 + N)*S(R(2),N)*cf*nf^2
       - 1064*theta( - 3 + N)*S(R(2),N)*cf^2*ca*z3
       + 85535/54*theta( - 3 + N)*S(R(2),N)*cf^2*ca
       + 224/3*theta( - 3 + N)*S(R(2),N)*cf^2*nf*z3
       - 4795/27*theta( - 3 + N)*S(R(2),N)*cf^2*nf
       + 384*theta( - 3 + N)*S(R(2),N)*cf^3*z3
       - 2407/6*theta( - 3 + N)*S(R(2),N)*cf^3
       + 1424/3*theta( - 3 + N)*S(R(2,-4),N)*cf*ca^2
       - 8416/3*theta( - 3 + N)*S(R(2,-4),N)*cf^2*ca
       + 3712*theta( - 3 + N)*S(R(2,-4),N)*cf^3
       - 1088/9*theta( - 3 + N)*S(R(2,-3),N)*cf*ca*nf
       + 6128/9*theta( - 3 + N)*S(R(2,-3),N)*cf*ca^2
       - 12112/9*theta( - 3 + N)*S(R(2,-3),N)*cf^2*ca
       + 2176/9*theta( - 3 + N)*S(R(2,-3),N)*cf^2*nf
       - 32*theta( - 3 + N)*S(R(2,-3),N)*cf^3
       - 3472/3*theta( - 3 + N)*S(R(2,-3,1),N)*cf*ca^2
       + 14992/3*theta( - 3 + N)*S(R(2,-3,1),N)*cf^2*ca
       - 16096/3*theta( - 3 + N)*S(R(2,-3,1),N)*cf^3
       + 1600/27*theta( - 3 + N)*S(R(2,-2),N)*cf*ca*nf
       - 10864/27*theta( - 3 + N)*S(R(2,-2),N)*cf*ca^2
       + 27848/27*theta( - 3 + N)*S(R(2,-2),N)*cf^2*ca
       - 3200/27*theta( - 3 + N)*S(R(2,-2),N)*cf^2*nf
       - 1360/3*theta( - 3 + N)*S(R(2,-2),N)*cf^3
       + 1216/3*theta( - 3 + N)*S(R(2,-2,-2),N)*cf*ca^2
       - 1120*theta( - 3 + N)*S(R(2,-2,-2),N)*cf^2*ca
       + 1856/3*theta( - 3 + N)*S(R(2,-2,-2),N)*cf^3
       + 64/9*theta( - 3 + N)*S(R(2,-2,1),N)*cf*ca*nf
       - 352/9*theta( - 3 + N)*S(R(2,-2,1),N)*cf*ca^2
       - 1456/9*theta( - 3 + N)*S(R(2,-2,1),N)*cf^2*ca
       - 128/9*theta( - 3 + N)*S(R(2,-2,1),N)*cf^2*nf
       + 480*theta( - 3 + N)*S(R(2,-2,1),N)*cf^3
       + 1280/3*theta( - 3 + N)*S(R(2,-2,1,1),N)*cf*ca^2
       - 1824*theta( - 3 + N)*S(R(2,-2,1,1),N)*cf^2*ca
       + 5824/3*theta( - 3 + N)*S(R(2,-2,1,1),N)*cf^3
       - 928/3*theta( - 3 + N)*S(R(2,-2,2),N)*cf*ca^2
       + 4160/3*theta( - 3 + N)*S(R(2,-2,2),N)*cf^2*ca
       - 1536*theta( - 3 + N)*S(R(2,-2,2),N)*cf^3
       + 7276/27*theta( - 3 + N)*S(R(2,1),N)*cf*ca*nf
       + 32*theta( - 3 + N)*S(R(2,1),N)*cf*ca^2*z3
       - 22634/27*theta( - 3 + N)*S(R(2,1),N)*cf*ca^2
       - 536/27*theta( - 3 + N)*S(R(2,1),N)*cf*nf^2
       + 480*theta( - 3 + N)*S(R(2,1),N)*cf^2*ca*z3
       - 41995/81*theta( - 3 + N)*S(R(2,1),N)*cf^2*ca
       + 7270/81*theta( - 3 + N)*S(R(2,1),N)*cf^2*nf
       - 512*theta( - 3 + N)*S(R(2,1),N)*cf^3*z3
       + 791/3*theta( - 3 + N)*S(R(2,1),N)*cf^3
       - 2128/3*theta( - 3 + N)*S(R(2,1,-3),N)*cf*ca^2
       + 11792/3*theta( - 3 + N)*S(R(2,1,-3),N)*cf^2*ca
       - 5024*theta( - 3 + N)*S(R(2,1,-3),N)*cf^3
       + 704/9*theta( - 3 + N)*S(R(2,1,-2),N)*cf*ca*nf
       - 3872/9*theta( - 3 + N)*S(R(2,1,-2),N)*cf*ca^2
       + 6736/9*theta( - 3 + N)*S(R(2,1,-2),N)*cf^2*ca
       - 1408/9*theta( - 3 + N)*S(R(2,1,-2),N)*cf^2*nf
       + 224*theta( - 3 + N)*S(R(2,1,-2),N)*cf^3
       + 1312*theta( - 3 + N)*S(R(2,1,-2,1),N)*cf*ca^2
       - 5248*theta( - 3 + N)*S(R(2,1,-2,1),N)*cf^2*ca
       + 5248*theta( - 3 + N)*S(R(2,1,-2,1),N)*cf^3
       + 704/9*theta( - 3 + N)*S(R(2,1,1),N)*cf*ca*nf
       - 1936/9*theta( - 3 + N)*S(R(2,1,1),N)*cf*ca^2
       - 64/9*theta( - 3 + N)*S(R(2,1,1),N)*cf*nf^2
       - 4304/3*theta( - 3 + N)*S(R(2,1,1),N)*cf^2*ca
       + 688/3*theta( - 3 + N)*S(R(2,1,1),N)*cf^2*nf
       + 1504/3*theta( - 3 + N)*S(R(2,1,1),N)*cf^3
       - 800*theta( - 3 + N)*S(R(2,1,1,-2),N)*cf^2*ca
       + 1600*theta( - 3 + N)*S(R(2,1,1,-2),N)*cf^3
       - 7216/9*theta( - 3 + N)*S(R(2,1,1,1),N)*cf^2*ca
       + 1312/9*theta( - 3 + N)*S(R(2,1,1,1),N)*cf^2*nf
       - 648*theta( - 3 + N)*S(R(2,1,1,1),N)*cf^3
       - 1152*theta( - 3 + N)*S(R(2,1,1,1,1),N)*cf^3
       + 16/3*theta( - 3 + N)*S(R(2,1,1,2),N)*cf*ca^2
       - 496/3*theta( - 3 + N)*S(R(2,1,1,2),N)*cf^2*ca
       + 1440*theta( - 3 + N)*S(R(2,1,1,2),N)*cf^3
       + 160/9*theta( - 3 + N)*S(R(2,1,2),N)*cf*ca*nf
       - 772/9*theta( - 3 + N)*S(R(2,1,2),N)*cf*ca^2
       + 2884/3*theta( - 3 + N)*S(R(2,1,2),N)*cf^2*ca
       - 544/3*theta( - 3 + N)*S(R(2,1,2),N)*cf^2*nf
       + 600*theta( - 3 + N)*S(R(2,1,2),N)*cf^3
       - 32/3*theta( - 3 + N)*S(R(2,1,2,1),N)*cf*ca^2
       + 64*theta( - 3 + N)*S(R(2,1,2,1),N)*cf^2*ca
       + 3680/3*theta( - 3 + N)*S(R(2,1,2,1),N)*cf^3
       + 896/3*theta( - 3 + N)*S(R(2,1,3),N)*cf*ca^2
       - 768*theta( - 3 + N)*S(R(2,1,3),N)*cf^2*ca
       - 1888/3*theta( - 3 + N)*S(R(2,1,3),N)*cf^3
       - 860/9*theta( - 3 + N)*S(R(2,2),N)*cf*ca*nf
       + 2644/9*theta( - 3 + N)*S(R(2,2),N)*cf*ca^2
       + 64/9*theta( - 3 + N)*S(R(2,2),N)*cf*nf^2
       + 36896/27*theta( - 3 + N)*S(R(2,2),N)*cf^2*ca
       - 5552/27*theta( - 3 + N)*S(R(2,2),N)*cf^2*nf
       - 740*theta( - 3 + N)*S(R(2,2),N)*cf^3
       + 64/3*theta( - 3 + N)*S(R(2,2,-2),N)*cf*ca^2
       + 1792/3*theta( - 3 + N)*S(R(2,2,-2),N)*cf^2*ca
       - 1280*theta( - 3 + N)*S(R(2,2,-2),N)*cf^3
       - 160/9*theta( - 3 + N)*S(R(2,2,1),N)*cf*ca*nf
       + 844/9*theta( - 3 + N)*S(R(2,2,1),N)*cf*ca^2
       + 6868/9*theta( - 3 + N)*S(R(2,2,1),N)*cf^2*ca
       - 1216/9*theta( - 3 + N)*S(R(2,2,1),N)*cf^2*nf
       + 488*theta( - 3 + N)*S(R(2,2,1),N)*cf^3
       + 16/3*theta( - 3 + N)*S(R(2,2,1,1),N)*cf*ca^2
       + 304/3*theta( - 3 + N)*S(R(2,2,1,1),N)*cf^2*ca
       + 3520/3*theta( - 3 + N)*S(R(2,2,1,1),N)*cf^3
       + 16*theta( - 3 + N)*S(R(2,2,2),N)*cf*ca^2
       - 112/3*theta( - 3 + N)*S(R(2,2,2),N)*cf^2*ca
       - 3488/3*theta( - 3 + N)*S(R(2,2,2),N)*cf^3
       + 112/9*theta( - 3 + N)*S(R(2,3),N)*cf*ca*nf
       - 544/9*theta( - 3 + N)*S(R(2,3),N)*cf*ca^2
       - 8048/9*theta( - 3 + N)*S(R(2,3),N)*cf^2*ca
       + 1136/9*theta( - 3 + N)*S(R(2,3),N)*cf^2*nf
       + 56*theta( - 3 + N)*S(R(2,3),N)*cf^3
       - 752/3*theta( - 3 + N)*S(R(2,3,1),N)*cf*ca^2
       + 848/3*theta( - 3 + N)*S(R(2,3,1),N)*cf^2*ca
       - 3200/3*theta( - 3 + N)*S(R(2,3,1),N)*cf^3
       - 1040/3*theta( - 3 + N)*S(R(2,4),N)*cf*ca^2
       + 4000/3*theta( - 3 + N)*S(R(2,4),N)*cf^2*ca
       - 448*theta( - 3 + N)*S(R(2,4),N)*cf^3
       - 128*theta( - 3 + N)*S(R(3),N)*fl11*[dabc^2/n]
       - 32500/81*theta( - 3 + N)*S(R(3),N)*cf*ca*nf
       - 64*theta( - 3 + N)*S(R(3),N)*cf*ca^2*z3
       + 34070/27*theta( - 3 + N)*S(R(3),N)*cf*ca^2
       + 2440/81*theta( - 3 + N)*S(R(3),N)*cf*nf^2
       - 320*theta( - 3 + N)*S(R(3),N)*cf^2*ca*z3
       - 8711/27*theta( - 3 + N)*S(R(3),N)*cf^2*ca
       + 1082/27*theta( - 3 + N)*S(R(3),N)*cf^2*nf
       + 1216/3*theta( - 3 + N)*S(R(3),N)*cf^3*z3
       - 337/3*theta( - 3 + N)*S(R(3),N)*cf^3
       + 1120/3*theta( - 3 + N)*S(R(3,-3),N)*cf*ca^2
       - 2240*theta( - 3 + N)*S(R(3,-3),N)*cf^2*ca
       + 8960/3*theta( - 3 + N)*S(R(3,-3),N)*cf^3
       - 800/9*theta( - 3 + N)*S(R(3,-2),N)*cf*ca*nf
       + 92/3*theta( - 3 + N)*S(R(3,-2),N)*cf*ca^2*N
       - 4/3*theta( - 3 + N)*S(R(3,-2),N)*cf*ca^2*N^2
       + 3920/9*theta( - 3 + N)*S(R(3,-2),N)*cf*ca^2
       - 368/3*theta( - 3 + N)*S(R(3,-2),N)*cf^2*ca*N
       + 16/3*theta( - 3 + N)*S(R(3,-2),N)*cf^2*ca*N^2
       - 8176/9*theta( - 3 + N)*S(R(3,-2),N)*cf^2*ca
       + 1600/9*theta( - 3 + N)*S(R(3,-2),N)*cf^2*nf
       + 368/3*theta( - 3 + N)*S(R(3,-2),N)*cf^3*N
       - 16/3*theta( - 3 + N)*S(R(3,-2),N)*cf^3*N^2
       + 224/3*theta( - 3 + N)*S(R(3,-2),N)*cf^3
       - 704*theta( - 3 + N)*S(R(3,-2,1),N)*cf*ca^2
       + 2880*theta( - 3 + N)*S(R(3,-2,1),N)*cf^2*ca
       - 2944*theta( - 3 + N)*S(R(3,-2,1),N)*cf^3
       - 3260/27*theta( - 3 + N)*S(R(3,1),N)*cf*ca*nf
       + 11492/27*theta( - 3 + N)*S(R(3,1),N)*cf*ca^2
       + 32/3*theta( - 3 + N)*S(R(3,1),N)*cf*nf^2
       + 42290/27*theta( - 3 + N)*S(R(3,1),N)*cf^2*ca
       - 8156/27*theta( - 3 + N)*S(R(3,1),N)*cf^2*nf
       - 718*theta( - 3 + N)*S(R(3,1),N)*cf^3
       + 128/3*theta( - 3 + N)*S(R(3,1,-2),N)*cf*ca^2
       + 704*theta( - 3 + N)*S(R(3,1,-2),N)*cf^2*ca
       - 4736/3*theta( - 3 + N)*S(R(3,1,-2),N)*cf^3
       - 176/9*theta( - 3 + N)*S(R(3,1,1),N)*cf*ca*nf
       + 896/9*theta( - 3 + N)*S(R(3,1,1),N)*cf*ca^2
       + 8024/9*theta( - 3 + N)*S(R(3,1,1),N)*cf^2*ca
       - 1616/9*theta( - 3 + N)*S(R(3,1,1),N)*cf^2*nf
       + 512*theta( - 3 + N)*S(R(3,1,1),N)*cf^3
       + 96*theta( - 3 + N)*S(R(3,1,1,1),N)*cf^2*ca
       + 1184*theta( - 3 + N)*S(R(3,1,1,1),N)*cf^3
       - 128/3*theta( - 3 + N)*S(R(3,1,2),N)*cf^2*ca
       - 1184*theta( - 3 + N)*S(R(3,1,2),N)*cf^3
       + 16*theta( - 3 + N)*S(R(3,2),N)*cf*ca*nf
       - 84*theta( - 3 + N)*S(R(3,2),N)*cf*ca^2
       - 8068/9*theta( - 3 + N)*S(R(3,2),N)*cf^2*ca
       + 1552/9*theta( - 3 + N)*S(R(3,2),N)*cf^2*nf
       - 240*theta( - 3 + N)*S(R(3,2),N)*cf^3
       - 192*theta( - 3 + N)*S(R(3,2,1),N)*cf^2*ca
       - 3104/3*theta( - 3 + N)*S(R(3,2,1),N)*cf^3
       - 352/3*theta( - 3 + N)*S(R(3,3),N)*cf*ca^2
       + 576*theta( - 3 + N)*S(R(3,3),N)*cf^2*ca
       + 1120/3*theta( - 3 + N)*S(R(3,3),N)*cf^3
       - 64*theta( - 3 + N)*S(R(4),N)*fl11*[dabc^2/n]
       + 4712/27*theta( - 3 + N)*S(R(4),N)*cf*ca*nf
       - 2060/3*theta( - 3 + N)*S(R(4),N)*cf*ca^2
       - 368/27*theta( - 3 + N)*S(R(4),N)*cf*nf^2
       - 7096/27*theta( - 3 + N)*S(R(4),N)*cf^2*ca
       + 3268/27*theta( - 3 + N)*S(R(4),N)*cf^2*nf
       + 406/3*theta( - 3 + N)*S(R(4),N)*cf^3
       + 160/3*theta( - 3 + N)*S(R(4,-2),N)*cf*ca^2
       - 1856/3*theta( - 3 + N)*S(R(4,-2),N)*cf^2*ca
       + 1024*theta( - 3 + N)*S(R(4,-2),N)*cf^3
       + 352/9*theta( - 3 + N)*S(R(4,1),N)*cf*ca*nf
       - 92/3*theta( - 3 + N)*S(R(4,1),N)*cf*ca^2*N
       + 4/3*theta( - 3 + N)*S(R(4,1),N)*cf*ca^2*N^2
       - 3292/9*theta( - 3 + N)*S(R(4,1),N)*cf*ca^2
       + 368/3*theta( - 3 + N)*S(R(4,1),N)*cf^2*ca*N
       - 16/3*theta( - 3 + N)*S(R(4,1),N)*cf^2*ca*N^2
       - 548/3*theta( - 3 + N)*S(R(4,1),N)*cf^2*ca
       + 496/3*theta( - 3 + N)*S(R(4,1),N)*cf^2*nf
       - 368/3*theta( - 3 + N)*S(R(4,1),N)*cf^3*N
       + 16/3*theta( - 3 + N)*S(R(4,1),N)*cf^3*N^2
       - 2288/3*theta( - 3 + N)*S(R(4,1),N)*cf^3
       - 160/3*theta( - 3 + N)*S(R(4,1,1),N)*cf*ca^2
       - 496/3*theta( - 3 + N)*S(R(4,1,1),N)*cf^2*ca
       - 2912/3*theta( - 3 + N)*S(R(4,1,1),N)*cf^3
       + 32*theta( - 3 + N)*S(R(4,2),N)*cf*ca^2
       + 496/3*theta( - 3 + N)*S(R(4,2),N)*cf^2*ca
       + 704*theta( - 3 + N)*S(R(4,2),N)*cf^3
       - 368/9*theta( - 3 + N)*S(R(5),N)*cf*ca*nf
       + 46/3*theta( - 3 + N)*S(R(5),N)*cf*ca^2*N
       - 2/3*theta( - 3 + N)*S(R(5),N)*cf*ca^2*N^2
       + 2972/9*theta( - 3 + N)*S(R(5),N)*cf*ca^2
       - 184/3*theta( - 3 + N)*S(R(5),N)*cf^2*ca*N
       + 8/3*theta( - 3 + N)*S(R(5),N)*cf^2*ca*N^2
       + 92/3*theta( - 3 + N)*S(R(5),N)*cf^2*ca
       - 80*theta( - 3 + N)*S(R(5),N)*cf^2*nf
       + 184/3*theta( - 3 + N)*S(R(5),N)*cf^3*N
       - 8/3*theta( - 3 + N)*S(R(5),N)*cf^3*N^2
       + 760/3*theta( - 3 + N)*S(R(5),N)*cf^3
       + 32*theta( - 3 + N)*S(R(5,1),N)*cf*ca^2
       + 304*theta( - 3 + N)*S(R(5,1),N)*cf^2*ca
       + 384*theta( - 3 + N)*S(R(5,1),N)*cf^3
       + 64*theta( - 3 + N)*S(R(6),N)*cf*ca^2
       - 400*theta( - 3 + N)*S(R(6),N)*cf^2*ca
       + 64*theta( - 3 + N)*S(R(6),N)*cf^3
       - 1216/15*delta( - 2 + N)*fl11*[dabc^2/n]*z3
       - 256/3*delta( - 2 + N)*fl11*[dabc^2/n]*z5
       + 496/5*delta( - 2 + N)*fl11*[dabc^2/n]
       + 17432/405*delta( - 2 + N)*cf*ca*nf*z3
       - 32/3*delta( - 2 + N)*cf*ca*nf*z4
       + 80/3*delta( - 2 + N)*cf*ca*nf*z5
       - 998153/10935*delta( - 2 + N)*cf*ca*nf
       - 46160/81*delta( - 2 + N)*cf*ca^2*z3
       + 32/3*delta( - 2 + N)*cf*ca^2*z4
       + 296*delta( - 2 + N)*cf*ca^2*z5
       + 3667498/10935*delta( - 2 + N)*cf*ca^2
       + 64/81*delta( - 2 + N)*cf*nf^2*z3
       + 7814/2187*delta( - 2 + N)*cf*nf^2
       + 29816/45*delta( - 2 + N)*cf^2*ca*z3
       - 32*delta( - 2 + N)*cf^2*ca*z4
       - 2512/3*delta( - 2 + N)*cf^2*ca*z5
       - 1013578/10935*delta( - 2 + N)*cf^2*ca
       - 1352/45*delta( - 2 + N)*cf^2*nf*z3
       + 32/3*delta( - 2 + N)*cf^2*nf*z4
       - 341701/21870*delta( - 2 + N)*cf^2*nf
       - 33584/405*delta( - 2 + N)*cf^3*z3
       + 64/3*delta( - 2 + N)*cf^3*z4
       + 2336/3*delta( - 2 + N)*cf^3*z5
       - 201577/7290*delta( - 2 + N)*cf^3
       + 960*den(1 + N)*cf^2*ca*z5
       - 1920*den(1 + N)*cf^3*z5
       + 576*den(1 + N)^3*cf^2*ca*z3
       - 1152*den(1 + N)^3*cf^3*z3
      ;


L   c2gg3 =
       - 128/45*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N*z3
       + 1472/9*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N*z5
       - 64/3*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2*z5
       + 64/9*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^3*z5
       + 512/45*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 448/3*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       - 224/15*theta( - 3 + N)*den( - 2 + N)*cf*ca*nf*z3
       + 16/15*theta( - 3 + N)*den( - 2 + N)*cf*nf^2*z3
       + 32/5*theta( - 3 + N)*den( - 2 + N)*cf^2*nf*z3
       + 64/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-3), - 2 + N)*cf*ca*nf
       - 448/45*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*ca*nf
       + 32/45*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*nf^2
       + 64/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*nf
       - 64/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2,1), - 2 + N)*cf*ca*nf
       - 64/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(1,-2), - 2 + N)*cf*ca*nf
       + 48/5*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf*ca*nf
       - 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf^2*nf
       - 16/15*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*ca^2*nf
       + 3136/225*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 4792/225*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca*nf
       + 16/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*nf^2
       + 368/45*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*nf
       - 2/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*ca^2*nf
       - 16*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf*ca*nf
       + 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf^2*nf
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*ca^2*nf
       - 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 13924/675*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca*nf
       - 1016/675*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*nf^2
       - 1852/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*nf
       - 4/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*ca*nf^2
       + 19/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*ca^2*nf
       + 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf*ca*nf
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf^2*nf
       - 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*ca^2*nf
       - 3136/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 2552/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca*nf
       - 16/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*nf^2
       - 176/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*nf
       + 2/3*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*ca^2*nf
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1,1), - 2 + N)*cf*ca*nf
       - 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,2), - 2 + N)*cf*ca*nf
       - 1792/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cOlNA^-1*cOlNR
      *flg11*[dabc^2/n]*z3
       - 464/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca*nf*z3
       + 352/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^2*nf*z3
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*ca^2*nf*z3
       - 16*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf*ca*nf
       + 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf^2*nf
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*ca^2*nf
       - 3136/225*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 2552/225*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca*nf
       - 16/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*nf^2
       - 176/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*nf
       + 2/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*ca^2*nf
       + 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf*ca*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf^2*nf
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*ca^2*nf
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,1,-2), - 2 + N)*cf*ca*nf
       + 896/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca*nf
       - 208/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*ca^2*nf
       - 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(2,-2), - 2 + N)*cf*ca*nf
       - 896/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca*nf
       + 208/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*ca^2*nf
       - 16/5*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf*ca*nf
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf^2*nf
       + 16/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*ca^2*nf
       + 1792/15*theta( - 3 + N)*den( - 1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
      *z3
       + 1696/225*theta( - 3 + N)*den( - 1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 4688/45*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z3
       + 32*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z4
       + 40238/675*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf
       + 704/27*theta( - 3 + N)*den( - 1 + N)*cf*nf^2*z3
       + 1100288/18225*theta( - 3 + N)*den( - 1 + N)*cf*nf^2
       - 352/15*theta( - 3 + N)*den( - 1 + N)*cf^2*nf*z3
       - 964/75*theta( - 3 + N)*den( - 1 + N)*cf^2*nf
       + 352/27*theta( - 3 + N)*den( - 1 + N)*ca*nf^2*z3
       - 3832/3645*theta( - 3 + N)*den( - 1 + N)*ca*nf^2
       - 44912/135*theta( - 3 + N)*den( - 1 + N)*ca^2*nf*z3
       - 32*theta( - 3 + N)*den( - 1 + N)*ca^2*nf*z4
       - 5017249/3645*theta( - 3 + N)*den( - 1 + N)*ca^2*nf
       + 1696/225*theta( - 3 + N)*den( - 1 + N)^2*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 9148/675*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf
       - 776/675*theta( - 3 + N)*den( - 1 + N)^2*cf*nf^2
       - 644/75*theta( - 3 + N)*den( - 1 + N)^2*cf^2*nf
       - 4/15*theta( - 3 + N)*den( - 1 + N)^2*ca*nf^2
       + 704/9*theta( - 3 + N)*den( - 1 + N)^2*ca^2*nf*z3
       + 195577/1215*theta( - 3 + N)*den( - 1 + N)^2*ca^2*nf
       + 3136/225*theta( - 3 + N)*den( - 1 + N)^3*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 2872/225*theta( - 3 + N)*den( - 1 + N)^3*cf*ca*nf
       + 16/15*theta( - 3 + N)*den( - 1 + N)^3*cf*nf^2
       + 176/45*theta( - 3 + N)*den( - 1 + N)^3*cf^2*nf
       - 14/5*theta( - 3 + N)*den( - 1 + N)^3*ca^2*nf
       + 64/5*theta( - 3 + N)*den( - 1 + N)^4*cf*ca*nf
       - 64/15*theta( - 3 + N)*den( - 1 + N)^4*cf^2*nf
       - 32/15*theta( - 3 + N)*den( - 1 + N)^4*ca^2*nf
       + 896/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 16/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca*nf
       - 48/5*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^2*nf
       - 16/5*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*ca^2*nf
       + 256/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-3), - 1 + N)*ca^2*nf
       + 128/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf*ca*nf
       - 64/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf^2*nf
       + 1984/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*ca^2*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2,1), - 1 + N)*ca^2*nf
       + 10304/225*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 3752/225*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca*nf
       - 16/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*nf^2
       - 608/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*nf
       - 60226/405*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*ca^2*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,-2), - 1 + N)*ca^2*nf
       + 32/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf*ca*nf
       + 3280/27*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*ca^2*nf
       - 512/9*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1,1), - 1 + N)*ca^2*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,2), - 1 + N)*ca^2*nf
       - 32/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf*ca*nf
       - 832/9*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*ca^2*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(2,1), - 1 + N)*ca^2*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(3), - 1 + N)*ca^2*nf
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(-4), - 1 + N)*cf*ca*nf
       - 224/3*theta( - 3 + N)*den( - 1 + N)*S(R(-4), - 1 + N)*ca^2*nf
       - 560/9*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*nf^2
       - 64/15*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*ca*nf^2
       - 67088/135*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*ca^2*nf
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3,1), - 1 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3,1), - 1 + N)*ca^2*nf
       + 3136/225*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 2008/225*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca*nf
       + 2608/135*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*nf^2
       - 16/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*nf
       - 160/27*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*ca*nf^2
       - 15646/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*ca^2*nf
       - 128/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,-2), - 1 + N)*ca^2*nf
       + 32/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*nf^2
       + 128/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*nf
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*ca*nf^2
       + 34016/135*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*ca^2*nf
       - 512/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1,1), - 1 + N)*ca^2*nf
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,2), - 1 + N)*ca^2*nf
       + 10304/225*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 640/9*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf*z3
       + 66974/6075*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf
       - 13904/405*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*nf^2
       - 608/45*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf
       + 80/27*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca*nf^2
       - 1312/9*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca^2*nf*z3
       + 306254/405*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca^2*nf
       + 512/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-3), - 1 + N)*cf*ca*nf
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-3), - 1 + N)*ca^2*nf
       + 5504/45*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*nf^2
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*ca*nf^2
       + 3584/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*ca^2*nf
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2,1), - 1 + N)*cf*ca*nf
       + 640/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2,1), - 1 + N)*ca^2*nf
       + 2324/405*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*ca*nf
       + 512/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*nf^2
       - 160/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*ca*nf^2
       - 332*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*ca^2*nf
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,-2), - 1 + N)*cf*ca*nf
       + 512/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,-2), - 1 + N)*ca^2*nf
       - 784/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf*nf^2
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*ca*nf^2
       + 2168/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*ca^2*nf
       + 736/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1,1), - 1 + N)*cf*ca*nf
       + 416/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1,1), - 1 + N)*ca^2*nf
       - 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,2), - 1 + N)*cf*ca*nf
       - 640/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,2), - 1 + N)*ca^2*nf
       + 352/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf*ca*nf
       + 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf*nf^2
       + 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*ca*nf^2
       - 968/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*ca^2*nf
       - 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2,1), - 1 + N)*cf*ca*nf
       - 640/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2,1), - 1 + N)*ca^2*nf
       + 640/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf*ca*nf
       + 896/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*ca^2*nf
       - 6104/405*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*ca*nf
       - 512/27*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*nf^2
       + 160/27*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*ca*nf^2
       + 25084/81*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*ca^2*nf
       + 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,-2), - 1 + N)*cf*ca*nf
       - 448/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,-2), - 1 + N)*ca^2*nf
       + 1216/27*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf*ca*nf
       + 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf*nf^2
       + 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*ca*nf^2
       - 1912/27*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*ca^2*nf
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,1,1), - 1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(2,1,1), - 1 + N)*ca^2*nf
       + 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,2), - 1 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,2), - 1 + N)*ca^2*nf
       - 896/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 2576/135*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*nf^2
       + 208/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^2*nf
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*ca*nf^2
       + 136/3*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*ca^2*nf
       + 256/9*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf*ca*nf
       + 896/9*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*ca^2*nf
       + 416/9*theta( - 3 + N)*den( - 1 + N)*S(R(4), - 1 + N)*cf*ca*nf
       - 1088/9*theta( - 3 + N)*den( - 1 + N)*S(R(4), - 1 + N)*ca^2*nf
       - 25856/15*theta( - 3 + N)*den(1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      z3
       + 12800*theta( - 3 + N)*den(1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       - 45184/75*theta( - 3 + N)*den(1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 66832/15*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z3
       - 48*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z4
       + 8560*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z5
       - 87245687/24300*theta( - 3 + N)*den(1 + N)*cf*ca*nf
       - 368/9*theta( - 3 + N)*den(1 + N)*cf*nf^2*z3
       - 39073417/12150*theta( - 3 + N)*den(1 + N)*cf*nf^2
       + 64976/15*theta( - 3 + N)*den(1 + N)*cf^2*nf*z3
       + 144*theta( - 3 + N)*den(1 + N)*cf^2*nf*z4
       - 9120*theta( - 3 + N)*den(1 + N)*cf^2*nf*z5
       + 399401/300*theta( - 3 + N)*den(1 + N)*cf^2*nf
       + 1520/9*theta( - 3 + N)*den(1 + N)*ca*nf^2*z3
       - 1441136/1215*theta( - 3 + N)*den(1 + N)*ca*nf^2
       - 35176/15*theta( - 3 + N)*den(1 + N)*ca^2*nf*z3
       - 96*theta( - 3 + N)*den(1 + N)*ca^2*nf*z4
       - 2080*theta( - 3 + N)*den(1 + N)*ca^2*nf*z5
       + 2812798/243*theta( - 3 + N)*den(1 + N)*ca^2*nf
       - 1024*theta( - 3 + N)*den(1 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       + 86272/225*theta( - 3 + N)*den(1 + N)^2*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 48800/9*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z3
       - 240*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z4
       + 15858079/6075*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf
       - 1504/9*theta( - 3 + N)*den(1 + N)^2*cf*nf^2*z3
       + 8642522/6075*theta( - 3 + N)*den(1 + N)^2*cf*nf^2
       + 10544/3*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z3
       + 48*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z4
       - 37658/75*theta( - 3 + N)*den(1 + N)^2*cf^2*nf
       - 560/9*theta( - 3 + N)*den(1 + N)^2*ca*nf^2*z3
       + 1363772/1215*theta( - 3 + N)*den(1 + N)^2*ca*nf^2
       + 36392/9*theta( - 3 + N)*den(1 + N)^2*ca^2*nf*z3
       + 192*theta( - 3 + N)*den(1 + N)^2*ca^2*nf*z4
       - 13320758/1215*theta( - 3 + N)*den(1 + N)^2*ca^2*nf
       + 154624/75*theta( - 3 + N)*den(1 + N)^3*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 5200/3*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf*z3
       + 6805949/2025*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(1 + N)^3*cf*nf^2*z3
       - 277906/405*theta( - 3 + N)*den(1 + N)^3*cf*nf^2
       - 3584/3*theta( - 3 + N)*den(1 + N)^3*cf^2*nf*z3
       - 36848/9*theta( - 3 + N)*den(1 + N)^3*cf^2*nf
       - 7244/9*theta( - 3 + N)*den(1 + N)^3*ca*nf^2
       - 4544/3*theta( - 3 + N)*den(1 + N)^3*ca^2*nf*z3
       + 1068164/135*theta( - 3 + N)*den(1 + N)^3*ca^2*nf
       - 7936/15*theta( - 3 + N)*den(1 + N)^4*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 188434/135*theta( - 3 + N)*den(1 + N)^4*cf*ca*nf
       + 27200/27*theta( - 3 + N)*den(1 + N)^4*cf*nf^2
       + 74476/45*theta( - 3 + N)*den(1 + N)^4*cf^2*nf
       + 10280/27*theta( - 3 + N)*den(1 + N)^4*ca*nf^2
       - 743056/135*theta( - 3 + N)*den(1 + N)^4*ca^2*nf
       - 512/5*theta( - 3 + N)*den(1 + N)^5*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 1864/9*theta( - 3 + N)*den(1 + N)^5*cf*ca*nf
       - 7232/9*theta( - 3 + N)*den(1 + N)^5*cf*nf^2
       + 244/3*theta( - 3 + N)*den(1 + N)^5*cf^2*nf
       - 272/3*theta( - 3 + N)*den(1 + N)^5*ca*nf^2
       + 11224/3*theta( - 3 + N)*den(1 + N)^5*ca^2*nf
       - 1168/3*theta( - 3 + N)*den(1 + N)^6*cf*ca*nf
       + 240*theta( - 3 + N)*den(1 + N)^6*cf*nf^2
       + 184/3*theta( - 3 + N)*den(1 + N)^6*cf^2*nf
       - 1056*theta( - 3 + N)*den(1 + N)^6*ca^2*nf
       + 2080/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf*ca*nf
       - 176*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf*nf^2
       + 664/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf^2*nf
       + 4336/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*ca^2*nf
       + 128/3*theta( - 3 + N)*den(1 + N)^4*S(R(-2),1 + N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(1 + N)^4*S(R(-2),1 + N)*ca^2*nf
       - 7424/15*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 400*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca*nf
       + 1328/3*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*nf^2
       - 156*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*nf
       + 80*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*ca*nf^2
       - 12932/3*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*ca^2*nf
       - 2608/3*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf*ca*nf
       + 96*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf*nf^2
       - 1424/3*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf^2*nf
       - 1432*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*ca^2*nf
       + 2288/3*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf*ca*nf
       - 96*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf*nf^2
       + 1024/3*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf^2*nf
       + 1256*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*ca^2*nf
       + 1568/3*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^2*nf
       + 208/3*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*ca^2*nf
       - 512/5*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 656*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*nf^2
       + 384*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*nf
       + 1568/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf*ca*nf
       - 320*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^2*nf
       - 1040/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*ca^2*nf
       + 28288/15*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 53336/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca*nf
       - 372*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*nf^2
       - 43234/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*nf
       - 2660/9*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*ca*nf^2
       + 269552/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*ca^2*nf
       - 4256/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf*ca*nf
       + 576*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^2*nf
       + 1520/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*ca^2*nf
       + 2224/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*ca*nf
       - 160*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*nf^2
       + 2536/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*nf
       - 160/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*ca*nf^2
       + 11140/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*ca^2*nf
       + 816*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf*nf^2
       + 1744/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf^2*nf
       + 3200/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*ca^2*nf
       - 2384/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf*nf^2
       - 1408/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf^2*nf
       - 3568/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*ca^2*nf
       - 816*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*ca*nf
       + 160*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*nf^2
       - 1880/3*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*nf
       + 160/3*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*ca*nf^2
       - 3316*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*ca^2*nf
       - 2608/3*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf*nf^2
       - 1504/3*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf^2*nf
       - 3344/3*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*ca^2*nf
       + 896/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf*nf^2
       + 1472/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^2*nf
       + 3544/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*ca^2*nf
       + 4736/3*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf*ca*nf
       - 608/3*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^2*nf
       + 432*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*ca^2*nf
       - 3072/5*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 8528/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca*nf
       - 512/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*nf^2
       + 3040/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*ca*nf^2
       + 644/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*ca^2*nf
       - 736*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^2*nf
       - 1640/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*ca^2*nf
       - 7936/15*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 11512/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca*nf
       + 2176/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*nf^2
       + 29776/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*nf
       + 136/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*ca*nf^2
       + 2992/5*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*ca^2*nf
       + 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*ca^2*nf
       + 27136/15*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cOlNA^-1*cOlNR
      *flg11*[dabc^2/n]
       + 3040*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*nf^2
       - 1216*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*nf
       - 488*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*ca^2*nf
       + 320/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*cf^2*nf
       + 1088/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*ca^2*nf
       - 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*cf^2*nf
       - 304*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*ca^2*nf
       - 5120*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 419008/225*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 2768/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf*z3
       + 5822356/2025*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf
       + 205132/405*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf^2
       - 5728/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf*z3
       - 38141/15*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf
       + 15268/27*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca*nf^2
       + 1952/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca^2*nf*z3
       - 83774/9*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca^2*nf
       - 9152/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf*ca*nf
       + 1984/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^2*nf
       + 1864/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*ca^2*nf
       - 8704/15*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 6656/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*nf^2
       - 1024*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*ca*nf^2
       - 2176/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*ca^2*nf
       + 3904/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf*ca*nf
       - 192*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^2*nf
       - 240*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*ca^2*nf
       + 66376/135*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*ca*nf
       + 3856/27*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf^2
       - 5272/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*nf
       + 1576/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*ca*nf^2
       - 46388/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*ca^2*nf
       + 6400/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^2*nf
       - 800*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*ca^2*nf
       - 8744/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf*ca*nf
       + 176/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf*nf^2
       - 3488/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*ca*nf^2
       - 7264/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*ca^2*nf
       - 656*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1,1),1 + N)*cf*ca*nf
       - 1808/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1,1),1 + N)*cf^2*nf
       - 1408/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1,1),1 + N)*ca^2*nf
       + 2368/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf*ca*nf
       + 1552/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf^2*nf
       + 1936/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*ca^2*nf
       + 3080/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*nf^2
       + 1032*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*nf
       - 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*ca*nf^2
       + 2672*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*ca^2*nf
       + 2224/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*cf*ca*nf
       + 560*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*cf^2*nf
       + 1952/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*ca^2*nf
       + 2560*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 6416/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf*ca*nf
       + 3152/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^2*nf
       - 440*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*ca^2*nf
       - 11792/45*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*ca*nf
       - 400/3*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*nf^2
       + 1592*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*nf
       - 1556/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*ca*nf^2
       + 43292/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*ca^2*nf
       - 5248/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf*ca*nf
       + 1280/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^2*nf
       + 1712/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*ca^2*nf
       + 1144*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*nf^2
       + 1064*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*ca*nf^2
       + 2480*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*ca^2*nf
       + 2080/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf*ca*nf
       + 1936/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf^2*nf
       + 1840/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*ca^2*nf
       - 2368/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf^2*nf
       - 2072/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*ca^2*nf
       + 3328/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1560*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca*nf
       - 2184*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*ca*nf^2
       - 9628/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*ca^2*nf
       - 2560*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 5632/3*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf*ca*nf
       - 7024/3*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^2*nf
       - 1512*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*ca^2*nf
       - 1040*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf*ca*nf
       + 2480/3*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^2*nf
       + 3616/3*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*ca^2*nf
       + 1104*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf*ca*nf
       - 224/3*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*ca^2*nf
       + 2560/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       - 4448/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*nf^2
       - 3088/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*nf
       + 224/9*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*ca*nf^2
       - 9248/9*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*ca^2*nf
       + 448/3*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf*ca*nf
       - 1536*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf^2*nf
       - 1456/3*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*ca^2*nf
       - 21376/15*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 3628*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca*nf
       - 992/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*nf^2
       + 216856/45*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*nf
       + 128/27*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*ca*nf^2
       + 148964/135*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*ca^2*nf
       + 1760/3*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf*ca*nf
       - 2816/3*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf^2*nf
       - 704/3*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*ca^2*nf
       + 7480/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*nf^2
       + 448/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*ca*nf^2
       + 628*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*ca^2*nf
       + 480*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf^2*nf
       + 800/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*ca^2*nf
       - 416*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf^2*nf
       - 224*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*ca^2*nf
       + 569152/225*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3584*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf*z3
       + 4132988/675*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf
       + 38176/135*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf^2
       - 3840*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf*z3
       - 281416/45*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf
       - 2656/81*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca*nf^2
       - 832*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca^2*nf*z3
       - 740146/405*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca^2*nf
       + 544*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf*ca*nf
       - 2944/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       - 608*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*nf^2
       + 2560/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*ca*nf^2
       + 752/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*ca^2*nf
       - 2560/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf*ca*nf
       + 768*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf^2*nf
       + 608/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*ca^2*nf
       - 24064/15*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 26848/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca*nf
       + 128/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*nf^2
       - 180832/45*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*nf
       + 112/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*ca*nf^2
       - 14872/15*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*ca^2*nf
       + 1088/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*ca^2*nf
       - 1648/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf*ca*nf
       - 160*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*ca*nf^2
       - 528*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*ca^2*nf
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1,1),1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1,1),1 + N)*ca^2*nf
       + 160*theta( - 3 + N)*den(1 + N)*S(R(-2,1,2),1 + N)*cf*ca*nf
       + 224/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,2),1 + N)*ca^2*nf
       + 1408/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf*ca*nf
       + 160*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*ca*nf^2
       + 1384/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*ca^2*nf
       + 544/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2,1),1 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2,1),1 + N)*ca^2*nf
       - 5728/3*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf*ca*nf
       + 5056/3*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf^2*nf
       + 352*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*ca^2*nf
       + 5632*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 600064/225*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1696/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z3
       + 48*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z4
       - 18941999/6075*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf
       - 736/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2*z3
       - 1830218/1215*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2
       + 4448/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf*z3
       + 10906/5*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf
       + 496/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca*nf^2*z3
       - 181160/243*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca*nf^2
       - 13672/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca^2*nf*z3
       - 48*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca^2*nf*z4
       + 2653214/243*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca^2*nf
       - 1936*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf*ca*nf
       - 640*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf^2*nf
       + 160*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*ca^2*nf
       - 3584/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 10136/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca*nf
       - 448/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*nf^2
       + 1072*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*ca*nf^2
       - 580/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*ca^2*nf
       + 8816/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf^2*nf
       - 1072/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*ca^2*nf
       + 22272/5*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 6616/15*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca*nf
       + 448/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*nf^2
       - 15920/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*nf
       - 496/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*ca*nf^2
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*ca^2*nf
       - 2816/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf*ca*nf
       + 2048/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf^2*nf
       + 288*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*ca^2*nf
       - 3744*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf*nf^2
       + 1504/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*ca*nf^2
       + 1736/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*ca^2*nf
       - 576*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf^2*nf
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*ca^2*nf
       + 1504/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf^2*nf
       + 160*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*ca^2*nf
       + 10240*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]*z3
       - 13312/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 5312/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf*z3
       - 562724/405*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf
       - 55556/81*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf^2
       - 1792/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf*z3
       + 4198/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf
       - 21832/81*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca*nf^2
       - 3040/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca^2*nf*z3
       + 507886/81*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca^2*nf
       + 10688/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf*ca*nf
       + 384*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf^2*nf
       - 3200/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*ca^2*nf
       + 7168/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 3248/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*nf^2
       - 1216*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*nf
       - 32*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*ca*nf^2
       + 304*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*ca^2*nf
       - 4000*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf*ca*nf
       + 768*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf^2*nf
       + 1120*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*ca^2*nf
       + 2536/27*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*ca*nf
       - 6184/27*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*nf^2
       + 4948/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*nf
       - 1808/27*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*ca*nf^2
       + 94736/27*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*ca^2*nf
       - 2848/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*cf*ca*nf
       - 1280/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*cf^2*nf
       + 416*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*ca^2*nf
       + 5480/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf*ca*nf
       - 272/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf*nf^2
       + 4688/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf^2*nf
       - 112/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*ca*nf^2
       + 8488/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*ca^2*nf
       + 800*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1,1),1 + N)*cf^2*nf
       + 160*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1,1),1 + N)*ca^2*nf
       - 272*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,2),1 + N)*cf*ca*nf
       - 2144/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,2),1 + N)*cf^2*nf
       - 496/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,2),1 + N)*ca^2*nf
       - 2896/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*nf^2
       - 1488*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^2*nf
       + 112/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*ca*nf^2
       - 10456/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*ca^2*nf
       - 208*theta( - 3 + N)*den(1 + N)*S(R(1,1,2,1),1 + N)*cf*ca*nf
       - 2272/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2,1),1 + N)*cf^2*nf
       - 560/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2,1),1 + N)*ca^2*nf
       - 5120*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1664/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf*ca*nf
       + 1312*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf^2*nf
       + 1568/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*ca^2*nf
       - 3820/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca*nf
       + 1976/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*nf^2
       - 4564/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*nf
       + 3152/27*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*ca*nf^2
       - 100208/27*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*ca^2*nf
       + 2720/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf*ca*nf
       + 1280/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf^2*nf
       - 1024/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*ca^2*nf
       - 936*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*nf^2
       - 1440*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^2*nf
       + 176/9*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*ca*nf^2
       - 10304/9*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*ca^2*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(1,2,1,1),1 + N)*cf*ca*nf
       - 2656/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1,1),1 + N)*cf^2*nf
       - 608/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1,1),1 + N)*ca^2*nf
       + 368*theta( - 3 + N)*den(1 + N)*S(R(1,2,2),1 + N)*cf*ca*nf
       + 2048/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,2),1 + N)*cf^2*nf
       + 688/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,2),1 + N)*ca^2*nf
       - 10240/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 808*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*nf^2
       + 1792/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*nf
       - 368/9*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*ca*nf^2
       + 14156/9*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*ca^2*nf
       + 5120*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 768*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf^2*nf
       + 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*ca^2*nf
       + 1712/3*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf*ca*nf
       - 1312/3*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf^2*nf
       - 1792/3*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*ca^2*nf
       - 5120*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 6656/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 2368/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf*z3
       + 143044/405*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf
       + 58504/81*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf^2
       + 320/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf*z3
       - 3650/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf
       + 7168/27*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca*nf^2
       + 1664/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca^2*nf*z3
       - 16262/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca^2*nf
       - 6352/3*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf*ca*nf
       - 576*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf^2*nf
       + 1616/3*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*ca^2*nf
       - 3584/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3136/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca*nf
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*nf^2
       + 2656/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*ca*nf^2
       - 472/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*ca^2*nf
       + 2368*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf^2*nf
       - 544*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*ca^2*nf
       - 5264/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca*nf
       + 872/3*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*nf^2
       - 1476*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*nf
       + 688/27*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*ca*nf^2
       - 96004/27*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*ca^2*nf
       + 864*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf*ca*nf
       + 1408/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf^2*nf
       - 1024/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*ca^2*nf
       - 880*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf*nf^2
       - 4928/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf^2*nf
       - 16/9*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*ca*nf^2
       - 9440/9*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*ca^2*nf
       - 2816/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,1,1),1 + N)*cf^2*nf
       - 640/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,1,1),1 + N)*ca^2*nf
       + 256*theta( - 3 + N)*den(1 + N)*S(R(2,1,2),1 + N)*cf*ca*nf
       + 2368/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,2),1 + N)*cf^2*nf
       + 704/3*theta( - 3 + N)*den(1 + N)*S(R(2,1,2),1 + N)*ca^2*nf
       + 3632/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*nf^2
       + 4256/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^2*nf
       - 80/9*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*ca*nf^2
       + 9836/9*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*ca^2*nf
       + 688/3*theta( - 3 + N)*den(1 + N)*S(R(2,2,1),1 + N)*cf*ca*nf
       + 864*theta( - 3 + N)*den(1 + N)*S(R(2,2,1),1 + N)*cf^2*nf
       + 560/3*theta( - 3 + N)*den(1 + N)*S(R(2,2,1),1 + N)*ca^2*nf
       + 2560*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf*ca*nf
       - 2624/3*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf^2*nf
       - 976/3*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*ca^2*nf
       - 2304/5*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 122552/135*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca*nf
       - 6472/27*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*nf^2
       + 9316/15*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*nf
       - 2720/27*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*ca*nf^2
       + 91832/27*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*ca^2*nf
       - 1792/3*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf*ca*nf
       - 1280/3*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf^2*nf
       + 96*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*ca^2*nf
       + 4608*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 2944/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*nf^2
       + 4384/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*nf
       - 16/9*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*ca*nf^2
       + 9340/9*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*ca^2*nf
       - 592/3*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf*ca*nf
       + 992*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf^2*nf
       + 1168/3*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*ca^2*nf
       - 160/3*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf*ca*nf
       - 2336/3*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf^2*nf
       - 896/3*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*ca^2*nf
       - 2560/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1576/9*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca*nf
       + 160/9*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*nf^2
       - 1952/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*nf
       + 112/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*ca*nf^2
       - 3584/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*ca^2*nf
       - 2560*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 1808/3*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf*ca*nf
       - 672*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf^2*nf
       - 1744/3*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*ca^2*nf
       - 624*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf*ca*nf
       + 1664/3*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf^2*nf
       + 1376/3*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*ca^2*nf
       - 31744/45*theta( - 3 + N)*den(2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      z3
       - 11520*theta( - 3 + N)*den(2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       + 51968/75*theta( - 3 + N)*den(2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 58328/45*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z3
       - 248*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z4
       - 6240*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z5
       + 3237022/675*theta( - 3 + N)*den(2 + N)*cf*ca*nf
       - 11936/27*theta( - 3 + N)*den(2 + N)*cf*nf^2*z3
       + 16071037/18225*theta( - 3 + N)*den(2 + N)*cf*nf^2
       - 3056/5*theta( - 3 + N)*den(2 + N)*cf^2*nf*z3
       + 6400*theta( - 3 + N)*den(2 + N)*cf^2*nf*z5
       - 115586/75*theta( - 3 + N)*den(2 + N)*cf^2*nf
       - 1432/27*theta( - 3 + N)*den(2 + N)*ca*nf^2*z3
       + 4708987/3645*theta( - 3 + N)*den(2 + N)*ca*nf^2
       + 458822/135*theta( - 3 + N)*den(2 + N)*ca^2*nf*z3
       + 248*theta( - 3 + N)*den(2 + N)*ca^2*nf*z4
       + 1600*theta( - 3 + N)*den(2 + N)*ca^2*nf*z5
       - 79819747/7290*theta( - 3 + N)*den(2 + N)*ca^2*nf
       + 111616/15*theta( - 3 + N)*den(2 + N)^2*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 28928/15*theta( - 3 + N)*den(2 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 488/9*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z3
       - 48*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z4
       - 5542108/2025*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf
       - 128*theta( - 3 + N)*den(2 + N)^2*cf*nf^2*z3
       - 1049188/2025*theta( - 3 + N)*den(2 + N)^2*cf*nf^2
       + 1184*theta( - 3 + N)*den(2 + N)^2*cf^2*nf*z3
       + 61902/25*theta( - 3 + N)*den(2 + N)^2*cf^2*nf
       - 285488/405*theta( - 3 + N)*den(2 + N)^2*ca*nf^2
       - 632/3*theta( - 3 + N)*den(2 + N)^2*ca^2*nf*z3
       + 48*theta( - 3 + N)*den(2 + N)^2*ca^2*nf*z4
       + 13259914/1215*theta( - 3 + N)*den(2 + N)^2*ca^2*nf
       + 22784/25*theta( - 3 + N)*den(2 + N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 1056*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf*z3
       + 11442/25*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf
       - 28088/405*theta( - 3 + N)*den(2 + N)^3*cf*nf^2
       - 3136/3*theta( - 3 + N)*den(2 + N)^3*cf^2*nf*z3
       - 5008/3*theta( - 3 + N)*den(2 + N)^3*cf^2*nf
       + 20348/81*theta( - 3 + N)*den(2 + N)^3*ca*nf^2
       - 288*theta( - 3 + N)*den(2 + N)^3*ca^2*nf*z3
       - 689798/135*theta( - 3 + N)*den(2 + N)^3*ca^2*nf
       + 75448/45*theta( - 3 + N)*den(2 + N)^4*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(2 + N)^4*cf*nf^2
       + 1128*theta( - 3 + N)*den(2 + N)^4*cf^2*nf
       - 1880/27*theta( - 3 + N)*den(2 + N)^4*ca*nf^2
       + 152792/27*theta( - 3 + N)*den(2 + N)^4*ca^2*nf
       - 1712*theta( - 3 + N)*den(2 + N)^5*cf*ca*nf
       - 928/9*theta( - 3 + N)*den(2 + N)^5*cf*nf^2
       - 3680/3*theta( - 3 + N)*den(2 + N)^5*cf^2*nf
       - 360*theta( - 3 + N)*den(2 + N)^5*ca^2*nf
       + 480*theta( - 3 + N)*den(2 + N)^6*cf^2*nf
       - 160/3*theta( - 3 + N)*den(2 + N)^5*S(R(1),2 + N)*cf*ca*nf
       - 2624/3*theta( - 3 + N)*den(2 + N)^5*S(R(1),2 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(2 + N)^5*S(R(1),2 + N)*ca^2*nf
       + 1792/3*theta( - 3 + N)*den(2 + N)^4*S(R(-2),2 + N)*cf*ca*nf
       - 4096/3*theta( - 3 + N)*den(2 + N)^4*S(R(-2),2 + N)*cf^2*nf
       - 256/3*theta( - 3 + N)*den(2 + N)^4*S(R(-2),2 + N)*ca^2*nf
       + 43904/15*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 11296/9*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*nf^2
       + 8336/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*ca*nf^2
       + 14704/9*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*ca^2*nf
       + 544/3*theta( - 3 + N)*den(2 + N)^4*S(R(1,1),2 + N)*cf*ca*nf
       + 3136/3*theta( - 3 + N)*den(2 + N)^4*S(R(1,1),2 + N)*cf^2*nf
       + 288*theta( - 3 + N)*den(2 + N)^4*S(R(1,1),2 + N)*ca^2*nf
       - 160*theta( - 3 + N)*den(2 + N)^4*S(R(2),2 + N)*cf*ca*nf
       - 2528/3*theta( - 3 + N)*den(2 + N)^4*S(R(2),2 + N)*cf^2*nf
       - 160*theta( - 3 + N)*den(2 + N)^4*S(R(2),2 + N)*ca^2*nf
       - 928/3*theta( - 3 + N)*den(2 + N)^3*S(R(-3),2 + N)*cf*ca*nf
       - 4672/3*theta( - 3 + N)*den(2 + N)^3*S(R(-3),2 + N)*cf^2*nf
       - 448/3*theta( - 3 + N)*den(2 + N)^3*S(R(-3),2 + N)*ca^2*nf
       + 19456/15*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 6224/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf*nf^2
       + 560/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*ca*nf^2
       + 8456/9*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*ca^2*nf
       + 2432/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2,1),2 + N)*cf*ca*nf
       + 512*theta( - 3 + N)*den(2 + N)^3*S(R(-2,1),2 + N)*cf^2*nf
       + 256/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2,1),2 + N)*ca^2*nf
       - 36160/9*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 26818/45*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca*nf
       + 304/3*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*nf^2
       - 13516/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*nf
       + 952/9*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*ca*nf^2
       - 881432/135*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*ca^2*nf
       + 1600/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,-2),2 + N)*cf*ca*nf
       + 2176/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,-2),2 + N)*cf^2*nf
       + 640/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,-2),2 + N)*ca^2*nf
       - 21008/9*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*cf*nf^2
       - 1504*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*ca*nf^2
       - 13540/9*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*ca^2*nf
       - 736/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,1,1),2 + N)*cf*ca*nf
       - 2816/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,1,1),2 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(2 + N)^3*S(R(1,1,1),2 + N)*ca^2*nf
       + 1120/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,2),2 + N)*cf*ca*nf
       + 800*theta( - 3 + N)*den(2 + N)^3*S(R(1,2),2 + N)*cf^2*nf
       + 512/3*theta( - 3 + N)*den(2 + N)^3*S(R(1,2),2 + N)*ca^2*nf
       + 19216/9*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*cf*nf^2
       + 1280*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*ca*nf^2
       + 1296*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*ca^2*nf
       + 800/3*theta( - 3 + N)*den(2 + N)^3*S(R(2,1),2 + N)*cf*ca*nf
       + 864*theta( - 3 + N)*den(2 + N)^3*S(R(2,1),2 + N)*cf^2*nf
       + 640/3*theta( - 3 + N)*den(2 + N)^3*S(R(2,1),2 + N)*ca^2*nf
       - 1184/3*theta( - 3 + N)*den(2 + N)^3*S(R(3),2 + N)*cf*ca*nf
       - 1568/3*theta( - 3 + N)*den(2 + N)^3*S(R(3),2 + N)*cf^2*nf
       - 32*theta( - 3 + N)*den(2 + N)^3*S(R(3),2 + N)*ca^2*nf
       - 880*theta( - 3 + N)*den(2 + N)^2*S(R(-4),2 + N)*cf*ca*nf
       - 768*theta( - 3 + N)*den(2 + N)^2*S(R(-4),2 + N)*cf^2*nf
       - 512/3*theta( - 3 + N)*den(2 + N)^2*S(R(-4),2 + N)*ca^2*nf
       - 3328/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3048*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf*ca*nf
       - 416/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf*nf^2
       - 280/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf^2*nf
       - 80/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*ca*nf^2
       + 14092/9*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*ca^2*nf
       + 5264/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3,1),2 + N)*cf*ca*nf
       + 192*theta( - 3 + N)*den(2 + N)^2*S(R(-3,1),2 + N)*cf^2*nf
       + 784/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3,1),2 + N)*ca^2*nf
       + 141632/45*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 50828/45*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca*nf
       + 176/9*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*nf^2
       + 2872/5*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*nf
       + 272/9*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*ca*nf^2
       - 19118/135*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*ca^2*nf
       - 1600/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,-2),2 + N)*cf*ca*nf
       + 1280/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,-2),2 + N)*cf^2*nf
       + 608/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,-2),2 + N)*ca^2*nf
       + 8192/5*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 4304/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf*nf^2
       + 96*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*ca*nf^2
       - 1024*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*ca^2*nf
       - 448*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1,1),2 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1,1),2 + N)*cf^2*nf
       - 512/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1,1),2 + N)*ca^2*nf
       + 1120/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,2),2 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(2 + N)^2*S(R(-2,2),2 + N)*cf^2*nf
       + 416/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,2),2 + N)*ca^2*nf
       + 4608*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 167552/75*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 8608/3*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf*z3
       - 1045922/2025*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf
       - 82984/405*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*nf^2
       - 7168/3*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf*z3
       + 14444/15*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf
       - 360*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca*nf^2
       - 832*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca^2*nf*z3
       + 2479774/405*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca^2*nf
       + 5168/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-3),2 + N)*cf*ca*nf
       + 640*theta( - 3 + N)*den(2 + N)^2*S(R(1,-3),2 + N)*cf^2*nf
       + 368/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-3),2 + N)*ca^2*nf
       + 8704/15*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 6688/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf*nf^2
       + 80*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf^2*nf
       - 1208/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*ca^2*nf
       - 2272*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2,1),2 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2,1),2 + N)*cf^2*nf
       + 160/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2,1),2 + N)*ca^2*nf
       + 160708/135*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*ca*nf
       - 3952/27*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*nf^2
       + 1212*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^2*nf
       - 280/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*ca*nf^2
       + 140176/27*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*ca^2*nf
       - 640*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,-2),2 + N)*cf*ca*nf
       - 1280/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,-2),2 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,-2),2 + N)*ca^2*nf
       + 14800/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*cf*ca*nf
       - 80/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*cf*nf^2
       + 4096/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*ca*nf^2
       + 10808/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*ca^2*nf
       + 160*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1,1),2 + N)*cf*ca*nf
       + 800*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1,1),2 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1,1),2 + N)*ca^2*nf
       - 976/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,2),2 + N)*cf*ca*nf
       - 2176/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,2),2 + N)*cf^2*nf
       - 688/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,2),2 + N)*ca^2*nf
       - 4952/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*cf*nf^2
       - 3800/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*ca*nf^2
       - 15080/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*ca^2*nf
       - 928/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2,1),2 + N)*cf*ca*nf
       - 2272/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2,1),2 + N)*cf^2*nf
       - 640/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,2,1),2 + N)*ca^2*nf
       - 2304*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 3968/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*cf*ca*nf
       + 6208/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*cf^2*nf
       + 1856/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*ca^2*nf
       - 215798/135*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*ca*nf
       + 1568/9*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*nf^2
       - 3268/3*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*nf
       + 280/3*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*ca*nf^2
       - 4906*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*ca^2*nf
       + 1216/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,-2),2 + N)*cf*ca*nf
       + 1280/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,-2),2 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,-2),2 + N)*ca^2*nf
       - 5648/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*cf*nf^2
       - 3784/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*cf^2*nf
       - 3884/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*ca^2*nf
       - 176*theta( - 3 + N)*den(2 + N)^2*S(R(2,1,1),2 + N)*cf*ca*nf
       - 2624/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1,1),2 + N)*cf^2*nf
       - 688/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1,1),2 + N)*ca^2*nf
       + 976/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,2),2 + N)*cf*ca*nf
       + 2048/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,2),2 + N)*cf^2*nf
       + 176*theta( - 3 + N)*den(2 + N)^2*S(R(2,2),2 + N)*ca^2*nf
       - 3456*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 7168/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca*nf
       - 760/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^2*nf
       - 16*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*ca*nf^2
       + 9212/9*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*ca^2*nf
       + 2304*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1680*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*cf*ca*nf
       - 800*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*cf^2*nf
       - 464/3*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*ca^2*nf
       - 272/3*theta( - 3 + N)*den(2 + N)^2*S(R(4),2 + N)*cf*ca*nf
       - 928/3*theta( - 3 + N)*den(2 + N)^2*S(R(4),2 + N)*cf^2*nf
       - 352/3*theta( - 3 + N)*den(2 + N)^2*S(R(4),2 + N)*ca^2*nf
       - 720*theta( - 3 + N)*den(2 + N)*S(R(-5),2 + N)*cf*ca*nf
       - 160/3*theta( - 3 + N)*den(2 + N)*S(R(-5),2 + N)*cf^2*nf
       - 544/3*theta( - 3 + N)*den(2 + N)*S(R(-5),2 + N)*ca^2*nf
       - 2816/3*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       + 1384*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf*nf^2
       + 608/3*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf^2*nf
       - 368/9*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*ca*nf^2
       + 13784/9*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*ca^2*nf
       - 832/3*theta( - 3 + N)*den(2 + N)*S(R(-4,1),2 + N)*cf*ca*nf
       + 1280*theta( - 3 + N)*den(2 + N)*S(R(-4,1),2 + N)*cf^2*nf
       + 1840/3*theta( - 3 + N)*den(2 + N)*S(R(-4,1),2 + N)*ca^2*nf
       + 640*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 3448/9*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*ca*nf
       - 1184/9*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*nf^2
       - 14296/15*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^2*nf
       + 1768/27*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*ca*nf^2
       - 44954/45*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*ca^2*nf
       - 1376/3*theta( - 3 + N)*den(2 + N)*S(R(-3,-2),2 + N)*cf*ca*nf
       + 2432/3*theta( - 3 + N)*den(2 + N)*S(R(-3,-2),2 + N)*cf^2*nf
       + 608/3*theta( - 3 + N)*den(2 + N)*S(R(-3,-2),2 + N)*ca^2*nf
       - 3208/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf*nf^2
       - 64*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf^2*nf
       + 80/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*ca*nf^2
       - 4376/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*ca^2*nf
       - 416*theta( - 3 + N)*den(2 + N)*S(R(-3,1,1),2 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(2 + N)*S(R(-3,1,1),2 + N)*cf^2*nf
       - 896/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1,1),2 + N)*ca^2*nf
       + 352*theta( - 3 + N)*den(2 + N)*S(R(-3,2),2 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(-3,2),2 + N)*cf^2*nf
       + 256*theta( - 3 + N)*den(2 + N)*S(R(-3,2),2 + N)*ca^2*nf
       - 84032/75*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 3072*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf*z3
       - 24232/25*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf
       + 20912/135*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*nf^2
       + 3200*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf*z3
       + 17032/15*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf
       - 5036/81*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca*nf^2
       + 736*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca^2*nf*z3
       + 487654/405*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca^2*nf
       - 416*theta( - 3 + N)*den(2 + N)*S(R(-2,-3),2 + N)*cf*ca*nf
       + 2560/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-3),2 + N)*cf^2*nf
       + 160*theta( - 3 + N)*den(2 + N)*S(R(-2,-3),2 + N)*ca^2*nf
       - 768*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cf*nf^2
       - 1216/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*ca*nf^2
       - 424/9*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*ca^2*nf
       + 1408/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-2,1),2 + N)*cf*ca*nf
       - 512*theta( - 3 + N)*den(2 + N)*S(R(-2,-2,1),2 + N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(2 + N)*S(R(-2,-2,1),2 + N)*ca^2*nf
       + 84032/45*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 4564/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca*nf
       + 496/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*nf^2
       + 10184/5*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*nf
       - 272/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*ca*nf^2
       + 119494/135*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*ca^2*nf
       - 704/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,-2),2 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(2 + N)*S(R(-2,1,-2),2 + N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,-2),2 + N)*ca^2*nf
       + 832/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*cf*ca*nf
       + 96*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*ca*nf^2
       + 5744/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*ca^2*nf
       + 512/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1,1),2 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1,1),2 + N)*ca^2*nf
       - 160*theta( - 3 + N)*den(2 + N)*S(R(-2,1,2),2 + N)*cf*ca*nf
       - 224/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,2),2 + N)*ca^2*nf
       - 736/3*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*cf*ca*nf
       - 96*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*ca*nf^2
       - 1744/3*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*ca^2*nf
       - 544/3*theta( - 3 + N)*den(2 + N)*S(R(-2,2,1),2 + N)*cf*ca*nf
       - 160/3*theta( - 3 + N)*den(2 + N)*S(R(-2,2,1),2 + N)*ca^2*nf
       + 4576/3*theta( - 3 + N)*den(2 + N)*S(R(-2,3),2 + N)*cf*ca*nf
       - 3904/3*theta( - 3 + N)*den(2 + N)*S(R(-2,3),2 + N)*cf^2*nf
       - 256*theta( - 3 + N)*den(2 + N)*S(R(-2,3),2 + N)*ca^2*nf
       - 17408/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]*z3
       + 164992/75*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 2440/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z3
       - 48*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z4
       + 8390392/2025*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf
       + 448/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf^2*z3
       + 507692/1215*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf^2
       - 1440*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf*z3
       - 14918/5*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf
       - 352/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca*nf^2*z3
       + 190376/243*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca*nf^2
       + 11528/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca^2*nf*z3
       + 48*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca^2*nf*z4
       - 12973432/1215*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca^2*nf
       + 1104*theta( - 3 + N)*den(2 + N)*S(R(1,-4),2 + N)*cf*ca*nf
       + 768*theta( - 3 + N)*den(2 + N)*S(R(1,-4),2 + N)*cf^2*nf
       + 224*theta( - 3 + N)*den(2 + N)*S(R(1,-4),2 + N)*ca^2*nf
       + 3328/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 8728/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf*ca*nf
       + 224/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf*nf^2
       + 280/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*ca*nf^2
       - 1412/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*ca^2*nf
       - 5552/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3,1),2 + N)*cf*ca*nf
       - 192*theta( - 3 + N)*den(2 + N)*S(R(1,-3,1),2 + N)*cf^2*nf
       - 368/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3,1),2 + N)*ca^2*nf
       - 141632/45*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 63356/45*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca*nf
       - 112/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*nf^2
       - 728*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*nf
       + 32/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*ca*nf^2
       - 5618/27*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*ca^2*nf
       + 1664/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2,-2),2 + N)*cf*ca*nf
       - 1280/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2,-2),2 + N)*cf^2*nf
       - 160*theta( - 3 + N)*den(2 + N)*S(R(1,-2,-2),2 + N)*ca^2*nf
       + 5072/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf*nf^2
       - 352*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf^2*nf
       + 3584/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*ca^2*nf
       + 448*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1,1),2 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1,1),2 + N)*cf^2*nf
       + 704/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1,1),2 + N)*ca^2*nf
       - 1120/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2,2),2 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(2 + N)*S(R(1,-2,2),2 + N)*cf^2*nf
       - 224*theta( - 3 + N)*den(2 + N)*S(R(1,-2,2),2 + N)*ca^2*nf
       - 9216*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 11648/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 2048/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*ca*nf*z3
       + 63254/45*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*ca*nf
       + 23384/81*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*nf^2
       + 256/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*nf*z3
       - 4348/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*nf
       + 23392/81*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca*nf^2
       + 1792/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca^2*nf*z3
       - 486118/81*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca^2*nf
       - 6272/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,-3),2 + N)*cf*ca*nf
       - 640*theta( - 3 + N)*den(2 + N)*S(R(1,1,-3),2 + N)*cf^2*nf
       + 1184/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,-3),2 + N)*ca^2*nf
       - 6656/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1696*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf*nf^2
       + 176*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*ca*nf^2
       - 3416/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*ca^2*nf
       + 2464*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2,1),2 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2,1),2 + N)*cf^2*nf
       - 480*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2,1),2 + N)*ca^2*nf
       - 3556/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*ca*nf
       + 4144/27*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*nf^2
       - 1212*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf^2*nf
       + 1976/27*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*ca*nf^2
       - 98716/27*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*ca^2*nf
       + 1696/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,-2),2 + N)*cf*ca*nf
       + 1280/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,-2),2 + N)*cf^2*nf
       - 224*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,-2),2 + N)*ca^2*nf
       - 2272/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*cf*ca*nf
       + 272/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*cf*nf^2
       - 4096/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*cf^2*nf
       + 112/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*ca*nf^2
       - 1024*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*ca^2*nf
       - 800*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1,1),2 + N)*cf^2*nf
       - 160*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1,1),2 + N)*ca^2*nf
       + 272*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,2),2 + N)*cf*ca*nf
       + 2144/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,2),2 + N)*cf^2*nf
       + 496/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,2),2 + N)*ca^2*nf
       + 9632/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*cf*nf^2
       + 3800/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*cf^2*nf
       - 160/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*ca*nf^2
       + 11648/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*ca^2*nf
       + 208*theta( - 3 + N)*den(2 + N)*S(R(1,1,2,1),2 + N)*cf*ca*nf
       + 2272/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,2,1),2 + N)*cf^2*nf
       + 560/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,2,1),2 + N)*ca^2*nf
       + 4608*theta( - 3 + N)*den(2 + N)*S(R(1,1,3),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 320/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,3),2 + N)*cf*ca*nf
       - 928*theta( - 3 + N)*den(2 + N)*S(R(1,1,3),2 + N)*cf^2*nf
       - 1184/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,3),2 + N)*ca^2*nf
       + 21326/27*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*ca*nf
       - 544/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*nf^2
       + 3268/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*nf
       - 3320/27*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*ca*nf^2
       + 107626/27*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*ca^2*nf
       - 1568/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,-2),2 + N)*cf*ca*nf
       - 1280/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,-2),2 + N)*cf^2*nf
       + 448/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,-2),2 + N)*ca^2*nf
       + 9560/9*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*cf*nf^2
       + 3784/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*cf^2*nf
       - 128/9*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*ca*nf^2
       + 1260*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*ca^2*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(1,2,1,1),2 + N)*cf*ca*nf
       + 2656/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,1,1),2 + N)*cf^2*nf
       + 608/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,1,1),2 + N)*ca^2*nf
       - 368*theta( - 3 + N)*den(2 + N)*S(R(1,2,2),2 + N)*cf*ca*nf
       - 2048/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,2),2 + N)*cf^2*nf
       - 688/3*theta( - 3 + N)*den(2 + N)*S(R(1,2,2),2 + N)*ca^2*nf
       + 3456*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 17776/9*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*nf^2
       + 760/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^2*nf
       + 320/9*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*ca*nf^2
       - 12388/9*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*ca^2*nf
       - 4608*theta( - 3 + N)*den(2 + N)*S(R(1,3,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 448*theta( - 3 + N)*den(2 + N)*S(R(1,3,1),2 + N)*cf*ca*nf
       - 1024/3*theta( - 3 + N)*den(2 + N)*S(R(1,3,1),2 + N)*cf^2*nf
       - 704/3*theta( - 3 + N)*den(2 + N)*S(R(1,3,1),2 + N)*ca^2*nf
       - 368/3*theta( - 3 + N)*den(2 + N)*S(R(1,4),2 + N)*cf*ca*nf
       + 928/3*theta( - 3 + N)*den(2 + N)*S(R(1,4),2 + N)*cf^2*nf
       + 1216/3*theta( - 3 + N)*den(2 + N)*S(R(1,4),2 + N)*ca^2*nf
       + 4608*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 5824/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 448/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf*z3
       - 181286/405*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf
       - 26728/81*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*nf^2
       + 448/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf*z3
       + 3560/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf
       - 7640/27*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca*nf^2
       - 896/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca^2*nf*z3
       + 435044/81*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca^2*nf
       + 3664/3*theta( - 3 + N)*den(2 + N)*S(R(2,-3),2 + N)*cf*ca*nf
       + 704*theta( - 3 + N)*den(2 + N)*S(R(2,-3),2 + N)*cf^2*nf
       - 368/3*theta( - 3 + N)*den(2 + N)*S(R(2,-3),2 + N)*ca^2*nf
       + 3328/3*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1520*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf*nf^2
       - 112/3*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*ca*nf^2
       + 1504/9*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*ca^2*nf
       - 1472*theta( - 3 + N)*den(2 + N)*S(R(2,-2,1),2 + N)*cf*ca*nf
       + 160*theta( - 3 + N)*den(2 + N)*S(R(2,-2,1),2 + N)*ca^2*nf
       + 19610/27*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*ca*nf
       - 1600/9*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*nf^2
       + 1012*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*nf
       - 856/27*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*ca*nf^2
       + 99326/27*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*ca^2*nf
       - 480*theta( - 3 + N)*den(2 + N)*S(R(2,1,-2),2 + N)*cf*ca*nf
       - 1408/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,-2),2 + N)*cf^2*nf
       + 448/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,-2),2 + N)*ca^2*nf
       + 3104/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*cf*ca*nf
       - 160/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*cf*nf^2
       + 1408*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*cf^2*nf
       + 16/9*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*ca*nf^2
       + 10460/9*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*ca^2*nf
       + 2816/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,1,1),2 + N)*cf^2*nf
       + 640/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,1,1),2 + N)*ca^2*nf
       - 256*theta( - 3 + N)*den(2 + N)*S(R(2,1,2),2 + N)*cf*ca*nf
       - 2368/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,2),2 + N)*cf^2*nf
       - 704/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,2),2 + N)*ca^2*nf
       - 11624/9*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*cf*nf^2
       - 1184*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*cf^2*nf
       + 128/9*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*ca*nf^2
       - 11432/9*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*ca^2*nf
       - 688/3*theta( - 3 + N)*den(2 + N)*S(R(2,2,1),2 + N)*cf*ca*nf
       - 864*theta( - 3 + N)*den(2 + N)*S(R(2,2,1),2 + N)*cf^2*nf
       - 560/3*theta( - 3 + N)*den(2 + N)*S(R(2,2,1),2 + N)*ca^2*nf
       - 2304*theta( - 3 + N)*den(2 + N)*S(R(2,3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 512/3*theta( - 3 + N)*den(2 + N)*S(R(2,3),2 + N)*cf*ca*nf
       + 2048/3*theta( - 3 + N)*den(2 + N)*S(R(2,3),2 + N)*cf^2*nf
       + 736/3*theta( - 3 + N)*den(2 + N)*S(R(2,3),2 + N)*ca^2*nf
       + 7552/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 102736/135*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca*nf
       + 5344/27*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*nf^2
       - 7808/15*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^2*nf
       + 2432/27*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*ca*nf^2
       - 100910/27*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*ca^2*nf
       + 640/3*theta( - 3 + N)*den(2 + N)*S(R(3,-2),2 + N)*cf*ca*nf
       + 1664/3*theta( - 3 + N)*den(2 + N)*S(R(3,-2),2 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(3,-2),2 + N)*ca^2*nf
       - 13696/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3920/9*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*nf^2
       - 7376/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^2*nf
       - 80/9*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*ca*nf^2
       - 5072/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*ca^2*nf
       + 400/3*theta( - 3 + N)*den(2 + N)*S(R(3,1,1),2 + N)*cf*ca*nf
       - 992*theta( - 3 + N)*den(2 + N)*S(R(3,1,1),2 + N)*cf^2*nf
       - 1072/3*theta( - 3 + N)*den(2 + N)*S(R(3,1,1),2 + N)*ca^2*nf
       + 352/3*theta( - 3 + N)*den(2 + N)*S(R(3,2),2 + N)*cf*ca*nf
       + 2336/3*theta( - 3 + N)*den(2 + N)*S(R(3,2),2 + N)*cf^2*nf
       + 800/3*theta( - 3 + N)*den(2 + N)*S(R(3,2),2 + N)*ca^2*nf
       + 2816/3*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1480/9*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf*ca*nf
       - 448/9*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf*nf^2
       + 1024*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*ca*nf^2
       + 13256/9*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*ca^2*nf
       + 2304*theta( - 3 + N)*den(2 + N)*S(R(4,1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1040/3*theta( - 3 + N)*den(2 + N)*S(R(4,1),2 + N)*cf*ca*nf
       + 736*theta( - 3 + N)*den(2 + N)*S(R(4,1),2 + N)*cf^2*nf
       + 1312/3*theta( - 3 + N)*den(2 + N)*S(R(4,1),2 + N)*ca^2*nf
       + 240*theta( - 3 + N)*den(2 + N)*S(R(5),2 + N)*cf*ca*nf
       - 1280/3*theta( - 3 + N)*den(2 + N)*S(R(5),2 + N)*cf^2*nf
       - 896/3*theta( - 3 + N)*den(2 + N)*S(R(5),2 + N)*ca^2*nf
       - 2592/5*theta( - 3 + N)*den(3 + N)*cf*ca*nf*z3
       + 768/5*theta( - 3 + N)*den(3 + N)*cf*nf^2*z3
       - 1152/5*theta( - 3 + N)*den(3 + N)*cf^2*nf*z3
       - 21504/5*theta( - 3 + N)*den(3 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      z3
       - 5568/5*theta( - 3 + N)*den(3 + N)^2*cf*ca*nf*z3
       + 4224/5*theta( - 3 + N)*den(3 + N)^2*cf^2*nf*z3
       + 1536/5*theta( - 3 + N)*den(3 + N)^2*ca^2*nf*z3
       + 1152/5*theta( - 3 + N)*den(3 + N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 58736/75*theta( - 3 + N)*den(3 + N)^3*cf*ca*nf
       + 3424/75*theta( - 3 + N)*den(3 + N)^3*cf*nf^2
       + 8528/25*theta( - 3 + N)*den(3 + N)^3*cf^2*nf
       + 48/5*theta( - 3 + N)*den(3 + N)^3*ca*nf^2
       - 228/5*theta( - 3 + N)*den(3 + N)^3*ca^2*nf
       - 12544/25*theta( - 3 + N)*den(3 + N)^4*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 21888/25*theta( - 3 + N)*den(3 + N)^4*cf*ca*nf
       - 192/5*theta( - 3 + N)*den(3 + N)^4*cf*nf^2
       - 1472/5*theta( - 3 + N)*den(3 + N)^4*cf^2*nf
       + 24*theta( - 3 + N)*den(3 + N)^4*ca^2*nf
       - 2304/5*theta( - 3 + N)*den(3 + N)^5*cf*ca*nf
       + 768/5*theta( - 3 + N)*den(3 + N)^5*cf^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^5*ca^2*nf
       - 10752/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 192/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca*nf
       + 1728/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^2*nf
       + 576/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*ca^2*nf
       - 1536/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf*ca*nf
       + 768/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*ca^2*nf
       + 12544/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 17328/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca*nf
       + 224/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*nf^2
       + 704/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*nf
       - 24*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*ca^2*nf
       - 384/5*theta( - 3 + N)*den(3 + N)^3*S(R(1,1),3 + N)*cf*ca*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^3*S(R(2),3 + N)*cf*ca*nf
       - 576*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf*ca*nf
       + 768/5*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*ca^2*nf
       - 12544/25*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 12928/25*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca*nf
       - 64/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*nf^2
       - 704/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*nf
       + 24*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*ca^2*nf
       + 768*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf*ca*nf
       - 1536/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf^2*nf
       - 768/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*ca^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^2*S(R(1,-2),3 + N)*cf*ca*nf
       + 176*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*nf^2
       + 10752/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3072/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca*nf
       - 2496/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*ca^2*nf
       - 1728/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf*ca*nf
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf^2*nf
       + 192/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*ca^2*nf
       - 12544/25*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 21888/25*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca*nf
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*nf^2
       - 1472/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*nf
       + 24*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*ca^2*nf
       + 576*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf*ca*nf
       - 768/5*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf^2*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*ca^2*nf
       + 1152/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       - 58736/75*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca*nf
       + 3424/75*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*nf^2
       + 8528/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*nf
       + 48/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*ca*nf^2
       - 228/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*ca^2*nf
       - 1152/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf*ca*nf
       + 768/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*ca^2*nf
       + 12544/25*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 12928/25*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca*nf
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*nf^2
       + 704/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*nf
       - 24*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*ca^2*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1,1),3 + N)*cf*ca*nf
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,2),3 + N)*cf*ca*nf
       + 21504/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]*z3
       + 5568/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca*nf*z3
       - 4224/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^2*nf*z3
       - 1536/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*ca^2*nf*z3
       + 576*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf*ca*nf
       - 768/5*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf^2*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*ca^2*nf
       + 12544/25*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 12928/25*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca*nf
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*nf^2
       + 704/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*nf
       - 24*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*ca^2*nf
       - 768*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf*ca*nf
       + 1536/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf^2*nf
       + 768/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*ca^2*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(1,1,-2),3 + N)*cf*ca*nf
       - 176*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*nf^2
       - 10752/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 3072/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca*nf
       + 2496/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*ca^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(2,-2),3 + N)*cf*ca*nf
       + 176*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*nf^2
       + 10752/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3072/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca*nf
       - 2496/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*ca^2*nf
       + 576/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf*ca*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf^2*nf
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*ca^2*nf
       + 15296/15*theta( - 3 + N)*den(N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 2560*theta( - 3 + N)*den(N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       - 4288/225*theta( - 3 + N)*den(N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 54692/15*theta( - 3 + N)*den(N)*cf*ca*nf*z3
       + 192*theta( - 3 + N)*den(N)*cf*ca*nf*z4
       - 2360*theta( - 3 + N)*den(N)*cf*ca*nf*z5
       - 54088421/48600*theta( - 3 + N)*den(N)*cf*ca*nf
       + 2240/9*theta( - 3 + N)*den(N)*cf*nf^2*z3
       + 54984209/24300*theta( - 3 + N)*den(N)*cf*nf^2
       - 47536/15*theta( - 3 + N)*den(N)*cf^2*nf*z3
       - 108*theta( - 3 + N)*den(N)*cf^2*nf*z4
       + 2640*theta( - 3 + N)*den(N)*cf^2*nf*z5
       + 149023/600*theta( - 3 + N)*den(N)*cf^2*nf
       - 824/9*theta( - 3 + N)*den(N)*ca*nf^2*z3
       - 78049/1215*theta( - 3 + N)*den(N)*ca*nf^2
       - 10684/15*theta( - 3 + N)*den(N)*ca^2*nf*z3
       - 84*theta( - 3 + N)*den(N)*ca^2*nf*z4
       + 560*theta( - 3 + N)*den(N)*ca^2*nf*z5
       + 271171/486*theta( - 3 + N)*den(N)*ca^2*nf
       + 192/25*theta( - 3 + N)*den(N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 12236/9*theta( - 3 + N)*den(N)^2*cf*ca*nf*z3
       - 96*theta( - 3 + N)*den(N)^2*cf*ca*nf*z4
       + 462887/1215*theta( - 3 + N)*den(N)^2*cf*ca*nf
       - 1408/9*theta( - 3 + N)*den(N)^2*cf*nf^2*z3
       - 10607848/6075*theta( - 3 + N)*den(N)^2*cf*nf^2
       + 1432*theta( - 3 + N)*den(N)^2*cf^2*nf*z3
       + 24*theta( - 3 + N)*den(N)^2*cf^2*nf*z4
       - 13594/225*theta( - 3 + N)*den(N)^2*cf^2*nf
       + 184/9*theta( - 3 + N)*den(N)^2*ca*nf^2*z3
       + 58412/1215*theta( - 3 + N)*den(N)^2*ca*nf^2
       + 5540/9*theta( - 3 + N)*den(N)^2*ca^2*nf*z3
       + 72*theta( - 3 + N)*den(N)^2*ca^2*nf*z4
       + 3220177/1215*theta( - 3 + N)*den(N)^2*ca^2*nf
       + 5152/225*theta( - 3 + N)*den(N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 3160/3*theta( - 3 + N)*den(N)^3*cf*ca*nf*z3
       - 334411/2025*theta( - 3 + N)*den(N)^3*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(N)^3*cf*nf^2*z3
       + 385274/405*theta( - 3 + N)*den(N)^3*cf*nf^2
       - 1664/3*theta( - 3 + N)*den(N)^3*cf^2*nf*z3
       - 872/9*theta( - 3 + N)*den(N)^3*cf^2*nf
       - 1088/81*theta( - 3 + N)*den(N)^3*ca*nf^2
       - 992/3*theta( - 3 + N)*den(N)^3*ca^2*nf*z3
       + 423067/405*theta( - 3 + N)*den(N)^3*ca^2*nf
       - 18097/135*theta( - 3 + N)*den(N)^4*cf*ca*nf
       - 17782/27*theta( - 3 + N)*den(N)^4*cf*nf^2
       + 178/3*theta( - 3 + N)*den(N)^4*cf^2*nf
       + 532/27*theta( - 3 + N)*den(N)^4*ca*nf^2
       + 32618/27*theta( - 3 + N)*den(N)^4*ca^2*nf
       - 1636/9*theta( - 3 + N)*den(N)^5*cf*ca*nf
       + 1636/9*theta( - 3 + N)*den(N)^5*cf*nf^2
       + 44/3*theta( - 3 + N)*den(N)^5*cf^2*nf
       - 8/9*theta( - 3 + N)*den(N)^5*ca*nf^2
       + 1436/9*theta( - 3 + N)*den(N)^5*ca^2*nf
       - 120*theta( - 3 + N)*den(N)^6*cf*ca*nf
       - 120*theta( - 3 + N)*den(N)^6*cf*nf^2
       + 60*theta( - 3 + N)*den(N)^6*cf^2*nf
       + 240*theta( - 3 + N)*den(N)^6*ca^2*nf
       + 656/3*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf*ca*nf
       + 88*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf*nf^2
       - 524/3*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf^2*nf
       - 56*theta( - 3 + N)*den(N)^5*S(R(1),N)*ca^2*nf
       + 2176/3*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf*ca*nf
       - 1600/3*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf^2*nf
       + 328/3*theta( - 3 + N)*den(N)^4*S(R(-2),N)*ca^2*nf
       + 284/3*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf*ca*nf
       - 436/3*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf*nf^2
       + 284/3*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf^2*nf
       - 8/3*theta( - 3 + N)*den(N)^4*S(R(1),N)*ca*nf^2
       - 32*theta( - 3 + N)*den(N)^4*S(R(1),N)*ca^2*nf
       - 168*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf*ca*nf
       - 48*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf*nf^2
       + 808/3*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf^2*nf
       - 12*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*ca^2*nf
       + 472/3*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf*ca*nf
       + 48*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf*nf^2
       - 608/3*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf^2*nf
       + 36*theta( - 3 + N)*den(N)^4*S(R(2),N)*ca^2*nf
       + 944/3*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf*ca*nf
       - 1888/3*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf^2*nf
       + 272/3*theta( - 3 + N)*den(N)^3*S(R(-3),N)*ca^2*nf
       - 2528/3*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf*ca*nf
       - 160*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf*nf^2
       + 3488/3*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(N)^3*S(R(-2),N)*ca*nf^2
       + 384*theta( - 3 + N)*den(N)^3*S(R(-2),N)*ca^2*nf
       + 752/3*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf*ca*nf
       + 224*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf^2*nf
       - 248/3*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*ca^2*nf
       + 448/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 1334/45*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca*nf
       + 4408/9*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*nf^2
       - 1511/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*nf
       - 28/9*theta( - 3 + N)*den(N)^3*S(R(1),N)*ca*nf^2
       - 33848/45*theta( - 3 + N)*den(N)^3*S(R(1),N)*ca^2*nf
       - 176/3*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf*ca*nf
       + 1184/3*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf^2*nf
       + 104*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*ca^2*nf
       - 356/3*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf*ca*nf
       + 88*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf*nf^2
       - 248*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf^2*nf
       - 100/3*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*ca^2*nf
       + 248/3*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*cf*ca*nf
       + 16*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*cf*nf^2
       - 872/3*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*cf^2*nf
       + 32*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*ca^2*nf
       - 24*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf*ca*nf
       - 16*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf*nf^2
       + 704/3*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf^2*nf
       - 296/3*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*ca^2*nf
       + 244/3*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf*ca*nf
       - 88*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf*nf^2
       + 532/3*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf^2*nf
       + 4*theta( - 3 + N)*den(N)^3*S(R(2),N)*ca^2*nf
       - 280/3*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf*ca*nf
       - 16*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf*nf^2
       + 752/3*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf^2*nf
       - 88/3*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*ca^2*nf
       - 304/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf*ca*nf
       + 16*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf*nf^2
       - 224/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf^2*nf
       + 460/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*ca^2*nf
       - 1472/3*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf*ca*nf
       - 592/3*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf^2*nf
       + 440/3*theta( - 3 + N)*den(N)^2*S(R(-4),N)*ca^2*nf
       - 2304/5*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 968/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf*ca*nf
       - 512/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf*nf^2
       + 4592/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*ca*nf^2
       + 824/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*ca^2*nf
       + 4016/3*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf*ca*nf
       - 96*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf^2*nf
       - 644/3*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*ca^2*nf
       + 640*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 103424/45*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca*nf
       + 2480/9*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*nf^2
       - 39088/15*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*nf
       - 112/3*theta( - 3 + N)*den(N)^2*S(R(-2),N)*ca*nf^2
       + 812/5*theta( - 3 + N)*den(N)^2*S(R(-2),N)*ca^2*nf
       - 1504/3*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*cf*ca*nf
       + 384*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*cf^2*nf
       + 544/3*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*ca^2*nf
       + 2304/5*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 880/3*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf*nf^2
       - 624*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*ca^2*nf
       - 288*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*ca^2*nf
       + 256*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*cf^2*nf
       - 24*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*ca^2*nf
       + 1024*theta( - 3 + N)*den(N)^2*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 4928/225*theta( - 3 + N)*den(N)^2*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 2840/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf*z3
       + 867496/2025*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf
       - 282608/405*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*nf^2
       - 2128/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf*z3
       - 4598/45*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf
       - 100/9*theta( - 3 + N)*den(N)^2*S(R(1),N)*ca*nf^2
       - 592/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*ca^2*nf*z3
       - 1628/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*ca^2*nf
       + 896*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf*ca*nf
       + 224*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf^2*nf
       - 172/3*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*ca^2*nf
       + 2304/5*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 208/3*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf*ca*nf
       + 224/3*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf*nf^2
       - 1072*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*ca*nf^2
       - 352/3*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*ca^2*nf
       - 5152/3*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf*ca*nf
       + 352*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf^2*nf
       + 296*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*ca^2*nf
       - 3494/135*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*ca*nf
       - 7388/27*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*nf^2
       + 628/3*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*nf
       - 8/3*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*ca*nf^2
       + 4436/9*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*ca^2*nf
       - 448/3*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf*ca*nf
       - 288*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf^2*nf
       - 16*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*ca^2*nf
       + 1312/9*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf*ca*nf
       - 304/9*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf*nf^2
       + 364*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf^2*nf
       - 40*theta( - 3 + N)*den(N)^2*S(R(1,1,1,1),N)*cf*ca*nf
       + 904/3*theta( - 3 + N)*den(N)^2*S(R(1,1,1,1),N)*cf^2*nf
       + 80/3*theta( - 3 + N)*den(N)^2*S(R(1,1,1,1),N)*ca^2*nf
       - 80/3*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf*ca*nf
       - 808/3*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf^2*nf
       - 8*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*ca^2*nf
       - 508/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf*ca*nf
       + 104/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf*nf^2
       - 964/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*ca*nf^2
       - 24*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*ca^2*nf
       - 104/3*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf*ca*nf
       - 808/3*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf^2*nf
       - 512*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 808*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf*ca*nf
       + 2392/3*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf^2*nf
       + 652/3*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*ca^2*nf
       - 1102/45*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*ca*nf
       + 812/3*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*nf^2
       - 464/3*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*nf
       + 8/3*theta( - 3 + N)*den(N)^2*S(R(2),N)*ca*nf^2
       - 964/3*theta( - 3 + N)*den(N)^2*S(R(2),N)*ca^2*nf
       + 256*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*cf^2*nf
       + 184/3*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*ca^2*nf
       - 452/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf*ca*nf
       + 104/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf*nf^2
       - 908/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*ca*nf^2
       - 40/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*ca^2*nf
       + 112/3*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf*ca*nf
       - 968/3*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf^2*nf
       - 56/3*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*ca^2*nf
       + 80/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf*ca*nf
       + 704/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf^2*nf
       - 124/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*ca^2*nf
       + 352*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf*ca*nf
       - 24*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf*nf^2
       - 140/3*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(N)^2*S(R(3),N)*ca*nf^2
       - 72*theta( - 3 + N)*den(N)^2*S(R(3),N)*ca^2*nf
       + 512*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 880*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf*ca*nf
       - 440*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf^2*nf
       - 892/3*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*ca^2*nf
       - 344/3*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf*ca*nf
       - 344/3*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf^2*nf
       + 464/3*theta( - 3 + N)*den(N)^2*S(R(4),N)*ca^2*nf
       - 552*theta( - 3 + N)*den(N)*S(R(-5),N)*cf*ca*nf
       + 112/3*theta( - 3 + N)*den(N)*S(R(-5),N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(N)*S(R(-5),N)*ca^2*nf
       - 512/3*theta( - 3 + N)*den(N)*S(R(-4),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 796*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*nf^2
       + 640*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^2*nf
       - 112/9*theta( - 3 + N)*den(N)*S(R(-4),N)*ca*nf^2
       - 1964/9*theta( - 3 + N)*den(N)*S(R(-4),N)*ca^2*nf
       + 928/3*theta( - 3 + N)*den(N)*S(R(-4,1),N)*cf*ca*nf
       + 384*theta( - 3 + N)*den(N)*S(R(-4,1),N)*cf^2*nf
       + 440/3*theta( - 3 + N)*den(N)*S(R(-4,1),N)*ca^2*nf
       + 54848/45*theta( - 3 + N)*den(N)*S(R(-3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 23540/9*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca*nf
       + 2464/9*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*nf^2
       - 57512/15*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*nf
       - 1192/27*theta( - 3 + N)*den(N)*S(R(-3),N)*ca*nf^2
       + 5516/135*theta( - 3 + N)*den(N)*S(R(-3),N)*ca^2*nf
       - 880/3*theta( - 3 + N)*den(N)*S(R(-3,-2),N)*cf*ca*nf
       + 1408/3*theta( - 3 + N)*den(N)*S(R(-3,-2),N)*cf^2*nf
       + 352/3*theta( - 3 + N)*den(N)*S(R(-3,-2),N)*ca^2*nf
       - 6752/3*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*nf^2
       + 96*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(N)*S(R(-3,1),N)*ca*nf^2
       + 1796/3*theta( - 3 + N)*den(N)*S(R(-3,1),N)*ca^2*nf
       - 240*theta( - 3 + N)*den(N)*S(R(-3,1,1),N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(N)*S(R(-3,1,1),N)*cf^2*nf
       - 400/3*theta( - 3 + N)*den(N)*S(R(-3,1,1),N)*ca^2*nf
       + 208*theta( - 3 + N)*den(N)*S(R(-3,2),N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(N)*S(R(-3,2),N)*cf^2*nf
       + 112*theta( - 3 + N)*den(N)*S(R(-3,2),N)*ca^2*nf
       - 468832/225*theta( - 3 + N)*den(N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1024*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf*z3
       - 1010516/225*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf
       - 23312/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*nf^2
       + 1152*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf*z3
       + 224536/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf
       + 5888/81*theta( - 3 + N)*den(N)*S(R(-2),N)*ca*nf^2
       + 224*theta( - 3 + N)*den(N)*S(R(-2),N)*ca^2*nf*z3
       + 487361/405*theta( - 3 + N)*den(N)*S(R(-2),N)*ca^2*nf
       - 272*theta( - 3 + N)*den(N)*S(R(-2,-3),N)*cf*ca*nf
       + 1472/3*theta( - 3 + N)*den(N)*S(R(-2,-3),N)*cf^2*nf
       + 96*theta( - 3 + N)*den(N)*S(R(-2,-3),N)*ca^2*nf
       + 3040/3*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf*nf^2
       - 2464/3*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*ca*nf^2
       - 336*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*ca^2*nf
       + 1280/3*theta( - 3 + N)*den(N)*S(R(-2,-2,1),N)*cf*ca*nf
       - 384*theta( - 3 + N)*den(N)*S(R(-2,-2,1),N)*cf^2*nf
       - 304/3*theta( - 3 + N)*den(N)*S(R(-2,-2,1),N)*ca^2*nf
       - 40448/45*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 3308/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca*nf
       - 80*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*nf^2
       + 31384/15*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*nf
       + 64/9*theta( - 3 + N)*den(N)*S(R(-2,1),N)*ca*nf^2
       + 176/45*theta( - 3 + N)*den(N)*S(R(-2,1),N)*ca^2*nf
       - 544/3*theta( - 3 + N)*den(N)*S(R(-2,1,-2),N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(N)*S(R(-2,1,-2),N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(N)*S(R(-2,1,-2),N)*ca^2*nf
       + 1352/3*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*ca*nf^2
       + 8*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*ca^2*nf
       + 256/3*theta( - 3 + N)*den(N)*S(R(-2,1,1,1),N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(N)*S(R(-2,1,1,1),N)*ca^2*nf
       - 80*theta( - 3 + N)*den(N)*S(R(-2,1,2),N)*cf*ca*nf
       - 112/3*theta( - 3 + N)*den(N)*S(R(-2,1,2),N)*ca^2*nf
       - 1208/3*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)*S(R(-2,2),N)*ca*nf^2
       + 16*theta( - 3 + N)*den(N)*S(R(-2,2),N)*ca^2*nf
       - 272/3*theta( - 3 + N)*den(N)*S(R(-2,2,1),N)*cf*ca*nf
       - 80/3*theta( - 3 + N)*den(N)*S(R(-2,2,1),N)*ca^2*nf
       + 1712/3*theta( - 3 + N)*den(N)*S(R(-2,3),N)*cf*ca*nf
       - 1376/3*theta( - 3 + N)*den(N)*S(R(-2,3),N)*cf^2*nf
       - 80*theta( - 3 + N)*den(N)*S(R(-2,3),N)*ca^2*nf
       - 7424/3*theta( - 3 + N)*den(N)*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 80704/225*theta( - 3 + N)*den(N)*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 17084/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf*z3
       - 24*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf*z4
       - 5471951/6075*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf
       + 368/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2*z3
       + 1348858/1215*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2
       + 3512/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf*z3
       + 32906/45*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf
       - 248/9*theta( - 3 + N)*den(N)*S(R(1),N)*ca*nf^2*z3
       + 862/243*theta( - 3 + N)*den(N)*S(R(1),N)*ca*nf^2
       + 7076/9*theta( - 3 + N)*den(N)*S(R(1),N)*ca^2*nf*z3
       + 24*theta( - 3 + N)*den(N)*S(R(1),N)*ca^2*nf*z4
       - 311806/243*theta( - 3 + N)*den(N)*S(R(1),N)*ca^2*nf
       + 968*theta( - 3 + N)*den(N)*S(R(1,-4),N)*cf*ca*nf
       + 320*theta( - 3 + N)*den(N)*S(R(1,-4),N)*cf^2*nf
       - 80*theta( - 3 + N)*den(N)*S(R(1,-4),N)*ca^2*nf
       + 1024/3*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1464*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*ca*nf
       + 224/3*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*nf^2
       - 984*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(N)*S(R(1,-3),N)*ca*nf^2
       + 528*theta( - 3 + N)*den(N)*S(R(1,-3),N)*ca^2*nf
       - 4408/3*theta( - 3 + N)*den(N)*S(R(1,-3,1),N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(N)*S(R(1,-3,1),N)*cf^2*nf
       + 536/3*theta( - 3 + N)*den(N)*S(R(1,-3,1),N)*ca^2*nf
       - 69248/45*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 68468/45*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca*nf
       - 1328/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*nf^2
       + 7288/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*nf
       + 368/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*ca*nf^2
       + 3464/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*ca^2*nf
       + 1408/3*theta( - 3 + N)*den(N)*S(R(1,-2,-2),N)*cf*ca*nf
       - 1024/3*theta( - 3 + N)*den(N)*S(R(1,-2,-2),N)*cf^2*nf
       - 144*theta( - 3 + N)*den(N)*S(R(1,-2,-2),N)*ca^2*nf
       + 9160/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf*nf^2
       - 512*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*ca*nf^2
       - 976*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*ca^2*nf
       + 288*theta( - 3 + N)*den(N)*S(R(1,-2,1,1),N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(N)*S(R(1,-2,1,1),N)*cf^2*nf
       + 256/3*theta( - 3 + N)*den(N)*S(R(1,-2,1,1),N)*ca^2*nf
       - 752/3*theta( - 3 + N)*den(N)*S(R(1,-2,2),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(1,-2,2),N)*cf^2*nf
       - 80*theta( - 3 + N)*den(N)*S(R(1,-2,2),N)*ca^2*nf
       - 2048*theta( - 3 + N)*den(N)*S(R(1,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 2432/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 2656/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca*nf*z3
       - 69101/405*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca*nf
       + 33766/81*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf^2
       + 896/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf*z3
       - 55/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf
       + 1112/81*theta( - 3 + N)*den(N)*S(R(1,1),N)*ca*nf^2
       + 1520/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*ca^2*nf*z3
       - 22454/81*theta( - 3 + N)*den(N)*S(R(1,1),N)*ca^2*nf
       - 5344/3*theta( - 3 + N)*den(N)*S(R(1,1,-3),N)*cf*ca*nf
       - 192*theta( - 3 + N)*den(N)*S(R(1,1,-3),N)*cf^2*nf
       + 1600/3*theta( - 3 + N)*den(N)*S(R(1,1,-3),N)*ca^2*nf
       - 2048/3*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 808/3*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf*nf^2
       + 1040*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^2*nf
       + 16*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*ca*nf^2
       + 80*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*ca^2*nf
       + 2000*theta( - 3 + N)*den(N)*S(R(1,1,-2,1),N)*cf*ca*nf
       - 384*theta( - 3 + N)*den(N)*S(R(1,1,-2,1),N)*cf^2*nf
       - 560*theta( - 3 + N)*den(N)*S(R(1,1,-2,1),N)*ca^2*nf
       + 2032/27*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*ca*nf
       + 3224/27*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*nf^2
       - 522*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2*nf
       + 232/27*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*ca*nf^2
       - 4300/27*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*ca^2*nf
       + 1424/3*theta( - 3 + N)*den(N)*S(R(1,1,1,-2),N)*cf*ca*nf
       + 640/3*theta( - 3 + N)*den(N)*S(R(1,1,1,-2),N)*cf^2*nf
       - 208*theta( - 3 + N)*den(N)*S(R(1,1,1,-2),N)*ca^2*nf
       - 1048/9*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf*ca*nf
       + 136/9*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf*nf^2
       - 1588/3*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf^2*nf
       + 56/9*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*ca*nf^2
       - 860/9*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*ca^2*nf
       - 400*theta( - 3 + N)*den(N)*S(R(1,1,1,1,1),N)*cf^2*nf
       - 80*theta( - 3 + N)*den(N)*S(R(1,1,1,1,1),N)*ca^2*nf
       + 136*theta( - 3 + N)*den(N)*S(R(1,1,1,2),N)*cf*ca*nf
       + 1072/3*theta( - 3 + N)*den(N)*S(R(1,1,1,2),N)*cf^2*nf
       + 248/3*theta( - 3 + N)*den(N)*S(R(1,1,1,2),N)*ca^2*nf
       + 220*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf*nf^2
       + 1516/3*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf^2*nf
       - 56/9*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*ca*nf^2
       + 1028/9*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*ca^2*nf
       + 104*theta( - 3 + N)*den(N)*S(R(1,1,2,1),N)*cf*ca*nf
       + 1136/3*theta( - 3 + N)*den(N)*S(R(1,1,2,1),N)*cf^2*nf
       + 280/3*theta( - 3 + N)*den(N)*S(R(1,1,2,1),N)*ca^2*nf
       + 1024*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 832/3*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*cf*ca*nf
       - 656*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*cf^2*nf
       - 784/3*theta( - 3 + N)*den(N)*S(R(1,1,3),N)*ca^2*nf
       + 34*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca*nf
       - 1048/9*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*nf^2
       + 482*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*nf
       - 616/27*theta( - 3 + N)*den(N)*S(R(1,2),N)*ca*nf^2
       + 2314/27*theta( - 3 + N)*den(N)*S(R(1,2),N)*ca^2*nf
       - 1360/3*theta( - 3 + N)*den(N)*S(R(1,2,-2),N)*cf*ca*nf
       - 640/3*theta( - 3 + N)*den(N)*S(R(1,2,-2),N)*cf^2*nf
       + 512/3*theta( - 3 + N)*den(N)*S(R(1,2,-2),N)*ca^2*nf
       + 664/3*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf*nf^2
       + 1436/3*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf^2*nf
       - 88/9*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*ca*nf^2
       + 832/9*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*ca^2*nf
       + 32*theta( - 3 + N)*den(N)*S(R(1,2,1,1),N)*cf*ca*nf
       + 1328/3*theta( - 3 + N)*den(N)*S(R(1,2,1,1),N)*cf^2*nf
       + 304/3*theta( - 3 + N)*den(N)*S(R(1,2,1,1),N)*ca^2*nf
       - 184*theta( - 3 + N)*den(N)*S(R(1,2,2),N)*cf*ca*nf
       - 1024/3*theta( - 3 + N)*den(N)*S(R(1,2,2),N)*cf^2*nf
       - 344/3*theta( - 3 + N)*den(N)*S(R(1,2,2),N)*ca^2*nf
       + 1408*theta( - 3 + N)*den(N)*S(R(1,3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 4432/3*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*ca*nf
       + 16/3*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*nf^2
       - 1604*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^2*nf
       + 184/9*theta( - 3 + N)*den(N)*S(R(1,3),N)*ca*nf^2
       - 5884/9*theta( - 3 + N)*den(N)*S(R(1,3),N)*ca^2*nf
       - 1024*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 384*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*cf^2*nf
       - 256/3*theta( - 3 + N)*den(N)*S(R(1,3,1),N)*ca^2*nf
       - 856/3*theta( - 3 + N)*den(N)*S(R(1,4),N)*cf*ca*nf
       + 656/3*theta( - 3 + N)*den(N)*S(R(1,4),N)*cf^2*nf
       + 896/3*theta( - 3 + N)*den(N)*S(R(1,4),N)*ca^2*nf
       + 1024*theta( - 3 + N)*den(N)*S(R(2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
      *z3
       - 1216/3*theta( - 3 + N)*den(N)*S(R(2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 1184/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca*nf*z3
       + 145171/405*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca*nf
       - 33758/81*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf^2
       - 160/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf*z3
       + 239/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf
       - 320/27*theta( - 3 + N)*den(N)*S(R(2),N)*ca*nf^2
       - 832/3*theta( - 3 + N)*den(N)*S(R(2),N)*ca^2*nf*z3
       - 602/27*theta( - 3 + N)*den(N)*S(R(2),N)*ca^2*nf
       + 3176/3*theta( - 3 + N)*den(N)*S(R(2,-3),N)*cf*ca*nf
       + 288*theta( - 3 + N)*den(N)*S(R(2,-3),N)*cf^2*nf
       - 808/3*theta( - 3 + N)*den(N)*S(R(2,-3),N)*ca^2*nf
       + 1024/3*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 512/3*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf*nf^2
       - 848*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^2*nf
       - 16*theta( - 3 + N)*den(N)*S(R(2,-2),N)*ca*nf^2
       - 112/3*theta( - 3 + N)*den(N)*S(R(2,-2),N)*ca^2*nf
       - 1184*theta( - 3 + N)*den(N)*S(R(2,-2,1),N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(N)*S(R(2,-2,1),N)*cf^2*nf
       + 272*theta( - 3 + N)*den(N)*S(R(2,-2,1),N)*ca^2*nf
       + 398/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca*nf
       - 424/3*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*nf^2
       + 1414/3*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*nf
       - 8/27*theta( - 3 + N)*den(N)*S(R(2,1),N)*ca*nf^2
       + 3086/27*theta( - 3 + N)*den(N)*S(R(2,1),N)*ca^2*nf
       - 432*theta( - 3 + N)*den(N)*S(R(2,1,-2),N)*cf*ca*nf
       - 704/3*theta( - 3 + N)*den(N)*S(R(2,1,-2),N)*cf^2*nf
       + 512/3*theta( - 3 + N)*den(N)*S(R(2,1,-2),N)*ca^2*nf
       + 628/3*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf*ca*nf
       - 80/3*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf*nf^2
       + 1652/3*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf^2*nf
       + 8/9*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*ca*nf^2
       + 520/9*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*ca^2*nf
       + 1408/3*theta( - 3 + N)*den(N)*S(R(2,1,1,1),N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(N)*S(R(2,1,1,1),N)*ca^2*nf
       - 128*theta( - 3 + N)*den(N)*S(R(2,1,2),N)*cf*ca*nf
       - 1184/3*theta( - 3 + N)*den(N)*S(R(2,1,2),N)*cf^2*nf
       - 352/3*theta( - 3 + N)*den(N)*S(R(2,1,2),N)*ca^2*nf
       - 908/3*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf*nf^2
       - 1472/3*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf^2*nf
       + 40/9*theta( - 3 + N)*den(N)*S(R(2,2),N)*ca*nf^2
       - 412/9*theta( - 3 + N)*den(N)*S(R(2,2),N)*ca^2*nf
       - 344/3*theta( - 3 + N)*den(N)*S(R(2,2,1),N)*cf*ca*nf
       - 432*theta( - 3 + N)*den(N)*S(R(2,2,1),N)*cf^2*nf
       - 280/3*theta( - 3 + N)*den(N)*S(R(2,2,1),N)*ca^2*nf
       - 512*theta( - 3 + N)*den(N)*S(R(2,3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 128/3*theta( - 3 + N)*den(N)*S(R(2,3),N)*cf*ca*nf
       + 1312/3*theta( - 3 + N)*den(N)*S(R(2,3),N)*cf^2*nf
       + 488/3*theta( - 3 + N)*den(N)*S(R(2,3),N)*ca^2*nf
       - 5248/15*theta( - 3 + N)*den(N)*S(R(3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 74332/135*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca*nf
       + 3080/27*theta( - 3 + N)*den(N)*S(R(3),N)*cf*nf^2
       - 1066/15*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*nf
       + 688/27*theta( - 3 + N)*den(N)*S(R(3),N)*ca*nf^2
       + 3758/27*theta( - 3 + N)*den(N)*S(R(3),N)*ca^2*nf
       + 896/3*theta( - 3 + N)*den(N)*S(R(3,-2),N)*cf*ca*nf
       + 640/3*theta( - 3 + N)*den(N)*S(R(3,-2),N)*cf^2*nf
       - 48*theta( - 3 + N)*den(N)*S(R(3,-2),N)*ca^2*nf
       - 5248/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 7108/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*nf^2
       + 3788/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^2*nf
       + 8/9*theta( - 3 + N)*den(N)*S(R(3,1),N)*ca*nf^2
       + 5812/9*theta( - 3 + N)*den(N)*S(R(3,1),N)*ca^2*nf
       + 296/3*theta( - 3 + N)*den(N)*S(R(3,1,1),N)*cf*ca*nf
       - 496*theta( - 3 + N)*den(N)*S(R(3,1,1),N)*cf^2*nf
       - 584/3*theta( - 3 + N)*den(N)*S(R(3,1,1),N)*ca^2*nf
       + 80/3*theta( - 3 + N)*den(N)*S(R(3,2),N)*cf*ca*nf
       + 1168/3*theta( - 3 + N)*den(N)*S(R(3,2),N)*cf^2*nf
       + 448/3*theta( - 3 + N)*den(N)*S(R(3,2),N)*ca^2*nf
       + 512/3*theta( - 3 + N)*den(N)*S(R(4),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 3188/9*theta( - 3 + N)*den(N)*S(R(4),N)*cf*ca*nf
       - 80/9*theta( - 3 + N)*den(N)*S(R(4),N)*cf*nf^2
       - 92/3*theta( - 3 + N)*den(N)*S(R(4),N)*cf^2*nf
       - 56/3*theta( - 3 + N)*den(N)*S(R(4),N)*ca*nf^2
       - 64/3*theta( - 3 + N)*den(N)*S(R(4),N)*ca^2*nf
       + 512*theta( - 3 + N)*den(N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 904/3*theta( - 3 + N)*den(N)*S(R(4,1),N)*cf*ca*nf
       + 336*theta( - 3 + N)*den(N)*S(R(4,1),N)*cf^2*nf
       + 872/3*theta( - 3 + N)*den(N)*S(R(4,1),N)*ca^2*nf
       + 312*theta( - 3 + N)*den(N)*S(R(5),N)*cf*ca*nf
       - 832/3*theta( - 3 + N)*den(N)*S(R(5),N)*cf^2*nf
       - 688/3*theta( - 3 + N)*den(N)*S(R(5),N)*ca^2*nf
       - 2944/45*theta( - 3 + N)*S(R(-5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       + 128/15*theta( - 3 + N)*S(R(-5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2
       - 128/45*theta( - 3 + N)*S(R(-5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^3
       + 896/15*theta( - 3 + N)*S(R(-5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 128/45*theta( - 3 + N)*S(R(-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       - 512/45*theta( - 3 + N)*S(R(-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 5888/45*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N*
      z3
       + 128/45*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       - 256/15*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2
      *z3
       + 256/45*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^3
      *z3
       - 1792/15*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 512/45*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 5888/45*theta( - 3 + N)*S(R(-2,-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
      *N
       + 256/15*theta( - 3 + N)*S(R(-2,-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^2
       - 256/45*theta( - 3 + N)*S(R(-2,-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^3
       + 1792/15*theta( - 3 + N)*S(R(-2,-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 11776/45*theta( - 3 + N)*S(R(-2,-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*N
       - 512/15*theta( - 3 + N)*S(R(-2,-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*N^2
       + 512/45*theta( - 3 + N)*S(R(-2,-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*N^3
       - 3584/15*theta( - 3 + N)*S(R(-2,-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 256/45*theta( - 3 + N)*S(R(-2,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       + 1024/45*theta( - 3 + N)*S(R(-2,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 5888/45*theta( - 3 + N)*S(R(3,-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N
       - 256/15*theta( - 3 + N)*S(R(3,-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^2
       + 256/45*theta( - 3 + N)*S(R(3,-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^3
       - 1792/15*theta( - 3 + N)*S(R(3,-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 5888/45*theta( - 3 + N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       + 256/15*theta( - 3 + N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^2
       - 256/45*theta( - 3 + N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^3
       + 1792/15*theta( - 3 + N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 2944/45*theta( - 3 + N)*S(R(5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       - 128/15*theta( - 3 + N)*S(R(5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2
       + 128/45*theta( - 3 + N)*S(R(5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^3
       - 896/15*theta( - 3 + N)*S(R(5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 544/15*delta( - 2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 128/3*delta( - 2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       - 8*delta( - 2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 274/15*delta( - 2 + N)*cf*ca*nf*z3
       - 52/3*delta( - 2 + N)*cf*ca*nf*z4
       + 40*delta( - 2 + N)*cf*ca*nf*z5
       - 161284/3645*delta( - 2 + N)*cf*ca*nf
       - 104/405*delta( - 2 + N)*cf*nf^2*z3
       + 23291/4860*delta( - 2 + N)*cf*nf^2
       + 4148/405*delta( - 2 + N)*cf^2*nf*z3
       + 16/3*delta( - 2 + N)*cf^2*nf*z4
       - 160/3*delta( - 2 + N)*cf^2*nf*z5
       + 28403/4860*delta( - 2 + N)*cf^2*nf
       + 622/405*delta( - 2 + N)*ca*nf^2*z3
       + 130219/21870*delta( - 2 + N)*ca*nf^2
       + 1828/405*delta( - 2 + N)*ca^2*nf*z3
       + 12*delta( - 2 + N)*ca^2*nf*z4
       + 12*delta( - 2 + N)*ca^2*nf*z5
       - 3444493/87480*delta( - 2 + N)*ca^2*nf
      ;


L   c2qqps3 =
       + 64/15*theta( - 3 + N)*den( - 2 + N)*cf^2*nf*z3
       + 128/45*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*nf
       + 64/45*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca*nf
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*nf
       - 16/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca*nf
       - 32/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*nf^2
       - 704/675*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*nf
       - 64/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca*nf
       + 32/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca*nf*z3
       + 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^2*nf*z3
       - 64/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca*nf
       + 32/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*nf
       + 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^2*nf
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^2*nf
       - 13616/45*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z3
       - 32*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z4
       - 4852532/3645*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf
       + 704/27*theta( - 3 + N)*den( - 1 + N)*cf*nf^2*z3
       + 107968/3645*theta( - 3 + N)*den( - 1 + N)*cf*nf^2
       - 6848/45*theta( - 3 + N)*den( - 1 + N)*cf^2*nf*z3
       + 32*theta( - 3 + N)*den( - 1 + N)*cf^2*nf*z4
       + 24146/675*theta( - 3 + N)*den( - 1 + N)*cf^2*nf
       + 704/9*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf*z3
       + 198736/1215*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf
       - 32/45*theta( - 3 + N)*den( - 1 + N)^2*cf*nf^2
       - 1184/675*theta( - 3 + N)*den( - 1 + N)^2*cf^2*nf
       + 64/45*theta( - 3 + N)*den( - 1 + N)^3*cf*ca*nf
       + 32/15*theta( - 3 + N)*den( - 1 + N)^3*cf^2*nf
       + 64/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca*nf
       - 128/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^2*nf
       + 256/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-3), - 1 + N)*cf*ca*nf
       + 416/9*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2,1), - 1 + N)*cf*ca*nf
       - 58048/405*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca*nf
       - 352/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,-2), - 1 + N)*cf*ca*nf
       + 3280/27*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf*ca*nf
       - 512/9*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1,1), - 1 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,2), - 1 + N)*cf*ca*nf
       - 832/9*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(2,1), - 1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(3), - 1 + N)*cf*ca*nf
       - 416/3*theta( - 3 + N)*den( - 1 + N)*S(R(-4), - 1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-4), - 1 + N)*cf^2*nf
       - 13264/27*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*ca*nf
       + 128/9*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*nf^2
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3,1), - 1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3,1), - 1 + N)*cf^2*nf
       - 44608/135*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca*nf
       + 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*nf^2
       + 688/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*nf
       - 128/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,-2), - 1 + N)*cf*ca*nf
       + 6784/27*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca*nf
       + 160/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*nf
       - 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1,1), - 1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1,1), - 1 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den( - 1 + N)*S(R(-2,2), - 1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,2), - 1 + N)*cf^2*nf
       - 608/9*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf*z3
       + 1004296/1215*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf
       + 112/81*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*nf^2
       - 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf*z3
       - 51638/405*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-3), - 1 + N)*cf*ca*nf
       + 320/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-3), - 1 + N)*cf^2*nf
       + 3680/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*ca*nf
       + 992/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^2*nf
       + 448/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2,1), - 1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2,1), - 1 + N)*cf^2*nf
       - 29348/81*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*ca*nf
       - 944/81*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*nf^2
       + 5516/81*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf^2*nf
       + 320/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,-2), - 1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,-2), - 1 + N)*cf^2*nf
       + 776/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf*ca*nf
       + 128/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf*nf^2
       + 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf^2*nf
       + 448/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1,1), - 1 + N)*cf*ca*nf
       + 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1,1), - 1 + N)*cf^2*nf
       - 544/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,2), - 1 + N)*cf*ca*nf
       - 800/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,2), - 1 + N)*cf^2*nf
       - 536/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf*nf^2
       + 304/27*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf^2*nf
       - 544/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2,1), - 1 + N)*cf*ca*nf
       - 800/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,2,1), - 1 + N)*cf^2*nf
       + 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf*ca*nf
       + 832/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf^2*nf
       + 27628/81*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*ca*nf
       + 160/27*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*nf^2
       - 5704/81*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf^2*nf
       - 256/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,-2), - 1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den( - 1 + N)*S(R(2,-2), - 1 + N)*cf^2*nf
       - 1480/27*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf*nf^2
       + 1168/27*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf^2*nf
       - 160/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,1,1), - 1 + N)*cf*ca*nf
       - 96*theta( - 3 + N)*den( - 1 + N)*S(R(2,1,1), - 1 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den( - 1 + N)*S(R(2,2), - 1 + N)*cf*ca*nf
       + 896/9*theta( - 3 + N)*den( - 1 + N)*S(R(2,2), - 1 + N)*cf^2*nf
       + 1768/45*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca*nf
       + 4112/135*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^2*nf
       + 704/9*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf*ca*nf
       + 448/9*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf^2*nf
       - 896/9*theta( - 3 + N)*den( - 1 + N)*S(R(4), - 1 + N)*cf*ca*nf
       + 224/9*theta( - 3 + N)*den( - 1 + N)*S(R(4), - 1 + N)*cf^2*nf
       + 736/15*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z3
       + 24*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z4
       - 130832/243*theta( - 3 + N)*den(1 + N)*cf*ca*nf
       + 544/9*theta( - 3 + N)*den(1 + N)*cf*nf^2*z3
       + 224864/1215*theta( - 3 + N)*den(1 + N)*cf*nf^2
       - 52976/45*theta( - 3 + N)*den(1 + N)*cf^2*nf*z3
       - 24*theta( - 3 + N)*den(1 + N)*cf^2*nf*z4
       - 1089248/2025*theta( - 3 + N)*den(1 + N)*cf^2*nf
       + 5464/9*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z3
       + 48*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z4
       - 847354/1215*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(1 + N)^2*cf*nf^2*z3
       + 51352/1215*theta( - 3 + N)*den(1 + N)^2*cf*nf^2
       - 2048/3*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z3
       - 48*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z4
       + 3262136/2025*theta( - 3 + N)*den(1 + N)^2*cf^2*nf
       - 1136/3*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf*z3
       + 468976/405*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf
       - 18080/81*theta( - 3 + N)*den(1 + N)^3*cf*nf^2
       + 704/3*theta( - 3 + N)*den(1 + N)^3*cf^2*nf*z3
       + 190/3*theta( - 3 + N)*den(1 + N)^3*cf^2*nf
       - 15644/27*theta( - 3 + N)*den(1 + N)^4*cf*ca*nf
       + 4376/27*theta( - 3 + N)*den(1 + N)^4*cf*nf^2
       - 3212/3*theta( - 3 + N)*den(1 + N)^4*cf^2*nf
       + 5360/9*theta( - 3 + N)*den(1 + N)^5*cf*ca*nf
       - 368/9*theta( - 3 + N)*den(1 + N)^5*cf*nf^2
       + 880/3*theta( - 3 + N)*den(1 + N)^5*cf^2*nf
       - 240*theta( - 3 + N)*den(1 + N)^6*cf*ca*nf
       - 240*theta( - 3 + N)*den(1 + N)^6*cf^2*nf
       + 800/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf*ca*nf
       + 1328/3*theta( - 3 + N)*den(1 + N)^5*S(R(1),1 + N)*cf^2*nf
       + 112/3*theta( - 3 + N)*den(1 + N)^4*S(R(-2),1 + N)*cf*ca*nf
       - 2576/9*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca*nf
       + 32/9*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*nf^2
       - 720*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*nf
       - 760/3*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf*ca*nf
       - 400*theta( - 3 + N)*den(1 + N)^4*S(R(1,1),1 + N)*cf^2*nf
       + 232*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf*ca*nf
       + 1072/3*theta( - 3 + N)*den(1 + N)^4*S(R(2),1 + N)*cf^2*nf
       + 112/3*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^2*nf
       - 8/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*nf
       - 272/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^2*nf
       - 13508/135*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca*nf
       - 992/27*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*nf^2
       + 13684/15*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*nf
       + 368/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^2*nf
       + 1076/9*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*ca*nf
       + 112/9*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*nf^2
       + 320*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*nf
       + 592/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf*ca*nf
       + 704/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1,1),1 + N)*cf^2*nf
       - 208*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf*ca*nf
       - 736/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,2),1 + N)*cf^2*nf
       - 476/3*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*ca*nf
       - 216*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*nf
       - 176*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf*ca*nf
       - 288*theta( - 3 + N)*den(1 + N)^3*S(R(2,1),1 + N)*cf^2*nf
       + 664/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf*ca*nf
       + 544/3*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^2*nf
       + 496/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*nf
       - 344/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^2*nf
       + 1256/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca*nf
       - 6736/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,-2),1 + N)*cf*ca*nf
       - 728/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca*nf
       + 608/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1,1),1 + N)*cf*ca*nf
       - 176/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,2),1 + N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf*z3
       - 28952/81*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf
       + 3416/81*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf^2
       - 448/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf*z3
       + 93164/135*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf
       + 344/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^2*nf
       - 88*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca*nf
       - 160/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*nf
       - 112/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^2*nf
       + 2260/27*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*ca*nf
       + 296/27*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf^2
       + 736/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*nf
       - 352/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^2*nf
       - 176/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf*nf^2
       - 160/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1,1),1 + N)*cf*ca*nf
       - 352/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1,1),1 + N)*cf^2*nf
       + 272/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,2),1 + N)*cf^2*nf
       + 56/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*ca*nf
       + 16/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*nf^2
       + 40/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*nf
       + 272/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,2,1),1 + N)*cf^2*nf
       - 56*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf*ca*nf
       - 704/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^2*nf
       - 232/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*ca*nf
       - 176/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*nf^2
       - 3136/9*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*nf
       + 304/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^2*nf
       + 40/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*ca*nf
       + 16/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*nf^2
       + 136/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*nf
       + 80*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf*ca*nf
       + 144*theta( - 3 + N)*den(1 + N)^2*S(R(2,1,1),1 + N)*cf^2*nf
       - 296/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf*ca*nf
       - 448/3*theta( - 3 + N)*den(1 + N)^2*S(R(2,2),1 + N)*cf^2*nf
       - 724/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca*nf
       + 304*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*nf
       - 216*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^2*nf
       + 704/3*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf*ca*nf
       - 496/3*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^2*nf
       - 48*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca*nf
       + 448*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*nf
       - 776/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*nf^2
       - 5552/3*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*nf
       - 76*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*ca*nf
       - 192*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^2*nf
       + 32044/135*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf
       - 640/9*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf^2
       + 134368/135*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca*nf
       - 232/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca*nf
       + 9296/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^2*nf
       + 8*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf^2*nf
       + 40*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z3
       + 16250/27*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf
       + 2120/81*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2
       - 448/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf*z3
       - 529946/405*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf
       + 76*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca*nf
       - 576*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*nf
       - 1304/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca*nf
       + 9872/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*nf
       + 440/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^2*nf
       + 5008/27*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf
       - 200/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf^2
       - 9760/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf
       - 368/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca*nf
       + 320*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*nf
       + 328/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*nf^2
       - 3904/9*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*nf
       - 112/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf*ca*nf
       - 176/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf^2*nf
       + 136/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*ca*nf
       + 200/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^2*nf
       - 232/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca*nf
       + 8/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*nf^2
       + 3748/9*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*nf
       + 136/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*ca*nf
       + 200/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^2*nf
       + 284/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca*nf
       - 320*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*nf
       + 2092/27*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf
       - 8/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf^2
       + 24436/27*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf
       + 328/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca*nf
       - 320*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*nf
       - 1648/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca*nf
       + 8/3*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*nf^2
       + 5284/9*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*nf
       + 40*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf*ca*nf
       + 72*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf^2*nf
       - 52*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*ca*nf
       - 224/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^2*nf
       + 5956/45*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca*nf
       - 22792/45*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*nf
       - 268*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca*nf
       + 928/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*nf
       + 608/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca*nf
       - 632/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*nf
       + 23216/45*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z3
       + 32*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z4
       - 510478/3645*theta( - 3 + N)*den(2 + N)*cf*ca*nf
       - 704/27*theta( - 3 + N)*den(2 + N)*cf*nf^2*z3
       + 153392/3645*theta( - 3 + N)*den(2 + N)*cf*nf^2
       - 9472/45*theta( - 3 + N)*den(2 + N)*cf^2*nf*z3
       - 32*theta( - 3 + N)*den(2 + N)*cf^2*nf*z4
       + 276604/675*theta( - 3 + N)*den(2 + N)*cf^2*nf
       - 608/3*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z3
       + 1199092/1215*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf
       - 46688/405*theta( - 3 + N)*den(2 + N)^2*cf*nf^2
       + 3008/9*theta( - 3 + N)*den(2 + N)^2*cf^2*nf*z3
       - 303352/2025*theta( - 3 + N)*den(2 + N)^2*cf^2*nf
       + 22408/405*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf
       + 1744/27*theta( - 3 + N)*den(2 + N)^3*cf*nf^2
       + 872/81*theta( - 3 + N)*den(2 + N)^3*cf^2*nf
       + 2792/3*theta( - 3 + N)*den(2 + N)^4*cf*ca*nf
       - 256/9*theta( - 3 + N)*den(2 + N)^4*cf*nf^2
       + 1952/9*theta( - 3 + N)*den(2 + N)^4*cf^2*nf
       - 3808/9*theta( - 3 + N)*den(2 + N)^5*cf^2*nf
       - 128/9*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca*nf
       + 5824/9*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^2*nf
       + 1664/9*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf*ca*nf
       + 320/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf^2*nf
       - 91736/135*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*nf^2
       - 13216/45*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*nf
       - 832/9*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*cf*ca*nf
       - 3488/9*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*cf^2*nf
       + 256/3*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*cf*ca*nf
       + 3328/9*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*cf^2*nf
       + 1792/9*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf*ca*nf
       + 320/3*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf^2*nf
       + 5360/27*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca*nf
       - 128/9*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*nf^2
       + 992/9*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*nf
       - 320/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf^2*nf
       - 123728/405*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf
       - 176/9*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*nf^2
       + 58312/405*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf*ca*nf
       - 320/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf^2*nf
       + 10552/27*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*ca*nf
       + 128/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*nf^2
       + 4288/27*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^2*nf
       + 800/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*cf*ca*nf
       + 1856/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*cf^2*nf
       - 992/9*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*cf*ca*nf
       - 224*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*cf^2*nf
       - 3880/9*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*nf^2
       - 3712/27*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*cf*ca*nf
       - 800/3*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*cf^2*nf
       + 1568/9*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^2*nf
       + 416/3*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf^2*nf
       + 6352/27*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*ca*nf
       - 128/9*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*nf^2
       + 96*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^2*nf
       - 320/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf^2*nf
       - 9032/135*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf
       + 160/9*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*nf^2
       + 704/15*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf
       + 128/9*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cf*ca*nf
       - 2032/27*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca*nf
       - 736/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*nf
       + 704/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*cf^2*nf
       - 64*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*cf^2*nf
       + 1760/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z3
       - 394996/1215*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf
       + 2048/81*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf^2
       - 2240/9*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf*z3
       - 12352/405*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf*ca*nf
       - 320/3*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf^2*nf
       - 3248/27*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca*nf
       - 992/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*nf
       - 448/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf^2*nf
       + 12320/81*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*ca*nf
       + 944/81*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*nf^2
       + 4168/81*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*nf
       - 320/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf^2*nf
       - 3368/27*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*ca*nf
       - 128/27*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*nf^2
       - 64/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf^2*nf
       - 448/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*cf*ca*nf
       - 704/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*cf^2*nf
       + 544/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*cf*ca*nf
       + 800/9*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*cf^2*nf
       + 2696/27*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*ca*nf
       + 32/9*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*nf^2
       + 128/27*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*nf
       + 544/9*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*cf*ca*nf
       + 800/9*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*cf^2*nf
       - 1280/9*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca*nf
       + 320/9*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^2*nf
       - 13552/81*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf
       - 304/27*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*nf^2
       - 11000/81*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf
       + 256/9*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf^2*nf
       + 4504/27*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*ca*nf
       + 32/9*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*nf^2
       - 1600/27*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*nf
       + 160/3*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*cf*ca*nf
       + 96*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*cf^2*nf
       - 64*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*cf*ca*nf
       - 896/9*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*cf^2*nf
       - 10168/45*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca*nf
       + 13888/135*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^2*nf
       - 128/9*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca*nf
       - 1600/9*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^2*nf
       + 896/9*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf*ca*nf
       - 224/9*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf^2*nf
       + 192/5*theta( - 3 + N)*den(3 + N)*cf^2*nf*z3
       + 384/5*theta( - 3 + N)*den(3 + N)^2*cf*ca*nf*z3
       - 768/5*theta( - 3 + N)*den(3 + N)^2*cf^2*nf*z3
       - 16/5*theta( - 3 + N)*den(3 + N)^3*cf*ca*nf
       - 32/5*theta( - 3 + N)*den(3 + N)^3*cf*nf^2
       - 544/75*theta( - 3 + N)*den(3 + N)^3*cf^2*nf
       + 64/5*theta( - 3 + N)*den(3 + N)^4*cf*ca*nf
       + 96/5*theta( - 3 + N)*den(3 + N)^4*cf^2*nf
       + 192/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca*nf
       - 384/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^2*nf
       - 64/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca*nf
       + 32/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*nf
       + 64/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca*nf
       - 32/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*nf
       - 192/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^2*nf
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca*nf
       + 96/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*nf
       - 16/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca*nf
       - 32/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*nf^2
       - 544/75*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*nf
       - 64/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca*nf
       + 32/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca*nf*z3
       + 768/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^2*nf*z3
       - 64/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca*nf
       + 32/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*nf
       + 192/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca*nf
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^2*nf
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca*nf
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^2*nf
       - 1312/5*theta( - 3 + N)*den(N)*cf*ca*nf*z3
       - 24*theta( - 3 + N)*den(N)*cf*ca*nf*z4
       + 488366/243*theta( - 3 + N)*den(N)*cf*ca*nf
       - 544/9*theta( - 3 + N)*den(N)*cf*nf^2*z3
       - 311984/1215*theta( - 3 + N)*den(N)*cf*nf^2
       + 67376/45*theta( - 3 + N)*den(N)*cf^2*nf*z3
       + 24*theta( - 3 + N)*den(N)*cf^2*nf*z4
       + 186998/2025*theta( - 3 + N)*den(N)*cf^2*nf
       + 4312/9*theta( - 3 + N)*den(N)^2*cf*ca*nf*z3
       + 48*theta( - 3 + N)*den(N)^2*cf*ca*nf*z4
       + 1630676/1215*theta( - 3 + N)*den(N)^2*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(N)^2*cf*nf^2*z3
       + 219832/1215*theta( - 3 + N)*den(N)^2*cf*nf^2
       - 576*theta( - 3 + N)*den(N)^2*cf^2*nf*z3
       - 48*theta( - 3 + N)*den(N)^2*cf^2*nf*z4
       - 514634/2025*theta( - 3 + N)*den(N)^2*cf^2*nf
       - 560/3*theta( - 3 + N)*den(N)^3*cf*ca*nf*z3
       + 801616/405*theta( - 3 + N)*den(N)^3*cf*ca*nf
       - 12608/81*theta( - 3 + N)*den(N)^3*cf*nf^2
       + 1472/3*theta( - 3 + N)*den(N)^3*cf^2*nf*z3
       - 1066/27*theta( - 3 + N)*den(N)^3*cf^2*nf
       + 23416/27*theta( - 3 + N)*den(N)^4*cf*ca*nf
       + 1784/27*theta( - 3 + N)*den(N)^4*cf*nf^2
       - 5180/9*theta( - 3 + N)*den(N)^4*cf^2*nf
       + 3416/9*theta( - 3 + N)*den(N)^5*cf*ca*nf
       - 368/9*theta( - 3 + N)*den(N)^5*cf*nf^2
       - 440/3*theta( - 3 + N)*den(N)^5*cf^2*nf
       + 240*theta( - 3 + N)*den(N)^6*cf*ca*nf
       - 240*theta( - 3 + N)*den(N)^6*cf^2*nf
       - 320/3*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf*ca*nf
       + 1328/3*theta( - 3 + N)*den(N)^5*S(R(1),N)*cf^2*nf
       + 496/3*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf*ca*nf
       + 384*theta( - 3 + N)*den(N)^4*S(R(-2),N)*cf^2*nf
       - 920/9*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf*ca*nf
       + 32/9*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf*nf^2
       - 512/3*theta( - 3 + N)*den(N)^4*S(R(1),N)*cf^2*nf
       - 88/3*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf*ca*nf
       - 400*theta( - 3 + N)*den(N)^4*S(R(1,1),N)*cf^2*nf
       + 8*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf*ca*nf
       + 1072/3*theta( - 3 + N)*den(N)^4*S(R(2),N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf*ca*nf
       + 576*theta( - 3 + N)*den(N)^3*S(R(-3),N)*cf^2*nf
       + 904/3*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf*ca*nf
       - 352*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^2*nf
       - 176/3*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(N)^3*S(R(-2,1),N)*cf^2*nf
       - 101852/135*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca*nf
       - 848/27*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*nf^2
       + 48028/45*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*nf
       + 176/3*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf*ca*nf
       - 384*theta( - 3 + N)*den(N)^3*S(R(1,-2),N)*cf^2*nf
       - 340/9*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf*ca*nf
       + 112/9*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf*nf^2
       + 880/3*theta( - 3 + N)*den(N)^3*S(R(1,1),N)*cf^2*nf
       + 304/3*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*cf*ca*nf
       + 704/3*theta( - 3 + N)*den(N)^3*S(R(1,1,1),N)*cf^2*nf
       - 368/3*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf*ca*nf
       - 736/3*theta( - 3 + N)*den(N)^3*S(R(1,2),N)*cf^2*nf
       - 28*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf*ca*nf
       - 584/3*theta( - 3 + N)*den(N)^3*S(R(2),N)*cf^2*nf
       - 208/3*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf*ca*nf
       - 288*theta( - 3 + N)*den(N)^3*S(R(2,1),N)*cf^2*nf
       + 104*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf*ca*nf
       + 544/3*theta( - 3 + N)*den(N)^3*S(R(3),N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(N)^2*S(R(-4),N)*cf^2*nf
       + 1136/3*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf*ca*nf
       - 736*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^2*nf
       - 344/3*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)^2*S(R(-3,1),N)*cf^2*nf
       + 568*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*nf^2
       + 912*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(N)^2*S(R(-2,-2),N)*cf*ca*nf
       - 168*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf*ca*nf
       + 416*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^2*nf
       + 64*theta( - 3 + N)*den(N)^2*S(R(-2,1,1),N)*cf*ca*nf
       - 176/3*theta( - 3 + N)*den(N)^2*S(R(-2,2),N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf*z3
       - 65828/81*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf
       + 1832/81*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*nf^2
       - 448/3*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf*z3
       - 123476/135*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf
       + 344/3*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(N)^2*S(R(1,-3),N)*cf^2*nf
       - 184*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf*ca*nf
       + 416*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^2*nf
       - 112/3*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(N)^2*S(R(1,-2,1),N)*cf^2*nf
       + 11800/27*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*ca*nf
       + 152/27*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*nf^2
       - 2540/3*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*nf
       - 352/3*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(N)^2*S(R(1,1,-2),N)*cf^2*nf
       - 8/9*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf*nf^2
       - 192*theta( - 3 + N)*den(N)^2*S(R(1,1,1),N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(N)^2*S(R(1,1,1,1),N)*cf*ca*nf
       - 352/3*theta( - 3 + N)*den(N)^2*S(R(1,1,1,1),N)*cf^2*nf
       + 272/3*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(N)^2*S(R(1,1,2),N)*cf^2*nf
       + 40/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf*ca*nf
       + 16/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf*nf^2
       + 488/3*theta( - 3 + N)*den(N)^2*S(R(1,2),N)*cf^2*nf
       + 272/3*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf*ca*nf
       + 400/3*theta( - 3 + N)*den(N)^2*S(R(1,2,1),N)*cf^2*nf
       - 56*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf*ca*nf
       - 704/3*theta( - 3 + N)*den(N)^2*S(R(1,3),N)*cf^2*nf
       - 2788/9*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*ca*nf
       - 128/9*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*nf^2
       + 6256/9*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*nf
       + 304/3*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(N)^2*S(R(2,-2),N)*cf^2*nf
       - 40/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf*ca*nf
       + 16/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf*nf^2
       + 584/3*theta( - 3 + N)*den(N)^2*S(R(2,1),N)*cf^2*nf
       + 80*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf*ca*nf
       + 144*theta( - 3 + N)*den(N)^2*S(R(2,1,1),N)*cf^2*nf
       - 296/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf*ca*nf
       - 448/3*theta( - 3 + N)*den(N)^2*S(R(2,2),N)*cf^2*nf
       - 68/3*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf*ca*nf
       - 448/3*theta( - 3 + N)*den(N)^2*S(R(3),N)*cf^2*nf
       - 216*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(N)^2*S(R(3,1),N)*cf^2*nf
       + 704/3*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf*ca*nf
       - 496/3*theta( - 3 + N)*den(N)^2*S(R(4),N)*cf^2*nf
       + 48*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^2*nf
       + 328*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*nf^2
       + 5392/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*nf
       + 76*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*ca*nf
       + 192*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^2*nf
       + 22076/135*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf
       + 512/9*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*nf^2
       - 47216/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf*ca*nf
       - 760/9*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca*nf
       - 976*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^2*nf
       - 8*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf^2*nf
       - 248/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf*z3
       - 3310/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf
       - 4280/81*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2
       + 704/3*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf*z3
       + 593936/405*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf
       - 76*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*ca*nf
       + 576*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^2*nf
       + 1288/9*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca*nf
       - 1104*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*nf
       - 440/3*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^2*nf
       + 668/27*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca*nf
       + 200/9*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf^2
       + 8684/9*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf
       + 368/3*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf*ca*nf
       - 320*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^2*nf
       - 40/3*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*ca*nf
       + 32/9*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*nf^2
       + 3904/9*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2*nf
       + 112/3*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf*ca*nf
       + 176/3*theta( - 3 + N)*den(N)*S(R(1,1,1,1),N)*cf^2*nf
       - 136/3*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf*ca*nf
       - 200/3*theta( - 3 + N)*den(N)*S(R(1,1,2),N)*cf^2*nf
       - 488/9*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca*nf
       - 8/3*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*nf^2
       - 3892/9*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*nf
       - 136/3*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf*ca*nf
       - 200/3*theta( - 3 + N)*den(N)*S(R(1,2,1),N)*cf^2*nf
       - 220/3*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*ca*nf
       + 832/3*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^2*nf
       - 6784/27*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca*nf
       + 8*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf^2
       - 18868/27*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf
       - 328/3*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf*ca*nf
       + 320*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^2*nf
       + 640/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca*nf
       - 8/3*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*nf^2
       - 5140/9*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*nf
       - 40*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf*ca*nf
       - 72*theta( - 3 + N)*den(N)*S(R(2,1,1),N)*cf^2*nf
       + 52*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf*ca*nf
       + 224/3*theta( - 3 + N)*den(N)*S(R(2,2),N)*cf^2*nf
       + 2444/45*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca*nf
       + 16792/45*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*nf
       + 740/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*ca*nf
       - 800/3*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^2*nf
       - 608/3*theta( - 3 + N)*den(N)*S(R(4),N)*cf*ca*nf
       + 632/3*theta( - 3 + N)*den(N)*S(R(4),N)*cf^2*nf
       - 1376/45*delta( - 2 + N)*cf*ca*nf*z3
       - 32/3*delta( - 2 + N)*cf*ca*nf*z4
       - 64/3*delta( - 2 + N)*cf*ca*nf*z5
       + 1177679/21870*delta( - 2 + N)*cf*ca*nf
       + 3232/405*delta( - 2 + N)*cf*nf^2*z3
       - 77623/10935*delta( - 2 + N)*cf*nf^2
       - 17296/405*delta( - 2 + N)*cf^2*nf*z3
       + 32/3*delta( - 2 + N)*cf^2*nf*z4
       + 128/3*delta( - 2 + N)*cf^2*nf*z5
       - 28249/2430*delta( - 2 + N)*cf^2*nf
      ;


L   cLqq1 =
       + 4*theta( - 3 + N)*den(1 + N)*cf
       + 4/3*delta( - 2 + N)*cf
      ;


L   cLgg1 =
       + 8*theta( - 3 + N)*den(1 + N)*nf
       - 8*theta( - 3 + N)*den(2 + N)*nf
       + 2/3*delta( - 2 + N)*nf
      ;


L   cLqq2 =
       - 32/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca
       + 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2
       - 32/5*theta( - 3 + N)*den( - 1 + N)*cf*ca
       + 64/5*theta( - 3 + N)*den( - 1 + N)*cf^2
       - 32/5*theta( - 3 + N)*den( - 1 + N)^2*cf*ca
       + 64/5*theta( - 3 + N)*den( - 1 + N)^2*cf^2
       - 48*theta( - 3 + N)*den(1 + N)*cf*ca*z3
       + 3458/45*theta( - 3 + N)*den(1 + N)*cf*ca
       - 100/9*theta( - 3 + N)*den(1 + N)*cf*nf
       + 96*theta( - 3 + N)*den(1 + N)*cf^2*z3
       - 374/5*theta( - 3 + N)*den(1 + N)*cf^2
       - 752/15*theta( - 3 + N)*den(1 + N)^2*cf*ca
       + 16/3*theta( - 3 + N)*den(1 + N)^2*cf*nf
       + 208/5*theta( - 3 + N)*den(1 + N)^2*cf^2
       + 16*theta( - 3 + N)*den(1 + N)^3*cf*ca
       - 16*theta( - 3 + N)*den(1 + N)^3*cf^2
       - 24*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2
       - 16*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca
       + 32*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2
       + 16*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca
       - 32*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2
       + 92/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca
       - 8/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf
       - 28*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2
       + 32*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca
       - 64*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2
       + 16*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2
       - 16*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2
       + 16*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca
       - 32*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2
       - 48/5*theta( - 3 + N)*den(2 + N)*cf*ca
       + 96/5*theta( - 3 + N)*den(2 + N)*cf^2
       + 48/5*theta( - 3 + N)*den(2 + N)^2*cf*ca
       - 96/5*theta( - 3 + N)*den(2 + N)^2*cf^2
       - 48/5*theta( - 3 + N)*den(3 + N)^3*cf*ca
       + 96/5*theta( - 3 + N)*den(3 + N)^3*cf^2
       - 48/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca
       + 96/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2
       - 196/15*theta( - 3 + N)*den(N)*cf*ca
       + 8/3*theta( - 3 + N)*den(N)*cf*nf
       + 44/5*theta( - 3 + N)*den(N)*cf^2
       + 16/5*theta( - 3 + N)*den(N)^2*cf*ca
       + 8/5*theta( - 3 + N)*den(N)^2*cf^2
       - 32*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca
       + 64*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2
       - 8*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2
       - 32/5*delta( - 2 + N)*cf*ca*z3
       + 2878/135*delta( - 2 + N)*cf*ca
       - 92/27*delta( - 2 + N)*cf*nf
       + 64/5*delta( - 2 + N)*cf^2*z3
       - 1906/135*delta( - 2 + N)*cf^2
      ;


L   cLgg2 =
       + 32/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*nf
       + 32/15*theta( - 3 + N)*den( - 1 + N)*cf*nf
       - 16/9*theta( - 3 + N)*den( - 1 + N)*ca*nf
       + 32/15*theta( - 3 + N)*den( - 1 + N)^2*cf*nf
       - 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca*nf
       - 304/5*theta( - 3 + N)*den(1 + N)*cf*nf
       + 272/3*theta( - 3 + N)*den(1 + N)*ca*nf
       + 208/5*theta( - 3 + N)*den(1 + N)^2*cf*nf
       - 128*theta( - 3 + N)*den(1 + N)^2*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)^3*cf*nf
       + 96*theta( - 3 + N)*den(1 + N)^3*ca*nf
       + 16*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf
       - 96*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca*nf
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf
       - 32*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca*nf
       - 24*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf
       + 144*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca*nf
       + 32*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca*nf
       - 32*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca*nf
       + 336/5*theta( - 3 + N)*den(2 + N)*cf*nf
       - 848/9*theta( - 3 + N)*den(2 + N)*ca*nf
       - 96/5*theta( - 3 + N)*den(2 + N)^2*cf*nf
       + 208*theta( - 3 + N)*den(2 + N)^2*ca*nf
       + 32*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca*nf
       + 32*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca*nf
       + 32*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf
       - 464/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca*nf
       + 32*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca*nf
       - 64/5*theta( - 3 + N)*den(3 + N)^3*cf*nf
       - 64/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*nf
       - 128/15*theta( - 3 + N)*den(N)*cf*nf
       + 16/3*theta( - 3 + N)*den(N)*ca*nf
       + 104/15*theta( - 3 + N)*den(N)^2*cf*nf
       - 16*theta( - 3 + N)*den(N)^2*ca*nf
       - 8*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf
       + 16*theta( - 3 + N)*den(N)*S(R(1),N)*ca*nf
       - 16/5*delta( - 2 + N)*cf*nf*z3
       - 116/135*delta( - 2 + N)*cf*nf
       + 173/27*delta( - 2 + N)*ca*nf
      ;


L   cLqqps2 =
       - 16/9*theta( - 3 + N)*den( - 1 + N)*cf*nf
       - 16/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*cf*nf
       + 16*theta( - 3 + N)*den(1 + N)^2*cf*nf
       + 32*theta( - 3 + N)*den(1 + N)^3*cf*nf
       - 16*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf
       + 160/9*theta( - 3 + N)*den(2 + N)*cf*nf
       + 32*theta( - 3 + N)*den(2 + N)^2*cf*nf
       - 32/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf
       + 16/3*theta( - 3 + N)*den(N)*cf*nf
       - 16*theta( - 3 + N)*den(N)^2*cf*nf
       + 16*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf
       - 80/27*delta( - 2 + N)*cf*nf
      ;


L   cLqq3 =
       + 40*theta( - 3 + N)*cf*ca^2*N*z5
       - 160*theta( - 3 + N)*cf^2*ca*N*z5
       + 160*theta( - 3 + N)*cf^3*N*z5
       - 128/5*theta( - 3 + N)*den( - 2 + N)*cf*ca*nf*z3
       + 704/5*theta( - 3 + N)*den( - 2 + N)*cf*ca^2*z3
       - 1152/5*theta( - 3 + N)*den( - 2 + N)*cf^2*ca*z3
       + 256/5*theta( - 3 + N)*den( - 2 + N)*cf^2*nf*z3
       - 512/5*theta( - 3 + N)*den( - 2 + N)*cf^3*z3
       - 256/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-3), - 2 + N)*cf^2*ca
       + 512/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-3), - 2 + N)*cf^3
       - 256/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*ca*nf
       + 1408/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*ca^2
       - 768/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*ca
       + 512/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*nf
       - 1024/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^3
       + 256/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2,1), - 2 + N)*cf^2*ca
       - 512/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2,1), - 2 + N)*cf^3
       + 256/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(1,-2), - 2 + N)*cf^2*ca
       - 512/5*theta( - 3 + N)*den( - 2 + N)^2*S(R(1,-2), - 2 + N)*cf^3
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf*ca^2
       - 512/5*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf^2*ca
       + 512/3*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf^3
       - 1024/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*fl11*
      [dabc^2/n]
       - 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca*nf
       + 3088/45*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca^2
       + 13664/225*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*ca
       + 256/5*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*nf
       - 29696/75*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^3
       - 2048/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*fl11*
      [dabc^2/n]
       - 256/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf*ca^2
       + 384*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf^2*ca
       - 1280/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf^3
       + 6656/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*fl11*
      [dabc^2/n]
       + 4768/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca*nf
       - 28144/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca^2
       + 30352/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*ca
       - 9536/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*nf
       + 51872/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^3
       + 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf*ca^2
       - 256/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf^2*ca
       + 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*fl11*
      [dabc^2/n]
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca*nf
       + 1136/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca^2
       - 48224/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*ca
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*nf
       + 8192/25*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^3
       - 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1,1), - 2 + N)*cf^2*ca
       + 256/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1,1), - 2 + N)*cf^3
       + 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,2), - 2 + N)*cf^2*ca
       - 256/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,2), - 2 + N)*cf^3
       - 2048/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*fl11*
      [dabc^2/n]*z3
       + 128/3*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca*nf*z3
       + 2336/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca^2*z3
       - 2944/3*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^2*ca*z3
       + 11648/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^3*z3
       - 2048/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*fl11*
      [dabc^2/n]
       - 256/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf*ca^2
       + 384*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf^2*ca
       - 1280/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*fl11*
      [dabc^2/n]
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca*nf
       + 1136/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca^2
       - 48224/225*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*ca
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*nf
       + 8192/25*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^3
       + 4096/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*fl11*
      [dabc^2/n]
       + 512/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf*ca^2
       - 640*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf^2*ca
       + 1792/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf^3
       - 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(1,1,-2), - 2 + N)*cf^2*ca
       + 256/5*theta( - 3 + N)*den( - 2 + N)*S(R(1,1,-2), - 2 + N)*cf^3
       + 2048/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*fl11*
      [dabc^2/n]
       - 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca*nf
       - 176/5*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca^2
       + 5632/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^2*ca
       - 4928/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^3
       + 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(2,-2), - 2 + N)*cf^2*ca
       - 256/5*theta( - 3 + N)*den( - 2 + N)*S(R(2,-2), - 2 + N)*cf^3
       - 2048/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*fl11*
      [dabc^2/n]
       + 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca*nf
       + 176/5*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca^2
       - 5632/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^2*ca
       + 4928/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^3
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf*ca^2
       + 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf^2*ca
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf^3
       + 7808/15*theta( - 3 + N)*den( - 1 + N)*fl11*[dabc^2/n]*z3
       + 512/5*theta( - 3 + N)*den( - 1 + N)*fl11*[dabc^2/n]
       - 64*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z3
       + 6688/225*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf
       + 104/15*theta( - 3 + N)*den( - 1 + N)*cf*ca^2*z3
       - 51104/225*theta( - 3 + N)*den( - 1 + N)*cf*ca^2
       + 416*theta( - 3 + N)*den( - 1 + N)*cf^2*ca*z3
       + 39632/75*theta( - 3 + N)*den( - 1 + N)*cf^2*ca
       + 128/3*theta( - 3 + N)*den( - 1 + N)*cf^2*nf*z3
       - 13376/225*theta( - 3 + N)*den( - 1 + N)*cf^2*nf
       - 4448/15*theta( - 3 + N)*den( - 1 + N)*cf^3*z3
       - 33376/225*theta( - 3 + N)*den( - 1 + N)*cf^3
       + 512/5*theta( - 3 + N)*den( - 1 + N)^2*fl11*[dabc^2/n]
       + 2848/225*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf
       - 29984/225*theta( - 3 + N)*den( - 1 + N)^2*cf*ca^2
       + 24272/75*theta( - 3 + N)*den( - 1 + N)^2*cf^2*ca
       - 5696/225*theta( - 3 + N)*den( - 1 + N)^2*cf^2*nf
       - 25696/225*theta( - 3 + N)*den( - 1 + N)^2*cf^3
       - 1024/3*theta( - 3 + N)*den( - 1 + N)^3*fl11*[dabc^2/n]
       - 128/5*theta( - 3 + N)*den( - 1 + N)^3*cf*ca*nf
       + 3856/45*theta( - 3 + N)*den( - 1 + N)^3*cf*ca^2
       - 3616/225*theta( - 3 + N)*den( - 1 + N)^3*cf^2*ca
       + 256/5*theta( - 3 + N)*den( - 1 + N)^3*cf^2*nf
       - 23296/75*theta( - 3 + N)*den( - 1 + N)^3*cf^3
       + 256/15*theta( - 3 + N)*den( - 1 + N)^4*cf*ca^2
       - 128*theta( - 3 + N)*den( - 1 + N)^4*cf^2*ca
       + 2816/15*theta( - 3 + N)*den( - 1 + N)^4*cf^3
       - 64/3*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca*nf
       - 1808/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca^2
       + 11392/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^2*ca
       - 3776/5*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^3
       + 256/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf*ca^2
       - 384/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf^2*ca
       + 256/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*fl11*
      [dabc^2/n]
       - 64/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca*nf
       - 4288/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca^2
       + 111136/225*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*ca
       - 256/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*nf
       - 8128/25*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^3
       - 128/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf^2*ca
       + 256/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf^3
       + 128/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf^2*ca
       - 256/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf^3
       + 2048/15*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*fl11*
      [dabc^2/n]
       + 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*ca^2
       - 384*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^2*ca
       + 1280/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^3
       - 1024/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*fl11*
      [dabc^2/n]
       - 128/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca*nf
       - 368/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca^2
       + 42464/225*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*ca
       + 256/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*nf
       - 25856/75*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^3
       + 1664/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*fl11*
      [dabc^2/n]
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca*nf
       - 8*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca^2
       + 224/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*ca
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*nf
       - 352/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^3
       + 512*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*fl11*[dabc^2/n]*z3
       + 1024/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*fl11*[dabc^2/n]
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf*z3
       - 64/5*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf
       - 752/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca^2*z3
       - 4288/45*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca^2
       + 896*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*ca*z3
       + 99616/225*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*ca
       - 256/15*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf
       - 1600/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^3*z3
       - 5568/25*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^3
       - 384*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*fl11*[dabc^2/n]
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*ca*nf
       - 488/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*ca^2
       + 8864/15*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^2*ca
       - 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^2*nf
       - 2656/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^3
       - 128/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf^2*ca
       + 256/5*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf^3
       - 256*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*fl11*[dabc^2/n]
       + 32/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf*ca*nf
       + 376/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf*ca^2
       - 448*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf^2*ca
       + 800/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf^3
       + 128/5*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf^2*ca
       - 256/5*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf^3
       - 2048/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*fl11*
      [dabc^2/n]
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca*nf
       + 176/5*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca^2
       - 5632/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^2*ca
       + 4928/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^3
       + 256*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*fl11*[dabc^2/n]
       - 32/3*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf*ca*nf
       - 376/3*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf*ca^2
       + 448*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf^2*ca
       - 800/3*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf^3
       - 5568/5*theta( - 3 + N)*den(1 + N)*fl11*[dabc^2/n]*z3
       + 2560*theta( - 3 + N)*den(1 + N)*fl11*[dabc^2/n]*z5
       - 1152/5*theta( - 3 + N)*den(1 + N)*fl11*[dabc^2/n]
       + 640/3*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z3
       - 1004792/2025*theta( - 3 + N)*den(1 + N)*cf*ca*nf
       - 18032/15*theta( - 3 + N)*den(1 + N)*cf*ca^2*z3
       - 640*theta( - 3 + N)*den(1 + N)*cf*ca^2*z5
       + 3672316/2025*theta( - 3 + N)*den(1 + N)*cf*ca^2
       + 2536/81*theta( - 3 + N)*den(1 + N)*cf*nf^2
       + 7616/3*theta( - 3 + N)*den(1 + N)*cf^2*ca*z3
       + 2720*theta( - 3 + N)*den(1 + N)*cf^2*ca*z5
       - 595003/270*theta( - 3 + N)*den(1 + N)*cf^2*ca
       - 1184/3*theta( - 3 + N)*den(1 + N)*cf^2*nf*z3
       + 173653/675*theta( - 3 + N)*den(1 + N)*cf^2*nf
       - 11696/15*theta( - 3 + N)*den(1 + N)*cf^3*z3
       - 2880*theta( - 3 + N)*den(1 + N)*cf^3*z5
       + 98921/150*theta( - 3 + N)*den(1 + N)*cf^3
       + 512/3*theta( - 3 + N)*den(1 + N)^2*fl11*[dabc^2/n]*z3
       + 896/5*theta( - 3 + N)*den(1 + N)^2*fl11*[dabc^2/n]
       - 128*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z3
       + 335248/675*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf
       + 768*theta( - 3 + N)*den(1 + N)^2*cf*ca^2*z3
       - 1558544/675*theta( - 3 + N)*den(1 + N)^2*cf*ca^2
       - 800/27*theta( - 3 + N)*den(1 + N)^2*cf*nf^2
       - 4448/3*theta( - 3 + N)*den(1 + N)^2*cf^2*ca*z3
       + 2757916/675*theta( - 3 + N)*den(1 + N)^2*cf^2*ca
       + 640/3*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z3
       - 245896/675*theta( - 3 + N)*den(1 + N)^2*cf^2*nf
       + 928/3*theta( - 3 + N)*den(1 + N)^2*cf^3*z3
       - 161464/75*theta( - 3 + N)*den(1 + N)^2*cf^3
       - 6272/15*theta( - 3 + N)*den(1 + N)^3*fl11*[dabc^2/n]
       - 13184/45*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf
       + 58256/45*theta( - 3 + N)*den(1 + N)^3*cf*ca^2
       + 32/3*theta( - 3 + N)*den(1 + N)^3*cf*nf^2
       - 544*theta( - 3 + N)*den(1 + N)^3*cf^2*ca*z3
       - 293392/225*theta( - 3 + N)*den(1 + N)^3*cf^2*ca
       + 14608/45*theta( - 3 + N)*den(1 + N)^3*cf^2*nf
       + 1088*theta( - 3 + N)*den(1 + N)^3*cf^3*z3
       - 267356/225*theta( - 3 + N)*den(1 + N)^3*cf^3
       + 256/3*theta( - 3 + N)*den(1 + N)^4*fl11*[dabc^2/n]
       + 160/3*theta( - 3 + N)*den(1 + N)^4*cf*ca*nf
       - 664/45*theta( - 3 + N)*den(1 + N)^4*cf*ca^2
       - 12380/9*theta( - 3 + N)*den(1 + N)^4*cf^2*ca
       - 136/3*theta( - 3 + N)*den(1 + N)^4*cf^2*nf
       + 32632/15*theta( - 3 + N)*den(1 + N)^4*cf^3
       - 208/3*theta( - 3 + N)*den(1 + N)^5*cf*ca^2
       + 1072/3*theta( - 3 + N)*den(1 + N)^5*cf^2*ca
       - 1048/3*theta( - 3 + N)*den(1 + N)^5*cf^3
       - 32/3*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca*nf
       + 24*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca^2
       - 256*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*ca
       + 336*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^3
       - 32*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^2*ca
       + 64*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^3
       - 208/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca^2
       + 736/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*ca
       - 640/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^3
       - 64*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^3
       + 896/3*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*fl11*[dabc^2/n]
       - 32/3*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca*nf
       - 15368/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca^2
       + 122872/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*ca
       - 208/3*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*nf
       - 45616/15*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^2*ca
       - 256*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^3
       + 64*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*ca
       + 192*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^3
       - 64*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*ca
       - 112*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^3
       + 32*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^2*ca
       - 64*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^3
       - 192*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^2*ca
       + 384*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^3
       - 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*fl11*[dabc^2/n]
       - 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca*nf
       + 16/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca^2
       + 1520/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*ca
       + 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*nf
       - 3104/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^3
       + 96*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^2*ca
       - 192*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^3
       + 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*fl11*[dabc^2/n]
       + 32/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca*nf
       + 9896/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca^2
       - 50032/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*ca
       - 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*nf
       + 1344*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^3
       + 1280/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*fl11*[dabc^2/n]
       - 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca*nf
       + 704*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca^2
       - 7520/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*ca
       + 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*nf
       + 6592/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^3
       + 1024*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*fl11*[dabc^2/n]*z3
       + 6144/5*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*fl11*[dabc^2/n]
       + 3808/45*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf
       - 320*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca^2*z3
       - 20624/45*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca^2
       - 64/9*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf^2
       + 1248*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*ca*z3
       - 4452/25*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*ca
       + 136/5*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf
       - 1216*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^3*z3
       + 74252/75*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^3
       + 416*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^2*ca
       - 832*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^3
       - 256*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*fl11*[dabc^2/n]
       + 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca*nf
       - 2144/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca^2
       + 5056/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*ca
       - 512/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*nf
       - 512*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^3
       - 192*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^2*ca
       + 384*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^3
       - 9848/15*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*ca
       + 208/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*nf
       + 2512/5*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^3
       - 384*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^2*ca
       + 768*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^3
       - 288*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^3
       - 16*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*ca
       + 320*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^3
       - 512*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*fl11*[dabc^2/n]
       + 160*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf*ca^2
       - 480*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^2*ca
       + 320*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^3
       + 8648/15*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*ca
       - 208/3*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*nf
       - 1792/5*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^3
       + 256*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^2*ca
       - 512*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^3
       + 16*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*ca
       + 288*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^3
       + 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca*nf
       - 88/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca^2
       - 896/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*ca
       - 128/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*nf
       + 944/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^3
       + 512*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*fl11*[dabc^2/n]
       - 160*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf*ca^2
       + 288*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^2*ca
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^3
       + 192*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^2*ca
       - 384*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf*ca^2
       - 576*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf^2*ca
       + 640*theta( - 3 + N)*den(1 + N)*S(R(-5),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*fl11*[dabc^2/n]
       - 64*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca*nf
       + 368/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca^2
       + 304*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*nf
       - 3296/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^3
       + 512*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*fl11*[dabc^2/n]
       - 320*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf*ca^2
       + 1344*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf^2*ca
       - 1408*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf^3
       - 4864/15*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*fl11*[dabc^2/n]
       + 1088/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca*nf
       - 1960/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca^2
       - 6784/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*ca
       - 2176/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*nf
       + 7136/3*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf*ca^2
       - 320*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-3,-2),1 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*fl11*[dabc^2/n]
       + 1408/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*ca^2
       - 2064*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^2*ca
       + 6752/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^3
       - 64*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-3,1,1),1 + N)*cf^3
       + 64*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf^2*ca
       - 128*theta( - 3 + N)*den(1 + N)*S(R(-3,2),1 + N)*cf^3
       + 1024*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*fl11*[dabc^2/n]*z3
       + 1664/3*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*fl11*[dabc^2/n]
       - 6608/45*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf
       - 384*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca^2*z3
       + 6568/9*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca^2
       + 1344*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*ca*z3
       - 303112/225*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*ca
       + 13216/45*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf
       - 1152*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^3*z3
       - 50576/225*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^3
       + 256*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf*ca^2
       - 704*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf^2*ca
       + 384*theta( - 3 + N)*den(1 + N)*S(R(-2,-3),1 + N)*cf^3
       - 256*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*fl11*[dabc^2/n]
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca*nf
       - 1888/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca^2
       + 5152/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^2*ca
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^2*nf
       - 2752/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^3
       - 512*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf*ca^2
       + 1536*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf^2*ca
       - 1024*theta( - 3 + N)*den(1 + N)*S(R(-2,-2,1),1 + N)*cf^3
       + 9088/15*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*fl11*[dabc^2/n]
       - 6784/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca^2
       + 28688/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*ca
       - 3360*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf^2*ca
       + 256*theta( - 3 + N)*den(1 + N)*S(R(-2,1,-2),1 + N)*cf^3
       + 64*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^2*ca
       - 128*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf^3
       - 64*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf^3
       - 512*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*fl11*[dabc^2/n]
       + 64*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf*ca^2
       - 256*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf^2*ca
       + 256*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf^3
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*fl11*[dabc^2/n]*z3
       - 1152/5*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*fl11*[dabc^2/n]
       + 128*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z3
       - 35752/135*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf
       - 672*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca^2*z3
       + 205796/135*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca^2
       + 400/27*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2
       + 2864/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*ca*z3
       - 2012228/675*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*ca
       - 640/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf*z3
       + 25744/135*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf
       + 992/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^3*z3
       + 146464/75*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf*ca^2
       + 1024*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf^2*ca
       - 1536*theta( - 3 + N)*den(1 + N)*S(R(1,-4),1 + N)*cf^3
       + 1024/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*fl11*[dabc^2/n]
       + 128*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca*nf
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca^2
       - 1008*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*ca
       - 256*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*nf
       + 8096/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^3
       + 512*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf*ca^2
       - 2240*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf^2*ca
       + 2432*theta( - 3 + N)*den(1 + N)*S(R(1,-3,1),1 + N)*cf^3
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*fl11*[dabc^2/n]
       - 1408/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca*nf
       + 720*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca^2
       - 6544/5*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*ca
       + 2816/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*nf
       - 1312/5*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^3
       - 256*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf*ca^2
       + 768*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf^2*ca
       - 512*theta( - 3 + N)*den(1 + N)*S(R(1,-2,-2),1 + N)*cf^3
       - 2048/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*fl11*[dabc^2/n]
       - 2816/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf*ca^2
       + 3808*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^2*ca
       - 11584/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf^2*ca
       - 256*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1,1),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf^2*ca
       + 256*theta( - 3 + N)*den(1 + N)*S(R(1,-2,2),1 + N)*cf^3
       - 640/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca^2*z3
       + 2552/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca^2
       + 32/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf^2
       + 320*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*ca*z3
       + 6772/45*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*ca
       - 56/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf
       - 128*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^3*z3
       - 1716/5*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^3
       + 512*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf*ca^2
       - 2624*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf^2*ca
       + 3200*theta( - 3 + N)*den(1 + N)*S(R(1,1,-3),1 + N)*cf^3
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca*nf
       + 1024/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca^2
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*ca
       + 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*nf
       - 1024*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^3
       - 1024*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf*ca^2
       + 3840*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf^2*ca
       - 3584*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2,1),1 + N)*cf^3
       + 1280/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*ca
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*nf
       - 336*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^3
       + 384*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*cf^2*ca
       - 768*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,-2),1 + N)*cf^3
       + 192*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*cf^3
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*ca*nf
       + 176/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf*ca^2
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^2*ca
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^2*nf
       - 256*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*cf^3
       - 192*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf*ca^2
       + 320*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cf^3
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca*nf
       + 176/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca^2
       - 528*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*ca
       + 64*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*nf
       + 304*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^3
       - 384*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf^2*ca
       + 768*theta( - 3 + N)*den(1 + N)*S(R(1,2,-2),1 + N)*cf^3
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*ca*nf
       - 176/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf*ca^2
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^2*ca
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*cf^3
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*fl11*[dabc^2/n]
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca*nf
       - 160*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca^2
       + 2416/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*ca
       - 1856/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^3
       + 192*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf*ca^2
       - 192*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf^2*ca
       - 384*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf*ca^2
       - 640*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf^2*ca
       + 768*theta( - 3 + N)*den(1 + N)*S(R(1,4),1 + N)*cf^3
       + 640/9*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca^2*z3
       - 2552/9*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca^2
       - 32/9*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf^2
       - 64*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*ca*z3
       - 9692/45*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*ca
       + 184/9*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf
       - 128*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^3*z3
       + 1916/5*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^3
       - 256*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf*ca^2
       + 1472*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf^2*ca
       - 1920*theta( - 3 + N)*den(1 + N)*S(R(2,-3),1 + N)*cf^3
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca*nf
       - 1216/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca^2
       + 1568/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*ca
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*nf
       + 576*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^3
       + 512*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf*ca^2
       - 2048*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf^2*ca
       + 2048*theta( - 3 + N)*den(1 + N)*S(R(2,-2,1),1 + N)*cf^3
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca*nf
       - 176/3*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca^2
       - 384*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*ca
       + 32*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*nf
       + 384*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^3
       - 384*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf^2*ca
       + 768*theta( - 3 + N)*den(1 + N)*S(R(2,1,-2),1 + N)*cf^3
       - 224*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*cf^3
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*ca*nf
       - 176/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf*ca^2
       + 352/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^2*ca
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*cf^3
       + 96*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf*ca^2
       - 192*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cf^2*ca
       + 128/5*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*fl11*[dabc^2/n]
       - 608/9*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca*nf
       + 14608/45*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca^2
       - 27272/45*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*ca
       + 784/9*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*nf
       + 5656/15*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf*ca^2
       + 576*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf^2*ca
       - 640*theta( - 3 + N)*den(1 + N)*S(R(3,-2),1 + N)*cf^3
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*fl11*[dabc^2/n]
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca*nf
       + 1168/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca^2
       - 1008*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*ca
       + 320/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*nf
       + 1760/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^3
       + 64*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf^2*ca
       - 128*theta( - 3 + N)*den(1 + N)*S(R(3,1,1),1 + N)*cf^3
       - 64*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(1 + N)*S(R(3,2),1 + N)*cf^3
       + 128*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*fl11*[dabc^2/n]
       + 64*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca*nf
       - 368/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca^2
       - 112*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*ca
       - 128*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*nf
       + 1664/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^3
       + 160*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf*ca^2
       - 896*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf^2*ca
       + 1152*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cf^3
       - 128*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf*ca^2
       + 576*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf^2*ca
       - 640*theta( - 3 + N)*den(1 + N)*S(R(5),1 + N)*cf^3
       + 4864/5*theta( - 3 + N)*den(2 + N)*fl11*[dabc^2/n]*z3
       + 768/5*theta( - 3 + N)*den(2 + N)*fl11*[dabc^2/n]
       - 320/3*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z3
       + 1168/25*theta( - 3 + N)*den(2 + N)*cf*ca*nf
       + 1376/15*theta( - 3 + N)*den(2 + N)*cf*ca^2*z3
       - 26432/75*theta( - 3 + N)*den(2 + N)*cf*ca^2
       + 3136/3*theta( - 3 + N)*den(2 + N)*cf^2*ca*z3
       + 63688/75*theta( - 3 + N)*den(2 + N)*cf^2*ca
       - 128/3*theta( - 3 + N)*den(2 + N)*cf^2*nf*z3
       - 2336/25*theta( - 3 + N)*den(2 + N)*cf^2*nf
       - 1024/5*theta( - 3 + N)*den(2 + N)*cf^3*z3
       - 7216/25*theta( - 3 + N)*den(2 + N)*cf^3
       - 1024*theta( - 3 + N)*den(2 + N)^2*fl11*[dabc^2/n]*z3
       - 3328/5*theta( - 3 + N)*den(2 + N)^2*fl11*[dabc^2/n]
       + 128/3*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z3
       + 112/25*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf
       + 1504/3*theta( - 3 + N)*den(2 + N)^2*cf*ca^2*z3
       + 7984/25*theta( - 3 + N)*den(2 + N)^2*cf*ca^2
       - 1792*theta( - 3 + N)*den(2 + N)^2*cf^2*ca*z3
       - 91016/75*theta( - 3 + N)*den(2 + N)^2*cf^2*ca
       + 4928/75*theta( - 3 + N)*den(2 + N)^2*cf^2*nf
       + 3200/3*theta( - 3 + N)*den(2 + N)^2*cf^3*z3
       + 15248/25*theta( - 3 + N)*den(2 + N)^2*cf^3
       + 512*theta( - 3 + N)*den(2 + N)^3*fl11*[dabc^2/n]
       + 32/5*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf
       - 4256/15*theta( - 3 + N)*den(2 + N)^3*cf*ca^2
       + 69488/75*theta( - 3 + N)*den(2 + N)^3*cf^2*ca
       - 384/5*theta( - 3 + N)*den(2 + N)^3*cf^2*nf
       - 7392/25*theta( - 3 + N)*den(2 + N)^3*cf^3
       + 576/5*theta( - 3 + N)*den(2 + N)^4*cf^2*ca
       - 1152/5*theta( - 3 + N)*den(2 + N)^4*cf^3
       - 512*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*fl11*[dabc^2/n]
       + 64/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca*nf
       + 752/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca^2
       - 896*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^2*ca
       + 1600/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^3
       - 1792/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*fl11*[dabc^2/n]
       + 32/3*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca*nf
       - 3752/15*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca^2
       + 6176/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*ca
       - 320/3*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*nf
       - 4064/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^3
       + 768*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*fl11*[dabc^2/n]
       - 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca*nf
       + 4496/15*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca^2
       - 16384/15*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*ca
       + 256/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*nf
       + 4928/5*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^3
       - 512*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*fl11*[dabc^2/n]
       + 256/5*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf
       - 496/15*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca^2
       - 24448/75*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*ca
       - 416/15*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf
       + 6112/25*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^2*ca
       - 384/5*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^3
       - 2336/15*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*ca
       + 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*nf
       + 384/5*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^3
       + 512*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*fl11*[dabc^2/n]
       - 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca*nf
       - 752/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca^2
       + 896*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^2*ca
       - 1600/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^3
       + 1024/5*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*fl11*[dabc^2/n]
       + 128*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*ca^2
       - 576*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^2*ca
       + 640*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^3
       - 512*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*fl11*[dabc^2/n]
       - 64/5*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf
       - 184/15*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca^2
       + 18832/75*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*ca
       + 128/5*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf
       - 11328/25*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^3
       + 1792/5*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*fl11*[dabc^2/n]
       - 128/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca*nf
       + 208/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca^2
       - 512/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*ca
       + 256/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^3
       + 1024*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*fl11*[dabc^2/n]*z3
       + 512*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*fl11*[dabc^2/n]
       - 128/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z3
       - 256/5*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf
       - 1504/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca^2*z3
       + 496/15*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca^2
       + 1792*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*ca*z3
       + 27328/75*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*ca
       + 416/15*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf
       - 3200/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^3*z3
       - 8032/25*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^3
       - 768*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*fl11*[dabc^2/n]
       + 128/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca*nf
       - 976/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca^2
       + 17536/15*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*ca
       - 256/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*nf
       - 5184/5*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^3
       - 192/5*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*ca
       + 384/5*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^3
       + 352/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*ca
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*nf
       - 512*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*fl11*[dabc^2/n]
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca*nf
       + 752/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca^2
       - 896*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^2*ca
       + 1600/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^3
       - 32*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf
       + 176*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca^2
       - 3824/15*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*ca
       + 160/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf
       - 384/5*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^3
       - 352/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*ca
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*nf
       - 1024/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca*nf
       + 264/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca^2
       - 2816/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^2*ca
       + 2464/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^3
       + 512*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*fl11*[dabc^2/n]
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca*nf
       - 752/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca^2
       + 896*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^2*ca
       - 1600/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^3
       + 768/5*theta( - 3 + N)*den(3 + N)*cf*ca*nf*z3
       - 4224/5*theta( - 3 + N)*den(3 + N)*cf*ca^2*z3
       + 7072/5*theta( - 3 + N)*den(3 + N)*cf^2*ca*z3
       - 1216/5*theta( - 3 + N)*den(3 + N)*cf^2*nf*z3
       - 768/5*theta( - 3 + N)*den(3 + N)*cf^3*z3
       + 1024/5*theta( - 3 + N)*den(3 + N)^2*fl11*[dabc^2/n]*z3
       - 64*theta( - 3 + N)*den(3 + N)^2*cf*ca*nf*z3
       - 1168/5*theta( - 3 + N)*den(3 + N)^2*cf*ca^2*z3
       + 1472*theta( - 3 + N)*den(3 + N)^2*cf^2*ca*z3
       - 5824/5*theta( - 3 + N)*den(3 + N)^2*cf^3*z3
       + 3328/5*theta( - 3 + N)*den(3 + N)^3*fl11*[dabc^2/n]
       + 848/25*theta( - 3 + N)*den(3 + N)^3*cf*ca*nf
       - 4984/25*theta( - 3 + N)*den(3 + N)^3*cf*ca^2
       + 7272/25*theta( - 3 + N)*den(3 + N)^3*cf^2*ca
       - 1696/25*theta( - 3 + N)*den(3 + N)^3*cf^2*nf
       + 5392/25*theta( - 3 + N)*den(3 + N)^3*cf^3
       - 512*theta( - 3 + N)*den(3 + N)^4*fl11*[dabc^2/n]
       - 192/5*theta( - 3 + N)*den(3 + N)^4*cf*ca*nf
       + 1544/15*theta( - 3 + N)*den(3 + N)^4*cf*ca^2
       + 7312/75*theta( - 3 + N)*den(3 + N)^4*cf^2*ca
       + 384/5*theta( - 3 + N)*den(3 + N)^4*cf^2*nf
       - 15168/25*theta( - 3 + N)*den(3 + N)^4*cf^3
       + 128/5*theta( - 3 + N)*den(3 + N)^5*cf*ca^2
       - 192*theta( - 3 + N)*den(3 + N)^5*cf^2*ca
       + 1408/5*theta( - 3 + N)*den(3 + N)^5*cf^3
       - 32*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca*nf
       - 904/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca^2
       + 5696/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^2*ca
       - 5664/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^3
       + 128/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf*ca^2
       - 576/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf^2*ca
       + 128*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf^3
       + 512*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*fl11*[dabc^2/n]
       + 224/5*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca*nf
       - 2072/15*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca^2
       - 864/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*ca
       - 1184/15*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*nf
       + 12608/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^3
       - 192/5*theta( - 3 + N)*den(3 + N)^3*S(R(1,1),3 + N)*cf^2*ca
       + 384/5*theta( - 3 + N)*den(3 + N)^3*S(R(1,1),3 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)^3*S(R(2),3 + N)*cf^2*ca
       - 384/5*theta( - 3 + N)*den(3 + N)^3*S(R(2),3 + N)*cf^3
       + 1024/5*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*fl11*[dabc^2/n]
       + 128*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf*ca^2
       - 576*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf^2*ca
       + 640*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf^3
       - 512*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*fl11*[dabc^2/n]
       - 64/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca*nf
       - 568/15*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca^2
       + 24592/75*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*ca
       + 128/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*nf
       - 12608/25*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^3
       - 2048/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*fl11*[dabc^2/n]
       - 256*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf*ca^2
       + 960*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf^2*ca
       - 896*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)^2*S(R(1,-2),3 + N)*cf^2*ca
       - 384/5*theta( - 3 + N)*den(3 + N)^2*S(R(1,-2),3 + N)*cf^3
       - 32*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*ca*nf
       + 176*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*ca^2
       - 880/3*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf^2*ca
       + 160/3*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf^2*nf
       - 1024/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca*nf
       + 264/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca^2
       - 2816/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^2*ca
       + 2464/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^3
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf*ca^2
       - 768/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf^2*ca
       + 256*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf^3
       - 512*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*fl11*[dabc^2/n]
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca*nf
       + 1544/15*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca^2
       + 7312/75*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*ca
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*nf
       - 15168/25*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^3
       - 1024/5*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*fl11*[dabc^2/n]
       - 128*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf*ca^2
       + 576*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf^2*ca
       - 640*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf^3
       + 3328/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*fl11*[dabc^2/n]
       + 848/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca*nf
       - 4984/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca^2
       + 7272/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*ca
       - 1696/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*nf
       + 5392/25*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^3
       + 128/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf*ca^2
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf^2*ca
       + 256/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf^3
       + 512*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*fl11*[dabc^2/n]
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca*nf
       + 568/15*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca^2
       - 24592/75*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*ca
       - 128/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*nf
       + 12608/25*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^3
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1,1),3 + N)*cf^2*ca
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1,1),3 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)*S(R(-2,2),3 + N)*cf^2*ca
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(-2,2),3 + N)*cf^3
       - 1024/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*fl11*[dabc^2/n]*z3
       + 64*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca*nf*z3
       + 1168/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca^2*z3
       - 1472*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^2*ca*z3
       + 5824/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^3*z3
       - 1024/5*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*fl11*[dabc^2/n]
       - 128*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf*ca^2
       + 576*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf^2*ca
       - 640*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf^3
       + 512*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*fl11*[dabc^2/n]
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca*nf
       + 568/15*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca^2
       - 24592/75*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*ca
       - 128/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*nf
       + 12608/25*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^3
       + 2048/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*fl11*[dabc^2/n]
       + 256*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf*ca^2
       - 960*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf^2*ca
       + 896*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf^3
       - 192/5*theta( - 3 + N)*den(3 + N)*S(R(1,1,-2),3 + N)*cf^2*ca
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(1,1,-2),3 + N)*cf^3
       + 32*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*ca*nf
       - 176*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*ca^2
       + 880/3*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf^2*ca
       - 160/3*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf^2*nf
       + 1024/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*fl11*[dabc^2/n]
       - 32*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca*nf
       - 264/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca^2
       + 2816/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^2*ca
       - 2464/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^3
       + 192/5*theta( - 3 + N)*den(3 + N)*S(R(2,-2),3 + N)*cf^2*ca
       - 384/5*theta( - 3 + N)*den(3 + N)*S(R(2,-2),3 + N)*cf^3
       - 32*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*ca*nf
       + 176*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*ca^2
       - 880/3*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf^2*ca
       + 160/3*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf^2*nf
       - 1024/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca*nf
       + 264/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca^2
       - 2816/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^2*ca
       + 2464/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^3
       - 64/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf*ca^2
       + 192/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf^2*ca
       - 128/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf^3
       - 6656/15*theta( - 3 + N)*den(N)*fl11*[dabc^2/n]*z3
       - 768/5*theta( - 3 + N)*den(N)*fl11*[dabc^2/n]
       - 128*theta( - 3 + N)*den(N)*cf*ca*nf*z3
       + 104264/675*theta( - 3 + N)*den(N)*cf*ca*nf
       + 3904/5*theta( - 3 + N)*den(N)*cf*ca^2*z3
       - 271972/675*theta( - 3 + N)*den(N)*cf*ca^2
       - 304/27*theta( - 3 + N)*den(N)*cf*nf^2
       - 4144/3*theta( - 3 + N)*den(N)*cf^2*ca*z3
       - 6712/135*theta( - 3 + N)*den(N)*cf^2*ca
       + 256*theta( - 3 + N)*den(N)*cf^2*nf*z3
       - 17128/675*theta( - 3 + N)*den(N)*cf^2*nf
       - 4544/15*theta( - 3 + N)*den(N)*cf^3*z3
       + 22576/225*theta( - 3 + N)*den(N)*cf^3
       + 512/15*theta( - 3 + N)*den(N)^2*fl11*[dabc^2/n]
       - 1216/25*theta( - 3 + N)*den(N)^2*cf*ca*nf
       + 33832/225*theta( - 3 + N)*den(N)^2*cf*ca^2
       + 32/9*theta( - 3 + N)*den(N)^2*cf*nf^2
       - 192*theta( - 3 + N)*den(N)^2*cf^2*ca*z3
       + 11192/75*theta( - 3 + N)*den(N)^2*cf^2*ca
       - 3712/225*theta( - 3 + N)*den(N)^2*cf^2*nf
       + 384*theta( - 3 + N)*den(N)^2*cf^3*z3
       - 7208/45*theta( - 3 + N)*den(N)^2*cf^3
       + 512/3*theta( - 3 + N)*den(N)^3*fl11*[dabc^2/n]
       + 32/15*theta( - 3 + N)*den(N)^3*cf*ca*nf
       - 4256/45*theta( - 3 + N)*den(N)^3*cf*ca^2
       + 50348/225*theta( - 3 + N)*den(N)^3*cf^2*ca
       - 8/5*theta( - 3 + N)*den(N)^3*cf^2*nf
       - 9632/75*theta( - 3 + N)*den(N)^3*cf^3
       + 192/5*theta( - 3 + N)*den(N)^4*cf^2*ca
       - 184/5*theta( - 3 + N)*den(N)^4*cf^3
       - 128*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^2*ca
       + 256*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^3
       - 1792/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*fl11*[dabc^2/n]
       + 152/5*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca^2
       - 1024/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*ca
       - 1504/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^3
       - 512*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^2*ca
       + 1024*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^3
       - 256/3*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca*nf
       + 2384/5*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca^2
       - 12448/15*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*ca
       + 512/3*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*nf
       - 3712/15*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^3
       + 384*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^2*ca
       - 768*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^3
       - 9088/15*theta( - 3 + N)*den(N)^2*S(R(1),N)*fl11*[dabc^2/n]
       + 32/5*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf
       + 13136/45*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca^2
       - 146288/225*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*ca
       - 224/5*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf
       + 39632/75*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^3
       + 384*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^2*ca
       - 768*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^3
       + 64/5*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*ca
       + 352/5*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^3
       - 64/5*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*ca
       - 272/5*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^3
       + 128*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*ca^2
       - 896*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^2*ca
       + 1280*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^3
       - 2816/15*theta( - 3 + N)*den(N)*S(R(-3),N)*fl11*[dabc^2/n]
       - 128*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca*nf
       + 976/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca^2
       + 1376/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*ca
       + 256*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*nf
       - 6656/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^3
       - 512*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*ca^2
       + 2208*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^2*ca
       - 2368*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^3
       + 256/3*theta( - 3 + N)*den(N)*S(R(-2),N)*fl11*[dabc^2/n]
       + 8288/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf
       - 3448/3*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca^2
       + 183184/75*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*ca
       - 16576/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf
       - 21568/75*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^3
       + 256*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf*ca^2
       - 768*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf^2*ca
       + 512*theta( - 3 + N)*den(N)*S(R(-2,-2),N)*cf^3
       + 1792/15*theta( - 3 + N)*den(N)*S(R(-2,1),N)*fl11*[dabc^2/n]
       + 128/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca*nf
       + 448/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca^2
       - 3904/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*ca
       - 256/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*nf
       + 6016/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^3
       - 128*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^2*ca
       + 256*theta( - 3 + N)*den(N)*S(R(-2,1,1),N)*cf^3
       + 128*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf^2*ca
       - 256*theta( - 3 + N)*den(N)*S(R(-2,2),N)*cf^3
       - 1024*theta( - 3 + N)*den(N)*S(R(1),N)*fl11*[dabc^2/n]*z3
       - 9344/15*theta( - 3 + N)*den(N)*S(R(1),N)*fl11*[dabc^2/n]
       + 4064/45*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf
       + 448*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca^2*z3
       - 7624/15*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca^2
       - 32/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2
       - 1376*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*ca*z3
       + 216376/225*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*ca
       - 1168/45*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf
       + 960*theta( - 3 + N)*den(N)*S(R(1),N)*cf^3*z3
       - 85864/75*theta( - 3 + N)*den(N)*S(R(1),N)*cf^3
       - 512*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*ca^2
       + 2400*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^2*ca
       - 2752*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^3
       + 256*theta( - 3 + N)*den(N)*S(R(1,-2),N)*fl11*[dabc^2/n]
       + 128/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca*nf
       + 416/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca^2
       - 18368/15*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*ca
       - 256/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*nf
       + 9472/5*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^3
       + 1024*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf*ca^2
       - 3776*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^2*ca
       + 3456*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^3
       - 3064/15*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*ca
       + 80/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf
       + 736/5*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^3
       - 256*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^2*ca
       + 512*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^3
       - 96*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^3
       - 16*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*ca
       + 128*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^3
       + 512*theta( - 3 + N)*den(N)*S(R(1,3),N)*fl11*[dabc^2/n]
       + 32*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*ca^2
       + 96*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^2*ca
       - 320*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^3
       + 3064/15*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*ca
       - 80/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf
       - 896/5*theta( - 3 + N)*den(N)*S(R(2),N)*cf^3
       + 256*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^2*ca
       - 512*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^3
       + 16*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*ca
       + 96*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^3
       + 2816/15*theta( - 3 + N)*den(N)*S(R(3),N)*fl11*[dabc^2/n]
       - 536/15*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca^2
       + 784/15*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*ca
       - 272/5*theta( - 3 + N)*den(N)*S(R(3),N)*cf^3
       - 512*theta( - 3 + N)*den(N)*S(R(3,1),N)*fl11*[dabc^2/n]
       - 32*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*ca^2
       - 160*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^2*ca
       + 448*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^3
       - 128*theta( - 3 + N)*den(N)*S(R(4),N)*cf*ca^2
       + 512*theta( - 3 + N)*den(N)*S(R(4),N)*cf^2*ca
       - 512*theta( - 3 + N)*den(N)*S(R(4),N)*cf^3
       - 16*theta( - 3 + N)*S(R(-5),N)*cf*ca^2*N
       + 64*theta( - 3 + N)*S(R(-5),N)*cf^2*ca*N
       - 64*theta( - 3 + N)*S(R(-5),N)*cf^3*N
       + 32*theta( - 3 + N)*S(R(-2),N)*cf*ca^2*N*z3
       - 128*theta( - 3 + N)*S(R(-2),N)*cf^2*ca*N*z3
       + 128*theta( - 3 + N)*S(R(-2),N)*cf^3*N*z3
       - 32*theta( - 3 + N)*S(R(-2,-3),N)*cf*ca^2*N
       + 128*theta( - 3 + N)*S(R(-2,-3),N)*cf^2*ca*N
       - 128*theta( - 3 + N)*S(R(-2,-3),N)*cf^3*N
       + 64*theta( - 3 + N)*S(R(-2,-2,1),N)*cf*ca^2*N
       - 256*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^2*ca*N
       + 256*theta( - 3 + N)*S(R(-2,-2,1),N)*cf^3*N
       + 32*theta( - 3 + N)*S(R(3,-2),N)*cf*ca^2*N
       - 128*theta( - 3 + N)*S(R(3,-2),N)*cf^2*ca*N
       + 128*theta( - 3 + N)*S(R(3,-2),N)*cf^3*N
       - 32*theta( - 3 + N)*S(R(4,1),N)*cf*ca^2*N
       + 128*theta( - 3 + N)*S(R(4,1),N)*cf^2*ca*N
       - 128*theta( - 3 + N)*S(R(4,1),N)*cf^3*N
       + 16*theta( - 3 + N)*S(R(5),N)*cf*ca^2*N
       - 64*theta( - 3 + N)*S(R(5),N)*cf^2*ca*N
       + 64*theta( - 3 + N)*S(R(5),N)*cf^3*N
       - 2688/5*delta( - 2 + N)*fl11*[dabc^2/n]*z3
       + 512*delta( - 2 + N)*fl11*[dabc^2/n]*z5
       + 1312/15*delta( - 2 + N)*fl11*[dabc^2/n]
       - 1568/45*delta( - 2 + N)*cf*ca*nf*z3
       + 320/3*delta( - 2 + N)*cf*ca*nf*z5
       - 204548/1215*delta( - 2 + N)*cf*ca*nf
       - 3680/9*delta( - 2 + N)*cf*ca^2*z3
       + 224*delta( - 2 + N)*cf*ca^2*z5
       + 548668/1215*delta( - 2 + N)*cf*ca^2
       + 2168/243*delta( - 2 + N)*cf*nf^2
       + 8096/5*delta( - 2 + N)*cf^2*ca*z3
       - 5888/3*delta( - 2 + N)*cf^2*ca*z5
       - 41536/405*delta( - 2 + N)*cf^2*ca
       - 2848/45*delta( - 2 + N)*cf^2*nf*z3
       + 25534/405*delta( - 2 + N)*cf^2*nf
       - 38144/45*delta( - 2 + N)*cf^3*z3
       + 4864/3*delta( - 2 + N)*cf^3*z5
       - 232798/1215*delta( - 2 + N)*cf^3
       + 640*den(1 + N)*cf^2*ca*z5
       - 1280*den(1 + N)*cf^3*z5
       + 384*den(1 + N)^3*cf^2*ca*z3
       - 768*den(1 + N)^3*cf^3*z3
      ;


L   cLgg3 =
       + 64/3*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N*z5
       - 64/3*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2*z5
       + 128/15*theta( - 3 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 896/15*theta( - 3 + N)*den( - 2 + N)*cf*ca*nf*z3
       + 64/15*theta( - 3 + N)*den( - 2 + N)*cf*nf^2*z3
       + 128/5*theta( - 3 + N)*den( - 2 + N)*cf^2*nf*z3
       + 256/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-3), - 2 + N)*cf*ca*nf
       - 1792/45*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*ca*nf
       + 128/45*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf*nf^2
       + 256/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*nf
       - 256/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2,1), - 2 + N)*cf*ca*nf
       - 256/15*theta( - 3 + N)*den( - 2 + N)^2*S(R(1,-2), - 2 + N)*cf*ca*nf
       + 192/5*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf*ca*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*cf^2*nf
       - 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(-4), - 2 + N)*ca^2*nf
       + 12544/225*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 20128/225*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca*nf
       + 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*nf^2
       + 1472/45*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*nf
       - 8/3*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*ca^2*nf
       - 64*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf*ca*nf
       + 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*cf^2*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3,1), - 2 + N)*ca^2*nf
       - 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 62416/675*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca*nf
       - 4544/675*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*nf^2
       - 8368/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*nf
       - 16/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*ca*nf^2
       + 76/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*ca^2*nf
       + 128/5*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf*ca*nf
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*cf^2*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,-2), - 2 + N)*ca^2*nf
       - 12544/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 11168/225*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca*nf
       - 64/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*nf^2
       - 704/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*nf
       + 8/3*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*ca^2*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1,1), - 2 + N)*cf*ca*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-2,2), - 2 + N)*cf*ca*nf
       - 7168/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cOlNA^-1*cOlNR
      *flg11*[dabc^2/n]*z3
       - 1856/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca*nf*z3
       + 1408/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^2*nf*z3
       + 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*ca^2*nf*z3
       - 64*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf*ca*nf
       + 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*cf^2*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-3), - 2 + N)*ca^2*nf
       - 12544/225*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 11168/225*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca*nf
       - 64/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*nf^2
       - 704/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*nf
       + 8/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*ca^2*nf
       + 256/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf*ca*nf
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*cf^2*nf
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2,1), - 2 + N)*ca^2*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,1,-2), - 2 + N)*cf*ca*nf
       + 3584/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 1024/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca*nf
       - 832/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*ca^2*nf
       - 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(2,-2), - 2 + N)*cf*ca*nf
       - 3584/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 1024/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca*nf
       + 832/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*ca^2*nf
       - 64/5*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf*ca*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*cf^2*nf
       + 64/15*theta( - 3 + N)*den( - 2 + N)*S(R(4), - 2 + N)*ca^2*nf
       + 29696/45*theta( - 3 + N)*den( - 1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 6784/225*theta( - 3 + N)*den( - 1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 4448/45*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z3
       + 100592/675*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf
       + 31888/2025*theta( - 3 + N)*den( - 1 + N)*cf*nf^2
       - 5504/45*theta( - 3 + N)*den( - 1 + N)*cf^2*nf*z3
       - 1392/25*theta( - 3 + N)*den( - 1 + N)*cf^2*nf
       + 3896/135*theta( - 3 + N)*den( - 1 + N)*ca*nf^2
       + 64/45*theta( - 3 + N)*den( - 1 + N)*ca^2*nf*z3
       - 222964/405*theta( - 3 + N)*den( - 1 + N)*ca^2*nf
       + 6784/225*theta( - 3 + N)*den( - 1 + N)^2*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 40432/675*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf
       - 3584/675*theta( - 3 + N)*den( - 1 + N)^2*cf*nf^2
       - 2896/75*theta( - 3 + N)*den( - 1 + N)^2*cf^2*nf
       - 16/15*theta( - 3 + N)*den( - 1 + N)^2*ca*nf^2
       + 10052/135*theta( - 3 + N)*den( - 1 + N)^2*ca^2*nf
       + 12544/225*theta( - 3 + N)*den( - 1 + N)^3*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 12448/225*theta( - 3 + N)*den( - 1 + N)^3*cf*ca*nf
       + 64/15*theta( - 3 + N)*den( - 1 + N)^3*cf*nf^2
       + 704/45*theta( - 3 + N)*den( - 1 + N)^3*cf^2*nf
       - 56/5*theta( - 3 + N)*den( - 1 + N)^3*ca^2*nf
       + 256/5*theta( - 3 + N)*den( - 1 + N)^4*cf*ca*nf
       - 256/15*theta( - 3 + N)*den( - 1 + N)^4*cf^2*nf
       - 128/15*theta( - 3 + N)*den( - 1 + N)^4*ca^2*nf
       + 3584/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 64/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca*nf
       - 192/5*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^2*nf
       - 64/5*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*ca^2*nf
       + 512/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf*ca*nf
       - 256/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf^2*nf
       + 64/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*ca^2*nf
       + 41216/225*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 15968/225*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca*nf
       - 64/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*nf^2
       - 2432/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*nf
       + 184/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*ca^2*nf
       + 128/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf*ca*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*ca^2*nf
       - 128/15*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*ca^2*nf
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*ca*nf
       - 256/15*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf^2*nf
       - 1408/15*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*ca^2*nf
       + 12544/225*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 4928/225*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca*nf
       + 128/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*nf^2
       - 64/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*nf
       + 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*ca*nf^2
       - 1688/15*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*ca^2*nf
       + 8192/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 416/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca*nf
       + 256/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*nf
       + 2848/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]*z3
       + 41216/225*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       + 256*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf*z3
       + 7936/75*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf
       - 352/135*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*nf^2
       - 256*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf*z3
       - 2432/45*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf
       + 400/27*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca*nf^2
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca^2*nf*z3
       - 1432/15*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*ca^2*nf
       - 8192/45*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cOlNA^-1*
      cOlNR*flg11*[dabc^2/n]
       - 224/45*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*ca*nf
       + 256/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^2*nf
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*ca^2*nf
       + 608/15*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*ca*nf
       + 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*nf^2
       + 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*ca*nf^2
       - 1792/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*ca^2*nf
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*ca^2*nf
       + 224/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*ca^2*nf
       + 256*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 128*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*ca^2*nf
       - 608/15*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*nf^2
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*ca*nf^2
       + 1712/9*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*ca^2*nf
       + 224/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*ca^2*nf
       - 3584/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cOlNA^-1*cOlNR
      *flg11*[dabc^2/n]
       - 704/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca*nf
       + 832/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^2*nf
       - 64*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*ca^2*nf
       - 256*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 128*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf^2*nf
       - 32*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*ca^2*nf
       - 3968/5*theta( - 3 + N)*den(1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       + 7680*theta( - 3 + N)*den(1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       - 20352/25*theta( - 3 + N)*den(1 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 19168/15*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z3
       + 3840*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z5
       - 84264/25*theta( - 3 + N)*den(1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*cf*nf^2*z3
       - 771296/675*theta( - 3 + N)*den(1 + N)*cf*nf^2
       + 8128/5*theta( - 3 + N)*den(1 + N)*cf^2*nf*z3
       - 3840*theta( - 3 + N)*den(1 + N)*cf^2*nf*z5
       + 134096/75*theta( - 3 + N)*den(1 + N)*cf^2*nf
       - 16*theta( - 3 + N)*den(1 + N)*ca*nf^2*z3
       - 97376/135*theta( - 3 + N)*den(1 + N)*ca*nf^2
       - 88/5*theta( - 3 + N)*den(1 + N)*ca^2*nf*z3
       - 960*theta( - 3 + N)*den(1 + N)*ca^2*nf*z5
       + 301316/27*theta( - 3 + N)*den(1 + N)*ca^2*nf
       - 2048/3*theta( - 3 + N)*den(1 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      z3
       + 147968/225*theta( - 3 + N)*den(1 + N)^2*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 8896/3*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z3
       + 231856/75*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf
       + 105824/225*theta( - 3 + N)*den(1 + N)^2*cf*nf^2
       + 7040/3*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z3
       - 294116/225*theta( - 3 + N)*den(1 + N)^2*cf^2*nf
       + 86912/135*theta( - 3 + N)*den(1 + N)^2*ca*nf^2
       + 3328/3*theta( - 3 + N)*den(1 + N)^2*ca^2*nf*z3
       - 1012088/135*theta( - 3 + N)*den(1 + N)^2*ca^2*nf
       + 82816/75*theta( - 3 + N)*den(1 + N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 320*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf*z3
       - 123328/675*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf
       - 57008/135*theta( - 3 + N)*den(1 + N)^3*cf*nf^2
       - 640*theta( - 3 + N)*den(1 + N)^3*cf^2*nf*z3
       - 8900/9*theta( - 3 + N)*den(1 + N)^3*cf^2*nf
       - 3040/9*theta( - 3 + N)*den(1 + N)^3*ca*nf^2
       + 197672/45*theta( - 3 + N)*den(1 + N)^3*ca^2*nf
       - 6656/45*theta( - 3 + N)*den(1 + N)^4*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 2352/5*theta( - 3 + N)*den(1 + N)^4*cf*ca*nf
       + 1648/3*theta( - 3 + N)*den(1 + N)^4*cf*nf^2
       + 16864/45*theta( - 3 + N)*den(1 + N)^4*cf^2*nf
       + 128*theta( - 3 + N)*den(1 + N)^4*ca*nf^2
       - 45296/15*theta( - 3 + N)*den(1 + N)^4*ca^2*nf
       + 2048/15*theta( - 3 + N)*den(1 + N)^5*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 1312/3*theta( - 3 + N)*den(1 + N)^5*cf*ca*nf
       - 352*theta( - 3 + N)*den(1 + N)^5*cf*nf^2
       + 496/3*theta( - 3 + N)*den(1 + N)^5*cf^2*nf
       + 4768/3*theta( - 3 + N)*den(1 + N)^5*ca^2*nf
       - 3328/15*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 352*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca*nf
       + 192*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*nf^2
       + 160/3*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*nf
       - 2128*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*ca^2*nf
       + 64*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)^3*S(R(-3),1 + N)*cf^2*nf
       + 2048/15*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*nf
       - 992/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*ca^2*nf
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)^3*S(R(-2,1),1 + N)*cf^2*nf
       + 8704/9*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 6256/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca*nf
       - 1792/9*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*nf^2
       - 38176/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*nf
       - 320/3*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*ca*nf^2
       + 18432/5*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*ca^2*nf
       - 256*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf*ca*nf
       + 512*theta( - 3 + N)*den(1 + N)^3*S(R(1,-2),1 + N)*cf^2*nf
       - 640/3*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*nf^2
       - 256*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*nf
       + 2048*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*ca^2*nf
       + 640/3*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*nf^2
       + 224*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*nf
       - 1792*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*ca^2*nf
       - 64*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(3),1 + N)*cf^2*nf
       + 256*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf*ca*nf
       - 512*theta( - 3 + N)*den(1 + N)^2*S(R(-4),1 + N)*cf^2*nf
       - 5632/15*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 2656/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca*nf
       + 3904/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*nf
       - 3008/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*ca^2*nf
       - 64*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)^2*S(R(-3,1),1 + N)*cf^2*nf
       - 6656/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 17728/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca*nf
       + 1216/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*nf^2
       + 2944/45*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*ca*nf^2
       + 5504/15*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*ca^2*nf
       + 13312/15*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cOlNA^-1*cOlNR
      *flg11*[dabc^2/n]
       + 128*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca*nf
       - 512*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*nf
       + 1888/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*ca^2*nf
       - 3072*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 261632/225*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1216*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf*z3
       + 64384/25*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf
       + 5392/45*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf^2
       - 896*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf*z3
       - 50152/45*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf
       + 880/3*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca*nf^2
       - 384*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca^2*nf*z3
       - 42872/9*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*ca^2*nf
       - 448*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf*ca*nf
       + 896*theta( - 3 + N)*den(1 + N)^2*S(R(1,-3),1 + N)*cf^2*nf
       - 2048/15*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1856*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca*nf
       - 4736/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*nf
       - 160*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*ca^2*nf
       + 128*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2,1),1 + N)*cf^2*nf
       + 12656/15*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf^2
       - 80*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*ca*nf^2
       - 3680*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*ca^2*nf
       + 256*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf*ca*nf
       - 512*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,-2),1 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf*ca*nf
       + 160*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^2*nf
       - 1152*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*ca^2*nf
       - 96*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*nf
       + 1280*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*ca^2*nf
       + 1536*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 832*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf*ca*nf
       + 896*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(1 + N)^2*S(R(1,3),1 + N)*ca^2*nf
       - 4192/5*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*nf
       - 64*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*ca*nf^2
       + 3264*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*ca^2*nf
       - 256*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf*ca*nf
       + 512*theta( - 3 + N)*den(1 + N)^2*S(R(2,-2),1 + N)*cf^2*nf
       - 32*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*ca*nf
       - 192*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*nf
       + 1280*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*ca^2*nf
       + 1792/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3488/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca*nf
       - 1952/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*nf
       - 4432/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*ca^2*nf
       - 1536*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 960*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf*ca*nf
       - 1152*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(1 + N)^2*S(R(3,1),1 + N)*ca^2*nf
       - 256*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf*ca*nf
       + 512*theta( - 3 + N)*den(1 + N)^2*S(R(4),1 + N)*cf^2*nf
       + 512*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 224*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*cf^2*nf
       - 1648/3*theta( - 3 + N)*den(1 + N)*S(R(-4),1 + N)*ca^2*nf
       + 768*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf*ca*nf
       - 768*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(1 + N)*S(R(-4,1),1 + N)*ca^2*nf
       - 29696/45*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 12512/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*nf^2
       + 66784/45*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*nf
       - 64*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*ca*nf^2
       + 34864/15*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*ca^2*nf
       - 224*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf*ca*nf
       - 320/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*cf^2*nf
       + 2048/3*theta( - 3 + N)*den(1 + N)*S(R(-3,1),1 + N)*ca^2*nf
       + 316928/225*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1536*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf*z3
       + 1862192/675*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf
       - 10976/135*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf^2
       - 1536*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf*z3
       - 107024/45*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf
       + 512/9*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca*nf^2
       - 384*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca^2*nf*z3
       - 3536/45*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       + 576*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf*ca*nf
       - 1024/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(1 + N)*S(R(-2,-2),1 + N)*ca^2*nf
       - 50944/45*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 16288/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*nf^2
       - 89728/45*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*ca*nf^2
       - 7536/5*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*ca^2*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)*S(R(-2,1,1),1 + N)*ca^2*nf
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)*S(R(-2,2),1 + N)*ca^2*nf
       - 768*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf*ca*nf
       + 768*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(1 + N)*S(R(-2,3),1 + N)*ca^2*nf
       + 11264/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]*z3
       - 490496/225*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1568/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z3
       - 737108/225*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf
       - 16696/45*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2
       + 1984/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf*z3
       + 70036/45*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf
       - 12032/27*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca*nf^2
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca^2*nf*z3
       + 122360/27*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 96*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf*ca*nf
       - 1472/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*cf^2*nf
       + 2432/3*theta( - 3 + N)*den(1 + N)*S(R(1,-3),1 + N)*ca^2*nf
       + 110336/45*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 6688/45*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*nf^2
       + 1984/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*ca*nf^2
       - 752*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*ca^2*nf
       + 704/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf*ca*nf
       + 640/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*cf^2*nf
       - 2176/3*theta( - 3 + N)*den(1 + N)*S(R(1,-2,1),1 + N)*ca^2*nf
       + 6144*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 2816*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 22208/15*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*nf^2
       + 40*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf
       - 1184/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca*nf^2
       + 43040/9*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*ca^2*nf
       + 1024*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1024/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*cf^2*nf
       - 128*theta( - 3 + N)*den(1 + N)*S(R(1,1,-2),1 + N)*ca^2*nf
       - 208*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf*ca*nf
       - 80*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*ca*nf^2
       + 5536/3*theta( - 3 + N)*den(1 + N)*S(R(1,1,1),1 + N)*ca^2*nf
       + 384*theta( - 3 + N)*den(1 + N)*S(R(1,1,1,1),1 + N)*ca^2*nf
       - 448*theta( - 3 + N)*den(1 + N)*S(R(1,1,2),1 + N)*ca^2*nf
       - 3072*theta( - 3 + N)*den(1 + N)*S(R(1,1,3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 896/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf*nf^2
       + 64*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*ca*nf^2
       - 6368/3*theta( - 3 + N)*den(1 + N)*S(R(1,2),1 + N)*ca^2*nf
       - 448*theta( - 3 + N)*den(1 + N)*S(R(1,2,1),1 + N)*ca^2*nf
       - 6400/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1312/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca*nf
       - 1600/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*nf
       + 928/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*ca^2*nf
       + 3072*theta( - 3 + N)*den(1 + N)*S(R(1,3,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 3072*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 1408*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 17968/15*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf
       + 544/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*nf^2
       + 56*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf
       + 1184/9*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca*nf^2
       - 40064/9*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 640/3*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(1 + N)*S(R(2,-2),1 + N)*ca^2*nf
       + 448/3*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf*nf^2
       + 96*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*cf^2*nf
       - 1888*theta( - 3 + N)*den(1 + N)*S(R(2,1),1 + N)*ca^2*nf
       - 448*theta( - 3 + N)*den(1 + N)*S(R(2,1,1),1 + N)*ca^2*nf
       + 384*theta( - 3 + N)*den(1 + N)*S(R(2,2),1 + N)*ca^2*nf
       + 1536*theta( - 3 + N)*den(1 + N)*S(R(2,3),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1536/5*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 2176/5*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca*nf
       + 528/5*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*ca*nf^2
       + 5008/3*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*ca^2*nf
       + 7936/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1888/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca*nf
       + 1984/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*nf
       + 1760/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 96*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf*ca*nf
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*cf^2*nf
       - 464/3*theta( - 3 + N)*den(1 + N)*S(R(4),1 + N)*ca^2*nf
       - 1536*theta( - 3 + N)*den(1 + N)*S(R(4,1),1 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 28544/45*theta( - 3 + N)*den(2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      z3
       - 7680*theta( - 3 + N)*den(2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       + 21504/25*theta( - 3 + N)*den(2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 27472/45*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z3
       - 3840*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z5
       + 2312348/675*theta( - 3 + N)*den(2 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(2 + N)*cf*nf^2*z3
       + 1101512/2025*theta( - 3 + N)*den(2 + N)*cf*nf^2
       - 20896/45*theta( - 3 + N)*den(2 + N)*cf^2*nf*z3
       + 3840*theta( - 3 + N)*den(2 + N)*cf^2*nf*z5
       - 43808/25*theta( - 3 + N)*den(2 + N)*cf^2*nf
       + 16*theta( - 3 + N)*den(2 + N)*ca*nf^2*z3
       + 99844/135*theta( - 3 + N)*den(2 + N)*ca*nf^2
       + 15896/45*theta( - 3 + N)*den(2 + N)*ca^2*nf*z3
       + 960*theta( - 3 + N)*den(2 + N)*ca^2*nf*z5
       - 4393856/405*theta( - 3 + N)*den(2 + N)*ca^2*nf
       + 77824/15*theta( - 3 + N)*den(2 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
      *z3
       - 25472/15*theta( - 3 + N)*den(2 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 1216/3*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z3
       - 703408/225*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf
       + 8512/225*theta( - 3 + N)*den(2 + N)^2*cf*nf^2
       + 640/3*theta( - 3 + N)*den(2 + N)^2*cf^2*nf*z3
       + 32768/25*theta( - 3 + N)*den(2 + N)^2*cf^2*nf
       - 51584/135*theta( - 3 + N)*den(2 + N)^2*ca*nf^2
       + 640/3*theta( - 3 + N)*den(2 + N)^2*ca^2*nf*z3
       + 24628/45*theta( - 3 + N)*den(2 + N)^2*ca^2*nf
       + 45568/75*theta( - 3 + N)*den(2 + N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 41728/25*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf
       + 1024/15*theta( - 3 + N)*den(2 + N)^3*cf*nf^2
       - 48*theta( - 3 + N)*den(2 + N)^3*cf^2*nf
       + 416/3*theta( - 3 + N)*den(2 + N)^3*ca*nf^2
       - 385064/45*theta( - 3 + N)*den(2 + N)^3*ca^2*nf
       - 192/5*theta( - 3 + N)*den(2 + N)^4*cf*ca*nf
       + 256*theta( - 3 + N)*den(2 + N)^4*cf*nf^2
       - 352*theta( - 3 + N)*den(2 + N)^4*cf^2*nf
       + 704*theta( - 3 + N)*den(2 + N)^4*ca^2*nf
       + 25856/15*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 2240/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca*nf
       + 2240/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^2*nf
       + 800/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*ca^2*nf
       + 16384/15*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 2432/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf*ca*nf
       - 2816/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*cf^2*nf
       - 608/3*theta( - 3 + N)*den(2 + N)^3*S(R(-2),2 + N)*ca^2*nf
       - 113152/45*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 33488/45*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca*nf
       - 416/3*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*nf^2
       - 30656/45*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*ca*nf^2
       - 99416/45*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*ca^2*nf
       - 256*theta( - 3 + N)*den(2 + N)^3*S(R(1,1),2 + N)*ca^2*nf
       + 128*theta( - 3 + N)*den(2 + N)^3*S(R(2),2 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 512*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf*ca*nf
       - 1024*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*cf^2*nf
       + 448*theta( - 3 + N)*den(2 + N)^2*S(R(-3),2 + N)*ca^2*nf
       + 18944/9*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 51392/45*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*nf^2
       + 51392/45*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*ca*nf^2
       - 76024/45*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*ca^2*nf
       + 16384/15*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cOlNA^-1*cOlNR
      *flg11*[dabc^2/n]
       - 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf*ca*nf
       + 1024/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*cf^2*nf
       - 1472/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2,1),2 + N)*ca^2*nf
       + 3072*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 128768/75*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 1536*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf*z3
       - 38208/25*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf
       - 1568/15*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*nf^2
       - 1536*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf*z3
       - 2944/15*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf
       - 512/3*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca*nf^2
       - 384*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca^2*nf*z3
       + 319184/45*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*ca^2*nf
       - 1024/15*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1472/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf*ca*nf
       + 2048/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*cf^2*nf
       - 1216/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,-2),2 + N)*ca^2*nf
       - 1024/5*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*nf^2
       - 160*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*ca*nf^2
       + 6752/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*ca^2*nf
       + 384*theta( - 3 + N)*den(2 + N)^2*S(R(1,1,1),2 + N)*ca^2*nf
       - 384*theta( - 3 + N)*den(2 + N)^2*S(R(1,2),2 + N)*ca^2*nf
       - 1536*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 768*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*cf*ca*nf
       + 768*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(2 + N)^2*S(R(1,3),2 + N)*ca^2*nf
       + 1232/15*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*nf^2
       + 128*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*ca*nf^2
       - 2048*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*ca^2*nf
       - 384*theta( - 3 + N)*den(2 + N)^2*S(R(2,1),2 + N)*ca^2*nf
       - 2304*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 512*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca*nf
       - 576*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*ca^2*nf
       + 1536*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 768*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*cf*ca*nf
       - 768*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(2 + N)^2*S(R(3,1),2 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 96*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf*ca*nf
       - 384*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*cf^2*nf
       + 528*theta( - 3 + N)*den(2 + N)*S(R(-4),2 + N)*ca^2*nf
       - 768*theta( - 3 + N)*den(2 + N)*S(R(-4,1),2 + N)*cf*ca*nf
       + 768*theta( - 3 + N)*den(2 + N)*S(R(-4,1),2 + N)*cf^2*nf
       + 192*theta( - 3 + N)*den(2 + N)*S(R(-4,1),2 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 416/3*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*ca*nf
       + 992/5*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf^2*nf
       + 64*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*ca*nf^2
       - 33592/15*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*ca^2*nf
       - 128*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*cf^2*nf
       - 640*theta( - 3 + N)*den(2 + N)*S(R(-3,1),2 + N)*ca^2*nf
       - 47488/75*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 1536*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf*z3
       - 43664/75*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf
       + 5056/45*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*nf^2
       + 1536*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf*z3
       + 2176/5*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf
       - 544/9*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca*nf^2
       + 384*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca^2*nf*z3
       - 10136/45*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]
       - 448*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den(2 + N)*S(R(-2,-2),2 + N)*ca^2*nf
       + 9728/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 8128/9*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca*nf
       + 49664/45*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*ca*nf^2
       + 60152/45*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*ca^2*nf
       + 128*theta( - 3 + N)*den(2 + N)*S(R(-2,1,1),2 + N)*ca^2*nf
       - 128*theta( - 3 + N)*den(2 + N)*S(R(-2,2),2 + N)*ca^2*nf
       + 768*theta( - 3 + N)*den(2 + N)*S(R(-2,3),2 + N)*cf*ca*nf
       - 768*theta( - 3 + N)*den(2 + N)*S(R(-2,3),2 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(2 + N)*S(R(-2,3),2 + N)*ca^2*nf
       - 4096*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 46976/25*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 256*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z3
       + 742192/225*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf
       + 10912/135*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf^2
       - 384*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf*z3
       - 24736/15*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf
       + 12208/27*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca*nf^2
       - 550852/135*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 640*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf*ca*nf
       + 1024*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*cf^2*nf
       - 768*theta( - 3 + N)*den(2 + N)*S(R(1,-3),2 + N)*ca^2*nf
       - 18944/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 61184/45*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca*nf
       - 11200/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*ca*nf^2
       + 4472/9*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*ca^2*nf
       + 256*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf*ca*nf
       - 512*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*cf^2*nf
       + 640*theta( - 3 + N)*den(2 + N)*S(R(1,-2,1),2 + N)*ca^2*nf
       - 6144*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       + 2816*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 8064/5*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*ca*nf
       + 800/9*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*nf^2
       - 128*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*nf
       + 416/3*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca*nf^2
       - 43936/9*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*ca^2*nf
       - 1024*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 512*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf*ca*nf
       - 512*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*cf^2*nf
       + 128*theta( - 3 + N)*den(2 + N)*S(R(1,1,-2),2 + N)*ca^2*nf
       + 224*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*ca*nf
       + 160*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*ca*nf^2
       - 5920/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*ca^2*nf
       - 384*theta( - 3 + N)*den(2 + N)*S(R(1,1,1,1),2 + N)*ca^2*nf
       + 448*theta( - 3 + N)*den(2 + N)*S(R(1,1,2),2 + N)*ca^2*nf
       + 3072*theta( - 3 + N)*den(2 + N)*S(R(1,1,3),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 688/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*nf^2
       - 128*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*nf
       - 128/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*ca*nf^2
       + 2272*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*ca^2*nf
       + 448*theta( - 3 + N)*den(2 + N)*S(R(1,2,1),2 + N)*ca^2*nf
       + 2304*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 384*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca*nf
       + 576*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^2*nf
       - 352*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*ca^2*nf
       - 3072*theta( - 3 + N)*den(2 + N)*S(R(1,3,1),2 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 3072*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*z3
       - 1408*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 19952/15*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf
       - 896/9*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*nf^2
       + 48*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf
       - 416/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca*nf^2
       + 13472/3*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 384*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf*ca*nf
       + 512*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*cf^2*nf
       - 192*theta( - 3 + N)*den(2 + N)*S(R(2,-2),2 + N)*ca^2*nf
       - 848/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*nf^2
       - 192*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*nf
       + 6112/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*ca^2*nf
       + 448*theta( - 3 + N)*den(2 + N)*S(R(2,1,1),2 + N)*ca^2*nf
       - 384*theta( - 3 + N)*den(2 + N)*S(R(2,2),2 + N)*ca^2*nf
       - 1536*theta( - 3 + N)*den(2 + N)*S(R(2,3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 4608/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 10624/15*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca*nf
       - 384/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*ca*nf^2
       - 1976*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*ca^2*nf
       - 2816*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 640*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca*nf
       - 832*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^2*nf
       - 544*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 96*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf*ca*nf
       + 384*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*cf^2*nf
       + 176*theta( - 3 + N)*den(2 + N)*S(R(4),2 + N)*ca^2*nf
       + 1536*theta( - 3 + N)*den(2 + N)*S(R(4,1),2 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1728/5*theta( - 3 + N)*den(3 + N)*cf*ca*nf*z3
       + 512/5*theta( - 3 + N)*den(3 + N)*cf*nf^2*z3
       - 768/5*theta( - 3 + N)*den(3 + N)*cf^2*nf*z3
       - 14336/5*theta( - 3 + N)*den(3 + N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      z3
       - 3712/5*theta( - 3 + N)*den(3 + N)^2*cf*ca*nf*z3
       + 2816/5*theta( - 3 + N)*den(3 + N)^2*cf^2*nf*z3
       + 1024/5*theta( - 3 + N)*den(3 + N)^2*ca^2*nf*z3
       + 768/5*theta( - 3 + N)*den(3 + N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 117472/225*theta( - 3 + N)*den(3 + N)^3*cf*ca*nf
       + 6848/225*theta( - 3 + N)*den(3 + N)^3*cf*nf^2
       + 17056/75*theta( - 3 + N)*den(3 + N)^3*cf^2*nf
       + 32/5*theta( - 3 + N)*den(3 + N)^3*ca*nf^2
       - 152/5*theta( - 3 + N)*den(3 + N)^3*ca^2*nf
       - 25088/75*theta( - 3 + N)*den(3 + N)^4*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 14592/25*theta( - 3 + N)*den(3 + N)^4*cf*ca*nf
       - 128/5*theta( - 3 + N)*den(3 + N)^4*cf*nf^2
       - 2944/15*theta( - 3 + N)*den(3 + N)^4*cf^2*nf
       + 16*theta( - 3 + N)*den(3 + N)^4*ca^2*nf
       - 1536/5*theta( - 3 + N)*den(3 + N)^5*cf*ca*nf
       + 512/5*theta( - 3 + N)*den(3 + N)^5*cf^2*nf
       + 256/5*theta( - 3 + N)*den(3 + N)^5*ca^2*nf
       - 7168/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 128/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca*nf
       + 1152/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*ca^2*nf
       - 1024/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf*ca*nf
       + 512/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*cf^2*nf
       + 256/5*theta( - 3 + N)*den(3 + N)^3*S(R(-2),3 + N)*ca^2*nf
       + 25088/75*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 11552/25*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca*nf
       + 448/15*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*nf^2
       + 1408/15*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*nf
       - 16*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*ca^2*nf
       - 256/5*theta( - 3 + N)*den(3 + N)^3*S(R(1,1),3 + N)*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(3 + N)^3*S(R(2),3 + N)*cf*ca*nf
       - 384*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf*ca*nf
       + 512/5*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*cf^2*nf
       + 256/5*theta( - 3 + N)*den(3 + N)^2*S(R(-3),3 + N)*ca^2*nf
       - 25088/75*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 25856/75*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca*nf
       - 128/15*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*nf^2
       - 1408/15*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*nf
       + 16*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*ca^2*nf
       + 512*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf*ca*nf
       - 1024/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*cf^2*nf
       - 512/5*theta( - 3 + N)*den(3 + N)^2*S(R(-2,1),3 + N)*ca^2*nf
       + 256/5*theta( - 3 + N)*den(3 + N)^2*S(R(1,-2),3 + N)*cf*ca*nf
       + 352/3*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(3 + N)^2*S(R(2),3 + N)*cf*nf^2
       + 7168/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 2048/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca*nf
       - 1664/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^2*nf
       - 128*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*ca^2*nf
       - 1152/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*cf^2*nf
       + 128/5*theta( - 3 + N)*den(3 + N)*S(R(-4),3 + N)*ca^2*nf
       - 25088/75*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 14592/25*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca*nf
       - 128/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*nf^2
       - 2944/15*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*nf
       + 16*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*ca^2*nf
       + 384*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf*ca*nf
       - 512/5*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*cf^2*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(-3,1),3 + N)*ca^2*nf
       + 768/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 117472/225*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca*nf
       + 6848/225*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*nf^2
       + 17056/75*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*nf
       + 32/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*ca*nf^2
       - 152/5*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*ca^2*nf
       - 768/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf*ca*nf
       + 512/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*cf^2*nf
       + 256/5*theta( - 3 + N)*den(3 + N)*S(R(-2,-2),3 + N)*ca^2*nf
       + 25088/75*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 25856/75*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca*nf
       + 128/15*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*nf^2
       + 1408/15*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*nf
       - 16*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*ca^2*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(-2,1,1),3 + N)*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(3 + N)*S(R(-2,2),3 + N)*cf*ca*nf
       + 14336/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cOlNA^-1*cOlNR*flg11
      *[dabc^2/n]*z3
       + 3712/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca*nf*z3
       - 2816/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^2*nf*z3
       - 1024/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*ca^2*nf*z3
       + 384*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf*ca*nf
       - 512/5*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*cf^2*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(1,-3),3 + N)*ca^2*nf
       + 25088/75*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 25856/75*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca*nf
       + 128/15*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*nf^2
       + 1408/15*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*nf
       - 16*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*ca^2*nf
       - 512*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf*ca*nf
       + 1024/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*cf^2*nf
       + 512/5*theta( - 3 + N)*den(3 + N)*S(R(1,-2,1),3 + N)*ca^2*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(1,1,-2),3 + N)*cf*ca*nf
       - 352/3*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(3 + N)*S(R(1,2),3 + N)*cf*nf^2
       - 7168/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       - 2048/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca*nf
       + 1664/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^2*nf
       + 128*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*ca^2*nf
       + 256/5*theta( - 3 + N)*den(3 + N)*S(R(2,-2),3 + N)*cf*ca*nf
       + 352/3*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(3 + N)*S(R(2,1),3 + N)*cf*nf^2
       + 7168/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cOlNA^-1*cOlNR*
      flg11*[dabc^2/n]
       + 2048/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca*nf
       - 1664/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^2*nf
       - 128*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*ca^2*nf
       + 384/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf*ca*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*cf^2*nf
       - 128/5*theta( - 3 + N)*den(3 + N)*S(R(4),3 + N)*ca^2*nf
       + 11264/15*theta( - 3 + N)*den(N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 17152/225*theta( - 3 + N)*den(N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 14608/15*theta( - 3 + N)*den(N)*cf*ca*nf*z3
       - 137812/675*theta( - 3 + N)*den(N)*cf*ca*nf
       + 393496/675*theta( - 3 + N)*den(N)*cf*nf^2
       - 13664/15*theta( - 3 + N)*den(N)*cf^2*nf*z3
       + 1504/75*theta( - 3 + N)*den(N)*cf^2*nf
       - 6364/135*theta( - 3 + N)*den(N)*ca*nf^2
       - 5056/15*theta( - 3 + N)*den(N)*ca^2*nf*z3
       + 6472/27*theta( - 3 + N)*den(N)*ca^2*nf
       + 768/25*theta( - 3 + N)*den(N)^2*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 192*theta( - 3 + N)*den(N)^2*cf*ca*nf*z3
       + 6572/135*theta( - 3 + N)*den(N)^2*cf*ca*nf
       - 254648/675*theta( - 3 + N)*den(N)^2*cf*nf^2
       + 384*theta( - 3 + N)*den(N)^2*cf^2*nf*z3
       - 2296/225*theta( - 3 + N)*den(N)^2*cf^2*nf
       + 424/45*theta( - 3 + N)*den(N)^2*ca*nf^2
       + 20944/45*theta( - 3 + N)*den(N)^2*ca^2*nf
       + 20608/225*theta( - 3 + N)*den(N)^3*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 1336/225*theta( - 3 + N)*den(N)^3*cf*ca*nf
       + 2288/15*theta( - 3 + N)*den(N)^3*cf*nf^2
       - 500/9*theta( - 3 + N)*den(N)^3*cf^2*nf
       + 16/3*theta( - 3 + N)*den(N)^3*ca*nf^2
       + 2764/15*theta( - 3 + N)*den(N)^3*ca^2*nf
       - 464/5*theta( - 3 + N)*den(N)^4*cf*ca*nf
       - 80*theta( - 3 + N)*den(N)^4*cf*nf^2
       + 40*theta( - 3 + N)*den(N)^4*cf^2*nf
       + 160*theta( - 3 + N)*den(N)^4*ca^2*nf
       - 128*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(N)^3*S(R(-2),N)*cf^2*nf
       + 5632/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 1232/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*nf^2
       - 64/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*nf
       - 1544/15*theta( - 3 + N)*den(N)^3*S(R(1),N)*ca^2*nf
       - 256*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf*ca*nf
       + 512*theta( - 3 + N)*den(N)^2*S(R(-3),N)*cf^2*nf
       + 3264/5*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca*nf
       - 12352/15*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*nf
       + 1264/15*theta( - 3 + N)*den(N)^2*S(R(-2),N)*ca^2*nf
       + 128*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(N)^2*S(R(-2,1),N)*cf^2*nf
       + 36352/225*theta( - 3 + N)*den(N)^2*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 46304/225*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf
       - 6208/45*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*nf^2
       + 3856/15*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf
       - 56/9*theta( - 3 + N)*den(N)^2*S(R(1),N)*ca^2*nf
       + 128*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(N)^2*S(R(1,-2),N)*cf^2*nf
       - 64/15*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*nf^2
       + 64*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*nf
       - 96*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*ca^2*nf
       + 64/15*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf*nf^2
       - 48*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*nf
       + 64*theta( - 3 + N)*den(N)^2*S(R(2),N)*ca^2*nf
       - 128*theta( - 3 + N)*den(N)*S(R(-4),N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(N)*S(R(-4),N)*cf^2*nf
       + 6656/15*theta( - 3 + N)*den(N)*S(R(-3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 992*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca*nf
       - 22528/15*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*nf
       - 64/15*theta( - 3 + N)*den(N)*S(R(-3),N)*ca^2*nf
       + 32*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(-3,1),N)*cf^2*nf
       - 23552/25*theta( - 3 + N)*den(N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 388144/225*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf
       - 2848/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*nf^2
       + 78944/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(N)*S(R(-2),N)*ca*nf^2
       + 19876/45*theta( - 3 + N)*den(N)*S(R(-2),N)*ca^2*nf
       - 6656/15*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 1696/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca*nf
       + 4032/5*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*nf
       + 1808/15*theta( - 3 + N)*den(N)*S(R(-2,1),N)*ca^2*nf
       - 1536*theta( - 3 + N)*den(N)*S(R(1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
      *z3
       + 2944/25*theta( - 3 + N)*den(N)*S(R(1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 608*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf*z3
       - 28892/225*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf
       + 1464/5*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2
       + 448*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf*z3
       + 6604/45*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(N)*S(R(1),N)*ca*nf^2
       + 192*theta( - 3 + N)*den(N)*S(R(1),N)*ca^2*nf*z3
       - 356*theta( - 3 + N)*den(N)*S(R(1),N)*ca^2*nf
       + 224*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(N)*S(R(1,-3),N)*cf^2*nf
       - 6656/15*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 13664/15*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca*nf
       + 2752/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*nf
       + 272*theta( - 3 + N)*den(N)*S(R(1,-2),N)*ca^2*nf
       - 64*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(N)*S(R(1,-2,1),N)*cf^2*nf
       - 864/5*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca*nf
       + 224/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf^2
       + 88*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf
       - 32/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*ca*nf^2
       + 896/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*ca^2*nf
       - 128*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf*ca*nf
       + 256*theta( - 3 + N)*den(N)*S(R(1,1,-2),N)*cf^2*nf
       - 16*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*ca*nf
       - 80*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2*nf
       + 192*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*ca^2*nf
       + 48*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*nf
       - 224*theta( - 3 + N)*den(N)*S(R(1,2),N)*ca^2*nf
       + 768*theta( - 3 + N)*den(N)*S(R(1,3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       + 416*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf*ca*nf
       - 448*theta( - 3 + N)*den(N)*S(R(1,3),N)*cf^2*nf
       - 96*theta( - 3 + N)*den(N)*S(R(1,3),N)*ca^2*nf
       + 864/5*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca*nf
       - 224/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf*nf^2
       - 104*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den(N)*S(R(2),N)*ca*nf^2
       - 688/3*theta( - 3 + N)*den(N)*S(R(2),N)*ca^2*nf
       + 128*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(N)*S(R(2,-2),N)*cf^2*nf
       + 16*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca*nf
       + 96*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*nf
       - 224*theta( - 3 + N)*den(N)*S(R(2,1),N)*ca^2*nf
       - 5632/15*theta( - 3 + N)*den(N)*S(R(3),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 3392/15*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca*nf
       - 1264/15*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*nf
       + 1112/3*theta( - 3 + N)*den(N)*S(R(3),N)*ca^2*nf
       - 768*theta( - 3 + N)*den(N)*S(R(3,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]
       - 480*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf*ca*nf
       + 576*theta( - 3 + N)*den(N)*S(R(3,1),N)*cf^2*nf
       + 96*theta( - 3 + N)*den(N)*S(R(3,1),N)*ca^2*nf
       + 128*theta( - 3 + N)*den(N)*S(R(4),N)*cf*ca*nf
       - 256*theta( - 3 + N)*den(N)*S(R(4),N)*cf^2*nf
       - 128/15*theta( - 3 + N)*S(R(-5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       + 128/15*theta( - 3 + N)*S(R(-5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2
       - 128/15*theta( - 3 + N)*S(R(-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 256/15*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N*
      z3
       - 256/15*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2
      *z3
       - 128/15*theta( - 3 + N)*S(R(-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 256/15*theta( - 3 + N)*S(R(-2,-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N
       + 256/15*theta( - 3 + N)*S(R(-2,-3),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^2
       + 512/15*theta( - 3 + N)*S(R(-2,-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*N
       - 512/15*theta( - 3 + N)*S(R(-2,-2,1),N)*cOlNA^-1*cOlNR*flg11*
      [dabc^2/n]*N^2
       + 256/15*theta( - 3 + N)*S(R(-2,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       + 256/15*theta( - 3 + N)*S(R(3,-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       - 256/15*theta( - 3 + N)*S(R(3,-2),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^2
       - 256/15*theta( - 3 + N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       + 256/15*theta( - 3 + N)*S(R(4,1),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*
      N^2
       + 128/15*theta( - 3 + N)*S(R(5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N
       - 128/15*theta( - 3 + N)*S(R(5),N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*N^2
       + 7616/15*delta( - 2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z3
       - 1792/3*delta( - 2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]*z5
       + 16/3*delta( - 2 + N)*cOlNA^-1*cOlNR*flg11*[dabc^2/n]
       - 248/5*delta( - 2 + N)*cf*ca*nf*z3
       + 80/3*delta( - 2 + N)*cf*ca*nf*z5
       - 71657/1215*delta( - 2 + N)*cf*ca*nf
       + 256/45*delta( - 2 + N)*cf*nf^2*z3
       + 9031/1215*delta( - 2 + N)*cf*nf^2
       + 928/45*delta( - 2 + N)*cf^2*nf*z3
       - 160/3*delta( - 2 + N)*cf^2*nf*z5
       + 51283/1215*delta( - 2 + N)*cf^2*nf
       + 4/15*delta( - 2 + N)*ca*nf^2*z3
       - 5431/405*delta( - 2 + N)*ca*nf^2
       - 148/5*delta( - 2 + N)*ca^2*nf*z3
       + 64/3*delta( - 2 + N)*ca^2*nf*z5
       + 235283/2430*delta( - 2 + N)*ca^2*nf
      ;


L   cLqqps3 =
       + 256/15*theta( - 3 + N)*den( - 2 + N)*cf^2*nf*z3
       + 512/45*theta( - 3 + N)*den( - 2 + N)^2*S(R(-2), - 2 + N)*cf^2*nf
       + 256/45*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf*ca*nf
       + 128/15*theta( - 3 + N)*den( - 2 + N)*S(R(-3), - 2 + N)*cf^2*nf
       - 64/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*ca*nf
       - 128/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf*nf^2
       - 4736/675*theta( - 3 + N)*den( - 2 + N)*S(R(-2), - 2 + N)*cf^2*nf
       - 256/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf*ca*nf
       + 128/45*theta( - 3 + N)*den( - 2 + N)*S(R(-2,1), - 2 + N)*cf^2*nf
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf*ca*nf*z3
       + 1024/15*theta( - 3 + N)*den( - 2 + N)*S(R(1), - 2 + N)*cf^2*nf*z3
       - 256/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf*ca*nf
       + 128/45*theta( - 3 + N)*den( - 2 + N)*S(R(1,-2), - 2 + N)*cf^2*nf
       + 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf*ca*nf
       - 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(1,3), - 2 + N)*cf^2*nf
       - 256/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf*ca*nf
       + 512/15*theta( - 3 + N)*den( - 2 + N)*S(R(3,1), - 2 + N)*cf^2*nf
       + 384/5*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf*z3
       - 71344/135*theta( - 3 + N)*den( - 1 + N)*cf*ca*nf
       + 15808/405*theta( - 3 + N)*den( - 1 + N)*cf*nf^2
       - 1984/15*theta( - 3 + N)*den( - 1 + N)*cf^2*nf*z3
       + 30464/675*theta( - 3 + N)*den( - 1 + N)*cf^2*nf
       + 11456/135*theta( - 3 + N)*den( - 1 + N)^2*cf*ca*nf
       - 128/45*theta( - 3 + N)*den( - 1 + N)^2*cf*nf^2
       - 6656/675*theta( - 3 + N)*den( - 1 + N)^2*cf^2*nf
       + 256/45*theta( - 3 + N)*den( - 1 + N)^3*cf*ca*nf
       + 128/15*theta( - 3 + N)*den( - 1 + N)^3*cf^2*nf
       + 256/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf*ca*nf
       - 512/15*theta( - 3 + N)*den( - 1 + N)^3*S(R(1), - 1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(-2), - 1 + N)*cf*ca*nf
       + 128/5*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf*ca*nf
       - 1408/45*theta( - 3 + N)*den( - 1 + N)^2*S(R(1), - 1 + N)*cf^2*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(1,1), - 1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)^2*S(R(2), - 1 + N)*cf*ca*nf
       - 320/3*theta( - 3 + N)*den( - 1 + N)*S(R(-3), - 1 + N)*cf*ca*nf
       - 4144/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*ca*nf
       + 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf*nf^2
       + 352/45*theta( - 3 + N)*den( - 1 + N)*S(R(-2), - 1 + N)*cf^2*nf
       + 224/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(-2,1), - 1 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf*z3
       + 8176/135*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*ca*nf
       + 160/27*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf*nf^2
       - 256/3*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf*z3
       - 19904/135*theta( - 3 + N)*den( - 1 + N)*S(R(1), - 1 + N)*cf^2*nf
       + 32/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,-2), - 1 + N)*cf^2*nf
       - 1168/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf*nf^2
       - 208/9*theta( - 3 + N)*den( - 1 + N)*S(R(1,1), - 1 + N)*cf^2*nf
       - 160/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,1,1), - 1 + N)*cf^2*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,2), - 1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(1,3), - 1 + N)*cf^2*nf
       + 1264/9*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf*ca*nf
       + 64/9*theta( - 3 + N)*den( - 1 + N)*S(R(2), - 1 + N)*cf^2*nf
       + 160/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(2,1), - 1 + N)*cf^2*nf
       - 1216/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf*ca*nf
       + 512/15*theta( - 3 + N)*den( - 1 + N)*S(R(3), - 1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den( - 1 + N)*S(R(3,1), - 1 + N)*cf^2*nf
       + 1504/15*theta( - 3 + N)*den(1 + N)*cf*ca*nf*z3
       + 30944/27*theta( - 3 + N)*den(1 + N)*cf*ca*nf
       + 3584/135*theta( - 3 + N)*den(1 + N)*cf*nf^2
       - 896/5*theta( - 3 + N)*den(1 + N)*cf^2*nf*z3
       - 108544/675*theta( - 3 + N)*den(1 + N)*cf^2*nf
       + 992/3*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf*z3
       - 101824/135*theta( - 3 + N)*den(1 + N)^2*cf*ca*nf
       + 8992/135*theta( - 3 + N)*den(1 + N)^2*cf*nf^2
       - 1600/3*theta( - 3 + N)*den(1 + N)^2*cf^2*nf*z3
       + 11904/25*theta( - 3 + N)*den(1 + N)^2*cf^2*nf
       + 8192/15*theta( - 3 + N)*den(1 + N)^3*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)^3*cf*nf^2
       + 4544/27*theta( - 3 + N)*den(1 + N)^3*cf^2*nf
       - 3536/9*theta( - 3 + N)*den(1 + N)^4*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^4*cf*nf^2
       - 2000/9*theta( - 3 + N)*den(1 + N)^4*cf^2*nf
       + 1216/3*theta( - 3 + N)*den(1 + N)^5*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^5*cf^2*nf
       - 400*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf*ca*nf
       - 320*theta( - 3 + N)*den(1 + N)^4*S(R(1),1 + N)*cf^2*nf
       - 224/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(1 + N)^3*S(R(-2),1 + N)*cf^2*nf
       - 944/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf*ca*nf
       + 18688/45*theta( - 3 + N)*den(1 + N)^3*S(R(1),1 + N)*cf^2*nf
       + 352*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf*ca*nf
       + 128*theta( - 3 + N)*den(1 + N)^3*S(R(1,1),1 + N)*cf^2*nf
       - 320*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(1 + N)^3*S(R(2),1 + N)*cf^2*nf
       - 608/3*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(1 + N)^2*S(R(-3),1 + N)*cf^2*nf
       - 1664/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf*ca*nf
       + 320/9*theta( - 3 + N)*den(1 + N)^2*S(R(-2),1 + N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(1 + N)^2*S(R(-2,1),1 + N)*cf^2*nf
       + 1424/9*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*ca*nf
       + 352/9*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf*nf^2
       - 2576/15*theta( - 3 + N)*den(1 + N)^2*S(R(1),1 + N)*cf^2*nf
       - 256/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf*ca*nf
       + 704/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,-2),1 + N)*cf^2*nf
       - 16/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*ca*nf
       - 32/3*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf*nf^2
       - 208*theta( - 3 + N)*den(1 + N)^2*S(R(1,1),1 + N)*cf^2*nf
       - 160*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf*ca*nf
       - 32*theta( - 3 + N)*den(1 + N)^2*S(R(1,1,1),1 + N)*cf^2*nf
       + 160*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(1,2),1 + N)*cf^2*nf
       + 32*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf*ca*nf
       + 96*theta( - 3 + N)*den(1 + N)^2*S(R(2),1 + N)*cf^2*nf
       + 160*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(1 + N)^2*S(R(2,1),1 + N)*cf^2*nf
       - 880/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf*ca*nf
       + 512/3*theta( - 3 + N)*den(1 + N)^2*S(R(3),1 + N)*cf^2*nf
       + 928/9*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf*ca*nf
       - 256/3*theta( - 3 + N)*den(1 + N)*S(R(-3),1 + N)*cf^2*nf
       + 10192/45*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*ca*nf
       - 128/9*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf*nf^2
       + 56992/135*theta( - 3 + N)*den(1 + N)*S(R(-2),1 + N)*cf^2*nf
       - 928/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf*ca*nf
       + 320/9*theta( - 3 + N)*den(1 + N)*S(R(-2,1),1 + N)*cf^2*nf
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf*z3
       - 3424/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*ca*nf
       - 32/9*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf*nf^2
       + 256/3*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf*z3
       - 13856/45*theta( - 3 + N)*den(1 + N)*S(R(1),1 + N)*cf^2*nf
       - 928/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf*ca*nf
       + 1472/9*theta( - 3 + N)*den(1 + N)*S(R(1,-2),1 + N)*cf^2*nf
       + 704/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf*ca*nf
       - 512/3*theta( - 3 + N)*den(1 + N)*S(R(1,1),1 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(1 + N)*S(R(1,3),1 + N)*cf^2*nf
       - 752/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf*ca*nf
       + 544/3*theta( - 3 + N)*den(1 + N)*S(R(2),1 + N)*cf^2*nf
       - 752/15*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf*ca*nf
       + 1024/15*theta( - 3 + N)*den(1 + N)*S(R(3),1 + N)*cf^2*nf
       - 64/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(1 + N)*S(R(3,1),1 + N)*cf^2*nf
       + 2048/15*theta( - 3 + N)*den(2 + N)*cf*ca*nf*z3
       - 59152/45*theta( - 3 + N)*den(2 + N)*cf*ca*nf
       + 20672/405*theta( - 3 + N)*den(2 + N)*cf*nf^2
       - 1152/5*theta( - 3 + N)*den(2 + N)*cf^2*nf*z3
       + 1136/675*theta( - 3 + N)*den(2 + N)*cf^2*nf
       - 256/3*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf*z3
       - 161648/135*theta( - 3 + N)*den(2 + N)^2*cf*ca*nf
       - 8224/135*theta( - 3 + N)*den(2 + N)^2*cf*nf^2
       + 512/3*theta( - 3 + N)*den(2 + N)^2*cf^2*nf*z3
       + 12944/675*theta( - 3 + N)*den(2 + N)^2*cf^2*nf
       - 61472/45*theta( - 3 + N)*den(2 + N)^3*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)^3*cf*nf^2
       - 64*theta( - 3 + N)*den(2 + N)^3*cf^2*nf
       + 256*theta( - 3 + N)*den(2 + N)^4*cf^2*nf
       - 128/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(2 + N)^4*S(R(1),2 + N)*cf^2*nf
       - 512/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf*ca*nf
       - 1536/5*theta( - 3 + N)*den(2 + N)^3*S(R(1),2 + N)*cf^2*nf
       - 704/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(-2),2 + N)*cf^2*nf
       + 3408/5*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*ca*nf
       + 64/9*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf*nf^2
       + 1984/15*theta( - 3 + N)*den(2 + N)^2*S(R(1),2 + N)*cf^2*nf
       + 448/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf*ca*nf
       + 320/3*theta( - 3 + N)*den(2 + N)^2*S(R(1,1),2 + N)*cf^2*nf
       - 448/3*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(2 + N)^2*S(R(2),2 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf*ca*nf
       - 256/3*theta( - 3 + N)*den(2 + N)^2*S(R(3),2 + N)*cf^2*nf
       - 640/3*theta( - 3 + N)*den(2 + N)*S(R(-3),2 + N)*cf*ca*nf
       - 15616/45*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*ca*nf
       + 128/9*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf*nf^2
       + 256/15*theta( - 3 + N)*den(2 + N)*S(R(-2),2 + N)*cf^2*nf
       + 448/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf*ca*nf
       - 128/3*theta( - 3 + N)*den(2 + N)*S(R(-2,1),2 + N)*cf^2*nf
       + 256/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf*z3
       + 81104/135*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*ca*nf
       + 608/27*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf*nf^2
       - 512/3*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf*z3
       - 28816/135*theta( - 3 + N)*den(2 + N)*S(R(1),2 + N)*cf^2*nf
       + 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)*S(R(1,-2),2 + N)*cf^2*nf
       - 1616/9*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf*nf^2
       - 512/9*theta( - 3 + N)*den(2 + N)*S(R(1,1),2 + N)*cf^2*nf
       - 320/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(2 + N)*S(R(1,1,1),2 + N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)*S(R(1,2),2 + N)*cf^2*nf
       - 128/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf*ca*nf
       + 256/3*theta( - 3 + N)*den(2 + N)*S(R(1,3),2 + N)*cf^2*nf
       + 1760/9*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf*ca*nf
       - 64/9*theta( - 3 + N)*den(2 + N)*S(R(2),2 + N)*cf^2*nf
       + 320/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf*ca*nf
       + 128/3*theta( - 3 + N)*den(2 + N)*S(R(2,1),2 + N)*cf^2*nf
       - 768/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(2 + N)*S(R(3),2 + N)*cf^2*nf
       + 128/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf*ca*nf
       - 256/3*theta( - 3 + N)*den(2 + N)*S(R(3,1),2 + N)*cf^2*nf
       + 128/5*theta( - 3 + N)*den(3 + N)*cf^2*nf*z3
       + 256/5*theta( - 3 + N)*den(3 + N)^2*cf*ca*nf*z3
       - 512/5*theta( - 3 + N)*den(3 + N)^2*cf^2*nf*z3
       - 32/15*theta( - 3 + N)*den(3 + N)^3*cf*ca*nf
       - 64/15*theta( - 3 + N)*den(3 + N)^3*cf*nf^2
       - 1088/225*theta( - 3 + N)*den(3 + N)^3*cf^2*nf
       + 128/15*theta( - 3 + N)*den(3 + N)^4*cf*ca*nf
       + 64/5*theta( - 3 + N)*den(3 + N)^4*cf^2*nf
       + 128/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf*ca*nf
       - 256/5*theta( - 3 + N)*den(3 + N)^4*S(R(1),3 + N)*cf^2*nf
       - 128/15*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf*ca*nf
       + 64/15*theta( - 3 + N)*den(3 + N)^3*S(R(1),3 + N)*cf^2*nf
       + 128/15*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf*ca*nf
       - 64/15*theta( - 3 + N)*den(3 + N)^2*S(R(-2),3 + N)*cf^2*nf
       - 128/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(3 + N)^2*S(R(3),3 + N)*cf^2*nf
       + 128/15*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf*ca*nf
       + 64/5*theta( - 3 + N)*den(3 + N)*S(R(-3),3 + N)*cf^2*nf
       - 32/15*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*ca*nf
       - 64/15*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf*nf^2
       - 1088/225*theta( - 3 + N)*den(3 + N)*S(R(-2),3 + N)*cf^2*nf
       - 128/15*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf*ca*nf
       + 64/15*theta( - 3 + N)*den(3 + N)*S(R(-2,1),3 + N)*cf^2*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf*ca*nf*z3
       + 512/5*theta( - 3 + N)*den(3 + N)*S(R(1),3 + N)*cf^2*nf*z3
       - 128/15*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf*ca*nf
       + 64/15*theta( - 3 + N)*den(3 + N)*S(R(1,-2),3 + N)*cf^2*nf
       + 128/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf*ca*nf
       - 256/5*theta( - 3 + N)*den(3 + N)*S(R(1,3),3 + N)*cf^2*nf
       - 128/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(3 + N)*S(R(3,1),3 + N)*cf^2*nf
       - 1568/5*theta( - 3 + N)*den(N)*cf*ca*nf*z3
       + 6272/9*theta( - 3 + N)*den(N)*cf*ca*nf
       - 5248/45*theta( - 3 + N)*den(N)*cf*nf^2
       + 2496/5*theta( - 3 + N)*den(N)*cf^2*nf*z3
       + 25648/225*theta( - 3 + N)*den(N)*cf^2*nf
       + 6832/45*theta( - 3 + N)*den(N)^2*cf*ca*nf
       + 256/5*theta( - 3 + N)*den(N)^2*cf*nf^2
       - 67952/675*theta( - 3 + N)*den(N)^2*cf^2*nf
       + 15376/45*theta( - 3 + N)*den(N)^3*cf*ca*nf
       - 64/3*theta( - 3 + N)*den(N)^3*cf*nf^2
       - 112/3*theta( - 3 + N)*den(N)^3*cf^2*nf
       + 160*theta( - 3 + N)*den(N)^4*cf*ca*nf
       - 160*theta( - 3 + N)*den(N)^4*cf^2*nf
       - 624/5*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf*ca*nf
       + 1408/5*theta( - 3 + N)*den(N)^3*S(R(1),N)*cf^2*nf
       + 96*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf*ca*nf
       + 640/3*theta( - 3 + N)*den(N)^2*S(R(-2),N)*cf^2*nf
       - 992/9*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf*ca*nf
       - 11488/45*theta( - 3 + N)*den(N)^2*S(R(1),N)*cf^2*nf
       - 32*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf*ca*nf
       - 128*theta( - 3 + N)*den(N)^2*S(R(1,1),N)*cf^2*nf
       + 128*theta( - 3 + N)*den(N)^2*S(R(2),N)*cf^2*nf
       + 608/3*theta( - 3 + N)*den(N)*S(R(-3),N)*cf*ca*nf
       + 64*theta( - 3 + N)*den(N)*S(R(-3),N)*cf^2*nf
       + 9728/45*theta( - 3 + N)*den(N)*S(R(-2),N)*cf*ca*nf
       - 2176/5*theta( - 3 + N)*den(N)*S(R(-2),N)*cf^2*nf
       - 320/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf*ca*nf
       + 64/3*theta( - 3 + N)*den(N)*S(R(-2,1),N)*cf^2*nf
       - 2528/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*ca*nf
       - 224/9*theta( - 3 + N)*den(N)*S(R(1),N)*cf*nf^2
       + 3344/5*theta( - 3 + N)*den(N)*S(R(1),N)*cf^2*nf
       + 256/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf*ca*nf
       - 704/3*theta( - 3 + N)*den(N)*S(R(1,-2),N)*cf^2*nf
       + 224/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*ca*nf
       + 32/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf*nf^2
       + 752/3*theta( - 3 + N)*den(N)*S(R(1,1),N)*cf^2*nf
       + 160*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf*ca*nf
       + 32*theta( - 3 + N)*den(N)*S(R(1,1,1),N)*cf^2*nf
       - 160*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(1,2),N)*cf^2*nf
       - 256/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf*ca*nf
       - 544/3*theta( - 3 + N)*den(N)*S(R(2),N)*cf^2*nf
       - 160*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf*ca*nf
       - 64*theta( - 3 + N)*den(N)*S(R(2,1),N)*cf^2*nf
       + 1424/5*theta( - 3 + N)*den(N)*S(R(3),N)*cf*ca*nf
       - 768/5*theta( - 3 + N)*den(N)*S(R(3),N)*cf^2*nf
       + 304/5*delta( - 2 + N)*cf*ca*nf*z3
       - 256/3*delta( - 2 + N)*cf*ca*nf*z5
       - 48058/1215*delta( - 2 + N)*cf*ca*nf
       + 64/15*delta( - 2 + N)*cf*nf^2*z3
       + 3364/405*delta( - 2 + N)*cf*nf^2
       - 5056/45*delta( - 2 + N)*cf^2*nf*z3
       + 512/3*delta( - 2 + N)*cf^2*nf*z5
       - 46898/1215*delta( - 2 + N)*cf^2*nf
      ;



L   Xc2qq0 =

       + delta([1-x]) * (
          + 1
          );

L   Xc2qq1 =

       + cf * (
          + 6
          - 3*[1-x]^-1
          + 4*x
          + 2*H(R(0),x)
          - 4*H(R(0),x)*[1-x]^-1
          + 2*H(R(0),x)*x
          + 2*H(R(1),x)
          - 4*H(R(1),x)*[1-x]^-1
          + 2*H(R(1),x)*x
          )

       + delta([1-x])*cf * (
          - 9
          - 4*z2
          );

L   Xc2gg1 =

       + nf * (
          - 2
          + 16*x
          - 16*x^2
          - 2*H(R(0),x)
          + 4*H(R(0),x)*x
          - 4*H(R(0),x)*x^2
          - 2*H(R(1),x)
          + 4*H(R(1),x)*x
          - 4*H(R(1),x)*x^2
          );

L   Xc2qq2 =

       + nf*cf * (
          - 158/27
          - 16/3*[1-x]^-1*z2
          + 247/27*[1-x]^-1
          + 8/3*z2*x
          + 8/3*z2
          - 488/27*x
          - 26/3*H(R(0),x)
          + 38/3*H(R(0),x)*[1-x]^-1
          - 38/3*H(R(0),x)*x
          - 10/3*H(R(0,0),x)
          + 20/3*H(R(0,0),x)*[1-x]^-1
          - 10/3*H(R(0,0),x)*x
          - 32/9*H(R(1),x)
          + 58/9*H(R(1),x)*[1-x]^-1
          - 68/9*H(R(1),x)*x
          - 4/3*H(R(1,0),x)
          + 8/3*H(R(1,0),x)*[1-x]^-1
          - 4/3*H(R(1,0),x)*x
          - 4/3*H(R(1,1),x)
          + 8/3*H(R(1,1),x)*[1-x]^-1
          - 4/3*H(R(1,1),x)*x
          - 8/3*H(R(2),x)
          + 16/3*H(R(2),x)*[1-x]^-1
          - 8/3*H(R(2),x)*x
          )

       + cf*ca * (
          + 3709/135
          + 88/3*[1-x]^-1*z2
          + 4*[1-x]^-1*z3
          - 3155/54*[1-x]^-1
          - 28*[1+x]^-1*z3
          - 104/3*z2*x
          + 72/5*z2*x^3
          - 44/3*z2
          - 56*z3*x
          + 12*z3
          - 8/5*x^-1
          + 17626/135*x
          - 72/5*x^2
          + 16*H(R(-2,0),x)
          - 24*H(R(-2,0),x)*[1-x]^-1
          - 24*H(R(-2,0),x)*[1+x]^-1
          + 32*H(R(-1),x)*[1+x]^-1*z2
          + 36*H(R(-1),x)*z2*x
          - 12*H(R(-1),x)*z2
          - 8*H(R(-1,-1,0),x)
          + 32*H(R(-1,-1,0),x)*[1+x]^-1
          + 56*H(R(-1,-1,0),x)*x
          - 36*H(R(-1,0),x)
          - 8/5*H(R(-1,0),x)*x^-2
          - 20*H(R(-1,0),x)*x
          + 72/5*H(R(-1,0),x)*x^3
          + 16*H(R(-1,0,0),x)
          - 40*H(R(-1,0,0),x)*[1+x]^-1
          - 40*H(R(-1,0,0),x)*x
          + 8*H(R(-1,2),x)
          - 16*H(R(-1,2),x)*[1+x]^-1
          - 8*H(R(-1,2),x)*x
          + 583/15*H(R(0),x)
          + 8*H(R(0),x)*[1-x]^-1*z2
          - 239/3*H(R(0),x)*[1-x]^-1
          - 8*H(R(0),x)*[1+x]^-1*z2
          + 8*H(R(0),x)*[1+x]^-1
          - 8*H(R(0),x)*z2*x
          + 8/5*H(R(0),x)*x^-1
          + 1693/15*H(R(0),x)*x
          - 72/5*H(R(0),x)*x^2
          + 55/3*H(R(0,0),x)
          - 110/3*H(R(0,0),x)*[1-x]^-1
          + 115/3*H(R(0,0),x)*x
          - 72/5*H(R(0,0),x)*x^3
          - 12*H(R(0,0,0),x)*[1-x]^-1
          + 12*H(R(0,0,0),x)*[1+x]^-1
          + 12*H(R(0,0,0),x)*x
          + 56/9*H(R(1),x)
          + 24*H(R(1),x)*[1-x]^-1*z2
          - 367/9*H(R(1),x)*[1-x]^-1
          - 32*H(R(1),x)*z2*x
          - 8*H(R(1),x)*z2
          + 668/9*H(R(1),x)*x
          + 22/3*H(R(1,0),x)
          - 44/3*H(R(1,0),x)*[1-x]^-1
          + 22/3*H(R(1,0),x)*x
          + 4*H(R(1,0,0),x)
          - 16*H(R(1,0,0),x)*[1-x]^-1
          + 28*H(R(1,0,0),x)*x
          + 22/3*H(R(1,1),x)
          - 44/3*H(R(1,1),x)*[1-x]^-1
          + 22/3*H(R(1,1),x)*x
          - 4*H(R(1,1,0),x)
          + 8*H(R(1,1,0),x)*[1-x]^-1
          - 4*H(R(1,1,0),x)*x
          + 4*H(R(1,2),x)
          - 8*H(R(1,2),x)*[1-x]^-1
          + 4*H(R(1,2),x)*x
          + 44/3*H(R(2),x)
          - 88/3*H(R(2),x)*[1-x]^-1
          + 44/3*H(R(2),x)*x
          - 8*H(R(3),x)*[1-x]^-1
          + 8*H(R(3),x)*[1+x]^-1
          + 8*H(R(3),x)*x
          )

       + cf^2 * (
          - 124/5
          + 24*[1-x]^-1*z2
          + 64*[1-x]^-1*z3
          + 51/2*[1-x]^-1
          + 56*[1+x]^-1*z3
          - 8*z2*x
          - 144/5*z2*x^3
          - 32*z2
          + 72*z3*x
          - 64*z3
          + 16/5*x^-1
          - 461/5*x
          + 144/5*x^2
          - 32*H(R(-2,0),x)
          + 48*H(R(-2,0),x)*[1-x]^-1
          + 48*H(R(-2,0),x)*[1+x]^-1
          - 64*H(R(-1),x)*[1+x]^-1*z2
          - 72*H(R(-1),x)*z2*x
          + 24*H(R(-1),x)*z2
          + 16*H(R(-1,-1,0),x)
          - 64*H(R(-1,-1,0),x)*[1+x]^-1
          - 112*H(R(-1,-1,0),x)*x
          + 72*H(R(-1,0),x)
          + 16/5*H(R(-1,0),x)*x^-2
          + 40*H(R(-1,0),x)*x
          - 144/5*H(R(-1,0),x)*x^3
          - 32*H(R(-1,0,0),x)
          + 80*H(R(-1,0,0),x)*[1+x]^-1
          + 80*H(R(-1,0,0),x)*x
          - 16*H(R(-1,2),x)
          + 32*H(R(-1,2),x)*[1+x]^-1
          + 16*H(R(-1,2),x)*x
          - 132/5*H(R(0),x)
          + 48*H(R(0),x)*[1-x]^-1*z2
          + 61*H(R(0),x)*[1-x]^-1
          + 16*H(R(0),x)*[1+x]^-1*z2
          - 16*H(R(0),x)*[1+x]^-1
          - 24*H(R(0),x)*z2*x
          - 40*H(R(0),x)*z2
          - 16/5*H(R(0),x)*x^-1
          - 502/5*H(R(0),x)*x
          + 144/5*H(R(0),x)*x^2
          + 24*H(R(0,0),x)
          - 6*H(R(0,0),x)*[1-x]^-1
          - 4*H(R(0,0),x)*x
          + 144/5*H(R(0,0),x)*x^3
          + 30*H(R(0,0,0),x)
          - 16*H(R(0,0,0),x)*[1-x]^-1
          - 24*H(R(0,0,0),x)*[1+x]^-1
          + 6*H(R(0,0,0),x)*x
          + 16*H(R(1),x)
          + 16*H(R(1),x)*[1-x]^-1*z2
          + 27*H(R(1),x)*[1-x]^-1
          + 32*H(R(1),x)*z2*x
          - 16*H(R(1),x)*z2
          - 68*H(R(1),x)*x
          + 32*H(R(1,0),x)
          - 36*H(R(1,0),x)*[1-x]^-1
          + 32*H(R(1,0),x)*x
          + 20*H(R(1,0,0),x)
          - 24*H(R(1,0,0),x)*[1-x]^-1
          - 28*H(R(1,0,0),x)*x
          + 28*H(R(1,1),x)
          - 36*H(R(1,1),x)*[1-x]^-1
          + 36*H(R(1,1),x)*x
          + 32*H(R(1,1,0),x)
          - 64*H(R(1,1,0),x)*[1-x]^-1
          + 32*H(R(1,1,0),x)*x
          + 24*H(R(1,1,1),x)
          - 48*H(R(1,1,1),x)*[1-x]^-1
          + 24*H(R(1,1,1),x)*x
          + 24*H(R(1,2),x)
          - 48*H(R(1,2),x)*[1-x]^-1
          + 24*H(R(1,2),x)*x
          + 32*H(R(2),x)
          - 24*H(R(2),x)*[1-x]^-1
          + 48*H(R(2),x)*x
          + 28*H(R(2,0),x)
          - 48*H(R(2,0),x)*[1-x]^-1
          + 28*H(R(2,0),x)*x
          + 32*H(R(2,1),x)
          - 56*H(R(2,1),x)*[1-x]^-1
          + 32*H(R(2,1),x)*x
          + 40*H(R(3),x)
          - 48*H(R(3),x)*[1-x]^-1
          - 16*H(R(3),x)*[1+x]^-1
          + 24*H(R(3),x)*x
          )

       + delta([1-x])*nf*cf * (
          + 457/36
          + 38/3*z2
          + 4/3*z3
          )

       + delta([1-x])*cf*ca * (
          - 5465/72
          - 251/3*z2
          + 71/5*z2^2
          + 140/3*z3
          )

       + delta([1-x])*cf^2 * (
          + 331/8
          + 69*z2
          + 6*z2^2
          - 78*z3
          );

L   Xc2gg2 =

       + nf*cf * (
          - 647/15
          - 104/3*z2*x
          + 72*z2*x^2
          + 96/5*z2*x^3
          + 16*z2
          + 72*z3*x^2
          + 32*z3
          + 8/15*x^-1
          + 239/5*x
          - 36/5*x^2
          + 32*H(R(-2,0),x)
          + 32*H(R(-2,0),x)*x^2
          - 32*H(R(-1),x)*z2*x
          - 16*H(R(-1),x)*z2*x^2
          - 16*H(R(-1),x)*z2
          - 32*H(R(-1,-1,0),x)
          - 64*H(R(-1,-1,0),x)*x
          - 32*H(R(-1,-1,0),x)*x^2
          + 48*H(R(-1,0),x)
          + 8/15*H(R(-1,0),x)*x^-2
          + 64/3*H(R(-1,0),x)*x
          + 96/5*H(R(-1,0),x)*x^3
          + 16*H(R(-1,0,0),x)
          + 32*H(R(-1,0,0),x)*x
          + 16*H(R(-1,0,0),x)*x^2
          - 236/15*H(R(0),x)
          - 32*H(R(0),x)*z2*x
          + 48*H(R(0),x)*z2*x^2
          + 16*H(R(0),x)*z2
          - 8/15*H(R(0),x)*x^-1
          + 113/5*H(R(0),x)*x
          - 216/5*H(R(0),x)*x^2
          - 3*H(R(0,0),x)
          + 44/3*H(R(0,0),x)*x
          - 72*H(R(0,0),x)*x^2
          - 96/5*H(R(0,0),x)*x^3
          - 10*H(R(0,0,0),x)
          + 20*H(R(0,0,0),x)*x
          - 40*H(R(0,0,0),x)*x^2
          - 14*H(R(1),x)
          - 16*H(R(1),x)*z2*x
          + 32*H(R(1),x)*z2*x^2
          + 8*H(R(1),x)*z2
          + 40*H(R(1),x)*x
          - 24*H(R(1),x)*x^2
          - 26*H(R(1,0),x)
          + 80*H(R(1,0),x)*x
          - 72*H(R(1,0),x)*x^2
          - 4*H(R(1,0,0),x)
          + 8*H(R(1,0,0),x)*x
          - 24*H(R(1,0,0),x)*x^2
          - 26*H(R(1,1),x)
          + 80*H(R(1,1),x)*x
          - 72*H(R(1,1),x)*x^2
          - 16*H(R(1,1,0),x)
          + 32*H(R(1,1,0),x)*x
          - 32*H(R(1,1,0),x)*x^2
          - 20*H(R(1,1,1),x)
          + 40*H(R(1,1,1),x)*x
          - 40*H(R(1,1,1),x)*x^2
          - 24*H(R(1,2),x)
          + 48*H(R(1,2),x)*x
          - 48*H(R(1,2),x)*x^2
          - 16*H(R(2),x)
          + 56*H(R(2),x)*x
          - 72*H(R(2),x)*x^2
          - 12*H(R(2,0),x)
          + 24*H(R(2,0),x)*x
          - 32*H(R(2,0),x)*x^2
          - 16*H(R(2,1),x)
          + 32*H(R(2,1),x)*x
          - 40*H(R(2,1),x)*x^2
          - 16*H(R(3),x)
          + 32*H(R(3),x)*x
          - 48*H(R(3),x)*x^2
          )

       + nf*ca * (
          + 239/9
          - 16/3*z2*x^-1
          - 144*z2*x
          + 148*z2*x^2
          + 8*z2
          - 48*z3*x
          + 24*z3*x^2
          + 4*z3
          + 344/27*x^-1
          + 1072/9*x
          - 4493/27*x^2
          + 16*H(R(-2,0),x)*x^2
          - 8*H(R(-1),x)*z2*x
          - 16*H(R(-1),x)*z2*x^2
          - 4*H(R(-1),x)*z2
          + 8*H(R(-1,-1,0),x)
          + 16*H(R(-1,-1,0),x)*x
          - 24*H(R(-1,0),x)
          - 16/3*H(R(-1,0),x)*x^-1
          + 80/3*H(R(-1,0),x)*x^2
          + 8*H(R(-1,0,0),x)
          + 16*H(R(-1,0,0),x)*x
          + 24*H(R(-1,0,0),x)*x^2
          + 8*H(R(-1,2),x)
          + 16*H(R(-1,2),x)*x
          + 16*H(R(-1,2),x)*x^2
          + 58*H(R(0),x)
          - 64*H(R(0),x)*z2*x
          + 16*H(R(0),x)*z2*x^2
          - 8*H(R(0),x)*z2
          + 584/3*H(R(0),x)*x
          - 2090/9*H(R(0),x)*x^2
          - 2*H(R(0,0),x)
          + 176*H(R(0,0),x)*x
          - 388/3*H(R(0,0),x)*x^2
          + 20*H(R(0,0,0),x)
          + 56*H(R(0,0,0),x)*x
          + 62/3*H(R(1),x)
          - 16*H(R(1),x)*z2*x
          + 8*H(R(1),x)*z2*x^2
          + 8*H(R(1),x)*z2
          - 104/9*H(R(1),x)*x^-1
          + 454/3*H(R(1),x)*x
          - 1570/9*H(R(1),x)*x^2
          - 4*H(R(1,0),x)
          + 16/3*H(R(1,0),x)*x^-1
          + 80*H(R(1,0),x)*x
          - 268/3*H(R(1,0),x)*x^2
          - 12*H(R(1,0,0),x)
          + 24*H(R(1,0,0),x)*x
          - 16*H(R(1,0,0),x)*x^2
          - 4*H(R(1,1),x)
          + 16/3*H(R(1,1),x)*x^-1
          + 72*H(R(1,1),x)*x
          - 244/3*H(R(1,1),x)*x^2
          - 12*H(R(1,1,0),x)
          + 24*H(R(1,1,0),x)*x
          - 24*H(R(1,1,0),x)*x^2
          - 4*H(R(1,1,1),x)
          + 8*H(R(1,1,1),x)*x
          - 8*H(R(1,1,1),x)*x^2
          - 4*H(R(1,2),x)
          + 8*H(R(1,2),x)*x
          - 8*H(R(1,2),x)*x^2
          - 8*H(R(2),x)
          + 144*H(R(2),x)*x
          - 148*H(R(2),x)*x^2
          + 48*H(R(2,0),x)*x
          - 16*H(R(2,0),x)*x^2
          + 48*H(R(2,1),x)*x
          - 16*H(R(2,1),x)*x^2
          + 8*H(R(3),x)
          + 64*H(R(3),x)*x
          - 16*H(R(3),x)*x^2
          );

L   Xc2qqps2 =

       + nf*cf * (
          + 158/9
          - 16/3*z2*x^-1
          - 16*z2*x
          + 16*z2*x^2
          - 8*z3*x
          - 8*z3
          + 344/27*x^-1
          - 422/9*x
          + 448/27*x^2
          - 16*H(R(-1,0),x)
          - 16/3*H(R(-1,0),x)*x^-1
          - 16*H(R(-1,0),x)*x
          - 16/3*H(R(-1,0),x)*x^2
          + 56*H(R(0),x)
          - 16*H(R(0),x)*z2*x
          - 16*H(R(0),x)*z2
          - 88/3*H(R(0),x)*x
          - 128/9*H(R(0),x)*x^2
          - 2*H(R(0,0),x)
          + 30*H(R(0,0),x)*x
          - 64/3*H(R(0,0),x)*x^2
          + 20*H(R(0,0,0),x)
          + 20*H(R(0,0,0),x)*x
          + 104/3*H(R(1),x)
          - 104/9*H(R(1),x)*x^-1
          - 80/3*H(R(1),x)*x
          + 32/9*H(R(1),x)*x^2
          + 4*H(R(1,0),x)
          + 16/3*H(R(1,0),x)*x^-1
          - 4*H(R(1,0),x)*x
          - 16/3*H(R(1,0),x)*x^2
          + 4*H(R(1,1),x)
          + 16/3*H(R(1,1),x)*x^-1
          - 4*H(R(1,1),x)*x
          - 16/3*H(R(1,1),x)*x^2
          - 16*H(R(2),x)*x^2
          + 8*H(R(2,0),x)
          + 8*H(R(2,0),x)*x
          + 8*H(R(2,1),x)
          + 8*H(R(2,1),x)*x
          + 16*H(R(3),x)
          + 16*H(R(3),x)*x
          );

L   Xc2qq3 =

       + nf*cf*ca * (
          + 1585417/18225
          - 23156/81*[1-x]^-1*z2
          + 128/15*[1-x]^-1*z2^2
          + 988/27*[1-x]^-1*z3
          + 16*[1-x]^-1*z4
          + 160906/729*[1-x]^-1
          + 1328/81*[1+x]^-1*z2
          + 304/15*[1+x]^-1*z2^2
          + 160/3*[1+x]^-1*z3
          - 16/15*z2*x^-1
          + 216556/405*z2*x
          + 384/5*z2*x^2
          - 1272/25*z2*x^3
          + 13456/135*z2
          + 40/3*z2^2*x
          - 128/5*z2^2*x^2
          + 192/5*z2^2*x^3
          - 128/15*z2^2
          - 16/3*z3*x^-1
          + 5284/27*z3*x
          - 80*z3*x^2
          + 96*z3*x^3
          - 1088/27*z3
          - 8*z4*x
          - 8*z4
          + 1432/225*x^-1
          - 15559367/18225*x
          + 1752/25*x^2
          - 496/9*H(R(-3,0),x)
          + 256/3*H(R(-3,0),x)*[1-x]^-1
          + 800/9*H(R(-3,0),x)*[1+x]^-1
          + 16/9*H(R(-3,0),x)*x
          - 128/3*H(R(-2),x)*[1-x]^-1*z2
          - 416/9*H(R(-2),x)*[1+x]^-1*z2
          - 16/9*H(R(-2),x)*z2*x
          + 208/9*H(R(-2),x)*z2
          + 160/9*H(R(-2,-1,0),x)
          - 704/9*H(R(-2,-1,0),x)*[1+x]^-1
          - 1312/9*H(R(-2,-1,0),x)*x
          + 2560/27*H(R(-2,0),x)
          + 208/3*H(R(-2,0),x)*[1-x]^-1
          + 1600/27*H(R(-2,0),x)*[1+x]^-1
          + 64/15*H(R(-2,0),x)*x^-2
          + 368/27*H(R(-2,0),x)*x
          + 64*H(R(-2,0),x)*x^2
          - 96/5*H(R(-2,0),x)*x^3
          - 592/9*H(R(-2,0,0),x)
          + 256/3*H(R(-2,0,0),x)*[1-x]^-1
          + 1088/9*H(R(-2,0,0),x)*[1+x]^-1
          + 400/9*H(R(-2,0,0),x)*x
          - 128/9*H(R(-2,2),x)
          + 128/3*H(R(-2,2),x)*[1-x]^-1
          + 64/9*H(R(-2,2),x)*[1+x]^-1
          - 640/9*H(R(-2,2),x)*x
          - 1600/27*H(R(-1),x)*[1+x]^-1*z2
          - 256/9*H(R(-1),x)*[1+x]^-1*z3
          - 16/5*H(R(-1),x)*z2*x^-2
          - 3872/27*H(R(-1),x)*z2*x
          + 32*H(R(-1),x)*z2*x^2
          + 144/5*H(R(-1),x)*z2*x^3
          - 1888/27*H(R(-1),x)*z2
          - 608/9*H(R(-1),x)*z3*x
          + 32/9*H(R(-1),x)*z3
          + 160/9*H(R(-1,-2,0),x)
          - 704/9*H(R(-1,-2,0),x)*[1+x]^-1
          - 1312/9*H(R(-1,-2,0),x)*x
          + 320/9*H(R(-1,-1),x)*[1+x]^-1*z2
          + 640/9*H(R(-1,-1),x)*z2*x
          - 64/9*H(R(-1,-1),x)*z2
          - 128/9*H(R(-1,-1,-1,0),x)
          + 640/9*H(R(-1,-1,-1,0),x)*[1+x]^-1
          + 1280/9*H(R(-1,-1,-1,0),x)*x
          - 64*H(R(-1,-1,0),x)
          - 640/9*H(R(-1,-1,0),x)*[1+x]^-1
          - 32/15*H(R(-1,-1,0),x)*x^-2
          - 2240/9*H(R(-1,-1,0),x)*x
          - 64*H(R(-1,-1,0),x)*x^2
          + 96/5*H(R(-1,-1,0),x)*x^3
          + 256/9*H(R(-1,-1,0,0),x)
          - 1088/9*H(R(-1,-1,0,0),x)*[1+x]^-1
          - 1984/9*H(R(-1,-1,0,0),x)*x
          + 92528/405*H(R(-1,0),x)
          - 224/9*H(R(-1,0),x)*[1+x]^-1*z2
          + 2656/81*H(R(-1,0),x)*[1+x]^-1
          - 352/9*H(R(-1,0),x)*z2*x
          + 64/9*H(R(-1,0),x)*z2
          + 952/225*H(R(-1,0),x)*x^-2
          + 32/15*H(R(-1,0),x)*x^-1
          + 90688/405*H(R(-1,0),x)*x
          - 96/5*H(R(-1,0),x)*x^2
          - 1272/25*H(R(-1,0),x)*x^3
          + 3712/27*H(R(-1,0,0),x)
          + 2560/27*H(R(-1,0,0),x)*[1+x]^-1
          + 32/5*H(R(-1,0,0),x)*x^-2
          + 6080/27*H(R(-1,0,0),x)*x
          - 288/5*H(R(-1,0,0),x)*x^3
          - 400/9*H(R(-1,0,0,0),x)
          + 1088/9*H(R(-1,0,0,0),x)*[1+x]^-1
          + 1264/9*H(R(-1,0,0,0),x)*x
          + 1024/27*H(R(-1,2),x)
          + 640/27*H(R(-1,2),x)*[1+x]^-1
          + 32/15*H(R(-1,2),x)*x^-2
          + 512/27*H(R(-1,2),x)*x
          - 64*H(R(-1,2),x)*x^2
          - 96/5*H(R(-1,2),x)*x^3
          + 64/9*H(R(-1,2,1),x)
          - 128/9*H(R(-1,2,1),x)*[1+x]^-1
          - 64/9*H(R(-1,2,1),x)*x
          - 32/9*H(R(-1,3),x)
          + 64/9*H(R(-1,3),x)*[1+x]^-1
          + 32/9*H(R(-1,3),x)*x
          - 408806/2025*H(R(0),x)
          - 3124/27*H(R(0),x)*[1-x]^-1*z2
          + 592/9*H(R(0),x)*[1-x]^-1*z3
          + 39818/81*H(R(0),x)*[1-x]^-1
          + 184/27*H(R(0),x)*[1+x]^-1*z2
          + 176/9*H(R(0),x)*[1+x]^-1*z3
          - 232/9*H(R(0),x)*[1+x]^-1
          + 16/3*H(R(0),x)*z2*x^-1
          + 1984/27*H(R(0),x)*z2*x
          - 16*H(R(0),x)*z2*x^2
          - 432/5*H(R(0),x)*z2*x^3
          + 316/9*H(R(0),x)*z2
          + 440/9*H(R(0),x)*z3*x
          - 32*H(R(0),x)*z3*x^2
          + 48*H(R(0),x)*z3*x^3
          - 128/3*H(R(0),x)*z3
          - 472/225*H(R(0),x)*x^-1
          - 640222/675*H(R(0),x)*x
          - 168/25*H(R(0),x)*x^2
          - 75044/405*H(R(0,0),x)
          - 368/9*H(R(0,0),x)*[1-x]^-1*z2
          + 32500/81*H(R(0,0),x)*[1-x]^-1
          + 80/9*H(R(0,0),x)*[1+x]^-1*z2
          - 3056/81*H(R(0,0),x)*[1+x]^-1
          + 104/9*H(R(0,0),x)*z2*x
          + 32*H(R(0,0),x)*z2*x^2
          - 48*H(R(0,0),x)*z2*x^3
          + 16*H(R(0,0),x)*z2
          - 32/5*H(R(0,0),x)*x^-1
          - 30116/45*H(R(0,0),x)*x
          + 48/5*H(R(0,0),x)*x^2
          + 1272/25*H(R(0,0),x)*x^3
          - 2024/27*H(R(0,0,0),x)
          + 4712/27*H(R(0,0,0),x)*[1-x]^-1
          - 664/27*H(R(0,0,0),x)*[1+x]^-1
          - 520/3*H(R(0,0,0),x)*x
          + 288/5*H(R(0,0,0),x)*x^3
          + 368/9*H(R(0,0,0,0),x)*[1-x]^-1
          - 368/9*H(R(0,0,0,0),x)*[1+x]^-1
          - 368/9*H(R(0,0,0,0),x)*x
          + 26734/405*H(R(1),x)
          - 832/9*H(R(1),x)*[1-x]^-1*z2
          + 64/9*H(R(1),x)*[1-x]^-1*z3
          + 15062/81*H(R(1),x)*[1-x]^-1
          - 16/15*H(R(1),x)*z2*x^-2
          + 160*H(R(1),x)*z2*x
          - 32*H(R(1),x)*z2*x^2
          - 288/5*H(R(1),x)*z2*x^3
          - 124/9*H(R(1),x)*z2
          + 16/3*H(R(1),x)*z3*x^-2
          + 424/9*H(R(1),x)*z3*x
          - 32*H(R(1),x)*z3*x^2
          + 48*H(R(1),x)*z3*x^3
          - 104/9*H(R(1),x)*z3
          - 16/5*H(R(1),x)*x^-1
          - 208814/405*H(R(1),x)*x
          - 384/5*H(R(1),x)*x^2
          - 32/3*H(R(1,-2,0),x)
          + 128/3*H(R(1,-2,0),x)*[1-x]^-1
          - 224/3*H(R(1,-2,0),x)*x
          - 220/27*H(R(1,0),x)
          - 688/9*H(R(1,0),x)*[1-x]^-1*z2
          + 2864/27*H(R(1,0),x)*[1-x]^-1
          - 16/3*H(R(1,0),x)*z2*x^-2
          + 1088/9*H(R(1,0),x)*z2*x
          + 32*H(R(1,0),x)*z2*x^2
          - 48*H(R(1,0),x)*z2*x^3
          + 176/9*H(R(1,0),x)*z2
          - 5284/27*H(R(1,0),x)*x
          + 48*H(R(1,0),x)*x^2
          - 16/9*H(R(1,0,0),x)
          + 592/9*H(R(1,0,0),x)*[1-x]^-1
          + 16/3*H(R(1,0,0),x)*x^-1
          - 1184/9*H(R(1,0,0),x)*x
          + 48*H(R(1,0,0),x)*x^2
          + 16/9*H(R(1,0,0,0),x)
          + 256/9*H(R(1,0,0,0),x)*[1-x]^-1
          - 848/9*H(R(1,0,0,0),x)*x
          - 160/27*H(R(1,1),x)
          - 400/9*H(R(1,1),x)*[1-x]^-1*z2
          + 3104/27*H(R(1,1),x)*[1-x]^-1
          + 800/9*H(R(1,1),x)*z2*x
          + 80/9*H(R(1,1),x)*z2
          - 5548/27*H(R(1,1),x)*x
          - 188/9*H(R(1,1,0),x)
          + 64/3*H(R(1,1,0),x)*[1-x]^-1
          - 32/9*H(R(1,1,0),x)*x
          - 48*H(R(1,1,0),x)*x^3
          + 104/9*H(R(1,1,0,0),x)
          - 208/9*H(R(1,1,0,0),x)*[1-x]^-1
          - 16/3*H(R(1,1,0,0),x)*x^-2
          + 8/9*H(R(1,1,0,0),x)*x
          + 32*H(R(1,1,0,0),x)*x^2
          - 48*H(R(1,1,0,0),x)*x^3
          - 176/9*H(R(1,1,1),x)
          + 352/9*H(R(1,1,1),x)*[1-x]^-1
          - 176/9*H(R(1,1,1),x)*x
          + 88/9*H(R(1,1,1,0),x)
          - 224/9*H(R(1,1,1,0),x)*[1-x]^-1
          + 232/9*H(R(1,1,1,0),x)*x
          - 16/9*H(R(1,1,2),x)
          + 80/9*H(R(1,1,2),x)*[1-x]^-1
          - 160/9*H(R(1,1,2),x)*x
          - 164/9*H(R(1,2),x)
          + 512/9*H(R(1,2),x)*[1-x]^-1
          - 320/9*H(R(1,2),x)*x
          + 48*H(R(1,2),x)*x^3
          + 16/3*H(R(1,2,0),x)
          - 16*H(R(1,2,0),x)*[1-x]^-1
          + 64/3*H(R(1,2,0),x)*x
          - 8*H(R(1,2,1),x)
          + 16*H(R(1,2,1),x)*[1-x]^-1
          - 8*H(R(1,2,1),x)*x
          - 16*H(R(1,3),x)
          + 176/3*H(R(1,3),x)*[1-x]^-1
          + 16/3*H(R(1,3),x)*x^-2
          - 256/3*H(R(1,3),x)*x
          - 32*H(R(1,3),x)*x^2
          + 48*H(R(1,3),x)*x^3
          - 13456/135*H(R(2),x)
          - 512/9*H(R(2),x)*[1-x]^-1*z2
          + 7276/27*H(R(2),x)*[1-x]^-1
          + 712/9*H(R(2),x)*z2*x
          + 160/9*H(R(2),x)*z2
          + 16/5*H(R(2),x)*x^-1
          - 41956/135*H(R(2),x)*x
          - 384/5*H(R(2),x)*x^2
          - 436/9*H(R(2,0),x)
          + 860/9*H(R(2,0),x)*[1-x]^-1
          - 40*H(R(2,0),x)*x
          - 48*H(R(2,0),x)*x^3
          - 8/9*H(R(2,0,0),x)
          + 112/9*H(R(2,0,0),x)*[1-x]^-1
          - 392/9*H(R(2,0,0),x)*x
          + 32*H(R(2,0,0),x)*x^2
          - 48*H(R(2,0,0),x)*x^3
          - 232/9*H(R(2,1),x)
          + 704/9*H(R(2,1),x)*[1-x]^-1
          - 232/9*H(R(2,1),x)*x
          + 80/9*H(R(2,1,0),x)
          - 160/9*H(R(2,1,0),x)*[1-x]^-1
          + 56/9*H(R(2,1,0),x)*x
          - 80/9*H(R(2,2),x)
          + 160/9*H(R(2,2),x)*[1-x]^-1
          - 56/9*H(R(2,2),x)*x
          - 316/9*H(R(3),x)
          + 3260/27*H(R(3),x)*[1-x]^-1
          - 320/27*H(R(3),x)*[1+x]^-1
          - 16/3*H(R(3),x)*x^-1
          - 1616/27*H(R(3),x)*x
          + 16*H(R(3),x)*x^2
          + 336/5*H(R(3),x)*x^3
          - 8*H(R(3,0),x)
          + 16*H(R(3,0),x)*[1-x]^-1
          - 32/3*H(R(3,0),x)*x
          - 40/3*H(R(3,1),x)
          + 176/9*H(R(3,1),x)*[1-x]^-1
          + 64/9*H(R(3,1),x)*[1+x]^-1
          - 56/9*H(R(3,1),x)*x
          - 16*H(R(4),x)
          + 352/9*H(R(4),x)*[1-x]^-1
          - 64/9*H(R(4),x)*[1+x]^-1
          - 88/9*H(R(4),x)*x
          - 32*H(R(4),x)*x^2
          + 48*H(R(4),x)*x^3
          )

       + nf*cf^2 * (
          + 27074/2025
          - 1538/27*[1-x]^-1*z2
          + 2776/45*[1-x]^-1*z2^2
          - 9668/27*[1-x]^-1*z3
          - 16*[1-x]^-1*z4
          - 2003/108*[1-x]^-1
          - 2656/81*[1+x]^-1*z2
          - 608/15*[1+x]^-1*z2^2
          - 320/3*[1+x]^-1*z3
          - 128/15*z2*x^-1
          - 156622/405*z2*x
          - 208/5*z2*x^2
          + 2544/25*z2*x^3
          + 39574/405*z2
          - 2768/45*z2^2*x
          - 1232/45*z2^2
          - 2882/27*z3*x
          - 32*z3*x^2
          - 144*z3*x^3
          + 6646/27*z3
          + 8*z4*x
          + 8*z4
          - 2864/225*x^-1
          + 1183877/4050*x
          - 3504/25*x^2
          + 992/9*H(R(-3,0),x)
          - 512/3*H(R(-3,0),x)*[1-x]^-1
          - 1600/9*H(R(-3,0),x)*[1+x]^-1
          - 32/9*H(R(-3,0),x)*x
          + 256/3*H(R(-2),x)*[1-x]^-1*z2
          + 832/9*H(R(-2),x)*[1+x]^-1*z2
          + 32/9*H(R(-2),x)*z2*x
          - 416/9*H(R(-2),x)*z2
          - 320/9*H(R(-2,-1,0),x)
          + 1408/9*H(R(-2,-1,0),x)*[1+x]^-1
          + 2624/9*H(R(-2,-1,0),x)*x
          - 5120/27*H(R(-2,0),x)
          - 416/3*H(R(-2,0),x)*[1-x]^-1
          - 3200/27*H(R(-2,0),x)*[1+x]^-1
          - 128/15*H(R(-2,0),x)*x^-2
          - 736/27*H(R(-2,0),x)*x
          - 128*H(R(-2,0),x)*x^2
          + 192/5*H(R(-2,0),x)*x^3
          + 1184/9*H(R(-2,0,0),x)
          - 512/3*H(R(-2,0,0),x)*[1-x]^-1
          - 2176/9*H(R(-2,0,0),x)*[1+x]^-1
          - 800/9*H(R(-2,0,0),x)*x
          + 256/9*H(R(-2,2),x)
          - 256/3*H(R(-2,2),x)*[1-x]^-1
          - 128/9*H(R(-2,2),x)*[1+x]^-1
          + 1280/9*H(R(-2,2),x)*x
          + 3200/27*H(R(-1),x)*[1+x]^-1*z2
          + 512/9*H(R(-1),x)*[1+x]^-1*z3
          + 32/5*H(R(-1),x)*z2*x^-2
          + 7744/27*H(R(-1),x)*z2*x
          - 64*H(R(-1),x)*z2*x^2
          - 288/5*H(R(-1),x)*z2*x^3
          + 3776/27*H(R(-1),x)*z2
          + 1216/9*H(R(-1),x)*z3*x
          - 64/9*H(R(-1),x)*z3
          - 320/9*H(R(-1,-2,0),x)
          + 1408/9*H(R(-1,-2,0),x)*[1+x]^-1
          + 2624/9*H(R(-1,-2,0),x)*x
          - 640/9*H(R(-1,-1),x)*[1+x]^-1*z2
          - 1280/9*H(R(-1,-1),x)*z2*x
          + 128/9*H(R(-1,-1),x)*z2
          + 256/9*H(R(-1,-1,-1,0),x)
          - 1280/9*H(R(-1,-1,-1,0),x)*[1+x]^-1
          - 2560/9*H(R(-1,-1,-1,0),x)*x
          + 128*H(R(-1,-1,0),x)
          + 1280/9*H(R(-1,-1,0),x)*[1+x]^-1
          + 64/15*H(R(-1,-1,0),x)*x^-2
          + 4480/9*H(R(-1,-1,0),x)*x
          + 128*H(R(-1,-1,0),x)*x^2
          - 192/5*H(R(-1,-1,0),x)*x^3
          - 512/9*H(R(-1,-1,0,0),x)
          + 2176/9*H(R(-1,-1,0,0),x)*[1+x]^-1
          + 3968/9*H(R(-1,-1,0,0),x)*x
          - 185056/405*H(R(-1,0),x)
          + 448/9*H(R(-1,0),x)*[1+x]^-1*z2
          - 5312/81*H(R(-1,0),x)*[1+x]^-1
          + 704/9*H(R(-1,0),x)*z2*x
          - 128/9*H(R(-1,0),x)*z2
          - 1904/225*H(R(-1,0),x)*x^-2
          - 64/15*H(R(-1,0),x)*x^-1
          - 181376/405*H(R(-1,0),x)*x
          + 192/5*H(R(-1,0),x)*x^2
          + 2544/25*H(R(-1,0),x)*x^3
          - 7424/27*H(R(-1,0,0),x)
          - 5120/27*H(R(-1,0,0),x)*[1+x]^-1
          - 64/5*H(R(-1,0,0),x)*x^-2
          - 12160/27*H(R(-1,0,0),x)*x
          + 576/5*H(R(-1,0,0),x)*x^3
          + 800/9*H(R(-1,0,0,0),x)
          - 2176/9*H(R(-1,0,0,0),x)*[1+x]^-1
          - 2528/9*H(R(-1,0,0,0),x)*x
          - 2048/27*H(R(-1,2),x)
          - 1280/27*H(R(-1,2),x)*[1+x]^-1
          - 64/15*H(R(-1,2),x)*x^-2
          - 1024/27*H(R(-1,2),x)*x
          + 128*H(R(-1,2),x)*x^2
          + 192/5*H(R(-1,2),x)*x^3
          - 128/9*H(R(-1,2,1),x)
          + 256/9*H(R(-1,2,1),x)*[1+x]^-1
          + 128/9*H(R(-1,2,1),x)*x
          + 64/9*H(R(-1,3),x)
          - 128/9*H(R(-1,3),x)*[1+x]^-1
          - 64/9*H(R(-1,3),x)*x
          + 431299/4050*H(R(0),x)
          - 8428/27*H(R(0),x)*[1-x]^-1*z2
          - 2336/9*H(R(0),x)*[1-x]^-1*z3
          - 4795/27*H(R(0),x)*[1-x]^-1
          - 368/27*H(R(0),x)*[1+x]^-1*z2
          - 352/9*H(R(0),x)*[1+x]^-1*z3
          + 464/9*H(R(0),x)*[1+x]^-1
          + 7534/27*H(R(0),x)*z2*x
          + 160*H(R(0),x)*z2*x^2
          + 784/5*H(R(0),x)*z2*x^3
          + 2450/9*H(R(0),x)*z2
          + 188/9*H(R(0),x)*z3*x
          + 500/3*H(R(0),x)*z3
          + 944/225*H(R(0),x)*x^-1
          + 780913/1350*H(R(0),x)*x
          - 2464/25*H(R(0),x)*x^2
          - 10024/135*H(R(0,0),x)
          - 1456/9*H(R(0,0),x)*[1-x]^-1*z2
          - 1082/27*H(R(0,0),x)*[1-x]^-1
          - 160/9*H(R(0,0),x)*[1+x]^-1*z2
          + 6112/81*H(R(0,0),x)*[1+x]^-1
          + 308/3*H(R(0,0),x)*z2*x
          + 1084/9*H(R(0,0),x)*z2
          + 64/5*H(R(0,0),x)*x^-1
          + 198278/405*H(R(0,0),x)*x
          - 576/5*H(R(0,0),x)*x^2
          - 2544/25*H(R(0,0),x)*x^3
          - 1522/9*H(R(0,0,0),x)
          + 3268/27*H(R(0,0,0),x)*[1-x]^-1
          + 1328/27*H(R(0,0,0),x)*[1+x]^-1
          - 1510/27*H(R(0,0,0),x)*x
          - 576/5*H(R(0,0,0),x)*x^3
          - 364/3*H(R(0,0,0,0),x)
          + 80*H(R(0,0,0,0),x)*[1-x]^-1
          + 736/9*H(R(0,0,0,0),x)*[1+x]^-1
          - 356/9*H(R(0,0,0,0),x)*x
          - 14609/90*H(R(1),x)
          - 1408/9*H(R(1),x)*[1-x]^-1*z2
          - 1040/9*H(R(1),x)*[1-x]^-1*z3
          - 83/9*H(R(1),x)*[1-x]^-1
          + 32/15*H(R(1),x)*z2*x^-2
          - 568/9*H(R(1),x)*z2*x
          + 96*H(R(1),x)*z2*x^2
          + 496/5*H(R(1),x)*z2*x^3
          + 1768/9*H(R(1),x)*z2
          - 200/9*H(R(1),x)*z3*x
          + 664/9*H(R(1),x)*z3
          - 64/15*H(R(1),x)*x^-1
          + 76157/270*H(R(1),x)*x
          + 208/5*H(R(1),x)*x^2
          + 64/3*H(R(1,-2,0),x)
          - 256/3*H(R(1,-2,0),x)*[1-x]^-1
          + 448/3*H(R(1,-2,0),x)*x
          - 14180/81*H(R(1,0),x)
          - 80/3*H(R(1,0),x)*[1-x]^-1*z2
          + 15334/81*H(R(1,0),x)*[1-x]^-1
          - 520/3*H(R(1,0),x)*z2*x
          + 152/3*H(R(1,0),x)*z2
          - 6464/81*H(R(1,0),x)*x
          - 80*H(R(1,0),x)*x^2
          - 3920/27*H(R(1,0,0),x)
          + 5020/27*H(R(1,0,0),x)*[1-x]^-1
          + 280/27*H(R(1,0,0),x)*x
          - 712/9*H(R(1,0,0,0),x)
          + 848/9*H(R(1,0,0,0),x)*[1-x]^-1
          + 1016/9*H(R(1,0,0,0),x)*x
          - 1240/9*H(R(1,1),x)
          - 320/9*H(R(1,1),x)*[1-x]^-1*z2
          + 1366/9*H(R(1,1),x)*[1-x]^-1
          - 1040/9*H(R(1,1),x)*z2*x
          + 400/9*H(R(1,1),x)*z2
          - 484/9*H(R(1,1),x)*x
          - 952/9*H(R(1,1,0),x)
          + 2152/9*H(R(1,1,0),x)*[1-x]^-1
          - 632/3*H(R(1,1,0),x)*x
          + 32*H(R(1,1,0),x)*x^2
          + 80*H(R(1,1,0),x)*x^3
          - 728/9*H(R(1,1,0,0),x)
          + 1456/9*H(R(1,1,0,0),x)*[1-x]^-1
          - 728/9*H(R(1,1,0,0),x)*x
          - 280/3*H(R(1,1,1),x)
          + 560/3*H(R(1,1,1),x)*[1-x]^-1
          - 168*H(R(1,1,1),x)*x
          - 608/9*H(R(1,1,1,0),x)
          + 1312/9*H(R(1,1,1,0),x)*[1-x]^-1
          - 896/9*H(R(1,1,1,0),x)*x
          - 160/3*H(R(1,1,1,1),x)
          + 320/3*H(R(1,1,1,1),x)*[1-x]^-1
          - 160/3*H(R(1,1,1,1),x)*x
          - 176/3*H(R(1,1,2),x)
          + 320/3*H(R(1,1,2),x)*[1-x]^-1
          - 80/3*H(R(1,1,2),x)*x
          - 1192/9*H(R(1,2),x)
          + 2048/9*H(R(1,2),x)*[1-x]^-1
          - 1672/9*H(R(1,2),x)*x
          - 32*H(R(1,2),x)*x^2
          - 80*H(R(1,2),x)*x^3
          - 688/9*H(R(1,2,0),x)
          + 1472/9*H(R(1,2,0),x)*[1-x]^-1
          - 976/9*H(R(1,2,0),x)*x
          - 544/9*H(R(1,2,1),x)
          + 1088/9*H(R(1,2,1),x)*[1-x]^-1
          - 544/9*H(R(1,2,1),x)*x
          - 520/9*H(R(1,3),x)
          + 560/9*H(R(1,3),x)*[1-x]^-1
          + 920/9*H(R(1,3),x)*x
          - 39574/405*H(R(2),x)
          - 512/9*H(R(2),x)*[1-x]^-1*z2
          + 7270/81*H(R(2),x)*[1-x]^-1
          - 632/9*H(R(2),x)*z2*x
          + 520/9*H(R(2),x)*z2
          + 64/15*H(R(2),x)*x^-1
          - 24754/405*H(R(2),x)*x
          + 208/5*H(R(2),x)*x^2
          - 3640/27*H(R(2,0),x)
          + 5552/27*H(R(2,0),x)*[1-x]^-1
          - 6520/27*H(R(2,0),x)*x
          + 32*H(R(2,0),x)*x^2
          + 80*H(R(2,0),x)*x^3
          - 736/9*H(R(2,0,0),x)
          + 1136/9*H(R(2,0,0),x)*[1-x]^-1
          - 160/9*H(R(2,0,0),x)*x
          - 1432/9*H(R(2,1),x)
          + 688/3*H(R(2,1),x)*[1-x]^-1
          - 2408/9*H(R(2,1),x)*x
          - 296/3*H(R(2,1,0),x)
          + 544/3*H(R(2,1,0),x)*[1-x]^-1
          - 296/3*H(R(2,1,0),x)*x
          - 728/9*H(R(2,1,1),x)
          + 1312/9*H(R(2,1,1),x)*[1-x]^-1
          - 728/9*H(R(2,1,1),x)*x
          - 680/9*H(R(2,2),x)
          + 1216/9*H(R(2,2),x)*[1-x]^-1
          - 680/9*H(R(2,2),x)*x
          - 2450/9*H(R(3),x)
          + 8156/27*H(R(3),x)*[1-x]^-1
          + 640/27*H(R(3),x)*[1+x]^-1
          - 8270/27*H(R(3),x)*x
          - 160*H(R(3),x)*x^2
          - 592/5*H(R(3),x)*x^3
          - 944/9*H(R(3,0),x)
          + 1552/9*H(R(3,0),x)*[1-x]^-1
          - 944/9*H(R(3,0),x)*x
          - 304/3*H(R(3,1),x)
          + 1616/9*H(R(3,1),x)*[1-x]^-1
          - 128/9*H(R(3,1),x)*[1+x]^-1
          - 1040/9*H(R(3,1),x)*x
          - 1084/9*H(R(4),x)
          + 496/3*H(R(4),x)*[1-x]^-1
          + 128/9*H(R(4),x)*[1+x]^-1
          - 956/9*H(R(4),x)*x
          )

       + nf^2*cf * (
          - 2456/729
          + 536/27*[1-x]^-1*z2
          + 64/27*[1-x]^-1*z3
          - 8714/729*[1-x]^-1
          - 544/27*z2*x
          - 304/27*z2
          - 32/27*z3*x
          - 32/27*z3
          + 36748/729*x
          + 1376/81*H(R(0),x)
          + 32/3*H(R(0),x)*[1-x]^-1*z2
          - 860/27*H(R(0),x)*[1-x]^-1
          - 16/3*H(R(0),x)*z2*x
          - 16/3*H(R(0),x)*z2
          + 4384/81*H(R(0),x)*x
          + 1448/81*H(R(0,0),x)
          - 2440/81*H(R(0,0),x)*[1-x]^-1
          + 2360/81*H(R(0,0),x)*x
          + 184/27*H(R(0,0,0),x)
          - 368/27*H(R(0,0,0),x)*[1-x]^-1
          + 184/27*H(R(0,0,0),x)*x
          + 296/81*H(R(1),x)
          + 32/9*H(R(1),x)*[1-x]^-1*z2
          - 940/81*H(R(1),x)*[1-x]^-1
          - 16/9*H(R(1),x)*z2*x
          - 16/9*H(R(1),x)*z2
          + 2240/81*H(R(1),x)*x
          + 128/27*H(R(1,0),x)
          - 232/27*H(R(1,0),x)*[1-x]^-1
          + 272/27*H(R(1,0),x)*x
          + 16/9*H(R(1,0,0),x)
          - 32/9*H(R(1,0,0),x)*[1-x]^-1
          + 16/9*H(R(1,0,0),x)*x
          + 128/27*H(R(1,1),x)
          - 232/27*H(R(1,1),x)*[1-x]^-1
          + 272/27*H(R(1,1),x)*x
          + 16/9*H(R(1,1,0),x)
          - 32/9*H(R(1,1,0),x)*[1-x]^-1
          + 16/9*H(R(1,1,0),x)*x
          + 16/9*H(R(1,1,1),x)
          - 32/9*H(R(1,1,1),x)*[1-x]^-1
          + 16/9*H(R(1,1,1),x)*x
          + 16/9*H(R(1,2),x)
          - 32/9*H(R(1,2),x)*[1-x]^-1
          + 16/9*H(R(1,2),x)*x
          + 304/27*H(R(2),x)
          - 536/27*H(R(2),x)*[1-x]^-1
          + 544/27*H(R(2),x)*x
          + 32/9*H(R(2,0),x)
          - 64/9*H(R(2,0),x)*[1-x]^-1
          + 32/9*H(R(2,0),x)*x
          + 32/9*H(R(2,1),x)
          - 64/9*H(R(2,1),x)*[1-x]^-1
          + 32/9*H(R(2,1),x)*x
          + 16/3*H(R(3),x)
          - 32/3*H(R(3),x)*[1-x]^-1
          + 16/3*H(R(3),x)*x
          )

       + cf*ca^2 * (
          - 13824157/36450
          - 8/15*[1-x]^-3*z2^2
          - 16/3*[1-x]^-2*z2^2
          - 4*[1-x]^-2*z3
          + 208/3*[1-x]^-1*z2*z3
          + 76364/81*[1-x]^-1*z2
          + 172/15*[1-x]^-1*z2^2
          + 4774/27*[1-x]^-1*z3
          - 536/3*[1-x]^-1*z5
          - 599375/729*[1-x]^-1
          + 14/5*[1+x]^-3*z2^2
          + 28*[1+x]^-2*z2^2
          + 8/3*[1+x]^-2*z3
          - 1040/3*[1+x]^-1*z2*z3
          - 17534/81*[1+x]^-1*z2
          - 52/15*[1+x]^-1*z2^2
          - 676/3*[1+x]^-1*z3
          + 472/3*[1+x]^-1*z5
          - 1820/3*z2*z3*x
          + 132*z2*z3
          - 196/9*z2*x^-1
          - 1219324/405*z2*x
          - 248/5*z2*x^2
          + 7476/25*z2*x^3
          - 20588/135*z2
          + 1646/15*z2^2*x
          - 1504/5*z2^2*x^2
          + 336/5*z2^2*x^3
          - 218/3*z2^2
          + 284/15*z3*x^-1
          + 98762/135*z3*x
          - 808/5*z3*x^2
          - 934*z3*x^3
          - 6112/135*z3
          + 24*z4*x
          - 24*z4
          - 560/3*z5*x
          - 88/3*z5
          - 11456/225*x^-1
          + 117537107/36450*x
          - 13216/25*x^2
          - 56*H(R(-4,0),x)
          + 32*H(R(-4,0),x)*[1-x]^-1
          + 160/3*H(R(-4,0),x)*[1+x]^-1
          + 40/3*H(R(-4,0),x)*x
          + 128/3*H(R(-3),x)*[1-x]^-1*z2
          - 2048/3*H(R(-3),x)*[1+x]^-1*z2
          - 1084/3*H(R(-3),x)*z2*x
          + 1100/3*H(R(-3),x)*z2
          + 808/3*H(R(-3,-1,0),x)
          - 512*H(R(-3,-1,0),x)*[1-x]^-1
          + 128/3*H(R(-3,-1,0),x)*[1+x]^-1
          + 728/3*H(R(-3,-1,0),x)*x
          + 2128/9*H(R(-3,0),x)
          - 856/3*H(R(-3,0),x)*[1-x]^-1
          + 8/3*H(R(-3,0),x)*[1+x]^-3
          + 80/3*H(R(-3,0),x)*[1+x]^-2
          - 4184/9*H(R(-3,0),x)*[1+x]^-1
          + 704/9*H(R(-3,0),x)*x
          - 192/5*H(R(-3,0),x)*x^3
          - 256*H(R(-3,0,0),x)
          + 64*H(R(-3,0,0),x)*[1-x]^-1
          + 1120/3*H(R(-3,0,0),x)*[1+x]^-1
          + 520/3*H(R(-3,0,0),x)*x
          - 232*H(R(-3,2),x)
          - 896/3*H(R(-3,2),x)*[1-x]^-1
          + 704*H(R(-3,2),x)*[1+x]^-1
          + 1448/3*H(R(-3,2),x)*x
          + 16/3*H(R(-2),x)*[1-x]^-3*z2
          + 160/3*H(R(-2),x)*[1-x]^-2*z2
          - 736/3*H(R(-2),x)*[1-x]^-1*z2
          - 384*H(R(-2),x)*[1-x]^-1*z3
          + 2288/9*H(R(-2),x)*[1+x]^-1*z2
          - 3664/3*H(R(-2),x)*[1+x]^-1*z3
          - 5540/9*H(R(-2),x)*z2*x
          + 384*H(R(-2),x)*z2*x^3
          - 1936/9*H(R(-2),x)*z2
          - 444*H(R(-2),x)*z3*x
          + 636*H(R(-2),x)*z3
          + 280/3*H(R(-2,-2,0),x)
          - 512/3*H(R(-2,-2,0),x)*[1-x]^-1
          + 64/3*H(R(-2,-2,0),x)*[1+x]^-1
          + 232/3*H(R(-2,-2,0),x)*x
          + 544*H(R(-2,-1),x)*[1-x]^-1*z2
          + 1312*H(R(-2,-1),x)*[1+x]^-1*z2
          + 1232/3*H(R(-2,-1),x)*z2*x
          - 2096/3*H(R(-2,-1),x)*z2
          - 144*H(R(-2,-1,-1,0),x)
          + 704/3*H(R(-2,-1,-1,0),x)*[1-x]^-1
          - 272/3*H(R(-2,-1,-1,0),x)*x
          - 1600/9*H(R(-2,-1,0),x)
          - 288*H(R(-2,-1,0),x)*[1-x]^-1
          + 3872/9*H(R(-2,-1,0),x)*[1+x]^-1
          + 10408/9*H(R(-2,-1,0),x)*x
          + 484*H(R(-2,-1,0,0),x)
          - 1312/3*H(R(-2,-1,0,0),x)*[1-x]^-1
          - 2128/3*H(R(-2,-1,0,0),x)*[1+x]^-1
          - 524/3*H(R(-2,-1,0,0),x)*x
          + 1880/3*H(R(-2,-1,2),x)
          - 1280/3*H(R(-2,-1,2),x)*[1-x]^-1
          - 1312*H(R(-2,-1,2),x)*[1+x]^-1
          - 456*H(R(-2,-1,2),x)*x
          - 83312/135*H(R(-2,0),x)
          - 192*H(R(-2,0),x)*[1-x]^-1*z2
          - 784/3*H(R(-2,0),x)*[1-x]^-1
          + 8/3*H(R(-2,0),x)*[1+x]^-2
          - 4048/3*H(R(-2,0),x)*[1+x]^-1*z2
          - 10108/27*H(R(-2,0),x)*[1+x]^-1
          - 1784/3*H(R(-2,0),x)*z2*x
          + 1880/3*H(R(-2,0),x)*z2
          - 352/15*H(R(-2,0),x)*x^-2
          + 64/15*H(R(-2,0),x)*x^-1
          + 43892/135*H(R(-2,0),x)*x
          - 2248/5*H(R(-2,0),x)*x^2
          - 284/5*H(R(-2,0),x)*x^3
          + 3976/9*H(R(-2,0,0),x)
          - 8/3*H(R(-2,0,0),x)*[1-x]^-3
          - 80/3*H(R(-2,0,0),x)*[1-x]^-2
          - 328/3*H(R(-2,0,0),x)*[1-x]^-1
          - 6128/9*H(R(-2,0,0),x)*[1+x]^-1
          - 40/9*H(R(-2,0,0),x)*x
          - 192*H(R(-2,0,0),x)*x^3
          - 832/3*H(R(-2,0,0,0),x)
          + 320/3*H(R(-2,0,0,0),x)*[1-x]^-1
          + 1424/3*H(R(-2,0,0,0),x)*[1+x]^-1
          + 608/3*H(R(-2,0,0,0),x)*x
          + 1136/9*H(R(-2,2),x)
          - 16/3*H(R(-2,2),x)*[1-x]^-3
          - 160/3*H(R(-2,2),x)*[1-x]^-2
          + 304/3*H(R(-2,2),x)*[1-x]^-1
          - 352/9*H(R(-2,2),x)*[1+x]^-1
          + 10744/9*H(R(-2,2),x)*x
          - 384*H(R(-2,2),x)*x^3
          - 328/3*H(R(-2,2,0),x)
          - 256/3*H(R(-2,2,0),x)*[1-x]^-1
          + 928/3*H(R(-2,2,0),x)*[1+x]^-1
          + 584/3*H(R(-2,2,0),x)*x
          - 160*H(R(-2,2,1),x)
          - 320/3*H(R(-2,2,1),x)*[1-x]^-1
          + 1280/3*H(R(-2,2,1),x)*[1+x]^-1
          + 800/3*H(R(-2,2,1),x)*x
          - 508*H(R(-2,3),x)
          + 96*H(R(-2,3),x)*[1-x]^-1
          + 3472/3*H(R(-2,3),x)*[1+x]^-1
          + 540*H(R(-2,3),x)*x
          + 16/3*H(R(-1),x)*[1-x]^-2*z2
          + 56*H(R(-1),x)*[1-x]^-1*z2
          + 6976/27*H(R(-1),x)*[1+x]^-1*z2
          + 376/15*H(R(-1),x)*[1+x]^-1*z2^2
          + 1408/9*H(R(-1),x)*[1+x]^-1*z3
          - 142/15*H(R(-1),x)*z2*x^-2
          - 128/3*H(R(-1),x)*z2*x^-1
          - 12052/27*H(R(-1),x)*z2*x
          + 140*H(R(-1),x)*z2*x^2
          + 426/5*H(R(-1),x)*z2*x^3
          - 15776/27*H(R(-1),x)*z2
          - 52/15*H(R(-1),x)*z2^2*x
          - 236/15*H(R(-1),x)*z2^2
          - 32*H(R(-1),x)*z3*x^-2
          - 8812/9*H(R(-1),x)*z3*x
          + 288*H(R(-1),x)*z3*x^3
          - 12344/9*H(R(-1),x)*z3
          - 32/3*H(R(-1,-3,0),x)
          - 128/3*H(R(-1,-3,0),x)*[1+x]^-1
          - 544/3*H(R(-1,-3,0),x)*x
          + 1296*H(R(-1,-2),x)*[1+x]^-1*z2
          + 1288*H(R(-1,-2),x)*z2*x
          - 520*H(R(-1,-2),x)*z2
          + 16*H(R(-1,-2,-1,0),x)
          - 32*H(R(-1,-2,-1,0),x)*[1+x]^-1
          - 16*H(R(-1,-2,-1,0),x)*x
          - 1744/9*H(R(-1,-2,0),x)
          + 3872/9*H(R(-1,-2,0),x)*[1+x]^-1
          + 5848/9*H(R(-1,-2,0),x)*x
          + 288*H(R(-1,-2,0,0),x)
          - 704*H(R(-1,-2,0,0),x)*[1+x]^-1
          - 672*H(R(-1,-2,0,0),x)*x
          + 528*H(R(-1,-2,2),x)
          - 1312*H(R(-1,-2,2),x)*[1+x]^-1
          - 1296*H(R(-1,-2,2),x)*x
          - 1760/9*H(R(-1,-1),x)*[1+x]^-1*z2
          + 5792/3*H(R(-1,-1),x)*[1+x]^-1*z3
          + 128/3*H(R(-1,-1),x)*z2*x^-2
          + 11084/9*H(R(-1,-1),x)*z2*x
          - 384*H(R(-1,-1),x)*z2*x^3
          + 15160/9*H(R(-1,-1),x)*z2
          + 5776/3*H(R(-1,-1),x)*z3*x
          - 2320/3*H(R(-1,-1),x)*z3
          + 32*H(R(-1,-1,-2,0),x)
          - 64*H(R(-1,-1,-2,0),x)*[1+x]^-1
          - 32*H(R(-1,-1,-2,0),x)*x
          - 1920*H(R(-1,-1,-1),x)*[1+x]^-1*z2
          - 2240*H(R(-1,-1,-1),x)*z2*x
          + 704*H(R(-1,-1,-1),x)*z2
          + 2288/9*H(R(-1,-1,-1,0),x)
          - 3520/9*H(R(-1,-1,-1,0),x)*[1+x]^-1
          - 4328/9*H(R(-1,-1,-1,0),x)*x
          - 416*H(R(-1,-1,-1,0,0),x)
          + 1088*H(R(-1,-1,-1,0,0),x)*[1+x]^-1
          + 1184*H(R(-1,-1,-1,0,0),x)*x
          - 704*H(R(-1,-1,-1,2),x)
          + 1920*H(R(-1,-1,-1,2),x)*[1+x]^-1
          + 2240*H(R(-1,-1,-1,2),x)*x
          - 256*H(R(-1,-1,0),x)
          + 6656/3*H(R(-1,-1,0),x)*[1+x]^-1*z2
          + 4288/9*H(R(-1,-1,0),x)*[1+x]^-1
          + 5728/3*H(R(-1,-1,0),x)*z2*x
          - 2848/3*H(R(-1,-1,0),x)*z2
          - 284/45*H(R(-1,-1,0),x)*x^-2
          + 9592/9*H(R(-1,-1,0),x)*x
          + 488*H(R(-1,-1,0),x)*x^2
          + 284/5*H(R(-1,-1,0),x)*x^3
          - 9928/9*H(R(-1,-1,0,0),x)
          + 5984/9*H(R(-1,-1,0,0),x)*[1+x]^-1
          - 64/3*H(R(-1,-1,0,0),x)*x^-2
          + 2332/9*H(R(-1,-1,0,0),x)*x
          + 192*H(R(-1,-1,0,0),x)*x^3
          + 1120/3*H(R(-1,-1,0,0,0),x)
          - 2432/3*H(R(-1,-1,0,0,0),x)*[1+x]^-1
          - 1696/3*H(R(-1,-1,0,0,0),x)*x
          - 4672/3*H(R(-1,-1,2),x)
          - 128/3*H(R(-1,-1,2),x)*x^-2
          - 1472*H(R(-1,-1,2),x)*x
          + 384*H(R(-1,-1,2),x)*x^3
          + 896/3*H(R(-1,-1,2,0),x)
          - 1792/3*H(R(-1,-1,2,0),x)*[1+x]^-1
          - 896/3*H(R(-1,-1,2,0),x)*x
          + 1280/3*H(R(-1,-1,2,1),x)
          - 2560/3*H(R(-1,-1,2,1),x)*[1+x]^-1
          - 1280/3*H(R(-1,-1,2,1),x)*x
          + 864*H(R(-1,-1,3),x)
          - 1984*H(R(-1,-1,3),x)*[1+x]^-1
          - 1632*H(R(-1,-1,3),x)*x
          - 102016/81*H(R(-1,0),x)
          + 1160/9*H(R(-1,0),x)*[1+x]^-1*z2
          - 2656/3*H(R(-1,0),x)*[1+x]^-1*z3
          - 16924/81*H(R(-1,0),x)*[1+x]^-1
          - 352/15*H(R(-1,0),x)*z2*x^-2
          - 9452/9*H(R(-1,0),x)*z2*x
          + 1056/5*H(R(-1,0),x)*z2*x^3
          - 11152/9*H(R(-1,0),x)*z2
          - 2768/3*H(R(-1,0),x)*z3*x
          + 1040/3*H(R(-1,0),x)*z3
          - 5716/225*H(R(-1,0),x)*x^-2
          + 92/45*H(R(-1,0),x)*x^-1
          - 84956/81*H(R(-1,0),x)*x
          - 92/5*H(R(-1,0),x)*x^2
          + 7476/25*H(R(-1,0),x)*x^3
          - 1600/27*H(R(-1,0,0),x)
          - 8/3*H(R(-1,0,0),x)*[1-x]^-2
          - 28*H(R(-1,0,0),x)*[1-x]^-1
          - 2752/3*H(R(-1,0,0),x)*[1+x]^-1*z2
          - 15568/27*H(R(-1,0,0),x)*[1+x]^-1
          - 3056/3*H(R(-1,0,0),x)*z2*x
          + 1040/3*H(R(-1,0,0),x)*z2
          - 772/45*H(R(-1,0,0),x)*x^-2
          + 64/3*H(R(-1,0,0),x)*x^-1
          - 14984/27*H(R(-1,0,0),x)*x
          - 192*H(R(-1,0,0),x)*x^2
          + 772/5*H(R(-1,0,0),x)*x^3
          + 5536/9*H(R(-1,0,0,0),x)
          - 5912/9*H(R(-1,0,0,0),x)*[1+x]^-1
          + 32/15*H(R(-1,0,0,0),x)*x^-2
          - 2704/9*H(R(-1,0,0,0),x)*x
          - 96/5*H(R(-1,0,0,0),x)*x^3
          - 368/3*H(R(-1,0,0,0,0),x)
          + 928/3*H(R(-1,0,0,0,0),x)*[1+x]^-1
          + 944/3*H(R(-1,0,0,0,0),x)*x
          + 12320/27*H(R(-1,2),x)
          - 16/3*H(R(-1,2),x)*[1-x]^-2
          - 56*H(R(-1,2),x)*[1-x]^-1
          + 512/3*H(R(-1,2),x)*[1+x]^-1*z2
          - 544/27*H(R(-1,2),x)*[1+x]^-1
          + 256/3*H(R(-1,2),x)*z2*x
          - 256/3*H(R(-1,2),x)*z2
          + 284/45*H(R(-1,2),x)*x^-2
          + 128/3*H(R(-1,2),x)*x^-1
          + 26440/27*H(R(-1,2),x)*x
          + 104*H(R(-1,2),x)*x^2
          - 284/5*H(R(-1,2),x)*x^3
          + 320/3*H(R(-1,2,0),x)
          + 320/3*H(R(-1,2,0),x)*x
          - 272/3*H(R(-1,2,0,0),x)
          + 448/3*H(R(-1,2,0,0),x)*[1+x]^-1
          - 16/3*H(R(-1,2,0,0),x)*x
          + 1088/9*H(R(-1,2,1),x)
          + 704/9*H(R(-1,2,1),x)*[1+x]^-1
          + 1792/9*H(R(-1,2,1),x)*x
          + 80/3*H(R(-1,2,1,0),x)
          - 160/3*H(R(-1,2,1,0),x)*[1+x]^-1
          - 80/3*H(R(-1,2,1,0),x)*x
          - 80/3*H(R(-1,2,2),x)
          + 160/3*H(R(-1,2,2),x)*[1+x]^-1
          + 80/3*H(R(-1,2,2),x)*x
          + 8960/9*H(R(-1,3),x)
          - 352/9*H(R(-1,3),x)*[1+x]^-1
          + 64/3*H(R(-1,3),x)*x^-2
          + 8224/9*H(R(-1,3),x)*x
          - 192*H(R(-1,3),x)*x^3
          - 392/3*H(R(-1,3,0),x)
          + 784/3*H(R(-1,3,0),x)*[1+x]^-1
          + 392/3*H(R(-1,3,0),x)*x
          - 640/3*H(R(-1,3,1),x)
          + 1280/3*H(R(-1,3,1),x)*[1+x]^-1
          + 640/3*H(R(-1,3,1),x)*x
          - 304*H(R(-1,4),x)
          + 768*H(R(-1,4),x)*[1+x]^-1
          + 784*H(R(-1,4),x)*x
          + 89927/225*H(R(0),x)
          - 4*H(R(0),x)*[1-x]^-3*z3
          - 4*H(R(0),x)*[1-x]^-2*z2
          - 40*H(R(0),x)*[1-x]^-2*z3
          + 12262/27*H(R(0),x)*[1-x]^-1*z2
          - 208/3*H(R(0),x)*[1-x]^-1*z2^2
          + 3596/9*H(R(0),x)*[1-x]^-1*z3
          - 132599/81*H(R(0),x)*[1-x]^-1
          + 8/3*H(R(0),x)*[1+x]^-3*z3
          + 4/3*H(R(0),x)*[1+x]^-2*z2
          + 80/3*H(R(0),x)*[1+x]^-2*z3
          - 1798/27*H(R(0),x)*[1+x]^-1*z2
          + 928/15*H(R(0),x)*[1+x]^-1*z2^2
          - 2480/9*H(R(0),x)*[1+x]^-1*z3
          - 48*H(R(0),x)*[1+x]^-1*z4
          + 2362/9*H(R(0),x)*[1+x]^-1
          + 172/5*H(R(0),x)*z2*x^-1
          + 143608/135*H(R(0),x)*z2*x
          + 1876/5*H(R(0),x)*z2*x^2
          + 752/5*H(R(0),x)*z2*x^3
          - 2312/45*H(R(0),x)*z2
          + 192/5*H(R(0),x)*z2^2*x
          - 104/15*H(R(0),x)*z2^2
          + 2176/9*H(R(0),x)*z3*x
          - 376*H(R(0),x)*z3*x^2
          - 852/5*H(R(0),x)*z3*x^3
          - 232/3*H(R(0),x)*z3
          - 24*H(R(0),x)*z4*x
          + 24*H(R(0),x)*z4
          + 6176/225*H(R(0),x)*x^-1
          + 6983873/2025*H(R(0),x)*x
          - 11976/25*H(R(0),x)*x^2
          + 148624/405*H(R(0,0),x)
          - 4*H(R(0,0),x)*[1-x]^-3*z2
          - 40*H(R(0,0),x)*[1-x]^-2*z2
          + 4364/9*H(R(0,0),x)*[1-x]^-1*z2
          - 192*H(R(0,0),x)*[1-x]^-1*z3
          - 34070/27*H(R(0,0),x)*[1-x]^-1
          + 4/3*H(R(0,0),x)*[1+x]^-3*z2
          + 40/3*H(R(0,0),x)*[1+x]^-2*z2
          - 2456/9*H(R(0,0),x)*[1+x]^-1*z2
          + 192*H(R(0,0),x)*[1+x]^-1*z3
          + 24446/81*H(R(0,0),x)*[1+x]^-1
          + 712/9*H(R(0,0),x)*z2*x
          + 376*H(R(0,0),x)*z2*x^2
          - 1548/5*H(R(0,0),x)*z2*x^3
          - 44/3*H(R(0,0),x)*z2
          + 728/3*H(R(0,0),x)*z3*x
          + 964/45*H(R(0,0),x)*x^-1
          + 1299656/405*H(R(0,0),x)*x
          - 2128/5*H(R(0,0),x)*x^2
          - 7476/25*H(R(0,0),x)*x^3
          + 5566/27*H(R(0,0,0),x)
          + 4/3*H(R(0,0,0),x)*[1-x]^-2
          + 64/3*H(R(0,0,0),x)*[1-x]^-1*z2
          - 2018/3*H(R(0,0,0),x)*[1-x]^-1
          - 4/3*H(R(0,0,0),x)*[1+x]^-2
          + 512/3*H(R(0,0,0),x)*[1+x]^-1*z2
          + 7030/27*H(R(0,0,0),x)*[1+x]^-1
          + 320/3*H(R(0,0,0),x)*z2*x
          - 72*H(R(0,0,0),x)*z2
          - 64/15*H(R(0,0,0),x)*x^-1
          + 30058/135*H(R(0,0,0),x)*x
          - 772/5*H(R(0,0,0),x)*x^3
          + 4/3*H(R(0,0,0,0),x)*[1-x]^-3
          + 40/3*H(R(0,0,0,0),x)*[1-x]^-2
          - 3104/9*H(R(0,0,0,0),x)*[1-x]^-1
          - 4/3*H(R(0,0,0,0),x)*[1+x]^-3
          - 40/3*H(R(0,0,0,0),x)*[1+x]^-2
          + 3104/9*H(R(0,0,0,0),x)*[1+x]^-1
          + 1040/9*H(R(0,0,0,0),x)*x
          + 192/5*H(R(0,0,0,0),x)*x^3
          + 64*H(R(0,0,0,0,0),x)*[1-x]^-1
          - 64*H(R(0,0,0,0,0),x)*[1+x]^-1
          - 80*H(R(0,0,0,0,0),x)*x
          - 35567/405*H(R(1),x)
          + 4184/9*H(R(1),x)*[1-x]^-1*z2
          - 1624/5*H(R(1),x)*[1-x]^-1*z2^2
          + 800/9*H(R(1),x)*[1-x]^-1*z3
          - 50689/81*H(R(1),x)*[1-x]^-1
          - 142/45*H(R(1),x)*z2*x^-2
          - 2104/3*H(R(1),x)*z2*x
          + 244*H(R(1),x)*z2*x^2
          + 1178/5*H(R(1),x)*z2*x^3
          - 1744/9*H(R(1),x)*z2
          + 1596/5*H(R(1),x)*z2^2*x
          + 732/5*H(R(1),x)*z2^2
          + 196/15*H(R(1),x)*z3*x^-2
          + 6080/9*H(R(1),x)*z3*x
          - 376*H(R(1),x)*z3*x^2
          + 588/5*H(R(1),x)*z3*x^3
          - 4216/9*H(R(1),x)*z3
          - 1072/45*H(R(1),x)*x^-1
          + 786547/405*H(R(1),x)*x
          + 248/5*H(R(1),x)*x^2
          + 96*H(R(1,-3,0),x)
          - 256*H(R(1,-3,0),x)*[1-x]^-1
          + 288*H(R(1,-3,0),x)*x
          + 1888/3*H(R(1,-2),x)*[1-x]^-1*z2
          - 2864/3*H(R(1,-2),x)*z2*x
          - 560/3*H(R(1,-2),x)*z2
          + 224*H(R(1,-2,-1,0),x)
          - 448*H(R(1,-2,-1,0),x)*[1-x]^-1
          + 224*H(R(1,-2,-1,0),x)*x
          - 880/3*H(R(1,-2,0),x)
          - 752/3*H(R(1,-2,0),x)*[1-x]^-1
          - 64/15*H(R(1,-2,0),x)*x^-2
          + 2768/3*H(R(1,-2,0),x)*x
          - 192/5*H(R(1,-2,0),x)*x^3
          + 400/3*H(R(1,-2,0,0),x)
          - 1184/3*H(R(1,-2,0,0),x)*[1-x]^-1
          + 1552/3*H(R(1,-2,0,0),x)*x
          + 896/3*H(R(1,-2,2),x)
          - 2560/3*H(R(1,-2,2),x)*[1-x]^-1
          + 3200/3*H(R(1,-2,2),x)*x
          - 5470/27*H(R(1,0),x)
          + 3640/9*H(R(1,0),x)*[1-x]^-1*z2
          - 2704/3*H(R(1,0),x)*[1-x]^-1*z3
          - 7870/27*H(R(1,0),x)*[1-x]^-1
          - 164/15*H(R(1,0),x)*z2*x^-2
          - 4004/9*H(R(1,0),x)*z2*x
          + 376*H(R(1,0),x)*z2*x^2
          - 492/5*H(R(1,0),x)*z2*x^3
          - 3116/9*H(R(1,0),x)*z2
          + 3320/3*H(R(1,0),x)*z3*x
          + 1016/3*H(R(1,0),x)*z3
          + 22634/27*H(R(1,0),x)*x
          - 264*H(R(1,0),x)*x^2
          - 2644/15*H(R(1,0,0),x)
          - 208/3*H(R(1,0,0),x)*[1-x]^-1*z2
          - 2192/9*H(R(1,0,0),x)*[1-x]^-1
          + 1256/3*H(R(1,0,0),x)*z2*x
          - 184/3*H(R(1,0,0),x)*z2
          + 44/5*H(R(1,0,0),x)*x^-1
          + 31532/45*H(R(1,0,0),x)*x
          + 396/5*H(R(1,0,0),x)*x^2
          + 2384/9*H(R(1,0,0,0),x)
          - 1336/9*H(R(1,0,0,0),x)*[1-x]^-1
          + 32/15*H(R(1,0,0,0),x)*x^-2
          + 1280/9*H(R(1,0,0,0),x)*x
          + 96/5*H(R(1,0,0,0),x)*x^3
          - 368/3*H(R(1,0,0,0,0),x)
          + 928/3*H(R(1,0,0,0,0),x)*[1-x]^-1
          - 944/3*H(R(1,0,0,0,0),x)*x
          - 7276/27*H(R(1,1),x)
          + 2200/9*H(R(1,1),x)*[1-x]^-1*z2
          - 768*H(R(1,1),x)*[1-x]^-1*z3
          - 9298/27*H(R(1,1),x)*[1-x]^-1
          - 3032/9*H(R(1,1),x)*z2*x
          - 1304/9*H(R(1,1),x)*z2
          + 736*H(R(1,1),x)*z3*x
          + 352*H(R(1,1),x)*z3
          + 26084/27*H(R(1,1),x)*x
          + 608/3*H(R(1,1,-2,0),x)
          - 1600/3*H(R(1,1,-2,0),x)*[1-x]^-1
          + 1760/3*H(R(1,1,-2,0),x)*x
          + 376/9*H(R(1,1,0),x)
          + 96*H(R(1,1,0),x)*[1-x]^-1*z2
          + 104/9*H(R(1,1,0),x)*[1-x]^-1
          - 80*H(R(1,1,0),x)*z2*x
          - 80*H(R(1,1,0),x)*z2
          - 536/9*H(R(1,1,0),x)*x
          + 264*H(R(1,1,0),x)*x^3
          + 328/9*H(R(1,1,0,0),x)
          + 1144/9*H(R(1,1,0,0),x)*[1-x]^-1
          - 44/5*H(R(1,1,0,0),x)*x^-2
          - 2672/9*H(R(1,1,0,0),x)*x
          + 376*H(R(1,1,0,0),x)*x^2
          - 396/5*H(R(1,1,0,0),x)*x^3
          - 736/3*H(R(1,1,0,0,0),x)
          + 1664/3*H(R(1,1,0,0,0),x)*[1-x]^-1
          - 1312/3*H(R(1,1,0,0,0),x)*x
          + 484/9*H(R(1,1,1),x)
          - 64/3*H(R(1,1,1),x)*[1-x]^-1*z2
          - 968/9*H(R(1,1,1),x)*[1-x]^-1
          + 32/3*H(R(1,1,1),x)*z2*x
          + 32/3*H(R(1,1,1),x)*z2
          + 484/9*H(R(1,1,1),x)*x
          - 532/9*H(R(1,1,1,0),x)
          + 1232/9*H(R(1,1,1,0),x)*[1-x]^-1
          - 1228/9*H(R(1,1,1,0),x)*x
          - 640/3*H(R(1,1,1,0,0),x)
          + 1280/3*H(R(1,1,1,0,0),x)*[1-x]^-1
          - 1216/3*H(R(1,1,1,0,0),x)*x
          - 32/3*H(R(1,1,1,2),x)
          + 64/3*H(R(1,1,1,2),x)*[1-x]^-1
          - 32/3*H(R(1,1,1,2),x)*x
          + 160/9*H(R(1,1,2),x)
          - 440/9*H(R(1,1,2),x)*[1-x]^-1
          + 868/9*H(R(1,1,2),x)*x
          - 16*H(R(1,1,2,0),x)
          + 32*H(R(1,1,2,0),x)*[1-x]^-1
          - 16*H(R(1,1,2,0),x)*x
          + 32/3*H(R(1,1,2,1),x)
          - 64/3*H(R(1,1,2,1),x)*[1-x]^-1
          + 32/3*H(R(1,1,2,1),x)*x
          + 496/3*H(R(1,1,3),x)
          - 992/3*H(R(1,1,3),x)*[1-x]^-1
          + 1072/3*H(R(1,1,3),x)*x
          + 592/9*H(R(1,2),x)
          + 80/3*H(R(1,2),x)*[1-x]^-1*z2
          - 680/3*H(R(1,2),x)*[1-x]^-1
          - 40/3*H(R(1,2),x)*z2*x
          - 40/3*H(R(1,2),x)*z2
          + 1516/9*H(R(1,2),x)*x
          - 264*H(R(1,2),x)*x^3
          - 104/3*H(R(1,2,0),x)
          + 80*H(R(1,2,0),x)*[1-x]^-1
          - 328/3*H(R(1,2,0),x)*x
          - 144*H(R(1,2,0,0),x)
          + 288*H(R(1,2,0,0),x)*[1-x]^-1
          - 240*H(R(1,2,0,0),x)*x
          + 124/3*H(R(1,2,1),x)
          - 88*H(R(1,2,1),x)*[1-x]^-1
          + 40*H(R(1,2,1),x)*x
          - 16/3*H(R(1,2,1,0),x)
          + 32/3*H(R(1,2,1,0),x)*[1-x]^-1
          - 16/3*H(R(1,2,1,0),x)*x
          + 16/3*H(R(1,2,2),x)
          - 32/3*H(R(1,2,2),x)*[1-x]^-1
          + 16/3*H(R(1,2,2),x)*x
          + 308/3*H(R(1,3),x)
          - 944/3*H(R(1,3),x)*[1-x]^-1
          + 44/5*H(R(1,3),x)*x^-2
          + 1744/3*H(R(1,3),x)*x
          - 376*H(R(1,3),x)*x^2
          + 396/5*H(R(1,3),x)*x^3
          + 208/3*H(R(1,3,0),x)
          - 416/3*H(R(1,3,0),x)*[1-x]^-1
          + 208/3*H(R(1,3,0),x)*x
          + 320/3*H(R(1,3,1),x)
          - 640/3*H(R(1,3,1),x)*[1-x]^-1
          + 320/3*H(R(1,3,1),x)*x
          + 104*H(R(1,4),x)
          - 80*H(R(1,4),x)*[1-x]^-1
          - 184*H(R(1,4),x)*x
          + 20588/135*H(R(2),x)
          + 2780/9*H(R(2),x)*[1-x]^-1*z2
          - 576*H(R(2),x)*[1-x]^-1*z3
          - 22634/27*H(R(2),x)*[1-x]^-1
          - 144*H(R(2),x)*[1+x]^-1*z2
          - 736/3*H(R(2),x)*[1+x]^-1*z3
          + 112*H(R(2),x)*[1+x]^-1
          - 5716/9*H(R(2),x)*z2*x
          - 1252/9*H(R(2),x)*z2
          + 1136/3*H(R(2),x)*z3*x
          + 432*H(R(2),x)*z3
          + 1072/45*H(R(2),x)*x^-1
          + 264848/135*H(R(2),x)*x
          + 248/5*H(R(2),x)*x^2
          + 144*H(R(2,-2,0),x)
          - 1216/3*H(R(2,-2,0),x)*[1-x]^-1
          - 64/3*H(R(2,-2,0),x)*[1+x]^-1
          + 560/3*H(R(2,-2,0),x)*x
          + 668/9*H(R(2,0),x)
          + 176/3*H(R(2,0),x)*[1-x]^-1*z2
          - 2644/9*H(R(2,0),x)*[1-x]^-1
          - 512/3*H(R(2,0),x)*[1+x]^-1*z2
          - 288*H(R(2,0),x)*z2*x
          + 32/3*H(R(2,0),x)*z2
          + 424/9*H(R(2,0),x)*x
          + 264*H(R(2,0),x)*x^3
          + 164/9*H(R(2,0,0),x)
          - 544/9*H(R(2,0,0),x)*[1-x]^-1
          + 16*H(R(2,0,0),x)*[1+x]^-1
          + 116/9*H(R(2,0,0),x)*x
          + 376*H(R(2,0,0),x)*x^2
          - 396/5*H(R(2,0,0),x)*x^3
          - 472/3*H(R(2,0,0,0),x)
          + 1040/3*H(R(2,0,0,0),x)*[1-x]^-1
          + 128/3*H(R(2,0,0,0),x)*[1+x]^-1
          - 440/3*H(R(2,0,0,0),x)*x
          - 712/9*H(R(2,1),x)
          - 32/3*H(R(2,1),x)*[1-x]^-1*z2
          - 1936/9*H(R(2,1),x)*[1-x]^-1
          - 128*H(R(2,1),x)*[1+x]^-1*z2
          - 136/3*H(R(2,1),x)*z2*x
          + 248/3*H(R(2,1),x)*z2
          - 724/9*H(R(2,1),x)*x
          - 380/9*H(R(2,1,0),x)
          + 772/9*H(R(2,1,0),x)*[1-x]^-1
          - 476/9*H(R(2,1,0),x)*x
          - 596/3*H(R(2,1,0,0),x)
          + 896/3*H(R(2,1,0,0),x)*[1-x]^-1
          + 128/3*H(R(2,1,0,0),x)*[1+x]^-1
          - 316*H(R(2,1,0,0),x)*x
          + 8*H(R(2,1,1,0),x)
          - 16/3*H(R(2,1,1,0),x)*[1-x]^-1
          - 32/3*H(R(2,1,1,0),x)*[1+x]^-1
          - 8/3*H(R(2,1,1,0),x)*x
          - 32/3*H(R(2,1,2),x)
          + 32/3*H(R(2,1,2),x)*[1-x]^-1
          + 32/3*H(R(2,1,2),x)*[1+x]^-1
          + 452/9*H(R(2,2),x)
          - 844/9*H(R(2,2),x)*[1-x]^-1
          + 512/9*H(R(2,2),x)*x
          + 4*H(R(2,2,0),x)
          + 16*H(R(2,2,0),x)*[1-x]^-1
          - 64/3*H(R(2,2,0),x)*[1+x]^-1
          - 52/3*H(R(2,2,0),x)*x
          + 8/3*H(R(2,2,1),x)
          - 16/3*H(R(2,2,1),x)*[1-x]^-1
          + 8/3*H(R(2,2,1),x)*x
          + 108*H(R(2,3),x)
          - 752/3*H(R(2,3),x)*[1-x]^-1
          + 224/3*H(R(2,3),x)*[1+x]^-1
          + 1028/3*H(R(2,3),x)*x
          + 2312/45*H(R(3),x)
          + 8/3*H(R(3),x)*[1-x]^-2
          + 64/3*H(R(3),x)*[1-x]^-1*z2
          - 10736/27*H(R(3),x)*[1-x]^-1
          - 704/3*H(R(3),x)*[1+x]^-1*z2
          + 272/27*H(R(3),x)*[1+x]^-1
          - 340/3*H(R(3),x)*z2*x
          + 380/3*H(R(3),x)*z2
          - 452/15*H(R(3),x)*x^-1
          - 99716/135*H(R(3),x)*x
          - 1876/5*H(R(3),x)*x^2
          - 1036/5*H(R(3),x)*x^3
          - 8*H(R(3,0),x)
          - 84*H(R(3,0),x)*[1-x]^-1
          - 52/3*H(R(3,0),x)*x
          - 100/3*H(R(3,0,0),x)
          + 352/3*H(R(3,0,0),x)*[1-x]^-1
          - 160/3*H(R(3,0,0),x)*[1+x]^-1
          - 260/3*H(R(3,0,0),x)*x
          - 44/3*H(R(3,1),x)
          - 896/9*H(R(3,1),x)*[1-x]^-1
          - 352/9*H(R(3,1),x)*[1+x]^-1
          - 448/9*H(R(3,1),x)*x
          - 8*H(R(3,1,0),x)
          + 64/3*H(R(3,1,0),x)*[1+x]^-1
          + 8*H(R(3,1,0),x)*x
          + 8*H(R(3,2),x)
          - 64/3*H(R(3,2),x)*[1+x]^-1
          - 8*H(R(3,2),x)*x
          + 44/3*H(R(4),x)
          + 8/3*H(R(4),x)*[1-x]^-3
          + 80/3*H(R(4),x)*[1-x]^-2
          - 3556/9*H(R(4),x)*[1-x]^-1
          + 1648/9*H(R(4),x)*[1+x]^-1
          - 8/9*H(R(4),x)*x
          - 376*H(R(4),x)*x^2
          + 1356/5*H(R(4),x)*x^3
          + 36*H(R(4,0),x)
          - 32*H(R(4,0),x)*[1-x]^-1
          - 64*H(R(4,0),x)*[1+x]^-1
          - 28*H(R(4,0),x)*x
          + 60*H(R(4,1),x)
          - 160/3*H(R(4,1),x)*[1-x]^-1
          - 320/3*H(R(4,1),x)*[1+x]^-1
          - 140/3*H(R(4,1),x)*x
          + 72*H(R(5),x)
          - 32*H(R(5),x)*[1-x]^-1
          - 160*H(R(5),x)*[1+x]^-1
          - 280/3*H(R(5),x)*x
          )

       + cf^2*ca * (
          - 765211/1620
          + 32/15*[1-x]^-3*z2^2
          + 64/3*[1-x]^-2*z2^2
          + 16*[1-x]^-2*z3
          - 416*[1-x]^-1*z2*z3
          + 8825/27*[1-x]^-1*z2
          - 25312/45*[1-x]^-1*z2^2
          + 26870/27*[1-x]^-1*z3
          + 4456/3*[1-x]^-1*z5
          + 16981/24*[1-x]^-1
          - 56/5*[1+x]^-3*z2^2
          - 112*[1+x]^-2*z2^2
          - 32/3*[1+x]^-2*z3
          + 5008/3*[1+x]^-1*z2*z3
          + 36256/81*[1+x]^-1*z2
          - 604/15*[1+x]^-1*z2^2
          + 1124/3*[1+x]^-1*z3
          - 976*[1+x]^-1*z5
          + 7480/3*z2*z3*x
          - 2200/3*z2*z3
          + 18608/225*z2*x^-1
          + 6908669/2025*z2*x
          - 12224/25*z2*x^2
          - 10908/25*z2*x^3
          - 1523513/2025*z2
          + 3836/45*z2^2*x
          + 5376/5*z2^2*x^2
          - 20568/25*z2^2*x^3
          + 26882/45*z2^2
          - 368/15*z3*x^-1
          - 1039919/135*z3*x
          + 8816/5*z3*x^2
          + 12748/5*z3*x^3
          - 104081/135*z3
          - 72*z4*x
          + 72*z4
          + 2218/3*z5*x
          + 442/3*z5
          + 8948/75*x^-1
          - 2448601/810*x
          + 31844/25*x^2
          + 2320/3*H(R(-4,0),x)
          - 1472/3*H(R(-4,0),x)*[1-x]^-1
          - 1856/3*H(R(-4,0),x)*[1+x]^-1
          - 272/3*H(R(-4,0),x)*x
          + 832*H(R(-3),x)*[1-x]^-1*z2
          + 3232*H(R(-3),x)*[1+x]^-1*z2
          + 3632/3*H(R(-3),x)*z2*x
          - 6464/3*H(R(-3),x)*z2
          - 4544/3*H(R(-3,-1,0),x)
          + 2176*H(R(-3,-1,0),x)*[1-x]^-1
          + 704*H(R(-3,-1,0),x)*[1+x]^-1
          - 1312/3*H(R(-3,-1,0),x)*x
          - 4736/9*H(R(-3,0),x)
          + 1280/3*H(R(-3,0),x)*[1-x]^-1
          - 32/3*H(R(-3,0),x)*[1+x]^-3
          - 320/3*H(R(-3,0),x)*[1+x]^-2
          + 9232/9*H(R(-3,0),x)*[1+x]^-1
          - 3568/9*H(R(-3,0),x)*x
          + 864/5*H(R(-3,0),x)*x^3
          + 5632/3*H(R(-3,0,0),x)
          - 1088*H(R(-3,0,0),x)*[1-x]^-1
          - 2240*H(R(-3,0,0),x)*[1+x]^-1
          - 2144/3*H(R(-3,0,0),x)*x
          + 4192/3*H(R(-3,2),x)
          + 256*H(R(-3,2),x)*[1-x]^-1
          - 2880*H(R(-3,2),x)*[1+x]^-1
          - 4288/3*H(R(-3,2),x)*x
          - 64/3*H(R(-2),x)*[1-x]^-3*z2
          - 640/3*H(R(-2),x)*[1-x]^-2*z2
          + 3452/3*H(R(-2),x)*[1-x]^-1*z2
          + 5600/3*H(R(-2),x)*[1-x]^-1*z3
          - 1912/9*H(R(-2),x)*[1+x]^-1*z2
          + 5376*H(R(-2),x)*[1+x]^-1*z3
          + 96/5*H(R(-2),x)*z2*x^-2
          + 29020/9*H(R(-2),x)*z2*x
          - 7344/5*H(R(-2),x)*z2*x^3
          + 11612/9*H(R(-2),x)*z2
          + 6940/3*H(R(-2),x)*z3*x
          - 2940*H(R(-2),x)*z3
          - 1952/3*H(R(-2,-2,0),x)
          + 2080/3*H(R(-2,-2,0),x)*[1-x]^-1
          + 1792/3*H(R(-2,-2,0),x)*[1+x]^-1
          + 1120/3*H(R(-2,-2,0),x)*x
          - 2384*H(R(-2,-1),x)*[1-x]^-1*z2
          - 5648*H(R(-2,-1),x)*[1+x]^-1*z2
          - 2240*H(R(-2,-1),x)*z2*x
          + 3104*H(R(-2,-1),x)*z2
          + 2528/3*H(R(-2,-1,-1,0),x)
          - 2720/3*H(R(-2,-1,-1,0),x)*[1-x]^-1
          - 800*H(R(-2,-1,-1,0),x)*[1+x]^-1
          - 544*H(R(-2,-1,-1,0),x)*x
          + 8072/9*H(R(-2,-1,0),x)
          + 1080*H(R(-2,-1,0),x)*[1-x]^-1
          - 6736/9*H(R(-2,-1,0),x)*[1+x]^-1
          + 64/5*H(R(-2,-1,0),x)*x^-2
          - 24056/9*H(R(-2,-1,0),x)*x
          - 288/5*H(R(-2,-1,0),x)*x^3
          - 7624/3*H(R(-2,-1,0,0),x)
          + 5984/3*H(R(-2,-1,0,0),x)*[1-x]^-1
          + 11792/3*H(R(-2,-1,0,0),x)*[1+x]^-1
          + 5144/3*H(R(-2,-1,0,0),x)*x
          - 8048/3*H(R(-2,-1,2),x)
          + 5792/3*H(R(-2,-1,2),x)*[1-x]^-1
          + 5248*H(R(-2,-1,2),x)*[1+x]^-1
          + 1968*H(R(-2,-1,2),x)*x
          + 136708/135*H(R(-2,0),x)
          + 4048/3*H(R(-2,0),x)*[1-x]^-1*z2
          + 572*H(R(-2,0),x)*[1-x]^-1
          - 32/3*H(R(-2,0),x)*[1+x]^-2
          + 5856*H(R(-2,0),x)*[1+x]^-1*z2
          + 24824/27*H(R(-2,0),x)*[1+x]^-1
          + 2688*H(R(-2,0),x)*z2*x
          - 9136/3*H(R(-2,0),x)*z2
          + 192/5*H(R(-2,0),x)*x^-2
          - 96/5*H(R(-2,0),x)*x^-1
          - 255544/135*H(R(-2,0),x)*x
          + 8192/5*H(R(-2,0),x)*x^2
          + 12296/25*H(R(-2,0),x)*x^3
          - 16376/9*H(R(-2,0,0),x)
          + 32/3*H(R(-2,0,0),x)*[1-x]^-3
          + 320/3*H(R(-2,0,0),x)*[1-x]^-2
          - 328/3*H(R(-2,0,0),x)*[1-x]^-1
          + 12112/9*H(R(-2,0,0),x)*[1+x]^-1
          - 64/5*H(R(-2,0,0),x)*x^-2
          - 11368/9*H(R(-2,0,0),x)*x
          + 864*H(R(-2,0,0),x)*x^3
          + 5240/3*H(R(-2,0,0,0),x)
          - 2272/3*H(R(-2,0,0,0),x)*[1-x]^-1
          - 8416/3*H(R(-2,0,0,0),x)*[1+x]^-1
          - 4408/3*H(R(-2,0,0,0),x)*x
          - 7576/9*H(R(-2,2),x)
          + 64/3*H(R(-2,2),x)*[1-x]^-3
          + 640/3*H(R(-2,2),x)*[1-x]^-2
          - 1832/3*H(R(-2,2),x)*[1-x]^-1
          - 1456/9*H(R(-2,2),x)*[1+x]^-1
          - 64/5*H(R(-2,2),x)*x^-2
          - 41048/9*H(R(-2,2),x)*x
          + 1440*H(R(-2,2),x)*x^3
          + 1936/3*H(R(-2,2,0),x)
          + 224/3*H(R(-2,2,0),x)*[1-x]^-1
          - 4160/3*H(R(-2,2,0),x)*[1+x]^-1
          - 752*H(R(-2,2,0),x)*x
          + 2560/3*H(R(-2,2,1),x)
          + 352/3*H(R(-2,2,1),x)*[1-x]^-1
          - 1824*H(R(-2,2,1),x)*[1+x]^-1
          - 3008/3*H(R(-2,2,1),x)*x
          + 7576/3*H(R(-2,3),x)
          - 2912/3*H(R(-2,3),x)*[1-x]^-1
          - 14992/3*H(R(-2,3),x)*[1+x]^-1
          - 6728/3*H(R(-2,3),x)*x
          - 64/3*H(R(-1),x)*[1-x]^-2*z2
          - 224*H(R(-1),x)*[1-x]^-1*z2
          - 12944/27*H(R(-1),x)*[1+x]^-1*z2
          - 2656/15*H(R(-1),x)*[1+x]^-1*z2^2
          + 2116/9*H(R(-1),x)*[1+x]^-1*z3
          + 5668/75*H(R(-1),x)*z2*x^-2
          + 816/5*H(R(-1),x)*z2*x^-1
          + 499114/135*H(R(-1),x)*z2*x
          - 3104/5*H(R(-1),x)*z2*x^2
          - 18444/25*H(R(-1),x)*z2*x^3
          + 510614/135*H(R(-1),x)*z2
          - 4388/15*H(R(-1),x)*z2^2*x
          + 716/15*H(R(-1),x)*z2^2
          + 128*H(R(-1),x)*z3*x^-2
          + 48074/9*H(R(-1),x)*z3*x
          - 1152*H(R(-1),x)*z3*x^3
          + 47338/9*H(R(-1),x)*z3
          - 336*H(R(-1,-3,0),x)
          + 960*H(R(-1,-3,0),x)*[1+x]^-1
          + 1200*H(R(-1,-3,0),x)*x
          - 5600*H(R(-1,-2),x)*[1+x]^-1*z2
          - 5600*H(R(-1,-2),x)*z2*x
          + 2240*H(R(-1,-2),x)*z2
          + 256*H(R(-1,-2,-1,0),x)
          - 704*H(R(-1,-2,-1,0),x)*[1+x]^-1
          - 832*H(R(-1,-2,-1,0),x)*x
          + 6920/9*H(R(-1,-2,0),x)
          - 6664/9*H(R(-1,-2,0),x)*[1+x]^-1
          + 32/5*H(R(-1,-2,0),x)*x^-2
          - 6248/9*H(R(-1,-2,0),x)*x
          - 288/5*H(R(-1,-2,0),x)*x^3
          - 4768/3*H(R(-1,-2,0,0),x)
          + 11744/3*H(R(-1,-2,0,0),x)*[1+x]^-1
          + 11392/3*H(R(-1,-2,0,0),x)*x
          - 2112*H(R(-1,-2,2),x)
          + 5248*H(R(-1,-2,2),x)*[1+x]^-1
          + 5184*H(R(-1,-2,2),x)*x
          - 1232/9*H(R(-1,-1),x)*[1+x]^-1*z2
          - 23824/3*H(R(-1,-1),x)*[1+x]^-1*z3
          - 816/5*H(R(-1,-1),x)*z2*x^-2
          - 57004/9*H(R(-1,-1),x)*z2*x
          + 7344/5*H(R(-1,-1),x)*z2*x^3
          - 56540/9*H(R(-1,-1),x)*z2
          - 23792/3*H(R(-1,-1),x)*z3*x
          + 9536/3*H(R(-1,-1),x)*z3
          + 208*H(R(-1,-1,-2,0),x)
          - 608*H(R(-1,-1,-2,0),x)*[1+x]^-1
          - 784*H(R(-1,-1,-2,0),x)*x
          + 7872*H(R(-1,-1,-1),x)*[1+x]^-1*z2
          + 8976*H(R(-1,-1,-1),x)*z2*x
          - 2928*H(R(-1,-1,-1),x)*z2
          - 288*H(R(-1,-1,-1,-1,0),x)
          + 768*H(R(-1,-1,-1,-1,0),x)*[1+x]^-1
          + 864*H(R(-1,-1,-1,-1,0),x)*x
          - 8152/9*H(R(-1,-1,-1,0),x)
          + 4448/9*H(R(-1,-1,-1,0),x)*[1+x]^-1
          - 32/5*H(R(-1,-1,-1,0),x)*x^-2
          - 728/9*H(R(-1,-1,-1,0),x)*x
          + 288/5*H(R(-1,-1,-1,0),x)*x^3
          + 2144*H(R(-1,-1,-1,0,0),x)
          - 5600*H(R(-1,-1,-1,0,0),x)*[1+x]^-1
          - 6080*H(R(-1,-1,-1,0,0),x)*x
          + 2784*H(R(-1,-1,-1,2),x)
          - 7488*H(R(-1,-1,-1,2),x)*[1+x]^-1
          - 8544*H(R(-1,-1,-1,2),x)*x
          + 10204/5*H(R(-1,-1,0),x)
          - 27616/3*H(R(-1,-1,0),x)*[1+x]^-1*z2
          - 10880/9*H(R(-1,-1,0),x)*[1+x]^-1
          - 24368/3*H(R(-1,-1,0),x)*z2*x
          + 11696/3*H(R(-1,-1,0),x)*z2
          + 11336/225*H(R(-1,-1,0),x)*x^-2
          + 32/5*H(R(-1,-1,0),x)*x^-1
          - 74764/45*H(R(-1,-1,0),x)*x
          - 8768/5*H(R(-1,-1,0),x)*x^2
          - 12296/25*H(R(-1,-1,0),x)*x^3
          + 40100/9*H(R(-1,-1,0,0),x)
          - 9808/9*H(R(-1,-1,0,0),x)*[1+x]^-1
          + 96*H(R(-1,-1,0,0),x)*x^-2
          + 18556/9*H(R(-1,-1,0,0),x)*x
          - 864*H(R(-1,-1,0,0),x)*x^3
          - 2008*H(R(-1,-1,0,0,0),x)
          + 4528*H(R(-1,-1,0,0,0),x)*[1+x]^-1
          + 3544*H(R(-1,-1,0,0,0),x)*x
          + 17488/3*H(R(-1,-1,2),x)
          + 384*H(R(-1,-1,2),x)*[1+x]^-1
          + 160*H(R(-1,-1,2),x)*x^-2
          + 18880/3*H(R(-1,-1,2),x)*x
          - 1440*H(R(-1,-1,2),x)*x^3
          - 3680/3*H(R(-1,-1,2,0),x)
          + 7552/3*H(R(-1,-1,2,0),x)*[1+x]^-1
          + 4256/3*H(R(-1,-1,2,0),x)*x
          - 4960/3*H(R(-1,-1,2,1),x)
          + 10112/3*H(R(-1,-1,2,1),x)*[1+x]^-1
          + 5536/3*H(R(-1,-1,2,1),x)*x
          - 10496/3*H(R(-1,-1,3),x)
          + 24352/3*H(R(-1,-1,3),x)*[1+x]^-1
          + 20576/3*H(R(-1,-1,3),x)*x
          + 4861202/2025*H(R(-1,0),x)
          + 1496/9*H(R(-1,0),x)*[1+x]^-1*z2
          + 12752/3*H(R(-1,0),x)*[1+x]^-1*z3
          + 31040/81*H(R(-1,0),x)*[1+x]^-1
          + 528/5*H(R(-1,0),x)*z2*x^-2
          + 47056/9*H(R(-1,0),x)*z2*x
          - 4752/5*H(R(-1,0),x)*z2*x^3
          + 45944/9*H(R(-1,0),x)*z2
          + 11776/3*H(R(-1,0),x)*z3*x
          - 5296/3*H(R(-1,0),x)*z3
          + 5428/225*H(R(-1,0),x)*x^-2
          - 9896/225*H(R(-1,0),x)*x^-1
          + 3401962/2025*H(R(-1,0),x)*x
          + 9416/25*H(R(-1,0),x)*x^2
          - 10908/25*H(R(-1,0),x)*x^3
          - 54760/27*H(R(-1,0,0),x)
          + 32/3*H(R(-1,0,0),x)*[1-x]^-2
          + 112*H(R(-1,0,0),x)*[1-x]^-1
          + 12656/3*H(R(-1,0,0),x)*[1+x]^-1*z2
          + 36824/27*H(R(-1,0,0),x)*[1+x]^-1
          + 13048/3*H(R(-1,0,0),x)*z2*x
          - 4984/3*H(R(-1,0,0),x)*z2
          - 2696/225*H(R(-1,0,0),x)*x^-2
          - 96*H(R(-1,0,0),x)*x^-1
          - 22916/27*H(R(-1,0,0),x)*x
          + 864*H(R(-1,0,0),x)*x^2
          + 3656/25*H(R(-1,0,0),x)*x^3
          - 23900/9*H(R(-1,0,0,0),x)
          + 12148/9*H(R(-1,0,0,0),x)*[1+x]^-1
          - 128/5*H(R(-1,0,0,0),x)*x^-2
          - 6532/9*H(R(-1,0,0,0),x)*x
          + 1152/5*H(R(-1,0,0,0),x)*x^3
          + 2392/3*H(R(-1,0,0,0,0),x)
          - 5648/3*H(R(-1,0,0,0,0),x)*[1+x]^-1
          - 4984/3*H(R(-1,0,0,0,0),x)*x
          - 74572/27*H(R(-1,2),x)
          + 64/3*H(R(-1,2),x)*[1-x]^-2
          + 224*H(R(-1,2),x)*[1-x]^-1
          - 560*H(R(-1,2),x)*[1+x]^-1*z2
          - 3376/27*H(R(-1,2),x)*[1+x]^-1
          - 360*H(R(-1,2),x)*z2*x
          + 264*H(R(-1,2),x)*z2
          - 11336/225*H(R(-1,2),x)*x^-2
          - 160*H(R(-1,2),x)*x^-1
          - 122252/27*H(R(-1,2),x)*x
          - 256*H(R(-1,2),x)*x^2
          + 12296/25*H(R(-1,2),x)*x^3
          - 1616/3*H(R(-1,2,0),x)
          - 192*H(R(-1,2,0),x)*[1+x]^-1
          - 32/5*H(R(-1,2,0),x)*x^-2
          - 2000/3*H(R(-1,2,0),x)*x
          + 288/5*H(R(-1,2,0),x)*x^3
          + 416*H(R(-1,2,0,0),x)
          - 704*H(R(-1,2,0,0),x)*[1+x]^-1
          - 32*H(R(-1,2,0,0),x)*x
          - 5776/9*H(R(-1,2,1),x)
          - 3712/9*H(R(-1,2,1),x)*[1+x]^-1
          - 32/5*H(R(-1,2,1),x)*x^-2
          - 8912/9*H(R(-1,2,1),x)*x
          + 288/5*H(R(-1,2,1),x)*x^3
          + 112/3*H(R(-1,2,1,0),x)
          - 224/3*H(R(-1,2,1,0),x)*[1+x]^-1
          - 112/3*H(R(-1,2,1,0),x)*x
          + 96*H(R(-1,2,1,1),x)
          - 192*H(R(-1,2,1,1),x)*[1+x]^-1
          - 96*H(R(-1,2,1,1),x)*x
          + 592/3*H(R(-1,2,2),x)
          - 1184/3*H(R(-1,2,2),x)*[1+x]^-1
          - 592/3*H(R(-1,2,2),x)*x
          - 37144/9*H(R(-1,3),x)
          - 2896/9*H(R(-1,3),x)*[1+x]^-1
          - 96*H(R(-1,3),x)*x^-2
          - 38960/9*H(R(-1,3),x)*x
          + 864*H(R(-1,3),x)*x^3
          + 712*H(R(-1,3,0),x)
          - 1456*H(R(-1,3,0),x)*[1+x]^-1
          - 808*H(R(-1,3,0),x)*x
          + 3040/3*H(R(-1,3,1),x)
          - 6176/3*H(R(-1,3,1),x)*[1+x]^-1
          - 3328/3*H(R(-1,3,1),x)*x
          + 1480*H(R(-1,4),x)
          - 3632*H(R(-1,4),x)*[1+x]^-1
          - 3496*H(R(-1,4),x)*x
          - 4555529/8100*H(R(0),x)
          + 16*H(R(0),x)*[1-x]^-3*z3
          + 16*H(R(0),x)*[1-x]^-2*z2
          + 160*H(R(0),x)*[1-x]^-2*z3
          + 40624/27*H(R(0),x)*[1-x]^-1*z2
          + 1256/15*H(R(0),x)*[1-x]^-1*z2^2
          - 6100/9*H(R(0),x)*[1-x]^-1*z3
          + 85535/54*H(R(0),x)*[1-x]^-1
          - 32/3*H(R(0),x)*[1+x]^-3*z3
          - 16/3*H(R(0),x)*[1+x]^-2*z2
          - 320/3*H(R(0),x)*[1+x]^-2*z3
          + 842/27*H(R(0),x)*[1+x]^-1*z2
          - 3688/15*H(R(0),x)*[1+x]^-1*z2^2
          + 5500/9*H(R(0),x)*[1+x]^-1*z3
          + 144*H(R(0),x)*[1+x]^-1*z4
          - 6170/9*H(R(0),x)*[1+x]^-1
          - 3136/15*H(R(0),x)*z2*x^-1
          - 1165913/135*H(R(0),x)*z2*x
          - 9264/5*H(R(0),x)*z2*x^2
          + 13592/25*H(R(0),x)*z2*x^3
          - 66547/45*H(R(0),x)*z2
          - 808/15*H(R(0),x)*z2^2*x
          + 2656/15*H(R(0),x)*z2^2
          - 27074/9*H(R(0),x)*z3*x
          + 1344*H(R(0),x)*z3*x^2
          + 1104/5*H(R(0),x)*z3*x^3
          + 442/3*H(R(0),x)*z3
          + 72*H(R(0),x)*z4*x
          - 72*H(R(0),x)*z4
          - 5108/75*H(R(0),x)*x^-1
          - 11139971/2700*H(R(0),x)*x
          + 45508/25*H(R(0),x)*x^2
          + 442766/675*H(R(0,0),x)
          + 16*H(R(0,0),x)*[1-x]^-3*z2
          + 160*H(R(0,0),x)*[1-x]^-2*z2
          - 2108/9*H(R(0,0),x)*[1-x]^-1*z2
          + 1904/3*H(R(0,0),x)*[1-x]^-1*z3
          + 8711/27*H(R(0,0),x)*[1-x]^-1
          - 16/3*H(R(0,0),x)*[1+x]^-3*z2
          - 160/3*H(R(0,0),x)*[1+x]^-2*z2
          + 6460/9*H(R(0,0),x)*[1+x]^-1*z2
          - 3440/3*H(R(0,0),x)*[1+x]^-1*z3
          - 54616/81*H(R(0,0),x)*[1+x]^-1
          - 2054*H(R(0,0),x)*z2*x
          - 1344*H(R(0,0),x)*z2*x^2
          + 9408/5*H(R(0,0),x)*z2*x^3
          - 5938/9*H(R(0,0),x)*z2
          - 3568/3*H(R(0,0),x)*z3*x
          + 384*H(R(0,0),x)*z3
          - 1624/225*H(R(0,0),x)*x^-1
          - 6780067/2025*H(R(0,0),x)*x
          + 34744/25*H(R(0,0),x)*x^2
          + 10908/25*H(R(0,0),x)*x^3
          + 39083/45*H(R(0,0,0),x)
          - 16/3*H(R(0,0,0),x)*[1-x]^-2
          + 368*H(R(0,0,0),x)*[1-x]^-1*z2
          - 8608/27*H(R(0,0,0),x)*[1-x]^-1
          + 16/3*H(R(0,0,0),x)*[1+x]^-2
          - 944*H(R(0,0,0),x)*[1+x]^-1*z2
          - 17606/27*H(R(0,0,0),x)*[1+x]^-1
          - 872*H(R(0,0,0),x)*z2*x
          + 192*H(R(0,0,0),x)*z2
          + 32*H(R(0,0,0),x)*x^-1
          + 98053/27*H(R(0,0,0),x)*x
          - 864/5*H(R(0,0,0),x)*x^2
          - 3656/25*H(R(0,0,0),x)*x^3
          + 2002/3*H(R(0,0,0,0),x)
          - 16/3*H(R(0,0,0,0),x)*[1-x]^-3
          - 160/3*H(R(0,0,0,0),x)*[1-x]^-2
          + 28*H(R(0,0,0,0),x)*[1-x]^-1
          + 16/3*H(R(0,0,0,0),x)*[1+x]^-3
          + 160/3*H(R(0,0,0,0),x)*[1+x]^-2
          - 8260/9*H(R(0,0,0,0),x)*[1+x]^-1
          + 10346/9*H(R(0,0,0,0),x)*x
          - 288*H(R(0,0,0,0),x)*x^3
          - 400*H(R(0,0,0,0,0),x)*[1-x]^-1
          + 400*H(R(0,0,0,0,0),x)*[1+x]^-1
          + 568*H(R(0,0,0,0,0),x)*x
          + 94531/900*H(R(1),x)
          + 6448/9*H(R(1),x)*[1-x]^-1*z2
          + 2416/5*H(R(1),x)*[1-x]^-1*z2^2
          + 5108/9*H(R(1),x)*[1-x]^-1*z3
          + 5563/18*H(R(1),x)*[1-x]^-1
          + 5668/225*H(R(1),x)*z2*x^-2
          - 16/5*H(R(1),x)*z2*x^-1
          - 8566/15*H(R(1),x)*z2*x
          - 5264/5*H(R(1),x)*z2*x^2
          - 4852/25*H(R(1),x)*z2*x^3
          + 22738/45*H(R(1),x)*z2
          - 2044/5*H(R(1),x)*z2^2*x
          - 1348/5*H(R(1),x)*z2^2
          - 1552/15*H(R(1),x)*z3*x^-2
          - 31714/9*H(R(1),x)*z3*x
          + 1344*H(R(1),x)*z3*x^2
          - 4656/5*H(R(1),x)*z3*x^3
          + 12986/9*H(R(1),x)*z3
          + 25624/225*H(R(1),x)*x^-1
          - 5746343/2700*H(R(1),x)*x
          + 13664/25*H(R(1),x)*x^2
          - 80/3*H(R(1,-3,0),x)
          + 640/3*H(R(1,-3,0),x)*[1-x]^-1
          - 1520/3*H(R(1,-3,0),x)*x
          - 1488*H(R(1,-2),x)*[1-x]^-1*z2
          + 2584*H(R(1,-2),x)*z2*x
          + 376*H(R(1,-2),x)*z2
          - 2768/3*H(R(1,-2,-1,0),x)
          + 5728/3*H(R(1,-2,-1,0),x)*[1-x]^-1
          - 3344/3*H(R(1,-2,-1,0),x)*x
          + 3560/3*H(R(1,-2,0),x)
          + 1288/3*H(R(1,-2,0),x)*[1-x]^-1
          + 64/5*H(R(1,-2,0),x)*x^-2
          - 7480/3*H(R(1,-2,0),x)*x
          + 576/5*H(R(1,-2,0),x)*x^3
          - 352/3*H(R(1,-2,0,0),x)
          + 1760/3*H(R(1,-2,0,0),x)*[1-x]^-1
          - 3520/3*H(R(1,-2,0,0),x)*x
          - 2512/3*H(R(1,-2,2),x)
          + 7328/3*H(R(1,-2,2),x)*[1-x]^-1
          - 9424/3*H(R(1,-2,2),x)*x
          + 548128/405*H(R(1,0),x)
          + 464/3*H(R(1,0),x)*[1-x]^-1*z2
          + 3040*H(R(1,0),x)*[1-x]^-1*z3
          - 96391/81*H(R(1,0),x)*[1-x]^-1
          + 1552/15*H(R(1,0),x)*z2*x^-2
          - 92*H(R(1,0),x)*z2*x
          - 1344*H(R(1,0),x)*z2*x^2
          + 4656/5*H(R(1,0),x)*z2*x^3
          + 3076/3*H(R(1,0),x)*z2
          - 3784*H(R(1,0),x)*z3*x
          - 1144*H(R(1,0),x)*z3
          - 32/5*H(R(1,0),x)*x^-1
          + 120892/405*H(R(1,0),x)*x
          + 1912/5*H(R(1,0),x)*x^2
          + 166384/135*H(R(1,0,0),x)
          + 3712/3*H(R(1,0,0),x)*[1-x]^-1*z2
          - 30610/27*H(R(1,0,0),x)*[1-x]^-1
          - 7184/3*H(R(1,0,0),x)*z2*x
          - 560/3*H(R(1,0,0),x)*z2
          - 1408/15*H(R(1,0,0),x)*x^-1
          - 60284/135*H(R(1,0,0),x)*x
          - 4224/5*H(R(1,0,0),x)*x^2
          - 4748/9*H(R(1,0,0,0),x)
          - 5996/9*H(R(1,0,0,0),x)*[1-x]^-1
          - 32/5*H(R(1,0,0,0),x)*x^-2
          + 7252/9*H(R(1,0,0,0),x)*x
          - 288/5*H(R(1,0,0,0),x)*x^3
          + 1576/3*H(R(1,0,0,0,0),x)
          - 4016/3*H(R(1,0,0,0,0),x)*[1-x]^-1
          + 4168/3*H(R(1,0,0,0,0),x)*x
          + 62702/45*H(R(1,1),x)
          + 3416/9*H(R(1,1),x)*[1-x]^-1*z2
          + 3120*H(R(1,1),x)*[1-x]^-1*z3
          - 8425/9*H(R(1,1),x)*[1-x]^-1
          + 16/5*H(R(1,1),x)*z2*x^-2
          - 2080/9*H(R(1,1),x)*z2*x
          + 144/5*H(R(1,1),x)*z2*x^3
          + 848/9*H(R(1,1),x)*z2
          - 2768*H(R(1,1),x)*z3*x
          - 1472*H(R(1,1),x)*z3
          - 32/5*H(R(1,1),x)*x^-1
          - 8812/45*H(R(1,1),x)*x
          - 288/5*H(R(1,1),x)*x^2
          - 592*H(R(1,1,-2,0),x)
          + 1568*H(R(1,1,-2,0),x)*[1-x]^-1
          - 1744*H(R(1,1,-2,0),x)*x
          + 5116/9*H(R(1,1,0),x)
          + 1696/3*H(R(1,1,0),x)*[1-x]^-1*z2
          - 14188/9*H(R(1,1,0),x)*[1-x]^-1
          - 2864/3*H(R(1,1,0),x)*z2*x
          + 16/3*H(R(1,1,0),x)*z2
          + 1660*H(R(1,1,0),x)*x
          - 176*H(R(1,1,0),x)*x^2
          - 440*H(R(1,1,0),x)*x^3
          + 4916/9*H(R(1,1,0,0),x)
          - 10672/9*H(R(1,1,0,0),x)*[1-x]^-1
          + 1408/15*H(R(1,1,0,0),x)*x^-2
          + 14420/9*H(R(1,1,0,0),x)*x
          - 1344*H(R(1,1,0,0),x)*x^2
          + 4224/5*H(R(1,1,0,0),x)*x^3
          + 808*H(R(1,1,0,0,0),x)
          - 1936*H(R(1,1,0,0,0),x)*[1-x]^-1
          + 1768*H(R(1,1,0,0,0),x)*x
          + 1156/3*H(R(1,1,1),x)
          + 1216/3*H(R(1,1,1),x)*[1-x]^-1*z2
          - 3464/3*H(R(1,1,1),x)*[1-x]^-1
          - 1328/3*H(R(1,1,1),x)*z2*x
          - 464/3*H(R(1,1,1),x)*z2
          + 1348*H(R(1,1,1),x)*x
          + 3128/9*H(R(1,1,1,0),x)
          - 6568/9*H(R(1,1,1,0),x)*[1-x]^-1
          + 4016/9*H(R(1,1,1,0),x)*x
          + 1696/3*H(R(1,1,1,0,0),x)
          - 2720/3*H(R(1,1,1,0,0),x)*[1-x]^-1
          + 1984/3*H(R(1,1,1,0,0),x)*x
          + 880/3*H(R(1,1,1,1),x)
          - 1760/3*H(R(1,1,1,1),x)*[1-x]^-1
          + 880/3*H(R(1,1,1,1),x)*x
          - 96*H(R(1,1,1,1,0),x)
          + 192*H(R(1,1,1,1,0),x)*[1-x]^-1
          - 96*H(R(1,1,1,1,0),x)*x
          + 32/3*H(R(1,1,1,2),x)
          - 64/3*H(R(1,1,1,2),x)*[1-x]^-1
          + 32/3*H(R(1,1,1,2),x)*x
          + 1076/3*H(R(1,1,2),x)
          - 1880/3*H(R(1,1,2),x)*[1-x]^-1
          + 572/3*H(R(1,1,2),x)*x
          - 16*H(R(1,1,2,0),x)
          + 32*H(R(1,1,2,0),x)*[1-x]^-1
          - 16*H(R(1,1,2,0),x)*x
          + 112/3*H(R(1,1,2,1),x)
          - 224/3*H(R(1,1,2,1),x)*[1-x]^-1
          + 112/3*H(R(1,1,2,1),x)*x
          - 1216/3*H(R(1,1,3),x)
          + 1568/3*H(R(1,1,3),x)*[1-x]^-1
          - 928/3*H(R(1,1,3),x)*x
          + 4636/9*H(R(1,2),x)
          + 1408/3*H(R(1,2),x)*[1-x]^-1*z2
          - 11888/9*H(R(1,2),x)*[1-x]^-1
          - 1424/3*H(R(1,2),x)*z2*x
          - 560/3*H(R(1,2),x)*z2
          + 12616/9*H(R(1,2),x)*x
          + 176*H(R(1,2),x)*x^2
          + 440*H(R(1,2),x)*x^3
          + 4060/9*H(R(1,2,0),x)
          - 8096/9*H(R(1,2,0),x)*[1-x]^-1
          + 5164/9*H(R(1,2,0),x)*x
          + 1376/3*H(R(1,2,0,0),x)
          - 2464/3*H(R(1,2,0,0),x)*[1-x]^-1
          + 1664/3*H(R(1,2,0,0),x)*x
          + 2884/9*H(R(1,2,1),x)
          - 6272/9*H(R(1,2,1),x)*[1-x]^-1
          + 3508/9*H(R(1,2,1),x)*x
          - 16*H(R(1,2,1,0),x)
          + 32*H(R(1,2,1,0),x)*[1-x]^-1
          - 16*H(R(1,2,1,0),x)*x
          + 48*H(R(1,2,1,1),x)
          - 96*H(R(1,2,1,1),x)*[1-x]^-1
          + 48*H(R(1,2,1,1),x)*x
          + 176/3*H(R(1,2,2),x)
          - 352/3*H(R(1,2,2),x)*[1-x]^-1
          + 176/3*H(R(1,2,2),x)*x
          - 428/9*H(R(1,3),x)
          - 2792/9*H(R(1,3),x)*[1-x]^-1
          - 1408/15*H(R(1,3),x)*x^-2
          - 7268/9*H(R(1,3),x)*x
          + 1344*H(R(1,3),x)*x^2
          - 4224/5*H(R(1,3),x)*x^3
          - 160/3*H(R(1,3,0),x)
          + 224/3*H(R(1,3,0),x)*[1-x]^-1
          + 128/3*H(R(1,3,0),x)*x
          - 80*H(R(1,3,1),x)
          + 128*H(R(1,3,1),x)*[1-x]^-1
          + 16*H(R(1,3,1),x)*x
          + 16/3*H(R(1,4),x)
          - 1952/3*H(R(1,4),x)*[1-x]^-1
          + 4624/3*H(R(1,4),x)*x
          + 1523513/2025*H(R(2),x)
          + 3500/9*H(R(2),x)*[1-x]^-1*z2
          + 2336*H(R(2),x)*[1-x]^-1*z3
          - 41995/81*H(R(2),x)*[1-x]^-1
          + 532*H(R(2),x)*[1+x]^-1*z2
          + 2704/3*H(R(2),x)*[1+x]^-1*z3
          - 256*H(R(2),x)*[1+x]^-1
          + 32/5*H(R(2),x)*z2*x^-2
          + 8432/9*H(R(2),x)*z2*x
          + 144/5*H(R(2),x)*z2*x^3
          + 200/9*H(R(2),x)*z2
          - 1836*H(R(2),x)*z3*x
          - 5164/3*H(R(2),x)*z3
          - 28504/225*H(R(2),x)*x^-1
          - 3506707/2025*H(R(2),x)*x
          + 12224/25*H(R(2),x)*x^2
          - 1168/3*H(R(2,-2,0),x)
          + 1120*H(R(2,-2,0),x)*[1-x]^-1
          + 64*H(R(2,-2,0),x)*[1+x]^-1
          - 1552/3*H(R(2,-2,0),x)*x
          + 133928/135*H(R(2,0),x)
          + 576*H(R(2,0),x)*[1-x]^-1*z2
          - 36896/27*H(R(2,0),x)*[1-x]^-1
          + 624*H(R(2,0),x)*[1+x]^-1*z2
          + 32*H(R(2,0),x)*[1+x]^-1
          + 208/3*H(R(2,0),x)*z2*x
          - 1088/3*H(R(2,0),x)*z2
          + 32/5*H(R(2,0),x)*x^-1
          + 278828/135*H(R(2,0),x)*x
          - 1168/5*H(R(2,0),x)*x^2
          - 440*H(R(2,0),x)*x^3
          + 5068/9*H(R(2,0,0),x)
          - 8048/9*H(R(2,0,0),x)*[1-x]^-1
          - 32*H(R(2,0,0),x)*[1+x]^-1
          + 9028/9*H(R(2,0,0),x)*x
          - 1344*H(R(2,0,0),x)*x^2
          + 4224/5*H(R(2,0,0),x)*x^3
          + 1808/3*H(R(2,0,0,0),x)
          - 4000/3*H(R(2,0,0,0),x)*[1-x]^-1
          - 448/3*H(R(2,0,0,0),x)*[1+x]^-1
          + 2512/3*H(R(2,0,0,0),x)*x
          + 53996/45*H(R(2,1),x)
          + 464*H(R(2,1),x)*[1-x]^-1*z2
          - 4304/3*H(R(2,1),x)*[1-x]^-1
          + 1456/3*H(R(2,1),x)*[1+x]^-1*z2
          + 32*H(R(2,1),x)*[1+x]^-1
          - 288*H(R(2,1),x)*z2*x
          - 1408/3*H(R(2,1),x)*z2
          + 32/5*H(R(2,1),x)*x^-1
          + 115576/45*H(R(2,1),x)*x
          - 288/5*H(R(2,1),x)*x^2
          + 516*H(R(2,1,0),x)
          - 2884/3*H(R(2,1,0),x)*[1-x]^-1
          - 8*H(R(2,1,0),x)*[1+x]^-1
          + 1612/3*H(R(2,1,0),x)*x
          + 1744/3*H(R(2,1,0,0),x)
          - 768*H(R(2,1,0,0),x)*[1-x]^-1
          - 448/3*H(R(2,1,0,0),x)*[1+x]^-1
          + 832*H(R(2,1,0,0),x)*x
          + 4004/9*H(R(2,1,1),x)
          - 7216/9*H(R(2,1,1),x)*[1-x]^-1
          + 4004/9*H(R(2,1,1),x)*x
          - 344/3*H(R(2,1,1,0),x)
          + 496/3*H(R(2,1,1,0),x)*[1-x]^-1
          + 32*H(R(2,1,1,0),x)*[1+x]^-1
          - 248/3*H(R(2,1,1,0),x)*x
          + 48*H(R(2,1,2),x)
          - 64*H(R(2,1,2),x)*[1-x]^-1
          - 32*H(R(2,1,2),x)*[1+x]^-1
          + 16*H(R(2,1,2),x)*x
          + 3836/9*H(R(2,2),x)
          - 6868/9*H(R(2,2),x)*[1-x]^-1
          + 8*H(R(2,2),x)*[1+x]^-1
          + 3596/9*H(R(2,2),x)*x
          - 24*H(R(2,2,0),x)
          - 112/3*H(R(2,2,0),x)*[1-x]^-1
          + 64*H(R(2,2,0),x)*[1+x]^-1
          + 40*H(R(2,2,0),x)*x
          + 200/3*H(R(2,2,1),x)
          - 304/3*H(R(2,2,1),x)*[1-x]^-1
          + 200/3*H(R(2,2,1),x)*x
          - 472/3*H(R(2,3),x)
          + 848/3*H(R(2,3),x)*[1-x]^-1
          - 736/3*H(R(2,3),x)*[1+x]^-1
          - 1544/3*H(R(2,3),x)*x
          + 66547/45*H(R(3),x)
          - 32/3*H(R(3),x)*[1-x]^-2
          + 544*H(R(3),x)*[1-x]^-1*z2
          - 45314/27*H(R(3),x)*[1-x]^-1
          + 2720/3*H(R(3),x)*[1+x]^-1*z2
          + 3848/27*H(R(3),x)*[1+x]^-1
          + 24*H(R(3),x)*z2*x
          - 792*H(R(3),x)*z2
          + 2848/15*H(R(3),x)*x^-1
          + 910369/135*H(R(3),x)*x
          + 9264/5*H(R(3),x)*x^2
          - 1296/25*H(R(3),x)*x^3
          + 5912/9*H(R(3,0),x)
          - 8068/9*H(R(3,0),x)*[1-x]^-1
          + 84*H(R(3,0),x)*[1+x]^-1
          + 9608/9*H(R(3,0),x)*x
          - 288/5*H(R(3,0),x)*x^3
          + 472/3*H(R(3,0,0),x)
          - 576*H(R(3,0,0),x)*[1-x]^-1
          + 832/3*H(R(3,0,0),x)*[1+x]^-1
          + 472*H(R(3,0,0),x)*x
          + 2080/3*H(R(3,1),x)
          - 8024/9*H(R(3,1),x)*[1-x]^-1
          + 1856/9*H(R(3,1),x)*[1+x]^-1
          + 10880/9*H(R(3,1),x)*x
          - 288/5*H(R(3,1),x)*x^3
          - 104/3*H(R(3,1,0),x)
          - 128/3*H(R(3,1,0),x)*[1-x]^-1
          + 160/3*H(R(3,1,0),x)*[1+x]^-1
          + 40*H(R(3,1,0),x)*x
          - 96*H(R(3,1,1),x)*[1-x]^-1
          + 96*H(R(3,1,1),x)*[1+x]^-1
          + 96*H(R(3,1,1),x)*x
          + 104/3*H(R(3,2),x)
          - 192*H(R(3,2),x)*[1-x]^-1
          + 544/3*H(R(3,2),x)*[1+x]^-1
          + 584/3*H(R(3,2),x)*x
          + 5938/9*H(R(4),x)
          - 32/3*H(R(4),x)*[1-x]^-3
          - 320/3*H(R(4),x)*[1-x]^-2
          - 196/3*H(R(4),x)*[1-x]^-1
          - 3764/9*H(R(4),x)*[1+x]^-1
          + 14918/9*H(R(4),x)*x
          + 1344*H(R(4),x)*x^2
          - 8544/5*H(R(4),x)*x^3
          - 96*H(R(4,0),x)
          - 496/3*H(R(4,0),x)*[1-x]^-1
          + 1360/3*H(R(4,0),x)*[1+x]^-1
          + 1168/3*H(R(4,0),x)*x
          - 160*H(R(4,1),x)
          - 496/3*H(R(4,1),x)*[1-x]^-1
          + 1936/3*H(R(4,1),x)*[1+x]^-1
          + 1552/3*H(R(4,1),x)*x
          - 192*H(R(5),x)
          - 304*H(R(5),x)*[1-x]^-1
          + 880*H(R(5),x)*[1+x]^-1
          + 2344/3*H(R(5),x)*x
          )

       + cf^3 * (
          + 346981/900
          - 32/15*[1-x]^-3*z2^2
          - 64/3*[1-x]^-2*z2^2
          - 16*[1-x]^-2*z3
          - 1856/3*[1-x]^-1*z2*z3
          - 895/3*[1-x]^-1*z2
          + 248/5*[1-x]^-1*z2^2
          + 118*[1-x]^-1*z3
          - 5360/3*[1-x]^-1*z5
          - 1001/8*[1-x]^-1
          + 56/5*[1+x]^-3*z2^2
          + 112*[1+x]^-2*z2^2
          + 32/3*[1+x]^-2*z3
          - 1952*[1+x]^-1*z2*z3
          - 88/3*[1+x]^-1*z2
          + 472/5*[1+x]^-1*z2^2
          + 152*[1+x]^-1*z3
          + 3968/3*[1+x]^-1*z5
          - 1832*z2*z3*x
          + 5000/3*z2*z3
          - 592/75*z2*x^-1
          + 53498/225*z2*x
          + 9168/25*z2*x^2
          - 8088/25*z2*x^3
          + 40648/75*z2
          + 1176/5*z2^2*x
          - 640*z2^2*x^2
          + 21744/25*z2^2*x^3
          - 3436/15*z2^2
          + 656/15*z3*x^-1
          + 45744/5*z3*x
          - 5952/5*z3*x^2
          - 9456/5*z3*x^3
          + 3088/15*z3
          + 48*z4*x
          - 48*z4
          - 2888/3*z5*x
          - 408*z5
          - 7864/225*x^-1
          + 32773/50*x
          - 10824/25*x^2
          - 3968/3*H(R(-4,0),x)
          + 2560/3*H(R(-4,0),x)*[1-x]^-1
          + 1024*H(R(-4,0),x)*[1+x]^-1
          + 128*H(R(-4,0),x)*x
          - 5504/3*H(R(-3),x)*[1-x]^-1*z2
          - 11200/3*H(R(-3),x)*[1+x]^-1*z2
          - 976*H(R(-3),x)*z2*x
          + 8528/3*H(R(-3),x)*z2
          + 1952*H(R(-3,-1,0),x)
          - 2304*H(R(-3,-1,0),x)*[1-x]^-1
          - 4736/3*H(R(-3,-1,0),x)*[1+x]^-1
          - 96*H(R(-3,-1,0),x)*x
          + 320/3*H(R(-3,0),x)
          + 288*H(R(-3,0),x)*[1-x]^-1
          + 32/3*H(R(-3,0),x)*[1+x]^-3
          + 320/3*H(R(-3,0),x)*[1+x]^-2
          - 192*H(R(-3,0),x)*[1+x]^-1
          + 480*H(R(-3,0),x)*x
          - 192*H(R(-3,0),x)*x^3
          - 8192/3*H(R(-3,0,0),x)
          + 1920*H(R(-3,0,0),x)*[1-x]^-1
          + 8960/3*H(R(-3,0,0),x)*[1+x]^-1
          + 736*H(R(-3,0,0),x)*x
          - 5600/3*H(R(-3,2),x)
          + 2048/3*H(R(-3,2),x)*[1-x]^-1
          + 2944*H(R(-3,2),x)*[1+x]^-1
          + 928*H(R(-3,2),x)*x
          + 64/3*H(R(-2),x)*[1-x]^-3*z2
          + 640/3*H(R(-2),x)*[1-x]^-2*z2
          - 1320*H(R(-2),x)*[1-x]^-1*z2
          - 6592/3*H(R(-2),x)*[1-x]^-1*z3
          - 592*H(R(-2),x)*[1+x]^-1*z2
          - 17600/3*H(R(-2),x)*[1+x]^-1*z3
          - 192/5*H(R(-2),x)*z2*x^-2
          - 11960/3*H(R(-2),x)*z2*x
          + 7008/5*H(R(-2),x)*z2*x^3
          - 1720*H(R(-2),x)*z2
          - 8552/3*H(R(-2),x)*z3*x
          + 3336*H(R(-2),x)*z3
          + 928*H(R(-2,-2,0),x)
          - 704*H(R(-2,-2,0),x)*[1-x]^-1
          - 1280*H(R(-2,-2,0),x)*[1+x]^-1
          - 1056*H(R(-2,-2,0),x)*x
          + 2592*H(R(-2,-1),x)*[1-x]^-1*z2
          + 6048*H(R(-2,-1),x)*[1+x]^-1*z2
          + 8512/3*H(R(-2,-1),x)*z2*x
          - 10240/3*H(R(-2,-1),x)*z2
          - 3328/3*H(R(-2,-1,-1,0),x)
          + 2624/3*H(R(-2,-1,-1,0),x)*[1-x]^-1
          + 1600*H(R(-2,-1,-1,0),x)*[1+x]^-1
          + 4352/3*H(R(-2,-1,-1,0),x)*x
          - 3248/3*H(R(-2,-1,0),x)
          - 1008*H(R(-2,-1,0),x)*[1-x]^-1
          - 224*H(R(-2,-1,0),x)*[1+x]^-1
          - 128/5*H(R(-2,-1,0),x)*x^-2
          + 720*H(R(-2,-1,0),x)*x
          + 576/5*H(R(-2,-1,0),x)*x^3
          + 9440/3*H(R(-2,-1,0,0),x)
          - 2240*H(R(-2,-1,0,0),x)*[1-x]^-1
          - 5024*H(R(-2,-1,0,0),x)*[1+x]^-1
          - 8192/3*H(R(-2,-1,0,0),x)*x
          + 8576/3*H(R(-2,-1,2),x)
          - 6464/3*H(R(-2,-1,2),x)*[1-x]^-1
          - 5248*H(R(-2,-1,2),x)*[1+x]^-1
          - 2112*H(R(-2,-1,2),x)*x
          + 2216/5*H(R(-2,0),x)
          - 5792/3*H(R(-2,0),x)*[1-x]^-1*z2
          - 296/3*H(R(-2,0),x)*[1-x]^-1
          + 32/3*H(R(-2,0),x)*[1+x]^-2
          - 18944/3*H(R(-2,0),x)*[1+x]^-1*z2
          - 1024/3*H(R(-2,0),x)*[1+x]^-1
          - 8992/3*H(R(-2,0),x)*z2*x
          + 3584*H(R(-2,0),x)*z2
          + 256/15*H(R(-2,0),x)*x^-2
          + 64/3*H(R(-2,0),x)*x^-1
          + 7456/3*H(R(-2,0),x)*x
          - 7392/5*H(R(-2,0),x)*x^2
          - 18912/25*H(R(-2,0),x)*x^3
          + 1872*H(R(-2,0,0),x)
          - 32/3*H(R(-2,0,0),x)*[1-x]^-3
          - 320/3*H(R(-2,0,0),x)*[1-x]^-2
          + 656*H(R(-2,0,0),x)*[1-x]^-1
          + 32*H(R(-2,0,0),x)*[1+x]^-1
          + 128/5*H(R(-2,0,0),x)*x^-2
          + 2544*H(R(-2,0,0),x)*x
          - 960*H(R(-2,0,0),x)*x^3
          - 2384*H(R(-2,0,0,0),x)
          + 1088*H(R(-2,0,0,0),x)*[1-x]^-1
          + 3712*H(R(-2,0,0,0),x)*[1+x]^-1
          + 2128*H(R(-2,0,0,0),x)*x
          + 3536/3*H(R(-2,2),x)
          - 64/3*H(R(-2,2),x)*[1-x]^-3
          - 640/3*H(R(-2,2),x)*[1-x]^-2
          + 816*H(R(-2,2),x)*[1-x]^-1
          + 480*H(R(-2,2),x)*[1+x]^-1
          + 128/5*H(R(-2,2),x)*x^-2
          + 13040/3*H(R(-2,2),x)*x
          - 1344*H(R(-2,2),x)*x^3
          - 2560/3*H(R(-2,2,0),x)
          + 192*H(R(-2,2,0),x)*[1-x]^-1
          + 1536*H(R(-2,2,0),x)*[1+x]^-1
          + 2176/3*H(R(-2,2,0),x)*x
          - 3200/3*H(R(-2,2,1),x)
          + 192*H(R(-2,2,1),x)*[1-x]^-1
          + 5824/3*H(R(-2,2,1),x)*[1+x]^-1
          + 2816/3*H(R(-2,2,1),x)*x
          - 9056/3*H(R(-2,3),x)
          + 4672/3*H(R(-2,3),x)*[1-x]^-1
          + 16096/3*H(R(-2,3),x)*[1+x]^-1
          + 6976/3*H(R(-2,3),x)*x
          + 64/3*H(R(-1),x)*[1-x]^-2*z2
          + 224*H(R(-1),x)*[1-x]^-1*z2
          - 224/3*H(R(-1),x)*[1+x]^-1*z2
          + 3808/15*H(R(-1),x)*[1+x]^-1*z2^2
          - 1096*H(R(-1),x)*[1+x]^-1*z3
          - 2832/25*H(R(-1),x)*z2*x^-2
          - 2336/15*H(R(-1),x)*z2*x^-1
          - 28044/5*H(R(-1),x)*z2*x
          + 3408/5*H(R(-1),x)*z2*x^2
          + 28368/25*H(R(-1),x)*z2*x^3
          - 78412/15*H(R(-1),x)*z2
          + 8984/15*H(R(-1),x)*z2^2*x
          - 488/15*H(R(-1),x)*z2^2
          - 128*H(R(-1),x)*z3*x^-2
          - 20300/3*H(R(-1),x)*z3*x
          + 1152*H(R(-1),x)*z3*x^3
          - 15100/3*H(R(-1),x)*z3
          + 2144/3*H(R(-1,-3,0),x)
          - 5248/3*H(R(-1,-3,0),x)*[1+x]^-1
          - 5024/3*H(R(-1,-3,0),x)*x
          + 6016*H(R(-1,-2),x)*[1+x]^-1*z2
          + 6048*H(R(-1,-2),x)*z2*x
          - 2400*H(R(-1,-2),x)*z2
          - 576*H(R(-1,-2,-1,0),x)
          + 1536*H(R(-1,-2,-1,0),x)*[1+x]^-1
          + 1728*H(R(-1,-2,-1,0),x)*x
          - 2288/3*H(R(-1,-2,0),x)
          - 240*H(R(-1,-2,0),x)*[1+x]^-1
          - 64/5*H(R(-1,-2,0),x)*x^-2
          - 3632/3*H(R(-1,-2,0),x)*x
          + 576/5*H(R(-1,-2,0),x)*x^3
          + 6080/3*H(R(-1,-2,0,0),x)
          - 15040/3*H(R(-1,-2,0,0),x)*[1+x]^-1
          - 14720/3*H(R(-1,-2,0,0),x)*x
          + 2112*H(R(-1,-2,2),x)
          - 5248*H(R(-1,-2,2),x)*[1+x]^-1
          - 5184*H(R(-1,-2,2),x)*x
          + 1056*H(R(-1,-1),x)*[1+x]^-1*z2
          + 8160*H(R(-1,-1),x)*[1+x]^-1*z3
          + 2336/15*H(R(-1,-1),x)*z2*x^-2
          + 23224/3*H(R(-1,-1),x)*z2*x
          - 7008/5*H(R(-1,-1),x)*z2*x^3
          + 17480/3*H(R(-1,-1),x)*z2
          + 8160*H(R(-1,-1),x)*z3*x
          - 3264*H(R(-1,-1),x)*z3
          - 544*H(R(-1,-1,-2,0),x)
          + 1472*H(R(-1,-1,-2,0),x)*[1+x]^-1
          + 1696*H(R(-1,-1,-2,0),x)*x
          - 8064*H(R(-1,-1,-1),x)*[1+x]^-1*z2
          - 8992*H(R(-1,-1,-1),x)*z2*x
          + 3040*H(R(-1,-1,-1),x)*z2
          + 576*H(R(-1,-1,-1,-1,0),x)
          - 1536*H(R(-1,-1,-1,-1,0),x)*[1+x]^-1
          - 1728*H(R(-1,-1,-1,-1,0),x)*x
          + 2384/3*H(R(-1,-1,-1,0),x)
          + 576*H(R(-1,-1,-1,0),x)*[1+x]^-1
          + 64/5*H(R(-1,-1,-1,0),x)*x^-2
          + 6256/3*H(R(-1,-1,-1,0),x)*x
          - 576/5*H(R(-1,-1,-1,0),x)*x^3
          - 2624*H(R(-1,-1,-1,0,0),x)
          + 6848*H(R(-1,-1,-1,0,0),x)*[1+x]^-1
          + 7424*H(R(-1,-1,-1,0,0),x)*x
          - 2752*H(R(-1,-1,-1,2),x)
          + 7296*H(R(-1,-1,-1,2),x)*[1+x]^-1
          + 8128*H(R(-1,-1,-1,2),x)*x
          - 15288/5*H(R(-1,-1,0),x)
          + 9536*H(R(-1,-1,0),x)*[1+x]^-1*z2
          + 512*H(R(-1,-1,0),x)*[1+x]^-1
          + 8608*H(R(-1,-1,0),x)*z2*x
          - 4000*H(R(-1,-1,0),x)*z2
          - 1888/25*H(R(-1,-1,0),x)*x^-2
          - 64/5*H(R(-1,-1,0),x)*x^-1
          - 14104/15*H(R(-1,-1,0),x)*x
          + 7776/5*H(R(-1,-1,0),x)*x^2
          + 18912/25*H(R(-1,-1,0),x)*x^3
          - 13496/3*H(R(-1,-1,0,0),x)
          - 480*H(R(-1,-1,0,0),x)*[1+x]^-1
          - 320/3*H(R(-1,-1,0,0),x)*x^-2
          - 5160*H(R(-1,-1,0,0),x)*x
          + 960*H(R(-1,-1,0,0),x)*x^3
          + 7568/3*H(R(-1,-1,0,0,0),x)
          - 17440/3*H(R(-1,-1,0,0,0),x)*[1+x]^-1
          - 14480/3*H(R(-1,-1,0,0,0),x)*x
          - 16288/3*H(R(-1,-1,2),x)
          - 768*H(R(-1,-1,2),x)*[1+x]^-1
          - 448/3*H(R(-1,-1,2),x)*x^-2
          - 20096/3*H(R(-1,-1,2),x)*x
          + 1344*H(R(-1,-1,2),x)*x^3
          + 3776/3*H(R(-1,-1,2,0),x)
          - 7936/3*H(R(-1,-1,2,0),x)*[1+x]^-1
          - 4928/3*H(R(-1,-1,2,0),x)*x
          + 1600*H(R(-1,-1,2,1),x)
          - 3328*H(R(-1,-1,2,1),x)*[1+x]^-1
          - 1984*H(R(-1,-1,2,1),x)*x
          + 10624/3*H(R(-1,-1,3),x)
          - 24896/3*H(R(-1,-1,3),x)*[1+x]^-1
          - 21568/3*H(R(-1,-1,3),x)*x
          + 5916/25*H(R(-1,0),x)
          - 848*H(R(-1,0),x)*[1+x]^-1*z2
          - 4960*H(R(-1,0),x)*[1+x]^-1*z3
          + 208/3*H(R(-1,0),x)*[1+x]^-1
          - 352/3*H(R(-1,0),x)*z2*x^-2
          - 6256*H(R(-1,0),x)*z2*x
          + 1056*H(R(-1,0),x)*z2*x^3
          - 15760/3*H(R(-1,0),x)*z2
          - 4160*H(R(-1,0),x)*z3*x
          + 2144*H(R(-1,0),x)*z3
          + 12008/225*H(R(-1,0),x)*x^-2
          + 5984/75*H(R(-1,0),x)*x^-1
          + 187964/225*H(R(-1,0),x)*x
          - 16992/25*H(R(-1,0),x)*x^2
          - 8088/25*H(R(-1,0),x)*x^3
          + 12880/3*H(R(-1,0,0),x)
          - 32/3*H(R(-1,0,0),x)*[1-x]^-2
          - 112*H(R(-1,0,0),x)*[1-x]^-1
          - 4768*H(R(-1,0,0),x)*[1+x]^-1*z2
          - 1264/3*H(R(-1,0,0),x)*[1+x]^-1
          - 4624*H(R(-1,0,0),x)*z2*x
          + 1936*H(R(-1,0,0),x)*z2
          + 6944/75*H(R(-1,0,0),x)*x^-2
          + 320/3*H(R(-1,0,0),x)*x^-1
          + 11752/3*H(R(-1,0,0),x)*x
          - 960*H(R(-1,0,0),x)*x^2
          - 22752/25*H(R(-1,0,0),x)*x^3
          + 8552/3*H(R(-1,0,0,0),x)
          - 72*H(R(-1,0,0,0),x)*[1+x]^-1
          + 128/3*H(R(-1,0,0,0),x)*x^-2
          + 7960/3*H(R(-1,0,0,0),x)*x
          - 384*H(R(-1,0,0,0),x)*x^3
          - 1104*H(R(-1,0,0,0,0),x)
          + 2528*H(R(-1,0,0,0,0),x)*[1+x]^-1
          + 2064*H(R(-1,0,0,0,0),x)*x
          + 11096/3*H(R(-1,2),x)
          - 64/3*H(R(-1,2),x)*[1-x]^-2
          - 224*H(R(-1,2),x)*[1-x]^-1
          + 1312/3*H(R(-1,2),x)*[1+x]^-1*z2
          + 992/3*H(R(-1,2),x)*[1+x]^-1
          + 1136/3*H(R(-1,2),x)*z2*x
          - 560/3*H(R(-1,2),x)*z2
          + 1888/25*H(R(-1,2),x)*x^-2
          + 448/3*H(R(-1,2),x)*x^-1
          + 15416/3*H(R(-1,2),x)*x
          + 96*H(R(-1,2),x)*x^2
          - 18912/25*H(R(-1,2),x)*x^3
          + 1952/3*H(R(-1,2,0),x)
          + 384*H(R(-1,2,0),x)*[1+x]^-1
          + 64/5*H(R(-1,2,0),x)*x^-2
          + 2720/3*H(R(-1,2,0),x)*x
          - 576/5*H(R(-1,2,0),x)*x^3
          - 1408/3*H(R(-1,2,0,0),x)
          + 2432/3*H(R(-1,2,0,0),x)*[1+x]^-1
          + 256/3*H(R(-1,2,0,0),x)*x
          + 800*H(R(-1,2,1),x)
          + 512*H(R(-1,2,1),x)*[1+x]^-1
          + 64/5*H(R(-1,2,1),x)*x^-2
          + 1184*H(R(-1,2,1),x)*x
          - 576/5*H(R(-1,2,1),x)*x^3
          - 544/3*H(R(-1,2,1,0),x)
          + 1088/3*H(R(-1,2,1,0),x)*[1+x]^-1
          + 544/3*H(R(-1,2,1,0),x)*x
          - 192*H(R(-1,2,1,1),x)
          + 384*H(R(-1,2,1,1),x)*[1+x]^-1
          + 192*H(R(-1,2,1,1),x)*x
          - 288*H(R(-1,2,2),x)
          + 576*H(R(-1,2,2),x)*[1+x]^-1
          + 288*H(R(-1,2,2),x)*x
          + 4272*H(R(-1,3),x)
          + 800*H(R(-1,3),x)*[1+x]^-1
          + 320/3*H(R(-1,3),x)*x^-2
          + 15008/3*H(R(-1,3),x)*x
          - 960*H(R(-1,3),x)*x^3
          - 2704/3*H(R(-1,3,0),x)
          + 5600/3*H(R(-1,3,0),x)*[1+x]^-1
          + 3280/3*H(R(-1,3,0),x)*x
          - 3520/3*H(R(-1,3,1),x)
          + 7232/3*H(R(-1,3,1),x)*[1+x]^-1
          + 4096/3*H(R(-1,3,1),x)*x
          - 1744*H(R(-1,4),x)
          + 4192*H(R(-1,4),x)*[1+x]^-1
          + 3856*H(R(-1,4),x)*x
          + 38783/180*H(R(0),x)
          - 16*H(R(0),x)*[1-x]^-3*z3
          - 16*H(R(0),x)*[1-x]^-2*z2
          - 160*H(R(0),x)*[1-x]^-2*z3
          - 2126/3*H(R(0),x)*[1-x]^-1*z2
          - 496*H(R(0),x)*[1-x]^-1*z2^2
          + 1568*H(R(0),x)*[1-x]^-1*z3
          - 2407/6*H(R(0),x)*[1-x]^-1
          + 32/3*H(R(0),x)*[1+x]^-3*z3
          + 16/3*H(R(0),x)*[1+x]^-2*z2
          + 320/3*H(R(0),x)*[1+x]^-2*z3
          + 204*H(R(0),x)*[1+x]^-1*z2
          + 3664/15*H(R(0),x)*[1+x]^-1*z2^2
          - 120*H(R(0),x)*[1+x]^-1*z3
          - 96*H(R(0),x)*[1+x]^-1*z4
          + 964/3*H(R(0),x)*[1+x]^-1
          + 3152/15*H(R(0),x)*z2*x^-1
          + 134714/15*H(R(0),x)*z2*x
          + 6096/5*H(R(0),x)*z2*x^2
          - 37824/25*H(R(0),x)*z2*x^3
          + 11366/15*H(R(0),x)*z2
          + 5492/15*H(R(0),x)*z2^2*x
          + 428/5*H(R(0),x)*z2^2
          + 9254/3*H(R(0),x)*z3*x
          - 800*H(R(0),x)*z3*x^2
          - 1968/5*H(R(0),x)*z3*x^3
          - 3706/3*H(R(0),x)*z3
          - 48*H(R(0),x)*z4*x
          + 48*H(R(0),x)*z4
          + 5944/225*H(R(0),x)*x^-1
          + 482609/300*H(R(0),x)*x
          - 22872/25*H(R(0),x)*x^2
          - 8566/25*H(R(0,0),x)
          - 16*H(R(0,0),x)*[1-x]^-3*z2
          - 160*H(R(0,0),x)*[1-x]^-2*z2
          + 1120*H(R(0,0),x)*[1-x]^-1*z2
          + 896/3*H(R(0,0),x)*[1-x]^-1*z3
          + 337/3*H(R(0,0),x)*[1-x]^-1
          + 16/3*H(R(0,0),x)*[1+x]^-3*z2
          + 160/3*H(R(0,0),x)*[1+x]^-2*z2
          - 344*H(R(0,0),x)*[1+x]^-1*z2
          + 4576/3*H(R(0,0),x)*[1+x]^-1*z3
          + 424/3*H(R(0,0),x)*[1+x]^-1
          + 4630/3*H(R(0,0),x)*z2*x
          + 800*H(R(0,0),x)*z2*x^2
          - 9456/5*H(R(0,0),x)*z2*x^3
          - 1378/3*H(R(0,0),x)*z2
          + 2348/3*H(R(0,0),x)*z3*x
          - 4180/3*H(R(0,0),x)*z3
          - 5344/75*H(R(0,0),x)*x^-1
          - 143084/225*H(R(0,0),x)*x
          - 11088/25*H(R(0,0),x)*x^2
          + 8088/25*H(R(0,0),x)*x^3
          - 2024/5*H(R(0,0,0),x)
          + 16/3*H(R(0,0,0),x)*[1-x]^-2
          + 896/3*H(R(0,0,0),x)*[1-x]^-1*z2
          + 574/3*H(R(0,0,0),x)*[1-x]^-1
          - 16/3*H(R(0,0,0),x)*[1+x]^-2
          + 3616/3*H(R(0,0,0),x)*[1+x]^-1*z2
          + 788/3*H(R(0,0,0),x)*[1+x]^-1
          + 1300/3*H(R(0,0,0),x)*z2*x
          - 980*H(R(0,0,0),x)*z2
          - 704/15*H(R(0,0,0),x)*x^-1
          - 71278/15*H(R(0,0,0),x)*x
          + 1728/5*H(R(0,0,0),x)*x^2
          + 22752/25*H(R(0,0,0),x)*x^3
          - 10*H(R(0,0,0,0),x)
          + 16/3*H(R(0,0,0,0),x)*[1-x]^-3
          + 160/3*H(R(0,0,0,0),x)*[1-x]^-2
          - 312*H(R(0,0,0,0),x)*[1-x]^-1
          - 16/3*H(R(0,0,0,0),x)*[1+x]^-3
          - 160/3*H(R(0,0,0,0),x)*[1+x]^-2
          + 456*H(R(0,0,0,0),x)*[1+x]^-1
          - 3230/3*H(R(0,0,0,0),x)*x
          + 2112/5*H(R(0,0,0,0),x)*x^3
          + 420*H(R(0,0,0,0,0),x)
          + 64*H(R(0,0,0,0,0),x)*[1-x]^-1
          - 544*H(R(0,0,0,0,0),x)*[1+x]^-1
          - 396*H(R(0,0,0,0,0),x)*x
          - 94759/300*H(R(1),x)
          - 380/3*H(R(1),x)*[1-x]^-1*z2
          - 2272/5*H(R(1),x)*[1-x]^-1*z2^2
          + 144*H(R(1),x)*[1-x]^-1*z3
          - 187/2*H(R(1),x)*[1-x]^-1
          - 944/25*H(R(1),x)*z2*x^-2
          + 32/5*H(R(1),x)*z2*x^-1
          + 18362/15*H(R(1),x)*z2*x
          + 3888/5*H(R(1),x)*z2*x^2
          - 9456/25*H(R(1),x)*z2*x^3
          - 23582/15*H(R(1),x)*z2
          - 328/5*H(R(1),x)*z2^2*x
          + 1736/5*H(R(1),x)*z2^2
          + 1264/15*H(R(1),x)*z3*x^-2
          + 2996*H(R(1),x)*z3*x
          - 800*H(R(1),x)*z3*x^2
          + 3792/5*H(R(1),x)*z3*x^3
          - 5788/3*H(R(1),x)*z3
          - 1552/25*H(R(1),x)*x^-1
          + 114403/100*H(R(1),x)*x
          - 12048/25*H(R(1),x)*x^2
          - 992/3*H(R(1,-3,0),x)
          + 1792/3*H(R(1,-3,0),x)*[1-x]^-1
          - 416/3*H(R(1,-3,0),x)*x
          + 1376/3*H(R(1,-2),x)*[1-x]^-1*z2
          - 4048/3*H(R(1,-2),x)*z2*x
          - 16/3*H(R(1,-2),x)*z2
          + 2848/3*H(R(1,-2,-1,0),x)
          - 6080/3*H(R(1,-2,-1,0),x)*[1-x]^-1
          + 4000/3*H(R(1,-2,-1,0),x)*x
          - 1200*H(R(1,-2,0),x)
          + 144*H(R(1,-2,0),x)*[1-x]^-1
          - 128/15*H(R(1,-2,0),x)*x^-2
          + 1296*H(R(1,-2,0),x)*x
          - 384/5*H(R(1,-2,0),x)*x^3
          - 896/3*H(R(1,-2,0,0),x)
          + 1216/3*H(R(1,-2,0,0),x)*[1-x]^-1
          + 832/3*H(R(1,-2,0,0),x)*x
          + 480*H(R(1,-2,2),x)
          - 1472*H(R(1,-2,2),x)*[1-x]^-1
          + 2016*H(R(1,-2,2),x)*x
          - 3566/5*H(R(1,0),x)
          + 704*H(R(1,0),x)*[1-x]^-1*z2
          - 4384/3*H(R(1,0),x)*[1-x]^-1*z3
          + 397*H(R(1,0),x)*[1-x]^-1
          - 464/5*H(R(1,0),x)*z2*x^-2
          + 1184/3*H(R(1,0),x)*z2*x
          + 800*H(R(1,0),x)*z2*x^2
          - 4176/5*H(R(1,0),x)*z2*x^3
          - 6176/3*H(R(1,0),x)*z2
          + 7904/3*H(R(1,0),x)*z3*x
          + 1280/3*H(R(1,0),x)*z3
          + 64/5*H(R(1,0),x)*x^-1
          - 1222/15*H(R(1,0),x)*x
          + 576/5*H(R(1,0),x)*x^2
          - 9094/15*H(R(1,0,0),x)
          - 480*H(R(1,0,0),x)*[1-x]^-1*z2
          + 370*H(R(1,0,0),x)*[1-x]^-1
          + 2256*H(R(1,0,0),x)*z2*x
          - 240*H(R(1,0,0),x)*z2
          + 1232/15*H(R(1,0,0),x)*x^-1
          + 8654/15*H(R(1,0,0),x)*x
          + 3696/5*H(R(1,0,0),x)*x^2
          + 3248/3*H(R(1,0,0,0),x)
          - 144*H(R(1,0,0,0),x)*[1-x]^-1
          + 64/15*H(R(1,0,0,0),x)*x^-2
          - 2752/3*H(R(1,0,0,0),x)*x
          + 192/5*H(R(1,0,0,0),x)*x^3
          - 112*H(R(1,0,0,0,0),x)
          + 544*H(R(1,0,0,0,0),x)*[1-x]^-1
          - 1072*H(R(1,0,0,0,0),x)*x
          - 13148/15*H(R(1,1),x)
          + 432*H(R(1,1),x)*[1-x]^-1*z2
          - 2112*H(R(1,1),x)*[1-x]^-1*z3
          + 279*H(R(1,1),x)*[1-x]^-1
          - 32/5*H(R(1,1),x)*z2*x^-2
          + 1072/3*H(R(1,1),x)*z2*x
          - 288/5*H(R(1,1),x)*z2*x^3
          - 2320/3*H(R(1,1),x)*z2
          + 2064*H(R(1,1),x)*z3*x
          + 1008*H(R(1,1),x)*z3
          + 64/5*H(R(1,1),x)*x^-1
          + 5318/15*H(R(1,1),x)*x
          + 576/5*H(R(1,1),x)*x^2
          + 1120/3*H(R(1,1,-2,0),x)
          - 3008/3*H(R(1,1,-2,0),x)*[1-x]^-1
          + 3424/3*H(R(1,1,-2,0),x)*x
          - 134/3*H(R(1,1,0),x)
          - 64/3*H(R(1,1,0),x)*[1-x]^-1*z2
          + 496*H(R(1,1,0),x)*[1-x]^-1
          + 4448/3*H(R(1,1,0),x)*z2*x
          - 1312/3*H(R(1,1,0),x)*z2
          - 2390/3*H(R(1,1,0),x)*x
          - 680/3*H(R(1,1,0,0),x)
          - 24*H(R(1,1,0,0),x)*[1-x]^-1
          - 1232/15*H(R(1,1,0,0),x)*x^-2
          - 632*H(R(1,1,0,0),x)*x
          + 800*H(R(1,1,0,0),x)*x^2
          - 3696/5*H(R(1,1,0,0),x)*x^3
          - 608/3*H(R(1,1,0,0,0),x)
          + 2368/3*H(R(1,1,0,0,0),x)*[1-x]^-1
          - 4064/3*H(R(1,1,0,0,0),x)*x
          + 126*H(R(1,1,1),x)
          + 384*H(R(1,1,1),x)*[1-x]^-1*z2
          + 216*H(R(1,1,1),x)*[1-x]^-1
          + 288*H(R(1,1,1),x)*z2*x
          - 288*H(R(1,1,1),x)*z2
          - 642*H(R(1,1,1),x)*x
          + 1432/3*H(R(1,1,1,0),x)
          - 864*H(R(1,1,1,0),x)*[1-x]^-1
          + 840*H(R(1,1,1,0),x)*x
          + 144*H(R(1,1,1,0,0),x)
          - 736*H(R(1,1,1,0,0),x)*[1-x]^-1
          + 720*H(R(1,1,1,0,0),x)*x
          + 384*H(R(1,1,1,1),x)
          - 720*H(R(1,1,1,1),x)*[1-x]^-1
          + 672*H(R(1,1,1,1),x)*x
          + 672*H(R(1,1,1,1,0),x)
          - 1344*H(R(1,1,1,1,0),x)*[1-x]^-1
          + 672*H(R(1,1,1,1,0),x)*x
          + 480*H(R(1,1,1,1,1),x)
          - 960*H(R(1,1,1,1,1),x)*[1-x]^-1
          + 480*H(R(1,1,1,1,1),x)*x
          + 576*H(R(1,1,1,2),x)
          - 1152*H(R(1,1,1,2),x)*[1-x]^-1
          + 576*H(R(1,1,1,2),x)*x
          + 376*H(R(1,1,2),x)
          - 720*H(R(1,1,2),x)*[1-x]^-1
          + 2056/3*H(R(1,1,2),x)*x
          + 672*H(R(1,1,2,0),x)
          - 1344*H(R(1,1,2,0),x)*[1-x]^-1
          + 672*H(R(1,1,2,0),x)*x
          + 528*H(R(1,1,2,1),x)
          - 1056*H(R(1,1,2,1),x)*[1-x]^-1
          + 528*H(R(1,1,2,1),x)*x
          + 896*H(R(1,1,3),x)
          - 1216*H(R(1,1,3),x)*[1-x]^-1
          - 64*H(R(1,1,3),x)*x
          + 130/3*H(R(1,2),x)
          + 384*H(R(1,2),x)*[1-x]^-1*z2
          + 1148/3*H(R(1,2),x)*[1-x]^-1
          + 288*H(R(1,2),x)*z2*x
          - 288*H(R(1,2),x)*z2
          - 754*H(R(1,2),x)*x
          + 992/3*H(R(1,2,0),x)
          - 640*H(R(1,2,0),x)*[1-x]^-1
          + 1952/3*H(R(1,2,0),x)*x
          + 560/3*H(R(1,2,0,0),x)
          - 1696/3*H(R(1,2,0,0),x)*[1-x]^-1
          + 1136/3*H(R(1,2,0,0),x)*x
          + 1184/3*H(R(1,2,1),x)
          - 648*H(R(1,2,1),x)*[1-x]^-1
          + 1904/3*H(R(1,2,1),x)*x
          + 1984/3*H(R(1,2,1,0),x)
          - 3968/3*H(R(1,2,1,0),x)*[1-x]^-1
          + 1984/3*H(R(1,2,1,0),x)*x
          + 528*H(R(1,2,1,1),x)
          - 1056*H(R(1,2,1,1),x)*[1-x]^-1
          + 528*H(R(1,2,1,1),x)*x
          + 576*H(R(1,2,2),x)
          - 1152*H(R(1,2,2),x)*[1-x]^-1
          + 576*H(R(1,2,2),x)*x
          + 3232/3*H(R(1,3),x)
          - 752*H(R(1,3),x)*[1-x]^-1
          + 1232/15*H(R(1,3),x)*x^-2
          + 2576/3*H(R(1,3),x)*x
          - 800*H(R(1,3),x)*x^2
          + 3696/5*H(R(1,3),x)*x^3
          + 1744/3*H(R(1,3,0),x)
          - 3296/3*H(R(1,3,0),x)*[1-x]^-1
          + 1168/3*H(R(1,3,0),x)*x
          + 1792/3*H(R(1,3,1),x)
          - 3392/3*H(R(1,3,1),x)*[1-x]^-1
          + 1216/3*H(R(1,3,1),x)*x
          + 432*H(R(1,4),x)
          - 96*H(R(1,4),x)*[1-x]^-1
          - 1488*H(R(1,4),x)*x
          - 40648/75*H(R(2),x)
          + 376*H(R(2),x)*[1-x]^-1*z2
          - 3712/3*H(R(2),x)*[1-x]^-1*z3
          + 791/3*H(R(2),x)*[1-x]^-1
          - 488*H(R(2),x)*[1+x]^-1*z2
          - 2464/3*H(R(2),x)*[1+x]^-1*z3
          + 64*H(R(2),x)*[1+x]^-1
          - 64/5*H(R(2),x)*z2*x^-2
          - 3776/3*H(R(2),x)*z2*x
          - 288/5*H(R(2),x)*z2*x^3
          - 2960/3*H(R(2),x)*z2
          + 1472*H(R(2),x)*z3*x
          + 3088/3*H(R(2),x)*z3
          + 2192/25*H(R(2),x)*x^-1
          + 44822/75*H(R(2),x)*x
          - 9168/25*H(R(2),x)*x^2
          + 608/3*H(R(2,-2,0),x)
          - 1856/3*H(R(2,-2,0),x)*[1-x]^-1
          - 128/3*H(R(2,-2,0),x)*[1+x]^-1
          + 288*H(R(2,-2,0),x)*x
          - 8854/15*H(R(2,0),x)
          + 352/3*H(R(2,0),x)*[1-x]^-1*z2
          + 740*H(R(2,0),x)*[1-x]^-1
          - 1696/3*H(R(2,0),x)*[1+x]^-1*z2
          - 64*H(R(2,0),x)*[1+x]^-1
          + 440/3*H(R(2,0),x)*z2*x
          - 184*H(R(2,0),x)*z2
          - 64/5*H(R(2,0),x)*x^-1
          - 18454/15*H(R(2,0),x)*x
          + 576/5*H(R(2,0),x)*x^2
          + 148/3*H(R(2,0,0),x)
          + 56*H(R(2,0,0),x)*[1-x]^-1
          - 844/3*H(R(2,0,0),x)*x
          + 800*H(R(2,0,0),x)*x^2
          - 3696/5*H(R(2,0,0),x)*x^3
          - 72*H(R(2,0,0,0),x)
          + 448*H(R(2,0,0,0),x)*[1-x]^-1
          + 128*H(R(2,0,0,0),x)*[1+x]^-1
          - 584*H(R(2,0,0,0),x)*x
          - 7594/15*H(R(2,1),x)
          + 1280/3*H(R(2,1),x)*[1-x]^-1*z2
          + 1504/3*H(R(2,1),x)*[1-x]^-1
          - 1376/3*H(R(2,1),x)*[1+x]^-1*z2
          - 64*H(R(2,1),x)*[1+x]^-1
          - 32/3*H(R(2,1),x)*z2*x
          - 160*H(R(2,1),x)*z2
          - 64/5*H(R(2,1),x)*x^-1
          - 23714/15*H(R(2,1),x)*x
          + 576/5*H(R(2,1),x)*x^2
          + 1576/3*H(R(2,1,0),x)
          - 600*H(R(2,1,0),x)*[1-x]^-1
          + 16*H(R(2,1,0),x)*[1+x]^-1
          + 2872/3*H(R(2,1,0),x)*x
          + 712/3*H(R(2,1,0,0),x)
          - 1888/3*H(R(2,1,0,0),x)*[1-x]^-1
          + 128*H(R(2,1,0,0),x)*[1+x]^-1
          + 616/3*H(R(2,1,0,0),x)*x
          + 504*H(R(2,1,1),x)
          - 648*H(R(2,1,1),x)*[1-x]^-1
          + 936*H(R(2,1,1),x)*x
          + 2576/3*H(R(2,1,1,0),x)
          - 1440*H(R(2,1,1,0),x)*[1-x]^-1
          - 64/3*H(R(2,1,1,0),x)*[1+x]^-1
          + 2512/3*H(R(2,1,1,0),x)*x
          + 672*H(R(2,1,1,1),x)
          - 1152*H(R(2,1,1,1),x)*[1-x]^-1
          + 672*H(R(2,1,1,1),x)*x
          + 2144/3*H(R(2,1,2),x)
          - 3680/3*H(R(2,1,2),x)*[1-x]^-1
          + 64/3*H(R(2,1,2),x)*[1+x]^-1
          + 736*H(R(2,1,2),x)*x
          + 1336/3*H(R(2,2),x)
          - 488*H(R(2,2),x)*[1-x]^-1
          - 16*H(R(2,2),x)*[1+x]^-1
          + 2696/3*H(R(2,2),x)*x
          + 736*H(R(2,2,0),x)
          - 3488/3*H(R(2,2,0),x)*[1-x]^-1
          - 128/3*H(R(2,2,0),x)*[1+x]^-1
          + 2080/3*H(R(2,2,0),x)*x
          + 2048/3*H(R(2,2,1),x)
          - 3520/3*H(R(2,2,1),x)*[1-x]^-1
          + 2048/3*H(R(2,2,1),x)*x
          + 2248/3*H(R(2,3),x)
          - 3200/3*H(R(2,3),x)*[1-x]^-1
          + 192*H(R(2,3),x)*[1+x]^-1
          + 1576/3*H(R(2,3),x)*x
          - 11366/15*H(R(3),x)
          + 32/3*H(R(3),x)*[1-x]^-2
          + 736/3*H(R(3),x)*[1-x]^-1*z2
          + 830*H(R(3),x)*[1-x]^-1
          - 2624/3*H(R(3),x)*[1+x]^-1*z2
          - 976/3*H(R(3),x)*[1+x]^-1
          - 528*H(R(3),x)*z2*x
          + 144*H(R(3),x)*z2
          - 944/5*H(R(3),x)*x^-1
          - 32478/5*H(R(3),x)*x
          - 6096/5*H(R(3),x)*x^2
          + 18912/25*H(R(3),x)*x^3
          + 300*H(R(3,0),x)
          - 240*H(R(3,0),x)*[1-x]^-1
          - 168*H(R(3,0),x)*[1+x]^-1
          + 92*H(R(3,0),x)*x
          + 576/5*H(R(3,0),x)*x^3
          + 1600/3*H(R(3,0,0),x)
          - 1120/3*H(R(3,0,0),x)*[1-x]^-1
          - 1024/3*H(R(3,0,0),x)*[1+x]^-1
          + 352/3*H(R(3,0,0),x)*x
          + 1288/3*H(R(3,1),x)
          - 512*H(R(3,1),x)*[1-x]^-1
          - 256*H(R(3,1),x)*[1+x]^-1
          + 584/3*H(R(3,1),x)*x
          + 576/5*H(R(3,1),x)*x^3
          + 2768/3*H(R(3,1,0),x)
          - 1184*H(R(3,1,0),x)*[1-x]^-1
          - 192*H(R(3,1,0),x)*[1+x]^-1
          + 2128/3*H(R(3,1,0),x)*x
          + 880*H(R(3,1,1),x)
          - 1184*H(R(3,1,1),x)*[1-x]^-1
          - 192*H(R(3,1,1),x)*[1+x]^-1
          + 688*H(R(3,1,1),x)*x
          + 832*H(R(3,2),x)
          - 3104/3*H(R(3,2),x)*[1-x]^-1
          - 832/3*H(R(3,2),x)*[1+x]^-1
          + 576*H(R(3,2),x)*x
          + 1378/3*H(R(4),x)
          + 32/3*H(R(4),x)*[1-x]^-3
          + 320/3*H(R(4),x)*[1-x]^-2
          - 880*H(R(4),x)*[1-x]^-1
          + 104*H(R(4),x)*[1+x]^-1
          - 3190/3*H(R(4),x)*x
          - 800*H(R(4),x)*x^2
          + 8496/5*H(R(4),x)*x^3
          + 896*H(R(4,0),x)
          - 704*H(R(4,0),x)*[1-x]^-1
          - 1952/3*H(R(4,0),x)*[1+x]^-1
          + 544/3*H(R(4,0),x)*x
          + 1144*H(R(4,1),x)
          - 2912/3*H(R(4,1),x)*[1-x]^-1
          - 864*H(R(4,1),x)*[1+x]^-1
          + 216*H(R(4,1),x)*x
          + 980*H(R(5),x)
          - 384*H(R(5),x)*[1-x]^-1
          - 1120*H(R(5),x)*[1+x]^-1
          - 916/3*H(R(5),x)*x
          )

       + [dabc^2/n] * (
          + 192*[1-x]^-1*z3*fl11
          + 512*[1+x]^-1*z2*fl11
          + 512*z2*z3*fl11*x
          + 512/3*z2*fl11*x^-1
          + 11648/15*z2*fl11*x
          - 768*z2*fl11*x^2
          - 4992/5*z2*fl11*x^3
          - 7552/15*z2*fl11
          + 2624/5*z2^2*fl11*x
          + 3072/5*z2^2*fl11*x^2
          - 4608/25*z2^2*fl11*x^3
          + 1024/15*z3*fl11*x^-1
          - 51712/15*z3*fl11*x
          + 1344/5*z3*fl11*x^2
          - 1920*z3*fl11*x^3
          - 3136/15*z3*fl11
          + 5120*z5*fl11*x
          + 128/5*fl11*x^-1
          - 1728/5*fl11*x
          + 1152/5*fl11*x^2
          - 192/5*fl11
          - 896/3*H(R(-2),x)*z2*fl11*x
          + 3072/5*H(R(-2),x)*z2*fl11*x^3
          + 256*H(R(-2,-1,0),x)*fl11*x
          + 128*H(R(-2,0),x)*[1-x]^-1*fl11
          - 128/3*H(R(-2,0),x)*fl11*x
          - 1152*H(R(-2,0),x)*fl11*x^2
          - 768*H(R(-2,0),x)*fl11*x^3
          - 384*H(R(-2,0),x)*fl11
          + 256/3*H(R(-2,0,0),x)*fl11*x
          - 1536/5*H(R(-2,0,0),x)*fl11*x^3
          + 1280/3*H(R(-2,2),x)*fl11*x
          - 3072/5*H(R(-2,2),x)*fl11*x^3
          - 128*H(R(-1),x)*z2*fl11*x^-2
          - 1024/15*H(R(-1),x)*z2*fl11*x^-1
          + 8064/5*H(R(-1),x)*z2*fl11*x
          + 192/5*H(R(-1),x)*z2*fl11*x^2
          + 1152*H(R(-1),x)*z2*fl11*x^3
          + 11072/15*H(R(-1),x)*z2*fl11
          - 4096/5*H(R(-1),x)*z2^2*fl11*x
          - 2048/5*H(R(-1),x)*z2^2*fl11
          - 256/5*H(R(-1),x)*z3*fl11*x^-2
          - 512*H(R(-1),x)*z3*fl11*x
          + 2304/5*H(R(-1),x)*z3*fl11*x^3
          + 1024/15*H(R(-1,-1),x)*z2*fl11*x^-2
          + 2048/3*H(R(-1,-1),x)*z2*fl11*x
          - 3072/5*H(R(-1,-1),x)*z2*fl11*x^3
          - 256/3*H(R(-1,-1,0),x)*fl11*x^-2
          + 1280/3*H(R(-1,-1,0),x)*fl11*x
          + 1152*H(R(-1,-1,0),x)*fl11*x^2
          + 768*H(R(-1,-1,0),x)*fl11*x^3
          + 128*H(R(-1,-1,0),x)*fl11
          - 512/15*H(R(-1,-1,0,0),x)*fl11*x^-2
          - 1024/3*H(R(-1,-1,0,0),x)*fl11*x
          + 1536/5*H(R(-1,-1,0,0),x)*fl11*x^3
          - 1024/15*H(R(-1,-1,2),x)*fl11*x^-2
          - 2048/3*H(R(-1,-1,2),x)*fl11*x
          + 3072/5*H(R(-1,-1,2),x)*fl11*x^3
          - 512/15*H(R(-1,0),x)*z2*fl11*x^-2
          - 1408/3*H(R(-1,0),x)*z2*fl11*x
          + 1536/5*H(R(-1,0),x)*z2*fl11*x^3
          - 1024*H(R(-1,0),x)*z3*fl11*x
          - 512*H(R(-1,0),x)*z3*fl11
          + 1664/15*H(R(-1,0),x)*fl11*x^-2
          + 256/3*H(R(-1,0),x)*fl11*x^-1
          - 3200/3*H(R(-1,0),x)*fl11*x
          - 768*H(R(-1,0),x)*fl11*x^2
          - 4992/5*H(R(-1,0),x)*fl11*x^3
          - 1280/3*H(R(-1,0),x)*fl11
          + 1024*H(R(-1,0,0),x)*z2*fl11*x
          + 512*H(R(-1,0,0),x)*z2*fl11
          + 256/3*H(R(-1,0,0),x)*fl11*x^-2
          + 512/15*H(R(-1,0,0),x)*fl11*x^-1
          - 13696/15*H(R(-1,0,0),x)*fl11*x
          - 1536/5*H(R(-1,0,0),x)*fl11*x^2
          - 768*H(R(-1,0,0),x)*fl11*x^3
          - 6016/15*H(R(-1,0,0),x)*fl11
          + 128*H(R(-1,0,0,0),x)*fl11*x
          + 256/3*H(R(-1,2),x)*fl11*x^-2
          + 1024/15*H(R(-1,2),x)*fl11*x^-1
          - 20992/15*H(R(-1,2),x)*fl11*x
          + 2688/5*H(R(-1,2),x)*fl11*x^2
          - 768*H(R(-1,2),x)*fl11*x^3
          - 10112/15*H(R(-1,2),x)*fl11
          + 1024*H(R(-1,2,0,0),x)*fl11*x
          + 512*H(R(-1,2,0,0),x)*fl11
          + 512/15*H(R(-1,3),x)*fl11*x^-2
          + 1024/3*H(R(-1,3),x)*fl11*x
          - 1536/5*H(R(-1,3),x)*fl11*x^3
          - 1024*H(R(-1,4),x)*fl11*x
          - 512*H(R(-1,4),x)*fl11
          + 64*H(R(0),x)*[1-x]^-1*z2*fl11
          - 64*H(R(0),x)*[1+x]^-1*z2*fl11
          - 320*H(R(0),x)*[1+x]^-1*fl11
          - 2944/3*H(R(0),x)*z2*fl11*x
          + 2688/5*H(R(0),x)*z2*fl11*x^2
          - 1536*H(R(0),x)*z2*fl11*x^3
          - 512/15*H(R(0),x)*z2*fl11
          + 2048/3*H(R(0),x)*z3*fl11*x
          + 768*H(R(0),x)*z3*fl11*x^2
          - 3072/5*H(R(0),x)*z3*fl11*x^3
          - 128/5*H(R(0),x)*fl11*x^-1
          - 384/5*H(R(0),x)*fl11*x
          + 4992/5*H(R(0),x)*fl11*x^2
          + 4672/15*H(R(0),x)*fl11
          + 128*H(R(0,0),x)*[1-x]^-1*fl11
          - 256*H(R(0,0),x)*[1+x]^-1*fl11
          - 512*H(R(0,0),x)*z2*fl11*x
          - 768*H(R(0,0),x)*z2*fl11*x^2
          - 256/3*H(R(0,0),x)*fl11*x^-1
          - 5888/15*H(R(0,0),x)*fl11*x
          + 768*H(R(0,0),x)*fl11*x^2
          + 4992/5*H(R(0,0),x)*fl11*x^3
          + 512/3*H(R(0,0),x)*fl11
          - 64*H(R(0,0,0),x)*[1-x]^-1*fl11
          + 64*H(R(0,0,0),x)*[1+x]^-1*fl11
          + 128/3*H(R(0,0,0),x)*fl11*x
          + 768*H(R(0,0,0),x)*fl11*x^3
          - 128/3*H(R(1),x)*z2*fl11*x^-2
          - 640/3*H(R(1),x)*z2*fl11*x
          + 576*H(R(1),x)*z2*fl11*x^2
          - 384*H(R(1),x)*z2*fl11*x^3
          + 64*H(R(1),x)*z2*fl11
          - 256/15*H(R(1),x)*z3*fl11*x^-2
          + 2432/3*H(R(1),x)*z3*fl11*x
          + 768*H(R(1),x)*z3*fl11*x^2
          - 768/5*H(R(1),x)*z3*fl11*x^3
          - 1024*H(R(1),x)*z3*fl11
          + 256/3*H(R(1),x)*fl11*x^-1
          - 768/5*H(R(1),x)*fl11*x
          + 768*H(R(1),x)*fl11*x^2
          - 10496/15*H(R(1),x)*fl11
          + 256*H(R(1,-2,0),x)*fl11*x
          + 512/15*H(R(1,0),x)*z2*fl11*x^-2
          - 1408/3*H(R(1,0),x)*z2*fl11*x
          - 768*H(R(1,0),x)*z2*fl11*x^2
          + 1536/5*H(R(1,0),x)*z2*fl11*x^3
          + 1024*H(R(1,0),x)*z2*fl11
          - 512/15*H(R(1,0,0),x)*fl11*x^-1
          - 128/5*H(R(1,0,0),x)*fl11*x
          - 1536/5*H(R(1,0,0),x)*fl11*x^2
          + 3584/15*H(R(1,0,0),x)*fl11
          - 128*H(R(1,0,0,0),x)*fl11*x
          + 512/15*H(R(1,1,0,0),x)*fl11*x^-2
          - 1792/3*H(R(1,1,0,0),x)*fl11*x
          - 768*H(R(1,1,0,0),x)*fl11*x^2
          + 1536/5*H(R(1,1,0,0),x)*fl11*x^3
          + 1024*H(R(1,1,0,0),x)*fl11
          - 512/15*H(R(1,3),x)*fl11*x^-2
          + 1792/3*H(R(1,3),x)*fl11*x
          + 768*H(R(1,3),x)*fl11*x^2
          - 1536/5*H(R(1,3),x)*fl11*x^3
          - 1024*H(R(1,3),x)*fl11
          - 512*H(R(2),x)*[1+x]^-1*fl11
          - 128*H(R(2),x)*z2*fl11*x
          - 1024*H(R(2),x)*z3*fl11*x
          - 512*H(R(2),x)*z3*fl11
          - 256/3*H(R(2),x)*fl11*x^-1
          - 9216/5*H(R(2),x)*fl11*x
          + 768*H(R(2),x)*fl11*x^2
          + 7552/15*H(R(2),x)*fl11
          + 1024*H(R(2,0),x)*z2*fl11*x
          + 512*H(R(2,0),x)*z2*fl11
          - 1792/3*H(R(2,0,0),x)*fl11*x
          - 768*H(R(2,0,0),x)*fl11*x^2
          + 1536/5*H(R(2,0,0),x)*fl11*x^3
          + 1024*H(R(2,1,0,0),x)*fl11*x
          + 512*H(R(2,1,0,0),x)*fl11
          - 1024*H(R(2,3),x)*fl11*x
          - 512*H(R(2,3),x)*fl11
          + 2816/3*H(R(3),x)*fl11*x
          - 2688/5*H(R(3),x)*fl11*x^2
          + 768*H(R(3),x)*fl11*x^3
          + 512/15*H(R(3),x)*fl11
          + 512*H(R(4),x)*fl11*x
          + 768*H(R(4),x)*fl11*x^2
          )

       + delta([1-x])*nf*cf*ca * (
          + 142883/486
          - 56/3*z2*z3
          + 40862/81*z2
          - 3136/135*z2^2
          - 18314/81*z3
          + 12*z4
          + 8/3*z5
          )

       + delta([1-x])*nf*cf^2 * (
          - 341/36
          - 352/9*z2*z3
          - 5491/27*z2
          - 15824/135*z2^2
          + 1348/3*z3
          - 12*z4
          - 592/9*z5
          )

       + delta([1-x])*nf^2*cf * (
          - 9517/486
          - 860/27*z2
          - 32/27*z2^2
          - 152/81*z3
          )

       + delta([1-x])*cf*ca^2 * (
          - 1909753/1944
          + 540*z2*z3
          + 24*z2*z4
          - 143255/81*z2
          + 26804/135*z2^2
          - 20584/315*z2^3
          + 105712/81*z3
          - 248/3*z3^2
          - 30*z4
          - 416/3*z5
          )

       + delta([1-x])*cf^2*ca * (
          + 9161/12
          - 6644/9*z2*z3
          - 72*z2*z4
          + 104117/54*z2
          + 82772/135*z2^2
          - 24484/315*z2^3
          - 6419/3*z3
          + 1016/3*z3^2
          + 90*z4
          - 4952/9*z5
          )

       + delta([1-x])*cf^3 * (
          - 7255/24
          + 808*z2*z3
          + 48*z2*z4
          - 3379/6*z2
          - 2028/5*z2^2
          - 1864/315*z2^3
          - 318*z3
          - 304/3*z3^2
          - 60*z4
          + 1240*z5
          )

       + delta([1-x])*[dabc^2/n] * (
          + 160*z2*fl11
          - 32/5*z2^2*fl11
          + 224/3*z3*fl11
          - 1280/3*z5*fl11
          + 64*fl11
          );

L   Xc2gg3 =

       + flg11*[dabc^2/n]*cOlNA^-1*cOlNR * (
          - 1216/75
          - 512/75*[1-x]^-4*z2^2
          + 512/75*[1-x]^-3*z2^2
          - 256/5*[1-x]^-3*z3
          - 128/15*[1-x]^-2*z2
          - 1792/75*[1-x]^-2*z2^2
          + 128/5*[1-x]^-2*z3
          - 256/45*[1-x]^-1*z2
          - 512/3*[1-x]^-1*z3
          + 896/25*[1+x]^-4*z2^2
          - 896/25*[1+x]^-3*z2^2
          + 512/15*[1+x]^-3*z3
          + 128/15*[1+x]^-2*z2
          + 3136/25*[1+x]^-2*z2^2
          - 256/15*[1+x]^-2*z3
          + 1024/9*[1+x]^-1*z3
          - 128/45*[1+x]^-1
          + 7168/225*z2*x^-1
          - 50048/75*z2*x
          - 167552/75*z2*x^2
          - 1152/5*z2*x^3
          + 6208/225*z2
          + 106496/75*z2^2*x
          - 113152/75*z2^2*x^2
          + 43008/25*z2^2*x^3
          - 7616/75*z2^2
          + 896/15*z3*x^-1
          - 20608/15*z3*x
          - 63392/45*z3*x^2
          - 6272/5*z3*x^3
          + 4288/45*z3
          + 1696/225*x^-1
          - 45184/75*x
          + 51968/75*x^2
          - 1792/15*H(R(-3,0),x)
          + 512/15*H(R(-3,0),x)*[1+x]^-4
          - 512/15*H(R(-3,0),x)*[1+x]^-3
          + 1792/15*H(R(-3,0),x)*[1+x]^-2
          + 512/5*H(R(-3,0),x)*x
          + 19456/15*H(R(-3,0),x)*x^2
          + 1024/15*H(R(-2),x)*[1-x]^-4*z2
          - 1024/15*H(R(-2),x)*[1-x]^-3*z2
          + 3584/15*H(R(-2),x)*[1-x]^-2*z2
          - 22784/15*H(R(-2),x)*z2*x
          + 28928/15*H(R(-2),x)*z2*x^2
          + 6784/15*H(R(-2),x)*z2
          + 2304/5*H(R(-2,-1,0),x)
          + 8704/15*H(R(-2,-1,0),x)*x
          + 8704/15*H(R(-2,-1,0),x)*x^2
          - 34688/45*H(R(-2,0),x)
          + 512/15*H(R(-2,0),x)*[1+x]^-3
          - 256/15*H(R(-2,0),x)*[1+x]^-2
          + 1024/9*H(R(-2,0),x)*[1+x]^-1
          - 7936/15*H(R(-2,0),x)*x
          - 141632/45*H(R(-2,0),x)*x^2
          - 12544/25*H(R(-2,0),x)*x^3
          - 1024/3*H(R(-2,0,0),x)
          - 512/15*H(R(-2,0,0),x)*[1-x]^-4
          + 512/15*H(R(-2,0,0),x)*[1-x]^-3
          - 1792/15*H(R(-2,0,0),x)*[1-x]^-2
          + 3072/5*H(R(-2,0,0),x)*x
          - 3328/3*H(R(-2,0,0),x)*x^2
          - 3328/15*H(R(-2,2),x)
          - 1024/15*H(R(-2,2),x)*[1-x]^-4
          + 1024/15*H(R(-2,2),x)*[1-x]^-3
          - 3584/15*H(R(-2,2),x)*[1-x]^-2
          + 27136/15*H(R(-2,2),x)*x
          - 8192/5*H(R(-2,2),x)*x^2
          + 1024/15*H(R(-1),x)*[1-x]^-3*z2
          - 512/15*H(R(-1),x)*[1-x]^-2*z2
          + 2048/9*H(R(-1),x)*[1-x]^-1*z2
          + 1568/75*H(R(-1),x)*z2*x^-2
          + 9344/15*H(R(-1),x)*z2*x
          - 13216/45*H(R(-1),x)*z2*x^2
          + 18816/25*H(R(-1),x)*z2*x^3
          + 63296/45*H(R(-1),x)*z2
          + 3584/3*H(R(-1),x)*z3*x
          + 3328/3*H(R(-1),x)*z3*x^2
          + 1024/3*H(R(-1),x)*z3
          + 1024/3*H(R(-1,-2,0),x)
          + 3584/3*H(R(-1,-2,0),x)*x
          + 3328/3*H(R(-1,-2,0),x)*x^2
          - 3584/3*H(R(-1,-1),x)*z2*x
          - 3328/3*H(R(-1,-1),x)*z2*x^2
          - 1024/3*H(R(-1,-1),x)*z2
          - 2048/3*H(R(-1,-1,-1,0),x)
          - 7168/3*H(R(-1,-1,-1,0),x)*x
          - 6656/3*H(R(-1,-1,-1,0),x)*x^2
          + 69248/45*H(R(-1,-1,0),x)
          + 3136/225*H(R(-1,-1,0),x)*x^-2
          + 22272/5*H(R(-1,-1,0),x)*x
          + 141632/45*H(R(-1,-1,0),x)*x^2
          + 12544/25*H(R(-1,-1,0),x)*x^3
          + 1024/3*H(R(-1,-1,0,0),x)
          + 3584/3*H(R(-1,-1,0,0),x)*x
          + 3328/3*H(R(-1,-1,0,0),x)*x^2
          - 472672/225*H(R(-1,0),x)
          + 256/15*H(R(-1,0),x)*[1+x]^-2
          + 2560/3*H(R(-1,0),x)*z2*x
          + 2816/3*H(R(-1,0),x)*z2*x^2
          + 512/3*H(R(-1,0),x)*z2
          - 32/5*H(R(-1,0),x)*x^-2
          - 3136/225*H(R(-1,0),x)*x^-1
          - 569152/225*H(R(-1,0),x)*x
          - 84032/75*H(R(-1,0),x)*x^2
          - 1152/5*H(R(-1,0),x)*x^3
          - 1088*H(R(-1,0,0),x)
          - 512/15*H(R(-1,0,0),x)*[1-x]^-3
          + 256/15*H(R(-1,0,0),x)*[1-x]^-2
          - 1024/9*H(R(-1,0,0),x)*[1-x]^-1
          - 3136/225*H(R(-1,0,0),x)*x^-2
          - 21376/15*H(R(-1,0,0),x)*x
          - 640*H(R(-1,0,0),x)*x^2
          - 12544/25*H(R(-1,0,0),x)*x^3
          - 512/3*H(R(-1,0,0,0),x)
          - 2560/3*H(R(-1,0,0,0),x)*x
          - 2816/3*H(R(-1,0,0,0),x)*x^2
          - 28672/45*H(R(-1,2),x)
          - 1024/15*H(R(-1,2),x)*[1-x]^-3
          + 512/15*H(R(-1,2),x)*[1-x]^-2
          - 2048/9*H(R(-1,2),x)*[1-x]^-1
          - 3136/225*H(R(-1,2),x)*x^-2
          + 24064/15*H(R(-1,2),x)*x
          + 84032/45*H(R(-1,2),x)*x^2
          - 12544/25*H(R(-1,2),x)*x^3
          + 64/75*H(R(0),x)
          - 256/5*H(R(0),x)*[1-x]^-4*z3
          - 256/5*H(R(0),x)*[1-x]^-3*z2
          + 256/5*H(R(0),x)*[1-x]^-3*z3
          + 128/5*H(R(0),x)*[1-x]^-2*z2
          - 896/5*H(R(0),x)*[1-x]^-2*z3
          - 512/3*H(R(0),x)*[1-x]^-1*z2
          + 512/15*H(R(0),x)*[1+x]^-4*z3
          + 256/15*H(R(0),x)*[1+x]^-3*z2
          - 512/15*H(R(0),x)*[1+x]^-3*z3
          - 128/15*H(R(0),x)*[1+x]^-2*z2
          + 1792/15*H(R(0),x)*[1+x]^-2*z3
          - 128/15*H(R(0),x)*[1+x]^-2
          + 512/9*H(R(0),x)*[1+x]^-1*z2
          - 896/15*H(R(0),x)*z2*x^-1
          - 36224/15*H(R(0),x)*z2*x
          + 36160/9*H(R(0),x)*z2*x^2
          - 25088/25*H(R(0),x)*z2*x^3
          + 4544/45*H(R(0),x)*z2
          + 5632/3*H(R(0),x)*z3*x
          - 38528/15*H(R(0),x)*z3*x^2
          + 10752/5*H(R(0),x)*z3*x^3
          + 896/15*H(R(0),x)*z3
          - 1696/225*H(R(0),x)*x^-1
          - 86272/225*H(R(0),x)*x
          + 28928/15*H(R(0),x)*x^2
          + 2144/75*H(R(0,0),x)
          - 256/5*H(R(0,0),x)*[1-x]^-4*z2
          + 256/5*H(R(0,0),x)*[1-x]^-3*z2
          - 896/5*H(R(0,0),x)*[1-x]^-2*z2
          + 128/45*H(R(0,0),x)*[1-x]^-1
          + 256/15*H(R(0,0),x)*[1+x]^-4*z2
          - 256/15*H(R(0,0),x)*[1+x]^-3*z2
          + 896/15*H(R(0,0),x)*[1+x]^-2*z2
          - 128/15*H(R(0,0),x)*[1+x]^-2
          - 5888/15*H(R(0,0),x)*z2*x
          + 43904/15*H(R(0,0),x)*z2*x^2
          - 10752/5*H(R(0,0),x)*z2*x^3
          + 1792/15*H(R(0,0),x)*z2
          + 3136/225*H(R(0,0),x)*x^-1
          + 154624/75*H(R(0,0),x)*x
          + 22784/25*H(R(0,0),x)*x^2
          + 1152/5*H(R(0,0),x)*x^3
          + 256/15*H(R(0,0,0),x)*[1-x]^-3
          - 128/15*H(R(0,0,0),x)*[1-x]^-2
          + 512/9*H(R(0,0,0),x)*[1-x]^-1
          - 256/15*H(R(0,0,0),x)*[1+x]^-3
          + 128/15*H(R(0,0,0),x)*[1+x]^-2
          - 512/9*H(R(0,0,0),x)*[1+x]^-1
          + 7936/15*H(R(0,0,0),x)*x
          + 12544/25*H(R(0,0,0),x)*x^3
          + 256/15*H(R(0,0,0,0),x)*[1-x]^-4
          - 256/15*H(R(0,0,0,0),x)*[1-x]^-3
          + 896/15*H(R(0,0,0,0),x)*[1-x]^-2
          - 256/15*H(R(0,0,0,0),x)*[1+x]^-4
          + 256/15*H(R(0,0,0,0),x)*[1+x]^-3
          - 896/15*H(R(0,0,0,0),x)*[1+x]^-2
          - 512/5*H(R(0,0,0,0),x)*x
          + 80704/225*H(R(1),x)
          + 1568/225*H(R(1),x)*z2*x^-2
          - 11136/5*H(R(1),x)*z2*x
          + 70816/45*H(R(1),x)*z2*x^2
          - 6272/25*H(R(1),x)*z2*x^3
          + 34624/45*H(R(1),x)*z2
          + 2048*H(R(1),x)*z2^2*x
          - 9216/5*H(R(1),x)*z2^2*x^2
          - 2048/5*H(R(1),x)*z2^2
          - 896/15*H(R(1),x)*z3*x^-2
          + 2560/3*H(R(1),x)*z3*x
          - 640*H(R(1),x)*z3*x^2
          + 10752/5*H(R(1),x)*z3*x^3
          - 896*H(R(1),x)*z3
          + 10304/225*H(R(1),x)*x^-1
          - 600064/225*H(R(1),x)*x
          + 164992/75*H(R(1),x)*x^2
          - 512*H(R(1,-2,0),x)*x
          + 768*H(R(1,-2,0),x)*x^2
          + 1216/3*H(R(1,0),x)
          + 896/15*H(R(1,0),x)*z2*x^-2
          - 16384/3*H(R(1,0),x)*z2*x
          + 5504*H(R(1,0),x)*z2*x^2
          - 10752/5*H(R(1,0),x)*z2*x^3
          + 1920*H(R(1,0),x)*z2
          + 2560*H(R(1,0),x)*z3*x
          - 2304*H(R(1,0),x)*z3*x^2
          - 512*H(R(1,0),x)*z3
          - 6656/3*H(R(1,0),x)*x
          + 5824/3*H(R(1,0),x)*x^2
          - 5248/15*H(R(1,0,0),x)
          - 2560*H(R(1,0,0),x)*z2*x
          + 2304*H(R(1,0,0),x)*z2*x^2
          + 512*H(R(1,0,0),x)*z2
          - 896/15*H(R(1,0,0),x)*x^-1
          - 2304/5*H(R(1,0,0),x)*x
          + 7552/5*H(R(1,0,0),x)*x^2
          - 512/3*H(R(1,0,0,0),x)
          + 2560/3*H(R(1,0,0,0),x)*x
          - 2816/3*H(R(1,0,0,0),x)*x^2
          + 2432/3*H(R(1,1),x)
          - 3584/3*H(R(1,1),x)*z2*x
          + 3328/3*H(R(1,1),x)*z2*x^2
          + 1024/3*H(R(1,1),x)*z2
          + 5120*H(R(1,1),x)*z3*x
          - 4608*H(R(1,1),x)*z3*x^2
          - 1024*H(R(1,1),x)*z3
          - 13312/3*H(R(1,1),x)*x
          + 11648/3*H(R(1,1),x)*x^2
          - 5120*H(R(1,1,0),x)*z2*x
          + 4608*H(R(1,1,0),x)*z2*x^2
          + 1024*H(R(1,1,0),x)*z2
          + 1408*H(R(1,1,0,0),x)
          + 896/15*H(R(1,1,0,0),x)*x^-2
          - 10240/3*H(R(1,1,0,0),x)*x
          + 3456*H(R(1,1,0,0),x)*x^2
          - 10752/5*H(R(1,1,0,0),x)*x^3
          + 1024*H(R(1,1,1,0,0),x)
          - 5120*H(R(1,1,1,0,0),x)*x
          + 4608*H(R(1,1,1,0,0),x)*x^2
          - 1024*H(R(1,1,3),x)
          + 5120*H(R(1,1,3),x)*x
          - 4608*H(R(1,1,3),x)*x^2
          + 512*H(R(1,2,0,0),x)
          - 2560*H(R(1,2,0,0),x)*x
          + 2304*H(R(1,2,0,0),x)*x^2
          - 5248/3*H(R(1,3),x)
          - 896/15*H(R(1,3),x)*x^-2
          + 4608*H(R(1,3),x)*x
          - 13696/3*H(R(1,3),x)*x^2
          + 10752/5*H(R(1,3),x)*x^3
          - 512*H(R(1,4),x)
          + 2560*H(R(1,4),x)*x
          - 2304*H(R(1,4),x)*x^2
          - 6208/225*H(R(2),x)
          + 256/45*H(R(2),x)*[1-x]^-1
          - 4352/15*H(R(2),x)*z2*x
          + 4352/15*H(R(2),x)*z2*x^2
          + 1152/5*H(R(2),x)*z2
          + 2560*H(R(2),x)*z3*x
          - 2304*H(R(2),x)*z3*x^2
          - 512*H(R(2),x)*z3
          - 10304/225*H(R(2),x)*x^-1
          - 419008/225*H(R(2),x)*x
          + 167552/75*H(R(2),x)*x^2
          - 2560*H(R(2,0),x)*z2*x
          + 2304*H(R(2,0),x)*z2*x^2
          + 512*H(R(2,0),x)*z2
          - 3328/3*H(R(2,0,0),x)*x
          + 3456*H(R(2,0,0),x)*x^2
          - 10752/5*H(R(2,0,0),x)*x^3
          + 512*H(R(2,1,0,0),x)
          - 2560*H(R(2,1,0,0),x)*x
          + 2304*H(R(2,1,0,0),x)*x^2
          - 512*H(R(2,3),x)
          + 2560*H(R(2,3),x)*x
          - 2304*H(R(2,3),x)*x^2
          - 4544/45*H(R(3),x)
          + 512/15*H(R(3),x)*[1-x]^-3
          - 256/15*H(R(3),x)*[1-x]^-2
          + 1024/9*H(R(3),x)*[1-x]^-1
          + 896/15*H(R(3),x)*x^-1
          + 28288/15*H(R(3),x)*x
          - 36160/9*H(R(3),x)*x^2
          + 12544/25*H(R(3),x)*x^3
          - 1792/15*H(R(4),x)
          + 512/15*H(R(4),x)*[1-x]^-4
          - 512/15*H(R(4),x)*[1-x]^-3
          + 1792/15*H(R(4),x)*[1-x]^-2
          + 7424/15*H(R(4),x)*x
          - 43904/15*H(R(4),x)*x^2
          + 10752/5*H(R(4),x)*x^3
          )

       + nf*cf*ca * (
          - 54088421/48600
          - 1168/3*z2*z3*x
          - 1600/3*z2*z3*x^2
          - 176*z2*z3
          + 1744/225*z2*x^-1
          - 6576608/2025*z2*x
          - 1045922/2025*z2*x^2
          + 58736/75*z2*x^3
          + 867496/2025*z2
          + 128/5*z2^2*x^-1
          + 50084/45*z2^2*x
          + 24128/45*z2^2*x^2
          + 480*z2^2*x^3
          - 9988/45*z2^2
          - 2032/45*z3*x^-1
          - 601292/135*z3*x
          + 71092/45*z3*x^2
          + 3824/5*z3*x^3
          + 12712/135*z3
          + 32*z4*x^-1
          - 48*z4*x
          - 248*z4*x^2
          + 192*z4
          + 24604/3*z5*x
          + 712/3*z5*x^2
          + 926/3*z5
          + 40238/675*x^-1
          - 87245687/24300*x
          + 3237022/675*x^2
          - 2176/3*H(R(-4,0),x)
          + 128/3*H(R(-4,0),x)*x
          - 1792/3*H(R(-4,0),x)*x^2
          - 560/3*H(R(-3),x)*z2*x
          - 3232/3*H(R(-3),x)*z2*x^2
          - 664/3*H(R(-3),x)*z2
          + 176/3*H(R(-3,-1,0),x)
          - 4256/3*H(R(-3,-1,0),x)*x
          - 1600/3*H(R(-3,-1,0),x)*x^2
          - 2528/3*H(R(-3,0),x)
          + 656*H(R(-3,0),x)*x
          + 6224/3*H(R(-3,0),x)*x^2
          + 1536/5*H(R(-3,0),x)*x^3
          - 944/3*H(R(-3,0,0),x)
          + 1568/3*H(R(-3,0,0),x)*x
          + 928/3*H(R(-3,0,0),x)*x^2
          + 752/3*H(R(-3,2),x)
          - 1568/3*H(R(-3,2),x)*x
          + 2432/3*H(R(-3,2),x)*x^2
          - 32/5*H(R(-2),x)*z2*x^-2
          - 12448/3*H(R(-2),x)*z2*x
          - 7648/3*H(R(-2),x)*z2*x^2
          - 4032/5*H(R(-2),x)*z2*x^3
          - 776/3*H(R(-2),x)*z2
          - 2088*H(R(-2),x)*z3*x
          - 2272*H(R(-2),x)*z3*x^2
          - 4604/3*H(R(-2),x)*z3
          - 5248/3*H(R(-2,-2,0),x)*x
          - 1216/3*H(R(-2,-2,0),x)*x^2
          + 2368*H(R(-2,-1),x)*z2*x
          + 2592*H(R(-2,-1),x)*z2*x^2
          + 1792*H(R(-2,-1),x)*z2
          + 448/3*H(R(-2,-1,-1,0),x)
          + 6400/3*H(R(-2,-1,-1,0),x)*x
          + 640*H(R(-2,-1,-1,0),x)*x^2
          + 208/3*H(R(-2,-1,0),x)
          - 64/15*H(R(-2,-1,0),x)*x^-2
          - 6656/3*H(R(-2,-1,0),x)*x
          - 6688/3*H(R(-2,-1,0),x)*x^2
          - 384/5*H(R(-2,-1,0),x)*x^3
          - 896*H(R(-2,-1,0,0),x)
          - 9152/3*H(R(-2,-1,0,0),x)*x
          - 5168/3*H(R(-2,-1,0,0),x)*x^2
          - 5152/3*H(R(-2,-1,2),x)
          - 3904/3*H(R(-2,-1,2),x)*x
          - 2272*H(R(-2,-1,2),x)*x^2
          - 103424/45*H(R(-2,0),x)
          - 1632*H(R(-2,0),x)*z2*x
          - 2224*H(R(-2,0),x)*z2*x^2
          - 4768/3*H(R(-2,0),x)*z2
          + 448/45*H(R(-2,0),x)*x^-2
          + 128/15*H(R(-2,0),x)*x^-1
          - 11512/45*H(R(-2,0),x)*x
          + 50828/45*H(R(-2,0),x)*x^2
          + 12928/25*H(R(-2,0),x)*x^3
          - 968/3*H(R(-2,0,0),x)
          + 64/15*H(R(-2,0,0),x)*x^-2
          + 8528/3*H(R(-2,0,0),x)*x
          + 3048*H(R(-2,0,0),x)*x^2
          + 576*H(R(-2,0,0),x)*x^3
          + 1472/3*H(R(-2,0,0,0),x)
          + 4736/3*H(R(-2,0,0,0),x)*x
          + 880*H(R(-2,0,0,0),x)*x^2
          + 880/3*H(R(-2,2),x)
          + 64/15*H(R(-2,2),x)*x^-2
          + 3040*H(R(-2,2),x)*x
          + 4304/3*H(R(-2,2),x)*x^2
          + 768*H(R(-2,2),x)*x^3
          + 256*H(R(-2,2,0),x)
          + 256/3*H(R(-2,2,0),x)*x
          + 1120/3*H(R(-2,2,0),x)*x^2
          + 288*H(R(-2,2,1),x)
          + 320/3*H(R(-2,2,1),x)*x
          + 448*H(R(-2,2,1),x)*x^2
          + 4016/3*H(R(-2,3),x)
          + 736*H(R(-2,3),x)*x
          + 5264/3*H(R(-2,3),x)*x^2
          - 1276/75*H(R(-1),x)*z2*x^-2
          + 3232/45*H(R(-1),x)*z2*x^-1
          + 144164/45*H(R(-1),x)*z2*x
          + 36782/45*H(R(-1),x)*z2*x^2
          - 19392/25*H(R(-1),x)*z2*x^3
          + 83854/45*H(R(-1),x)*z2
          - 2992/3*H(R(-1),x)*z2^2*x
          - 10592/15*H(R(-1),x)*z2^2*x^2
          - 2872/15*H(R(-1),x)*z2^2
          - 56/3*H(R(-1),x)*z3*x^-2
          - 320/3*H(R(-1),x)*z3*x^-1
          - 10840/3*H(R(-1),x)*z3*x
          - 6668/3*H(R(-1),x)*z3*x^2
          - 672*H(R(-1),x)*z3*x^3
          - 7250/3*H(R(-1),x)*z3
          - 896/3*H(R(-1,-3,0),x)
          - 1792/3*H(R(-1,-3,0),x)*x
          - 640/3*H(R(-1,-3,0),x)*x^2
          + 2800*H(R(-1,-2),x)*z2*x
          + 1712*H(R(-1,-2),x)*z2*x^2
          + 1400*H(R(-1,-2),x)*z2
          + 432*H(R(-1,-2,-1,0),x)
          + 864*H(R(-1,-2,-1,0),x)*x
          + 480*H(R(-1,-2,-1,0),x)*x^2
          + 512/3*H(R(-1,-2,0),x)
          - 32/15*H(R(-1,-2,0),x)*x^-2
          - 256/3*H(R(-1,-2,0),x)*x^-1
          - 3136/3*H(R(-1,-2,0),x)*x
          - 1520*H(R(-1,-2,0),x)*x^2
          - 384/5*H(R(-1,-2,0),x)*x^3
          - 3176/3*H(R(-1,-2,0,0),x)
          - 6352/3*H(R(-1,-2,0,0),x)*x
          - 3664/3*H(R(-1,-2,0,0),x)*x^2
          - 1184*H(R(-1,-2,2),x)
          - 2368*H(R(-1,-2,2),x)*x
          - 1472*H(R(-1,-2,2),x)*x^2
          + 112/5*H(R(-1,-1),x)*z2*x^-2
          + 128*H(R(-1,-1),x)*z2*x^-1
          + 12856/3*H(R(-1,-1),x)*z2*x
          + 7616/3*H(R(-1,-1),x)*z2*x^2
          + 4032/5*H(R(-1,-1),x)*z2*x^3
          + 8756/3*H(R(-1,-1),x)*z2
          + 11456/3*H(R(-1,-1),x)*z3*x
          + 7136/3*H(R(-1,-1),x)*z3*x^2
          + 5728/3*H(R(-1,-1),x)*z3
          + 1360/3*H(R(-1,-1,-2,0),x)
          + 2720/3*H(R(-1,-1,-2,0),x)*x
          + 1568/3*H(R(-1,-1,-2,0),x)*x^2
          - 13424/3*H(R(-1,-1,-1),x)*z2*x
          - 8240/3*H(R(-1,-1,-1),x)*z2*x^2
          - 6712/3*H(R(-1,-1,-1),x)*z2
          - 1424/3*H(R(-1,-1,-1,-1,0),x)
          - 2848/3*H(R(-1,-1,-1,-1,0),x)*x
          - 1696/3*H(R(-1,-1,-1,-1,0),x)*x^2
          - 808/3*H(R(-1,-1,-1,0),x)
          + 32/15*H(R(-1,-1,-1,0),x)*x^-2
          + 256/3*H(R(-1,-1,-1,0),x)*x^-1
          + 3248/3*H(R(-1,-1,-1,0),x)*x
          + 1696*H(R(-1,-1,-1,0),x)*x^2
          + 384/5*H(R(-1,-1,-1,0),x)*x^3
          + 5344/3*H(R(-1,-1,-1,0,0),x)
          + 10688/3*H(R(-1,-1,-1,0,0),x)*x
          + 6272/3*H(R(-1,-1,-1,0,0),x)*x^2
          + 2000*H(R(-1,-1,-1,2),x)
          + 4000*H(R(-1,-1,-1,2),x)*x
          + 2464*H(R(-1,-1,-1,2),x)*x^2
          + 68468/45*H(R(-1,-1,0),x)
          + 11584/3*H(R(-1,-1,0),x)*z2*x
          + 7168/3*H(R(-1,-1,0),x)*z2*x^2
          + 5792/3*H(R(-1,-1,0),x)*z2
          - 2552/225*H(R(-1,-1,0),x)*x^-2
          + 5504/45*H(R(-1,-1,0),x)*x^-1
          + 6616/15*H(R(-1,-1,0),x)*x
          - 63356/45*H(R(-1,-1,0),x)*x^2
          - 12928/25*H(R(-1,-1,0),x)*x^3
          - 1464*H(R(-1,-1,0,0),x)
          - 16*H(R(-1,-1,0,0),x)*x^-2
          - 512/3*H(R(-1,-1,0,0),x)*x^-1
          - 10136/3*H(R(-1,-1,0,0),x)*x
          - 8728/3*H(R(-1,-1,0,0),x)*x^2
          - 576*H(R(-1,-1,0,0),x)*x^3
          - 968*H(R(-1,-1,0,0,0),x)
          - 1936*H(R(-1,-1,0,0,0),x)*x
          - 1104*H(R(-1,-1,0,0,0),x)*x^2
          - 9160/3*H(R(-1,-1,2),x)
          - 64/3*H(R(-1,-1,2),x)*x^-2
          - 256/3*H(R(-1,-1,2),x)*x^-1
          - 3744*H(R(-1,-1,2),x)*x
          - 5072/3*H(R(-1,-1,2),x)*x^2
          - 768*H(R(-1,-1,2),x)*x^3
          - 752/3*H(R(-1,-1,2,0),x)
          - 1504/3*H(R(-1,-1,2,0),x)*x
          - 1120/3*H(R(-1,-1,2,0),x)*x^2
          - 288*H(R(-1,-1,2,1),x)
          - 576*H(R(-1,-1,2,1),x)*x
          - 448*H(R(-1,-1,2,1),x)*x^2
          - 4408/3*H(R(-1,-1,3),x)
          - 8816/3*H(R(-1,-1,3),x)*x
          - 5552/3*H(R(-1,-1,3),x)*x^2
          - 1010516/225*H(R(-1,0),x)
          - 304/15*H(R(-1,0),x)*z2*x^-2
          - 256/3*H(R(-1,0),x)*z2*x^-1
          - 3320*H(R(-1,0),x)*z2*x
          - 5456/3*H(R(-1,0),x)*z2*x^2
          - 3648/5*H(R(-1,0),x)*z2*x^3
          - 2672*H(R(-1,0),x)*z2
          - 12176/3*H(R(-1,0),x)*z3*x
          - 8528/3*H(R(-1,0),x)*z3*x^2
          - 4936/3*H(R(-1,0),x)*z3
          + 13924/675*H(R(-1,0),x)*x^-2
          - 2008/225*H(R(-1,0),x)*x^-1
          - 4132988/675*H(R(-1,0),x)*x
          - 24232/25*H(R(-1,0),x)*x^2
          + 58736/75*H(R(-1,0),x)*x^3
          - 23540/9*H(R(-1,0,0),x)
          - 1328/3*H(R(-1,0,0),x)*z2*x
          - 176/3*H(R(-1,0,0),x)*z2*x^2
          - 1816/3*H(R(-1,0,0),x)*z2
          + 4792/225*H(R(-1,0,0),x)*x^-2
          - 560/9*H(R(-1,0,0),x)*x^-1
          - 3628*H(R(-1,0,0),x)*x
          - 3448/9*H(R(-1,0,0),x)*x^2
          + 21888/25*H(R(-1,0,0),x)*x^3
          + 796*H(R(-1,0,0,0),x)
          + 48/5*H(R(-1,0,0,0),x)*x^-2
          + 256/3*H(R(-1,0,0,0),x)*x^-1
          + 4448/3*H(R(-1,0,0,0),x)*x
          + 1384*H(R(-1,0,0,0),x)*x^2
          + 1728/5*H(R(-1,0,0,0),x)*x^3
          + 552*H(R(-1,0,0,0,0),x)
          + 1104*H(R(-1,0,0,0,0),x)*x
          + 720*H(R(-1,0,0,0,0),x)*x^2
          - 3308/3*H(R(-1,2),x)
          - 64*H(R(-1,2),x)*z2*x^2
          + 2552/225*H(R(-1,2),x)*x^-2
          - 32/3*H(R(-1,2),x)*x^-1
          - 26848/9*H(R(-1,2),x)*x
          - 4564/3*H(R(-1,2),x)*x^2
          + 12928/25*H(R(-1,2),x)*x^3
          + 1208/3*H(R(-1,2,0),x)
          + 32/15*H(R(-1,2,0),x)*x^-2
          + 1408/3*H(R(-1,2,0),x)*x
          + 736/3*H(R(-1,2,0),x)*x^2
          + 384/5*H(R(-1,2,0),x)*x^3
          + 1712/3*H(R(-1,2,0,0),x)
          + 5728/3*H(R(-1,2,0,0),x)*x
          + 4576/3*H(R(-1,2,0,0),x)*x^2
          + 1352/3*H(R(-1,2,1),x)
          + 32/15*H(R(-1,2,1),x)*x^-2
          + 1648/3*H(R(-1,2,1),x)*x
          + 832/3*H(R(-1,2,1),x)*x^2
          + 384/5*H(R(-1,2,1),x)*x^3
          + 80*H(R(-1,2,1,0),x)
          + 160*H(R(-1,2,1,0),x)*x
          + 160*H(R(-1,2,1,0),x)*x^2
          + 256/3*H(R(-1,2,1,1),x)
          + 512/3*H(R(-1,2,1,1),x)*x
          + 512/3*H(R(-1,2,1,1),x)*x^2
          + 272/3*H(R(-1,2,2),x)
          + 544/3*H(R(-1,2,2),x)*x
          + 544/3*H(R(-1,2,2),x)*x^2
          + 6752/3*H(R(-1,3),x)
          + 16*H(R(-1,3),x)*x^-2
          + 128/3*H(R(-1,3),x)*x^-1
          + 7480/3*H(R(-1,3),x)*x
          + 3208/3*H(R(-1,3),x)*x^2
          + 576*H(R(-1,3),x)*x^3
          + 208*H(R(-1,3,0),x)
          + 416*H(R(-1,3,0),x)*x
          + 352*H(R(-1,3,0),x)*x^2
          + 240*H(R(-1,3,1),x)
          + 480*H(R(-1,3,1),x)*x
          + 416*H(R(-1,3,1),x)*x^2
          + 928/3*H(R(-1,4),x)
          - 448/3*H(R(-1,4),x)*x
          - 832/3*H(R(-1,4),x)*x^2
          - 462887/1215*H(R(0),x)
          + 112/15*H(R(0),x)*z2*x^-1
          - 21616/15*H(R(0),x)*z2*x
          + 26818/45*H(R(0),x)*z2*x^2
          + 30256/25*H(R(0),x)*z2*x^3
          - 1334/45*H(R(0),x)*z2
          + 928/15*H(R(0),x)*z2^2*x
          - 3424/15*H(R(0),x)*z2^2*x^2
          - 1664/15*H(R(0),x)*z2^2
          + 62888/9*H(R(0),x)*z3*x
          + 21392/9*H(R(0),x)*z3*x^2
          + 7872/5*H(R(0),x)*z3*x^3
          + 1316/9*H(R(0),x)*z3
          + 240*H(R(0),x)*z4*x
          + 48*H(R(0),x)*z4*x^2
          + 96*H(R(0),x)*z4
          - 9148/675*H(R(0),x)*x^-1
          - 15858079/6075*H(R(0),x)*x
          + 5542108/2025*H(R(0),x)*x^2
          - 334411/2025*H(R(0,0),x)
          + 256*H(R(0,0),x)*z2*x
          + 11296/9*H(R(0,0),x)*z2*x^2
          + 1344/5*H(R(0,0),x)*z2*x^3
          + 284/3*H(R(0,0),x)*z2
          + 2032/3*H(R(0,0),x)*z3*x
          + 224/3*H(R(0,0),x)*z3*x^2
          - 320/3*H(R(0,0),x)*z3
          - 2872/225*H(R(0,0),x)*x^-1
          + 6805949/2025*H(R(0,0),x)*x
          + 11442/25*H(R(0,0),x)*x^2
          - 58736/75*H(R(0,0),x)*x^3
          + 18097/135*H(R(0,0,0),x)
          - 1952/3*H(R(0,0,0),x)*z2*x
          + 160/3*H(R(0,0,0),x)*z2*x^2
          - 656/3*H(R(0,0,0),x)*z2
          - 64/5*H(R(0,0,0),x)*x^-1
          + 188434/135*H(R(0,0,0),x)*x
          - 75448/45*H(R(0,0,0),x)*x^2
          - 21888/25*H(R(0,0,0),x)*x^3
          - 1636/9*H(R(0,0,0,0),x)
          - 1864/9*H(R(0,0,0,0),x)*x
          - 1712*H(R(0,0,0,0),x)*x^2
          - 2304/5*H(R(0,0,0,0),x)*x^3
          + 120*H(R(0,0,0,0,0),x)
          + 1168/3*H(R(0,0,0,0,0),x)*x
          - 5471951/6075*H(R(1),x)
          - 1276/225*H(R(1),x)*z2*x^-2
          - 2176/135*H(R(1),x)*z2*x^-1
          - 36244/45*H(R(1),x)*z2*x
          + 3016/135*H(R(1),x)*z2*x^2
          + 10864/25*H(R(1),x)*z2*x^3
          + 36224/45*H(R(1),x)*z2
          + 4528/15*H(R(1),x)*z2^2*x
          - 1696/15*H(R(1),x)*z2^2*x^2
          - 2264/15*H(R(1),x)*z2^2
          - 376/15*H(R(1),x)*z3*x^-2
          + 448/9*H(R(1),x)*z3*x^-1
          + 14416/9*H(R(1),x)*z3*x
          - 6908/9*H(R(1),x)*z3*x^2
          + 4512/5*H(R(1),x)*z3*x^3
          - 19994/9*H(R(1),x)*z3
          + 48*H(R(1),x)*z4*x
          - 48*H(R(1),x)*z4*x^2
          - 24*H(R(1),x)*z4
          + 66974/6075*H(R(1),x)*x^-1
          - 18941999/6075*H(R(1),x)*x
          + 8390392/2025*H(R(1),x)*x^2
          - 880/3*H(R(1,-3,0),x)
          + 1760/3*H(R(1,-3,0),x)*x
          - 1376/3*H(R(1,-3,0),x)*x^2
          - 672*H(R(1,-2),x)*z2*x
          + 352*H(R(1,-2),x)*z2*x^2
          + 336*H(R(1,-2),x)*z2
          - 544/3*H(R(1,-2,-1,0),x)
          + 1088/3*H(R(1,-2,-1,0),x)*x
          - 704/3*H(R(1,-2,-1,0),x)*x^2
          - 3040/3*H(R(1,-2,0),x)
          - 32/5*H(R(1,-2,0),x)*x^-2
          + 608*H(R(1,-2,0),x)*x
          + 64/3*H(R(1,-2,0),x)*x^2
          + 1152/5*H(R(1,-2,0),x)*x^3
          - 272*H(R(1,-2,0,0),x)
          + 544*H(R(1,-2,0,0),x)*x
          - 416*H(R(1,-2,0,0),x)*x^2
          - 1280/3*H(R(1,-2,2),x)
          + 2560/3*H(R(1,-2,2),x)*x
          - 1408/3*H(R(1,-2,2),x)*x^2
          - 145171/405*H(R(1,0),x)
          + 64/5*H(R(1,0),x)*z2*x^-2
          + 128/9*H(R(1,0),x)*z2*x^-1
          - 464/3*H(R(1,0),x)*z2*x
          - 10664/9*H(R(1,0),x)*z2*x^2
          - 2304/5*H(R(1,0),x)*z2*x^3
          + 1948*H(R(1,0),x)*z2
          + 2656*H(R(1,0),x)*z3*x
          - 1568*H(R(1,0),x)*z3*x^2
          - 1328*H(R(1,0),x)*z3
          + 6104/405*H(R(1,0),x)*x^-1
          - 143044/405*H(R(1,0),x)*x
          + 181286/405*H(R(1,0),x)*x^2
          - 74332/135*H(R(1,0,0),x)
          + 3584/3*H(R(1,0,0),x)*z2*x
          - 2048/3*H(R(1,0,0),x)*z2*x^2
          - 1792/3*H(R(1,0,0),x)*z2
          + 2576/135*H(R(1,0,0),x)*x^-1
          + 122552/135*H(R(1,0,0),x)*x
          - 102736/135*H(R(1,0,0),x)*x^2
          - 3188/9*H(R(1,0,0,0),x)
          + 16/5*H(R(1,0,0,0),x)*x^-2
          - 416/9*H(R(1,0,0,0),x)*x^-1
          + 1576/9*H(R(1,0,0,0),x)*x
          + 1480/9*H(R(1,0,0,0),x)*x^2
          - 576/5*H(R(1,0,0,0),x)*x^3
          + 312*H(R(1,0,0,0,0),x)
          - 624*H(R(1,0,0,0,0),x)*x
          + 240*H(R(1,0,0,0,0),x)*x^2
          - 69101/405*H(R(1,1),x)
          - 16/15*H(R(1,1),x)*z2*x^-2
          - 320/9*H(R(1,1),x)*z2*x^-1
          - 1184/3*H(R(1,1),x)*z2*x
          + 1928/9*H(R(1,1),x)*z2*x^2
          + 192/5*H(R(1,1),x)*z2*x^3
          + 356*H(R(1,1),x)*z2
          + 9088/3*H(R(1,1),x)*z3*x
          - 5344/3*H(R(1,1),x)*z3*x^2
          - 4544/3*H(R(1,1),x)*z3
          + 2324/405*H(R(1,1),x)*x^-1
          - 562724/405*H(R(1,1),x)*x
          + 63254/45*H(R(1,1),x)*x^2
          - 1408/3*H(R(1,1,-2,0),x)
          + 2816/3*H(R(1,1,-2,0),x)*x
          - 1664/3*H(R(1,1,-2,0),x)*x^2
          - 34*H(R(1,1,0),x)
          + 464/3*H(R(1,1,0),x)*z2*x
          - 272/3*H(R(1,1,0),x)*z2*x^2
          - 232/3*H(R(1,1,0),x)*z2
          - 352/27*H(R(1,1,0),x)*x^-1
          + 3820/9*H(R(1,1,0),x)*x
          - 21326/27*H(R(1,1,0),x)*x^2
          + 176*H(R(1,1,0),x)*x^3
          + 4432/3*H(R(1,1,0,0),x)
          + 256/15*H(R(1,1,0,0),x)*x^-2
          + 640/9*H(R(1,1,0,0),x)*x^-1
          + 808*H(R(1,1,0,0),x)*x
          - 17776/9*H(R(1,1,0,0),x)*x^2
          - 3072/5*H(R(1,1,0,0),x)*x^3
          + 856/3*H(R(1,1,0,0,0),x)
          - 1712/3*H(R(1,1,0,0,0),x)*x
          + 368/3*H(R(1,1,0,0,0),x)*x^2
          + 2032/27*H(R(1,1,1),x)
          + 800/3*H(R(1,1,1),x)*z2*x
          - 224/3*H(R(1,1,1),x)*z2*x^2
          - 400/3*H(R(1,1,1),x)*z2
          - 784/27*H(R(1,1,1),x)*x^-1
          + 2536/27*H(R(1,1,1),x)*x
          - 3556/9*H(R(1,1,1),x)*x^2
          - 220*H(R(1,1,1,0),x)
          + 704/9*H(R(1,1,1,0),x)*x^-1
          + 2896/3*H(R(1,1,1,0),x)*x
          - 9632/9*H(R(1,1,1,0),x)*x^2
          + 832/3*H(R(1,1,1,0,0),x)
          - 1664/3*H(R(1,1,1,0,0),x)*x
          + 320/3*H(R(1,1,1,0,0),x)*x^2
          - 1048/9*H(R(1,1,1,1),x)
          + 736/9*H(R(1,1,1,1),x)*x^-1
          + 5480/9*H(R(1,1,1,1),x)*x
          - 2272/3*H(R(1,1,1,1),x)*x^2
          - 136*H(R(1,1,1,1,0),x)
          + 272*H(R(1,1,1,1,0),x)*x
          - 272*H(R(1,1,1,1,0),x)*x^2
          - 104*H(R(1,1,1,2),x)
          + 208*H(R(1,1,1,2),x)*x
          - 208*H(R(1,1,1,2),x)*x^2
          - 664/3*H(R(1,1,2),x)
          + 704/9*H(R(1,1,2),x)*x^-1
          + 936*H(R(1,1,2),x)*x
          - 9560/9*H(R(1,1,2),x)*x^2
          - 184*H(R(1,1,2,0),x)
          + 368*H(R(1,1,2,0),x)*x
          - 368*H(R(1,1,2,0),x)*x^2
          - 32*H(R(1,1,2,1),x)
          + 64*H(R(1,1,2,1),x)*x
          - 64*H(R(1,1,2,1),x)*x^2
          - 384*H(R(1,1,3),x)
          + 768*H(R(1,1,3),x)*x
          - 448*H(R(1,1,3),x)*x^2
          - 398/9*H(R(1,2),x)
          + 608/3*H(R(1,2),x)*z2*x
          - 32/3*H(R(1,2),x)*z2*x^2
          - 304/3*H(R(1,2),x)*z2
          - 1216/27*H(R(1,2),x)*x^-1
          + 5264/9*H(R(1,2),x)*x
          - 19610/27*H(R(1,2),x)*x^2
          - 176*H(R(1,2),x)*x^3
          - 908/3*H(R(1,2,0),x)
          + 704/9*H(R(1,2,0),x)*x^-1
          + 3632/3*H(R(1,2,0),x)*x
          - 11624/9*H(R(1,2,0),x)*x^2
          + 128/3*H(R(1,2,0,0),x)
          - 256/3*H(R(1,2,0,0),x)*x
          - 512/3*H(R(1,2,0,0),x)*x^2
          - 628/3*H(R(1,2,1),x)
          + 256/3*H(R(1,2,1),x)*x^-1
          + 880*H(R(1,2,1),x)*x
          - 3104/3*H(R(1,2,1),x)*x^2
          - 128*H(R(1,2,1,0),x)
          + 256*H(R(1,2,1,0),x)*x
          - 256*H(R(1,2,1,0),x)*x^2
          - 344/3*H(R(1,2,2),x)
          + 688/3*H(R(1,2,2),x)*x
          - 688/3*H(R(1,2,2),x)*x^2
          - 7108/3*H(R(1,3),x)
          - 256/15*H(R(1,3),x)*x^-2
          + 256/9*H(R(1,3),x)*x^-1
          + 2944/3*H(R(1,3),x)*x
          + 3920/9*H(R(1,3),x)*x^2
          + 3072/5*H(R(1,3),x)*x^3
          - 80/3*H(R(1,3,0),x)
          + 160/3*H(R(1,3,0),x)*x
          - 352/3*H(R(1,3,0),x)*x^2
          + 296/3*H(R(1,3,1),x)
          - 592/3*H(R(1,3,1),x)*x
          + 400/3*H(R(1,3,1),x)*x^2
          + 904/3*H(R(1,4),x)
          - 1808/3*H(R(1,4),x)*x
          + 1040/3*H(R(1,4),x)*x^2
          - 867496/2025*H(R(2),x)
          - 32/15*H(R(2),x)*z2*x^-2
          - 104/3*H(R(2),x)*z2*x
          + 768*H(R(2),x)*z2*x^2
          + 192/5*H(R(2),x)*z2*x^3
          + 556/3*H(R(2),x)*z2
          + 696*H(R(2),x)*z3*x
          - 2672*H(R(2),x)*z3*x^2
          - 3988/3*H(R(2),x)*z3
          - 3752/225*H(R(2),x)*x^-1
          - 5822356/2025*H(R(2),x)*x
          + 1045922/2025*H(R(2),x)*x^2
          - 1504/3*H(R(2,-2,0),x)
          + 128/3*H(R(2,-2,0),x)*x
          - 1600/3*H(R(2,-2,0),x)*x^2
          - 1102/45*H(R(2,0),x)
          + 8320/3*H(R(2,0),x)*z2*x
          + 3632/3*H(R(2,0),x)*z2*x^2
          + 1888/3*H(R(2,0),x)*z2
          - 32/15*H(R(2,0),x)*x^-1
          - 11792/45*H(R(2,0),x)*x
          - 215798/135*H(R(2,0),x)*x^2
          + 176*H(R(2,0),x)*x^3
          - 352*H(R(2,0,0),x)
          - 1560*H(R(2,0,0),x)*x
          - 7168/3*H(R(2,0,0),x)*x^2
          - 3072/5*H(R(2,0,0),x)*x^3
          - 344/3*H(R(2,0,0,0),x)
          - 1040*H(R(2,0,0,0),x)*x
          - 272/3*H(R(2,0,0,0),x)*x^2
          + 3494/135*H(R(2,1),x)
          + 976/3*H(R(2,1),x)*z2*x
          - 32/3*H(R(2,1),x)*z2*x^2
          - 40*H(R(2,1),x)*z2
          - 32/15*H(R(2,1),x)*x^-1
          - 66376/135*H(R(2,1),x)*x
          - 160708/135*H(R(2,1),x)*x^2
          - 508/3*H(R(2,1,0),x)
          + 3080/3*H(R(2,1,0),x)*x
          - 4952/3*H(R(2,1,0),x)*x^2
          + 808*H(R(2,1,0,0),x)
          + 6416/3*H(R(2,1,0,0),x)*x
          + 3968/3*H(R(2,1,0,0),x)*x^2
          - 1312/9*H(R(2,1,1),x)
          + 8744/9*H(R(2,1,1),x)*x
          - 14800/9*H(R(2,1,1),x)*x^2
          - 80/3*H(R(2,1,1,0),x)
          + 2368/3*H(R(2,1,1,0),x)*x
          - 976/3*H(R(2,1,1,0),x)*x^2
          + 40*H(R(2,1,1,1),x)
          + 656*H(R(2,1,1,1),x)*x
          - 160*H(R(2,1,1,1),x)*x^2
          - 104/3*H(R(2,1,2),x)
          + 2224/3*H(R(2,1,2),x)*x
          - 928/3*H(R(2,1,2),x)*x^2
          - 452/3*H(R(2,2),x)
          + 1144*H(R(2,2),x)*x
          - 5648/3*H(R(2,2),x)*x^2
          - 80/3*H(R(2,2,0),x)
          + 2368/3*H(R(2,2,0),x)*x
          - 976/3*H(R(2,2,0),x)*x^2
          + 112/3*H(R(2,2,1),x)
          + 2080/3*H(R(2,2,1),x)*x
          - 176*H(R(2,2,1),x)*x^2
          - 880*H(R(2,3),x)
          - 5632/3*H(R(2,3),x)*x
          - 1680*H(R(2,3),x)*x^2
          + 1334/45*H(R(3),x)
          - 160*H(R(3),x)*z2*x
          - 64*H(R(3),x)*z2
          + 16/15*H(R(3),x)*x^-1
          + 53336/45*H(R(3),x)*x
          - 26818/45*H(R(3),x)*x^2
          - 17328/25*H(R(3),x)*x^3
          - 244/3*H(R(3,0),x)
          + 816*H(R(3,0),x)*x
          - 19216/9*H(R(3,0),x)*x^2
          - 384/5*H(R(3,0),x)*x^3
          - 304/3*H(R(3,0,0),x)
          + 896/3*H(R(3,0,0),x)*x
          - 1184/3*H(R(3,0,0),x)*x^2
          - 356/3*H(R(3,1),x)
          + 2224/3*H(R(3,1),x)*x
          - 21008/9*H(R(3,1),x)*x^2
          - 384/5*H(R(3,1),x)*x^3
          + 24*H(R(3,1,0),x)
          + 2384/3*H(R(3,1,0),x)*x
          - 1120/3*H(R(3,1,0),x)*x^2
          + 248/3*H(R(3,1,1),x)
          + 816*H(R(3,1,1),x)*x
          - 736/3*H(R(3,1,1),x)*x^2
          + 280/3*H(R(3,2),x)
          + 2608/3*H(R(3,2),x)*x
          - 800/3*H(R(3,2),x)*x^2
          - 284/3*H(R(4),x)
          + 400*H(R(4),x)*x
          - 11296/9*H(R(4),x)*x^2
          + 192/5*H(R(4),x)*x^3
          + 472/3*H(R(4,0),x)
          + 2288/3*H(R(4,0),x)*x
          - 160*H(R(4,0),x)*x^2
          + 168*H(R(4,1),x)
          + 2608/3*H(R(4,1),x)*x
          - 544/3*H(R(4,1),x)*x^2
          + 656/3*H(R(5),x)
          + 2080/3*H(R(5),x)*x
          - 160/3*H(R(5),x)*x^2
          )

       + nf*cf^2 * (
          + 149023/600
          + 256/3*z2*z3*x
          - 832*z2*z3*x^2
          - 160*z2*z3
          - 592/45*z2*x^-1
          + 166993/45*z2*x
          + 14444/15*z2*x^2
          - 8528/25*z2*x^3
          - 4598/45*z2
          + 1844/15*z2^2*x
          - 20176/15*z2^2*x^2
          - 12672/25*z2^2*x^3
          + 1736/15*z2^2
          - 368/15*z3*x^-1
          + 267682/45*z3*x
          + 3956/15*z3*x^2
          - 352*z3*x^3
          + 11107/15*z3
          + 144*z4*x
          - 108*z4
          - 23032/3*z5*x
          + 368*z5*x^2
          - 124*z5
          - 964/75*x^-1
          + 399401/300*x
          - 115586/75*x^2
          + 1600/3*H(R(-4,0),x)
          + 4096/3*H(R(-4,0),x)*x^2
          - 32*H(R(-3),x)*z2*x
          - 2624/3*H(R(-3),x)*z2*x^2
          - 1264/3*H(R(-3),x)*z2
          - 1184/3*H(R(-3,-1,0),x)
          + 576*H(R(-3,-1,0),x)*x
          - 2176/3*H(R(-3,-1,0),x)*x^2
          + 3488/3*H(R(-3,0),x)
          - 384*H(R(-3,0),x)*x
          + 560/3*H(R(-3,0),x)*x^2
          - 768/5*H(R(-3,0),x)*x^3
          + 1888/3*H(R(-3,0,0),x)
          - 128*H(R(-3,0,0),x)*x
          + 4672/3*H(R(-3,0,0),x)*x^2
          + 224*H(R(-3,2),x)
          + 320*H(R(-3,2),x)*x
          + 512*H(R(-3,2),x)*x^2
          + 1728*H(R(-2),x)*z2*x
          + 136*H(R(-2),x)*z2*x^2
          + 1536/5*H(R(-2),x)*z2*x^3
          - 1160*H(R(-2),x)*z2
          + 320*H(R(-2),x)*z3*x
          - 352/3*H(R(-2),x)*z3*x^2
          + 96*H(R(-2),x)*z3
          - 256*H(R(-2,-2,0),x)
          + 1280/3*H(R(-2,-2,0),x)*x
          - 1280/3*H(R(-2,-2,0),x)*x^2
          - 416*H(R(-2,-1),x)*z2*x
          - 128/3*H(R(-2,-1),x)*z2*x^2
          - 208*H(R(-2,-1),x)*z2
          + 288*H(R(-2,-1,-1,0),x)
          - 448*H(R(-2,-1,-1,0),x)*x
          + 1280/3*H(R(-2,-1,-1,0),x)*x^2
          - 1072*H(R(-2,-1,0),x)
          + 1024*H(R(-2,-1,0),x)*x
          + 80*H(R(-2,-1,0),x)*x^2
          - 224*H(R(-2,-1,0,0),x)
          + 1984/3*H(R(-2,-1,0,0),x)*x
          - 640*H(R(-2,-1,0,0),x)*x^2
          + 352*H(R(-2,-1,2),x)
          + 192*H(R(-2,-1,2),x)*x
          + 256*H(R(-2,-1,2),x)*x^2
          + 39088/15*H(R(-2,0),x)
          + 640/3*H(R(-2,0),x)*z2*x
          - 192*H(R(-2,0),x)*z2*x^2
          + 160*H(R(-2,0),x)*z2
          - 64/15*H(R(-2,0),x)*x^-2
          - 64/15*H(R(-2,0),x)*x^-1
          + 29776/45*H(R(-2,0),x)*x
          - 2872/5*H(R(-2,0),x)*x^2
          - 704/5*H(R(-2,0),x)*x^3
          + 4592/3*H(R(-2,0,0),x)
          - 3040/3*H(R(-2,0,0),x)*x
          - 280/3*H(R(-2,0,0),x)*x^2
          - 768/5*H(R(-2,0,0),x)*x^3
          + 592/3*H(R(-2,0,0,0),x)
          - 608/3*H(R(-2,0,0,0),x)*x
          + 768*H(R(-2,0,0,0),x)*x^2
          + 624*H(R(-2,2),x)
          - 1216*H(R(-2,2),x)*x
          - 96*H(R(-2,2),x)*x^2
          - 1536/5*H(R(-2,2),x)*x^3
          + 32*H(R(-2,2,0),x)
          + 64*H(R(-2,2,0),x)*x
          + 128*H(R(-2,2,0),x)*x^2
          + 32*H(R(-2,2,1),x)
          + 64*H(R(-2,2,1),x)*x
          + 128*H(R(-2,2,1),x)*x^2
          - 96*H(R(-2,3),x)
          + 64*H(R(-2,3),x)*x
          + 192*H(R(-2,3),x)*x^2
          + 88/15*H(R(-1),x)*z2*x^-2
          + 128/15*H(R(-1),x)*z2*x^-1
          - 73544/15*H(R(-1),x)*z2*x
          - 8364/5*H(R(-1),x)*z2*x^2
          + 1056/5*H(R(-1),x)*z2*x^3
          - 49604/15*H(R(-1),x)*z2
          + 3712/3*H(R(-1),x)*z2^2*x
          + 12608/15*H(R(-1),x)*z2^2*x^2
          + 4672/15*H(R(-1),x)*z2^2
          + 32/5*H(R(-1),x)*z3*x^-2
          - 352*H(R(-1),x)*z3*x
          + 104*H(R(-1),x)*z3*x^2
          + 1152/5*H(R(-1),x)*z3*x^3
          - 184*H(R(-1),x)*z3
          - 640/3*H(R(-1,-3,0),x)
          - 1280/3*H(R(-1,-3,0),x)*x
          - 1664/3*H(R(-1,-3,0),x)*x^2
          - 64/3*H(R(-1,-2),x)*z2*x
          + 704/3*H(R(-1,-2),x)*z2*x^2
          - 32/3*H(R(-1,-2),x)*z2
          + 704/3*H(R(-1,-2,-1,0),x)
          + 1408/3*H(R(-1,-2,-1,0),x)*x
          + 1408/3*H(R(-1,-2,-1,0),x)*x^2
          - 848*H(R(-1,-2,0),x)
          - 2656/3*H(R(-1,-2,0),x)*x
          - 112/3*H(R(-1,-2,0),x)*x^2
          - 288*H(R(-1,-2,0,0),x)
          - 576*H(R(-1,-2,0,0),x)*x
          - 704*H(R(-1,-2,0,0),x)*x^2
          + 128*H(R(-1,-2,2),x)
          + 256*H(R(-1,-2,2),x)*x
          - 128/15*H(R(-1,-1),x)*z2*x^-2
          + 320/3*H(R(-1,-1),x)*z2*x
          - 264*H(R(-1,-1),x)*z2*x^2
          - 1536/5*H(R(-1,-1),x)*z2*x^3
          + 8*H(R(-1,-1),x)*z2
          - 800/3*H(R(-1,-1),x)*z3*x
          + 352/3*H(R(-1,-1),x)*z3*x^2
          - 400/3*H(R(-1,-1),x)*z3
          + 640/3*H(R(-1,-1,-2,0),x)
          + 1280/3*H(R(-1,-1,-2,0),x)*x
          + 1280/3*H(R(-1,-1,-2,0),x)*x^2
          + 1664/3*H(R(-1,-1,-1),x)*z2*x
          + 128/3*H(R(-1,-1,-1),x)*z2*x^2
          + 832/3*H(R(-1,-1,-1),x)*z2
          - 640/3*H(R(-1,-1,-1,-1,0),x)
          - 1280/3*H(R(-1,-1,-1,-1,0),x)*x
          - 1280/3*H(R(-1,-1,-1,-1,0),x)*x^2
          + 1040*H(R(-1,-1,-1,0),x)
          + 1216*H(R(-1,-1,-1,0),x)*x
          + 176*H(R(-1,-1,-1,0),x)*x^2
          + 192*H(R(-1,-1,-1,0,0),x)
          + 384*H(R(-1,-1,-1,0,0),x)*x
          + 640*H(R(-1,-1,-1,0,0),x)*x^2
          - 384*H(R(-1,-1,-1,2),x)
          - 768*H(R(-1,-1,-1,2),x)*x
          - 256*H(R(-1,-1,-1,2),x)*x^2
          - 7288/3*H(R(-1,-1,0),x)
          - 192*H(R(-1,-1,0),x)*z2*x
          + 192*H(R(-1,-1,0),x)*z2*x^2
          - 96*H(R(-1,-1,0),x)*z2
          + 176/45*H(R(-1,-1,0),x)*x^-2
          - 15920/9*H(R(-1,-1,0),x)*x
          + 728*H(R(-1,-1,0),x)*x^2
          + 704/5*H(R(-1,-1,0),x)*x^3
          - 984*H(R(-1,-1,0,0),x)
          + 64/15*H(R(-1,-1,0,0),x)*x^-2
          - 1072*H(R(-1,-1,0,0),x)*x
          + 280/3*H(R(-1,-1,0,0),x)*x^2
          + 768/5*H(R(-1,-1,0,0),x)*x^3
          - 320*H(R(-1,-1,0,0,0),x)
          - 640*H(R(-1,-1,0,0,0),x)*x
          - 768*H(R(-1,-1,0,0,0),x)*x^2
          + 512*H(R(-1,-1,2),x)
          + 128/15*H(R(-1,-1,2),x)*x^-2
          + 1504/3*H(R(-1,-1,2),x)*x
          + 352*H(R(-1,-1,2),x)*x^2
          + 1536/5*H(R(-1,-1,2),x)*x^3
          - 64*H(R(-1,-1,2,0),x)
          - 128*H(R(-1,-1,2,0),x)*x
          - 128*H(R(-1,-1,2,0),x)*x^2
          - 64*H(R(-1,-1,2,1),x)
          - 128*H(R(-1,-1,2,1),x)*x
          - 128*H(R(-1,-1,2,1),x)*x^2
          + 32*H(R(-1,-1,3),x)
          + 64*H(R(-1,-1,3),x)*x
          - 192*H(R(-1,-1,3),x)*x^2
          + 224536/45*H(R(-1,0),x)
          + 32/5*H(R(-1,0),x)*z2*x^-2
          - 496/3*H(R(-1,0),x)*z2*x
          + 120*H(R(-1,0),x)*z2*x^2
          + 1152/5*H(R(-1,0),x)*z2*x^3
          + 248/3*H(R(-1,0),x)*z2
          + 6112/3*H(R(-1,0),x)*z3*x
          + 4000/3*H(R(-1,0),x)*z3*x^2
          + 1904/3*H(R(-1,0),x)*z3
          - 1852/225*H(R(-1,0),x)*x^-2
          + 16/45*H(R(-1,0),x)*x^-1
          + 281416/45*H(R(-1,0),x)*x
          + 17032/15*H(R(-1,0),x)*x^2
          - 8528/25*H(R(-1,0),x)*x^3
          + 57512/15*H(R(-1,0,0),x)
          - 1280*H(R(-1,0,0),x)*z2*x
          - 1152*H(R(-1,0,0),x)*z2*x^2
          - 256*H(R(-1,0,0),x)*z2
          - 368/45*H(R(-1,0,0),x)*x^-2
          - 64/15*H(R(-1,0,0),x)*x^-1
          + 216856/45*H(R(-1,0,0),x)*x
          + 14296/15*H(R(-1,0,0),x)*x^2
          - 1472/5*H(R(-1,0,0),x)*x^3
          + 640*H(R(-1,0,0,0),x)
          - 32/15*H(R(-1,0,0,0),x)*x^-2
          + 3088/3*H(R(-1,0,0,0),x)*x
          + 608/3*H(R(-1,0,0,0),x)*x^2
          - 384/5*H(R(-1,0,0,0),x)*x^3
          - 112/3*H(R(-1,0,0,0,0),x)
          - 224/3*H(R(-1,0,0,0,0),x)*x
          + 160/3*H(R(-1,0,0,0,0),x)*x^2
          + 31384/15*H(R(-1,2),x)
          + 128*H(R(-1,2),x)*z2*x
          + 128*H(R(-1,2),x)*z2*x^2
          + 64*H(R(-1,2),x)*z2
          - 176/45*H(R(-1,2),x)*x^-2
          - 128/15*H(R(-1,2),x)*x^-1
          + 180832/45*H(R(-1,2),x)*x
          + 10184/5*H(R(-1,2),x)*x^2
          - 704/5*H(R(-1,2),x)*x^3
          + 64*H(R(-1,2,0),x)
          + 160*H(R(-1,2,0),x)*x
          + 96*H(R(-1,2,0),x)*x^2
          - 1376/3*H(R(-1,2,0,0),x)
          - 5056/3*H(R(-1,2,0,0),x)*x
          - 3904/3*H(R(-1,2,0,0),x)*x^2
          + 64*H(R(-1,2,1),x)
          + 160*H(R(-1,2,1),x)*x
          + 96*H(R(-1,2,1),x)*x^2
          - 96*H(R(-1,3),x)
          - 64/15*H(R(-1,3),x)*x^-2
          + 448/3*H(R(-1,3),x)*x
          + 64*H(R(-1,3),x)*x^2
          - 768/5*H(R(-1,3),x)*x^3
          + 32*H(R(-1,3,0),x)
          + 64*H(R(-1,3,0),x)*x
          + 64*H(R(-1,3,0),x)*x^2
          + 32*H(R(-1,3,1),x)
          + 64*H(R(-1,3,1),x)*x
          + 64*H(R(-1,3,1),x)*x^2
          + 384*H(R(-1,4),x)
          + 1536*H(R(-1,4),x)*x
          + 1280*H(R(-1,4),x)*x^2
          + 13594/225*H(R(0),x)
          + 16/3*H(R(0),x)*z2*x^-1
          + 14602/9*H(R(0),x)*z2*x
          + 13516/5*H(R(0),x)*z2*x^2
          - 1408/5*H(R(0),x)*z2*x^3
          + 1511/15*H(R(0),x)*z2
          + 6904/15*H(R(0),x)*z2^2*x
          - 448/5*H(R(0),x)*z2^2*x^2
          + 116/15*H(R(0),x)*z2^2
          - 12284/3*H(R(0),x)*z3*x
          + 2456/3*H(R(0),x)*z3*x^2
          - 4416/5*H(R(0),x)*z3*x^3
          + 300*H(R(0),x)*z3
          - 48*H(R(0),x)*z4*x
          - 24*H(R(0),x)*z4
          + 644/75*H(R(0),x)*x^-1
          + 37658/75*H(R(0),x)*x
          - 61902/25*H(R(0),x)*x^2
          - 872/9*H(R(0,0),x)
          - 540*H(R(0,0),x)*z2*x
          + 8336/3*H(R(0,0),x)*z2*x^2
          + 192*H(R(0,0),x)*z2*x^3
          + 284/3*H(R(0,0),x)*z2
          - 760*H(R(0,0),x)*z3*x
          + 3712/3*H(R(0,0),x)*z3*x^2
          + 284*H(R(0,0),x)*z3
          + 176/45*H(R(0,0),x)*x^-1
          - 36848/9*H(R(0,0),x)*x
          - 5008/3*H(R(0,0),x)*x^2
          + 8528/25*H(R(0,0),x)*x^3
          - 178/3*H(R(0,0,0),x)
          - 664/3*H(R(0,0,0),x)*z2*x
          + 2624/3*H(R(0,0,0),x)*z2*x^2
          + 524/3*H(R(0,0,0),x)*z2
          + 64/15*H(R(0,0,0),x)*x^-1
          - 74476/45*H(R(0,0,0),x)*x
          - 1128*H(R(0,0,0),x)*x^2
          + 1472/5*H(R(0,0,0),x)*x^3
          + 44/3*H(R(0,0,0,0),x)
          + 244/3*H(R(0,0,0,0),x)*x
          - 3680/3*H(R(0,0,0,0),x)*x^2
          + 768/5*H(R(0,0,0,0),x)*x^3
          - 60*H(R(0,0,0,0,0),x)
          - 184/3*H(R(0,0,0,0,0),x)*x
          - 480*H(R(0,0,0,0,0),x)*x^2
          + 32906/45*H(R(1),x)
          + 88/45*H(R(1),x)*z2*x^-2
          - 5324/9*H(R(1),x)*z2*x
          + 1376*H(R(1),x)*z2*x^2
          - 352/5*H(R(1),x)*z2*x^3
          - 2230/3*H(R(1),x)*z2
          - 1312/15*H(R(1),x)*z2^2*x
          - 2336/15*H(R(1),x)*z2^2*x^2
          + 656/15*H(R(1),x)*z2^2
          + 272/15*H(R(1),x)*z3*x^-2
          - 3088/3*H(R(1),x)*z3*x
          + 2384/3*H(R(1),x)*z3*x^2
          - 3264/5*H(R(1),x)*z3*x^3
          + 4912/3*H(R(1),x)*z3
          - 608/45*H(R(1),x)*x^-1
          + 10906/5*H(R(1),x)*x
          - 14918/5*H(R(1),x)*x^2
          + 1408/3*H(R(1,-3,0),x)
          - 2816/3*H(R(1,-3,0),x)*x
          + 2432/3*H(R(1,-3,0),x)*x^2
          + 896*H(R(1,-2),x)*z2*x
          - 640*H(R(1,-2),x)*z2*x^2
          - 448*H(R(1,-2),x)*z2
          - 128*H(R(1,-2,-1,0),x)
          + 256*H(R(1,-2,-1,0),x)*x
          - 256*H(R(1,-2,-1,0),x)*x^2
          + 2464/3*H(R(1,-2,0),x)
          + 64/15*H(R(1,-2,0),x)*x^-2
          - 2560/3*H(R(1,-2,0),x)*x
          + 1216/3*H(R(1,-2,0),x)*x^2
          - 768/5*H(R(1,-2,0),x)*x^3
          + 1472/3*H(R(1,-2,0,0),x)
          - 2944/3*H(R(1,-2,0,0),x)*x
          + 2560/3*H(R(1,-2,0,0),x)*x^2
          + 384*H(R(1,-2,2),x)
          - 768*H(R(1,-2,2),x)*x
          + 512*H(R(1,-2,2),x)*x^2
          - 239/3*H(R(1,0),x)
          - 176/15*H(R(1,0),x)*z2*x^-2
          - 4336/3*H(R(1,0),x)*z2*x
          + 7928/3*H(R(1,0),x)*z2*x^2
          + 2112/5*H(R(1,0),x)*z2*x^3
          - 1276*H(R(1,0),x)*z2
          - 5792/3*H(R(1,0),x)*z3*x
          + 4256/3*H(R(1,0),x)*z3*x^2
          + 2896/3*H(R(1,0),x)*z3
          + 3650/3*H(R(1,0),x)*x
          - 3560/3*H(R(1,0),x)*x^2
          - 1066/15*H(R(1,0,0),x)
          - 928*H(R(1,0,0),x)*z2*x
          + 864*H(R(1,0,0),x)*z2*x^2
          + 464*H(R(1,0,0),x)*z2
          + 208/15*H(R(1,0,0),x)*x^-1
          + 9316/15*H(R(1,0,0),x)*x
          - 7808/15*H(R(1,0,0),x)*x^2
          + 92/3*H(R(1,0,0,0),x)
          - 32/15*H(R(1,0,0,0),x)*x^-2
          + 1952/3*H(R(1,0,0,0),x)*x
          - 1024*H(R(1,0,0,0),x)*x^2
          + 384/5*H(R(1,0,0,0),x)*x^3
          - 832/3*H(R(1,0,0,0,0),x)
          + 1664/3*H(R(1,0,0,0,0),x)*x
          - 1280/3*H(R(1,0,0,0,0),x)*x^2
          - 55/3*H(R(1,1),x)
          - 832*H(R(1,1),x)*z2*x
          + 3520/3*H(R(1,1),x)*z2*x^2
          - 124/3*H(R(1,1),x)*z2
          - 5440/3*H(R(1,1),x)*z3*x
          + 3520/3*H(R(1,1),x)*z3*x^2
          + 2720/3*H(R(1,1),x)*z3
          + 4198/3*H(R(1,1),x)*x
          - 4348/3*H(R(1,1),x)*x^2
          + 1024/3*H(R(1,1,-2,0),x)
          - 2048/3*H(R(1,1,-2,0),x)*x
          + 1280/3*H(R(1,1,-2,0),x)*x^2
          - 482*H(R(1,1,0),x)
          - 256/3*H(R(1,1,0),x)*z2*x
          + 1024/3*H(R(1,1,0),x)*z2*x^2
          + 128/3*H(R(1,1,0),x)*z2
          + 4564/3*H(R(1,1,0),x)*x
          - 3268/3*H(R(1,1,0),x)*x^2
          - 1604*H(R(1,1,0,0),x)
          - 208/15*H(R(1,1,0,0),x)*x^-2
          + 1792/3*H(R(1,1,0,0),x)*x
          + 760/3*H(R(1,1,0,0),x)*x^2
          + 2496/5*H(R(1,1,0,0),x)*x^3
          - 656/3*H(R(1,1,0,0,0),x)
          + 1312/3*H(R(1,1,0,0,0),x)*x
          - 928/3*H(R(1,1,0,0,0),x)*x^2
          - 522*H(R(1,1,1),x)
          - 544*H(R(1,1,1),x)*z2*x
          + 544*H(R(1,1,1),x)*z2*x^2
          + 272*H(R(1,1,1),x)*z2
          + 4948/3*H(R(1,1,1),x)*x
          - 1212*H(R(1,1,1),x)*x^2
          - 1516/3*H(R(1,1,1,0),x)
          + 1488*H(R(1,1,1,0),x)*x
          - 3800/3*H(R(1,1,1,0),x)*x^2
          - 656*H(R(1,1,1,0,0),x)
          + 1312*H(R(1,1,1,0,0),x)*x
          - 928*H(R(1,1,1,0,0),x)*x^2
          - 1588/3*H(R(1,1,1,1),x)
          + 4688/3*H(R(1,1,1,1),x)*x
          - 4096/3*H(R(1,1,1,1),x)*x^2
          - 1072/3*H(R(1,1,1,1,0),x)
          + 2144/3*H(R(1,1,1,1,0),x)*x
          - 2144/3*H(R(1,1,1,1,0),x)*x^2
          - 400*H(R(1,1,1,1,1),x)
          + 800*H(R(1,1,1,1,1),x)*x
          - 800*H(R(1,1,1,1,1),x)*x^2
          - 1136/3*H(R(1,1,1,2),x)
          + 2272/3*H(R(1,1,1,2),x)*x
          - 2272/3*H(R(1,1,1,2),x)*x^2
          - 1436/3*H(R(1,1,2),x)
          + 1440*H(R(1,1,2),x)*x
          - 3784/3*H(R(1,1,2),x)*x^2
          - 1024/3*H(R(1,1,2,0),x)
          + 2048/3*H(R(1,1,2,0),x)*x
          - 2048/3*H(R(1,1,2,0),x)*x^2
          - 1328/3*H(R(1,1,2,1),x)
          + 2656/3*H(R(1,1,2,1),x)*x
          - 2656/3*H(R(1,1,2,1),x)*x^2
          + 64/3*H(R(1,1,3),x)
          - 128/3*H(R(1,1,3),x)*x
          - 1024/3*H(R(1,1,3),x)*x^2
          - 1414/3*H(R(1,2),x)
          - 1888/3*H(R(1,2),x)*z2*x
          + 1888/3*H(R(1,2),x)*z2*x^2
          + 944/3*H(R(1,2),x)*z2
          + 1476*H(R(1,2),x)*x
          - 1012*H(R(1,2),x)*x^2
          - 1472/3*H(R(1,2,0),x)
          + 4256/3*H(R(1,2,0),x)*x
          - 1184*H(R(1,2,0),x)*x^2
          - 1312/3*H(R(1,2,0,0),x)
          + 2624/3*H(R(1,2,0,0),x)*x
          - 2048/3*H(R(1,2,0,0),x)*x^2
          - 1652/3*H(R(1,2,1),x)
          + 4928/3*H(R(1,2,1),x)*x
          - 1408*H(R(1,2,1),x)*x^2
          - 1184/3*H(R(1,2,1,0),x)
          + 2368/3*H(R(1,2,1,0),x)*x
          - 2368/3*H(R(1,2,1,0),x)*x^2
          - 1408/3*H(R(1,2,1,1),x)
          + 2816/3*H(R(1,2,1,1),x)*x
          - 2816/3*H(R(1,2,1,1),x)*x^2
          - 432*H(R(1,2,2),x)
          + 864*H(R(1,2,2),x)*x
          - 864*H(R(1,2,2),x)*x^2
          + 3788/3*H(R(1,3),x)
          + 208/15*H(R(1,3),x)*x^-2
          + 4384/3*H(R(1,3),x)*x
          - 7376/3*H(R(1,3),x)*x^2
          - 2496/5*H(R(1,3),x)*x^3
          - 1168/3*H(R(1,3,0),x)
          + 2336/3*H(R(1,3,0),x)*x
          - 2336/3*H(R(1,3,0),x)*x^2
          - 496*H(R(1,3,1),x)
          + 992*H(R(1,3,1),x)*x
          - 992*H(R(1,3,1),x)*x^2
          - 336*H(R(1,4),x)
          + 672*H(R(1,4),x)*x
          - 736*H(R(1,4),x)*x^2
          + 4598/45*H(R(2),x)
          - 1576*H(R(2),x)*z2*x
          + 3904/3*H(R(2),x)*z2*x^2
          - 700/3*H(R(2),x)*z2
          - 160/3*H(R(2),x)*z3*x
          + 6976/3*H(R(2),x)*z3*x^2
          + 3152/3*H(R(2),x)*z3
          + 608/45*H(R(2),x)*x^-1
          + 38141/15*H(R(2),x)*x
          - 14444/15*H(R(2),x)*x^2
          + 384*H(R(2,-2,0),x)
          - 128*H(R(2,-2,0),x)*x
          + 1280/3*H(R(2,-2,0),x)*x^2
          - 464/3*H(R(2,0),x)
          - 7856/3*H(R(2,0),x)*z2*x
          - 800*H(R(2,0),x)*z2*x^2
          - 376*H(R(2,0),x)*z2
          + 1592*H(R(2,0),x)*x
          - 3268/3*H(R(2,0),x)*x^2
          + 140/3*H(R(2,0,0),x)
          + 2184*H(R(2,0,0),x)*x
          + 760/3*H(R(2,0,0),x)*x^2
          + 2496/5*H(R(2,0,0),x)*x^3
          - 344/3*H(R(2,0,0,0),x)
          + 2480/3*H(R(2,0,0,0),x)*x
          - 928/3*H(R(2,0,0,0),x)*x^2
          - 628/3*H(R(2,1),x)
          - 784*H(R(2,1),x)*z2*x
          + 544*H(R(2,1),x)*z2*x^2
          + 376/3*H(R(2,1),x)*z2
          + 5272/3*H(R(2,1),x)*x
          - 1212*H(R(2,1),x)*x^2
          - 964/3*H(R(2,1,0),x)
          + 1032*H(R(2,1,0),x)*x
          - 3800/3*H(R(2,1,0),x)*x^2
          - 2392/3*H(R(2,1,0,0),x)
          - 3152/3*H(R(2,1,0,0),x)*x
          - 6208/3*H(R(2,1,0,0),x)*x^2
          - 364*H(R(2,1,1),x)
          + 3488/3*H(R(2,1,1),x)*x
          - 4096/3*H(R(2,1,1),x)*x^2
          - 808/3*H(R(2,1,1,0),x)
          + 1552/3*H(R(2,1,1,0),x)*x
          - 2176/3*H(R(2,1,1,0),x)*x^2
          - 904/3*H(R(2,1,1,1),x)
          + 1808/3*H(R(2,1,1,1),x)*x
          - 800*H(R(2,1,1,1),x)*x^2
          - 808/3*H(R(2,1,2),x)
          + 560*H(R(2,1,2),x)*x
          - 2272/3*H(R(2,1,2),x)*x^2
          - 908/3*H(R(2,2),x)
          + 1064*H(R(2,2),x)*x
          - 3784/3*H(R(2,2),x)*x^2
          - 704/3*H(R(2,2,0),x)
          + 448*H(R(2,2,0),x)*x
          - 2048/3*H(R(2,2,0),x)*x^2
          - 968/3*H(R(2,2,1),x)
          + 1936/3*H(R(2,2,1),x)*x
          - 2624/3*H(R(2,2,1),x)*x^2
          + 440*H(R(2,3),x)
          + 7024/3*H(R(2,3),x)*x
          + 800*H(R(2,3),x)*x^2
          - 1511/15*H(R(3),x)
          - 2368/3*H(R(3),x)*z2*x
          + 1504/3*H(R(3),x)*z2*x^2
          + 160/3*H(R(3),x)*z2
          - 48/5*H(R(3),x)*x^-1
          - 43234/45*H(R(3),x)*x
          - 13516/5*H(R(3),x)*x^2
          + 704/5*H(R(3),x)*x^3
          - 532/3*H(R(3,0),x)
          + 1880/3*H(R(3,0),x)*x
          - 1280*H(R(3,0),x)*x^2
          - 224/3*H(R(3,0,0),x)
          + 1472/3*H(R(3,0,0),x)*x
          - 1568/3*H(R(3,0,0),x)*x^2
          - 248*H(R(3,1),x)
          + 2536/3*H(R(3,1),x)*x
          - 1504*H(R(3,1),x)*x^2
          - 704/3*H(R(3,1,0),x)
          + 1408/3*H(R(3,1,0),x)*x
          - 800*H(R(3,1,0),x)*x^2
          - 872/3*H(R(3,1,1),x)
          + 1744/3*H(R(3,1,1),x)*x
          - 2816/3*H(R(3,1,1),x)*x^2
          - 752/3*H(R(3,2),x)
          + 1504/3*H(R(3,2),x)*x
          - 864*H(R(3,2),x)*x^2
          - 284/3*H(R(4),x)
          + 156*H(R(4),x)*x
          - 8336/3*H(R(4),x)*x^2
          - 1728/5*H(R(4),x)*x^3
          - 608/3*H(R(4,0),x)
          + 1024/3*H(R(4,0),x)*x
          - 2528/3*H(R(4,0),x)*x^2
          - 808/3*H(R(4,1),x)
          + 1424/3*H(R(4,1),x)*x
          - 3136/3*H(R(4,1),x)*x^2
          - 524/3*H(R(5),x)
          + 664/3*H(R(5),x)*x
          - 2624/3*H(R(5),x)*x^2
          )

       + nf*ca^2 * (
          + 271171/486
          + 1448*z2*z3*x
          - 688/3*z2*z3*x^2
          + 644/3*z2*z3
          + 80588/405*z2*x^-1
          - 3029684/405*z2*x
          + 2479774/405*z2*x^2
          + 228/5*z2*x^3
          - 1628/3*z2
          + 4544/45*z2^2*x^-1
          + 37108/45*z2^2*x
          - 2272/3*z2^2*x^2
          - 5184/25*z2^2*x^3
          + 958/15*z2^2
          + 1904/27*z3*x^-1
          - 30292/9*z3*x
          + 82799/15*z3*x^2
          + 60*z3*x^3
          - 5302/15*z3
          - 32*z4*x^-1
          - 96*z4*x
          + 248*z4*x^2
          - 84*z4
          - 1624*z5*x
          - 1744/3*z5*x^2
          - 2612/3*z5
          - 5017249/3645*x^-1
          + 2812798/243*x
          - 79819747/7290*x^2
          - 328/3*H(R(-4,0),x)
          + 400/3*H(R(-4,0),x)*x
          + 256/3*H(R(-4,0),x)*x^2
          - 280/3*H(R(-3),x)*z2*x
          - 192*H(R(-3),x)*z2*x^2
          + 92/3*H(R(-3),x)*z2
          - 104*H(R(-3,-1,0),x)
          + 1520/3*H(R(-3,-1,0),x)*x
          - 640/3*H(R(-3,-1,0),x)*x^2
          + 384*H(R(-3,0),x)
          + 8456/9*H(R(-3,0),x)*x^2
          - 384/5*H(R(-3,0),x)*x^3
          - 272/3*H(R(-3,0,0),x)
          + 208/3*H(R(-3,0,0),x)*x
          + 448/3*H(R(-3,0,0),x)*x^2
          - 248/3*H(R(-3,2),x)
          + 1040/3*H(R(-3,2),x)*x
          + 256/3*H(R(-3,2),x)*x^2
          + 64*H(R(-2),x)*z2*x^-1
          + 2552/3*H(R(-2),x)*z2*x
          - 3676/3*H(R(-2),x)*z2*x^2
          + 768/5*H(R(-2),x)*z2*x^3
          - 160/3*H(R(-2),x)*z2
          + 1016/3*H(R(-2),x)*z3*x
          - 112/3*H(R(-2),x)*z3*x^2
          + 676/3*H(R(-2),x)*z3
          - 184/3*H(R(-2,-2,0),x)
          + 1712/3*H(R(-2,-2,0),x)*x
          - 32/3*H(R(-2,-2,0),x)*x^2
          - 640*H(R(-2,-1),x)*z2*x
          - 256/3*H(R(-2,-1),x)*z2*x^2
          - 288*H(R(-2,-1),x)*z2
          + 16*H(R(-2,-1,-1,0),x)
          - 800*H(R(-2,-1,-1,0),x)*x
          - 64*H(R(-2,-1,-1,0),x)*x^2
          - 352/3*H(R(-2,-1,0),x)
          + 128/3*H(R(-2,-1,0),x)*x^-1
          + 2176/3*H(R(-2,-1,0),x)*x
          - 1208/3*H(R(-2,-1,0),x)*x^2
          + 172/3*H(R(-2,-1,0,0),x)
          + 1864/3*H(R(-2,-1,0,0),x)*x
          - 368/3*H(R(-2,-1,0,0),x)*x^2
          + 296*H(R(-2,-1,2),x)
          + 240*H(R(-2,-1,2),x)*x
          + 160/3*H(R(-2,-1,2),x)*x^2
          - 812/5*H(R(-2,0),x)
          - 272*H(R(-2,0),x)*z2*x
          - 496/3*H(R(-2,0),x)*z2*x^2
          + 824/3*H(R(-2,0),x)*z2
          + 1984/45*H(R(-2,0),x)*x^-1
          + 2992/5*H(R(-2,0),x)*x
          + 19118/135*H(R(-2,0),x)*x^2
          + 24*H(R(-2,0),x)*x^3
          + 824/3*H(R(-2,0,0),x)
          - 256/3*H(R(-2,0,0),x)*x^-1
          - 644/3*H(R(-2,0,0),x)*x
          + 14092/9*H(R(-2,0,0),x)*x^2
          - 384/5*H(R(-2,0,0),x)*x^3
          - 440/3*H(R(-2,0,0,0),x)
          + 432*H(R(-2,0,0,0),x)*x
          + 512/3*H(R(-2,0,0,0),x)*x^2
          - 16/3*H(R(-2,2),x)
          - 128/3*H(R(-2,2),x)*x^-1
          - 488*H(R(-2,2),x)*x
          + 1024*H(R(-2,2),x)*x^2
          - 768/5*H(R(-2,2),x)*x^3
          - 24*H(R(-2,2,0),x)
          + 304*H(R(-2,2,0),x)*x
          + 416/3*H(R(-2,2,0),x)*x^2
          - 32/3*H(R(-2,2,1),x)
          + 1088/3*H(R(-2,2,1),x)*x
          + 512/3*H(R(-2,2,1),x)*x^2
          - 644/3*H(R(-2,3),x)
          + 1640/3*H(R(-2,3),x)*x
          + 784/3*H(R(-2,3),x)*x^2
          - H(R(-1),x)*z2*x^-2
          + 42976/135*H(R(-1),x)*z2*x^-1
          - 15512/15*H(R(-1),x)*z2*x
          - 105449/135*H(R(-1),x)*z2*x^2
          - 36*H(R(-1),x)*z2*x^3
          - 8836/45*H(R(-1),x)*z2
          + 3664/15*H(R(-1),x)*z2^2*x
          + 2968/15*H(R(-1),x)*z2^2*x^2
          + 136/3*H(R(-1),x)*z2^2
          + 16/5*H(R(-1),x)*z3*x^-2
          + 48*H(R(-1),x)*z3*x^-1
          + 772/3*H(R(-1),x)*z3*x
          - 532*H(R(-1),x)*z3*x^2
          + 576/5*H(R(-1),x)*z3*x^3
          + 2120/3*H(R(-1),x)*z3
          + 48*H(R(-1,-3,0),x)
          + 96*H(R(-1,-3,0),x)*x
          - 64*H(R(-1,-3,0),x)*x^2
          - 2144/3*H(R(-1,-2),x)*z2*x
          - 704/3*H(R(-1,-2),x)*z2*x^2
          - 1072/3*H(R(-1,-2),x)*z2
          - 512/3*H(R(-1,-2,-1,0),x)
          - 1024/3*H(R(-1,-2,-1,0),x)*x
          - 448/3*H(R(-1,-2,-1,0),x)*x^2
          - 112/3*H(R(-1,-2,0),x)
          + 448/9*H(R(-1,-2,0),x)*x^-1
          + 472/3*H(R(-1,-2,0),x)*x
          + 1504/9*H(R(-1,-2,0),x)*x^2
          + 808/3*H(R(-1,-2,0,0),x)
          + 1616/3*H(R(-1,-2,0,0),x)*x
          + 368/3*H(R(-1,-2,0,0),x)*x^2
          + 272*H(R(-1,-2,2),x)
          + 544*H(R(-1,-2,2),x)*x
          + 160*H(R(-1,-2,2),x)*x^2
          - 64/15*H(R(-1,-1),x)*z2*x^-2
          - 896/9*H(R(-1,-1),x)*z2*x^-1
          - 2192/3*H(R(-1,-1),x)*z2*x
          + 1876/9*H(R(-1,-1),x)*z2*x^2
          - 768/5*H(R(-1,-1),x)*z2*x^3
          - 936*H(R(-1,-1),x)*z2
          - 2912/3*H(R(-1,-1),x)*z3*x
          - 1040/3*H(R(-1,-1),x)*z3*x^2
          - 1456/3*H(R(-1,-1),x)*z3
          - 512/3*H(R(-1,-1,-2,0),x)
          - 1024/3*H(R(-1,-1,-2,0),x)*x
          - 448/3*H(R(-1,-1,-2,0),x)*x^2
          + 1328*H(R(-1,-1,-1),x)*z2*x
          + 592*H(R(-1,-1,-1),x)*z2*x^2
          + 664*H(R(-1,-1,-1),x)*z2
          + 208*H(R(-1,-1,-1,-1,0),x)
          + 416*H(R(-1,-1,-1,-1,0),x)*x
          + 224*H(R(-1,-1,-1,-1,0),x)*x^2
          + 80*H(R(-1,-1,-1,0),x)
          - 512/9*H(R(-1,-1,-1,0),x)*x^-1
          - 304*H(R(-1,-1,-1,0),x)*x
          - 3416/9*H(R(-1,-1,-1,0),x)*x^2
          - 1600/3*H(R(-1,-1,-1,0,0),x)
          - 3200/3*H(R(-1,-1,-1,0,0),x)*x
          - 1184/3*H(R(-1,-1,-1,0,0),x)*x^2
          - 560*H(R(-1,-1,-1,2),x)
          - 1120*H(R(-1,-1,-1,2),x)*x
          - 480*H(R(-1,-1,-1,2),x)*x^2
          - 3464/9*H(R(-1,-1,0),x)
          - 672*H(R(-1,-1,0),x)*z2*x
          - 32*H(R(-1,-1,0),x)*z2*x^2
          - 336*H(R(-1,-1,0),x)*z2
          - 2/3*H(R(-1,-1,0),x)*x^-2
          + 3584/27*H(R(-1,-1,0),x)*x^-1
          - 256/3*H(R(-1,-1,0),x)*x
          + 5618/27*H(R(-1,-1,0),x)*x^2
          - 24*H(R(-1,-1,0),x)*x^3
          + 528*H(R(-1,-1,0,0),x)
          + 32/15*H(R(-1,-1,0,0),x)*x^-2
          + 256/3*H(R(-1,-1,0,0),x)*x^-1
          + 580/3*H(R(-1,-1,0,0),x)*x
          - 1412/3*H(R(-1,-1,0,0),x)*x^2
          + 384/5*H(R(-1,-1,0,0),x)*x^3
          + 80*H(R(-1,-1,0,0,0),x)
          + 160*H(R(-1,-1,0,0,0),x)*x
          - 224*H(R(-1,-1,0,0,0),x)*x^2
          + 976*H(R(-1,-1,2),x)
          + 64/15*H(R(-1,-1,2),x)*x^-2
          + 640/9*H(R(-1,-1,2),x)*x^-1
          + 1736/3*H(R(-1,-1,2),x)*x
          - 3584/9*H(R(-1,-1,2),x)*x^2
          + 768/5*H(R(-1,-1,2),x)*x^3
          - 80*H(R(-1,-1,2,0),x)
          - 160*H(R(-1,-1,2,0),x)*x
          - 224*H(R(-1,-1,2,0),x)*x^2
          - 256/3*H(R(-1,-1,2,1),x)
          - 512/3*H(R(-1,-1,2,1),x)*x
          - 704/3*H(R(-1,-1,2,1),x)*x^2
          + 536/3*H(R(-1,-1,3),x)
          + 1072/3*H(R(-1,-1,3),x)*x
          - 368/3*H(R(-1,-1,3),x)*x^2
          + 487361/405*H(R(-1,0),x)
          + 16/5*H(R(-1,0),x)*z2*x^-2
          - 224/9*H(R(-1,0),x)*z2*x^-1
          - 424*H(R(-1,0),x)*z2*x
          - 12164/9*H(R(-1,0),x)*z2*x^2
          + 576/5*H(R(-1,0),x)*z2*x^3
          + 748*H(R(-1,0),x)*z2
          + 1904/3*H(R(-1,0),x)*z3*x
          + 608/3*H(R(-1,0),x)*z3*x^2
          + 664/3*H(R(-1,0),x)*z3
          + 19/15*H(R(-1,0),x)*x^-2
          + 15646/45*H(R(-1,0),x)*x^-1
          + 740146/405*H(R(-1,0),x)*x
          + 487654/405*H(R(-1,0),x)*x^2
          + 228/5*H(R(-1,0),x)*x^3
          - 5516/135*H(R(-1,0,0),x)
          - 320*H(R(-1,0,0),x)*z2*x
          - 544*H(R(-1,0,0),x)*z2*x^2
          - 64*H(R(-1,0,0),x)*z2
          + 2/3*H(R(-1,0,0),x)*x^-2
          - 67088/135*H(R(-1,0,0),x)*x^-1
          + 148964/135*H(R(-1,0,0),x)*x
          + 44954/45*H(R(-1,0,0),x)*x^2
          + 24*H(R(-1,0,0),x)*x^3
          - 1964/9*H(R(-1,0,0,0),x)
          - 16/15*H(R(-1,0,0,0),x)*x^-2
          + 224/3*H(R(-1,0,0,0),x)*x^-1
          + 9248/9*H(R(-1,0,0,0),x)*x
          + 13784/9*H(R(-1,0,0,0),x)*x^2
          - 192/5*H(R(-1,0,0,0),x)*x^3
          + 32/3*H(R(-1,0,0,0,0),x)
          + 64/3*H(R(-1,0,0,0,0),x)*x
          + 544/3*H(R(-1,0,0,0,0),x)*x^2
          + 176/45*H(R(-1,2),x)
          - 48*H(R(-1,2),x)*z2*x
          - 16*H(R(-1,2),x)*z2*x^2
          - 24*H(R(-1,2),x)*z2
          + 2/3*H(R(-1,2),x)*x^-2
          - 34016/135*H(R(-1,2),x)*x^-1
          + 14872/15*H(R(-1,2),x)*x
          + 119494/135*H(R(-1,2),x)*x^2
          + 24*H(R(-1,2),x)*x^3
          - 16*H(R(-1,2,0),x)
          + 128/3*H(R(-1,2,0),x)*x^-1
          + 1384/3*H(R(-1,2,0),x)*x
          + 1744/3*H(R(-1,2,0),x)*x^2
          - 80*H(R(-1,2,0,0),x)
          - 352*H(R(-1,2,0,0),x)*x
          - 256*H(R(-1,2,0,0),x)*x^2
          + 8*H(R(-1,2,1),x)
          + 512/9*H(R(-1,2,1),x)*x^-1
          + 528*H(R(-1,2,1),x)*x
          + 5744/9*H(R(-1,2,1),x)*x^2
          + 112/3*H(R(-1,2,1,0),x)
          + 224/3*H(R(-1,2,1,0),x)*x
          + 224/3*H(R(-1,2,1,0),x)*x^2
          + 32/3*H(R(-1,2,1,1),x)
          + 64/3*H(R(-1,2,1,1),x)*x
          + 64/3*H(R(-1,2,1,1),x)*x^2
          + 80/3*H(R(-1,2,2),x)
          + 160/3*H(R(-1,2,2),x)*x
          + 160/3*H(R(-1,2,2),x)*x^2
          - 1796/3*H(R(-1,3),x)
          - 32/15*H(R(-1,3),x)*x^-2
          + 128/3*H(R(-1,3),x)*x^-1
          + 628*H(R(-1,3),x)*x
          + 4376/3*H(R(-1,3),x)*x^2
          - 384/5*H(R(-1,3),x)*x^3
          + 112*H(R(-1,3,0),x)
          + 224*H(R(-1,3,0),x)*x
          + 256*H(R(-1,3,0),x)*x^2
          + 400/3*H(R(-1,3,1),x)
          + 800/3*H(R(-1,3,1),x)*x
          + 896/3*H(R(-1,3,1),x)*x^2
          + 440/3*H(R(-1,4),x)
          + 1456/3*H(R(-1,4),x)*x
          + 1840/3*H(R(-1,4),x)*x^2
          - 3220177/1215*H(R(0),x)
          + 2128/45*H(R(0),x)*z2*x^-1
          - 242624/45*H(R(0),x)*z2*x
          + 881432/135*H(R(0),x)*z2*x^2
          + 48*H(R(0),x)*z2*x^3
          + 33848/45*H(R(0),x)*z2
          + 2224/3*H(R(0),x)*z2^2*x
          - 1552/15*H(R(0),x)*z2^2*x^2
          - 784/15*H(R(0),x)*z2^2
          - 128/9*H(R(0),x)*z3*x^-1
          - 53144/9*H(R(0),x)*z3*x
          + 19496/9*H(R(0),x)*z3*x^2
          - 384*H(R(0),x)*z3*x^3
          - 416/9*H(R(0),x)*z3
          - 192*H(R(0),x)*z4*x
          - 48*H(R(0),x)*z4*x^2
          - 72*H(R(0),x)*z4
          - 195577/1215*H(R(0),x)*x^-1
          + 13320758/1215*H(R(0),x)*x
          - 13259914/1215*H(R(0),x)*x^2
          + 423067/405*H(R(0,0),x)
          - 12932/3*H(R(0,0),x)*z2*x
          + 14704/9*H(R(0,0),x)*z2*x^2
          + 192/5*H(R(0,0),x)*z2*x^3
          - 32*H(R(0,0),x)*z2
          - 4432/3*H(R(0,0),x)*z3*x
          - 1136/3*H(R(0,0),x)*z3
          - 14/5*H(R(0,0),x)*x^-1
          + 1068164/135*H(R(0,0),x)*x
          - 689798/135*H(R(0,0),x)*x^2
          - 228/5*H(R(0,0),x)*x^3
          - 32618/27*H(R(0,0,0),x)
          - 1312*H(R(0,0,0),x)*z2*x
          + 192*H(R(0,0,0),x)*z2*x^2
          + 56*H(R(0,0,0),x)*z2
          + 32/15*H(R(0,0,0),x)*x^-1
          + 743056/135*H(R(0,0,0),x)*x
          - 152792/27*H(R(0,0,0),x)*x^2
          - 24*H(R(0,0,0),x)*x^3
          + 1436/9*H(R(0,0,0,0),x)
          + 11224/3*H(R(0,0,0,0),x)*x
          - 360*H(R(0,0,0,0),x)*x^2
          + 384/5*H(R(0,0,0,0),x)*x^3
          - 240*H(R(0,0,0,0,0),x)
          + 1056*H(R(0,0,0,0,0),x)*x
          - 311806/243*H(R(1),x)
          - 1/3*H(R(1),x)*z2*x^-2
          - 3704/27*H(R(1),x)*z2*x^-1
          - 94852/27*H(R(1),x)*z2*x
          + 34045/9*H(R(1),x)*z2*x^2
          + 12*H(R(1),x)*z2*x^3
          - 2110/27*H(R(1),x)*z2
          - 32/5*H(R(1),x)*z2^2*x
          - 136/5*H(R(1),x)*z2^2*x^2
          + 16/5*H(R(1),x)*z2^2
          + 112/15*H(R(1),x)*z3*x^-2
          - 944/9*H(R(1),x)*z3*x^-1
          - 6152/3*H(R(1),x)*z3*x
          + 16340/9*H(R(1),x)*z3*x^2
          - 1344/5*H(R(1),x)*z3*x^3
          + 2444/3*H(R(1),x)*z3
          - 48*H(R(1),x)*z4*x
          + 48*H(R(1),x)*z4*x^2
          + 24*H(R(1),x)*z4
          + 306254/405*H(R(1),x)*x^-1
          + 2653214/243*H(R(1),x)*x
          - 12973432/1215*H(R(1),x)*x^2
          + 352/3*H(R(1,-3,0),x)
          - 704/3*H(R(1,-3,0),x)*x
          + 608/3*H(R(1,-3,0),x)*x^2
          + 208*H(R(1,-2),x)*z2*x
          - 112*H(R(1,-2),x)*z2*x^2
          - 104*H(R(1,-2),x)*z2
          - 16/3*H(R(1,-2,-1,0),x)
          + 32/3*H(R(1,-2,-1,0),x)*x
          - 224/3*H(R(1,-2,-1,0),x)*x^2
          + 336*H(R(1,-2,0),x)
          + 32/15*H(R(1,-2,0),x)*x^-2
          + 128/9*H(R(1,-2,0),x)*x^-1
          - 752/3*H(R(1,-2,0),x)*x
          + 424/9*H(R(1,-2,0),x)*x^2
          - 384/5*H(R(1,-2,0),x)*x^3
          + 96*H(R(1,-2,0,0),x)
          - 192*H(R(1,-2,0,0),x)*x
          + 160*H(R(1,-2,0,0),x)*x^2
          + 304/3*H(R(1,-2,2),x)
          - 608/3*H(R(1,-2,2),x)*x
          + 224/3*H(R(1,-2,2),x)*x^2
          + 602/27*H(R(1,0),x)
          - 64/15*H(R(1,0),x)*z2*x^-2
          - 352/3*H(R(1,0),x)*z2*x^-1
          - 11176/9*H(R(1,0),x)*z2*x
          + 16180/9*H(R(1,0),x)*z2*x^2
          + 768/5*H(R(1,0),x)*z2*x^3
          - 4468/9*H(R(1,0),x)*z2
          - 3728/3*H(R(1,0),x)*z3*x
          + 2480/3*H(R(1,0),x)*z3*x^2
          + 1864/3*H(R(1,0),x)*z3
          - 25084/81*H(R(1,0),x)*x^-1
          + 16262/3*H(R(1,0),x)*x
          - 435044/81*H(R(1,0),x)*x^2
          + 3758/27*H(R(1,0,0),x)
          - 2240/3*H(R(1,0,0),x)*z2*x
          + 1520/3*H(R(1,0,0),x)*z2*x^2
          + 1120/3*H(R(1,0,0),x)*z2
          + 136/3*H(R(1,0,0),x)*x^-1
          + 91832/27*H(R(1,0,0),x)*x
          - 100910/27*H(R(1,0,0),x)*x^2
          + 64/3*H(R(1,0,0,0),x)
          - 16/15*H(R(1,0,0,0),x)*x^-2
          + 1088/9*H(R(1,0,0,0),x)*x^-1
          + 3584/3*H(R(1,0,0,0),x)*x
          - 13256/9*H(R(1,0,0,0),x)*x^2
          + 192/5*H(R(1,0,0,0),x)*x^3
          - 688/3*H(R(1,0,0,0,0),x)
          + 1376/3*H(R(1,0,0,0,0),x)*x
          - 896/3*H(R(1,0,0,0,0),x)*x^2
          - 22454/81*H(R(1,1),x)
          - 896/9*H(R(1,1),x)*z2*x^-1
          - 11672/9*H(R(1,1),x)*z2*x
          + 13048/9*H(R(1,1),x)*z2*x^2
          + 472/9*H(R(1,1),x)*z2
          - 1312*H(R(1,1),x)*z3*x
          + 848*H(R(1,1),x)*z3*x^2
          + 656*H(R(1,1),x)*z3
          - 332*H(R(1,1),x)*x^-1
          + 507886/81*H(R(1,1),x)*x
          - 486118/81*H(R(1,1),x)*x^2
          + 144*H(R(1,1,-2,0),x)
          - 288*H(R(1,1,-2,0),x)*x
          + 160*H(R(1,1,-2,0),x)*x^2
          - 2314/27*H(R(1,1,0),x)
          - 1456/3*H(R(1,1,0),x)*z2*x
          + 1168/3*H(R(1,1,0),x)*z2*x^2
          + 728/3*H(R(1,1,0),x)*z2
          + 968/27*H(R(1,1,0),x)*x^-1
          + 100208/27*H(R(1,1,0),x)*x
          - 107626/27*H(R(1,1,0),x)*x^2
          - 5884/9*H(R(1,1,0,0),x)
          - 16/3*H(R(1,1,0,0),x)*x^-2
          + 896/9*H(R(1,1,0,0),x)*x^-1
          + 14156/9*H(R(1,1,0,0),x)*x
          - 12388/9*H(R(1,1,0,0),x)*x^2
          + 192*H(R(1,1,0,0),x)*x^3
          - 896/3*H(R(1,1,0,0,0),x)
          + 1792/3*H(R(1,1,0,0,0),x)*x
          - 1216/3*H(R(1,1,0,0,0),x)*x^2
          - 4300/27*H(R(1,1,1),x)
          - 1184/3*H(R(1,1,1),x)*z2*x
          + 896/3*H(R(1,1,1),x)*z2*x^2
          + 592/3*H(R(1,1,1),x)*z2
          + 2168/27*H(R(1,1,1),x)*x^-1
          + 94736/27*H(R(1,1,1),x)*x
          - 98716/27*H(R(1,1,1),x)*x^2
          - 1028/9*H(R(1,1,1,0),x)
          + 640/9*H(R(1,1,1,0),x)*x^-1
          + 10456/9*H(R(1,1,1,0),x)*x
          - 11648/9*H(R(1,1,1,0),x)*x^2
          - 784/3*H(R(1,1,1,0,0),x)
          + 1568/3*H(R(1,1,1,0,0),x)*x
          - 1184/3*H(R(1,1,1,0,0),x)*x^2
          - 860/9*H(R(1,1,1,1),x)
          + 416/9*H(R(1,1,1,1),x)*x^-1
          + 8488/9*H(R(1,1,1,1),x)*x
          - 1024*H(R(1,1,1,1),x)*x^2
          - 248/3*H(R(1,1,1,1,0),x)
          + 496/3*H(R(1,1,1,1,0),x)*x
          - 496/3*H(R(1,1,1,1,0),x)*x^2
          - 80*H(R(1,1,1,1,1),x)
          + 160*H(R(1,1,1,1,1),x)*x
          - 160*H(R(1,1,1,1,1),x)*x^2
          - 280/3*H(R(1,1,1,2),x)
          + 560/3*H(R(1,1,1,2),x)*x
          - 560/3*H(R(1,1,1,2),x)*x^2
          - 832/9*H(R(1,1,2),x)
          + 640/9*H(R(1,1,2),x)*x^-1
          + 10304/9*H(R(1,1,2),x)*x
          - 1260*H(R(1,1,2),x)*x^2
          - 344/3*H(R(1,1,2,0),x)
          + 688/3*H(R(1,1,2,0),x)*x
          - 688/3*H(R(1,1,2,0),x)*x^2
          - 304/3*H(R(1,1,2,1),x)
          + 608/3*H(R(1,1,2,1),x)*x
          - 608/3*H(R(1,1,2,1),x)*x^2
          - 256/3*H(R(1,1,3),x)
          + 512/3*H(R(1,1,3),x)*x
          - 704/3*H(R(1,1,3),x)*x^2
          - 3086/27*H(R(1,2),x)
          - 1072/3*H(R(1,2),x)*z2*x
          + 784/3*H(R(1,2),x)*z2*x^2
          + 536/3*H(R(1,2),x)*z2
          + 1912/27*H(R(1,2),x)*x^-1
          + 96004/27*H(R(1,2),x)*x
          - 99326/27*H(R(1,2),x)*x^2
          - 412/9*H(R(1,2,0),x)
          + 256/3*H(R(1,2,0),x)*x^-1
          + 9836/9*H(R(1,2,0),x)*x
          - 11432/9*H(R(1,2,0),x)*x^2
          - 488/3*H(R(1,2,0,0),x)
          + 976/3*H(R(1,2,0,0),x)*x
          - 736/3*H(R(1,2,0,0),x)*x^2
          - 520/9*H(R(1,2,1),x)
          + 64*H(R(1,2,1),x)*x^-1
          + 9440/9*H(R(1,2,1),x)*x
          - 10460/9*H(R(1,2,1),x)*x^2
          - 352/3*H(R(1,2,1,0),x)
          + 704/3*H(R(1,2,1,0),x)*x
          - 704/3*H(R(1,2,1,0),x)*x^2
          - 320/3*H(R(1,2,1,1),x)
          + 640/3*H(R(1,2,1,1),x)*x
          - 640/3*H(R(1,2,1,1),x)*x^2
          - 280/3*H(R(1,2,2),x)
          + 560/3*H(R(1,2,2),x)*x
          - 560/3*H(R(1,2,2),x)*x^2
          + 5812/9*H(R(1,3),x)
          + 16/3*H(R(1,3),x)*x^-2
          + 896/9*H(R(1,3),x)*x^-1
          + 9340/9*H(R(1,3),x)*x
          - 5072/3*H(R(1,3),x)*x^2
          - 192*H(R(1,3),x)*x^3
          - 448/3*H(R(1,3,0),x)
          + 896/3*H(R(1,3,0),x)*x
          - 800/3*H(R(1,3,0),x)*x^2
          - 584/3*H(R(1,3,1),x)
          + 1168/3*H(R(1,3,1),x)*x
          - 1072/3*H(R(1,3,1),x)*x^2
          - 872/3*H(R(1,4),x)
          + 1744/3*H(R(1,4),x)*x
          - 1312/3*H(R(1,4),x)*x^2
          + 1628/3*H(R(2),x)
          - 224/3*H(R(2),x)*z2*x^-1
          - 8528/3*H(R(2),x)*z2*x
          + 3280/3*H(R(2),x)*z2*x^2
          - 136/3*H(R(2),x)*z2
          - 3440/3*H(R(2),x)*z3*x
          + 992*H(R(2),x)*z3*x^2
          + 1240/3*H(R(2),x)*z3
          + 60226/405*H(R(2),x)*x^-1
          + 83774/9*H(R(2),x)*x
          - 2479774/405*H(R(2),x)*x^2
          + 544/3*H(R(2,-2,0),x)
          + 64/3*H(R(2,-2,0),x)*x
          + 608/3*H(R(2,-2,0),x)*x^2
          - 964/3*H(R(2,0),x)
          - 5360/3*H(R(2,0),x)*z2*x
          - 176/3*H(R(2,0),x)*z2*x^2
          - 712/3*H(R(2,0),x)*z2
          - 832/9*H(R(2,0),x)*x^-1
          + 43292/9*H(R(2,0),x)*x
          - 4906*H(R(2,0),x)*x^2
          + 72*H(R(2,0,0),x)
          + 128/3*H(R(2,0,0),x)*x^-1
          + 9628/3*H(R(2,0,0),x)*x
          - 9212/9*H(R(2,0,0),x)*x^2
          + 192*H(R(2,0,0),x)*x^3
          + 464/3*H(R(2,0,0,0),x)
          + 3616/3*H(R(2,0,0,0),x)*x
          - 352/3*H(R(2,0,0,0),x)*x^2
          - 4436/9*H(R(2,1),x)
          - 3152/3*H(R(2,1),x)*z2*x
          + 736/3*H(R(2,1),x)*z2*x^2
          - 8*H(R(2,1),x)*z2
          - 3280/27*H(R(2,1),x)*x^-1
          + 46388/9*H(R(2,1),x)*x
          - 140176/27*H(R(2,1),x)*x^2
          - 24*H(R(2,1,0),x)
          + 160/3*H(R(2,1,0),x)*x^-1
          + 2672*H(R(2,1,0),x)*x
          - 15080/9*H(R(2,1,0),x)*x^2
          - 652/3*H(R(2,1,0,0),x)
          + 440*H(R(2,1,0,0),x)*x
          - 1856/3*H(R(2,1,0,0),x)*x^2
          + 512/9*H(R(2,1,1),x)*x^-1
          + 7264/3*H(R(2,1,1),x)*x
          - 10808/9*H(R(2,1,1),x)*x^2
          - 8*H(R(2,1,1,0),x)
          + 1936/3*H(R(2,1,1,0),x)*x
          - 688/3*H(R(2,1,1,0),x)*x^2
          - 80/3*H(R(2,1,1,1),x)
          + 1408/3*H(R(2,1,1,1),x)*x
          - 192*H(R(2,1,1,1),x)*x^2
          + 1952/3*H(R(2,1,2),x)*x
          - 640/3*H(R(2,1,2),x)*x^2
          - 40/3*H(R(2,2),x)
          + 160/3*H(R(2,2),x)*x^-1
          + 2480*H(R(2,2),x)*x
          - 3884/3*H(R(2,2),x)*x^2
          + 124/3*H(R(2,2,0),x)
          + 2072/3*H(R(2,2,0),x)*x
          - 176*H(R(2,2,0),x)*x^2
          - 56/3*H(R(2,2,1),x)
          + 1840/3*H(R(2,2,1),x)*x
          - 688/3*H(R(2,2,1),x)*x^2
          + 892/3*H(R(2,3),x)
          + 1512*H(R(2,3),x)*x
          + 464/3*H(R(2,3),x)*x^2
          - 33848/45*H(R(3),x)
          - 1368*H(R(3),x)*z2*x
          + 320/3*H(R(3),x)*z2*x^2
          - 244/3*H(R(3),x)*z2
          - 16/5*H(R(3),x)*x^-1
          + 269552/45*H(R(3),x)*x
          - 881432/135*H(R(3),x)*x^2
          - 24*H(R(3),x)*x^3
          - 4*H(R(3,0),x)
          + 3316*H(R(3,0),x)*x
          - 1296*H(R(3,0),x)*x^2
          + 460/3*H(R(3,0,0),x)
          + 3544/3*H(R(3,0,0),x)*x
          - 32*H(R(3,0,0),x)*x^2
          - 100/3*H(R(3,1),x)
          + 11140/3*H(R(3,1),x)*x
          - 13540/9*H(R(3,1),x)*x^2
          + 296/3*H(R(3,1,0),x)
          + 3568/3*H(R(3,1,0),x)*x
          - 512/3*H(R(3,1,0),x)*x^2
          + 32*H(R(3,1,1),x)
          + 3200/3*H(R(3,1,1),x)*x
          - 192*H(R(3,1,1),x)*x^2
          + 88/3*H(R(3,2),x)
          + 3344/3*H(R(3,2),x)*x
          - 640/3*H(R(3,2),x)*x^2
          + 32*H(R(4),x)
          + 12932/3*H(R(4),x)*x
          - 14704/9*H(R(4),x)*x^2
          - 576/5*H(R(4),x)*x^3
          + 36*H(R(4,0),x)
          + 1256*H(R(4,0),x)*x
          - 160*H(R(4,0),x)*x^2
          + 12*H(R(4,1),x)
          + 1432*H(R(4,1),x)*x
          - 288*H(R(4,1),x)*x^2
          - 56*H(R(5),x)
          + 4336/3*H(R(5),x)*x
          - 192*H(R(5),x)*x^2
          )

       + nf^2*cf * (
          + 54984209/24300
          - 64*z2*z3*x
          + 32*z2*z3
          - 2656/135*z2*x^-1
          + 90604/405*z2*x
          - 82984/405*z2*x^2
          - 3424/75*z2*x^3
          - 282608/405*z2
          - 6752/45*z2^2*x
          - 1264/45*z2^2*x^2
          - 908/45*z2^2
          + 128/27*z3*x^-1
          + 18364/27*z3*x
          - 1112/3*z3*x^2
          + 64*z3*x^3
          - 10436/27*z3
          + 48*z5*x
          - 24*z5
          + 1100288/18225*x^-1
          - 39073417/12150*x
          + 16071037/18225*x^2
          - 160*H(R(-3,0),x)
          + 64*H(R(-3,0),x)*x
          - 128*H(R(-3,0),x)*x^2
          - 224/3*H(R(-2),x)*z2*x
          + 224/3*H(R(-2),x)*z2*x^2
          + 272/3*H(R(-2),x)*z2
          + 224/3*H(R(-2,-1,0),x)
          - 64/3*H(R(-2,-1,0),x)*x
          + 64*H(R(-2,-1,0),x)*x^2
          - 2480/9*H(R(-2,0),x)
          - 32/45*H(R(-2,0),x)*x^-2
          + 2176/9*H(R(-2,0),x)*x
          - 176/9*H(R(-2,0),x)*x^2
          - 64/5*H(R(-2,0),x)*x^3
          - 512/3*H(R(-2,0,0),x)
          + 512/3*H(R(-2,0,0),x)*x
          - 416/3*H(R(-2,0,0),x)*x^2
          - 160/3*H(R(-2,2),x)
          + 64*H(R(-2,2),x)*x
          - 128/3*H(R(-2,2),x)*x^2
          + 8/15*H(R(-1),x)*z2*x^-2
          - 32/3*H(R(-1),x)*z2*x^-1
          + 800/9*H(R(-1),x)*z2*x
          - 440/9*H(R(-1),x)*z2*x^2
          + 96/5*H(R(-1),x)*z2*x^3
          + 1384/9*H(R(-1),x)*z2
          + 224/3*H(R(-1),x)*z3*x
          + 112/3*H(R(-1),x)*z3*x^2
          + 112/3*H(R(-1),x)*z3
          + 128/3*H(R(-1,-2,0),x)
          + 256/3*H(R(-1,-2,0),x)*x
          + 128/3*H(R(-1,-2,0),x)*x^2
          - 256/3*H(R(-1,-1),x)*z2*x
          - 128/3*H(R(-1,-1),x)*z2*x^2
          - 128/3*H(R(-1,-1),x)*z2
          - 128/3*H(R(-1,-1,-1,0),x)
          - 256/3*H(R(-1,-1,-1,0),x)*x
          - 128/3*H(R(-1,-1,-1,0),x)*x^2
          + 1328/9*H(R(-1,-1,0),x)
          + 16/45*H(R(-1,-1,0),x)*x^-2
          - 64/9*H(R(-1,-1,0),x)*x^-1
          + 448/3*H(R(-1,-1,0),x)*x
          + 112/9*H(R(-1,-1,0),x)*x^2
          + 64/5*H(R(-1,-1,0),x)*x^3
          + 224/3*H(R(-1,-1,0,0),x)
          + 448/3*H(R(-1,-1,0,0),x)*x
          + 224/3*H(R(-1,-1,0,0),x)*x^2
          + 64/3*H(R(-1,-1,2),x)
          + 128/3*H(R(-1,-1,2),x)*x
          + 64/3*H(R(-1,-1,2),x)*x^2
          - 23312/45*H(R(-1,0),x)
          + 128/3*H(R(-1,0),x)*z2*x
          + 64/3*H(R(-1,0),x)*z2*x^2
          + 64/3*H(R(-1,0),x)*z2
          - 1016/675*H(R(-1,0),x)*x^-2
          - 2608/135*H(R(-1,0),x)*x^-1
          - 38176/135*H(R(-1,0),x)*x
          + 20912/135*H(R(-1,0),x)*x^2
          - 3424/75*H(R(-1,0),x)*x^3
          - 2464/9*H(R(-1,0,0),x)
          - 16/15*H(R(-1,0,0),x)*x^-2
          + 64/3*H(R(-1,0,0),x)*x^-1
          - 992/9*H(R(-1,0,0),x)*x
          + 1184/9*H(R(-1,0,0),x)*x^2
          - 192/5*H(R(-1,0,0),x)*x^3
          - 32*H(R(-1,0,0,0),x)
          - 64*H(R(-1,0,0,0),x)*x
          - 32*H(R(-1,0,0,0),x)*x^2
          - 80*H(R(-1,2),x)
          - 16/45*H(R(-1,2),x)*x^-2
          + 64/9*H(R(-1,2),x)*x^-1
          - 128/9*H(R(-1,2),x)*x
          + 496/9*H(R(-1,2),x)*x^2
          - 64/5*H(R(-1,2),x)*x^3
          - 32/3*H(R(-1,3),x)
          - 64/3*H(R(-1,3),x)*x
          - 32/3*H(R(-1,3),x)*x^2
          + 10607848/6075*H(R(0),x)
          + 5524/9*H(R(0),x)*z2*x
          - 304/3*H(R(0),x)*z2*x^2
          - 288/5*H(R(0),x)*z2*x^3
          - 4408/9*H(R(0),x)*z2
          - 112/5*H(R(0),x)*z2^2*x
          + 56/5*H(R(0),x)*z2^2
          + 3376/9*H(R(0),x)*z3*x
          - 64/3*H(R(0),x)*z3*x^2
          - 1268/9*H(R(0),x)*z3
          + 776/675*H(R(0),x)*x^-1
          - 8642522/6075*H(R(0),x)*x
          + 1049188/2025*H(R(0),x)*x^2
          + 385274/405*H(R(0,0),x)
          + 1520/3*H(R(0,0),x)*z2*x
          + 160/3*H(R(0,0),x)*z2*x^2
          - 436/3*H(R(0,0),x)*z2
          + 304/3*H(R(0,0),x)*z3*x
          - 152/3*H(R(0,0),x)*z3
          + 16/15*H(R(0,0),x)*x^-1
          - 277906/405*H(R(0,0),x)*x
          - 28088/405*H(R(0,0),x)*x^2
          + 3424/75*H(R(0,0),x)*x^3
          + 17782/27*H(R(0,0,0),x)
          + 176*H(R(0,0,0),x)*z2*x
          - 88*H(R(0,0,0),x)*z2
          - 27200/27*H(R(0,0,0),x)*x
          + 64/9*H(R(0,0,0),x)*x^2
          + 192/5*H(R(0,0,0),x)*x^3
          + 1636/9*H(R(0,0,0,0),x)
          - 7232/9*H(R(0,0,0,0),x)*x
          - 928/9*H(R(0,0,0,0),x)*x^2
          + 120*H(R(0,0,0,0,0),x)
          - 240*H(R(0,0,0,0,0),x)*x
          + 1348858/1215*H(R(1),x)
          + 8/45*H(R(1),x)*z2*x^-2
          + 32/3*H(R(1),x)*z2*x^-1
          + 216*H(R(1),x)*z2*x
          - 1544/9*H(R(1),x)*z2*x^2
          - 192/5*H(R(1),x)*z2*x^3
          - 608/9*H(R(1),x)*z2
          + 224/9*H(R(1),x)*z3*x
          - 272/9*H(R(1),x)*z3*x^2
          - 112/9*H(R(1),x)*z3
          - 13904/405*H(R(1),x)*x^-1
          - 1830218/1215*H(R(1),x)*x
          + 507692/1215*H(R(1),x)*x^2
          - 64/3*H(R(1,-2,0),x)
          + 128/3*H(R(1,-2,0),x)*x
          - 64/3*H(R(1,-2,0),x)*x^2
          + 33758/81*H(R(1,0),x)
          + 64/3*H(R(1,0),x)*z2*x
          - 160/3*H(R(1,0),x)*z2*x^2
          - 32/3*H(R(1,0),x)*z2
          + 512/27*H(R(1,0),x)*x^-1
          - 58504/81*H(R(1,0),x)*x
          + 26728/81*H(R(1,0),x)*x^2
          + 3080/27*H(R(1,0,0),x)
          - 64/9*H(R(1,0,0),x)*x^-1
          - 6472/27*H(R(1,0,0),x)*x
          + 5344/27*H(R(1,0,0),x)*x^2
          + 80/9*H(R(1,0,0,0),x)
          - 160/9*H(R(1,0,0,0),x)*x
          + 448/9*H(R(1,0,0,0),x)*x^2
          + 33766/81*H(R(1,1),x)
          - 64/3*H(R(1,1),x)*z2*x
          - 32/3*H(R(1,1),x)*z2*x^2
          + 32/3*H(R(1,1),x)*z2
          + 512/27*H(R(1,1),x)*x^-1
          - 55556/81*H(R(1,1),x)*x
          + 23384/81*H(R(1,1),x)*x^2
          + 1048/9*H(R(1,1,0),x)
          - 64/9*H(R(1,1,0),x)*x^-1
          - 1976/9*H(R(1,1,0),x)*x
          + 544/3*H(R(1,1,0),x)*x^2
          - 32*H(R(1,1,0),x)*x^3
          + 16/3*H(R(1,1,0,0),x)
          - 32/3*H(R(1,1,0,0),x)*x
          + 64/3*H(R(1,1,0,0),x)*x^2
          + 3224/27*H(R(1,1,1),x)
          - 64/9*H(R(1,1,1),x)*x^-1
          - 6184/27*H(R(1,1,1),x)*x
          + 4144/27*H(R(1,1,1),x)*x^2
          + 64/3*H(R(1,1,1,0),x)
          - 128/3*H(R(1,1,1,0),x)*x
          + 32*H(R(1,1,1,0),x)*x^2
          + 136/9*H(R(1,1,1,1),x)
          - 272/9*H(R(1,1,1,1),x)*x
          + 272/9*H(R(1,1,1,1),x)*x^2
          + 32/3*H(R(1,1,2),x)
          - 64/3*H(R(1,1,2),x)*x
          + 32*H(R(1,1,2),x)*x^2
          + 424/3*H(R(1,2),x)
          - 64/9*H(R(1,2),x)*x^-1
          - 872/3*H(R(1,2),x)*x
          + 1600/9*H(R(1,2),x)*x^2
          + 32*H(R(1,2),x)*x^3
          + 32*H(R(1,2,0),x)
          - 64*H(R(1,2,0),x)*x
          + 160/3*H(R(1,2,0),x)*x^2
          + 80/3*H(R(1,2,1),x)
          - 160/3*H(R(1,2,1),x)*x
          + 160/3*H(R(1,2,1),x)*x^2
          + 64/3*H(R(1,3),x)
          - 128/3*H(R(1,3),x)*x
          + 64*H(R(1,3),x)*x^2
          + 282608/405*H(R(2),x)
          + 32*H(R(2),x)*z2*x
          + 64/3*H(R(2),x)*z2*x^2
          + 8/3*H(R(2),x)*z2
          + 16/45*H(R(2),x)*x^-1
          - 205132/405*H(R(2),x)*x
          + 82984/405*H(R(2),x)*x^2
          + 812/3*H(R(2,0),x)
          - 400/3*H(R(2,0),x)*x
          + 1568/9*H(R(2,0),x)*x^2
          - 32*H(R(2,0),x)*x^3
          + 24*H(R(2,0,0),x)
          + 7388/27*H(R(2,1),x)
          - 3856/27*H(R(2,1),x)*x
          + 3952/27*H(R(2,1),x)*x^2
          + 104/3*H(R(2,1,0),x)
          - 64/3*H(R(2,1,0),x)*x
          + 32/3*H(R(2,1,0),x)*x^2
          + 304/9*H(R(2,1,1),x)
          - 176/9*H(R(2,1,1),x)*x
          + 80/9*H(R(2,1,1),x)*x^2
          + 104/3*H(R(2,2),x)
          - 64/3*H(R(2,2),x)*x
          + 32/3*H(R(2,2),x)*x^2
          + 4408/9*H(R(3),x)
          + 32*H(R(3),x)*z2*x
          - 16*H(R(3),x)*z2
          - 372*H(R(3),x)*x
          + 304/3*H(R(3),x)*x^2
          + 224/5*H(R(3),x)*x^3
          + 88*H(R(3,0),x)
          - 160*H(R(3,0),x)*x
          - 32/3*H(R(3,0),x)*x^2
          + 16*H(R(3,0,0),x)
          - 32*H(R(3,0,0),x)*x
          + 88*H(R(3,1),x)
          - 160*H(R(3,1),x)*x
          - 32/3*H(R(3,1),x)*x^2
          + 16*H(R(3,1,0),x)
          - 32*H(R(3,1,0),x)*x
          + 16*H(R(3,1,1),x)
          - 32*H(R(3,1,1),x)*x
          + 16*H(R(3,2),x)
          - 32*H(R(3,2),x)*x
          + 436/3*H(R(4),x)
          - 1328/3*H(R(4),x)*x
          - 160/3*H(R(4),x)*x^2
          + 48*H(R(4,0),x)
          - 96*H(R(4,0),x)*x
          + 48*H(R(4,1),x)
          - 96*H(R(4,1),x)*x
          + 88*H(R(5),x)
          - 176*H(R(5),x)*x
          )

       + nf^2*ca * (
          - 78049/1215
          + 160/27*z2*x^-1
          + 48460/81*z2*x
          - 360*z2*x^2
          - 48/5*z2*x^3
          - 100/9*z2
          - 688/45*z2^2*x
          + 104/15*z2^2*x^2
          + 56/15*z2^2
          + 64/27*z3*x^-1
          + 2768/9*z3*x
          - 2992/27*z3*x^2
          - 268/9*z3
          - 3832/3645*x^-1
          - 1441136/1215*x
          + 4708987/3645*x^2
          + 32/3*H(R(-3,0),x)
          - 32/3*H(R(-3,0),x)*x^2
          - 32/3*H(R(-2),x)*z2*x
          + 32/3*H(R(-2),x)*z2*x^2
          - 16/3*H(R(-2),x)*z2
          - 32/3*H(R(-2,-1,0),x)
          - 64/3*H(R(-2,-1,0),x)*x
          + 112/3*H(R(-2,0),x)
          + 136/9*H(R(-2,0),x)*x
          - 272/9*H(R(-2,0),x)*x^2
          + 16/3*H(R(-2,0,0),x)
          + 32/3*H(R(-2,0,0),x)*x
          - 80/3*H(R(-2,0,0),x)*x^2
          - 32/3*H(R(-2,2),x)*x^2
          - 16/3*H(R(-1),x)*z2*x^-1
          - 136/9*H(R(-1),x)*z2*x
          + 256/9*H(R(-1),x)*z2*x^2
          - 248/9*H(R(-1),x)*z2
          - 16*H(R(-1),x)*z3*x
          + 8/3*H(R(-1),x)*z3*x^2
          - 8*H(R(-1),x)*z3
          - 16*H(R(-1,-2,0),x)
          - 32*H(R(-1,-2,0),x)*x
          - 32/3*H(R(-1,-2,0),x)*x^2
          + 80/3*H(R(-1,-1),x)*z2*x
          + 16/3*H(R(-1,-1),x)*z2*x^2
          + 40/3*H(R(-1,-1),x)*z2
          + 16*H(R(-1,-1,-1,0),x)
          + 32*H(R(-1,-1,-1,0),x)*x
          + 32/3*H(R(-1,-1,-1,0),x)*x^2
          - 368/9*H(R(-1,-1,0),x)
          - 32/9*H(R(-1,-1,0),x)*x^-1
          - 496/9*H(R(-1,-1,0),x)*x
          - 32/9*H(R(-1,-1,0),x)*x^2
          - 64/3*H(R(-1,-1,0,0),x)
          - 128/3*H(R(-1,-1,0,0),x)*x
          - 16/3*H(R(-1,-1,0,0),x)*x^2
          - 16/3*H(R(-1,-1,2),x)
          - 32/3*H(R(-1,-1,2),x)*x
          + 5888/81*H(R(-1,0),x)
          + 16*H(R(-1,0),x)*z2*x
          + 80/3*H(R(-1,0),x)*z2*x^2
          + 8*H(R(-1,0),x)*z2
          - 4/15*H(R(-1,0),x)*x^-2
          + 160/27*H(R(-1,0),x)*x^-1
          + 2656/81*H(R(-1,0),x)*x
          - 5036/81*H(R(-1,0),x)*x^2
          - 48/5*H(R(-1,0),x)*x^3
          + 1192/27*H(R(-1,0,0),x)
          + 32/3*H(R(-1,0,0),x)*x^-1
          + 128/27*H(R(-1,0,0),x)*x
          - 1768/27*H(R(-1,0,0),x)*x^2
          - 112/9*H(R(-1,0,0,0),x)
          - 224/9*H(R(-1,0,0,0),x)*x
          - 368/9*H(R(-1,0,0,0),x)*x^2
          + 64/9*H(R(-1,2),x)
          + 32/9*H(R(-1,2),x)*x^-1
          - 112/9*H(R(-1,2),x)*x
          - 272/9*H(R(-1,2),x)*x^2
          - 16/3*H(R(-1,2,0),x)
          - 32/3*H(R(-1,2,0),x)*x
          - 32/3*H(R(-1,2,0),x)*x^2
          - 16/3*H(R(-1,2,1),x)
          - 32/3*H(R(-1,2,1),x)*x
          - 32/3*H(R(-1,2,1),x)*x^2
          - 32/3*H(R(-1,3),x)
          - 64/3*H(R(-1,3),x)*x
          - 80/3*H(R(-1,3),x)*x^2
          - 58412/1215*H(R(0),x)
          + 932/3*H(R(0),x)*z2*x
          - 952/9*H(R(0),x)*z2*x^2
          + 28/9*H(R(0),x)*z2
          + 704/9*H(R(0),x)*z3*x
          - 16*H(R(0),x)*z3*x^2
          - 64/9*H(R(0),x)*z3
          + 4/15*H(R(0),x)*x^-1
          - 1363772/1215*H(R(0),x)*x
          + 285488/405*H(R(0),x)*x^2
          - 1088/81*H(R(0,0),x)
          + 80*H(R(0,0),x)*z2*x
          - 32/3*H(R(0,0),x)*z2*x^2
          - 8/3*H(R(0,0),x)*z2
          - 7244/9*H(R(0,0),x)*x
          + 20348/81*H(R(0,0),x)*x^2
          + 48/5*H(R(0,0),x)*x^3
          - 532/27*H(R(0,0,0),x)
          - 10280/27*H(R(0,0,0),x)*x
          + 1880/27*H(R(0,0,0),x)*x^2
          - 8/9*H(R(0,0,0,0),x)
          - 272/3*H(R(0,0,0,0),x)*x
          + 862/243*H(R(1),x)
          + 16/3*H(R(1),x)*z2*x^-1
          + 1432/27*H(R(1),x)*z2*x
          - 904/27*H(R(1),x)*z2*x^2
          - 560/27*H(R(1),x)*z2
          - 16*H(R(1),x)*z3*x
          + 56/3*H(R(1),x)*z3*x^2
          + 8*H(R(1),x)*z3
          + 80/27*H(R(1),x)*x^-1
          - 181160/243*H(R(1),x)*x
          + 190376/243*H(R(1),x)*x^2
          + 32/3*H(R(1,-2,0),x)
          - 64/3*H(R(1,-2,0),x)*x
          + 32/3*H(R(1,-2,0),x)*x^2
          + 320/27*H(R(1,0),x)
          + 64/9*H(R(1,0),x)*z2*x
          + 80/9*H(R(1,0),x)*z2*x^2
          - 32/9*H(R(1,0),x)*z2
          - 160/27*H(R(1,0),x)*x^-1
          - 7168/27*H(R(1,0),x)*x
          + 7640/27*H(R(1,0),x)*x^2
          + 688/27*H(R(1,0,0),x)
          - 32/9*H(R(1,0,0),x)*x^-1
          - 2720/27*H(R(1,0,0),x)*x
          + 2432/27*H(R(1,0,0),x)*x^2
          + 56/3*H(R(1,0,0,0),x)
          - 112/3*H(R(1,0,0,0),x)*x
          + 64/3*H(R(1,0,0,0),x)*x^2
          + 1112/81*H(R(1,1),x)
          + 320/9*H(R(1,1),x)*z2*x
          - 176/9*H(R(1,1),x)*z2*x^2
          - 160/9*H(R(1,1),x)*z2
          - 160/27*H(R(1,1),x)*x^-1
          - 21832/81*H(R(1,1),x)*x
          + 23392/81*H(R(1,1),x)*x^2
          + 616/27*H(R(1,1,0),x)
          - 32/9*H(R(1,1,0),x)*x^-1
          - 3152/27*H(R(1,1,0),x)*x
          + 3320/27*H(R(1,1,0),x)*x^2
          + 184/9*H(R(1,1,0,0),x)
          - 368/9*H(R(1,1,0,0),x)*x
          + 320/9*H(R(1,1,0,0),x)*x^2
          + 232/27*H(R(1,1,1),x)
          - 32/9*H(R(1,1,1),x)*x^-1
          - 1808/27*H(R(1,1,1),x)*x
          + 1976/27*H(R(1,1,1),x)*x^2
          + 56/9*H(R(1,1,1,0),x)
          - 112/9*H(R(1,1,1,0),x)*x
          + 160/9*H(R(1,1,1,0),x)*x^2
          + 56/9*H(R(1,1,1,1),x)
          - 112/9*H(R(1,1,1,1),x)*x
          + 112/9*H(R(1,1,1,1),x)*x^2
          + 88/9*H(R(1,1,2),x)
          - 176/9*H(R(1,1,2),x)*x
          + 128/9*H(R(1,1,2),x)*x^2
          + 8/27*H(R(1,2),x)
          - 32/9*H(R(1,2),x)*x^-1
          - 688/27*H(R(1,2),x)*x
          + 856/27*H(R(1,2),x)*x^2
          + 40/9*H(R(1,2,0),x)
          - 80/9*H(R(1,2,0),x)*x
          + 128/9*H(R(1,2,0),x)*x^2
          - 8/9*H(R(1,2,1),x)
          + 16/9*H(R(1,2,1),x)*x
          - 16/9*H(R(1,2,1),x)*x^2
          + 8/9*H(R(1,3),x)
          - 16/9*H(R(1,3),x)*x
          - 80/9*H(R(1,3),x)*x^2
          + 100/9*H(R(2),x)
          + 32*H(R(2),x)*z2*x
          - 15268/27*H(R(2),x)*x
          + 360*H(R(2),x)*x^2
          + 8/3*H(R(2,0),x)
          - 1556/9*H(R(2,0),x)*x
          + 280/3*H(R(2,0),x)*x^2
          + 16/3*H(R(2,0,0),x)
          - 128/3*H(R(2,0,0),x)*x
          + 16*H(R(2,0,0),x)*x^2
          + 8/3*H(R(2,1),x)
          - 1576/9*H(R(2,1),x)*x
          + 280/3*H(R(2,1),x)*x^2
          + 16/3*H(R(2,1,0),x)
          - 128/3*H(R(2,1,0),x)*x
          + 64/3*H(R(2,1,0),x)*x^2
          - 32*H(R(2,1,1),x)*x
          + 32/3*H(R(2,1,1),x)*x^2
          - 16/3*H(R(2,2),x)
          - 64/3*H(R(2,2),x)*x
          - 28/9*H(R(3),x)
          - 2660/9*H(R(3),x)*x
          + 952/9*H(R(3),x)*x^2
          - 160/3*H(R(3,0),x)*x
          + 32/3*H(R(3,0),x)*x^2
          - 160/3*H(R(3,1),x)*x
          + 32/3*H(R(3,1),x)*x^2
          + 8/3*H(R(4),x)
          - 80*H(R(4),x)*x
          + 32/3*H(R(4),x)*x^2
          );

L   Xc2qqps3 =

       + nf*cf*ca * (
          + 488366/243
          + 904/3*z2*z3*x
          + 296*z2*z3
          + 75776/405*z2*x^-1
          - 240892/405*z2*x
          - 123728/405*z2*x^2
          + 16/5*z2*x^3
          - 65828/81*z2
          + 4544/45*z2^2*x^-1
          - 908/15*z2^2*x
          + 1232/15*z2^2*x^2
          - 768/25*z2^2*x^3
          + 1072/15*z2^2
          + 3952/45*z3*x^-1
          + 88132/135*z3*x
          + 57544/135*z3*x^2
          + 32*z3*x^3
          - 73232/135*z3
          - 32*z4*x^-1
          + 24*z4*x
          + 32*z4*x^2
          - 24*z4
          - 132*z5*x
          - 620*z5
          - 4852532/3645*x^-1
          - 130832/243*x
          - 510478/3645*x^2
          - 496/3*H(R(-4,0),x)
          + 112/3*H(R(-4,0),x)*x
          - 88/3*H(R(-3),x)*z2*x
          + 88/3*H(R(-3),x)*z2
          - 176/3*H(R(-3,-1,0),x)
          + 368/3*H(R(-3,-1,0),x)*x
          + 904/3*H(R(-3,0),x)
          + 8/3*H(R(-3,0),x)*x
          + 1664/9*H(R(-3,0),x)*x^2
          - 320/3*H(R(-3,0,0),x)
          + 112/3*H(R(-3,0,0),x)*x
          - 176/3*H(R(-3,2),x)
          + 272/3*H(R(-3,2),x)*x
          + 64*H(R(-2),x)*z2*x^-1
          + 860/3*H(R(-2),x)*z2*x
          - 352/3*H(R(-2),x)*z2*x^2
          - 260*H(R(-2),x)*z2
          + 128/3*H(R(-2),x)*z3*x
          - 128/3*H(R(-2),x)*z3
          - 304/3*H(R(-2,-2,0),x)
          + 304/3*H(R(-2,-2,0),x)*x
          - 96*H(R(-2,-1),x)*z2*x
          + 96*H(R(-2,-1),x)*z2
          + 352/3*H(R(-2,-1,-1,0),x)
          - 352/3*H(R(-2,-1,-1,0),x)*x
          - 184*H(R(-2,-1,0),x)
          + 128/3*H(R(-2,-1,0),x)*x^-1
          + 88*H(R(-2,-1,0),x)*x
          - 64/3*H(R(-2,-1,0),x)*x^2
          - 344/3*H(R(-2,-1,0,0),x)
          + 344/3*H(R(-2,-1,0,0),x)*x
          - 112/3*H(R(-2,-1,2),x)
          + 112/3*H(R(-2,-1,2),x)*x
          - 568*H(R(-2,0),x)
          - 208/3*H(R(-2,0),x)*z2*x
          + 208/3*H(R(-2,0),x)*z2
          + 416/9*H(R(-2,0),x)*x^-1
          + 1256/9*H(R(-2,0),x)*x
          - 5360/27*H(R(-2,0),x)*x^2
          + 64/5*H(R(-2,0),x)*x^3
          + 1136/3*H(R(-2,0,0),x)
          - 256/3*H(R(-2,0,0),x)*x^-1
          - 496/3*H(R(-2,0,0),x)*x
          + 1792/9*H(R(-2,0,0),x)*x^2
          - 320/3*H(R(-2,0,0,0),x)
          + 320/3*H(R(-2,0,0,0),x)*x
          + 168*H(R(-2,2),x)
          - 128/3*H(R(-2,2),x)*x^-1
          - 728/3*H(R(-2,2),x)*x
          + 320/3*H(R(-2,2),x)*x^2
          - 176/3*H(R(-2,2,0),x)
          + 176/3*H(R(-2,2,0),x)*x
          - 64*H(R(-2,2,1),x)
          + 64*H(R(-2,2,1),x)*x
          - 344/3*H(R(-2,3),x)
          + 344/3*H(R(-2,3),x)*x
          + 32/15*H(R(-1),x)*z2*x^-2
          + 8624/27*H(R(-1),x)*z2*x^-1
          - 1348/9*H(R(-1),x)*z2*x
          + 3656/27*H(R(-1),x)*z2*x^2
          - 96/5*H(R(-1),x)*z2*x^3
          + 116/9*H(R(-1),x)*z2
          + 16/3*H(R(-1),x)*z3*x^-1
          + 40*H(R(-1),x)*z3*x
          + 16/3*H(R(-1),x)*z3*x^2
          + 40*H(R(-1),x)*z3
          - 328/3*H(R(-1,-2,0),x)
          + 256/9*H(R(-1,-2,0),x)*x^-1
          - 328/3*H(R(-1,-2,0),x)*x
          + 256/9*H(R(-1,-2,0),x)*x^2
          - 608/9*H(R(-1,-1),x)*z2*x^-1
          - 256/3*H(R(-1,-1),x)*z2*x
          - 608/9*H(R(-1,-1),x)*z2*x^2
          - 256/3*H(R(-1,-1),x)*z2
          + 368/3*H(R(-1,-1,-1,0),x)
          - 320/9*H(R(-1,-1,-1,0),x)*x^-1
          + 368/3*H(R(-1,-1,-1,0),x)*x
          - 320/9*H(R(-1,-1,-1,0),x)*x^2
          - 1288/9*H(R(-1,-1,0),x)
          + 64/45*H(R(-1,-1,0),x)*x^-2
          + 3680/27*H(R(-1,-1,0),x)*x^-1
          - 1304/9*H(R(-1,-1,0),x)*x
          + 3248/27*H(R(-1,-1,0),x)*x^2
          - 64/5*H(R(-1,-1,0),x)*x^3
          - 76*H(R(-1,-1,0,0),x)
          + 64/3*H(R(-1,-1,0,0),x)*x^-1
          - 76*H(R(-1,-1,0,0),x)*x
          + 64/3*H(R(-1,-1,0,0),x)*x^2
          + 440/3*H(R(-1,-1,2),x)
          + 448/9*H(R(-1,-1,2),x)*x^-1
          + 440/3*H(R(-1,-1,2),x)*x
          + 448/9*H(R(-1,-1,2),x)*x^2
          + 22076/135*H(R(-1,0),x)
          - 896/9*H(R(-1,0),x)*z2*x^-1
          + 56/3*H(R(-1,0),x)*z2*x
          - 896/9*H(R(-1,0),x)*z2*x^2
          + 56/3*H(R(-1,0),x)*z2
          - 16/45*H(R(-1,0),x)*x^-2
          + 44608/135*H(R(-1,0),x)*x^-1
          - 32044/135*H(R(-1,0),x)*x
          - 9032/135*H(R(-1,0),x)*x^2
          + 16/5*H(R(-1,0),x)*x^3
          - 328*H(R(-1,0,0),x)
          - 64/45*H(R(-1,0,0),x)*x^-2
          - 13264/27*H(R(-1,0,0),x)*x^-1
          - 776/9*H(R(-1,0,0),x)*x
          - 6352/27*H(R(-1,0,0),x)*x^2
          + 64/5*H(R(-1,0,0),x)*x^3
          + 48*H(R(-1,0,0,0),x)
          + 416/3*H(R(-1,0,0,0),x)*x^-1
          + 48*H(R(-1,0,0,0),x)*x
          + 416/3*H(R(-1,0,0,0),x)*x^2
          - 760/9*H(R(-1,2),x)
          - 64/45*H(R(-1,2),x)*x^-2
          - 6784/27*H(R(-1,2),x)*x^-1
          + 232/3*H(R(-1,2),x)*x
          - 2032/27*H(R(-1,2),x)*x^2
          + 64/5*H(R(-1,2),x)*x^3
          + 8*H(R(-1,2,0),x)
          + 64*H(R(-1,2,0),x)*x^-1
          + 8*H(R(-1,2,0),x)*x
          + 64*H(R(-1,2,0),x)*x^2
          + 64/3*H(R(-1,2,1),x)
          + 704/9*H(R(-1,2,1),x)*x^-1
          + 64/3*H(R(-1,2,1),x)*x
          + 704/9*H(R(-1,2,1),x)*x^2
          - 76*H(R(-1,3),x)
          + 320/3*H(R(-1,3),x)*x^-1
          - 76*H(R(-1,3),x)*x
          + 320/3*H(R(-1,3),x)*x^2
          - 1630676/1215*H(R(0),x)
          + 1888/45*H(R(0),x)*z2*x^-1
          + 32348/135*H(R(0),x)*z2*x
          + 91736/135*H(R(0),x)*z2*x^2
          + 128/5*H(R(0),x)*z2*x^3
          + 101852/135*H(R(0),x)*z2
          + 1832/15*H(R(0),x)*z2^2*x
          - 56*H(R(0),x)*z2^2
          - 128/9*H(R(0),x)*z3*x^-1
          - 6920/9*H(R(0),x)*z3*x
          + 3488/9*H(R(0),x)*z3*x^2
          - 192/5*H(R(0),x)*z3*x^3
          - 320/9*H(R(0),x)*z3
          - 48*H(R(0),x)*z4*x
          - 48*H(R(0),x)*z4
          - 198736/1215*H(R(0),x)*x^-1
          + 847354/1215*H(R(0),x)*x
          - 1199092/1215*H(R(0),x)*x^2
          + 801616/405*H(R(0,0),x)
          - 2552/9*H(R(0,0),x)*z2*x
          - 128/9*H(R(0,0),x)*z2*x^2
          + 192/5*H(R(0,0),x)*z2*x^3
          - 920/9*H(R(0,0),x)*z2
          - 352*H(R(0,0),x)*z3*x
          - 1024/3*H(R(0,0),x)*z3
          + 64/45*H(R(0,0),x)*x^-1
          + 468976/405*H(R(0,0),x)*x
          + 22408/405*H(R(0,0),x)*x^2
          - 16/5*H(R(0,0),x)*x^3
          - 23416/27*H(R(0,0,0),x)
          - 688/3*H(R(0,0,0),x)*z2*x
          + 320/3*H(R(0,0,0),x)*z2
          + 15644/27*H(R(0,0,0),x)*x
          - 2792/3*H(R(0,0,0),x)*x^2
          - 64/5*H(R(0,0,0),x)*x^3
          + 3416/9*H(R(0,0,0,0),x)
          + 5360/9*H(R(0,0,0,0),x)*x
          - 240*H(R(0,0,0,0,0),x)
          + 240*H(R(0,0,0,0,0),x)*x
          - 3310/3*H(R(1),x)
          + 32/45*H(R(1),x)*z2*x^-2
          - 3320/27*H(R(1),x)*z2*x^-1
          - 332/3*H(R(1),x)*z2*x
          + 6128/27*H(R(1),x)*z2*x^2
          + 32/5*H(R(1),x)*z2*x^3
          - 4/9*H(R(1),x)*z2
          - 64/15*H(R(1),x)*z3*x^-2
          - 208/3*H(R(1),x)*z3*x^-1
          + 356/3*H(R(1),x)*z3*x
          + 400/3*H(R(1),x)*z3*x^2
          - 192/5*H(R(1),x)*z3*x^3
          - 140*H(R(1),x)*z3
          + 1004296/1215*H(R(1),x)*x^-1
          + 16250/27*H(R(1),x)*x
          - 394996/1215*H(R(1),x)*x^2
          - 16/3*H(R(1,-2,0),x)
          + 128/9*H(R(1,-2,0),x)*x^-1
          + 16/3*H(R(1,-2,0),x)*x
          - 128/9*H(R(1,-2,0),x)*x^2
          + 6784/27*H(R(1,0),x)
          + 64/15*H(R(1,0),x)*z2*x^-2
          - 256/3*H(R(1,0),x)*z2*x^-1
          + 976/3*H(R(1,0),x)*z2*x
          + 64/3*H(R(1,0),x)*z2*x^2
          + 192/5*H(R(1,0),x)*z2*x^3
          - 304*H(R(1,0),x)*z2
          - 27628/81*H(R(1,0),x)*x^-1
          - 2092/27*H(R(1,0),x)*x
          + 13552/81*H(R(1,0),x)*x^2
          + 2444/45*H(R(1,0,0),x)
          + 1768/45*H(R(1,0,0),x)*x^-1
          + 5956/45*H(R(1,0,0),x)*x
          - 10168/45*H(R(1,0,0),x)*x^2
          + 608/3*H(R(1,0,0,0),x)
          + 896/9*H(R(1,0,0,0),x)*x^-1
          - 608/3*H(R(1,0,0,0),x)*x
          - 896/9*H(R(1,0,0,0),x)*x^2
          + 668/27*H(R(1,1),x)
          - 704/9*H(R(1,1),x)*z2*x^-1
          + 320/3*H(R(1,1),x)*z2*x
          + 704/9*H(R(1,1),x)*z2*x^2
          - 320/3*H(R(1,1),x)*z2
          - 29348/81*H(R(1,1),x)*x^-1
          + 5008/27*H(R(1,1),x)*x
          + 12320/81*H(R(1,1),x)*x^2
          + 488/9*H(R(1,1,0),x)
          + 536/27*H(R(1,1,0),x)*x^-1
          + 232/9*H(R(1,1,0),x)*x
          - 2696/27*H(R(1,1,0),x)*x^2
          - 220/3*H(R(1,1,0,0),x)
          + 64/15*H(R(1,1,0,0),x)*x^-2
          + 704/9*H(R(1,1,0,0),x)*x^-1
          + 284/3*H(R(1,1,0,0),x)*x
          - 1280/9*H(R(1,1,0,0),x)*x^2
          + 192/5*H(R(1,1,0,0),x)*x^3
          - 40/3*H(R(1,1,1),x)
          + 776/27*H(R(1,1,1),x)*x^-1
          + 328/3*H(R(1,1,1),x)*x
          - 3368/27*H(R(1,1,1),x)*x^2
          + 136/3*H(R(1,1,1,0),x)
          + 544/9*H(R(1,1,1,0),x)*x^-1
          - 136/3*H(R(1,1,1,0),x)*x
          - 544/9*H(R(1,1,1,0),x)*x^2
          + 112/3*H(R(1,1,1,1),x)
          + 448/9*H(R(1,1,1,1),x)*x^-1
          - 112/3*H(R(1,1,1,1),x)*x
          - 448/9*H(R(1,1,1,1),x)*x^2
          + 136/3*H(R(1,1,2),x)
          + 544/9*H(R(1,1,2),x)*x^-1
          - 136/3*H(R(1,1,2),x)*x
          - 544/9*H(R(1,1,2),x)*x^2
          - 640/9*H(R(1,2),x)
          + 1480/27*H(R(1,2),x)*x^-1
          + 1648/9*H(R(1,2),x)*x
          - 4504/27*H(R(1,2),x)*x^2
          + 52*H(R(1,2,0),x)
          + 64*H(R(1,2,0),x)*x^-1
          - 52*H(R(1,2,0),x)*x
          - 64*H(R(1,2,0),x)*x^2
          + 40*H(R(1,2,1),x)
          + 160/3*H(R(1,2,1),x)*x^-1
          - 40*H(R(1,2,1),x)*x
          - 160/3*H(R(1,2,1),x)*x^2
          + 740/3*H(R(1,3),x)
          - 64/15*H(R(1,3),x)*x^-2
          + 704/9*H(R(1,3),x)*x^-1
          - 268*H(R(1,3),x)*x
          - 128/9*H(R(1,3),x)*x^2
          - 192/5*H(R(1,3),x)*x^3
          + 65828/81*H(R(2),x)
          - 224/3*H(R(2),x)*z2*x^-1
          - 172/3*H(R(2),x)*z2*x
          + 64*H(R(2),x)*z2*x^2
          - 236/3*H(R(2),x)*z2
          - 168*H(R(2),x)*z3*x
          - 168*H(R(2),x)*z3
          + 58048/405*H(R(2),x)*x^-1
          + 28952/81*H(R(2),x)*x
          + 123728/405*H(R(2),x)*x^2
          + 32/3*H(R(2,-2,0),x)
          + 32/3*H(R(2,-2,0),x)*x
          - 2788/9*H(R(2,0),x)
          - 784/3*H(R(2,0),x)*z2*x
          - 784/3*H(R(2,0),x)*z2
          - 832/9*H(R(2,0),x)*x^-1
          - 232/9*H(R(2,0),x)*x
          - 3880/9*H(R(2,0),x)*x^2
          + 68/3*H(R(2,0,0),x)
          + 128/3*H(R(2,0,0),x)*x^-1
          + 724/3*H(R(2,0,0),x)*x
          - 1568/9*H(R(2,0,0),x)*x^2
          + 192/5*H(R(2,0,0),x)*x^3
          + 704/3*H(R(2,0,0,0),x)
          + 704/3*H(R(2,0,0,0),x)*x
          - 11800/27*H(R(2,1),x)
          - 448/3*H(R(2,1),x)*z2*x
          - 448/3*H(R(2,1),x)*z2
          - 3280/27*H(R(2,1),x)*x^-1
          - 2260/27*H(R(2,1),x)*x
          - 10552/27*H(R(2,1),x)*x^2
          + 40/3*H(R(2,1,0),x)
          + 160/3*H(R(2,1,0),x)*x^-1
          + 56/3*H(R(2,1,0),x)*x
          - 992/9*H(R(2,1,0),x)*x^2
          + 56*H(R(2,1,0,0),x)
          + 56*H(R(2,1,0,0),x)*x
          + 8/9*H(R(2,1,1),x)
          + 512/9*H(R(2,1,1),x)*x^-1
          + 176/9*H(R(2,1,1),x)*x
          - 800/9*H(R(2,1,1),x)*x^2
          + 272/3*H(R(2,1,1,0),x)
          + 272/3*H(R(2,1,1,0),x)*x
          + 224/3*H(R(2,1,1,1),x)
          + 224/3*H(R(2,1,1,1),x)*x
          + 272/3*H(R(2,1,2),x)
          + 272/3*H(R(2,1,2),x)*x
          - 40/3*H(R(2,2),x)
          + 160/3*H(R(2,2),x)*x^-1
          + 40/3*H(R(2,2),x)*x
          - 224/3*H(R(2,2),x)*x^2
          + 296/3*H(R(2,2,0),x)
          + 296/3*H(R(2,2,0),x)*x
          + 80*H(R(2,2,1),x)
          + 80*H(R(2,2,1),x)*x
          + 216*H(R(2,3),x)
          + 216*H(R(2,3),x)*x
          - 101852/135*H(R(3),x)
          - 712/3*H(R(3),x)*z2*x
          - 296/3*H(R(3),x)*z2
          + 64/15*H(R(3),x)*x^-1
          - 13508/135*H(R(3),x)*x
          - 91736/135*H(R(3),x)*x^2
          - 64/5*H(R(3),x)*x^3
          + 28*H(R(3,0),x)
          + 476/3*H(R(3,0),x)*x
          - 256/3*H(R(3,0),x)*x^2
          + 104*H(R(3,0,0),x)
          + 664/3*H(R(3,0,0),x)*x
          - 340/9*H(R(3,1),x)
          + 1076/9*H(R(3,1),x)*x
          - 832/9*H(R(3,1),x)*x^2
          + 368/3*H(R(3,1,0),x)
          + 208*H(R(3,1,0),x)*x
          + 304/3*H(R(3,1,1),x)
          + 592/3*H(R(3,1,1),x)*x
          + 208/3*H(R(3,2),x)
          + 176*H(R(3,2),x)*x
          + 920/9*H(R(4),x)
          + 2576/9*H(R(4),x)*x
          + 128/9*H(R(4),x)*x^2
          - 192/5*H(R(4),x)*x^3
          + 8*H(R(4,0),x)
          + 232*H(R(4,0),x)*x
          + 88/3*H(R(4,1),x)
          + 760/3*H(R(4,1),x)*x
          - 320/3*H(R(5),x)
          + 800/3*H(R(5),x)*x
          )

       + nf*cf^2 * (
          + 186998/2025
          + 16*z2*z3*x
          + 144*z2*z3
          - 208/9*z2*x^-1
          - 41204/135*z2*x
          + 58312/405*z2*x^2
          + 544/75*z2*x^3
          - 123476/135*z2
          + 128/5*z2^2*x^-1
          + 1384/5*z2^2*x
          - 1888/9*z2^2*x^2
          + 1536/25*z2^2*x^3
          + 64*z2^2
          - 4384/45*z3*x^-1
          - 36796/15*z3*x
          - 26768/135*z3*x^2
          - 16*z3*x^3
          - 17752/45*z3
          + 32*z4*x^-1
          - 24*z4*x
          - 32*z4*x^2
          + 24*z4
          + 176*z5*x
          + 176*z5
          + 24146/675*x^-1
          - 1089248/2025*x
          + 276604/675*x^2
          - 384*H(R(-4,0),x)
          + 448*H(R(-3),x)*z2
          + 384*H(R(-3,-1,0),x)
          - 256*H(R(-3,-1,0),x)*x
          - 352*H(R(-3,0),x)
          - 160/3*H(R(-3,0),x)*x
          + 320/3*H(R(-3,0),x)*x^2
          - 576*H(R(-3,0,0),x)
          + 64*H(R(-3,0,0),x)*x
          - 256*H(R(-3,2),x)
          - 128*H(R(-3,2),x)*x
          - 176*H(R(-2),x)*z2*x
          - 224/3*H(R(-2),x)*z2*x^2
          + 624*H(R(-2),x)*z2
          - 224*H(R(-2),x)*z3*x
          + 224*H(R(-2),x)*z3
          + 256*H(R(-2,-2,0),x)
          - 256*H(R(-2,-2,0),x)*x
          + 256*H(R(-2,-1),x)*z2*x
          - 256*H(R(-2,-1),x)*z2
          - 256*H(R(-2,-1,-1,0),x)
          + 256*H(R(-2,-1,-1,0),x)*x
          + 416*H(R(-2,-1,0),x)
          + 160/3*H(R(-2,-1,0),x)*x
          - 320/3*H(R(-2,-1,0),x)*x^2
          + 448*H(R(-2,-1,0,0),x)
          - 448*H(R(-2,-1,0,0),x)*x
          + 128*H(R(-2,-1,2),x)
          - 128*H(R(-2,-1,2),x)*x
          - 912*H(R(-2,0),x)
          - 192*H(R(-2,0),x)*z2*x
          + 192*H(R(-2,0),x)*z2
          - 128/45*H(R(-2,0),x)*x^-2
          - 6736/9*H(R(-2,0),x)*x
          - 992/9*H(R(-2,0),x)*x^2
          - 32/5*H(R(-2,0),x)*x^3
          - 736*H(R(-2,0,0),x)
          - 32*H(R(-2,0,0),x)*x
          + 320/3*H(R(-2,0,0),x)*x^2
          - 256*H(R(-2,0,0,0),x)
          + 256*H(R(-2,0,0,0),x)*x
          - 416*H(R(-2,2),x)
          + 608/3*H(R(-2,2),x)*x
          + 64/3*H(R(-2,2),x)*x^2
          - 64*H(R(-2,3),x)
          + 64*H(R(-2,3),x)*x
          - 16/15*H(R(-1),x)*z2*x^-2
          + 656/9*H(R(-1),x)*z2*x^-1
          + 4744/3*H(R(-1),x)*z2*x
          + 1232/9*H(R(-1),x)*z2*x^2
          + 48/5*H(R(-1),x)*z2*x^3
          + 1528*H(R(-1),x)*z2
          - 64*H(R(-1),x)*z3*x^-1
          + 256*H(R(-1),x)*z3*x
          - 64*H(R(-1),x)*z3*x^2
          + 256*H(R(-1),x)*z3
          + 320*H(R(-1,-2,0),x)
          - 64*H(R(-1,-2,0),x)*x^-1
          + 320*H(R(-1,-2,0),x)*x
          - 64*H(R(-1,-2,0),x)*x^2
          + 96*H(R(-1,-1),x)*z2*x^-1
          - 224*H(R(-1,-1),x)*z2*x
          + 96*H(R(-1,-1),x)*z2*x^2
          - 224*H(R(-1,-1),x)*z2
          - 320*H(R(-1,-1,-1,0),x)
          + 64*H(R(-1,-1,-1,0),x)*x^-1
          - 320*H(R(-1,-1,-1,0),x)*x
          + 64*H(R(-1,-1,-1,0),x)*x^2
          + 1104*H(R(-1,-1,0),x)
          - 32/45*H(R(-1,-1,0),x)*x^-2
          + 992/9*H(R(-1,-1,0),x)*x^-1
          + 9872/9*H(R(-1,-1,0),x)*x
          + 992/9*H(R(-1,-1,0),x)*x^2
          + 32/5*H(R(-1,-1,0),x)*x^3
          + 576*H(R(-1,-1,0,0),x)
          - 320/3*H(R(-1,-1,0,0),x)*x^-1
          + 576*H(R(-1,-1,0,0),x)*x
          - 320/3*H(R(-1,-1,0,0),x)*x^2
          + 64*H(R(-1,-1,2),x)
          - 64*H(R(-1,-1,2),x)*x^-1
          + 64*H(R(-1,-1,2),x)*x
          - 64*H(R(-1,-1,2),x)*x^2
          - 47216/45*H(R(-1,0),x)
          - 32/3*H(R(-1,0),x)*z2*x^-1
          + 352*H(R(-1,0),x)*z2*x
          - 32/3*H(R(-1,0),x)*z2*x^2
          + 352*H(R(-1,0),x)*z2
          - 704/675*H(R(-1,0),x)*x^-2
          - 688/45*H(R(-1,0),x)*x^-1
          - 134368/135*H(R(-1,0),x)*x
          + 704/15*H(R(-1,0),x)*x^2
          + 544/75*H(R(-1,0),x)*x^3
          - 5392/3*H(R(-1,0,0),x)
          - 32/15*H(R(-1,0,0),x)*x^-2
          - 64*H(R(-1,0,0),x)*x^-1
          - 5552/3*H(R(-1,0,0),x)*x
          - 96*H(R(-1,0,0),x)*x^2
          + 96/5*H(R(-1,0,0),x)*x^3
          - 448*H(R(-1,0,0,0),x)
          + 64/3*H(R(-1,0,0,0),x)*x^-1
          - 448*H(R(-1,0,0,0),x)*x
          + 64/3*H(R(-1,0,0,0),x)*x^2
          - 976*H(R(-1,2),x)
          + 32/45*H(R(-1,2),x)*x^-2
          - 160/9*H(R(-1,2),x)*x^-1
          - 9296/9*H(R(-1,2),x)*x
          - 736/9*H(R(-1,2),x)*x^2
          - 32/5*H(R(-1,2),x)*x^3
          - 64*H(R(-1,2,0),x)
          - 64/3*H(R(-1,2,0),x)*x^-1
          - 64*H(R(-1,2,0),x)*x
          - 64/3*H(R(-1,2,0),x)*x^2
          - 64*H(R(-1,2,1),x)
          - 64/3*H(R(-1,2,1),x)*x^-1
          - 64*H(R(-1,2,1),x)*x
          - 64/3*H(R(-1,2,1),x)*x^2
          - 192*H(R(-1,3),x)
          - 64/3*H(R(-1,3),x)*x^-1
          - 192*H(R(-1,3),x)*x
          - 64/3*H(R(-1,3),x)*x^2
          + 514634/2025*H(R(0),x)
          + 128/15*H(R(0),x)*z2*x^-1
          - 74732/45*H(R(0),x)*z2*x
          + 13216/45*H(R(0),x)*z2*x^2
          - 64/5*H(R(0),x)*z2*x^3
          - 48028/45*H(R(0),x)*z2
          + 328/3*H(R(0),x)*z2^2*x
          + 232/3*H(R(0),x)*z2^2
          + 848/3*H(R(0),x)*z3*x
          + 1088/9*H(R(0),x)*z3*x^2
          + 384/5*H(R(0),x)*z3*x^3
          - 80/3*H(R(0),x)*z3
          + 48*H(R(0),x)*z4*x
          + 48*H(R(0),x)*z4
          + 1184/675*H(R(0),x)*x^-1
          - 3262136/2025*H(R(0),x)*x
          + 303352/2025*H(R(0),x)*x^2
          - 1066/27*H(R(0,0),x)
          - 2320/3*H(R(0,0),x)*z2*x
          + 5824/9*H(R(0,0),x)*z2*x^2
          - 384/5*H(R(0,0),x)*z2*x^3
          - 512/3*H(R(0,0),x)*z2
          - 256/3*H(R(0,0),x)*z3*x
          - 640/3*H(R(0,0),x)*z3
          + 32/15*H(R(0,0),x)*x^-1
          + 190/3*H(R(0,0),x)*x
          + 872/81*H(R(0,0),x)*x^2
          - 544/75*H(R(0,0),x)*x^3
          + 5180/9*H(R(0,0,0),x)
          - 1328/3*H(R(0,0,0),x)*z2*x
          - 1328/3*H(R(0,0,0),x)*z2
          + 3212/3*H(R(0,0,0),x)*x
          - 1952/9*H(R(0,0,0),x)*x^2
          - 96/5*H(R(0,0,0),x)*x^3
          - 440/3*H(R(0,0,0,0),x)
          + 880/3*H(R(0,0,0,0),x)*x
          - 3808/9*H(R(0,0,0,0),x)*x^2
          + 240*H(R(0,0,0,0,0),x)
          + 240*H(R(0,0,0,0,0),x)*x
          + 593936/405*H(R(1),x)
          - 16/45*H(R(1),x)*z2*x^-2
          - 320/27*H(R(1),x)*z2*x^-1
          + 116/3*H(R(1),x)*z2*x
          - 112/27*H(R(1),x)*z2*x^2
          - 16/5*H(R(1),x)*z2*x^3
          - 172/9*H(R(1),x)*z2
          + 128/15*H(R(1),x)*z3*x^-2
          + 128/9*H(R(1),x)*z3*x^-1
          - 184*H(R(1),x)*z3*x
          - 1280/9*H(R(1),x)*z3*x^2
          + 384/5*H(R(1),x)*z3*x^3
          + 680/3*H(R(1),x)*z3
          - 51638/405*H(R(1),x)*x^-1
          - 529946/405*H(R(1),x)*x
          - 12352/405*H(R(1),x)*x^2
          + 18868/27*H(R(1,0),x)
          - 128/15*H(R(1,0),x)*z2*x^-2
          - 160/9*H(R(1,0),x)*z2*x^-1
          - 1408/3*H(R(1,0),x)*z2*x
          + 1312/9*H(R(1,0),x)*z2*x^2
          - 384/5*H(R(1,0),x)*z2*x^3
          + 1280/3*H(R(1,0),x)*z2
          + 5704/81*H(R(1,0),x)*x^-1
          - 24436/27*H(R(1,0),x)*x
          + 11000/81*H(R(1,0),x)*x^2
          + 16792/45*H(R(1,0,0),x)
          + 4112/135*H(R(1,0,0),x)*x^-1
          - 22792/45*H(R(1,0,0),x)*x
          + 13888/135*H(R(1,0,0),x)*x^2
          - 632/3*H(R(1,0,0,0),x)
          - 224/9*H(R(1,0,0,0),x)*x^-1
          + 632/3*H(R(1,0,0,0),x)*x
          + 224/9*H(R(1,0,0,0),x)*x^2
          + 8684/9*H(R(1,1),x)
          - 512/9*H(R(1,1),x)*z2*x^-1
          - 280/3*H(R(1,1),x)*z2*x
          + 512/9*H(R(1,1),x)*z2*x^2
          + 280/3*H(R(1,1),x)*z2
          + 5516/81*H(R(1,1),x)*x^-1
          - 9760/9*H(R(1,1),x)*x
          + 4168/81*H(R(1,1),x)*x^2
          + 3892/9*H(R(1,1,0),x)
          - 304/27*H(R(1,1,0),x)*x^-1
          - 3748/9*H(R(1,1,0),x)*x
          - 128/27*H(R(1,1,0),x)*x^2
          + 832/3*H(R(1,1,0,0),x)
          - 128/15*H(R(1,1,0,0),x)*x^-2
          + 832/9*H(R(1,1,0,0),x)*x^-1
          - 320*H(R(1,1,0,0),x)*x
          + 320/9*H(R(1,1,0,0),x)*x^2
          - 384/5*H(R(1,1,0,0),x)*x^3
          + 3904/9*H(R(1,1,1),x)
          + 64/9*H(R(1,1,1),x)*x^-1
          - 3904/9*H(R(1,1,1),x)*x
          - 64/9*H(R(1,1,1),x)*x^2
          + 200/3*H(R(1,1,1,0),x)
          + 800/9*H(R(1,1,1,0),x)*x^-1
          - 200/3*H(R(1,1,1,0),x)*x
          - 800/9*H(R(1,1,1,0),x)*x^2
          + 176/3*H(R(1,1,1,1),x)
          + 704/9*H(R(1,1,1,1),x)*x^-1
          - 176/3*H(R(1,1,1,1),x)*x
          - 704/9*H(R(1,1,1,1),x)*x^2
          + 200/3*H(R(1,1,2),x)
          + 800/9*H(R(1,1,2),x)*x^-1
          - 200/3*H(R(1,1,2),x)*x
          - 800/9*H(R(1,1,2),x)*x^2
          + 5140/9*H(R(1,2),x)
          - 1168/27*H(R(1,2),x)*x^-1
          - 5284/9*H(R(1,2),x)*x
          + 1600/27*H(R(1,2),x)*x^2
          + 224/3*H(R(1,2,0),x)
          + 896/9*H(R(1,2,0),x)*x^-1
          - 224/3*H(R(1,2,0),x)*x
          - 896/9*H(R(1,2,0),x)*x^2
          + 72*H(R(1,2,1),x)
          + 96*H(R(1,2,1),x)*x^-1
          - 72*H(R(1,2,1),x)*x
          - 96*H(R(1,2,1),x)*x^2
          - 800/3*H(R(1,3),x)
          + 128/15*H(R(1,3),x)*x^-2
          + 448/9*H(R(1,3),x)*x^-1
          + 928/3*H(R(1,3),x)*x
          - 1600/9*H(R(1,3),x)*x^2
          + 384/5*H(R(1,3),x)*x^3
          + 123476/135*H(R(2),x)
          - 72*H(R(2),x)*z2*x
          + 640/3*H(R(2),x)*z2*x^2
          + 40/3*H(R(2),x)*z2
          + 496/3*H(R(2),x)*z3*x
          + 496/3*H(R(2),x)*z3
          + 352/45*H(R(2),x)*x^-1
          - 93164/135*H(R(2),x)*x
          - 58312/405*H(R(2),x)*x^2
          + 6256/9*H(R(2,0),x)
          + 640/3*H(R(2,0),x)*z2*x
          + 640/3*H(R(2,0),x)*z2
          - 3136/9*H(R(2,0),x)*x
          - 3712/27*H(R(2,0),x)*x^2
          + 448/3*H(R(2,0,0),x)
          - 304*H(R(2,0,0),x)*x
          - 64*H(R(2,0,0),x)*x^2
          - 384/5*H(R(2,0,0),x)*x^3
          - 496/3*H(R(2,0,0,0),x)
          - 496/3*H(R(2,0,0,0),x)*x
          + 2540/3*H(R(2,1),x)
          - 16/3*H(R(2,1),x)*z2*x
          - 16/3*H(R(2,1),x)*z2
          - 736/3*H(R(2,1),x)*x
          - 4288/27*H(R(2,1),x)*x^2
          + 488/3*H(R(2,1,0),x)
          + 40/3*H(R(2,1,0),x)*x
          - 224*H(R(2,1,0),x)*x^2
          + 704/3*H(R(2,1,0,0),x)
          + 704/3*H(R(2,1,0,0),x)*x
          + 192*H(R(2,1,1),x)
          + 160/3*H(R(2,1,1),x)*x
          - 1856/9*H(R(2,1,1),x)*x^2
          + 400/3*H(R(2,1,1,0),x)
          + 400/3*H(R(2,1,1,0),x)*x
          + 352/3*H(R(2,1,1,1),x)
          + 352/3*H(R(2,1,1,1),x)*x
          + 400/3*H(R(2,1,2),x)
          + 400/3*H(R(2,1,2),x)*x
          + 584/3*H(R(2,2),x)
          + 136/3*H(R(2,2),x)*x
          - 800/3*H(R(2,2),x)*x^2
          + 448/3*H(R(2,2,0),x)
          + 448/3*H(R(2,2,0),x)*x
          + 144*H(R(2,2,1),x)
          + 144*H(R(2,2,1),x)*x
          - 256/3*H(R(2,3),x)
          - 256/3*H(R(2,3),x)*x
          + 48028/45*H(R(3),x)
          - 160*H(R(3),x)*z2*x
          - 96*H(R(3),x)*z2
          - 128/15*H(R(3),x)*x^-1
          + 13684/15*H(R(3),x)*x
          - 13216/45*H(R(3),x)*x^2
          + 32/5*H(R(3),x)*x^3
          + 584/3*H(R(3,0),x)
          + 216*H(R(3,0),x)*x
          - 3328/9*H(R(3,0),x)*x^2
          + 544/3*H(R(3,0,0),x)
          + 544/3*H(R(3,0,0),x)*x
          + 880/3*H(R(3,1),x)
          + 320*H(R(3,1),x)*x
          - 3488/9*H(R(3,1),x)*x^2
          + 736/3*H(R(3,1,0),x)
          + 736/3*H(R(3,1,0),x)*x
          + 704/3*H(R(3,1,1),x)
          + 704/3*H(R(3,1,1),x)*x
          + 288*H(R(3,2),x)
          + 288*H(R(3,2),x)*x
          + 512/3*H(R(4),x)
          + 720*H(R(4),x)*x
          - 5824/9*H(R(4),x)*x^2
          + 384/5*H(R(4),x)*x^3
          + 1072/3*H(R(4,0),x)
          + 1072/3*H(R(4,0),x)*x
          + 400*H(R(4,1),x)
          + 400*H(R(4,1),x)*x
          + 1328/3*H(R(5),x)
          + 1328/3*H(R(5),x)*x
          )

       + nf^2*cf * (
          - 311984/1215
          - 32/9*z2*x^-1
          + 9176/81*z2*x
          - 176/9*z2*x^2
          + 32/5*z2*x^3
          + 1832/81*z2
          + 56/15*z2^2*x
          + 56/15*z2^2
          + 128/27*z3*x^-1
          + 136/27*z3*x
          + 160/27*z3*x^2
          + 328/27*z3
          + 107968/3645*x^-1
          + 224864/1215*x
          + 153392/3645*x^2
          + 128/3*H(R(-2,0),x)
          + 128/9*H(R(-2,0),x)*x^2
          + 512/9*H(R(-1,0),x)
          - 32/45*H(R(-1,0),x)*x^-2
          - 32/9*H(R(-1,0),x)*x^-1
          + 640/9*H(R(-1,0),x)*x
          + 160/9*H(R(-1,0),x)*x^2
          + 32/5*H(R(-1,0),x)*x^3
          + 128/3*H(R(-1,0,0),x)
          + 128/9*H(R(-1,0,0),x)*x^-1
          + 128/3*H(R(-1,0,0),x)*x
          + 128/9*H(R(-1,0,0),x)*x^2
          - 219832/1215*H(R(0),x)
          + 992/27*H(R(0),x)*z2*x
          + 32/9*H(R(0),x)*z2*x^2
          + 848/27*H(R(0),x)*z2
          - 16/9*H(R(0),x)*z3*x
          - 16/9*H(R(0),x)*z3
          + 32/45*H(R(0),x)*x^-1
          - 51352/1215*H(R(0),x)*x
          + 46688/405*H(R(0),x)*x^2
          - 12608/81*H(R(0,0),x)
          + 32/9*H(R(0,0),x)*z2*x
          + 32/9*H(R(0,0),x)*z2
          - 18080/81*H(R(0,0),x)*x
          + 1744/27*H(R(0,0),x)*x^2
          - 32/5*H(R(0,0),x)*x^3
          - 1784/27*H(R(0,0,0),x)
          - 4376/27*H(R(0,0,0),x)*x
          + 256/9*H(R(0,0,0),x)*x^2
          - 368/9*H(R(0,0,0,0),x)
          - 368/9*H(R(0,0,0,0),x)*x
          - 4280/81*H(R(1),x)
          - 32/9*H(R(1),x)*z2*x^-1
          + 8/3*H(R(1),x)*z2*x
          + 32/9*H(R(1),x)*z2*x^2
          - 8/3*H(R(1),x)*z2
          + 112/81*H(R(1),x)*x^-1
          + 2120/81*H(R(1),x)*x
          + 2048/81*H(R(1),x)*x^2
          - 8*H(R(1,0),x)
          - 160/27*H(R(1,0),x)*x^-1
          + 8/3*H(R(1,0),x)*x
          + 304/27*H(R(1,0),x)*x^2
          + 200/9*H(R(1,1),x)
          - 944/81*H(R(1,1),x)*x^-1
          - 200/9*H(R(1,1),x)*x
          + 944/81*H(R(1,1),x)*x^2
          + 8/3*H(R(1,1,0),x)
          + 32/9*H(R(1,1,0),x)*x^-1
          - 8/3*H(R(1,1,0),x)*x
          - 32/9*H(R(1,1,0),x)*x^2
          + 32/9*H(R(1,1,1),x)
          + 128/27*H(R(1,1,1),x)*x^-1
          - 32/9*H(R(1,1,1),x)*x
          - 128/27*H(R(1,1,1),x)*x^2
          + 8/3*H(R(1,2),x)
          + 32/9*H(R(1,2),x)*x^-1
          - 8/3*H(R(1,2),x)*x
          - 32/9*H(R(1,2),x)*x^2
          - 1832/81*H(R(2),x)
          - 16/3*H(R(2),x)*z2*x
          - 16/3*H(R(2),x)*z2
          - 3416/81*H(R(2),x)*x
          + 176/9*H(R(2),x)*x^2
          - 128/9*H(R(2,0),x)
          - 176/9*H(R(2,0),x)*x
          - 32/9*H(R(2,0),x)*x^2
          - 152/27*H(R(2,1),x)
          - 296/27*H(R(2,1),x)*x
          - 128/9*H(R(2,1),x)*x^2
          + 16/3*H(R(2,1,0),x)
          + 16/3*H(R(2,1,0),x)*x
          + 64/9*H(R(2,1,1),x)
          + 64/9*H(R(2,1,1),x)*x
          + 16/3*H(R(2,2),x)
          + 16/3*H(R(2,2),x)*x
          - 848/27*H(R(3),x)
          - 992/27*H(R(3),x)*x
          - 32/9*H(R(3),x)*x^2
          + 112/9*H(R(3,1),x)
          + 112/9*H(R(3,1),x)*x
          - 32/9*H(R(4),x)
          - 32/9*H(R(4),x)*x
          );

L   XcLqq1 =

       + cf * (
          + 4*x
          );

L   XcLgg1 =

       + nf * (
          + 8*x
          - 8*x^2
          );

L   XcLqq2 =

       + nf*cf * (
          + 8/3
          - 100/9*x
          - 16/3*H(R(0),x)*x
          - 8/3*H(R(1),x)*x
          )

       + cf*ca * (
          - 196/15
          - 16*z2*x
          + 48/5*z2*x^3
          - 32*z3*x
          - 32/5*x^-1
          + 3458/45*x
          - 48/5*x^2
          + 16*H(R(-1),x)*z2*x
          + 32*H(R(-1,-1,0),x)*x
          - 32*H(R(-1,0),x)
          - 32/5*H(R(-1,0),x)*x^-2
          - 16*H(R(-1,0),x)*x
          + 48/5*H(R(-1,0),x)*x^3
          - 16*H(R(-1,0,0),x)*x
          - 16/5*H(R(0),x)
          + 32/5*H(R(0),x)*x^-1
          + 752/15*H(R(0),x)*x
          - 48/5*H(R(0),x)*x^2
          + 16*H(R(0,0),x)*x
          - 48/5*H(R(0,0),x)*x^3
          - 16*H(R(1),x)*z2*x
          + 92/3*H(R(1),x)*x
          + 16*H(R(1,0,0),x)*x
          )

       + cf^2 * (
          + 44/5
          + 8*z2*x
          - 96/5*z2*x^3
          + 64*z3*x
          + 64/5*x^-1
          - 374/5*x
          + 96/5*x^2
          - 32*H(R(-1),x)*z2*x
          - 64*H(R(-1,-1,0),x)*x
          + 64*H(R(-1,0),x)
          + 64/5*H(R(-1,0),x)*x^-2
          + 32*H(R(-1,0),x)*x
          - 96/5*H(R(-1,0),x)*x^3
          + 32*H(R(-1,0,0),x)*x
          - 8/5*H(R(0),x)
          - 64/5*H(R(0),x)*x^-1
          - 208/5*H(R(0),x)*x
          + 96/5*H(R(0),x)*x^2
          - 16*H(R(0,0),x)*x
          + 96/5*H(R(0,0),x)*x^3
          - 8*H(R(1),x)
          + 32*H(R(1),x)*z2*x
          - 28*H(R(1),x)*x
          + 16*H(R(1,0),x)*x
          - 32*H(R(1,0,0),x)*x
          + 16*H(R(1,1),x)*x
          + 24*H(R(2),x)*x
          );

L   XcLgg2 =

       + nf*cf * (
          - 128/15
          + 16/3*z2*x
          + 64/5*z2*x^3
          + 32/15*x^-1
          - 304/5*x
          + 336/5*x^2
          + 32/15*H(R(-1,0),x)*x^-2
          - 32/3*H(R(-1,0),x)*x
          + 64/5*H(R(-1,0),x)*x^3
          - 104/15*H(R(0),x)
          - 32/15*H(R(0),x)*x^-1
          - 208/5*H(R(0),x)*x
          + 96/5*H(R(0),x)*x^2
          - 64/3*H(R(0,0),x)*x
          - 64/5*H(R(0,0),x)*x^3
          - 8*H(R(1),x)
          - 24*H(R(1),x)*x
          + 32*H(R(1),x)*x^2
          - 16*H(R(2),x)*x
          )

       + nf*ca * (
          + 16/3
          - 64*z2*x
          + 32*z2*x^2
          - 16/9*x^-1
          + 272/3*x
          - 848/9*x^2
          + 32*H(R(-1,0),x)*x
          + 32*H(R(-1,0),x)*x^2
          + 16*H(R(0),x)
          + 128*H(R(0),x)*x
          - 208*H(R(0),x)*x^2
          + 96*H(R(0,0),x)*x
          + 16*H(R(1),x)
          - 16/3*H(R(1),x)*x^-1
          + 144*H(R(1),x)*x
          - 464/3*H(R(1),x)*x^2
          + 32*H(R(1,0),x)*x
          - 32*H(R(1,0),x)*x^2
          + 32*H(R(1,1),x)*x
          - 32*H(R(1,1),x)*x^2
          + 96*H(R(2),x)*x
          - 32*H(R(2),x)*x^2
          );

L   XcLqqps2 =

       + nf*cf * (
          + 16/3
          - 16*z2*x
          - 16/9*x^-1
          - 64/3*x
          + 160/9*x^2
          + 16*H(R(0),x)
          - 16*H(R(0),x)*x
          - 32*H(R(0),x)*x^2
          + 32*H(R(0,0),x)*x
          + 16*H(R(1),x)
          - 16/3*H(R(1),x)*x^-1
          - 32/3*H(R(1),x)*x^2
          + 16*H(R(2),x)*x
          );

L   XcLqq3 =

       + nf*cf*ca * (
          + 104264/675
          - 64/15*z2*x^-1
          + 3472/15*z2*x
          + 256/5*z2*x^2
          - 848/25*z2*x^3
          + 32/5*z2
          + 32/3*z2^2*x
          - 256/15*z2^2*x^2
          + 128/5*z2^2*x^3
          - 64/3*z3*x^-1
          + 880/9*z3*x
          - 160/3*z3*x^2
          + 64*z3*x^3
          + 6688/225*x^-1
          - 1004792/2025*x
          + 1168/25*x^2
          - 256/3*H(R(-2,-1,0),x)*x
          + 256/3*H(R(-2,0),x)
          + 256/15*H(R(-2,0),x)*x^-2
          + 32/3*H(R(-2,0),x)*x
          + 128/3*H(R(-2,0),x)*x^2
          - 64/5*H(R(-2,0),x)*x^3
          + 64/3*H(R(-2,0,0),x)*x
          - 128/3*H(R(-2,2),x)*x
          - 64/5*H(R(-1),x)*z2*x^-2
          - 32/3*H(R(-1),x)*z2*x^-1
          - 704/9*H(R(-1),x)*z2*x
          + 64/3*H(R(-1),x)*z2*x^2
          + 96/5*H(R(-1),x)*z2*x^3
          - 64*H(R(-1),x)*z2
          - 128/3*H(R(-1),x)*z3*x
          - 256/3*H(R(-1,-2,0),x)*x
          + 128/3*H(R(-1,-1),x)*z2*x
          + 256/3*H(R(-1,-1,-1,0),x)*x
          - 128/3*H(R(-1,-1,0),x)
          - 128/15*H(R(-1,-1,0),x)*x^-2
          + 64/3*H(R(-1,-1,0),x)*x^-1
          - 1408/9*H(R(-1,-1,0),x)*x
          - 128/3*H(R(-1,-1,0),x)*x^2
          + 64/5*H(R(-1,-1,0),x)*x^3
          - 128*H(R(-1,-1,0,0),x)*x
          + 8288/45*H(R(-1,0),x)
          - 64/3*H(R(-1,0),x)*z2*x
          + 4768/225*H(R(-1,0),x)*x^-2
          + 128/15*H(R(-1,0),x)*x^-1
          + 6608/45*H(R(-1,0),x)*x
          - 64/5*H(R(-1,0),x)*x^2
          - 848/25*H(R(-1,0),x)*x^3
          + 128*H(R(-1,0,0),x)
          + 128/5*H(R(-1,0,0),x)*x^-2
          + 1088/9*H(R(-1,0,0),x)*x
          - 192/5*H(R(-1,0,0),x)*x^3
          + 64*H(R(-1,0,0,0),x)*x
          + 128/3*H(R(-1,2),x)
          + 128/15*H(R(-1,2),x)*x^-2
          + 64/3*H(R(-1,2),x)*x^-1
          - 128/3*H(R(-1,2),x)*x^2
          - 64/5*H(R(-1,2),x)*x^3
          + 1216/25*H(R(0),x)
          + 64/3*H(R(0),x)*z2*x^-1
          + 64/3*H(R(0),x)*z2*x
          - 32/3*H(R(0),x)*z2*x^2
          - 288/5*H(R(0),x)*z2*x^3
          + 160/3*H(R(0),x)*z3*x
          - 64/3*H(R(0),x)*z3*x^2
          + 32*H(R(0),x)*z3*x^3
          - 2848/225*H(R(0),x)*x^-1
          - 335248/675*H(R(0),x)*x
          - 112/25*H(R(0),x)*x^2
          + 32/15*H(R(0,0),x)
          - 32/3*H(R(0,0),x)*z2*x
          + 64/3*H(R(0,0),x)*z2*x^2
          - 32*H(R(0,0),x)*z2*x^3
          - 128/5*H(R(0,0),x)*x^-1
          - 13184/45*H(R(0,0),x)*x
          + 32/5*H(R(0,0),x)*x^2
          + 848/25*H(R(0,0),x)*x^3
          - 160/3*H(R(0,0,0),x)*x
          + 192/5*H(R(0,0,0),x)*x^3
          + 4064/45*H(R(1),x)
          - 64/15*H(R(1),x)*z2*x^-2
          - 32/3*H(R(1),x)*z2*x^-1
          + 800/9*H(R(1),x)*z2*x
          - 64/3*H(R(1),x)*z2*x^2
          - 192/5*H(R(1),x)*z2*x^3
          - 64/3*H(R(1),x)*z2
          + 64/3*H(R(1),x)*z3*x^-2
          - 32/3*H(R(1),x)*z3*x^-1
          + 128/3*H(R(1),x)*z3*x
          - 64/3*H(R(1),x)*z3*x^2
          + 32*H(R(1),x)*z3*x^3
          - 64/5*H(R(1),x)*x^-1
          - 35752/135*H(R(1),x)*x
          - 256/5*H(R(1),x)*x^2
          - 128/3*H(R(1,-2,0),x)*x
          - 64/3*H(R(1,0),x)*z2*x^-2
          + 32/3*H(R(1,0),x)*z2*x^-1
          + 64*H(R(1,0),x)*z2*x
          + 64/3*H(R(1,0),x)*z2*x^2
          - 32*H(R(1,0),x)*z2*x^3
          - 640/9*H(R(1,0),x)*x
          + 32*H(R(1,0),x)*x^2
          + 64/3*H(R(1,0,0),x)*x^-1
          - 608/9*H(R(1,0,0),x)*x
          + 32*H(R(1,0,0),x)*x^2
          - 64*H(R(1,0,0,0),x)*x
          + 160/3*H(R(1,1),x)*z2*x
          - 640/9*H(R(1,1),x)*x
          + 32/3*H(R(1,1,0),x)*x
          - 32*H(R(1,1,0),x)*x^3
          - 64/3*H(R(1,1,0,0),x)*x^-2
          + 32/3*H(R(1,1,0,0),x)*x^-1
          - 32/3*H(R(1,1,0,0),x)*x
          + 64/3*H(R(1,1,0,0),x)*x^2
          - 32*H(R(1,1,0,0),x)*x^3
          + 32/3*H(R(1,1,1,0),x)*x
          - 32/3*H(R(1,1,2),x)*x
          - 32/3*H(R(1,2),x)*x
          + 32*H(R(1,2),x)*x^3
          + 32/3*H(R(1,2,0),x)*x
          + 64/3*H(R(1,3),x)*x^-2
          - 32/3*H(R(1,3),x)*x^-1
          - 128/3*H(R(1,3),x)*x
          - 64/3*H(R(1,3),x)*x^2
          + 32*H(R(1,3),x)*x^3
          - 32/5*H(R(2),x)
          + 128/3*H(R(2),x)*z2*x
          + 64/5*H(R(2),x)*x^-1
          - 3808/45*H(R(2),x)*x
          - 256/5*H(R(2),x)*x^2
          - 32*H(R(2,0),x)*x^3
          - 32*H(R(2,0,0),x)*x
          + 64/3*H(R(2,0,0),x)*x^2
          - 32*H(R(2,0,0),x)*x^3
          - 64/3*H(R(3),x)*x^-1
          - 32/3*H(R(3),x)*x
          + 32/3*H(R(3),x)*x^2
          + 224/5*H(R(3),x)*x^3
          + 32/3*H(R(4),x)*x
          - 64/3*H(R(4),x)*x^2
          + 32*H(R(4),x)*x^3
          )

       + nf*cf^2 * (
          - 17128/675
          - 512/15*z2*x^-1
          - 11992/45*z2*x
          - 416/15*z2*x^2
          + 1696/25*z2*x^3
          - 224/5*z2
          - 64/15*z2^2*x
          - 1280/9*z3*x
          - 64/3*z3*x^2
          - 96*z3*x^3
          - 13376/225*x^-1
          + 173653/675*x
          - 2336/25*x^2
          + 512/3*H(R(-2,-1,0),x)*x
          - 512/3*H(R(-2,0),x)
          - 512/15*H(R(-2,0),x)*x^-2
          - 64/3*H(R(-2,0),x)*x
          - 256/3*H(R(-2,0),x)*x^2
          + 128/5*H(R(-2,0),x)*x^3
          - 128/3*H(R(-2,0,0),x)*x
          + 256/3*H(R(-2,2),x)*x
          + 128/5*H(R(-1),x)*z2*x^-2
          + 64/3*H(R(-1),x)*z2*x^-1
          + 1408/9*H(R(-1),x)*z2*x
          - 128/3*H(R(-1),x)*z2*x^2
          - 192/5*H(R(-1),x)*z2*x^3
          + 128*H(R(-1),x)*z2
          + 256/3*H(R(-1),x)*z3*x
          + 512/3*H(R(-1,-2,0),x)*x
          - 256/3*H(R(-1,-1),x)*z2*x
          - 512/3*H(R(-1,-1,-1,0),x)*x
          + 256/3*H(R(-1,-1,0),x)
          + 256/15*H(R(-1,-1,0),x)*x^-2
          - 128/3*H(R(-1,-1,0),x)*x^-1
          + 2816/9*H(R(-1,-1,0),x)*x
          + 256/3*H(R(-1,-1,0),x)*x^2
          - 128/5*H(R(-1,-1,0),x)*x^3
          + 256*H(R(-1,-1,0,0),x)*x
          - 16576/45*H(R(-1,0),x)
          + 128/3*H(R(-1,0),x)*z2*x
          - 9536/225*H(R(-1,0),x)*x^-2
          - 256/15*H(R(-1,0),x)*x^-1
          - 13216/45*H(R(-1,0),x)*x
          + 128/5*H(R(-1,0),x)*x^2
          + 1696/25*H(R(-1,0),x)*x^3
          - 256*H(R(-1,0,0),x)
          - 256/5*H(R(-1,0,0),x)*x^-2
          - 2176/9*H(R(-1,0,0),x)*x
          + 384/5*H(R(-1,0,0),x)*x^3
          - 128*H(R(-1,0,0,0),x)*x
          - 256/3*H(R(-1,2),x)
          - 256/15*H(R(-1,2),x)*x^-2
          - 128/3*H(R(-1,2),x)*x^-1
          + 256/3*H(R(-1,2),x)*x^2
          + 128/5*H(R(-1,2),x)*x^3
          + 3712/225*H(R(0),x)
          + 48*H(R(0),x)*z2*x
          + 320/3*H(R(0),x)*z2*x^2
          + 1568/15*H(R(0),x)*z2*x^3
          - 256/3*H(R(0),x)*z3*x
          + 5696/225*H(R(0),x)*x^-1
          + 245896/675*H(R(0),x)*x
          - 4928/75*H(R(0),x)*x^2
          - 8/5*H(R(0,0),x)
          + 256/5*H(R(0,0),x)*x^-1
          + 14608/45*H(R(0,0),x)*x
          - 384/5*H(R(0,0),x)*x^2
          - 1696/25*H(R(0,0),x)*x^3
          + 136/3*H(R(0,0,0),x)*x
          - 384/5*H(R(0,0,0),x)*x^3
          - 1168/45*H(R(1),x)
          + 128/15*H(R(1),x)*z2*x^-2
          + 64/3*H(R(1),x)*z2*x^-1
          - 1120/9*H(R(1),x)*z2*x
          + 64*H(R(1),x)*z2*x^2
          + 992/15*H(R(1),x)*z2*x^3
          + 128/3*H(R(1),x)*z2
          - 64*H(R(1),x)*z3*x
          - 256/15*H(R(1),x)*x^-1
          + 25744/135*H(R(1),x)*x
          + 416/15*H(R(1),x)*x^2
          + 256/3*H(R(1,-2,0),x)*x
          + 80/3*H(R(1,0),x)
          - 448/3*H(R(1,0),x)*z2*x
          - 184/9*H(R(1,0),x)*x
          - 160/3*H(R(1,0),x)*x^2
          + 784/9*H(R(1,0,0),x)*x
          + 128*H(R(1,0,0,0),x)*x
          + 80/3*H(R(1,1),x)
          - 320/3*H(R(1,1),x)*z2*x
          - 56/9*H(R(1,1),x)*x
          - 64*H(R(1,1,0),x)*x
          + 64/3*H(R(1,1,0),x)*x^2
          + 160/3*H(R(1,1,0),x)*x^3
          - 128/3*H(R(1,1,1),x)*x
          - 64/3*H(R(1,1,1,0),x)*x
          + 64/3*H(R(1,1,2),x)*x
          - 32*H(R(1,2),x)*x
          - 64/3*H(R(1,2),x)*x^2
          - 160/3*H(R(1,2),x)*x^3
          - 64/3*H(R(1,2,0),x)*x
          + 320/3*H(R(1,3),x)*x
          + 224/5*H(R(2),x)
          - 256/3*H(R(2),x)*z2*x
          + 256/15*H(R(2),x)*x^-1
          - 136/5*H(R(2),x)*x
          + 416/15*H(R(2),x)*x^2
          - 208/3*H(R(2,0),x)*x
          + 64/3*H(R(2,0),x)*x^2
          + 160/3*H(R(2,0),x)*x^3
          + 128/3*H(R(2,0,0),x)*x
          - 208/3*H(R(2,1),x)*x
          - 208/3*H(R(3),x)*x
          - 320/3*H(R(3),x)*x^2
          - 1184/15*H(R(3),x)*x^3
          )

       + nf^2*cf * (
          - 304/27
          - 64/9*z2*x
          + 2536/81*x
          - 32/9*H(R(0),x)
          + 800/27*H(R(0),x)*x
          + 32/3*H(R(0,0),x)*x
          - 32/9*H(R(1),x)
          + 400/27*H(R(1),x)*x
          + 32/9*H(R(1,0),x)*x
          + 32/9*H(R(1,1),x)*x
          + 64/9*H(R(2),x)*x
          )

       + cf*ca^2 * (
          - 271972/675
          - 32/5*[1-x]^-2*z2^2
          + 32/5*[1-x]^-1*z2^2
          - 48*[1-x]^-1*z3
          + 168/5*[1+x]^-2*z2^2
          - 168/5*[1+x]^-1*z2^2
          + 32*[1+x]^-1*z3
          - 288*z2*z3*x
          - 784/9*z2*x^-1
          - 53464/45*z2*x
          - 496/15*z2*x^2
          + 4984/25*z2*x^3
          + 13136/45*z2
          + 116*z2^2*x
          - 3008/15*z2^2*x^2
          + 224/5*z2^2*x^3
          + 1136/15*z3*x^-1
          + 8372/15*z3*x
          - 1616/15*z3*x^2
          - 1868/3*z3*x^3
          + 256/5*z3
          - 224*z5*x
          - 51104/225*x^-1
          + 3672316/2025*x
          - 26432/75*x^2
          + 32*H(R(-3,0),x)*[1+x]^-2
          - 32*H(R(-3,0),x)*[1+x]^-1
          + 208/3*H(R(-3,0),x)*x
          - 128/5*H(R(-3,0),x)*x^3
          + 64*H(R(-2),x)*[1-x]^-2*z2
          - 64*H(R(-2),x)*[1-x]^-1*z2
          - 1040/3*H(R(-2),x)*z2*x
          + 256*H(R(-2),x)*z2*x^3
          + 2144/3*H(R(-2,-1,0),x)*x
          - 2544/5*H(R(-2,0),x)
          + 32*H(R(-2,0),x)*[1+x]^-1
          - 1408/15*H(R(-2,0),x)*x^-2
          + 256/15*H(R(-2,0),x)*x^-1
          + 9896/45*H(R(-2,0),x)*x
          - 4496/15*H(R(-2,0),x)*x^2
          - 568/15*H(R(-2,0),x)*x^3
          - 32*H(R(-2,0,0),x)*[1-x]^-2
          + 32*H(R(-2,0,0),x)*[1-x]^-1
          - 16/3*H(R(-2,0,0),x)*x
          - 128*H(R(-2,0,0),x)*x^3
          - 64*H(R(-2,2),x)*[1-x]^-2
          + 64*H(R(-2,2),x)*[1-x]^-1
          + 704*H(R(-2,2),x)*x
          - 256*H(R(-2,2),x)*x^3
          + 64*H(R(-1),x)*[1-x]^-1*z2
          - 568/15*H(R(-1),x)*z2*x^-2
          - 268/3*H(R(-1),x)*z2*x^-1
          - 3544/9*H(R(-1),x)*z2*x
          + 280/3*H(R(-1),x)*z2*x^2
          + 284/5*H(R(-1),x)*z2*x^3
          - 848/3*H(R(-1),x)*z2
          - 64/5*H(R(-1),x)*z2^2*x
          - 128*H(R(-1),x)*z3*x^-2
          - 1600/3*H(R(-1),x)*z3*x
          + 192*H(R(-1),x)*z3*x^3
          - 768*H(R(-1),x)*z3
          - 128*H(R(-1,-3,0),x)*x
          + 512*H(R(-1,-2),x)*z2*x
          + 1216/3*H(R(-1,-2,0),x)*x
          - 256*H(R(-1,-2,0,0),x)*x
          - 512*H(R(-1,-2,2),x)*x
          + 512/3*H(R(-1,-1),x)*z2*x^-2
          + 768*H(R(-1,-1),x)*z2*x
          - 256*H(R(-1,-1),x)*z2*x^3
          + 1024*H(R(-1,-1),x)*z2
          + 768*H(R(-1,-1),x)*z3*x
          - 1024*H(R(-1,-1,-1),x)*z2*x
          - 1024/3*H(R(-1,-1,-1,0),x)*x
          + 512*H(R(-1,-1,-1,0,0),x)*x
          + 1024*H(R(-1,-1,-1,2),x)*x
          - 416/3*H(R(-1,-1,0),x)
          + 640*H(R(-1,-1,0),x)*z2*x
          - 1136/45*H(R(-1,-1,0),x)*x^-2
          - 488/3*H(R(-1,-1,0),x)*x^-1
          + 720*H(R(-1,-1,0),x)*x
          + 976/3*H(R(-1,-1,0),x)*x^2
          + 568/15*H(R(-1,-1,0),x)*x^3
          - 512*H(R(-1,-1,0,0),x)
          - 256/3*H(R(-1,-1,0,0),x)*x^-2
          + 512/3*H(R(-1,-1,0,0),x)*x
          + 128*H(R(-1,-1,0,0),x)*x^3
          - 128*H(R(-1,-1,0,0,0),x)*x
          - 1024*H(R(-1,-1,2),x)
          - 512/3*H(R(-1,-1,2),x)*x^-2
          - 2816/3*H(R(-1,-1,2),x)*x
          + 256*H(R(-1,-1,2),x)*x^3
          - 512*H(R(-1,-1,3),x)*x
          - 3448/3*H(R(-1,0),x)
          - 1408/15*H(R(-1,0),x)*z2*x^-2
          - 1744/3*H(R(-1,0),x)*z2*x
          + 704/5*H(R(-1,0),x)*z2*x^3
          - 640*H(R(-1,0),x)*z2
          - 384*H(R(-1,0),x)*z3*x
          - 28144/225*H(R(-1,0),x)*x^-2
          + 368/45*H(R(-1,0),x)*x^-1
          - 6568/9*H(R(-1,0),x)*x
          - 184/15*H(R(-1,0),x)*x^2
          + 4984/25*H(R(-1,0),x)*x^3
          - 880/3*H(R(-1,0,0),x)
          - 32*H(R(-1,0,0),x)*[1-x]^-1
          - 448*H(R(-1,0,0),x)*z2*x
          - 3088/45*H(R(-1,0,0),x)*x^-2
          + 256/3*H(R(-1,0,0),x)*x^-1
          - 1960/9*H(R(-1,0,0),x)*x
          - 128*H(R(-1,0,0),x)*x^2
          + 1544/15*H(R(-1,0,0),x)*x^3
          + 128*H(R(-1,0,0,0),x)
          + 128/15*H(R(-1,0,0,0),x)*x^-2
          - 368/3*H(R(-1,0,0,0),x)*x
          - 64/5*H(R(-1,0,0,0),x)*x^3
          + 128*H(R(-1,0,0,0,0),x)*x
          + 640/3*H(R(-1,2),x)
          - 64*H(R(-1,2),x)*[1-x]^-1
          + 1136/45*H(R(-1,2),x)*x^-2
          + 8*H(R(-1,2),x)*x^-1
          + 6784/9*H(R(-1,2),x)*x
          + 208/3*H(R(-1,2),x)*x^2
          - 568/15*H(R(-1,2),x)*x^3
          - 64*H(R(-1,2,0,0),x)*x
          + 512*H(R(-1,3),x)
          + 256/3*H(R(-1,3),x)*x^-2
          + 1408/3*H(R(-1,3),x)*x
          - 128*H(R(-1,3),x)*x^3
          + 320*H(R(-1,4),x)*x
          - 33832/225*H(R(0),x)
          - 48*H(R(0),x)*[1-x]^-2*z3
          - 48*H(R(0),x)*[1-x]^-1*z2
          + 48*H(R(0),x)*[1-x]^-1*z3
          + 32*H(R(0),x)*[1+x]^-2*z3
          + 16*H(R(0),x)*[1+x]^-1*z2
          - 32*H(R(0),x)*[1+x]^-1*z3
          + 688/5*H(R(0),x)*z2*x^-1
          + 25264/45*H(R(0),x)*z2*x
          + 3752/15*H(R(0),x)*z2*x^2
          + 1504/15*H(R(0),x)*z2*x^3
          + 8/5*H(R(0),x)*z2
          + 208/3*H(R(0),x)*z3*x
          - 752/3*H(R(0),x)*z3*x^2
          - 568/5*H(R(0),x)*z3*x^3
          + 29984/225*H(R(0),x)*x^-1
          + 1558544/675*H(R(0),x)*x
          - 7984/25*H(R(0),x)*x^2
          - 4256/45*H(R(0,0),x)
          - 48*H(R(0,0),x)*[1-x]^-2*z2
          + 48*H(R(0,0),x)*[1-x]^-1*z2
          + 16*H(R(0,0),x)*[1+x]^-2*z2
          - 16*H(R(0,0),x)*[1+x]^-1*z2
          + 280/3*H(R(0,0),x)*z2*x
          + 752/3*H(R(0,0),x)*z2*x^2
          - 1032/5*H(R(0,0),x)*z2*x^3
          + 3856/45*H(R(0,0),x)*x^-1
          + 58256/45*H(R(0,0),x)*x
          - 4256/15*H(R(0,0),x)*x^2
          - 4984/25*H(R(0,0),x)*x^3
          + 16*H(R(0,0,0),x)*[1-x]^-1
          - 16*H(R(0,0,0),x)*[1+x]^-1
          - 256/15*H(R(0,0,0),x)*x^-1
          + 664/45*H(R(0,0,0),x)*x
          - 1544/15*H(R(0,0,0),x)*x^3
          + 16*H(R(0,0,0,0),x)*[1-x]^-2
          - 16*H(R(0,0,0,0),x)*[1-x]^-1
          - 16*H(R(0,0,0,0),x)*[1+x]^-2
          + 16*H(R(0,0,0,0),x)*[1+x]^-1
          - 208/3*H(R(0,0,0,0),x)*x
          + 128/5*H(R(0,0,0,0),x)*x^3
          - 7624/15*H(R(1),x)
          - 568/45*H(R(1),x)*z2*x^-2
          + 244/3*H(R(1),x)*z2*x^-1
          - 1256/3*H(R(1),x)*z2*x
          + 488/3*H(R(1),x)*z2*x^2
          + 2356/15*H(R(1),x)*z2*x^3
          - 208/3*H(R(1),x)*z2
          + 704/5*H(R(1),x)*z2^2*x
          + 784/15*H(R(1),x)*z3*x^-2
          - 376/3*H(R(1),x)*z3*x^-1
          + 1312/3*H(R(1),x)*z3*x
          - 752/3*H(R(1),x)*z3*x^2
          + 392/5*H(R(1),x)*z3*x^3
          - 160*H(R(1),x)*z3
          - 4288/45*H(R(1),x)*x^-1
          + 205796/135*H(R(1),x)*x
          + 496/15*H(R(1),x)*x^2
          + 128*H(R(1,-3,0),x)*x
          - 512*H(R(1,-2),x)*z2*x
          - 256*H(R(1,-2,0),x)
          - 256/15*H(R(1,-2,0),x)*x^-2
          + 1888/3*H(R(1,-2,0),x)*x
          - 128/5*H(R(1,-2,0),x)*x^3
          + 256*H(R(1,-2,0,0),x)*x
          + 512*H(R(1,-2,2),x)*x
          - 656/15*H(R(1,0),x)*z2*x^-2
          + 376/3*H(R(1,0),x)*z2*x^-1
          - 832/3*H(R(1,0),x)*z2*x
          + 752/3*H(R(1,0),x)*z2*x^2
          - 328/5*H(R(1,0),x)*z2*x^3
          - 96*H(R(1,0),x)*z2
          + 544*H(R(1,0),x)*z3*x
          + 2552/9*H(R(1,0),x)*x
          - 176*H(R(1,0),x)*x^2
          - 536/15*H(R(1,0,0),x)
          + 288*H(R(1,0,0),x)*z2*x
          + 176/5*H(R(1,0,0),x)*x^-1
          + 14608/45*H(R(1,0,0),x)*x
          + 264/5*H(R(1,0,0),x)*x^2
          + 128*H(R(1,0,0,0),x)
          + 128/15*H(R(1,0,0,0),x)*x^-2
          + 368/3*H(R(1,0,0,0),x)*x
          + 64/5*H(R(1,0,0,0),x)*x^3
          - 128*H(R(1,0,0,0,0),x)*x
          - 688/3*H(R(1,1),x)*z2*x
          + 320*H(R(1,1),x)*z3*x
          + 2552/9*H(R(1,1),x)*x
          + 256*H(R(1,1,-2,0),x)*x
          - 64*H(R(1,1,0),x)*z2*x
          - 176/3*H(R(1,1,0),x)*x
          + 176*H(R(1,1,0),x)*x^3
          + 32*H(R(1,1,0,0),x)
          - 176/5*H(R(1,1,0,0),x)*x^-2
          + 376/3*H(R(1,1,0,0),x)*x^-1
          - 160*H(R(1,1,0,0),x)*x
          + 752/3*H(R(1,1,0,0),x)*x^2
          - 264/5*H(R(1,1,0,0),x)*x^3
          - 128*H(R(1,1,0,0,0),x)*x
          - 176/3*H(R(1,1,1,0),x)*x
          - 192*H(R(1,1,1,0,0),x)*x
          + 176/3*H(R(1,1,2),x)*x
          + 192*H(R(1,1,3),x)*x
          + 176/3*H(R(1,2),x)*x
          - 176*H(R(1,2),x)*x^3
          - 176/3*H(R(1,2,0),x)*x
          - 96*H(R(1,2,0,0),x)*x
          - 32*H(R(1,3),x)
          + 176/5*H(R(1,3),x)*x^-2
          - 376/3*H(R(1,3),x)*x^-1
          + 1168/3*H(R(1,3),x)*x
          - 752/3*H(R(1,3),x)*x^2
          + 264/5*H(R(1,3),x)*x^3
          - 160*H(R(1,4),x)*x
          - 13136/45*H(R(2),x)
          - 1072/3*H(R(2),x)*z2*x
          + 160*H(R(2),x)*z3*x
          + 4288/45*H(R(2),x)*x^-1
          + 20624/45*H(R(2),x)*x
          + 496/15*H(R(2),x)*x^2
          - 160*H(R(2,0),x)*z2*x
          + 176*H(R(2,0),x)*x^3
          + 88/3*H(R(2,0,0),x)*x
          + 752/3*H(R(2,0,0),x)*x^2
          - 264/5*H(R(2,0,0),x)*x^3
          - 160*H(R(2,1,0,0),x)*x
          + 160*H(R(2,3),x)*x
          - 8/5*H(R(3),x)
          + 32*H(R(3),x)*[1-x]^-1
          - 1808/15*H(R(3),x)*x^-1
          - 15368/45*H(R(3),x)*x
          - 3752/15*H(R(3),x)*x^2
          - 2072/15*H(R(3),x)*x^3
          + 32*H(R(4),x)*[1-x]^-2
          - 32*H(R(4),x)*[1-x]^-1
          - 24*H(R(4),x)*x
          - 752/3*H(R(4),x)*x^2
          + 904/5*H(R(4),x)*x^3
          )

       + cf^2*ca * (
          - 6712/135
          + 128/5*[1-x]^-2*z2^2
          - 128/5*[1-x]^-1*z2^2
          + 192*[1-x]^-1*z3
          - 672/5*[1+x]^-2*z2^2
          + 672/5*[1+x]^-1*z2^2
          - 128*[1+x]^-1*z3
          + 1056*z2*z3*x
          + 68672/225*z2*x^-1
          + 263044/225*z2*x
          - 24448/75*z2*x^2
          - 7272/25*z2*x^3
          - 146288/225*z2
          - 416*z2^2*x
          + 3584/5*z2^2*x^2
          - 13712/25*z2^2*x^3
          - 1472/15*z3*x^-1
          - 19448/5*z3*x
          + 17632/15*z3*x^2
          + 25496/15*z3*x^3
          - 2176/15*z3
          + 1432*z5*x
          + 39632/75*x^-1
          - 595003/270*x
          + 63688/75*x^2
          + 128*H(R(-3,-1,0),x)*x
          - 128*H(R(-3,0),x)
          - 128*H(R(-3,0),x)*[1+x]^-2
          + 128*H(R(-3,0),x)*[1+x]^-1
          - 736/3*H(R(-3,0),x)*x
          + 576/5*H(R(-3,0),x)*x^3
          - 32*H(R(-3,0,0),x)*x
          + 64*H(R(-3,2),x)*x
          - 256*H(R(-2),x)*[1-x]^-2*z2
          + 256*H(R(-2),x)*[1-x]^-1*z2
          + 384/5*H(R(-2),x)*z2*x^-2
          + 1664*H(R(-2),x)*z2*x
          - 4896/5*H(R(-2),x)*z2*x^3
          + 576*H(R(-2),x)*z2
          + 336*H(R(-2),x)*z3*x
          + 256*H(R(-2,-2,0),x)*x
          - 384*H(R(-2,-1),x)*z2*x
          - 384*H(R(-2,-1,-1,0),x)*x
          + 384*H(R(-2,-1,0),x)
          + 256/5*H(R(-2,-1,0),x)*x^-2
          - 5056/3*H(R(-2,-1,0),x)*x
          - 192/5*H(R(-2,-1,0),x)*x^3
          + 416*H(R(-2,-1,0,0),x)*x
          + 192*H(R(-2,-1,2),x)*x
          + 14368/15*H(R(-2,0),x)
          - 128*H(R(-2,0),x)*[1+x]^-1
          + 224*H(R(-2,0),x)*z2*x
          + 768/5*H(R(-2,0),x)*x^-2
          - 384/5*H(R(-2,0),x)*x^-1
          - 50032/45*H(R(-2,0),x)*x
          + 16384/15*H(R(-2,0),x)*x^2
          + 24592/75*H(R(-2,0),x)*x^3
          - 512*H(R(-2,0,0),x)
          + 128*H(R(-2,0,0),x)*[1-x]^-2
          - 128*H(R(-2,0,0),x)*[1-x]^-1
          - 256/5*H(R(-2,0,0),x)*x^-2
          - 1520/3*H(R(-2,0,0),x)*x
          + 576*H(R(-2,0,0),x)*x^3
          - 192*H(R(-2,0,0,0),x)*x
          - 384*H(R(-2,2),x)
          + 256*H(R(-2,2),x)*[1-x]^-2
          - 256*H(R(-2,2),x)*[1-x]^-1
          - 256/5*H(R(-2,2),x)*x^-2
          - 7520/3*H(R(-2,2),x)*x
          + 960*H(R(-2,2),x)*x^3
          - 96*H(R(-2,3),x)*x
          - 256*H(R(-1),x)*[1-x]^-1*z2
          + 24112/75*H(R(-1),x)*z2*x^-2
          + 5552/15*H(R(-1),x)*z2*x^-1
          + 113992/45*H(R(-1),x)*z2*x
          - 6208/15*H(R(-1),x)*z2*x^2
          - 12296/25*H(R(-1),x)*z2*x^3
          + 10848/5*H(R(-1),x)*z2
          - 816/5*H(R(-1),x)*z2^2*x
          + 512*H(R(-1),x)*z3*x^-2
          + 8456/3*H(R(-1),x)*z3*x
          - 768*H(R(-1),x)*z3*x^3
          + 3056*H(R(-1),x)*z3
          + 576*H(R(-1,-3,0),x)*x
          - 2240*H(R(-1,-2),x)*z2*x
          - 384*H(R(-1,-2,-1,0),x)*x
          + 256*H(R(-1,-2,0),x)
          + 128/5*H(R(-1,-2,0),x)*x^-2
          - 1568/3*H(R(-1,-2,0),x)*x
          - 192/5*H(R(-1,-2,0),x)*x^3
          + 1472*H(R(-1,-2,0,0),x)*x
          + 2048*H(R(-1,-2,2),x)*x
          - 3264/5*H(R(-1,-1),x)*z2*x^-2
          - 11168/3*H(R(-1,-1),x)*z2*x
          + 4896/5*H(R(-1,-1),x)*z2*x^3
          - 3904*H(R(-1,-1),x)*z2
          - 3168*H(R(-1,-1),x)*z3*x
          - 384*H(R(-1,-1,-2,0),x)*x
          + 4032*H(R(-1,-1,-1),x)*z2*x
          + 384*H(R(-1,-1,-1,-1,0),x)*x
          - 256*H(R(-1,-1,-1,0),x)
          - 128/5*H(R(-1,-1,-1,0),x)*x^-2
          + 512/3*H(R(-1,-1,-1,0),x)*x
          + 192/5*H(R(-1,-1,-1,0),x)*x^3
          - 2624*H(R(-1,-1,-1,0,0),x)*x
          - 3840*H(R(-1,-1,-1,2),x)*x
          + 18368/15*H(R(-1,-1,0),x)
          - 2816*H(R(-1,-1,0),x)*z2*x
          + 48224/225*H(R(-1,-1,0),x)*x^-2
          + 8864/15*H(R(-1,-1,0),x)*x^-1
          - 6544/5*H(R(-1,-1,0),x)*x
          - 17536/15*H(R(-1,-1,0),x)*x^2
          - 24592/75*H(R(-1,-1,0),x)*x^3
          + 2400*H(R(-1,-1,0,0),x)
          + 384*H(R(-1,-1,0,0),x)*x^-2
          + 1008*H(R(-1,-1,0,0),x)*x
          - 576*H(R(-1,-1,0,0),x)*x^3
          + 1024*H(R(-1,-1,0,0,0),x)*x
          + 3776*H(R(-1,-1,2),x)
          + 640*H(R(-1,-1,2),x)*x^-2
          + 3808*H(R(-1,-1,2),x)*x
          - 960*H(R(-1,-1,2),x)*x^3
          + 128*H(R(-1,-1,2,0),x)*x
          + 128*H(R(-1,-1,2,1),x)*x
          + 2240*H(R(-1,-1,3),x)*x
          + 183184/75*H(R(-1,0),x)
          + 2112/5*H(R(-1,0),x)*z2*x^-2
          + 7984/3*H(R(-1,0),x)*z2*x
          - 3168/5*H(R(-1,0),x)*z2*x^3
          + 2720*H(R(-1,0),x)*z2
          + 1440*H(R(-1,0),x)*z3*x
          + 30352/225*H(R(-1,0),x)*x^-2
          - 42464/225*H(R(-1,0),x)*x^-1
          + 303112/225*H(R(-1,0),x)*x
          + 18832/75*H(R(-1,0),x)*x^2
          - 7272/25*H(R(-1,0),x)*x^3
          - 1760/3*H(R(-1,0,0),x)
          + 128*H(R(-1,0,0),x)*[1-x]^-1
          + 1792*H(R(-1,0,0),x)*z2*x
          - 13664/225*H(R(-1,0,0),x)*x^-2
          - 384*H(R(-1,0,0),x)*x^-1
          - 6784/9*H(R(-1,0,0),x)*x
          + 576*H(R(-1,0,0),x)*x^2
          + 7312/75*H(R(-1,0,0),x)*x^3
          - 896*H(R(-1,0,0,0),x)
          - 512/5*H(R(-1,0,0,0),x)*x^-2
          - 304*H(R(-1,0,0,0),x)*x
          + 768/5*H(R(-1,0,0,0),x)*x^3
          - 576*H(R(-1,0,0,0,0),x)*x
          - 4672/3*H(R(-1,2),x)
          + 256*H(R(-1,2),x)*[1-x]^-1
          - 64*H(R(-1,2),x)*z2*x
          - 48224/225*H(R(-1,2),x)*x^-2
          - 224/3*H(R(-1,2),x)*x^-1
          - 28688/9*H(R(-1,2),x)*x
          - 512/3*H(R(-1,2),x)*x^2
          + 24592/75*H(R(-1,2),x)*x^3
          - 128*H(R(-1,2,0),x)
          - 128/5*H(R(-1,2,0),x)*x^-2
          - 64*H(R(-1,2,0),x)*x
          + 192/5*H(R(-1,2,0),x)*x^3
          + 256*H(R(-1,2,0,0),x)*x
          - 128*H(R(-1,2,1),x)
          - 128/5*H(R(-1,2,1),x)*x^-2
          - 64*H(R(-1,2,1),x)*x
          + 192/5*H(R(-1,2,1),x)*x^3
          - 2208*H(R(-1,3),x)
          - 384*H(R(-1,3),x)*x^-2
          - 2064*H(R(-1,3),x)*x
          + 576*H(R(-1,3),x)*x^3
          - 64*H(R(-1,3,0),x)*x
          - 64*H(R(-1,3,1),x)*x
          - 1344*H(R(-1,4),x)*x
          - 11192/75*H(R(0),x)
          + 192*H(R(0),x)*[1-x]^-2*z3
          + 192*H(R(0),x)*[1-x]^-1*z2
          - 192*H(R(0),x)*[1-x]^-1*z3
          - 128*H(R(0),x)*[1+x]^-2*z3
          - 64*H(R(0),x)*[1+x]^-1*z2
          + 128*H(R(0),x)*[1+x]^-1*z3
          - 12544/15*H(R(0),x)*z2*x^-1
          - 172904/45*H(R(0),x)*z2*x
          - 6176/5*H(R(0),x)*z2*x^2
          + 27184/75*H(R(0),x)*z2*x^3
          - 896/15*H(R(0),x)*z2
          + 96/5*H(R(0),x)*z2^2*x
          - 3088/3*H(R(0),x)*z3*x
          + 896*H(R(0),x)*z3*x^2
          + 736/5*H(R(0),x)*z3*x^3
          - 24272/75*H(R(0),x)*x^-1
          - 2757916/675*H(R(0),x)*x
          + 91016/75*H(R(0),x)*x^2
          + 50348/225*H(R(0,0),x)
          + 192*H(R(0,0),x)*[1-x]^-2*z2
          - 192*H(R(0,0),x)*[1-x]^-1*z2
          - 64*H(R(0,0),x)*[1+x]^-2*z2
          + 64*H(R(0,0),x)*[1+x]^-1*z2
          - 1504/3*H(R(0,0),x)*z2*x
          - 896*H(R(0,0),x)*z2*x^2
          + 6272/5*H(R(0,0),x)*z2*x^3
          - 64*H(R(0,0),x)*z3*x
          - 3616/225*H(R(0,0),x)*x^-1
          - 293392/225*H(R(0,0),x)*x
          + 69488/75*H(R(0,0),x)*x^2
          + 7272/25*H(R(0,0),x)*x^3
          - 192/5*H(R(0,0,0),x)
          - 64*H(R(0,0,0),x)*[1-x]^-1
          + 64*H(R(0,0,0),x)*[1+x]^-1
          + 128*H(R(0,0,0),x)*x^-1
          + 12380/9*H(R(0,0,0),x)*x
          - 576/5*H(R(0,0,0),x)*x^2
          - 7312/75*H(R(0,0,0),x)*x^3
          - 64*H(R(0,0,0,0),x)*[1-x]^-2
          + 64*H(R(0,0,0,0),x)*[1-x]^-1
          + 64*H(R(0,0,0,0),x)*[1+x]^-2
          - 64*H(R(0,0,0,0),x)*[1+x]^-1
          + 1072/3*H(R(0,0,0,0),x)*x
          - 192*H(R(0,0,0,0),x)*x^3
          + 216376/225*H(R(1),x)
          + 24112/225*H(R(1),x)*z2*x^-2
          - 4432/15*H(R(1),x)*z2*x^-1
          + 1352/5*H(R(1),x)*z2*x
          - 10528/15*H(R(1),x)*z2*x^2
          - 9704/75*H(R(1),x)*z2*x^3
          + 9424/15*H(R(1),x)*z2
          - 976/5*H(R(1),x)*z2^2*x
          - 6208/15*H(R(1),x)*z3*x^-2
          + 448*H(R(1),x)*z3*x^-1
          - 5944/3*H(R(1),x)*z3*x
          + 896*H(R(1),x)*z3*x^2
          - 3104/5*H(R(1),x)*z3*x^3
          + 528*H(R(1),x)*z3
          + 99616/225*H(R(1),x)*x^-1
          - 2012228/675*H(R(1),x)*x
          + 27328/75*H(R(1),x)*x^2
          - 320*H(R(1,-3,0),x)*x
          + 1472*H(R(1,-2),x)*z2*x
          - 128*H(R(1,-2,-1,0),x)*x
          + 768*H(R(1,-2,0),x)
          + 256/5*H(R(1,-2,0),x)*x^-2
          - 5152/3*H(R(1,-2,0),x)*x
          + 384/5*H(R(1,-2,0),x)*x^3
          - 704*H(R(1,-2,0,0),x)*x
          - 1536*H(R(1,-2,2),x)*x
          - 3064/15*H(R(1,0),x)
          + 6208/15*H(R(1,0),x)*z2*x^-2
          - 448*H(R(1,0),x)*z2*x^-1
          + 1232/3*H(R(1,0),x)*z2*x
          - 896*H(R(1,0),x)*z2*x^2
          + 3104/5*H(R(1,0),x)*z2*x^3
          + 672*H(R(1,0),x)*z2
          - 1888*H(R(1,0),x)*z3*x
          - 128/5*H(R(1,0),x)*x^-1
          + 9692/45*H(R(1,0),x)*x
          + 3824/15*H(R(1,0),x)*x^2
          + 784/15*H(R(1,0,0),x)
          - 1344*H(R(1,0,0),x)*z2*x
          - 5632/15*H(R(1,0,0),x)*x^-1
          - 27272/45*H(R(1,0,0),x)*x
          - 2816/5*H(R(1,0,0),x)*x^2
          - 512*H(R(1,0,0,0),x)
          - 128/5*H(R(1,0,0,0),x)*x^-2
          + 112*H(R(1,0,0,0),x)*x
          - 192/5*H(R(1,0,0,0),x)*x^3
          + 576*H(R(1,0,0,0,0),x)*x
          - 3064/15*H(R(1,1),x)
          + 64/5*H(R(1,1),x)*z2*x^-2
          + 512/3*H(R(1,1),x)*z2*x
          + 96/5*H(R(1,1),x)*z2*x^3
          + 128*H(R(1,1),x)*z2
          - 1120*H(R(1,1),x)*z3*x
          - 128/5*H(R(1,1),x)*x^-1
          + 6772/45*H(R(1,1),x)*x
          - 192/5*H(R(1,1),x)*x^2
          - 768*H(R(1,1,-2,0),x)*x
          + 16*H(R(1,1,0),x)
          - 384*H(R(1,1,0),x)*z2*x
          + 528*H(R(1,1,0),x)*x
          - 352/3*H(R(1,1,0),x)*x^2
          - 880/3*H(R(1,1,0),x)*x^3
          + 96*H(R(1,1,0,0),x)
          + 5632/15*H(R(1,1,0,0),x)*x^-2
          - 448*H(R(1,1,0,0),x)*x^-1
          + 2416/3*H(R(1,1,0,0),x)*x
          - 896*H(R(1,1,0,0),x)*x^2
          + 2816/5*H(R(1,1,0,0),x)*x^3
          + 640*H(R(1,1,0,0,0),x)*x
          - 192*H(R(1,1,1),x)*z2*x
          + 1280/3*H(R(1,1,1),x)*x
          + 256/3*H(R(1,1,1,0),x)*x
          + 320*H(R(1,1,1,0,0),x)*x
          - 256/3*H(R(1,1,2),x)*x
          - 192*H(R(1,1,3),x)*x
          - 16*H(R(1,2),x)
          - 192*H(R(1,2),x)*z2*x
          + 384*H(R(1,2),x)*x
          + 352/3*H(R(1,2),x)*x^2
          + 880/3*H(R(1,2),x)*x^3
          + 352/3*H(R(1,2,0),x)*x
          + 192*H(R(1,2,0,0),x)*x
          - 160*H(R(1,3),x)
          - 5632/15*H(R(1,3),x)*x^-2
          + 448*H(R(1,3),x)*x^-1
          - 1008*H(R(1,3),x)*x
          + 896*H(R(1,3),x)*x^2
          - 2816/5*H(R(1,3),x)*x^3
          + 64*H(R(1,3,0),x)*x
          + 64*H(R(1,3,1),x)*x
          + 896*H(R(1,4),x)*x
          + 146288/225*H(R(2),x)
          + 128/5*H(R(2),x)*z2*x^-2
          + 2480/3*H(R(2),x)*z2*x
          + 96/5*H(R(2),x)*z2*x^3
          + 192*H(R(2),x)*z2
          - 816*H(R(2),x)*z3*x
          - 111136/225*H(R(2),x)*x^-1
          + 4452/25*H(R(2),x)*x
          + 24448/75*H(R(2),x)*x^2
          - 64/5*H(R(2,0),x)
          + 160*H(R(2,0),x)*z2*x
          + 128/5*H(R(2,0),x)*x^-1
          + 8648/15*H(R(2,0),x)*x
          - 2336/15*H(R(2,0),x)*x^2
          - 880/3*H(R(2,0),x)*x^3
          + 896/3*H(R(2,0,0),x)*x
          - 896*H(R(2,0,0),x)*x^2
          + 2816/5*H(R(2,0,0),x)*x^3
          + 192*H(R(2,0,0,0),x)*x
          - 64/5*H(R(2,1),x)
          - 192*H(R(2,1),x)*z2*x
          + 128/5*H(R(2,1),x)*x^-1
          + 9848/15*H(R(2,1),x)*x
          - 192/5*H(R(2,1),x)*x^2
          - 16*H(R(2,1,0),x)*x
          + 480*H(R(2,1,0,0),x)*x
          + 16*H(R(2,2),x)*x
          - 288*H(R(2,3),x)*x
          + 896/15*H(R(3),x)
          - 128*H(R(3),x)*[1-x]^-1
          - 64*H(R(3),x)*z2*x
          + 11392/15*H(R(3),x)*x^-1
          + 122872/45*H(R(3),x)*x
          + 6176/5*H(R(3),x)*x^2
          - 864/25*H(R(3),x)*x^3
          + 64*H(R(3,0),x)*x
          - 192/5*H(R(3,0),x)*x^3
          + 32*H(R(3,0,0),x)*x
          + 64*H(R(3,1),x)*x
          - 192/5*H(R(3,1),x)*x^3
          - 128*H(R(4),x)*[1-x]^-2
          + 128*H(R(4),x)*[1-x]^-1
          + 256*H(R(4),x)*x
          + 896*H(R(4),x)*x^2
          - 5696/5*H(R(4),x)*x^3
          )

       + cf^3 * (
          + 22576/225
          - 128/5*[1-x]^-2*z2^2
          + 128/5*[1-x]^-1*z2^2
          - 192*[1-x]^-1*z3
          + 672/5*[1+x]^-2*z2^2
          - 672/5*[1+x]^-1*z2^2
          + 128*[1+x]^-1*z3
          - 960*z2*z3*x
          + 1472/75*z2*x^-1
          + 273332/225*z2*x
          + 6112/25*z2*x^2
          - 5392/25*z2*x^3
          + 39632/75*z2
          + 1824/5*z2^2*x
          - 1280/3*z2^2*x^2
          + 14496/25*z2^2*x^3
          + 2624/15*z3*x^-1
          + 71408/15*z3*x
          - 3968/5*z3*x^2
          - 6304/5*z3*x^3
          + 2912/15*z3
          - 1968*z5*x
          - 33376/225*x^-1
          + 98921/150*x
          - 7216/25*x^2
          - 256*H(R(-3,-1,0),x)*x
          + 256*H(R(-3,0),x)
          + 128*H(R(-3,0),x)*[1+x]^-2
          - 128*H(R(-3,0),x)*[1+x]^-1
          + 640/3*H(R(-3,0),x)*x
          - 128*H(R(-3,0),x)*x^3
          + 64*H(R(-3,0,0),x)*x
          - 128*H(R(-3,2),x)*x
          + 256*H(R(-2),x)*[1-x]^-2*z2
          - 256*H(R(-2),x)*[1-x]^-1*z2
          - 768/5*H(R(-2),x)*z2*x^-2
          - 5824/3*H(R(-2),x)*z2*x
          + 4672/5*H(R(-2),x)*z2*x^3
          - 1152*H(R(-2),x)*z2
          - 672*H(R(-2),x)*z3*x
          - 512*H(R(-2,-2,0),x)*x
          + 768*H(R(-2,-1),x)*z2*x
          + 768*H(R(-2,-1,-1,0),x)*x
          - 768*H(R(-2,-1,0),x)
          - 512/5*H(R(-2,-1,0),x)*x^-2
          + 512*H(R(-2,-1,0),x)*x
          + 384/5*H(R(-2,-1,0),x)*x^3
          - 832*H(R(-2,-1,0,0),x)*x
          - 384*H(R(-2,-1,2),x)*x
          + 1792/15*H(R(-2,0),x)
          + 128*H(R(-2,0),x)*[1+x]^-1
          - 448*H(R(-2,0),x)*z2*x
          + 1024/15*H(R(-2,0),x)*x^-2
          + 256/3*H(R(-2,0),x)*x^-1
          + 1344*H(R(-2,0),x)*x
          - 4928/5*H(R(-2,0),x)*x^2
          - 12608/25*H(R(-2,0),x)*x^3
          + 1024*H(R(-2,0,0),x)
          - 128*H(R(-2,0,0),x)*[1-x]^-2
          + 128*H(R(-2,0,0),x)*[1-x]^-1
          + 512/5*H(R(-2,0,0),x)*x^-2
          + 3104/3*H(R(-2,0,0),x)*x
          - 640*H(R(-2,0,0),x)*x^3
          + 384*H(R(-2,0,0,0),x)*x
          + 768*H(R(-2,2),x)
          - 256*H(R(-2,2),x)*[1-x]^-2
          + 256*H(R(-2,2),x)*[1-x]^-1
          + 512/5*H(R(-2,2),x)*x^-2
          + 6592/3*H(R(-2,2),x)*x
          - 896*H(R(-2,2),x)*x^3
          + 192*H(R(-2,3),x)*x
          + 256*H(R(-1),x)*[1-x]^-1*z2
          - 12288/25*H(R(-1),x)*z2*x^-2
          - 5744/15*H(R(-1),x)*z2*x^-1
          - 17456/5*H(R(-1),x)*z2*x
          + 2272/5*H(R(-1),x)*z2*x^2
          + 18912/25*H(R(-1),x)*z2*x^3
          - 48128/15*H(R(-1),x)*z2
          + 1888/5*H(R(-1),x)*z2^2*x
          - 512*H(R(-1),x)*z3*x^-2
          - 3504*H(R(-1),x)*z3*x
          + 768*H(R(-1),x)*z3*x^3
          - 3040*H(R(-1),x)*z3
          - 640*H(R(-1,-3,0),x)*x
          + 2432*H(R(-1,-2),x)*z2*x
          + 768*H(R(-1,-2,-1,0),x)*x
          - 512*H(R(-1,-2,0),x)
          - 256/5*H(R(-1,-2,0),x)*x^-2
          - 576*H(R(-1,-2,0),x)*x
          + 384/5*H(R(-1,-2,0),x)*x^3
          - 1920*H(R(-1,-2,0,0),x)*x
          - 2048*H(R(-1,-2,2),x)*x
          + 9344/15*H(R(-1,-1),x)*z2*x^-2
          + 13120/3*H(R(-1,-1),x)*z2*x
          - 4672/5*H(R(-1,-1),x)*z2*x^3
          + 3712*H(R(-1,-1),x)*z2
          + 3264*H(R(-1,-1),x)*z3*x
          + 768*H(R(-1,-1,-2,0),x)*x
          - 3968*H(R(-1,-1,-1),x)*z2*x
          - 768*H(R(-1,-1,-1,-1,0),x)*x
          + 512*H(R(-1,-1,-1,0),x)
          + 256/5*H(R(-1,-1,-1,0),x)*x^-2
          + 1024*H(R(-1,-1,-1,0),x)*x
          - 384/5*H(R(-1,-1,-1,0),x)*x^3
          + 3200*H(R(-1,-1,-1,0,0),x)*x
          + 3584*H(R(-1,-1,-1,2),x)*x
          - 9472/5*H(R(-1,-1,0),x)
          + 3072*H(R(-1,-1,0),x)*z2*x
          - 8192/25*H(R(-1,-1,0),x)*x^-2
          - 2656/5*H(R(-1,-1,0),x)*x^-1
          - 1312/5*H(R(-1,-1,0),x)*x
          + 5184/5*H(R(-1,-1,0),x)*x^2
          + 12608/25*H(R(-1,-1,0),x)*x^3
          - 2752*H(R(-1,-1,0,0),x)
          - 1280/3*H(R(-1,-1,0,0),x)*x^-2
          - 8096/3*H(R(-1,-1,0,0),x)*x
          + 640*H(R(-1,-1,0,0),x)*x^3
          - 1536*H(R(-1,-1,0,0,0),x)*x
          - 3456*H(R(-1,-1,2),x)
          - 1792/3*H(R(-1,-1,2),x)*x^-2
          - 11584/3*H(R(-1,-1,2),x)*x
          + 896*H(R(-1,-1,2),x)*x^3
          - 256*H(R(-1,-1,2,0),x)*x
          - 256*H(R(-1,-1,2,1),x)*x
          - 2432*H(R(-1,-1,3),x)*x
          - 21568/75*H(R(-1,0),x)
          - 1408/3*H(R(-1,0),x)*z2*x^-2
          - 8992/3*H(R(-1,0),x)*z2*x
          + 704*H(R(-1,0),x)*z2*x^3
          - 2880*H(R(-1,0),x)*z2
          - 1344*H(R(-1,0),x)*z3*x
          + 51872/225*H(R(-1,0),x)*x^-2
          + 25856/75*H(R(-1,0),x)*x^-1
          + 50576/225*H(R(-1,0),x)*x
          - 11328/25*H(R(-1,0),x)*x^2
          - 5392/25*H(R(-1,0),x)*x^3
          + 7040/3*H(R(-1,0,0),x)
          - 128*H(R(-1,0,0),x)*[1-x]^-1
          - 1792*H(R(-1,0,0),x)*z2*x
          + 29696/75*H(R(-1,0,0),x)*x^-2
          + 1280/3*H(R(-1,0,0),x)*x^-1
          + 7136/3*H(R(-1,0,0),x)*x
          - 640*H(R(-1,0,0),x)*x^2
          - 15168/25*H(R(-1,0,0),x)*x^3
          + 1280*H(R(-1,0,0,0),x)
          + 512/3*H(R(-1,0,0,0),x)*x^-2
          + 3296/3*H(R(-1,0,0,0),x)*x
          - 256*H(R(-1,0,0,0),x)*x^3
          + 640*H(R(-1,0,0,0,0),x)*x
          + 6784/3*H(R(-1,2),x)
          - 256*H(R(-1,2),x)*[1-x]^-1
          + 128*H(R(-1,2),x)*z2*x
          + 8192/25*H(R(-1,2),x)*x^-2
          + 352/3*H(R(-1,2),x)*x^-1
          + 3360*H(R(-1,2),x)*x
          + 64*H(R(-1,2),x)*x^2
          - 12608/25*H(R(-1,2),x)*x^3
          + 256*H(R(-1,2,0),x)
          + 256/5*H(R(-1,2,0),x)*x^-2
          + 128*H(R(-1,2,0),x)*x
          - 384/5*H(R(-1,2,0),x)*x^3
          - 256*H(R(-1,2,0,0),x)*x
          + 256*H(R(-1,2,1),x)
          + 256/5*H(R(-1,2,1),x)*x^-2
          + 128*H(R(-1,2,1),x)*x
          - 384/5*H(R(-1,2,1),x)*x^3
          + 2368*H(R(-1,3),x)
          + 1280/3*H(R(-1,3),x)*x^-2
          + 6752/3*H(R(-1,3),x)*x
          - 640*H(R(-1,3),x)*x^3
          + 128*H(R(-1,3,0),x)*x
          + 128*H(R(-1,3,1),x)*x
          + 1408*H(R(-1,4),x)*x
          + 7208/45*H(R(0),x)
          - 192*H(R(0),x)*[1-x]^-2*z3
          - 192*H(R(0),x)*[1-x]^-1*z2
          + 192*H(R(0),x)*[1-x]^-1*z3
          + 128*H(R(0),x)*[1+x]^-2*z3
          + 64*H(R(0),x)*[1+x]^-1*z2
          - 128*H(R(0),x)*[1+x]^-1*z3
          + 12608/15*H(R(0),x)*z2*x^-1
          + 65776/15*H(R(0),x)*z2*x
          + 4064/5*H(R(0),x)*z2*x^2
          - 25216/25*H(R(0),x)*z2*x^3
          + 3424/15*H(R(0),x)*z2
          - 192/5*H(R(0),x)*z2^2*x
          + 4336/3*H(R(0),x)*z3*x
          - 1600/3*H(R(0),x)*z3*x^2
          - 1312/5*H(R(0),x)*z3*x^3
          + 25696/225*H(R(0),x)*x^-1
          + 161464/75*H(R(0),x)*x
          - 15248/25*H(R(0),x)*x^2
          - 9632/75*H(R(0,0),x)
          - 192*H(R(0,0),x)*[1-x]^-2*z2
          + 192*H(R(0,0),x)*[1-x]^-1*z2
          + 64*H(R(0,0),x)*[1+x]^-2*z2
          - 64*H(R(0,0),x)*[1+x]^-1*z2
          + 1648/3*H(R(0,0),x)*z2*x
          + 1600/3*H(R(0,0),x)*z2*x^2
          - 6304/5*H(R(0,0),x)*z2*x^3
          + 128*H(R(0,0),x)*z3*x
          - 23296/75*H(R(0,0),x)*x^-1
          - 267356/225*H(R(0,0),x)*x
          - 7392/25*H(R(0,0),x)*x^2
          + 5392/25*H(R(0,0),x)*x^3
          + 184/5*H(R(0,0,0),x)
          + 64*H(R(0,0,0),x)*[1-x]^-1
          - 64*H(R(0,0,0),x)*[1+x]^-1
          - 2816/15*H(R(0,0,0),x)*x^-1
          - 32632/15*H(R(0,0,0),x)*x
          + 1152/5*H(R(0,0,0),x)*x^2
          + 15168/25*H(R(0,0,0),x)*x^3
          + 64*H(R(0,0,0,0),x)*[1-x]^-2
          - 64*H(R(0,0,0,0),x)*[1-x]^-1
          - 64*H(R(0,0,0,0),x)*[1+x]^-2
          + 64*H(R(0,0,0,0),x)*[1+x]^-1
          - 1048/3*H(R(0,0,0,0),x)*x
          + 1408/5*H(R(0,0,0,0),x)*x^3
          - 85864/75*H(R(1),x)
          - 4096/25*H(R(1),x)*z2*x^-2
          + 1328/5*H(R(1),x)*z2*x^-1
          + 2576/5*H(R(1),x)*z2*x
          + 2592/5*H(R(1),x)*z2*x^2
          - 6304/25*H(R(1),x)*z2*x^3
          - 4256/5*H(R(1),x)*z2
          - 864/5*H(R(1),x)*z2^2*x
          + 5056/15*H(R(1),x)*z3*x^-2
          - 800/3*H(R(1),x)*z3*x^-1
          + 5392/3*H(R(1),x)*z3*x
          - 1600/3*H(R(1),x)*z3*x^2
          + 2528/5*H(R(1),x)*z3*x^3
          - 416*H(R(1),x)*z3
          - 5568/25*H(R(1),x)*x^-1
          + 146464/75*H(R(1),x)*x
          - 8032/25*H(R(1),x)*x^2
          + 128*H(R(1,-3,0),x)*x
          - 896*H(R(1,-2),x)*z2*x
          + 256*H(R(1,-2,-1,0),x)*x
          - 512*H(R(1,-2,0),x)
          - 512/15*H(R(1,-2,0),x)*x^-2
          + 2752/3*H(R(1,-2,0),x)*x
          - 256/5*H(R(1,-2,0),x)*x^3
          + 384*H(R(1,-2,0,0),x)*x
          + 1024*H(R(1,-2,2),x)*x
          + 896/5*H(R(1,0),x)
          - 1856/5*H(R(1,0),x)*z2*x^-2
          + 800/3*H(R(1,0),x)*z2*x^-1
          + 160*H(R(1,0),x)*z2*x
          + 1600/3*H(R(1,0),x)*z2*x^2
          - 2784/5*H(R(1,0),x)*z2*x^3
          - 960*H(R(1,0),x)*z2
          + 1600*H(R(1,0),x)*z3*x
          + 256/5*H(R(1,0),x)*x^-1
          - 1916/5*H(R(1,0),x)*x
          + 384/5*H(R(1,0),x)*x^2
          - 272/5*H(R(1,0,0),x)
          + 1536*H(R(1,0,0),x)*z2*x
          + 4928/15*H(R(1,0,0),x)*x^-1
          + 5656/15*H(R(1,0,0),x)*x
          + 2464/5*H(R(1,0,0),x)*x^2
          + 512*H(R(1,0,0,0),x)
          + 256/15*H(R(1,0,0,0),x)*x^-2
          - 1664/3*H(R(1,0,0,0),x)*x
          + 128/5*H(R(1,0,0,0),x)*x^3
          - 640*H(R(1,0,0,0,0),x)*x
          + 736/5*H(R(1,1),x)
          - 128/5*H(R(1,1),x)*z2*x^-2
          + 320*H(R(1,1),x)*z2*x
          - 192/5*H(R(1,1),x)*z2*x^3
          - 256*H(R(1,1),x)*z2
          + 960*H(R(1,1),x)*z3*x
          + 256/5*H(R(1,1),x)*x^-1
          - 1716/5*H(R(1,1),x)*x
          + 384/5*H(R(1,1),x)*x^2
          + 512*H(R(1,1,-2,0),x)*x
          - 128*H(R(1,1,0),x)
          + 1024*H(R(1,1,0),x)*z2*x
          - 304*H(R(1,1,0),x)*x
          - 320*H(R(1,1,0,0),x)
          - 4928/15*H(R(1,1,0,0),x)*x^-2
          + 800/3*H(R(1,1,0,0),x)*x^-1
          - 1856/3*H(R(1,1,0,0),x)*x
          + 1600/3*H(R(1,1,0,0),x)*x^2
          - 2464/5*H(R(1,1,0,0),x)*x^3
          - 768*H(R(1,1,0,0,0),x)*x
          - 96*H(R(1,1,1),x)
          + 384*H(R(1,1,1),x)*z2*x
          - 336*H(R(1,1,1),x)*x
          + 256*H(R(1,1,1,0),x)*x
          + 128*H(R(1,1,1,0,0),x)*x
          + 192*H(R(1,1,1,1),x)*x
          + 192*H(R(1,1,2),x)*x
          - 384*H(R(1,1,3),x)*x
          - 96*H(R(1,2),x)
          + 384*H(R(1,2),x)*z2*x
          - 384*H(R(1,2),x)*x
          + 192*H(R(1,2,0),x)*x
          + 224*H(R(1,2,1),x)*x
          + 448*H(R(1,3),x)
          + 4928/15*H(R(1,3),x)*x^-2
          - 800/3*H(R(1,3),x)*x^-1
          + 1760/3*H(R(1,3),x)*x
          - 1600/3*H(R(1,3),x)*x^2
          + 2464/5*H(R(1,3),x)*x^3
          - 128*H(R(1,3,0),x)*x
          - 128*H(R(1,3,1),x)*x
          - 1152*H(R(1,4),x)*x
          - 39632/75*H(R(2),x)
          - 256/5*H(R(2),x)*z2*x^-2
          - 544*H(R(2),x)*z2*x
          - 192/5*H(R(2),x)*z2*x^3
          - 384*H(R(2),x)*z2
          + 992*H(R(2),x)*z3*x
          + 8128/25*H(R(2),x)*x^-1
          - 74252/75*H(R(2),x)*x
          - 6112/25*H(R(2),x)*x^2
          - 272/5*H(R(2,0),x)
          + 320*H(R(2,0),x)*z2*x
          - 256/5*H(R(2,0),x)*x^-1
          - 1792/5*H(R(2,0),x)*x
          + 384/5*H(R(2,0),x)*x^2
          - 944/3*H(R(2,0,0),x)*x
          + 1600/3*H(R(2,0,0),x)*x^2
          - 2464/5*H(R(2,0,0),x)*x^3
          - 384*H(R(2,0,0,0),x)*x
          - 352/5*H(R(2,1),x)
          + 384*H(R(2,1),x)*z2*x
          - 256/5*H(R(2,1),x)*x^-1
          - 2512/5*H(R(2,1),x)*x
          + 384/5*H(R(2,1),x)*x^2
          + 320*H(R(2,1,0),x)*x
          - 320*H(R(2,1,0,0),x)*x
          + 288*H(R(2,1,1),x)*x
          + 288*H(R(2,2),x)*x
          - 64*H(R(2,3),x)*x
          - 3424/15*H(R(3),x)
          + 128*H(R(3),x)*[1-x]^-1
          + 128*H(R(3),x)*z2*x
          - 3776/5*H(R(3),x)*x^-1
          - 45616/15*H(R(3),x)*x
          - 4064/5*H(R(3),x)*x^2
          + 12608/25*H(R(3),x)*x^3
          + 112*H(R(3,0),x)*x
          + 384/5*H(R(3,0),x)*x^3
          - 64*H(R(3,0,0),x)*x
          + 192*H(R(3,1),x)*x
          + 384/5*H(R(3,1),x)*x^3
          + 128*H(R(4),x)*[1-x]^-2
          - 128*H(R(4),x)*[1-x]^-1
          - 336*H(R(4),x)*x
          - 1600/3*H(R(4),x)*x^2
          + 5664/5*H(R(4),x)*x^3
          )

       + [dabc^2/n] * (
          + 256*z2*z3*fl11*x
          + 2048/3*z2*fl11*x^-1
          + 10112/15*z2*fl11*x
          - 512*z2*fl11*x^2
          - 3328/5*z2*fl11*x^3
          - 9088/15*z2*fl11
          + 576/5*z2^2*fl11*x
          + 2048/5*z2^2*fl11*x^2
          - 3072/25*z2^2*fl11*x^3
          + 4096/15*z3*fl11*x^-1
          - 23488/15*z3*fl11*x
          + 896/5*z3*fl11*x^2
          - 1280*z3*fl11*x^3
          - 4864/15*z3*fl11
          + 2560*z5*fl11*x
          + 512/5*fl11*x^-1
          - 1152/5*fl11*x
          + 768/5*fl11*x^2
          - 768/5*fl11
          - 896/3*H(R(-2),x)*z2*fl11*x
          + 2048/5*H(R(-2),x)*z2*fl11*x^3
          + 256*H(R(-2,-1,0),x)*fl11*x
          + 256/3*H(R(-2,0),x)*fl11*x
          - 768*H(R(-2,0),x)*fl11*x^2
          - 512*H(R(-2,0),x)*fl11*x^3
          + 256/3*H(R(-2,0,0),x)*fl11*x
          - 1024/5*H(R(-2,0,0),x)*fl11*x^3
          + 1280/3*H(R(-2,2),x)*fl11*x
          - 2048/5*H(R(-2,2),x)*fl11*x^3
          - 512*H(R(-1),x)*z2*fl11*x^-2
          - 1216/15*H(R(-1),x)*z2*fl11*x^-1
          + 3136/5*H(R(-1),x)*z2*fl11*x
          + 128/5*H(R(-1),x)*z2*fl11*x^2
          + 768*H(R(-1),x)*z2*fl11*x^3
          - 3712/15*H(R(-1),x)*z2*fl11
          - 2048/5*H(R(-1),x)*z2^2*fl11*x
          - 1024/5*H(R(-1),x)*z3*fl11*x^-2
          - 512*H(R(-1),x)*z3*fl11*x
          + 1536/5*H(R(-1),x)*z3*fl11*x^3
          + 4096/15*H(R(-1,-1),x)*z2*fl11*x^-2
          + 2048/3*H(R(-1,-1),x)*z2*fl11*x
          - 2048/5*H(R(-1,-1),x)*z2*fl11*x^3
          - 1024/3*H(R(-1,-1,0),x)*fl11*x^-2
          - 384*H(R(-1,-1,0),x)*fl11*x^-1
          + 128/3*H(R(-1,-1,0),x)*fl11*x
          + 768*H(R(-1,-1,0),x)*fl11*x^2
          + 512*H(R(-1,-1,0),x)*fl11*x^3
          - 256*H(R(-1,-1,0),x)*fl11
          - 2048/15*H(R(-1,-1,0,0),x)*fl11*x^-2
          - 1024/3*H(R(-1,-1,0,0),x)*fl11*x
          + 1024/5*H(R(-1,-1,0,0),x)*fl11*x^3
          - 4096/15*H(R(-1,-1,2),x)*fl11*x^-2
          - 2048/3*H(R(-1,-1,2),x)*fl11*x
          + 2048/5*H(R(-1,-1,2),x)*fl11*x^3
          - 2048/15*H(R(-1,0),x)*z2*fl11*x^-2
          - 1408/3*H(R(-1,0),x)*z2*fl11*x
          + 1024/5*H(R(-1,0),x)*z2*fl11*x^3
          - 512*H(R(-1,0),x)*z3*fl11*x
          + 6656/15*H(R(-1,0),x)*fl11*x^-2
          + 1024/3*H(R(-1,0),x)*fl11*x^-1
          - 1664/3*H(R(-1,0),x)*fl11*x
          - 512*H(R(-1,0),x)*fl11*x^2
          - 3328/5*H(R(-1,0),x)*fl11*x^3
          + 256/3*H(R(-1,0),x)*fl11
          + 512*H(R(-1,0,0),x)*z2*fl11*x
          + 1024/3*H(R(-1,0,0),x)*fl11*x^-2
          + 2048/15*H(R(-1,0,0),x)*fl11*x^-1
          - 4864/15*H(R(-1,0,0),x)*fl11*x
          - 1024/5*H(R(-1,0,0),x)*fl11*x^2
          - 512*H(R(-1,0,0),x)*fl11*x^3
          + 2816/15*H(R(-1,0,0),x)*fl11
          + 128*H(R(-1,0,0,0),x)*fl11*x
          + 1024/3*H(R(-1,2),x)*fl11*x^-2
          - 1664/15*H(R(-1,2),x)*fl11*x^-1
          - 9088/15*H(R(-1,2),x)*fl11*x
          + 1792/5*H(R(-1,2),x)*fl11*x^2
          - 512*H(R(-1,2),x)*fl11*x^3
          + 1792/15*H(R(-1,2),x)*fl11
          + 512*H(R(-1,2,0,0),x)*fl11*x
          + 2048/15*H(R(-1,3),x)*fl11*x^-2
          + 1024/3*H(R(-1,3),x)*fl11*x
          - 1024/5*H(R(-1,3),x)*fl11*x^3
          - 512*H(R(-1,4),x)*fl11*x
          - 640/3*H(R(0),x)*z2*fl11*x
          + 1792/5*H(R(0),x)*z2*fl11*x^2
          - 1024*H(R(0),x)*z2*fl11*x^3
          + 1792/15*H(R(0),x)*z2*fl11
          + 512/3*H(R(0),x)*z3*fl11*x
          + 512*H(R(0),x)*z3*fl11*x^2
          - 2048/5*H(R(0),x)*z3*fl11*x^3
          - 512/5*H(R(0),x)*fl11*x^-1
          - 896/5*H(R(0),x)*fl11*x
          + 3328/5*H(R(0),x)*fl11*x^2
          - 512/15*H(R(0),x)*fl11
          - 512*H(R(0,0),x)*z2*fl11*x^2
          - 1024/3*H(R(0,0),x)*fl11*x^-1
          - 6272/15*H(R(0,0),x)*fl11*x
          + 512*H(R(0,0),x)*fl11*x^2
          + 3328/5*H(R(0,0),x)*fl11*x^3
          + 512/3*H(R(0,0),x)*fl11
          - 256/3*H(R(0,0,0),x)*fl11*x
          + 512*H(R(0,0,0),x)*fl11*x^3
          - 512/3*H(R(1),x)*z2*fl11*x^-2
          + 192*H(R(1),x)*z2*fl11*x^-1
          - 64/3*H(R(1),x)*z2*fl11*x
          + 384*H(R(1),x)*z2*fl11*x^2
          - 256*H(R(1),x)*z2*fl11*x^3
          - 128*H(R(1),x)*z2*fl11
          - 1024/15*H(R(1),x)*z3*fl11*x^-2
          + 256*H(R(1),x)*z3*fl11*x^-1
          + 896/3*H(R(1),x)*z3*fl11*x
          + 512*H(R(1),x)*z3*fl11*x^2
          - 512/5*H(R(1),x)*z3*fl11*x^3
          - 512*H(R(1),x)*z3*fl11
          + 1024/3*H(R(1),x)*fl11*x^-1
          - 1152/5*H(R(1),x)*fl11*x
          + 512*H(R(1),x)*fl11*x^2
          - 9344/15*H(R(1),x)*fl11
          + 256*H(R(1,-2,0),x)*fl11*x
          + 2048/15*H(R(1,0),x)*z2*fl11*x^-2
          - 256*H(R(1,0),x)*z2*fl11*x^-1
          + 128/3*H(R(1,0),x)*z2*fl11*x
          - 512*H(R(1,0),x)*z2*fl11*x^2
          + 1024/5*H(R(1,0),x)*z2*fl11*x^3
          + 512*H(R(1,0),x)*z2*fl11
          - 2048/15*H(R(1,0,0),x)*fl11*x^-1
          + 128/5*H(R(1,0,0),x)*fl11*x
          - 1024/5*H(R(1,0,0),x)*fl11*x^2
          + 2816/15*H(R(1,0,0),x)*fl11
          - 128*H(R(1,0,0,0),x)*fl11*x
          + 2048/15*H(R(1,1,0,0),x)*fl11*x^-2
          - 256*H(R(1,1,0,0),x)*fl11*x^-1
          - 256/3*H(R(1,1,0,0),x)*fl11*x
          - 512*H(R(1,1,0,0),x)*fl11*x^2
          + 1024/5*H(R(1,1,0,0),x)*fl11*x^3
          + 512*H(R(1,1,0,0),x)*fl11
          - 2048/15*H(R(1,3),x)*fl11*x^-2
          + 256*H(R(1,3),x)*fl11*x^-1
          + 256/3*H(R(1,3),x)*fl11*x
          + 512*H(R(1,3),x)*fl11*x^2
          - 1024/5*H(R(1,3),x)*fl11*x^3
          - 512*H(R(1,3),x)*fl11
          - 128*H(R(2),x)*z2*fl11*x
          - 512*H(R(2),x)*z3*fl11*x
          - 1024/3*H(R(2),x)*fl11*x^-1
          - 6144/5*H(R(2),x)*fl11*x
          + 512*H(R(2),x)*fl11*x^2
          + 9088/15*H(R(2),x)*fl11
          + 512*H(R(2,0),x)*z2*fl11*x
          - 256/3*H(R(2,0,0),x)*fl11*x
          - 512*H(R(2,0,0),x)*fl11*x^2
          + 1024/5*H(R(2,0,0),x)*fl11*x^3
          + 512*H(R(2,1,0,0),x)*fl11*x
          - 512*H(R(2,3),x)*fl11*x
          + 896/3*H(R(3),x)*fl11*x
          - 1792/5*H(R(3),x)*fl11*x^2
          + 512*H(R(3),x)*fl11*x^3
          - 1792/15*H(R(3),x)*fl11
          + 512*H(R(4),x)*fl11*x^2
          );

L   XcLgg3 =

       + flg11*[dabc^2/n]*cOlNA^-1*cOlNR * (
          - 17152/225
          - 512/75*[1-x]^-3*z2^2
          + 512/75*[1-x]^-2*z2^2
          - 256/5*[1-x]^-2*z3
          - 128/15*[1-x]^-1*z2
          + 128/5*[1-x]^-1*z3
          + 896/25*[1+x]^-3*z2^2
          - 896/25*[1+x]^-2*z2^2
          + 512/15*[1+x]^-2*z3
          + 128/15*[1+x]^-1*z2
          - 256/15*[1+x]^-1*z3
          + 28672/225*z2*x^-1
          - 6144/25*z2*x
          - 128768/75*z2*x^2
          - 768/5*z2*x^3
          + 36352/225*z2
          + 36992/75*z2^2*x
          - 60928/75*z2^2*x^2
          + 28672/25*z2^2*x^3
          + 3584/15*z3*x^-1
          - 8576/45*z3*x
          - 57472/45*z3*x^2
          - 12544/15*z3*x^3
          + 384*z3
          + 6784/225*x^-1
          - 20352/25*x
          + 21504/25*x^2
          + 512/15*H(R(-3,0),x)*[1+x]^-3
          - 512/15*H(R(-3,0),x)*[1+x]^-2
          - 2048/15*H(R(-3,0),x)*x
          + 16384/15*H(R(-3,0),x)*x^2
          + 1024/15*H(R(-2),x)*[1-x]^-3*z2
          - 1024/15*H(R(-2),x)*[1-x]^-2*z2
          - 4096/5*H(R(-2),x)*z2*x
          + 15872/15*H(R(-2),x)*z2*x^2
          + 2048/15*H(R(-2,-1,0),x)*x
          - 1024/15*H(R(-2,-1,0),x)*x^2
          - 256/15*H(R(-2,0),x)
          + 512/15*H(R(-2,0),x)*[1+x]^-2
          - 256/15*H(R(-2,0),x)*[1+x]^-1
          - 6656/45*H(R(-2,0),x)*x
          - 18944/9*H(R(-2,0),x)*x^2
          - 25088/75*H(R(-2,0),x)*x^3
          - 512/15*H(R(-2,0,0),x)*[1-x]^-3
          + 512/15*H(R(-2,0,0),x)*[1-x]^-2
          + 5632/15*H(R(-2,0,0),x)*x
          - 512*H(R(-2,0,0),x)*x^2
          - 1024/15*H(R(-2,2),x)*[1-x]^-3
          + 1024/15*H(R(-2,2),x)*[1-x]^-2
          + 13312/15*H(R(-2,2),x)*x
          - 16384/15*H(R(-2,2),x)*x^2
          + 1024/15*H(R(-1),x)*[1-x]^-2*z2
          - 512/15*H(R(-1),x)*[1-x]^-1*z2
          + 6272/75*H(R(-1),x)*z2*x^-2
          + 4096/45*H(R(-1),x)*z2*x^-1
          + 1408/15*H(R(-1),x)*z2*x
          - 256/9*H(R(-1),x)*z2*x^2
          + 12544/25*H(R(-1),x)*z2*x^3
          + 9472/15*H(R(-1),x)*z2
          + 512*H(R(-1),x)*z3*x
          + 512*H(R(-1),x)*z3*x^2
          + 512*H(R(-1,-2,0),x)*x
          + 512*H(R(-1,-2,0),x)*x^2
          - 512*H(R(-1,-1),x)*z2*x
          - 512*H(R(-1,-1),x)*z2*x^2
          - 1024*H(R(-1,-1,-1,0),x)*x
          - 1024*H(R(-1,-1,-1,0),x)*x^2
          + 6656/15*H(R(-1,-1,0),x)
          + 12544/225*H(R(-1,-1,0),x)*x^-2
          - 8192/45*H(R(-1,-1,0),x)*x^-1
          + 110336/45*H(R(-1,-1,0),x)*x
          + 18944/9*H(R(-1,-1,0),x)*x^2
          + 25088/75*H(R(-1,-1,0),x)*x^3
          + 512*H(R(-1,-1,0,0),x)*x
          + 512*H(R(-1,-1,0,0),x)*x^2
          - 71936/75*H(R(-1,0),x)
          + 256/15*H(R(-1,0),x)*[1+x]^-1
          + 512*H(R(-1,0),x)*z2*x
          + 512*H(R(-1,0),x)*z2*x^2
          - 128/5*H(R(-1,0),x)*x^-2
          - 12544/225*H(R(-1,0),x)*x^-1
          - 316928/225*H(R(-1,0),x)*x
          - 47488/75*H(R(-1,0),x)*x^2
          - 768/5*H(R(-1,0),x)*x^3
          - 1280/3*H(R(-1,0,0),x)
          - 512/15*H(R(-1,0,0),x)*[1-x]^-2
          + 256/15*H(R(-1,0,0),x)*[1-x]^-1
          - 12544/225*H(R(-1,0,0),x)*x^-2
          - 29696/45*H(R(-1,0,0),x)*x
          - 512*H(R(-1,0,0),x)*x^2
          - 25088/75*H(R(-1,0,0),x)*x^3
          - 512*H(R(-1,0,0,0),x)*x
          - 512*H(R(-1,0,0,0),x)*x^2
          - 2048/5*H(R(-1,2),x)
          - 1024/15*H(R(-1,2),x)*[1-x]^-2
          + 512/15*H(R(-1,2),x)*[1-x]^-1
          - 12544/225*H(R(-1,2),x)*x^-2
          - 8192/45*H(R(-1,2),x)*x^-1
          + 50944/45*H(R(-1,2),x)*x
          + 9728/9*H(R(-1,2),x)*x^2
          - 25088/75*H(R(-1,2),x)*x^3
          - 1664/75*H(R(0),x)
          - 256/5*H(R(0),x)*[1-x]^-3*z3
          - 256/5*H(R(0),x)*[1-x]^-2*z2
          + 256/5*H(R(0),x)*[1-x]^-2*z3
          + 128/5*H(R(0),x)*[1-x]^-1*z2
          + 512/15*H(R(0),x)*[1+x]^-3*z3
          + 256/15*H(R(0),x)*[1+x]^-2*z2
          - 512/15*H(R(0),x)*[1+x]^-2*z3
          - 128/15*H(R(0),x)*[1+x]^-1*z2
          - 128/15*H(R(0),x)*[1+x]^-1
          - 3584/15*H(R(0),x)*z2*x^-1
          - 50176/45*H(R(0),x)*z2*x
          + 113152/45*H(R(0),x)*z2*x^2
          - 50176/75*H(R(0),x)*z2*x^3
          - 1792/5*H(R(0),x)*z2
          + 768*H(R(0),x)*z3*x
          - 27392/15*H(R(0),x)*z3*x^2
          + 7168/5*H(R(0),x)*z3*x^3
          - 6784/225*H(R(0),x)*x^-1
          - 147968/225*H(R(0),x)*x
          + 25472/15*H(R(0),x)*x^2
          + 22528/225*H(R(0,0),x)
          - 256/5*H(R(0,0),x)*[1-x]^-3*z2
          + 256/5*H(R(0,0),x)*[1-x]^-2*z2
          + 256/15*H(R(0,0),x)*[1+x]^-3*z2
          - 256/15*H(R(0,0),x)*[1+x]^-2*z2
          - 128/15*H(R(0,0),x)*[1+x]^-1
          - 1792/5*H(R(0,0),x)*z2*x
          + 25856/15*H(R(0,0),x)*z2*x^2
          - 7168/5*H(R(0,0),x)*z2*x^3
          + 12544/225*H(R(0,0),x)*x^-1
          + 82816/75*H(R(0,0),x)*x
          + 45568/75*H(R(0,0),x)*x^2
          + 768/5*H(R(0,0),x)*x^3
          + 256/15*H(R(0,0,0),x)*[1-x]^-2
          - 128/15*H(R(0,0,0),x)*[1-x]^-1
          - 256/15*H(R(0,0,0),x)*[1+x]^-2
          + 128/15*H(R(0,0,0),x)*[1+x]^-1
          + 6656/45*H(R(0,0,0),x)*x
          + 25088/75*H(R(0,0,0),x)*x^3
          + 256/15*H(R(0,0,0,0),x)*[1-x]^-3
          - 256/15*H(R(0,0,0,0),x)*[1-x]^-2
          - 256/15*H(R(0,0,0,0),x)*[1+x]^-3
          + 256/15*H(R(0,0,0,0),x)*[1+x]^-2
          + 2048/15*H(R(0,0,0,0),x)*x
          + 2944/25*H(R(1),x)
          + 6272/225*H(R(1),x)*z2*x^-2
          + 4096/45*H(R(1),x)*z2*x^-1
          - 55168/45*H(R(1),x)*z2*x
          + 9472/9*H(R(1),x)*z2*x^2
          - 12544/75*H(R(1),x)*z2*x^3
          + 3328/15*H(R(1),x)*z2
          + 6144/5*H(R(1),x)*z2^2*x
          - 6144/5*H(R(1),x)*z2^2*x^2
          - 3584/15*H(R(1),x)*z3*x^-2
          - 256*H(R(1),x)*z3*x^-1
          + 1792/3*H(R(1),x)*z3*x
          - 768*H(R(1),x)*z3*x^2
          + 7168/5*H(R(1),x)*z3*x^3
          - 768*H(R(1),x)*z3
          + 41216/225*H(R(1),x)*x^-1
          - 490496/225*H(R(1),x)*x
          + 46976/25*H(R(1),x)*x^2
          - 512*H(R(1,-2,0),x)*x
          + 512*H(R(1,-2,0),x)*x^2
          + 3584/15*H(R(1,0),x)*z2*x^-2
          + 256*H(R(1,0),x)*z2*x^-1
          - 9472/3*H(R(1,0),x)*z2*x
          + 3328*H(R(1,0),x)*z2*x^2
          - 7168/5*H(R(1,0),x)*z2*x^3
          + 768*H(R(1,0),x)*z2
          + 1536*H(R(1,0),x)*z3*x
          - 1536*H(R(1,0),x)*z3*x^2
          - 1408*H(R(1,0),x)*x
          + 1408*H(R(1,0),x)*x^2
          - 5632/15*H(R(1,0,0),x)
          - 1536*H(R(1,0,0),x)*z2*x
          + 1536*H(R(1,0,0),x)*z2*x^2
          - 3584/15*H(R(1,0,0),x)*x^-1
          - 1536/5*H(R(1,0,0),x)*x
          + 4608/5*H(R(1,0,0),x)*x^2
          + 512*H(R(1,0,0,0),x)*x
          - 512*H(R(1,0,0,0),x)*x^2
          - 512*H(R(1,1),x)*z2*x
          + 512*H(R(1,1),x)*z2*x^2
          + 3072*H(R(1,1),x)*z3*x
          - 3072*H(R(1,1),x)*z3*x^2
          - 2816*H(R(1,1),x)*x
          + 2816*H(R(1,1),x)*x^2
          - 3072*H(R(1,1,0),x)*z2*x
          + 3072*H(R(1,1,0),x)*z2*x^2
          + 768*H(R(1,1,0,0),x)
          + 3584/15*H(R(1,1,0,0),x)*x^-2
          + 256*H(R(1,1,0,0),x)*x^-1
          - 6400/3*H(R(1,1,0,0),x)*x
          + 2304*H(R(1,1,0,0),x)*x^2
          - 7168/5*H(R(1,1,0,0),x)*x^3
          - 3072*H(R(1,1,1,0,0),x)*x
          + 3072*H(R(1,1,1,0,0),x)*x^2
          + 3072*H(R(1,1,3),x)*x
          - 3072*H(R(1,1,3),x)*x^2
          - 1536*H(R(1,2,0,0),x)*x
          + 1536*H(R(1,2,0,0),x)*x^2
          - 768*H(R(1,3),x)
          - 3584/15*H(R(1,3),x)*x^-2
          - 256*H(R(1,3),x)*x^-1
          + 7936/3*H(R(1,3),x)*x
          - 2816*H(R(1,3),x)*x^2
          + 7168/5*H(R(1,3),x)*x^3
          + 1536*H(R(1,4),x)*x
          - 1536*H(R(1,4),x)*x^2
          - 36352/225*H(R(2),x)
          - 1024/15*H(R(2),x)*z2*x
          - 512/15*H(R(2),x)*z2*x^2
          + 1536*H(R(2),x)*z3*x
          - 1536*H(R(2),x)*z3*x^2
          - 41216/225*H(R(2),x)*x^-1
          - 261632/225*H(R(2),x)*x
          + 128768/75*H(R(2),x)*x^2
          - 1536*H(R(2,0),x)*z2*x
          + 1536*H(R(2,0),x)*z2*x^2
          - 1792/3*H(R(2,0,0),x)*x
          + 2304*H(R(2,0,0),x)*x^2
          - 7168/5*H(R(2,0,0),x)*x^3
          - 1536*H(R(2,1,0,0),x)*x
          + 1536*H(R(2,1,0,0),x)*x^2
          + 1536*H(R(2,3),x)*x
          - 1536*H(R(2,3),x)*x^2
          + 1792/5*H(R(3),x)
          + 512/15*H(R(3),x)*[1-x]^-2
          - 256/15*H(R(3),x)*[1-x]^-1
          + 3584/15*H(R(3),x)*x^-1
          + 8704/9*H(R(3),x)*x
          - 113152/45*H(R(3),x)*x^2
          + 25088/75*H(R(3),x)*x^3
          + 512/15*H(R(4),x)*[1-x]^-3
          - 512/15*H(R(4),x)*[1-x]^-2
          + 3328/15*H(R(4),x)*x
          - 25856/15*H(R(4),x)*x^2
          + 7168/5*H(R(4),x)*x^3
          )

       + nf*cf*ca * (
          - 137812/675
          + 256*z2*z3*x
          + 20896/225*z2*x^-1
          - 123824/675*z2*x
          - 38208/25*z2*x^2
          + 117472/225*z2*x^3
          - 46304/225*z2
          - 3712/15*z2^2*x
          + 14176/15*z2^2*x^2
          + 320*z2^2*x^3
          + 1984/15*z3*x^-1
          - 121616/45*z3*x
          + 69248/45*z3*x^2
          + 7648/15*z3*x^3
          - 416/5*z3
          + 3920*z5*x
          + 100592/675*x^-1
          - 84264/25*x
          + 2312348/675*x^2
          - 256*H(R(-3,-1,0),x)*x
          - 128*H(R(-3,0),x)
          - 128*H(R(-3,0),x)*x
          + 2432/3*H(R(-3,0),x)*x^2
          + 1024/5*H(R(-3,0),x)*x^3
          + 64*H(R(-3,0,0),x)*x
          - 128*H(R(-3,2),x)*x
          - 128/5*H(R(-2),x)*z2*x^-2
          - 1056*H(R(-2),x)*z2*x
          - 800/3*H(R(-2),x)*z2*x^2
          - 2688/5*H(R(-2),x)*z2*x^3
          + 192*H(R(-2),x)*z2
          - 224*H(R(-2),x)*z3*x
          - 256*H(R(-2,-2,0),x)*x
          + 256*H(R(-2,-1),x)*z2*x
          + 256*H(R(-2,-1,-1,0),x)*x
          + 128*H(R(-2,-1,0),x)
          - 256/15*H(R(-2,-1,0),x)*x^-2
          - 1856*H(R(-2,-1,0),x)*x
          - 1472/3*H(R(-2,-1,0),x)*x^2
          - 256/5*H(R(-2,-1,0),x)*x^3
          - 448*H(R(-2,-1,0,0),x)*x
          - 128*H(R(-2,-1,2),x)*x
          - 3264/5*H(R(-2,0),x)
          - 192*H(R(-2,0),x)*z2*x
          + 1792/45*H(R(-2,0),x)*x^-2
          + 512/15*H(R(-2,0),x)*x^-1
          - 17728/45*H(R(-2,0),x)*x
          + 51392/45*H(R(-2,0),x)*x^2
          + 25856/75*H(R(-2,0),x)*x^3
          - 256*H(R(-2,0,0),x)
          + 256/15*H(R(-2,0,0),x)*x^-2
          + 2656/3*H(R(-2,0,0),x)*x
          + 512*H(R(-2,0,0),x)*x^2
          + 384*H(R(-2,0,0),x)*x^3
          + 256*H(R(-2,0,0,0),x)*x
          - 128*H(R(-2,2),x)
          + 256/15*H(R(-2,2),x)*x^-2
          + 128*H(R(-2,2),x)*x
          + 64/3*H(R(-2,2),x)*x^2
          + 512*H(R(-2,2),x)*x^3
          + 64*H(R(-2,3),x)*x
          - 5584/75*H(R(-1),x)*z2*x^-2
          - 2192/45*H(R(-1),x)*z2*x^-1
          + 26032/15*H(R(-1),x)*z2*x
          + 10048/45*H(R(-1),x)*z2*x^2
          - 12928/25*H(R(-1),x)*z2*x^3
          + 5104/5*H(R(-1),x)*z2
          - 3072/5*H(R(-1),x)*z2^2*x
          - 3072/5*H(R(-1),x)*z2^2*x^2
          - 224/3*H(R(-1),x)*z3*x^-2
          + 112/3*H(R(-1),x)*z3*x
          - 448*H(R(-1),x)*z3*x^2
          - 448*H(R(-1),x)*z3*x^3
          + 112*H(R(-1),x)*z3
          + 128*H(R(-1,-2,0),x)
          - 128/15*H(R(-1,-2,0),x)*x^-2
          - 640/3*H(R(-1,-2,0),x)*x
          - 384*H(R(-1,-2,0),x)*x^2
          - 256/5*H(R(-1,-2,0),x)*x^3
          + 448/5*H(R(-1,-1),x)*z2*x^-2
          - 64*H(R(-1,-1),x)*z2*x
          + 512*H(R(-1,-1),x)*z2*x^2
          + 2688/5*H(R(-1,-1),x)*z2*x^3
          - 128*H(R(-1,-1),x)*z2
          - 128*H(R(-1,-1,-1,0),x)
          + 128/15*H(R(-1,-1,-1,0),x)*x^-2
          + 1024/3*H(R(-1,-1,-1,0),x)*x
          + 512*H(R(-1,-1,-1,0),x)*x^2
          + 256/5*H(R(-1,-1,-1,0),x)*x^3
          + 13664/15*H(R(-1,-1,0),x)
          - 11168/225*H(R(-1,-1,0),x)*x^-2
          - 224/45*H(R(-1,-1,0),x)*x^-1
          - 6688/45*H(R(-1,-1,0),x)*x
          - 61184/45*H(R(-1,-1,0),x)*x^2
          - 25856/75*H(R(-1,-1,0),x)*x^3
          + 224*H(R(-1,-1,0,0),x)
          - 64*H(R(-1,-1,0,0),x)*x^-2
          - 96*H(R(-1,-1,0,0),x)*x
          - 640*H(R(-1,-1,0,0),x)*x^2
          - 384*H(R(-1,-1,0,0),x)*x^3
          + 64*H(R(-1,-1,2),x)
          - 256/3*H(R(-1,-1,2),x)*x^-2
          + 704/3*H(R(-1,-1,2),x)*x
          - 256*H(R(-1,-1,2),x)*x^2
          - 512*H(R(-1,-1,2),x)*x^3
          - 388144/225*H(R(-1,0),x)
          - 1216/15*H(R(-1,0),x)*z2*x^-2
          + 1216/3*H(R(-1,0),x)*z2*x
          - 96*H(R(-1,0),x)*z2*x^2
          - 2432/5*H(R(-1,0),x)*z2*x^3
          + 96*H(R(-1,0),x)*z2
          - 768*H(R(-1,0),x)*z3*x
          - 768*H(R(-1,0),x)*z3*x^2
          + 62416/675*H(R(-1,0),x)*x^-2
          + 4928/225*H(R(-1,0),x)*x^-1
          - 1862192/675*H(R(-1,0),x)*x
          - 43664/75*H(R(-1,0),x)*x^2
          + 117472/225*H(R(-1,0),x)*x^3
          - 992*H(R(-1,0,0),x)
          + 768*H(R(-1,0,0),x)*z2*x
          + 768*H(R(-1,0,0),x)*z2*x^2
          + 20128/225*H(R(-1,0,0),x)*x^-2
          + 128/3*H(R(-1,0,0),x)*x^-1
          - 12512/9*H(R(-1,0,0),x)*x
          + 416/3*H(R(-1,0,0),x)*x^2
          + 14592/25*H(R(-1,0,0),x)*x^3
          - 128*H(R(-1,0,0,0),x)
          + 192/5*H(R(-1,0,0,0),x)*x^-2
          - 224*H(R(-1,0,0,0),x)*x
          + 96*H(R(-1,0,0,0),x)*x^2
          + 1152/5*H(R(-1,0,0,0),x)*x^3
          - 1696/3*H(R(-1,2),x)
          + 11168/225*H(R(-1,2),x)*x^-2
          + 416/9*H(R(-1,2),x)*x^-1
          - 16288/9*H(R(-1,2),x)*x
          - 8128/9*H(R(-1,2),x)*x^2
          + 25856/75*H(R(-1,2),x)*x^3
          + 128/15*H(R(-1,2,0),x)*x^-2
          - 128/3*H(R(-1,2,0),x)*x
          + 256/5*H(R(-1,2,0),x)*x^3
          + 768*H(R(-1,2,0,0),x)*x
          + 768*H(R(-1,2,0,0),x)*x^2
          + 128/15*H(R(-1,2,1),x)*x^-2
          - 128/3*H(R(-1,2,1),x)*x
          + 256/5*H(R(-1,2,1),x)*x^3
          - 32*H(R(-1,3),x)
          + 64*H(R(-1,3),x)*x^-2
          - 224*H(R(-1,3),x)*x
          + 128*H(R(-1,3),x)*x^2
          + 384*H(R(-1,3),x)*x^3
          - 768*H(R(-1,4),x)*x
          - 768*H(R(-1,4),x)*x^2
          - 6572/135*H(R(0),x)
          + 448/15*H(R(0),x)*z2*x^-1
          - 3824/15*H(R(0),x)*z2*x
          - 33488/45*H(R(0),x)*z2*x^2
          + 60512/75*H(R(0),x)*z2*x^3
          - 1232/15*H(R(0),x)*z2
          - 192/5*H(R(0),x)*z2^2*x
          + 2208*H(R(0),x)*z3*x
          + 2624/3*H(R(0),x)*z3*x^2
          + 5248/5*H(R(0),x)*z3*x^3
          - 40432/675*H(R(0),x)*x^-1
          - 231856/75*H(R(0),x)*x
          + 703408/225*H(R(0),x)*x^2
          - 1336/225*H(R(0,0),x)
          + 224*H(R(0,0),x)*z2*x
          - 2240/3*H(R(0,0),x)*z2*x^2
          + 896/5*H(R(0,0),x)*z2*x^3
          + 128*H(R(0,0),x)*z3*x
          - 12448/225*H(R(0,0),x)*x^-1
          - 123328/675*H(R(0,0),x)*x
          + 41728/25*H(R(0,0),x)*x^2
          - 117472/225*H(R(0,0),x)*x^3
          + 464/5*H(R(0,0,0),x)
          - 256/5*H(R(0,0,0),x)*x^-1
          - 2352/5*H(R(0,0,0),x)*x
          + 192/5*H(R(0,0,0),x)*x^2
          - 14592/25*H(R(0,0,0),x)*x^3
          - 1312/3*H(R(0,0,0,0),x)*x
          - 1536/5*H(R(0,0,0,0),x)*x^3
          - 28892/225*H(R(1),x)
          - 5584/225*H(R(1),x)*z2*x^-2
          + 112/45*H(R(1),x)*z2*x^-1
          + 10064/45*H(R(1),x)*z2*x
          - 43312/45*H(R(1),x)*z2*x^2
          + 21728/75*H(R(1),x)*z2*x^3
          + 7072/15*H(R(1),x)*z2
          - 1504/15*H(R(1),x)*z3*x^-2
          + 128*H(R(1),x)*z3*x^-1
          - 2800/3*H(R(1),x)*z3*x
          + 544*H(R(1),x)*z3*x^2
          + 3008/5*H(R(1),x)*z3*x^3
          - 240*H(R(1),x)*z3
          + 7936/75*H(R(1),x)*x^-1
          - 737108/225*H(R(1),x)*x
          + 742192/225*H(R(1),x)*x^2
          - 128/5*H(R(1,-2,0),x)*x^-2
          - 576*H(R(1,-2,0),x)*x
          + 448*H(R(1,-2,0),x)*x^2
          + 768/5*H(R(1,-2,0),x)*x^3
          - 864/5*H(R(1,0),x)
          + 256/5*H(R(1,0),x)*z2*x^-2
          - 128*H(R(1,0),x)*z2*x^-1
          + 448*H(R(1,0),x)*z2*x
          - 608*H(R(1,0),x)*z2*x^2
          - 1536/5*H(R(1,0),x)*z2*x^3
          + 544*H(R(1,0),x)*z2
          + 608/15*H(R(1,0),x)*x^-1
          - 17968/15*H(R(1,0),x)*x
          + 19952/15*H(R(1,0),x)*x^2
          - 3392/15*H(R(1,0,0),x)
          - 704/15*H(R(1,0,0),x)*x^-1
          - 2176/5*H(R(1,0,0),x)*x
          + 10624/15*H(R(1,0,0),x)*x^2
          - 128*H(R(1,0,0,0),x)
          + 64/5*H(R(1,0,0,0),x)*x^-2
          + 96*H(R(1,0,0,0),x)*x
          + 96*H(R(1,0,0,0),x)*x^2
          - 384/5*H(R(1,0,0,0),x)*x^3
          - 864/5*H(R(1,1),x)
          - 64/15*H(R(1,1),x)*z2*x^-2
          + 512/3*H(R(1,1),x)*z2*x
          - 256*H(R(1,1),x)*z2*x^2
          + 128/5*H(R(1,1),x)*z2*x^3
          + 64*H(R(1,1),x)*z2
          + 608/15*H(R(1,1),x)*x^-1
          - 22208/15*H(R(1,1),x)*x
          + 8064/5*H(R(1,1),x)*x^2
          - 48*H(R(1,1,0),x)
          - 896/3*H(R(1,1,0),x)*x
          + 688/3*H(R(1,1,0),x)*x^2
          + 352/3*H(R(1,1,0),x)*x^3
          + 416*H(R(1,1,0,0),x)
          + 1024/15*H(R(1,1,0,0),x)*x^-2
          - 128*H(R(1,1,0,0),x)*x^-1
          + 1312/3*H(R(1,1,0,0),x)*x
          - 384*H(R(1,1,0,0),x)*x^2
          - 2048/5*H(R(1,1,0,0),x)*x^3
          - 16*H(R(1,1,1),x)
          - 208*H(R(1,1,1),x)*x
          + 224*H(R(1,1,1),x)*x^2
          - 16*H(R(1,2),x)
          - 448/3*H(R(1,2),x)*x
          + 848/3*H(R(1,2),x)*x^2
          - 352/3*H(R(1,2),x)*x^3
          - 480*H(R(1,3),x)
          - 1024/15*H(R(1,3),x)*x^-2
          + 128*H(R(1,3),x)*x^-1
          - 1888/3*H(R(1,3),x)*x
          + 640*H(R(1,3),x)*x^2
          + 2048/5*H(R(1,3),x)*x^3
          + 46304/225*H(R(2),x)
          - 128/15*H(R(2),x)*z2*x^-2
          + 960*H(R(2),x)*z2*x
          - 736/3*H(R(2),x)*z2*x^2
          + 128/5*H(R(2),x)*z2*x^3
          + 64*H(R(2),x)*z2
          - 480*H(R(2),x)*z3*x
          - 768*H(R(2),x)*z3*x^2
          - 15968/225*H(R(2),x)*x^-1
          - 64384/25*H(R(2),x)*x
          + 38208/25*H(R(2),x)*x^2
          + 64/15*H(R(2,0),x)
          + 1088*H(R(2,0),x)*z2*x
          + 768*H(R(2,0),x)*z2*x^2
          - 128/15*H(R(2,0),x)*x^-1
          - 4192/5*H(R(2,0),x)*x
          + 1232/15*H(R(2,0),x)*x^2
          + 352/3*H(R(2,0),x)*x^3
          - 3488/3*H(R(2,0,0),x)*x
          - 512*H(R(2,0,0),x)*x^2
          - 2048/5*H(R(2,0,0),x)*x^3
          - 256*H(R(2,0,0,0),x)*x
          + 64/15*H(R(2,1),x)
          + 128*H(R(2,1),x)*z2*x
          - 128/15*H(R(2,1),x)*x^-1
          - 12656/15*H(R(2,1),x)*x
          + 1024/5*H(R(2,1),x)*x^2
          - 96*H(R(2,1,0),x)*x
          + 832*H(R(2,1,0,0),x)*x
          + 768*H(R(2,1,0,0),x)*x^2
          - 32*H(R(2,1,1),x)*x
          - 32*H(R(2,2),x)*x
          - 960*H(R(2,3),x)*x
          - 768*H(R(2,3),x)*x^2
          + 1232/15*H(R(3),x)
          + 128*H(R(3),x)*z2*x
          + 64/15*H(R(3),x)*x^-1
          - 6256/45*H(R(3),x)*x
          + 33488/45*H(R(3),x)*x^2
          - 11552/25*H(R(3),x)*x^3
          - 640/3*H(R(3,0),x)*x
          - 256/5*H(R(3,0),x)*x^3
          - 64*H(R(3,0,0),x)*x
          - 640/3*H(R(3,1),x)*x
          - 256/5*H(R(3,1),x)*x^3
          - 352*H(R(4),x)*x
          + 2240/3*H(R(4),x)*x^2
          + 128/5*H(R(4),x)*x^3
          )

       + nf*cf^2 * (
          + 1504/75
          - 128*z2*z3*x
          - 2368/45*z2*x^-1
          + 56872/45*z2*x
          - 2944/15*z2*x^2
          - 17056/75*z2*x^3
          + 3856/15*z2
          + 1888/5*z2^2*x
          - 2624/3*z2^2*x^2
          - 8448/25*z2^2*x^3
          - 1472/15*z3*x^-1
          + 127408/45*z3*x
          - 63008/45*z3*x^2
          - 704/3*z3*x^3
          + 4448/15*z3
          - 4000*z5*x
          - 1392/25*x^-1
          + 134096/75*x
          - 43808/25*x^2
          + 512*H(R(-3,-1,0),x)*x
          + 256*H(R(-3,0),x)
          - 256/3*H(R(-3,0),x)*x
          - 2816/3*H(R(-3,0),x)*x^2
          - 512/5*H(R(-3,0),x)*x^3
          - 128*H(R(-3,0,0),x)*x
          + 256*H(R(-3,2),x)*x
          + 3904/3*H(R(-2),x)*z2*x
          + 2048/3*H(R(-2),x)*z2*x^2
          + 1024/5*H(R(-2),x)*z2*x^3
          - 384*H(R(-2),x)*z2
          + 448*H(R(-2),x)*z3*x
          + 512*H(R(-2,-2,0),x)*x
          - 512*H(R(-2,-1),x)*z2*x
          - 512*H(R(-2,-1,-1,0),x)*x
          - 256*H(R(-2,-1,0),x)
          + 4736/3*H(R(-2,-1,0),x)*x
          + 2048/3*H(R(-2,-1,0),x)*x^2
          + 896*H(R(-2,-1,0,0),x)*x
          + 256*H(R(-2,-1,2),x)*x
          + 12352/15*H(R(-2,0),x)
          + 384*H(R(-2,0),x)*z2*x
          - 256/15*H(R(-2,0),x)*x^-2
          - 256/15*H(R(-2,0),x)*x^-1
          + 2944/45*H(R(-2,0),x)*x
          - 51392/45*H(R(-2,0),x)*x^2
          - 1408/15*H(R(-2,0),x)*x^3
          + 512*H(R(-2,0,0),x)
          - 3904/3*H(R(-2,0,0),x)*x
          - 1024*H(R(-2,0,0),x)*x^2
          - 512/5*H(R(-2,0,0),x)*x^3
          - 512*H(R(-2,0,0,0),x)*x
          + 256*H(R(-2,2),x)
          - 512*H(R(-2,2),x)*x
          - 1024/3*H(R(-2,2),x)*x^2
          - 1024/5*H(R(-2,2),x)*x^3
          - 128*H(R(-2,3),x)*x
          + 352/15*H(R(-1),x)*z2*x^-2
          + 896/45*H(R(-1),x)*z2*x^-1
          - 28256/15*H(R(-1),x)*z2*x
          - 21664/45*H(R(-1),x)*z2*x^2
          + 704/5*H(R(-1),x)*z2*x^3
          - 18976/15*H(R(-1),x)*z2
          + 3072/5*H(R(-1),x)*z2^2*x
          + 3072/5*H(R(-1),x)*z2^2*x^2
          + 128/5*H(R(-1),x)*z3*x^-2
          + 288*H(R(-1),x)*z3*x
          + 640*H(R(-1),x)*z3*x^2
          + 768/5*H(R(-1),x)*z3*x^3
          - 224*H(R(-1),x)*z3
          - 256*H(R(-1,-2,0),x)
          + 256*H(R(-1,-2,0),x)*x
          + 512*H(R(-1,-2,0),x)*x^2
          - 512/15*H(R(-1,-1),x)*z2*x^-2
          - 1024/3*H(R(-1,-1),x)*z2*x
          - 768*H(R(-1,-1),x)*z2*x^2
          - 1024/5*H(R(-1,-1),x)*z2*x^3
          + 256*H(R(-1,-1),x)*z2
          + 256*H(R(-1,-1,-1,0),x)
          - 256*H(R(-1,-1,-1,0),x)*x
          - 512*H(R(-1,-1,-1,0),x)*x^2
          - 2752/3*H(R(-1,-1,0),x)
          + 704/45*H(R(-1,-1,0),x)*x^-2
          + 256/9*H(R(-1,-1,0),x)*x^-1
          + 1984/9*H(R(-1,-1,0),x)*x
          + 11200/9*H(R(-1,-1,0),x)*x^2
          + 1408/15*H(R(-1,-1,0),x)*x^3
          - 448*H(R(-1,-1,0,0),x)
          + 256/15*H(R(-1,-1,0,0),x)*x^-2
          + 1472/3*H(R(-1,-1,0,0),x)*x
          + 1024*H(R(-1,-1,0,0),x)*x^2
          + 512/5*H(R(-1,-1,0,0),x)*x^3
          - 128*H(R(-1,-1,2),x)
          + 512/15*H(R(-1,-1,2),x)*x^-2
          + 640/3*H(R(-1,-1,2),x)*x
          + 512*H(R(-1,-1,2),x)*x^2
          + 1024/5*H(R(-1,-1,2),x)*x^3
          + 78944/45*H(R(-1,0),x)
          + 128/5*H(R(-1,0),x)*z2*x^-2
          + 64*H(R(-1,0),x)*z2*x
          + 384*H(R(-1,0),x)*z2*x^2
          + 768/5*H(R(-1,0),x)*z2*x^3
          - 192*H(R(-1,0),x)*z2
          + 768*H(R(-1,0),x)*z3*x
          + 768*H(R(-1,0),x)*z3*x^2
          - 8368/225*H(R(-1,0),x)*x^-2
          + 64/45*H(R(-1,0),x)*x^-1
          + 107024/45*H(R(-1,0),x)*x
          + 2176/5*H(R(-1,0),x)*x^2
          - 17056/75*H(R(-1,0),x)*x^3
          + 22528/15*H(R(-1,0,0),x)
          - 768*H(R(-1,0,0),x)*z2*x
          - 768*H(R(-1,0,0),x)*z2*x^2
          - 1472/45*H(R(-1,0,0),x)*x^-2
          - 256/15*H(R(-1,0,0),x)*x^-1
          + 66784/45*H(R(-1,0,0),x)*x
          - 992/5*H(R(-1,0,0),x)*x^2
          - 2944/15*H(R(-1,0,0),x)*x^3
          + 256*H(R(-1,0,0,0),x)
          - 128/15*H(R(-1,0,0,0),x)*x^-2
          - 256/3*H(R(-1,0,0,0),x)*x
          - 384*H(R(-1,0,0,0),x)*x^2
          - 256/5*H(R(-1,0,0,0),x)*x^3
          + 4032/5*H(R(-1,2),x)
          - 704/45*H(R(-1,2),x)*x^-2
          - 256/45*H(R(-1,2),x)*x^-1
          + 89728/45*H(R(-1,2),x)*x
          + 49664/45*H(R(-1,2),x)*x^2
          - 1408/15*H(R(-1,2),x)*x^3
          - 768*H(R(-1,2,0,0),x)*x
          - 768*H(R(-1,2,0,0),x)*x^2
          + 64*H(R(-1,3),x)
          - 256/15*H(R(-1,3),x)*x^-2
          - 320/3*H(R(-1,3),x)*x
          - 256*H(R(-1,3),x)*x^2
          - 512/5*H(R(-1,3),x)*x^3
          + 768*H(R(-1,4),x)*x
          + 768*H(R(-1,4),x)*x^2
          + 2296/225*H(R(0),x)
          + 64/3*H(R(0),x)*z2*x^-1
          + 8224/9*H(R(0),x)*z2*x
          + 30656/45*H(R(0),x)*z2*x^2
          - 2816/15*H(R(0),x)*z2*x^3
          + 64/15*H(R(0),x)*z2
          + 384/5*H(R(0),x)*z2^2*x
          - 1696*H(R(0),x)*z3*x
          - 2624/3*H(R(0),x)*z3*x^2
          - 2944/5*H(R(0),x)*z3*x^3
          + 2896/75*H(R(0),x)*x^-1
          + 294116/225*H(R(0),x)*x
          - 32768/25*H(R(0),x)*x^2
          - 500/9*H(R(0,0),x)
          - 32*H(R(0,0),x)*z2*x
          + 2240/3*H(R(0,0),x)*z2*x^2
          + 128*H(R(0,0),x)*z2*x^3
          - 256*H(R(0,0),x)*z3*x
          + 704/45*H(R(0,0),x)*x^-1
          - 8900/9*H(R(0,0),x)*x
          - 48*H(R(0,0),x)*x^2
          + 17056/75*H(R(0,0),x)*x^3
          - 40*H(R(0,0,0),x)
          + 256/15*H(R(0,0,0),x)*x^-1
          - 16864/45*H(R(0,0,0),x)*x
          + 352*H(R(0,0,0),x)*x^2
          + 2944/15*H(R(0,0,0),x)*x^3
          + 496/3*H(R(0,0,0,0),x)*x
          + 512/5*H(R(0,0,0,0),x)*x^3
          + 6604/45*H(R(1),x)
          + 352/45*H(R(1),x)*z2*x^-2
          - 128/9*H(R(1),x)*z2*x^-1
          - 128/9*H(R(1),x)*z2*x
          + 3872/9*H(R(1),x)*z2*x^2
          - 704/15*H(R(1),x)*z2*x^3
          - 1088/3*H(R(1),x)*z2
          + 1088/15*H(R(1),x)*z3*x^-2
          - 128*H(R(1),x)*z3*x^-1
          + 2144/3*H(R(1),x)*z3*x
          - 320*H(R(1),x)*z3*x^2
          - 2176/5*H(R(1),x)*z3*x^3
          + 96*H(R(1),x)*z3
          - 2432/45*H(R(1),x)*x^-1
          + 70036/45*H(R(1),x)*x
          - 24736/15*H(R(1),x)*x^2
          + 256/15*H(R(1,-2,0),x)*x^-2
          + 1024/3*H(R(1,-2,0),x)*x
          - 256*H(R(1,-2,0),x)*x^2
          - 512/5*H(R(1,-2,0),x)*x^3
          + 104*H(R(1,0),x)
          - 704/15*H(R(1,0),x)*z2*x^-2
          + 128*H(R(1,0),x)*z2*x^-1
          - 1856/3*H(R(1,0),x)*z2*x
          + 960*H(R(1,0),x)*z2*x^2
          + 1408/5*H(R(1,0),x)*z2*x^3
          - 704*H(R(1,0),x)*z2
          - 56*H(R(1,0),x)*x
          - 48*H(R(1,0),x)*x^2
          - 1264/15*H(R(1,0,0),x)
          + 832/15*H(R(1,0,0),x)*x^-1
          + 528/5*H(R(1,0,0),x)*x
          - 384/5*H(R(1,0,0),x)*x^2
          + 256*H(R(1,0,0,0),x)
          - 128/15*H(R(1,0,0,0),x)*x^-2
          + 256/3*H(R(1,0,0,0),x)*x
          - 384*H(R(1,0,0,0),x)*x^2
          + 256/5*H(R(1,0,0,0),x)*x^3
          + 88*H(R(1,1),x)
          - 128*H(R(1,1),x)*z2*x
          + 256*H(R(1,1),x)*z2*x^2
          - 128*H(R(1,1),x)*z2
          + 40*H(R(1,1),x)*x
          - 128*H(R(1,1),x)*x^2
          - 64*H(R(1,1,0),x)
          - 64*H(R(1,1,0),x)*x
          + 128*H(R(1,1,0),x)*x^2
          - 448*H(R(1,1,0,0),x)
          - 832/15*H(R(1,1,0,0),x)*x^-2
          + 128*H(R(1,1,0,0),x)*x^-1
          - 1600/3*H(R(1,1,0,0),x)*x
          + 576*H(R(1,1,0,0),x)*x^2
          + 1664/5*H(R(1,1,0,0),x)*x^3
          - 80*H(R(1,1,1),x)
          - 80*H(R(1,1,1),x)*x
          + 160*H(R(1,1,1),x)*x^2
          - 96*H(R(1,2),x)
          - 96*H(R(1,2),x)*x
          + 192*H(R(1,2),x)*x^2
          + 576*H(R(1,3),x)
          + 832/15*H(R(1,3),x)*x^-2
          - 128*H(R(1,3),x)*x^-1
          + 1984/3*H(R(1,3),x)*x
          - 832*H(R(1,3),x)*x^2
          - 1664/5*H(R(1,3),x)*x^3
          - 3856/15*H(R(2),x)
          - 1792/3*H(R(2),x)*z2*x
          + 1024/3*H(R(2),x)*z2*x^2
          - 128*H(R(2),x)*z2
          + 192*H(R(2),x)*z3*x
          + 768*H(R(2),x)*z3*x^2
          + 2432/45*H(R(2),x)*x^-1
          + 50152/45*H(R(2),x)*x
          + 2944/15*H(R(2),x)*x^2
          - 48*H(R(2,0),x)
          - 1408*H(R(2,0),x)*z2*x
          - 768*H(R(2,0),x)*z2*x^2
          + 64*H(R(2,0),x)*x
          + 128*H(R(2,0),x)*x^2
          + 1952/3*H(R(2,0,0),x)*x
          + 576*H(R(2,0,0),x)*x^2
          + 1664/5*H(R(2,0,0),x)*x^3
          + 512*H(R(2,0,0,0),x)*x
          - 64*H(R(2,1),x)
          - 256*H(R(2,1),x)*z2*x
          + 80*H(R(2,1),x)*x
          + 160*H(R(2,1),x)*x^2
          - 128*H(R(2,1,0),x)*x
          - 896*H(R(2,1,0,0),x)*x
          - 768*H(R(2,1,0,0),x)*x^2
          - 160*H(R(2,1,1),x)*x
          - 192*H(R(2,2),x)*x
          + 1152*H(R(2,3),x)*x
          + 768*H(R(2,3),x)*x^2
          - 64/15*H(R(3),x)
          - 256*H(R(3),x)*z2*x
          - 192/5*H(R(3),x)*x^-1
          - 38176/45*H(R(3),x)*x
          - 30656/45*H(R(3),x)*x^2
          + 1408/15*H(R(3),x)*x^3
          - 224*H(R(3,0),x)*x
          + 128*H(R(3,0,0),x)*x
          - 256*H(R(3,1),x)*x
          - 160/3*H(R(4),x)*x
          - 2240/3*H(R(4),x)*x^2
          - 1152/5*H(R(4),x)*x^3
          )

       + nf*ca^2 * (
          + 6472/27
          - 96*z2*z3*x
          + 5248/45*z2*x^-1
          - 210824/45*z2*x
          + 319184/45*z2*x^2
          + 152/5*z2*x^3
          - 56/9*z2
          - 192/5*z2^2*x
          - 7672/15*z2^2*x^2
          - 3456/25*z2^2*x^3
          + 64*z3*x^-1
          - 1720*z3*x
          + 146308/45*z3*x^2
          + 40*z3*x^3
          - 4928/15*z3
          - 960*z5*x
          - 222964/405*x^-1
          + 301316/27*x
          - 4393856/405*x^2
          + 992/3*H(R(-3,0),x)*x
          - 608/3*H(R(-3,0),x)*x^2
          - 256/5*H(R(-3,0),x)*x^3
          - 1648/3*H(R(-2),x)*z2*x
          - 2080/3*H(R(-2),x)*z2*x^2
          + 512/5*H(R(-2),x)*z2*x^3
          + 160*H(R(-2,-1,0),x)*x
          - 1216/3*H(R(-2,-1,0),x)*x^2
          - 1264/15*H(R(-2,0),x)
          + 64/5*H(R(-2,0),x)*x^-1
          + 5504/15*H(R(-2,0),x)*x
          + 76024/45*H(R(-2,0),x)*x^2
          + 16*H(R(-2,0),x)*x^3
          + 3008/3*H(R(-2,0,0),x)*x
          + 448*H(R(-2,0,0),x)*x^2
          - 256/5*H(R(-2,0,0),x)*x^3
          + 1888/3*H(R(-2,2),x)*x
          + 1472/3*H(R(-2,2),x)*x^2
          - 512/5*H(R(-2,2),x)*x^3
          - 4*H(R(-1),x)*z2*x^-2
          + 2768/45*H(R(-1),x)*z2*x^-1
          - 9416/5*H(R(-1),x)*z2*x
          - 71332/45*H(R(-1),x)*z2*x^2
          - 24*H(R(-1),x)*z2*x^3
          - 3848/15*H(R(-1),x)*z2
          + 768/5*H(R(-1),x)*z2^2*x
          + 768/5*H(R(-1),x)*z2^2*x^2
          + 64/5*H(R(-1),x)*z3*x^-2
          - 704*H(R(-1),x)*z3*x
          - 640*H(R(-1),x)*z3*x^2
          + 384/5*H(R(-1),x)*z3*x^3
          - 192*H(R(-1,-2,0),x)*x
          - 192*H(R(-1,-2,0),x)*x^2
          - 256/15*H(R(-1,-1),x)*z2*x^-2
          + 2368/3*H(R(-1,-1),x)*z2*x
          + 704*H(R(-1,-1),x)*z2*x^2
          - 512/5*H(R(-1,-1),x)*z2*x^3
          + 128*H(R(-1,-1,-1,0),x)*x
          + 128*H(R(-1,-1,-1,0),x)*x^2
          - 272*H(R(-1,-1,0),x)
          - 8/3*H(R(-1,-1,0),x)*x^-2
          - 32/9*H(R(-1,-1,0),x)*x^-1
          - 752*H(R(-1,-1,0),x)*x
          - 4472/9*H(R(-1,-1,0),x)*x^2
          - 16*H(R(-1,-1,0),x)*x^3
          + 128/15*H(R(-1,-1,0,0),x)*x^-2
          - 2432/3*H(R(-1,-1,0,0),x)*x
          - 768*H(R(-1,-1,0,0),x)*x^2
          + 256/5*H(R(-1,-1,0,0),x)*x^3
          + 256/15*H(R(-1,-1,2),x)*x^-2
          - 2176/3*H(R(-1,-1,2),x)*x
          - 640*H(R(-1,-1,2),x)*x^2
          + 512/5*H(R(-1,-1,2),x)*x^3
          + 19876/45*H(R(-1,0),x)
          + 64/5*H(R(-1,0),x)*z2*x^-2
          - 816*H(R(-1,0),x)*z2*x
          - 752*H(R(-1,0),x)*z2*x^2
          + 384/5*H(R(-1,0),x)*z2*x^3
          + 192*H(R(-1,0),x)*z3*x
          + 192*H(R(-1,0),x)*z3*x^2
          + 76/15*H(R(-1,0),x)*x^-2
          + 1688/15*H(R(-1,0),x)*x^-1
          + 3536/45*H(R(-1,0),x)*x
          - 10136/45*H(R(-1,0),x)*x^2
          + 152/5*H(R(-1,0),x)*x^3
          + 64/15*H(R(-1,0,0),x)
          - 192*H(R(-1,0,0),x)*z2*x
          - 192*H(R(-1,0,0),x)*z2*x^2
          + 8/3*H(R(-1,0,0),x)*x^-2
          - 1408/15*H(R(-1,0,0),x)*x^-1
          + 34864/15*H(R(-1,0,0),x)*x
          + 33592/15*H(R(-1,0,0),x)*x^2
          + 16*H(R(-1,0,0),x)*x^3
          - 64/15*H(R(-1,0,0,0),x)*x^-2
          + 1648/3*H(R(-1,0,0,0),x)*x
          + 528*H(R(-1,0,0,0),x)*x^2
          - 128/5*H(R(-1,0,0,0),x)*x^3
          + 1808/15*H(R(-1,2),x)
          + 8/3*H(R(-1,2),x)*x^-2
          - 2848/45*H(R(-1,2),x)*x^-1
          + 7536/5*H(R(-1,2),x)*x
          + 60152/45*H(R(-1,2),x)*x^2
          + 16*H(R(-1,2),x)*x^3
          + 128*H(R(-1,2,0),x)*x
          + 128*H(R(-1,2,0),x)*x^2
          - 192*H(R(-1,2,0,0),x)*x
          - 192*H(R(-1,2,0,0),x)*x^2
          + 128*H(R(-1,2,1),x)*x
          + 128*H(R(-1,2,1),x)*x^2
          - 128/15*H(R(-1,3),x)*x^-2
          + 2048/3*H(R(-1,3),x)*x
          + 640*H(R(-1,3),x)*x^2
          - 256/5*H(R(-1,3),x)*x^3
          + 192*H(R(-1,4),x)*x
          + 192*H(R(-1,4),x)*x^2
          - 20944/45*H(R(0),x)
          + 128/5*H(R(0),x)*z2*x^-1
          - 49792/15*H(R(0),x)*z2*x
          + 99416/45*H(R(0),x)*z2*x^2
          + 32*H(R(0),x)*z2*x^3
          + 1544/15*H(R(0),x)*z2
          - 5888/3*H(R(0),x)*z3*x
          - 752/3*H(R(0),x)*z3*x^2
          - 256*H(R(0),x)*z3*x^3
          - 10052/135*H(R(0),x)*x^-1
          + 1012088/135*H(R(0),x)*x
          - 24628/45*H(R(0),x)*x^2
          + 2764/15*H(R(0,0),x)
          - 5392/3*H(R(0,0),x)*z2*x
          + 800/3*H(R(0,0),x)*z2*x^2
          + 128/5*H(R(0,0),x)*z2*x^3
          - 56/5*H(R(0,0),x)*x^-1
          + 197672/45*H(R(0,0),x)*x
          - 385064/45*H(R(0,0),x)*x^2
          - 152/5*H(R(0,0),x)*x^3
          - 160*H(R(0,0,0),x)
          + 128/15*H(R(0,0,0),x)*x^-1
          + 45296/15*H(R(0,0,0),x)*x
          - 704*H(R(0,0,0),x)*x^2
          - 16*H(R(0,0,0),x)*x^3
          + 4768/3*H(R(0,0,0,0),x)*x
          + 256/5*H(R(0,0,0,0),x)*x^3
          - 356*H(R(1),x)
          - 4/3*H(R(1),x)*z2*x^-2
          + 688/9*H(R(1),x)*z2*x^-1
          - 1512*H(R(1),x)*z2*x
          + 16100/9*H(R(1),x)*z2*x^2
          + 8*H(R(1),x)*z2*x^3
          - 360*H(R(1),x)*z2
          + 448/15*H(R(1),x)*z3*x^-2
          - 32*H(R(1),x)*z3*x^-1
          - 752/3*H(R(1),x)*z3*x
          + 336*H(R(1),x)*z3*x^2
          - 896/5*H(R(1),x)*z3*x^3
          + 96*H(R(1),x)*z3
          - 1432/15*H(R(1),x)*x^-1
          + 122360/27*H(R(1),x)*x
          - 550852/135*H(R(1),x)*x^2
          + 128/15*H(R(1,-2,0),x)*x^-2
          + 224/3*H(R(1,-2,0),x)*x
          - 32*H(R(1,-2,0),x)*x^2
          - 256/5*H(R(1,-2,0),x)*x^3
          + 688/3*H(R(1,0),x)
          - 256/15*H(R(1,0),x)*z2*x^-2
          + 32*H(R(1,0),x)*z2*x^-1
          - 1360/3*H(R(1,0),x)*z2*x
          + 432*H(R(1,0),x)*z2*x^2
          + 512/5*H(R(1,0),x)*z2*x^3
          - 96*H(R(1,0),x)*z2
          - 1712/9*H(R(1,0),x)*x^-1
          + 40064/9*H(R(1,0),x)*x
          - 13472/3*H(R(1,0),x)*x^2
          + 1112/3*H(R(1,0,0),x)
          - 64*H(R(1,0,0),x)*x^-1
          + 5008/3*H(R(1,0,0),x)*x
          - 1976*H(R(1,0,0),x)*x^2
          - 64/15*H(R(1,0,0,0),x)*x^-2
          + 464/3*H(R(1,0,0,0),x)*x
          - 176*H(R(1,0,0,0),x)*x^2
          + 128/5*H(R(1,0,0,0),x)*x^3
          + 896/3*H(R(1,1),x)
          - 384*H(R(1,1),x)*z2*x
          + 384*H(R(1,1),x)*z2*x^2
          - 1792/9*H(R(1,1),x)*x^-1
          + 43040/9*H(R(1,1),x)*x
          - 43936/9*H(R(1,1),x)*x^2
          + 224*H(R(1,1,0),x)
          - 224/3*H(R(1,1,0),x)*x^-1
          + 6368/3*H(R(1,1,0),x)*x
          - 2272*H(R(1,1,0),x)*x^2
          - 96*H(R(1,1,0,0),x)
          - 64/3*H(R(1,1,0,0),x)*x^-2
          + 32*H(R(1,1,0,0),x)*x^-1
          + 928/3*H(R(1,1,0,0),x)*x
          - 352*H(R(1,1,0,0),x)*x^2
          + 128*H(R(1,1,0,0),x)*x^3
          + 192*H(R(1,1,1),x)
          - 64*H(R(1,1,1),x)*x^-1
          + 5536/3*H(R(1,1,1),x)*x
          - 5920/3*H(R(1,1,1),x)*x^2
          + 448*H(R(1,1,1,0),x)*x
          - 448*H(R(1,1,1,0),x)*x^2
          + 384*H(R(1,1,1,1),x)*x
          - 384*H(R(1,1,1,1),x)*x^2
          + 448*H(R(1,1,2),x)*x
          - 448*H(R(1,1,2),x)*x^2
          + 224*H(R(1,2),x)
          - 224/3*H(R(1,2),x)*x^-1
          + 1888*H(R(1,2),x)*x
          - 6112/3*H(R(1,2),x)*x^2
          + 384*H(R(1,2,0),x)*x
          - 384*H(R(1,2,0),x)*x^2
          + 448*H(R(1,2,1),x)*x
          - 448*H(R(1,2,1),x)*x^2
          + 96*H(R(1,3),x)
          + 64/3*H(R(1,3),x)*x^-2
          - 32*H(R(1,3),x)*x^-1
          + 1760/3*H(R(1,3),x)*x
          - 544*H(R(1,3),x)*x^2
          - 128*H(R(1,3),x)*x^3
          + 56/9*H(R(2),x)
          - 1360*H(R(2),x)*z2*x
          + 544/3*H(R(2),x)*z2*x^2
          + 192*H(R(2),x)*z3*x
          + 192*H(R(2),x)*z3*x^2
          - 184/45*H(R(2),x)*x^-1
          + 42872/9*H(R(2),x)*x
          - 319184/45*H(R(2),x)*x^2
          + 64*H(R(2,0),x)
          - 192*H(R(2,0),x)*z2*x
          - 192*H(R(2,0),x)*z2*x^2
          - 128/3*H(R(2,0),x)*x^-1
          + 3264*H(R(2,0),x)*x
          - 2048*H(R(2,0),x)*x^2
          + 4432/3*H(R(2,0,0),x)*x
          - 32*H(R(2,0,0),x)*x^2
          + 128*H(R(2,0,0),x)*x^3
          + 96*H(R(2,1),x)
          - 160/3*H(R(2,1),x)*x^-1
          + 3680*H(R(2,1),x)*x
          - 6752/3*H(R(2,1),x)*x^2
          + 1280*H(R(2,1,0),x)*x
          - 384*H(R(2,1,0),x)*x^2
          - 192*H(R(2,1,0,0),x)*x
          - 192*H(R(2,1,0,0),x)*x^2
          + 1152*H(R(2,1,1),x)*x
          - 384*H(R(2,1,1),x)*x^2
          + 1280*H(R(2,2),x)*x
          - 384*H(R(2,2),x)*x^2
          + 192*H(R(2,3),x)*x
          + 192*H(R(2,3),x)*x^2
          - 1544/15*H(R(3),x)
          - 64/5*H(R(3),x)*x^-1
          + 18432/5*H(R(3),x)*x
          - 99416/45*H(R(3),x)*x^2
          - 16*H(R(3),x)*x^3
          + 1792*H(R(3,0),x)*x
          - 128*H(R(3,0),x)*x^2
          + 2048*H(R(3,1),x)*x
          - 256*H(R(3,1),x)*x^2
          + 2128*H(R(4),x)*x
          - 800/3*H(R(4),x)*x^2
          - 384/5*H(R(4),x)*x^3
          )

       + nf^2*cf * (
          + 393496/675
          - 448/45*z2*x^-1
          + 27152/135*z2*x
          - 1568/15*z2*x^2
          - 6848/225*z2*x^3
          - 6208/45*z2
          + 32/5*z2^2*x
          + 3712/9*z3*x
          - 224/3*z3*x^2
          + 128/3*z3*x^3
          - 32*z3
          + 31888/2025*x^-1
          - 771296/675*x
          + 1101512/2025*x^2
          - 128/45*H(R(-2,0),x)*x^-2
          + 1216/9*H(R(-2,0),x)*x
          - 128/3*H(R(-2,0),x)*x^2
          - 128/15*H(R(-2,0),x)*x^3
          + 32/15*H(R(-1),x)*z2*x^-2
          - 32/3*H(R(-1),x)*z2*x
          + 64/5*H(R(-1),x)*z2*x^3
          + 64/45*H(R(-1,-1,0),x)*x^-2
          - 64/9*H(R(-1,-1,0),x)*x
          + 128/15*H(R(-1,-1,0),x)*x^3
          - 2848/45*H(R(-1,0),x)
          - 4544/675*H(R(-1,0),x)*x^-2
          - 128/15*H(R(-1,0),x)*x^-1
          + 10976/135*H(R(-1,0),x)*x
          + 5056/45*H(R(-1,0),x)*x^2
          - 6848/225*H(R(-1,0),x)*x^3
          - 64/15*H(R(-1,0,0),x)*x^-2
          + 64/3*H(R(-1,0,0),x)*x
          - 128/5*H(R(-1,0,0),x)*x^3
          - 64/45*H(R(-1,2),x)*x^-2
          + 64/9*H(R(-1,2),x)*x
          - 128/15*H(R(-1,2),x)*x^3
          + 254648/675*H(R(0),x)
          + 3008/9*H(R(0),x)*z2*x
          + 416/3*H(R(0),x)*z2*x^2
          - 192/5*H(R(0),x)*z2*x^3
          - 64*H(R(0),x)*z2
          + 128*H(R(0),x)*z3*x
          + 3584/675*H(R(0),x)*x^-1
          - 105824/225*H(R(0),x)*x
          - 8512/225*H(R(0),x)*x^2
          + 2288/15*H(R(0,0),x)
          + 192*H(R(0,0),x)*z2*x
          + 64/15*H(R(0,0),x)*x^-1
          - 57008/135*H(R(0,0),x)*x
          + 1024/15*H(R(0,0),x)*x^2
          + 6848/225*H(R(0,0),x)*x^3
          + 80*H(R(0,0,0),x)
          - 1648/3*H(R(0,0,0),x)*x
          - 256*H(R(0,0,0),x)*x^2
          + 128/5*H(R(0,0,0),x)*x^3
          - 352*H(R(0,0,0,0),x)*x
          + 1464/5*H(R(1),x)
          + 32/45*H(R(1),x)*z2*x^-2
          + 128/9*H(R(1),x)*z2*x
          + 32/3*H(R(1),x)*z2*x^2
          - 128/5*H(R(1),x)*z2*x^3
          - 352/135*H(R(1),x)*x^-1
          - 16696/45*H(R(1),x)*x
          + 10912/135*H(R(1),x)*x^2
          + 224/3*H(R(1,0),x)
          + 64/9*H(R(1,0),x)*x^-1
          - 544/3*H(R(1,0),x)*x
          + 896/9*H(R(1,0),x)*x^2
          + 224/3*H(R(1,1),x)
          + 64/9*H(R(1,1),x)*x^-1
          - 512/3*H(R(1,1),x)*x
          + 800/9*H(R(1,1),x)*x^2
          + 32/3*H(R(1,1,0),x)*x
          + 32/3*H(R(1,1,0),x)*x^2
          - 64/3*H(R(1,1,0),x)*x^3
          - 32/3*H(R(1,2),x)*x
          - 32/3*H(R(1,2),x)*x^2
          + 64/3*H(R(1,2),x)*x^3
          + 6208/45*H(R(2),x)
          + 64/45*H(R(2),x)*x^-1
          - 5392/45*H(R(2),x)*x
          + 1568/15*H(R(2),x)*x^2
          + 32*H(R(2,0),x)
          - 32*H(R(2,0),x)*x^2
          - 64/3*H(R(2,0),x)*x^3
          + 32*H(R(2,1),x)
          - 32/3*H(R(2,1),x)*x
          - 128/3*H(R(2,1),x)*x^2
          + 64*H(R(3),x)
          - 1792/9*H(R(3),x)*x
          - 416/3*H(R(3),x)*x^2
          + 448/15*H(R(3),x)*x^3
          - 64*H(R(3,0),x)*x
          - 64*H(R(3,1),x)*x
          - 192*H(R(4),x)*x
          )

       + nf^2*ca * (
          - 6364/135
          - 32/9*z2*x^-1
          + 2128/9*z2*x
          - 512/3*z2*x^2
          - 32/5*z2*x^3
          + 224/3*z3*x
          - 48*z3*x^2
          + 3896/135*x^-1
          - 97376/135*x
          + 99844/135*x^2
          - 32/3*H(R(-2,0),x)*x
          - 128/3*H(R(-2,0),x)*x^2
          + 32*H(R(-1),x)*z2*x
          + 32*H(R(-1),x)*z2*x^2
          + 64/3*H(R(-1,-1,0),x)*x
          + 64/3*H(R(-1,-1,0),x)*x^2
          - 16/3*H(R(-1,0),x)
          - 16/15*H(R(-1,0),x)*x^-2
          - 32/9*H(R(-1,0),x)*x^-1
          - 512/9*H(R(-1,0),x)*x
          - 544/9*H(R(-1,0),x)*x^2
          - 32/5*H(R(-1,0),x)*x^3
          - 64*H(R(-1,0,0),x)*x
          - 64*H(R(-1,0,0),x)*x^2
          - 64/3*H(R(-1,2),x)*x
          - 64/3*H(R(-1,2),x)*x^2
          - 424/45*H(R(0),x)
          + 96*H(R(0),x)*z2*x
          - 64/3*H(R(0),x)*z2*x^2
          + 16/15*H(R(0),x)*x^-1
          - 86912/135*H(R(0),x)*x
          + 51584/135*H(R(0),x)*x^2
          + 16/3*H(R(0,0),x)
          - 3040/9*H(R(0,0),x)*x
          + 416/3*H(R(0,0),x)*x^2
          + 32/5*H(R(0,0),x)*x^3
          - 128*H(R(0,0,0),x)*x
          - 64/3*H(R(1),x)
          - 32/3*H(R(1),x)*z2*x
          + 32/3*H(R(1),x)*z2*x^2
          + 400/27*H(R(1),x)*x^-1
          - 12032/27*H(R(1),x)*x
          + 12208/27*H(R(1),x)*x^2
          - 32/3*H(R(1,0),x)
          + 32/9*H(R(1,0),x)*x^-1
          - 1184/9*H(R(1,0),x)*x
          + 416/3*H(R(1,0),x)*x^2
          - 64/3*H(R(1,0,0),x)*x
          + 64/3*H(R(1,0,0),x)*x^2
          - 32/3*H(R(1,1),x)
          + 32/9*H(R(1,1),x)*x^-1
          - 1184/9*H(R(1,1),x)*x
          + 416/3*H(R(1,1),x)*x^2
          - 128/3*H(R(1,1,0),x)*x
          + 128/3*H(R(1,1,0),x)*x^2
          - 64/3*H(R(1,1,1),x)*x
          + 64/3*H(R(1,1,1),x)*x^2
          - 880/3*H(R(2),x)*x
          + 512/3*H(R(2),x)*x^2
          - 64*H(R(2,0),x)*x
          + 64/3*H(R(2,0),x)*x^2
          - 64*H(R(2,1),x)*x
          + 64/3*H(R(2,1),x)*x^2
          - 320/3*H(R(3),x)*x
          + 64/3*H(R(3),x)*x^2
          );

L   XcLqqps3 =

       + nf*cf*ca * (
          + 6272/9
          + 5296/45*z2*x^-1
          - 1024/15*z2*x
          + 3408/5*z2*x^2
          + 32/15*z2*x^3
          - 992/9*z2
          - 1384/15*z2^2*x
          + 512/15*z2^2*x^2
          - 512/25*z2^2*x^3
          + 1856/15*z3*x^-1
          - 4384/45*z3*x
          + 2208/5*z3*x^2
          + 64/3*z3*x^3
          - 1824/5*z3
          - 71344/135*x^-1
          + 30944/27*x
          - 59152/45*x^2
          + 224/3*H(R(-3,0),x)*x
          - 64*H(R(-2),x)*z2*x
          + 256/3*H(R(-2,-1,0),x)*x
          - 96*H(R(-2,0),x)
          + 64/3*H(R(-2,0),x)*x^-1
          - 1664/9*H(R(-2,0),x)*x
          + 704/3*H(R(-2,0),x)*x^2
          + 128/15*H(R(-2,0),x)*x^3
          + 608/3*H(R(-2,0,0),x)*x
          + 320/3*H(R(-2,2),x)*x
          + 128/15*H(R(-1),x)*z2*x^-2
          + 80*H(R(-1),x)*z2*x^-1
          - 464/3*H(R(-1),x)*z2*x
          - 160*H(R(-1),x)*z2*x^2
          - 64/5*H(R(-1),x)*z2*x^3
          + 64*H(R(-1),x)*z2
          - 256/3*H(R(-1,-1,0),x)
          + 256/45*H(R(-1,-1,0),x)*x^-2
          + 32/3*H(R(-1,-1,0),x)*x^-1
          - 928/9*H(R(-1,-1,0),x)*x
          - 64/3*H(R(-1,-1,0),x)*x^2
          - 128/15*H(R(-1,-1,0),x)*x^3
          + 9728/45*H(R(-1,0),x)
          - 64/45*H(R(-1,0),x)*x^-2
          + 4144/45*H(R(-1,0),x)*x^-1
          - 10192/45*H(R(-1,0),x)*x
          - 15616/45*H(R(-1,0),x)*x^2
          + 32/15*H(R(-1,0),x)*x^3
          - 608/3*H(R(-1,0,0),x)
          - 256/45*H(R(-1,0,0),x)*x^-2
          - 320/3*H(R(-1,0,0),x)*x^-1
          + 928/9*H(R(-1,0,0),x)*x
          + 640/3*H(R(-1,0,0),x)*x^2
          + 128/15*H(R(-1,0,0),x)*x^3
          - 320/3*H(R(-1,2),x)
          - 256/45*H(R(-1,2),x)*x^-2
          - 224/3*H(R(-1,2),x)*x^-1
          + 928/9*H(R(-1,2),x)*x
          + 448/3*H(R(-1,2),x)*x^2
          + 128/15*H(R(-1,2),x)*x^3
          - 6832/45*H(R(0),x)
          + 64/15*H(R(0),x)*z2*x^-1
          - 7376/45*H(R(0),x)*z2*x
          + 512/5*H(R(0),x)*z2*x^2
          + 256/15*H(R(0),x)*z2*x^3
          + 624/5*H(R(0),x)*z2
          - 1568/3*H(R(0),x)*z3*x
          + 128/3*H(R(0),x)*z3*x^2
          - 128/5*H(R(0),x)*z3*x^3
          - 11456/135*H(R(0),x)*x^-1
          + 101824/135*H(R(0),x)*x
          + 161648/135*H(R(0),x)*x^2
          + 15376/45*H(R(0,0),x)
          - 976/3*H(R(0,0),x)*z2*x
          - 128/3*H(R(0,0),x)*z2*x^2
          + 128/5*H(R(0,0),x)*z2*x^3
          + 256/45*H(R(0,0),x)*x^-1
          + 8192/15*H(R(0,0),x)*x
          - 61472/45*H(R(0,0),x)*x^2
          - 32/15*H(R(0,0),x)*x^3
          - 160*H(R(0,0,0),x)
          + 3536/9*H(R(0,0,0),x)*x
          - 128/15*H(R(0,0,0),x)*x^3
          + 1216/3*H(R(0,0,0,0),x)*x
          - 2528/9*H(R(1),x)
          + 128/45*H(R(1),x)*z2*x^-2
          + 48*H(R(1),x)*z2*x^-1
          + 464/9*H(R(1),x)*z2*x
          + 96*H(R(1),x)*z2*x^2
          + 64/15*H(R(1),x)*z2*x^3
          - 608/3*H(R(1),x)*z2
          - 256/15*H(R(1),x)*z3*x^-2
          + 64/3*H(R(1),x)*z3*x^-1
          - 64/3*H(R(1),x)*z3*x
          + 128/3*H(R(1),x)*z3*x^2
          - 128/5*H(R(1),x)*z3*x^3
          + 8176/135*H(R(1),x)*x^-1
          - 3424/9*H(R(1),x)*x
          + 81104/135*H(R(1),x)*x^2
          + 256/3*H(R(1,0),x)
          + 256/15*H(R(1,0),x)*z2*x^-2
          - 64/3*H(R(1,0),x)*z2*x^-1
          + 64/3*H(R(1,0),x)*z2*x
          - 128/3*H(R(1,0),x)*z2*x^2
          + 128/5*H(R(1,0),x)*z2*x^3
          - 1264/9*H(R(1,0),x)*x^-1
          + 752/3*H(R(1,0),x)*x
          - 1760/9*H(R(1,0),x)*x^2
          + 1424/5*H(R(1,0,0),x)
          - 1216/15*H(R(1,0,0),x)*x^-1
          - 752/15*H(R(1,0,0),x)*x
          - 768/5*H(R(1,0,0),x)*x^2
          + 224/3*H(R(1,1),x)
          - 1168/9*H(R(1,1),x)*x^-1
          + 704/3*H(R(1,1),x)*x
          - 1616/9*H(R(1,1),x)*x^2
          + 160*H(R(1,1,0),x)
          - 160/3*H(R(1,1,0),x)*x^-1
          - 320/3*H(R(1,1,0),x)*x^2
          + 256/15*H(R(1,1,0,0),x)*x^-2
          - 64/3*H(R(1,1,0,0),x)*x^-1
          + 64/3*H(R(1,1,0,0),x)*x
          - 128/3*H(R(1,1,0,0),x)*x^2
          + 128/5*H(R(1,1,0,0),x)*x^3
          + 160*H(R(1,1,1),x)
          - 160/3*H(R(1,1,1),x)*x^-1
          - 320/3*H(R(1,1,1),x)*x^2
          + 160*H(R(1,2),x)
          - 160/3*H(R(1,2),x)*x^-1
          - 320/3*H(R(1,2),x)*x^2
          - 256/15*H(R(1,3),x)*x^-2
          + 64/3*H(R(1,3),x)*x^-1
          - 64/3*H(R(1,3),x)*x
          + 128/3*H(R(1,3),x)*x^2
          - 128/5*H(R(1,3),x)*x^3
          + 992/9*H(R(2),x)
          - 608/3*H(R(2),x)*z2*x
          - 128/5*H(R(2),x)*x^-1
          - 1424/9*H(R(2),x)*x
          - 3408/5*H(R(2),x)*x^2
          - 128/3*H(R(2,0),x)*x^-1
          + 32*H(R(2,0),x)*x
          - 448/3*H(R(2,0),x)*x^2
          + 880/3*H(R(2,0,0),x)*x
          - 128/3*H(R(2,0,0),x)*x^2
          + 128/5*H(R(2,0,0),x)*x^3
          + 32*H(R(2,1),x)
          - 160/3*H(R(2,1),x)*x^-1
          + 16/3*H(R(2,1),x)*x
          - 448/3*H(R(2,1),x)*x^2
          + 160*H(R(2,1,0),x)*x
          + 160*H(R(2,1,1),x)*x
          + 160*H(R(2,2),x)*x
          - 624/5*H(R(3),x)
          + 256/15*H(R(3),x)*x^-1
          - 944/45*H(R(3),x)*x
          - 512/5*H(R(3),x)*x^2
          - 128/15*H(R(3),x)*x^3
          + 320*H(R(3,0),x)*x
          + 352*H(R(3,1),x)*x
          + 400*H(R(4),x)*x
          + 128/3*H(R(4),x)*x^2
          - 128/5*H(R(4),x)*x^3
          )

       + nf*cf^2 * (
          + 25648/225
          - 352/9*z2*x^-1
          - 80176/135*z2*x
          + 1984/15*z2*x^2
          + 1088/225*z2*x^3
          - 11488/45*z2
          + 1424/15*z2^2*x
          - 1024/15*z2^2*x^2
          + 1024/25*z2^2*x^3
          - 384/5*z3*x^-1
          - 23152/45*z3*x
          - 128/15*z3*x^2
          - 32/3*z3*x^3
          + 128/5*z3
          + 30464/675*x^-1
          - 108544/675*x
          + 1136/675*x^2
          - 64/3*H(R(-3,0),x)*x
          - 96*H(R(-2),x)*z2*x
          - 704/3*H(R(-2,-1,0),x)*x
          - 640/3*H(R(-2,0),x)
          - 512/45*H(R(-2,0),x)*x^-2
          + 320/9*H(R(-2,0),x)*x
          + 128/3*H(R(-2,0),x)*x^2
          - 64/15*H(R(-2,0),x)*x^3
          + 64*H(R(-2,0,0),x)*x
          - 64/3*H(R(-2,2),x)*x
          - 64/15*H(R(-1),x)*z2*x^-2
          - 32/3*H(R(-1),x)*z2*x^-1
          + 352/3*H(R(-1),x)*z2*x
          + 64/3*H(R(-1),x)*z2*x^2
          + 32/5*H(R(-1),x)*z2*x^3
          + 96*H(R(-1),x)*z2
          + 704/3*H(R(-1,-1,0),x)
          - 128/45*H(R(-1,-1,0),x)*x^-2
          + 64/3*H(R(-1,-1,0),x)*x^-1
          + 1472/9*H(R(-1,-1,0),x)*x
          - 128/3*H(R(-1,-1,0),x)*x^2
          + 64/15*H(R(-1,-1,0),x)*x^3
          - 2176/5*H(R(-1,0),x)
          - 4736/675*H(R(-1,0),x)*x^-2
          - 352/45*H(R(-1,0),x)*x^-1
          - 56992/135*H(R(-1,0),x)*x
          + 256/15*H(R(-1,0),x)*x^2
          + 1088/225*H(R(-1,0),x)*x^3
          - 64*H(R(-1,0,0),x)
          - 128/15*H(R(-1,0,0),x)*x^-2
          - 256/3*H(R(-1,0,0),x)*x
          + 64/5*H(R(-1,0,0),x)*x^3
          + 64/3*H(R(-1,2),x)
          + 128/45*H(R(-1,2),x)*x^-2
          + 64/3*H(R(-1,2),x)*x^-1
          - 320/9*H(R(-1,2),x)*x
          - 128/3*H(R(-1,2),x)*x^2
          - 64/15*H(R(-1,2),x)*x^3
          + 67952/675*H(R(0),x)
          + 512/15*H(R(0),x)*z2*x^-1
          - 5696/15*H(R(0),x)*z2*x
          + 1536/5*H(R(0),x)*z2*x^2
          - 128/15*H(R(0),x)*z2*x^3
          - 1408/5*H(R(0),x)*z2
          + 736/3*H(R(0),x)*z3*x
          - 256/3*H(R(0),x)*z3*x^2
          + 256/5*H(R(0),x)*z3*x^3
          + 6656/675*H(R(0),x)*x^-1
          - 11904/25*H(R(0),x)*x
          - 12944/675*H(R(0),x)*x^2
          - 112/3*H(R(0,0),x)
          - 1024/3*H(R(0,0),x)*z2*x
          + 256/3*H(R(0,0),x)*z2*x^2
          - 256/5*H(R(0,0),x)*z2*x^3
          + 128/15*H(R(0,0),x)*x^-1
          + 4544/27*H(R(0,0),x)*x
          - 64*H(R(0,0),x)*x^2
          - 1088/225*H(R(0,0),x)*x^3
          + 160*H(R(0,0,0),x)
          + 2000/9*H(R(0,0,0),x)*x
          - 256*H(R(0,0,0),x)*x^2
          - 64/5*H(R(0,0,0),x)*x^3
          + 64*H(R(0,0,0,0),x)*x
          + 3344/5*H(R(1),x)
          - 64/45*H(R(1),x)*z2*x^-2
          + 32/3*H(R(1),x)*z2*x^-1
          - 736/9*H(R(1),x)*z2*x
          + 64/3*H(R(1),x)*z2*x^2
          - 32/15*H(R(1),x)*z2*x^3
          + 160/3*H(R(1),x)*z2
          + 512/15*H(R(1),x)*z3*x^-2
          - 128/3*H(R(1),x)*z3*x^-1
          + 128/3*H(R(1),x)*z3*x
          - 256/3*H(R(1),x)*z3*x^2
          + 256/5*H(R(1),x)*z3*x^3
          - 19904/135*H(R(1),x)*x^-1
          - 13856/45*H(R(1),x)*x
          - 28816/135*H(R(1),x)*x^2
          + 544/3*H(R(1,0),x)
          - 512/15*H(R(1,0),x)*z2*x^-2
          + 128/3*H(R(1,0),x)*z2*x^-1
          - 128/3*H(R(1,0),x)*z2*x
          + 256/3*H(R(1,0),x)*z2*x^2
          - 256/5*H(R(1,0),x)*z2*x^3
          - 64/9*H(R(1,0),x)*x^-1
          - 544/3*H(R(1,0),x)*x
          + 64/9*H(R(1,0),x)*x^2
          - 768/5*H(R(1,0,0),x)
          + 512/15*H(R(1,0,0),x)*x^-1
          + 1024/15*H(R(1,0,0),x)*x
          + 256/5*H(R(1,0,0),x)*x^2
          + 752/3*H(R(1,1),x)
          - 208/9*H(R(1,1),x)*x^-1
          - 512/3*H(R(1,1),x)*x
          - 512/9*H(R(1,1),x)*x^2
          + 64*H(R(1,1,0),x)
          - 64/3*H(R(1,1,0),x)*x^-1
          - 128/3*H(R(1,1,0),x)*x^2
          - 512/15*H(R(1,1,0,0),x)*x^-2
          + 128/3*H(R(1,1,0,0),x)*x^-1
          - 128/3*H(R(1,1,0,0),x)*x
          + 256/3*H(R(1,1,0,0),x)*x^2
          - 256/5*H(R(1,1,0,0),x)*x^3
          + 32*H(R(1,1,1),x)
          - 32/3*H(R(1,1,1),x)*x^-1
          - 64/3*H(R(1,1,1),x)*x^2
          + 64*H(R(1,2),x)
          - 64/3*H(R(1,2),x)*x^-1
          - 128/3*H(R(1,2),x)*x^2
          + 512/15*H(R(1,3),x)*x^-2
          - 128/3*H(R(1,3),x)*x^-1
          + 128/3*H(R(1,3),x)*x
          - 256/3*H(R(1,3),x)*x^2
          + 256/5*H(R(1,3),x)*x^3
          + 11488/45*H(R(2),x)
          + 160/3*H(R(2),x)*z2*x
          + 1408/45*H(R(2),x)*x^-1
          + 2576/15*H(R(2),x)*x
          - 1984/15*H(R(2),x)*x^2
          + 128*H(R(2,0),x)
          + 96*H(R(2,0),x)*x
          - 128*H(R(2,0),x)*x^2
          - 512/3*H(R(2,0,0),x)*x
          + 256/3*H(R(2,0,0),x)*x^2
          - 256/5*H(R(2,0,0),x)*x^3
          + 128*H(R(2,1),x)
          + 208*H(R(2,1),x)*x
          - 320/3*H(R(2,1),x)*x^2
          + 64*H(R(2,1,0),x)*x
          + 32*H(R(2,1,1),x)*x
          + 64*H(R(2,2),x)*x
          + 1408/5*H(R(3),x)
          - 512/15*H(R(3),x)*x^-1
          + 18688/45*H(R(3),x)*x
          - 1536/5*H(R(3),x)*x^2
          + 64/15*H(R(3),x)*x^3
          + 128*H(R(3,0),x)*x
          + 128*H(R(3,1),x)*x
          + 320*H(R(4),x)*x
          - 256/3*H(R(4),x)*x^2
          + 256/5*H(R(4),x)*x^3
          )

       + nf^2*cf * (
          - 5248/45
          - 64/9*z2*x^-1
          + 160/3*z2*x
          + 64/9*z2*x^2
          + 64/15*z2*x^3
          - 32/3*z3*x
          + 15808/405*x^-1
          + 3584/135*x
          + 20672/405*x^2
          - 128/45*H(R(-1,0),x)*x^-2
          - 64/9*H(R(-1,0),x)*x^-1
          + 128/9*H(R(-1,0),x)*x
          + 128/9*H(R(-1,0),x)*x^2
          + 64/15*H(R(-1,0),x)*x^3
          - 256/5*H(R(0),x)
          + 128/45*H(R(0),x)*x^-1
          - 8992/135*H(R(0),x)*x
          + 8224/135*H(R(0),x)*x^2
          - 64/3*H(R(0,0),x)
          - 128*H(R(0,0),x)*x
          + 128/3*H(R(0,0),x)*x^2
          - 64/15*H(R(0,0),x)*x^3
          - 64*H(R(0,0,0),x)*x
          - 224/9*H(R(1),x)
          + 160/27*H(R(1),x)*x^-1
          - 32/9*H(R(1),x)*x
          + 608/27*H(R(1),x)*x^2
          + 32/3*H(R(1,1),x)
          - 32/9*H(R(1,1),x)*x^-1
          - 64/9*H(R(1,1),x)*x^2
          - 352/9*H(R(2),x)*x
          - 64/9*H(R(2),x)*x^2
          + 32/3*H(R(2,1),x)*x
          );



